""" Cisco_IOS_XR_infra_policymgr_oper 

This module contains a collection of YANG definitions
for Cisco IOS\-XR infra\-policymgr package operational data.

This module contains definitions
for the following management objects\:
  policy\-manager\: Policy\-map operational data

Copyright (c) 2013\-2016 by Cisco Systems, Inc.
All rights reserved.

"""


import re
import collections

from enum import Enum

from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict

from ydk.errors import YPYError, YPYModelError



class AcctEnum(Enum):
    """
    AcctEnum

    Acct

    .. data:: policy_acct_evt_unspecified = 0

    	policy acct evt unspecified

    .. data:: policy_acct_evt_start = 1

    	policy acct evt start

    .. data:: policy_acct_evt_stop = 2

    	policy acct evt stop

    .. data:: policy_acct_evt_update = 3

    	policy acct evt update

    """

    policy_acct_evt_unspecified = 0

    policy_acct_evt_start = 1

    policy_acct_evt_stop = 2

    policy_acct_evt_update = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['AcctEnum']


class ClassMapEnum(Enum):
    """
    ClassMapEnum

    Class map

    .. data:: class_map_type_none = 0

    	class map type none

    .. data:: class_map_type_qos = 1

    	class map type qos

    .. data:: class_map_type_pbr = 2

    	class map type pbr

    .. data:: class_map_type_traffic = 3

    	class map type traffic

    .. data:: class_map_type_subs_control = 4

    	class map type subs control

    .. data:: class_map_type_max = 5

    	class map type max

    """

    class_map_type_none = 0

    class_map_type_qos = 1

    class_map_type_pbr = 2

    class_map_type_traffic = 3

    class_map_type_subs_control = 4

    class_map_type_max = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['ClassMapEnum']


class ClassMapModeEnum(Enum):
    """
    ClassMapModeEnum

    Class\-Map Mode

    .. data:: class_map_mode_match_any = 0

    	Type Match-Any

    .. data:: class_map_mode_match_all = 1

    	Type Match-All

    .. data:: class_map_mode_max = 2

    	Not a valid mode

    .. data:: class_map_mode_usr_def = 1073741824

    	User defined match type

    """

    class_map_mode_match_any = 0

    class_map_mode_match_all = 1

    class_map_mode_max = 2

    class_map_mode_usr_def = 1073741824


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['ClassMapModeEnum']


class DecodeIdentifierEnum(Enum):
    """
    DecodeIdentifierEnum

    Decode identifier

    .. data:: policy_decid_unspecified = 0

    	policy decid unspecified

    .. data:: policy_decid_remote_id = 1

    	policy decid remote id

    .. data:: policy_decid_circuit_id = 2

    	policy decid circuit id

    .. data:: policy_decid_user_name = 3

    	policy decid user name

    .. data:: policy_decid_max = 4

    	policy decid max

    """

    policy_decid_unspecified = 0

    policy_decid_remote_id = 1

    policy_decid_circuit_id = 2

    policy_decid_user_name = 3

    policy_decid_max = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['DecodeIdentifierEnum']


class DpssSnidEnum(Enum):
    """
    DpssSnidEnum

    Dpss snid

    .. data:: dpss_snid_invalid = 0

    	dpss snid invalid

    .. data:: dpss_snid_index = 1

    	dpss snid index

    .. data:: dpss_snid_name = 2

    	dpss snid name

    .. data:: dpss_snid_type_max = 3

    	dpss snid type max

    """

    dpss_snid_invalid = 0

    dpss_snid_index = 1

    dpss_snid_name = 2

    dpss_snid_type_max = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['DpssSnidEnum']


class IdentifierEnum(Enum):
    """
    IdentifierEnum

    Identifier

    .. data:: policy_ident_unspecified = 0

    	policy ident unspecified

    .. data:: policy_ident_authen_status = 1

    	policy ident authen status

    .. data:: policy_ident_dnis = 2

    	policy ident dnis

    .. data:: policy_ident_media = 3

    	policy ident media

    .. data:: policy_ident_mlp_negotiated = 4

    	policy ident mlp negotiated

    .. data:: policy_ident_nas_port = 5

    	policy ident nas port

    .. data:: policy_ident_no_user_name = 6

    	policy ident no user name

    .. data:: policy_ident_protocol = 7

    	policy ident protocol

    .. data:: policy_ident_service_name = 8

    	policy ident service name

    .. data:: policy_ident_source_address_ipv4 = 9

    	policy ident source address ipv4

    .. data:: policy_ident_source_address_ipv6 = 10

    	policy ident source address ipv6

    .. data:: policy_ident_source_address_mac = 11

    	policy ident source address mac

    .. data:: policy_ident_timer = 12

    	policy ident timer

    .. data:: policy_ident_tunnel_name = 13

    	policy ident tunnel name

    .. data:: policy_ident_auth_domain = 14

    	policy ident auth domain

    .. data:: policy_ident_auth_user_name = 15

    	policy ident auth user name

    .. data:: policy_ident_unauth_domain = 16

    	policy ident unauth domain

    .. data:: policy_ident_unauth_user_name = 17

    	policy ident unauth user name

    .. data:: policy_ident_max = 18

    	policy ident max

    """

    policy_ident_unspecified = 0

    policy_ident_authen_status = 1

    policy_ident_dnis = 2

    policy_ident_media = 3

    policy_ident_mlp_negotiated = 4

    policy_ident_nas_port = 5

    policy_ident_no_user_name = 6

    policy_ident_protocol = 7

    policy_ident_service_name = 8

    policy_ident_source_address_ipv4 = 9

    policy_ident_source_address_ipv6 = 10

    policy_ident_source_address_mac = 11

    policy_ident_timer = 12

    policy_ident_tunnel_name = 13

    policy_ident_auth_domain = 14

    policy_ident_auth_user_name = 15

    policy_ident_unauth_domain = 16

    policy_ident_unauth_user_name = 17

    policy_ident_max = 18


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['IdentifierEnum']


class MarkEnum(Enum):
    """
    MarkEnum

    Mark Type Enumeration

    .. data:: mark_type_none = 0

    	Mark None

    .. data:: mark_type_dscp = 1

    	Mark DSCP

    .. data:: mark_type_prec = 2

    	Mark Precedence

    .. data:: mark_type_mpls_exp_topmost = 3

    	Mark MPLS EXP on topmost header

    .. data:: mark_type_mpls_exp_imposition = 4

    	Mark MPLS EXP on imposition header

    .. data:: mark_type_qos_group = 5

    	Mark QoS Group

    .. data:: mark_type_discard_class = 6

    	Mark Discard Class

    .. data:: mark_type_cos = 7

    	Mark CoS

    .. data:: mark_type_cos_inner = 8

    	Mark COS Inner

    .. data:: mark_type_srp_priority = 9

    	Mark Priority

    .. data:: mark_type_atm_clp = 10

    	Mark ATM CLP

    .. data:: mark_type_fr_de = 11

    	Mark FR DE

    .. data:: mark_type_dscp_tunnel = 12

    	Mark DSCP in Tunnel Header

    .. data:: mark_type_prec_tunnel = 13

    	Mark Precedence in Tunnel Header

    .. data:: mark_type_dei = 14

    	Mark DEI

    .. data:: mark_type_dei_imposition = 15

    	Mark DEI on imposition header

    .. data:: mark_type_forward_class = 16

    	Mark forward class

    .. data:: mark_type_df = 17

    	Mark DF bit

    .. data:: mark_type_traffic_class = 18

    	Mark Traffic Class

    .. data:: mark_type_src_mac = 19

    	Mark source mac

    .. data:: mark_type_dst_mac = 20

    	Mark destination mac

    .. data:: mark_type_ipv4_src_addr = 21

    	Mark ipv4 source address

    .. data:: mark_type_ipv4_dst_addr = 22

    	Mark ipv4 destination address

    .. data:: mark_type_vlan_id = 23

    	Mark vlan id

    .. data:: mark_type_udp_src_port = 24

    	Mark type udp source port

    .. data:: mark_type_udp_dst_port = 25

    	Mark type udp destination port

    .. data:: mark_type_tcp_src_port = 26

    	Mark type tcp source port

    .. data:: mark_type_tcp_dst_port = 27

    	Mark type tcp destination port

    .. data:: mark_type_sctp_src_port = 28

    	Mark type sctp source port

    .. data:: mark_type_sctp_dst_port = 29

    	Mark type sctp destination port

    .. data:: mark_type_max = 30

    	Mark Type Max (Invalid)

    """

    mark_type_none = 0

    mark_type_dscp = 1

    mark_type_prec = 2

    mark_type_mpls_exp_topmost = 3

    mark_type_mpls_exp_imposition = 4

    mark_type_qos_group = 5

    mark_type_discard_class = 6

    mark_type_cos = 7

    mark_type_cos_inner = 8

    mark_type_srp_priority = 9

    mark_type_atm_clp = 10

    mark_type_fr_de = 11

    mark_type_dscp_tunnel = 12

    mark_type_prec_tunnel = 13

    mark_type_dei = 14

    mark_type_dei_imposition = 15

    mark_type_forward_class = 16

    mark_type_df = 17

    mark_type_traffic_class = 18

    mark_type_src_mac = 19

    mark_type_dst_mac = 20

    mark_type_ipv4_src_addr = 21

    mark_type_ipv4_dst_addr = 22

    mark_type_vlan_id = 23

    mark_type_udp_src_port = 24

    mark_type_udp_dst_port = 25

    mark_type_tcp_src_port = 26

    mark_type_tcp_dst_port = 27

    mark_type_sctp_src_port = 28

    mark_type_sctp_dst_port = 29

    mark_type_max = 30


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['MarkEnum']


class MatchAuthenStatusEnum(Enum):
    """
    MatchAuthenStatusEnum

    Match authen status

    .. data:: match_authen_status_unspecified = 0

    	match authen status unspecified

    .. data:: match_authen_status_authenticated = 1

    	match authen status authenticated

    .. data:: match_authen_status_unauthenticated = 2

    	match authen status unauthenticated

    .. data:: match_authen_status_max = 3

    	match authen status max

    """

    match_authen_status_unspecified = 0

    match_authen_status_authenticated = 1

    match_authen_status_unauthenticated = 2

    match_authen_status_max = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['MatchAuthenStatusEnum']


class MatchEnum(Enum):
    """
    MatchEnum

    Match Type

    .. data:: match_type_none = 0

    	Match Type None

    .. data:: match_type_ipv4_dscp = 1

    	Match Type IPv4 DSCP

    .. data:: match_type_ipv4_prec = 2

    	Match Type IPv4 Precedence

    .. data:: match_type_ipv6_dscp = 3

    	Match Type IPv6 DSCP

    .. data:: match_type_packet_length = 4

    	Match Type Packet length

    .. data:: match_type_ipv4_packet_length = 5

    	Match Type IPv4 Packet length

    .. data:: match_type_ipv6_packet_length = 6

    	Match Type IPv6 Packet length

    .. data:: match_type_flow_tag = 7

    	Match Type Flow Tag

    .. data:: match_type_icmpv4_type = 8

    	Match Type IPv4 icmp-type

    .. data:: match_type_icmpv4_code = 9

    	Match Type IPv4 icmp-code

    .. data:: match_type_icmpv6_type = 10

    	Match Type IPv6 icmp-type

    .. data:: match_type_icmpv6_code = 11

    	Match Type IPv6 icmp-code

    .. data:: match_type_ipv6_prec = 12

    	Match Type IPv6 Precedence

    .. data:: match_type_fragment_type = 13

    	Match type fragment-type

    .. data:: match_type_tcp_flag = 14

    	Match type TCP flag

    .. data:: match_type_dscp = 15

    	Match Type DSCP

    .. data:: match_type_prec = 16

    	Match Type Precedence

    .. data:: match_type_proto = 17

    	Match Type Protocol

    .. data:: match_type_proto_icmpv4 = 18

    	Match Type protocol ICMPv4

    .. data:: match_type_proto_icmpv6 = 19

    	Match Type protocol ICMPv6

    .. data:: match_type_mpls_exp_top = 20

    	Match Type MPLS EXP Topmost

    .. data:: match_type_mpls_exp_imp = 21

    	Match Type MPLS EXP Imposition

    .. data:: match_type_mpls_disp_ipv4_acl = 22

    	Match Type MPLS DISP IPv4 ACL

    .. data:: match_type_mpls_disp_ipv6_acl = 23

    	Match Type MPLS DISP IPv6 ACL

    .. data:: match_type_mpls_topmost_eos = 24

    	Match Type MPLS TOPMOST EOS

    .. data:: match_type_mpls_topmost_label = 25

    	Match Type MPLS TOPMOST LABEL

    .. data:: match_type_cos = 26

    	Match Type COS

    .. data:: match_type_cos_inner = 27

    	Match Type inner COS

    .. data:: match_type_dei = 28

    	Match Type DEI

    .. data:: match_type_dei_inner = 29

    	Match Type inner DEI

    .. data:: match_type_vlan = 30

    	Match Type VLAN

    .. data:: match_type_vlan_inner = 31

    	Match Type inner VLAN

    .. data:: match_type_fr_dlci = 32

    	Match Type  FR DLCI

    .. data:: match_type_src_mac = 33

    	Match Type Source MAC Address

    .. data:: match_type_dst_mac = 34

    	Match Type Destination MAC Address

    .. data:: match_type_atm_oam = 35

    	Match Type ATM OAM

    .. data:: match_type_atm_clp = 36

    	Match Type ATM CLP

    .. data:: match_type_fr_de = 37

    	Match Type FR DE

    .. data:: match_type_qos_grp = 38

    	Match Type QoS Group

    .. data:: match_type_traffic_class = 39

    	Match Type Traffic Class

    .. data:: match_type_disc_cls = 40

    	Match Type Discard Class

    .. data:: match_type_vpls_known = 41

    	Match Type VPLS Known

    .. data:: match_type_vpls_unknown = 42

    	Match Type VPLS Unknown

    .. data:: match_type_vpls_mcast = 43

    	Match Type VPLS Multicast

    .. data:: match_type_vpls_bcast = 44

    	Match Type VPLS Broadcast

    .. data:: match_type_vpls_control = 45

    	Match Type VPLS Control

    .. data:: match_type_ipv4_acl = 46

    	Match Type IPv4 ACL

    .. data:: match_type_ipv6_acl = 47

    	Match Type IPv6 ACL

    .. data:: match_type_flow_key = 48

    	Match Type Flow Key

    .. data:: match_type_avail_id = 49

    	Match Type Available Identifier

    .. data:: match_type_authen_status = 50

    	Match Type Authentication Status

    .. data:: match_type_media = 51

    	Match Type Media

    .. data:: match_type_mlp_negotiated = 52

    	Match Type MLP Negotiated

    .. data:: match_type_subs_protocol = 53

    	Match Type Protocol

    .. data:: match_type_dnis = 54

    	Match Type DNIS

    .. data:: match_type_dnis_regexp = 55

    	Match Type DNIS Regular Exp

    .. data:: match_type_domain = 56

    	Match Type Domain

    .. data:: match_type_domain_regexp = 57

    	Match Type Domain Regular Exp

    .. data:: match_type_nas_port = 58

    	Match Type NAS Port

    .. data:: match_type_service_name = 59

    	Match Type Service Name

    .. data:: match_type_service_name_regexp = 60

    	Match Type Service Name Regular Exp

    .. data:: match_type_src_addr_ipv4 = 61

    	Match Type Source Address IPV4

    .. data:: match_type_dst_addr_ipv4 = 62

    	Match Type Source Address IPV4

    .. data:: match_type_src_addr_ipv6 = 63

    	Match Type Source Address IPV6

    .. data:: match_type_dst_addr_ipv6 = 64

    	Match Type Source Address IPV6

    .. data:: match_type_src_addr_mac = 65

    	Match Type Source Address Mac

    .. data:: match_type_src_port = 66

    	Match Type Source Port

    .. data:: match_type_dst_port = 67

    	Match Type Source Port

    .. data:: match_type_timer = 68

    	Match Type Timer

    .. data:: match_type_timer_regexp = 69

    	Match Type Timer Regular Exp

    .. data:: match_type_tunnel_name = 70

    	Match Type Tunnel Name

    .. data:: match_type_tunnel_name_regexp = 71

    	Match Type Tunnel Name Regular Exp

    .. data:: match_type_user_name = 72

    	Match Type User Name

    .. data:: match_type_user_name_regexp = 73

    	Match Type User Name Regular Exp

    .. data:: match_type_auth_user_name = 74

    	Match Type Authenticated User Name

    .. data:: match_type_auth_user_name_regexp = 75

    	Match Type Authenticated Userame Reg Exp

    .. data:: match_type_unauth_user_name = 76

    	Match Type Unauthenticated Username

    .. data:: match_type_unauth_user_name_regexp = 77

    	Match Type Unauthenicated Username RegEx

    .. data:: match_type_no_user_name = 78

    	Match Type No Username

    .. data:: match_type_auth_domain = 79

    	Match Type Authenticated Domain

    .. data:: match_type_auth_domain_regexp = 80

    	Match Type Authenticated Domain RegEx

    .. data:: match_type_unauth_domain = 81

    	Match Type Unauthenticated Domain

    .. data:: match_type_unauth_domain_regexp = 82

    	Match Type Unauthenticated Domain RegEx

    .. data:: match_type_vendor_id = 83

    	Match Type Vendor ID

    .. data:: match_type_vendor_id_regexp = 84

    	Match Type Vendor ID RegEx

    .. data:: match_type_access_interface = 85

    	Match Type Access Interface

    .. data:: match_type_input_interface = 86

    	Match Type Input Interface

    .. data:: match_type_input_interface_hdl = 87

    	Match Type Input Interface handle

    .. data:: match_type_ether_type = 88

    	Match Type Ethernet Type

    .. data:: match_type_dhcp_client_id = 89

    	Match DHCP Client ID

    .. data:: match_type_dhcp_client_id_regexp = 90

    	Match DHCP Client ID RegEx

    .. data:: match_type_circuit_id = 91

    	Match Type Circuit ID

    .. data:: match_type_circuit_id_regexp = 92

    	Match Type Circuit ID RegEx

    .. data:: match_type_remote_id = 93

    	Match Type Remote ID

    .. data:: match_type_remote_id_regexp = 94

    	Match Type Remote ID RegEx

    .. data:: match_type_cac_admit_local = 95

    	Match Type CAC admitted

    .. data:: match_type_cac_unadmit_local = 96

    	Match Type CAC unadmitted

    .. data:: match_type_any_internal = 97

    	Match Type Any (Used only for class-default)

    .. data:: match_type_ethernet_service_s_acl = 98

    	Match Type Ethernet-Services ACL

    .. data:: match_type_ptrs = 99

    	Dummy match type for internal use

    .. data:: match_type_max = 100

    	Match Type Max (Invalid)

    """

    match_type_none = 0

    match_type_ipv4_dscp = 1

    match_type_ipv4_prec = 2

    match_type_ipv6_dscp = 3

    match_type_packet_length = 4

    match_type_ipv4_packet_length = 5

    match_type_ipv6_packet_length = 6

    match_type_flow_tag = 7

    match_type_icmpv4_type = 8

    match_type_icmpv4_code = 9

    match_type_icmpv6_type = 10

    match_type_icmpv6_code = 11

    match_type_ipv6_prec = 12

    match_type_fragment_type = 13

    match_type_tcp_flag = 14

    match_type_dscp = 15

    match_type_prec = 16

    match_type_proto = 17

    match_type_proto_icmpv4 = 18

    match_type_proto_icmpv6 = 19

    match_type_mpls_exp_top = 20

    match_type_mpls_exp_imp = 21

    match_type_mpls_disp_ipv4_acl = 22

    match_type_mpls_disp_ipv6_acl = 23

    match_type_mpls_topmost_eos = 24

    match_type_mpls_topmost_label = 25

    match_type_cos = 26

    match_type_cos_inner = 27

    match_type_dei = 28

    match_type_dei_inner = 29

    match_type_vlan = 30

    match_type_vlan_inner = 31

    match_type_fr_dlci = 32

    match_type_src_mac = 33

    match_type_dst_mac = 34

    match_type_atm_oam = 35

    match_type_atm_clp = 36

    match_type_fr_de = 37

    match_type_qos_grp = 38

    match_type_traffic_class = 39

    match_type_disc_cls = 40

    match_type_vpls_known = 41

    match_type_vpls_unknown = 42

    match_type_vpls_mcast = 43

    match_type_vpls_bcast = 44

    match_type_vpls_control = 45

    match_type_ipv4_acl = 46

    match_type_ipv6_acl = 47

    match_type_flow_key = 48

    match_type_avail_id = 49

    match_type_authen_status = 50

    match_type_media = 51

    match_type_mlp_negotiated = 52

    match_type_subs_protocol = 53

    match_type_dnis = 54

    match_type_dnis_regexp = 55

    match_type_domain = 56

    match_type_domain_regexp = 57

    match_type_nas_port = 58

    match_type_service_name = 59

    match_type_service_name_regexp = 60

    match_type_src_addr_ipv4 = 61

    match_type_dst_addr_ipv4 = 62

    match_type_src_addr_ipv6 = 63

    match_type_dst_addr_ipv6 = 64

    match_type_src_addr_mac = 65

    match_type_src_port = 66

    match_type_dst_port = 67

    match_type_timer = 68

    match_type_timer_regexp = 69

    match_type_tunnel_name = 70

    match_type_tunnel_name_regexp = 71

    match_type_user_name = 72

    match_type_user_name_regexp = 73

    match_type_auth_user_name = 74

    match_type_auth_user_name_regexp = 75

    match_type_unauth_user_name = 76

    match_type_unauth_user_name_regexp = 77

    match_type_no_user_name = 78

    match_type_auth_domain = 79

    match_type_auth_domain_regexp = 80

    match_type_unauth_domain = 81

    match_type_unauth_domain_regexp = 82

    match_type_vendor_id = 83

    match_type_vendor_id_regexp = 84

    match_type_access_interface = 85

    match_type_input_interface = 86

    match_type_input_interface_hdl = 87

    match_type_ether_type = 88

    match_type_dhcp_client_id = 89

    match_type_dhcp_client_id_regexp = 90

    match_type_circuit_id = 91

    match_type_circuit_id_regexp = 92

    match_type_remote_id = 93

    match_type_remote_id_regexp = 94

    match_type_cac_admit_local = 95

    match_type_cac_unadmit_local = 96

    match_type_any_internal = 97

    match_type_ethernet_service_s_acl = 98

    match_type_ptrs = 99

    match_type_max = 100


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['MatchEnum']


class MatchLogicalOperatorEnum(Enum):
    """
    MatchLogicalOperatorEnum

    Logical Operators

    .. data:: match_operator_unspecified = 0

    	match operator unspecified

    .. data:: match_equal_to = 1

    	match equal to

    .. data:: match_greater_than = 2

    	match greater than

    .. data:: match_greater_than_or_equal = 3

    	match greater than or equal

    .. data:: match_less_than = 4

    	match less than

    .. data:: match_less_than_or_equal = 5

    	match less than or equal

    .. data:: match_operator_max = 6

    	match operator max

    """

    match_operator_unspecified = 0

    match_equal_to = 1

    match_greater_than = 2

    match_greater_than_or_equal = 3

    match_less_than = 4

    match_less_than_or_equal = 5

    match_operator_max = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['MatchLogicalOperatorEnum']


class MatchMlpNegotiatedEnum(Enum):
    """
    MatchMlpNegotiatedEnum

    Match mlp negotiated

    .. data:: match_mlp_negotiated_unspecified = 0

    	match mlp negotiated unspecified

    .. data:: match_mlp_negotiated = 1

    	match mlp negotiated

    .. data:: match_mlp_not_negotiated = 2

    	match mlp not negotiated

    .. data:: match_mlp_max = 3

    	match mlp max

    """

    match_mlp_negotiated_unspecified = 0

    match_mlp_negotiated = 1

    match_mlp_not_negotiated = 2

    match_mlp_max = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['MatchMlpNegotiatedEnum']


class MatchNasPortSubIdEnum(Enum):
    """
    MatchNasPortSubIdEnum

    Match nas port sub id

    .. data:: match_nas_port_sub_id_unspecified = 0

    	match nas port sub id unspecified

    .. data:: match_nas_port_sub_id_adapter = 1

    	match nas port sub id adapter

    .. data:: match_nas_port_sub_id_channel = 2

    	match nas port sub id channel

    .. data:: match_nas_port_sub_id_ip_addr = 3

    	match nas port sub id ip addr

    .. data:: match_nas_port_sub_id_port = 4

    	match nas port sub id port

    .. data:: match_nas_port_sub_id_shelf = 5

    	match nas port sub id shelf

    .. data:: match_nas_port_sub_id_slot = 6

    	match nas port sub id slot

    .. data:: match_nas_port_sub_id_sub_interface = 7

    	match nas port sub id sub interface

    .. data:: match_nas_port_sub_id_type = 8

    	match nas port sub id type

    .. data:: match_nas_port_sub_id_vci = 9

    	match nas port sub id vci

    .. data:: match_nas_port_sub_id_vlan = 10

    	match nas port sub id vlan

    .. data:: match_nas_port_sub_id_vpi = 11

    	match nas port sub id vpi

    .. data:: match_nas_port_sub_id_max = 12

    	match nas port sub id max

    """

    match_nas_port_sub_id_unspecified = 0

    match_nas_port_sub_id_adapter = 1

    match_nas_port_sub_id_channel = 2

    match_nas_port_sub_id_ip_addr = 3

    match_nas_port_sub_id_port = 4

    match_nas_port_sub_id_shelf = 5

    match_nas_port_sub_id_slot = 6

    match_nas_port_sub_id_sub_interface = 7

    match_nas_port_sub_id_type = 8

    match_nas_port_sub_id_vci = 9

    match_nas_port_sub_id_vlan = 10

    match_nas_port_sub_id_vpi = 11

    match_nas_port_sub_id_max = 12


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['MatchNasPortSubIdEnum']


class PclassExecStratEnum(Enum):
    """
    PclassExecStratEnum

    Policy class execution strategy

    .. data:: pclass_exe_strat_unspecified = 0

    	Unspecified

    .. data:: pclass_exe_strat_do_all = 1

    	Exec all actions

    .. data:: pclass_exe_strat_do_until_success = 2

    	Exec until one of actions succeeds

    .. data:: pclass_exe_strat_do_until_failure = 3

    	Exec until there is a failure

    .. data:: pclass_exe_strat_max = 4

    	Invalid

    """

    pclass_exe_strat_unspecified = 0

    pclass_exe_strat_do_all = 1

    pclass_exe_strat_do_until_success = 2

    pclass_exe_strat_do_until_failure = 3

    pclass_exe_strat_max = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PclassExecStratEnum']


class PeventCondEvalEnum(Enum):
    """
    PeventCondEvalEnum

    Policy event execution strategy enumeration

    .. data:: pevent_cond_eval_unspecified = 0

    	Unspecified execution strategy

    .. data:: pevent_cond_eval_match_first = 1

    	Match-first execution strategy

    .. data:: pevent_cond_eval_match_all = 2

    	Match-all execution strategy

    .. data:: pevent_cond_eval_max = 3

    	Internal use only

    """

    pevent_cond_eval_unspecified = 0

    pevent_cond_eval_match_first = 1

    pevent_cond_eval_match_all = 2

    pevent_cond_eval_max = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PeventCondEvalEnum']


class PeventEnum(Enum):
    """
    PeventEnum

    Policy event enumeration

    .. data:: pevent_type_unspecified = 0

    	Unspecified event

    .. data:: pevent_type_acct_logon = 1

    	Log on event

    .. data:: pevent_type_acct_logoff = 2

    	Log off event

    .. data:: pevent_type_credit_exhausted = 3

    	Credit exhausted event

    .. data:: pevent_type_idle_timeout = 4

    	Idle timeout event

    .. data:: pevent_type_absolute_timeout = 5

    	Absolute timeout event

    .. data:: pevent_type_quota_depleted = 6

    	Quota depletion event

    .. data:: pevent_type_service_start = 7

    	Service start event

    .. data:: pevent_type_service_stop = 8

    	Service stop event

    .. data:: pevent_type_session_start = 9

    	Session start event

    .. data:: pevent_type_session_activate = 10

    	Session activate event

    .. data:: pevent_type_session_restart = 11

    	Session restart event

    .. data:: pevent_type_session_stop = 12

    	Session stop event

    .. data:: pevent_type_session_disconnect = 13

    	Session disconnect event

    .. data:: pevent_type_session_update = 14

    	Session update event

    .. data:: pevent_type_flow_start = 15

    	Flow start event

    .. data:: pevent_type_flow_stop = 16

    	Flow stop event

    .. data:: pevent_type_accouting_start = 17

    	Accounting start event

    .. data:: pevent_type_acountng_g_stop = 18

    	Accounting stop event

    .. data:: pevent_type_acountng_g_update = 19

    	Accounting update event

    .. data:: pevent_type_timer_expiry = 20

    	Timer expierd event

    .. data:: pevent_type_threshold_reached = 21

    	Threshold reached event

    .. data:: pevent_type_ka_success = 22

    	Keep alive success event

    .. data:: pevent_type_ka_failure = 23

    	Keep alive failure event

    .. data:: pevent_type_link_up = 24

    	Link up event

    .. data:: pevent_type_link_down = 25

    	Link down event

    .. data:: pevent_type_authorization_failure = 26

    	Authorization failure event

    .. data:: pevent_type_authorization_no_response = 27

    	Authorization no response event

    .. data:: pevent_type_authentication_failure = 28

    	Authentication failure event

    .. data:: pevent_type_authentication_no_response = 29

    	Authentication no response event

    .. data:: pevent_type_exception = 30

    	Exception event

    .. data:: pevent_type_session_ident_chg = 31

    	Session identity change event

    .. data:: pevent_type_max = 32

    	Internal use only

    """

    pevent_type_unspecified = 0

    pevent_type_acct_logon = 1

    pevent_type_acct_logoff = 2

    pevent_type_credit_exhausted = 3

    pevent_type_idle_timeout = 4

    pevent_type_absolute_timeout = 5

    pevent_type_quota_depleted = 6

    pevent_type_service_start = 7

    pevent_type_service_stop = 8

    pevent_type_session_start = 9

    pevent_type_session_activate = 10

    pevent_type_session_restart = 11

    pevent_type_session_stop = 12

    pevent_type_session_disconnect = 13

    pevent_type_session_update = 14

    pevent_type_flow_start = 15

    pevent_type_flow_stop = 16

    pevent_type_accouting_start = 17

    pevent_type_acountng_g_stop = 18

    pevent_type_acountng_g_update = 19

    pevent_type_timer_expiry = 20

    pevent_type_threshold_reached = 21

    pevent_type_ka_success = 22

    pevent_type_ka_failure = 23

    pevent_type_link_up = 24

    pevent_type_link_down = 25

    pevent_type_authorization_failure = 26

    pevent_type_authorization_no_response = 27

    pevent_type_authentication_failure = 28

    pevent_type_authentication_no_response = 29

    pevent_type_exception = 30

    pevent_type_session_ident_chg = 31

    pevent_type_max = 32


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PeventEnum']


class PlmgrApplnEnum(Enum):
    """
    PlmgrApplnEnum

    Different Application types

    .. data:: qos = 1

    	Application type QOS

    .. data:: pbr = 2

    	Application type PBR

    .. data:: subscriber_control = 3

    	Application type subscriber control

    .. data:: accounting = 4

    	Application type accounting

    .. data:: traffic = 5

    	Application type traffic

    .. data:: performance_traffic = 6

    	Application type performance traffic

    """

    qos = 1

    pbr = 2

    subscriber_control = 3

    accounting = 4

    traffic = 5

    performance_traffic = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PlmgrApplnEnum']


class PlmgrVarEnum(Enum):
    """
    PlmgrVarEnum

    Type of default variable values

    .. data:: plmgr_var_type_class_name = 0

    	plmgr var type class name

    .. data:: plmgr_var_type_uint8 = 1

    	plmgr var type uint8

    .. data:: plmgr_var_type_uint16 = 2

    	plmgr var type uint16

    .. data:: plmgr_var_type_uint32 = 3

    	plmgr var type uint32

    .. data:: plmgr_var_type_param_uint32 = 4

    	plmgr var type param uint32

    .. data:: plmgr_var_type_dscp = 5

    	plmgr var type dscp

    .. data:: plmgr_var_type_prec = 6

    	plmgr var type prec

    .. data:: plmgr_var_type_max = 7

    	plmgr var type max

    """

    plmgr_var_type_class_name = 0

    plmgr_var_type_uint8 = 1

    plmgr_var_type_uint16 = 2

    plmgr_var_type_uint32 = 3

    plmgr_var_type_param_uint32 = 4

    plmgr_var_type_dscp = 5

    plmgr_var_type_prec = 6

    plmgr_var_type_max = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PlmgrVarEnum']


class PoliceActionEnum(Enum):
    """
    PoliceActionEnum

    Policer Action Type

    .. data:: police_action_none = 0

    	Policer Action None

    .. data:: police_action_transmit = 1

    	Policer Action Transmit

    .. data:: police_action_drop = 2

    	Policer Action Drop

    .. data:: police_action_mark = 3

    	Policer Action Mark

    .. data:: police_action_max = 4

    	Policer Action Max

    """

    police_action_none = 0

    police_action_transmit = 1

    police_action_drop = 2

    police_action_mark = 3

    police_action_max = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PoliceActionEnum']


class PolicyActionEnum(Enum):
    """
    PolicyActionEnum

    Policy Actions Enumeration

    .. data:: policy_action_none = 0

    	Policy Action None

    .. data:: policy_action_unspecified = 1

    	Policy Action is not specified

    .. data:: policy_action_mark = 2

    	Policy Action Mark

    .. data:: policy_action_mark2 = 3

    	Policy Action Mark2

    .. data:: policy_action_wred = 4

    	Policy Action WRED

    .. data:: policy_action_encap_seq = 5

    	Policy action encap-sequence number

    .. data:: policy_action_priority = 6

    	Policy Action Priority Queue

    .. data:: policy_action_iphc = 7

    	Policy Action IP Header Compression

    .. data:: policy_action_bw_remaining = 8

    	Policy Action Bandwidth Remaining Queue

    .. data:: policy_action_min_bw = 9

    	Policy Action Minimum Bandwidth Queue

    .. data:: policy_action_authenticate_aaa = 10

    	Policy Action authenticate

    .. data:: policy_action_collect_id = 11

    	Policy Action collect identifier

    .. data:: policy_action_disconnect = 12

    	Policy Action disconnect session

    .. data:: policy_action_set_timer = 13

    	Policy Action set timer

    .. data:: policy_action_stop_timer = 14

    	Policy Action stop timer

    .. data:: policy_action_query_ancp = 15

    	Policy Action query ancp

    .. data:: policy_action_accounting_aaa_list = 16

    	Policy Action accounting aaa

    .. data:: policy_action_prepaid_config = 17

    	Policy Action prepaid config

    .. data:: policy_action_timeout_idle = 18

    	Policy Action timeout idle

    .. data:: policy_action_proxy_aaa = 19

    	Policy Action proxy aaa

    .. data:: policy_action_template_activate = 20

    	Policy Action activate template

    .. data:: policy_action_template_deactivate = 21

    	Policy Action deactivate template

    .. data:: policy_action_decode_identifier = 22

    	Policy Action decode identifier

    .. data:: policy_action_q_limit = 23

    	Policy Action Queue Limit

    .. data:: policy_action_authorize_id = 24

    	Policy Action authorize idetifier

    .. data:: policy_action_accounting_event_aaa_list = 25

    	Policy Action accounting event

    .. data:: policy_action_afmon_react = 26

    	Policy Action React (afmon)

    .. data:: policy_action_httpr = 27

    	Policy Action httpr (pbr)

    .. data:: policy_action_pbr_transmit = 28

    	Policy Action pbr transmit

    .. data:: policy_action_pbr_drop = 29

    	Policy Action pbr drop

    .. data:: policy_action_punt = 30

    	Policy Action pbr punt

    .. data:: policy_action_copy = 31

    	Policy Action pbr copy

    .. data:: policy_action_sfrag = 32

    	Policy Action Service fragment

    .. data:: policy_action_monitor = 33

    	Policy Action Monitor

    .. data:: policy_action_redirect = 34

    	Policy Action redirect

    .. data:: policy_action_ipv4_nh = 35

    	Policy Action ipv4 next hop

    .. data:: policy_action_ipv6_nh = 36

    	Policy Action ipv6 next hop

    .. data:: policy_action_vlan_pop = 37

    	Policy Action pop

    .. data:: policy_action_pbr_next_hop = 38

    	Policy Action PBR Forward

    .. data:: policy_action_decap_gre = 39

    	Policy Action decapsule GRE

    .. data:: policy_action_output_interface = 40

    	Policy Action PBR redirect interface

    .. data:: policy_action_service_function_path = 41

    	Policy Action PBR service chaining

    .. data:: policy_action_ptrs = 42

    	Dummy action for internal use

    .. data:: policy_action_police = 43

    	Policy Action Police

    .. data:: policy_action_shape = 44

    	Policy Action Shape

    .. data:: policy_action_serv_pol = 45

    	Policy Action Service Policy

    .. data:: policy_action_cac = 46

    	Policy Action CAC

    .. data:: policy_action_afmon_flow_parm = 47

    	Policy Action Flow params (afmon)

    .. data:: policy_action_afmon_ipcbr_metric = 48

    	Policy Action IP-CBR Metric (afmon)

    .. data:: policy_action_afmon_rtp_metric = 49

    	Policy Action RTP-Custom Metric (afmon)

    .. data:: policy_action_afmon_rtp_mmr_metric = 50

    	Policy Action RTP-MMR Metric (afmon)

    .. data:: policy_action_afmon_rtp_j2k_metric = 51

    	Policy Action RTP-J2K Metric (afmon)

    .. data:: policy_action_afmon_rtp_voice_metric = 52

    	Policy Action RTP-Voice Metric (afmon)

    .. data:: policy_action_afmon_mdi_metric = 53

    	Policy Action MDI Metric (afmon)

    .. data:: policy_action_afmon_mdi_rtp_metric = 54

    	Policy Action MDI RTP Metric (afmon)

    .. data:: policy_action_afmon_fmm = 55

    	Policy Action flow monitor (afmon)

    .. data:: policy_action_pfc = 56

    	Policy Action PFC

    .. data:: policy_action_max = 57

    	Policy Action Max (Invalid)

    """

    policy_action_none = 0

    policy_action_unspecified = 1

    policy_action_mark = 2

    policy_action_mark2 = 3

    policy_action_wred = 4

    policy_action_encap_seq = 5

    policy_action_priority = 6

    policy_action_iphc = 7

    policy_action_bw_remaining = 8

    policy_action_min_bw = 9

    policy_action_authenticate_aaa = 10

    policy_action_collect_id = 11

    policy_action_disconnect = 12

    policy_action_set_timer = 13

    policy_action_stop_timer = 14

    policy_action_query_ancp = 15

    policy_action_accounting_aaa_list = 16

    policy_action_prepaid_config = 17

    policy_action_timeout_idle = 18

    policy_action_proxy_aaa = 19

    policy_action_template_activate = 20

    policy_action_template_deactivate = 21

    policy_action_decode_identifier = 22

    policy_action_q_limit = 23

    policy_action_authorize_id = 24

    policy_action_accounting_event_aaa_list = 25

    policy_action_afmon_react = 26

    policy_action_httpr = 27

    policy_action_pbr_transmit = 28

    policy_action_pbr_drop = 29

    policy_action_punt = 30

    policy_action_copy = 31

    policy_action_sfrag = 32

    policy_action_monitor = 33

    policy_action_redirect = 34

    policy_action_ipv4_nh = 35

    policy_action_ipv6_nh = 36

    policy_action_vlan_pop = 37

    policy_action_pbr_next_hop = 38

    policy_action_decap_gre = 39

    policy_action_output_interface = 40

    policy_action_service_function_path = 41

    policy_action_ptrs = 42

    policy_action_police = 43

    policy_action_shape = 44

    policy_action_serv_pol = 45

    policy_action_cac = 46

    policy_action_afmon_flow_parm = 47

    policy_action_afmon_ipcbr_metric = 48

    policy_action_afmon_rtp_metric = 49

    policy_action_afmon_rtp_mmr_metric = 50

    policy_action_afmon_rtp_j2k_metric = 51

    policy_action_afmon_rtp_voice_metric = 52

    policy_action_afmon_mdi_metric = 53

    policy_action_afmon_mdi_rtp_metric = 54

    policy_action_afmon_fmm = 55

    policy_action_pfc = 56

    policy_action_max = 57


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicyActionEnum']


class PolicyMapEnum(Enum):
    """
    PolicyMapEnum

    Policy map

    .. data:: policy_map_type_none = 0

    	policy map type none

    .. data:: policy_map_type_qos = 1

    	policy map type qos

    .. data:: policy_map_type_pbr = 2

    	policy map type pbr

    .. data:: policy_map_type_traffic = 3

    	policy map type traffic

    .. data:: policy_map_type_subs_control = 4

    	policy map type subs control

    .. data:: policy_map_type_accounting = 5

    	policy map type accounting

    .. data:: policy_map_type_redirect = 6

    	policy map type redirect

    .. data:: policy_map_type_afmon = 7

    	policy map type afmon

    .. data:: policy_map_type_merge = 8

    	policy map type merge

    .. data:: policy_map_type_max = 9

    	policy map type max

    """

    policy_map_type_none = 0

    policy_map_type_qos = 1

    policy_map_type_pbr = 2

    policy_map_type_traffic = 3

    policy_map_type_subs_control = 4

    policy_map_type_accounting = 5

    policy_map_type_redirect = 6

    policy_map_type_afmon = 7

    policy_map_type_merge = 8

    policy_map_type_max = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicyMapEnum']


class PolicyObjEncEnum(Enum):
    """
    PolicyObjEncEnum

    Child policy related encoding information

    .. data:: policy_obj_enc_name = 0

    	Name of the Policy

    .. data:: policy_obj_enc_hdl = 1

    	Policy Handle

    .. data:: policy_obj_enc_var_idx = 2

    	Policy Variable Index

    .. data:: policy_obj_enc_in_line = 3

    	Inline Class

    """

    policy_obj_enc_name = 0

    policy_obj_enc_hdl = 1

    policy_obj_enc_var_idx = 2

    policy_obj_enc_in_line = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicyObjEncEnum']


class PolicyParamUnitEnum(Enum):
    """
    PolicyParamUnitEnum

    Policy param unit

    .. data:: policy_param_unit_invalid = 0

    	policy param unit invalid

    .. data:: policy_param_unit_bytes = 1

    	policy param unit bytes

    .. data:: policy_param_unit_kbytes = 2

    	policy param unit kbytes

    .. data:: policy_param_unit_mbytes = 3

    	policy param unit mbytes

    .. data:: policy_param_unit_gbytes = 4

    	policy param unit gbytes

    .. data:: policy_param_unit_bitsps = 5

    	policy param unit bitsps

    .. data:: policy_param_unit_kbitsps = 6

    	policy param unit kbitsps

    .. data:: policy_param_unit_mbitsps = 7

    	policy param unit mbitsps

    .. data:: policy_param_unit_gbitsps = 8

    	policy param unit gbitsps

    .. data:: policy_param_unit_cells_ps = 9

    	policy param unit cells ps

    .. data:: policy_param_unit_packets_ps = 10

    	policy param unit packets ps

    .. data:: policy_param_unit_us = 11

    	policy param unit us

    .. data:: policy_param_unit_ms = 12

    	policy param unit ms

    .. data:: policy_param_unit_seconds = 13

    	policy param unit seconds

    .. data:: policy_param_unit_packets = 14

    	policy param unit packets

    .. data:: policy_param_unit_cells = 15

    	policy param unit cells

    .. data:: policy_param_unit_percent = 16

    	policy param unit percent

    .. data:: policy_param_unit_per_thousand = 17

    	policy param unit per thousand

    .. data:: policy_param_unit_per_million = 18

    	policy param unit per million

    .. data:: policy_param_unit_hz = 19

    	policy param unit hz

    .. data:: policy_param_unit_khz = 20

    	policy param unit khz

    .. data:: policy_param_unit_mhz = 21

    	policy param unit mhz

    .. data:: policy_param_unit_ratio = 22

    	policy param unit ratio

    .. data:: policy_param_unit_max = 23

    	policy param unit max

    """

    policy_param_unit_invalid = 0

    policy_param_unit_bytes = 1

    policy_param_unit_kbytes = 2

    policy_param_unit_mbytes = 3

    policy_param_unit_gbytes = 4

    policy_param_unit_bitsps = 5

    policy_param_unit_kbitsps = 6

    policy_param_unit_mbitsps = 7

    policy_param_unit_gbitsps = 8

    policy_param_unit_cells_ps = 9

    policy_param_unit_packets_ps = 10

    policy_param_unit_us = 11

    policy_param_unit_ms = 12

    policy_param_unit_seconds = 13

    policy_param_unit_packets = 14

    policy_param_unit_cells = 15

    policy_param_unit_percent = 16

    policy_param_unit_per_thousand = 17

    policy_param_unit_per_million = 18

    policy_param_unit_hz = 19

    policy_param_unit_khz = 20

    policy_param_unit_mhz = 21

    policy_param_unit_ratio = 22

    policy_param_unit_max = 23


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicyParamUnitEnum']


class PolicymgrClassMapEnum(Enum):
    """
    PolicymgrClassMapEnum

    Policymgr class map

    .. data:: qos = 1

    	QoS Classmap

    .. data:: pbr = 2

    	PBR Classmap

    .. data:: traffic = 3

    	TRAFFIC Classmap

    .. data:: subscriber_control = 4

    	SUBSCONTROL Classmap

    """

    qos = 1

    pbr = 2

    traffic = 3

    subscriber_control = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicymgrClassMapEnum']


class PolicymgrPolicyMapEnum(Enum):
    """
    PolicymgrPolicyMapEnum

    Policymgr policy map

    .. data:: qos = 1

    	QoS Policymap

    .. data:: pbr = 2

    	PBR Policymap

    .. data:: traffic = 3

    	TRAFFIC Policymap

    .. data:: subscriber_control = 4

    	SUBSCONTROL Policymap

    .. data:: accounting = 5

    	ACCOUNTING Policymap

    .. data:: redirect = 6

    	REDIRECT Policy map

    .. data:: flow_monitor = 7

    	FlOWMONITOR Policy map

    """

    qos = 1

    pbr = 2

    traffic = 3

    subscriber_control = 4

    accounting = 5

    redirect = 6

    flow_monitor = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicymgrPolicyMapEnum']


class QlimitEnum(Enum):
    """
    QlimitEnum

    Queue Limit Types

    .. data:: qlimit_cmd = 0

    	Queue Limit

    .. data:: qlimit_discard_class = 1

    	Queue Limit based on Discard Class

    .. data:: qlimit_qos_group = 2

    	Queue Limit based on Qos Group

    .. data:: qlimit_precedence = 3

    	Queue Limit based on Precedence

    .. data:: qlimit_mpls_exp = 4

    	Queue Limit based on Mpls Exp

    .. data:: qlimit_dscp = 5

    	Queue Limit based on Dscp

    .. data:: qlimit_max = 6

    	Queue Limit Max (Invalid)

    """

    qlimit_cmd = 0

    qlimit_discard_class = 1

    qlimit_qos_group = 2

    qlimit_precedence = 3

    qlimit_mpls_exp = 4

    qlimit_dscp = 5

    qlimit_max = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['QlimitEnum']


class SharedBucketEnum(Enum):
    """
    SharedBucketEnum

    Shared bucket

    .. data:: shared_bucket_type_not_specified = 0

    	shared bucket type not specified

    .. data:: shared_bucket_referred = 1

    	shared bucket referred

    .. data:: shared_bucket_defined = 2

    	shared bucket defined

    """

    shared_bucket_type_not_specified = 0

    shared_bucket_referred = 1

    shared_bucket_defined = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['SharedBucketEnum']


class VsvcServiceEnum(Enum):
    """
    VsvcServiceEnum

    Vsvc service

    .. data:: vsvc_service_invalid = 0

    	vsvc service invalid

    .. data:: vsvc_service_v_path = 1

    	vsvc service v path

    .. data:: vsvc_service_ipsec = 2

    	vsvc service ipsec

    .. data:: vsvc_service_cgn = 3

    	vsvc service cgn

    .. data:: vsvc_service_o_flow = 4

    	vsvc service o flow

    .. data:: vsvc_service_output = 5

    	vsvc service output

    .. data:: vsvc_service_cfg_v_path = 6

    	vsvc service cfg v path

    .. data:: vsvc_service_sfp = 7

    	vsvc service sfp

    .. data:: vsvc_service_sfl = 8

    	vsvc service sfl

    .. data:: vsvc_service_sffl = 9

    	vsvc service sffl

    .. data:: vsvc_service_max = 10

    	vsvc service max

    """

    vsvc_service_invalid = 0

    vsvc_service_v_path = 1

    vsvc_service_ipsec = 2

    vsvc_service_cgn = 3

    vsvc_service_o_flow = 4

    vsvc_service_output = 5

    vsvc_service_cfg_v_path = 6

    vsvc_service_sfp = 7

    vsvc_service_sfl = 8

    vsvc_service_sffl = 9

    vsvc_service_max = 10


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['VsvcServiceEnum']


class WredEnum(Enum):
    """
    WredEnum

    Wred

    .. data:: wred_cos_cmd = 0

    	wred cos cmd

    .. data:: wred_dscp_cmd = 1

    	wred dscp cmd

    .. data:: wred_precedence_cmd = 2

    	wred precedence cmd

    .. data:: wred_discard_class_cmd = 3

    	wred discard class cmd

    .. data:: wred_mpls_exp_cmd = 4

    	wred mpls exp cmd

    .. data:: red_with_user_min_max = 5

    	red with user min max

    .. data:: red_with_default_min_max = 6

    	red with default min max

    .. data:: wred_dei_cmd = 7

    	wred dei cmd

    .. data:: wred_ecn_cmd = 8

    	wred ecn cmd

    .. data:: wred_invalid_cmd = 9

    	wred invalid cmd

    """

    wred_cos_cmd = 0

    wred_dscp_cmd = 1

    wred_precedence_cmd = 2

    wred_discard_class_cmd = 3

    wred_mpls_exp_cmd = 4

    red_with_user_min_max = 5

    red_with_default_min_max = 6

    wred_dei_cmd = 7

    wred_ecn_cmd = 8

    wred_invalid_cmd = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['WredEnum']



class PolicyManager(object):
    """
    Policy\-map operational data
    
    .. attribute:: global_
    
    	Global QOS operational data
    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_>`
    
    .. attribute:: nodes
    
    	Node\-specific Policymgr operational data
    	**type**\:   :py:class:`Nodes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes>`
    
    

    """

    _prefix = 'infra-policymgr-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.global_ = PolicyManager.Global_()
        self.global_.parent = self
        self.nodes = PolicyManager.Nodes()
        self.nodes.parent = self


    class Global_(object):
        """
        Global QOS operational data
        
        .. attribute:: class_map
        
        	List of classmap details
        	**type**\:   :py:class:`ClassMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap>`
        
        .. attribute:: policy_map
        
        	List of policymap details
        	**type**\:   :py:class:`PolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap>`
        
        .. attribute:: policy_map_applied_types
        
        	List of Applied policymap details
        	**type**\:   :py:class:`PolicyMapAppliedTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes>`
        
        .. attribute:: summary
        
        	Summary of policy\-maps and class\-maps configured
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary>`
        
        .. attribute:: target_policy_map_types
        
        	Targets of a policymap
        	**type**\:   :py:class:`TargetPolicyMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes>`
        
        .. attribute:: transient_policy_map_applied_types
        
        	Transient policy\-map applied type
        	**type**\:   :py:class:`TransientPolicyMapAppliedTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes>`
        
        .. attribute:: transient_policy_map_targets_types
        
        	Transient policy\-map target table
        	**type**\:   :py:class:`TransientPolicyMapTargetsTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes>`
        
        

        """

        _prefix = 'infra-policymgr-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.class_map = PolicyManager.Global_.ClassMap()
            self.class_map.parent = self
            self.policy_map = PolicyManager.Global_.PolicyMap()
            self.policy_map.parent = self
            self.policy_map_applied_types = PolicyManager.Global_.PolicyMapAppliedTypes()
            self.policy_map_applied_types.parent = self
            self.summary = PolicyManager.Global_.Summary()
            self.summary.parent = self
            self.target_policy_map_types = PolicyManager.Global_.TargetPolicyMapTypes()
            self.target_policy_map_types.parent = self
            self.transient_policy_map_applied_types = PolicyManager.Global_.TransientPolicyMapAppliedTypes()
            self.transient_policy_map_applied_types.parent = self
            self.transient_policy_map_targets_types = PolicyManager.Global_.TransientPolicyMapTargetsTypes()
            self.transient_policy_map_targets_types.parent = self


        class PolicyMapAppliedTypes(object):
            """
            List of Applied policymap details
            
            .. attribute:: policy_map_applied_type
            
            	Policymgr application type
            	**type**\: list of    :py:class:`PolicyMapAppliedType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.policy_map_applied_type = YList()
                self.policy_map_applied_type.parent = self
                self.policy_map_applied_type.name = 'policy_map_applied_type'


            class PolicyMapAppliedType(object):
                """
                Policymgr application type
                
                .. attribute:: type  <key>
                
                	The application type
                	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                
                .. attribute:: if_names
                
                	Interface table
                	**type**\:   :py:class:`IfNames <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.type = None
                    self.if_names = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames()
                    self.if_names.parent = self


                class IfNames(object):
                    """
                    Interface table
                    
                    .. attribute:: if_name
                    
                    	WORD interface name
                    	**type**\: list of    :py:class:`IfName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.if_name = YList()
                        self.if_name.parent = self
                        self.if_name.name = 'if_name'


                    class IfName(object):
                        """
                        WORD interface name
                        
                        .. attribute:: interface_name  <key>
                        
                        	Name of the interface
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: input
                        
                        	Input direction table
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input>`
                        
                        .. attribute:: output
                        
                        	Output direction table
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.interface_name = None
                            self.input = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input()
                            self.input.parent = self
                            self.output = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Input direction table
                            
                            .. attribute:: detail
                            
                            	WORD interface name
                            	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.detail = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail()
                                self.detail.parent = self


                            class Detail(object):
                                """
                                WORD interface name
                                
                                .. attribute:: parent_pmap_name
                                
                                	parent pmap name
                                	**type**\:  str
                                
                                	**length:** 0..65
                                
                                .. attribute:: pmap_type
                                
                                	pmap type
                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                
                                .. attribute:: pmap_var
                                
                                	pmap var
                                	**type**\: list of    :py:class:`PmapVar <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar>`
                                
                                .. attribute:: pmaps
                                
                                	pmaps
                                	**type**\: list of    :py:class:`Pmaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps>`
                                
                                .. attribute:: subscriber_grp
                                
                                	subscriber grp
                                	**type**\:  list of str
                                
                                	**length:** 0..65
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.parent_pmap_name = None
                                    self.pmap_type = None
                                    self.pmap_var = YList()
                                    self.pmap_var.parent = self
                                    self.pmap_var.name = 'pmap_var'
                                    self.pmaps = YList()
                                    self.pmaps.parent = self
                                    self.pmaps.name = 'pmaps'
                                    self.subscriber_grp = YLeafList()
                                    self.subscriber_grp.parent = self
                                    self.subscriber_grp.name = 'subscriber_grp'


                                class Pmaps(object):
                                    """
                                    pmaps
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmaps'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps']['meta_info']


                                class PmapVar(object):
                                    """
                                    pmap var
                                    
                                    .. attribute:: var
                                    
                                    	var
                                    	**type**\: list of    :py:class:`Var <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar.Var>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.var = YList()
                                        self.var.parent = self
                                        self.var.name = 'var'


                                    class Var(object):
                                        """
                                        var
                                        
                                        .. attribute:: class_name
                                        
                                        	class name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: dscp_val
                                        
                                        	dscp val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: param_uint32_val
                                        
                                        	param uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: prec_val
                                        
                                        	prec val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                        
                                        .. attribute:: uint16_val
                                        
                                        	uint16 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: uint32_val
                                        
                                        	uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: uint8_val
                                        
                                        	uint8 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.class_name = None
                                            self.dscp_val = None
                                            self.param_uint32_val = None
                                            self.prec_val = None
                                            self.type = None
                                            self.uint16_val = None
                                            self.uint32_val = None
                                            self.uint8_val = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:var'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.class_name is not None:
                                                return True

                                            if self.dscp_val is not None:
                                                return True

                                            if self.param_uint32_val is not None:
                                                return True

                                            if self.prec_val is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            if self.uint16_val is not None:
                                                return True

                                            if self.uint32_val is not None:
                                                return True

                                            if self.uint8_val is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar.Var']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.var is not None:
                                            for child_ref in self.var:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:detail'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.parent_pmap_name is not None:
                                        return True

                                    if self.pmap_type is not None:
                                        return True

                                    if self.pmap_var is not None:
                                        for child_ref in self.pmap_var:
                                            if child_ref._has_data():
                                                return True

                                    if self.pmaps is not None:
                                        for child_ref in self.pmaps:
                                            if child_ref._has_data():
                                                return True

                                    if self.subscriber_grp is not None:
                                        for child in self.subscriber_grp:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.detail is not None and self.detail._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input']['meta_info']


                        class Output(object):
                            """
                            Output direction table
                            
                            .. attribute:: detail
                            
                            	WORD interface name
                            	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.detail = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail()
                                self.detail.parent = self


                            class Detail(object):
                                """
                                WORD interface name
                                
                                .. attribute:: parent_pmap_name
                                
                                	parent pmap name
                                	**type**\:  str
                                
                                	**length:** 0..65
                                
                                .. attribute:: pmap_type
                                
                                	pmap type
                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                
                                .. attribute:: pmap_var
                                
                                	pmap var
                                	**type**\: list of    :py:class:`PmapVar <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar>`
                                
                                .. attribute:: pmaps
                                
                                	pmaps
                                	**type**\: list of    :py:class:`Pmaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps>`
                                
                                .. attribute:: subscriber_grp
                                
                                	subscriber grp
                                	**type**\:  list of str
                                
                                	**length:** 0..65
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.parent_pmap_name = None
                                    self.pmap_type = None
                                    self.pmap_var = YList()
                                    self.pmap_var.parent = self
                                    self.pmap_var.name = 'pmap_var'
                                    self.pmaps = YList()
                                    self.pmaps.parent = self
                                    self.pmaps.name = 'pmaps'
                                    self.subscriber_grp = YLeafList()
                                    self.subscriber_grp.parent = self
                                    self.subscriber_grp.name = 'subscriber_grp'


                                class Pmaps(object):
                                    """
                                    pmaps
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmaps'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps']['meta_info']


                                class PmapVar(object):
                                    """
                                    pmap var
                                    
                                    .. attribute:: var
                                    
                                    	var
                                    	**type**\: list of    :py:class:`Var <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar.Var>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.var = YList()
                                        self.var.parent = self
                                        self.var.name = 'var'


                                    class Var(object):
                                        """
                                        var
                                        
                                        .. attribute:: class_name
                                        
                                        	class name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: dscp_val
                                        
                                        	dscp val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: param_uint32_val
                                        
                                        	param uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: prec_val
                                        
                                        	prec val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                        
                                        .. attribute:: uint16_val
                                        
                                        	uint16 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: uint32_val
                                        
                                        	uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: uint8_val
                                        
                                        	uint8 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.class_name = None
                                            self.dscp_val = None
                                            self.param_uint32_val = None
                                            self.prec_val = None
                                            self.type = None
                                            self.uint16_val = None
                                            self.uint32_val = None
                                            self.uint8_val = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:var'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.class_name is not None:
                                                return True

                                            if self.dscp_val is not None:
                                                return True

                                            if self.param_uint32_val is not None:
                                                return True

                                            if self.prec_val is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            if self.uint16_val is not None:
                                                return True

                                            if self.uint32_val is not None:
                                                return True

                                            if self.uint8_val is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar.Var']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.var is not None:
                                            for child_ref in self.var:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:detail'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.parent_pmap_name is not None:
                                        return True

                                    if self.pmap_type is not None:
                                        return True

                                    if self.pmap_var is not None:
                                        for child_ref in self.pmap_var:
                                            if child_ref._has_data():
                                                return True

                                    if self.pmaps is not None:
                                        for child_ref in self.pmaps:
                                            if child_ref._has_data():
                                                return True

                                    if self.subscriber_grp is not None:
                                        for child in self.subscriber_grp:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.detail is not None and self.detail._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.interface_name is None:
                                raise YPYModelError('Key property interface_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:if-name[Cisco-IOS-XR-infra-policymgr-oper:interface-name = ' + str(self.interface_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.interface_name is not None:
                                return True

                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:if-names'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.if_name is not None:
                            for child_ref in self.if_name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames']['meta_info']

                @property
                def _common_path(self):
                    if self.type is None:
                        raise YPYModelError('Key property type is None')

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map-applied-types/Cisco-IOS-XR-infra-policymgr-oper:policy-map-applied-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.type is not None:
                        return True

                    if self.if_names is not None and self.if_names._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map-applied-types'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.policy_map_applied_type is not None:
                    for child_ref in self.policy_map_applied_type:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.PolicyMapAppliedTypes']['meta_info']


        class TransientPolicyMapTargetsTypes(object):
            """
            Transient policy\-map target table
            
            .. attribute:: transient_policy_map_targets_type
            
            	Transient Policymgr application type
            	**type**\: list of    :py:class:`TransientPolicyMapTargetsType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.transient_policy_map_targets_type = YList()
                self.transient_policy_map_targets_type.parent = self
                self.transient_policy_map_targets_type.name = 'transient_policy_map_targets_type'


            class TransientPolicyMapTargetsType(object):
                """
                Transient Policymgr application type
                
                .. attribute:: type  <key>
                
                	The application type
                	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                
                .. attribute:: transient_policy_map_target_summary
                
                	Transient Policy\-map table
                	**type**\:   :py:class:`TransientPolicyMapTargetSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary>`
                
                .. attribute:: transient_policy_map_targets
                
                	Transient Policy\-map table
                	**type**\:   :py:class:`TransientPolicyMapTargets <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets>`
                
                .. attribute:: transient_target_summary_per_policy_maps
                
                	Transient Policy\-map table per Policy\-map
                	**type**\:   :py:class:`TransientTargetSummaryPerPolicyMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.type = None
                    self.transient_policy_map_target_summary = PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary()
                    self.transient_policy_map_target_summary.parent = self
                    self.transient_policy_map_targets = PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets()
                    self.transient_policy_map_targets.parent = self
                    self.transient_target_summary_per_policy_maps = PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps()
                    self.transient_target_summary_per_policy_maps.parent = self


                class TransientTargetSummaryPerPolicyMaps(object):
                    """
                    Transient Policy\-map table per Policy\-map
                    
                    .. attribute:: transient_target_summary_per_policy_map
                    
                    	Policy\-map targets summary
                    	**type**\: list of    :py:class:`TransientTargetSummaryPerPolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps.TransientTargetSummaryPerPolicyMap>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.transient_target_summary_per_policy_map = YList()
                        self.transient_target_summary_per_policy_map.parent = self
                        self.transient_target_summary_per_policy_map.name = 'transient_target_summary_per_policy_map'


                    class TransientTargetSummaryPerPolicyMap(object):
                        """
                        Policy\-map targets summary
                        
                        .. attribute:: policy_map_name  <key>
                        
                        	Name of policy\-map
                        	**type**\:  str
                        
                        	**length:** 1..63
                        
                        .. attribute:: total_child_policy_maps_input_direction
                        
                        	Totalpolicymaps applied as child policy in the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_child_policy_maps_output_direction
                        
                        	Totalpolicymaps applied as child policy in the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_interfaces_input_direction
                        
                        	Totalinterfaces with service\-policy in the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_interfaces_output_direction
                        
                        	Totalinterfaces with service\-policy in the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_policy_maps_input_direction
                        
                        	Total policymapsin the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_policy_maps_output_direction
                        
                        	Total policymapsin the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_name = None
                            self.total_child_policy_maps_input_direction = None
                            self.total_child_policy_maps_output_direction = None
                            self.total_interfaces_input_direction = None
                            self.total_interfaces_output_direction = None
                            self.total_policy_maps_input_direction = None
                            self.total_policy_maps_output_direction = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.policy_map_name is None:
                                raise YPYModelError('Key property policy_map_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-target-summary-per-policy-map[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_name is not None:
                                return True

                            if self.total_child_policy_maps_input_direction is not None:
                                return True

                            if self.total_child_policy_maps_output_direction is not None:
                                return True

                            if self.total_interfaces_input_direction is not None:
                                return True

                            if self.total_interfaces_output_direction is not None:
                                return True

                            if self.total_policy_maps_input_direction is not None:
                                return True

                            if self.total_policy_maps_output_direction is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps.TransientTargetSummaryPerPolicyMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-target-summary-per-policy-maps'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.transient_target_summary_per_policy_map is not None:
                            for child_ref in self.transient_target_summary_per_policy_map:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps']['meta_info']


                class TransientPolicyMapTargetSummary(object):
                    """
                    Transient Policy\-map table
                    
                    .. attribute:: total_child_policy_maps_input_direction
                    
                    	Totalpolicymaps applied as child policy in the input direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_child_policy_maps_output_direction
                    
                    	Totalpolicymaps applied as child policy in the output direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_interfaces_input_direction
                    
                    	Totalinterfaces with service\-policy in the input direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_interfaces_output_direction
                    
                    	Totalinterfaces with service\-policy in the output direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_policy_maps_input_direction
                    
                    	Total policymapsin the input direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_policy_maps_output_direction
                    
                    	Total policymapsin the output direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.total_child_policy_maps_input_direction = None
                        self.total_child_policy_maps_output_direction = None
                        self.total_interfaces_input_direction = None
                        self.total_interfaces_output_direction = None
                        self.total_policy_maps_input_direction = None
                        self.total_policy_maps_output_direction = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-target-summary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.total_child_policy_maps_input_direction is not None:
                            return True

                        if self.total_child_policy_maps_output_direction is not None:
                            return True

                        if self.total_interfaces_input_direction is not None:
                            return True

                        if self.total_interfaces_output_direction is not None:
                            return True

                        if self.total_policy_maps_input_direction is not None:
                            return True

                        if self.total_policy_maps_output_direction is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary']['meta_info']


                class TransientPolicyMapTargets(object):
                    """
                    Transient Policy\-map table
                    
                    .. attribute:: transient_policy_map_target
                    
                    	Transient Policy\-map targets
                    	**type**\: list of    :py:class:`TransientPolicyMapTarget <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets.TransientPolicyMapTarget>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.transient_policy_map_target = YList()
                        self.transient_policy_map_target.parent = self
                        self.transient_policy_map_target.name = 'transient_policy_map_target'


                    class TransientPolicyMapTarget(object):
                        """
                        Transient Policy\-map targets
                        
                        .. attribute:: policy_map_name  <key>
                        
                        	Name of policy\-map
                        	**type**\:  str
                        
                        	**length:** 1..63
                        
                        .. attribute:: parent_target
                        
                        	parent target
                        	**type**\:  list of str
                        
                        .. attribute:: target
                        
                        	target
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_name = None
                            self.parent_target = YLeafList()
                            self.parent_target.parent = self
                            self.parent_target.name = 'parent_target'
                            self.target = YLeafList()
                            self.target.parent = self
                            self.target.name = 'target'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.policy_map_name is None:
                                raise YPYModelError('Key property policy_map_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-target[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_name is not None:
                                return True

                            if self.parent_target is not None:
                                for child in self.parent_target:
                                    if child is not None:
                                        return True

                            if self.target is not None:
                                for child in self.target:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets.TransientPolicyMapTarget']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-targets'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.transient_policy_map_target is not None:
                            for child_ref in self.transient_policy_map_target:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets']['meta_info']

                @property
                def _common_path(self):
                    if self.type is None:
                        raise YPYModelError('Key property type is None')

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-targets-types/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-targets-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.type is not None:
                        return True

                    if self.transient_policy_map_target_summary is not None and self.transient_policy_map_target_summary._has_data():
                        return True

                    if self.transient_policy_map_targets is not None and self.transient_policy_map_targets._has_data():
                        return True

                    if self.transient_target_summary_per_policy_maps is not None and self.transient_target_summary_per_policy_maps._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-targets-types'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.transient_policy_map_targets_type is not None:
                    for child_ref in self.transient_policy_map_targets_type:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes']['meta_info']


        class TransientPolicyMapAppliedTypes(object):
            """
            Transient policy\-map applied type
            
            .. attribute:: transient_policy_map_applied_type
            
            	Transient policy\-map applied type
            	**type**\: list of    :py:class:`TransientPolicyMapAppliedType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.transient_policy_map_applied_type = YList()
                self.transient_policy_map_applied_type.parent = self
                self.transient_policy_map_applied_type.name = 'transient_policy_map_applied_type'


            class TransientPolicyMapAppliedType(object):
                """
                Transient policy\-map applied type
                
                .. attribute:: type  <key>
                
                	The application type
                	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                
                .. attribute:: transient_interface_names
                
                	Interface table
                	**type**\:   :py:class:`TransientInterfaceNames <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.type = None
                    self.transient_interface_names = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames()
                    self.transient_interface_names.parent = self


                class TransientInterfaceNames(object):
                    """
                    Interface table
                    
                    .. attribute:: transient_interface_name
                    
                    	WORD interface name
                    	**type**\: list of    :py:class:`TransientInterfaceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.transient_interface_name = YList()
                        self.transient_interface_name.parent = self
                        self.transient_interface_name.name = 'transient_interface_name'


                    class TransientInterfaceName(object):
                        """
                        WORD interface name
                        
                        .. attribute:: interface_name  <key>
                        
                        	Name of the interface
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: transient_input
                        
                        	Input direction table
                        	**type**\:   :py:class:`TransientInput <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput>`
                        
                        .. attribute:: transient_output
                        
                        	Output direction table
                        	**type**\:   :py:class:`TransientOutput <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.interface_name = None
                            self.transient_input = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput()
                            self.transient_input.parent = self
                            self.transient_output = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput()
                            self.transient_output.parent = self


                        class TransientOutput(object):
                            """
                            Output direction table
                            
                            .. attribute:: detail
                            
                            	Policy map
                            	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.detail = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail()
                                self.detail.parent = self


                            class Detail(object):
                                """
                                Policy map
                                
                                .. attribute:: parent_pmap_name
                                
                                	parent pmap name
                                	**type**\:  str
                                
                                	**length:** 0..65
                                
                                .. attribute:: pmap_type
                                
                                	pmap type
                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                
                                .. attribute:: pmap_var
                                
                                	pmap var
                                	**type**\: list of    :py:class:`PmapVar <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar>`
                                
                                .. attribute:: pmaps
                                
                                	pmaps
                                	**type**\: list of    :py:class:`Pmaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps>`
                                
                                .. attribute:: subscriber_grp
                                
                                	subscriber grp
                                	**type**\:  list of str
                                
                                	**length:** 0..65
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.parent_pmap_name = None
                                    self.pmap_type = None
                                    self.pmap_var = YList()
                                    self.pmap_var.parent = self
                                    self.pmap_var.name = 'pmap_var'
                                    self.pmaps = YList()
                                    self.pmaps.parent = self
                                    self.pmaps.name = 'pmaps'
                                    self.subscriber_grp = YLeafList()
                                    self.subscriber_grp.parent = self
                                    self.subscriber_grp.name = 'subscriber_grp'


                                class Pmaps(object):
                                    """
                                    pmaps
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmaps'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps']['meta_info']


                                class PmapVar(object):
                                    """
                                    pmap var
                                    
                                    .. attribute:: var
                                    
                                    	var
                                    	**type**\: list of    :py:class:`Var <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar.Var>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.var = YList()
                                        self.var.parent = self
                                        self.var.name = 'var'


                                    class Var(object):
                                        """
                                        var
                                        
                                        .. attribute:: class_name
                                        
                                        	class name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: dscp_val
                                        
                                        	dscp val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: param_uint32_val
                                        
                                        	param uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: prec_val
                                        
                                        	prec val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                        
                                        .. attribute:: uint16_val
                                        
                                        	uint16 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: uint32_val
                                        
                                        	uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: uint8_val
                                        
                                        	uint8 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.class_name = None
                                            self.dscp_val = None
                                            self.param_uint32_val = None
                                            self.prec_val = None
                                            self.type = None
                                            self.uint16_val = None
                                            self.uint32_val = None
                                            self.uint8_val = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:var'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.class_name is not None:
                                                return True

                                            if self.dscp_val is not None:
                                                return True

                                            if self.param_uint32_val is not None:
                                                return True

                                            if self.prec_val is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            if self.uint16_val is not None:
                                                return True

                                            if self.uint32_val is not None:
                                                return True

                                            if self.uint8_val is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar.Var']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.var is not None:
                                            for child_ref in self.var:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:detail'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.parent_pmap_name is not None:
                                        return True

                                    if self.pmap_type is not None:
                                        return True

                                    if self.pmap_var is not None:
                                        for child_ref in self.pmap_var:
                                            if child_ref._has_data():
                                                return True

                                    if self.pmaps is not None:
                                        for child_ref in self.pmaps:
                                            if child_ref._has_data():
                                                return True

                                    if self.subscriber_grp is not None:
                                        for child in self.subscriber_grp:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.detail is not None and self.detail._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput']['meta_info']


                        class TransientInput(object):
                            """
                            Input direction table
                            
                            .. attribute:: detail
                            
                            	Policy map
                            	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.detail = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail()
                                self.detail.parent = self


                            class Detail(object):
                                """
                                Policy map
                                
                                .. attribute:: parent_pmap_name
                                
                                	parent pmap name
                                	**type**\:  str
                                
                                	**length:** 0..65
                                
                                .. attribute:: pmap_type
                                
                                	pmap type
                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                
                                .. attribute:: pmap_var
                                
                                	pmap var
                                	**type**\: list of    :py:class:`PmapVar <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar>`
                                
                                .. attribute:: pmaps
                                
                                	pmaps
                                	**type**\: list of    :py:class:`Pmaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps>`
                                
                                .. attribute:: subscriber_grp
                                
                                	subscriber grp
                                	**type**\:  list of str
                                
                                	**length:** 0..65
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.parent_pmap_name = None
                                    self.pmap_type = None
                                    self.pmap_var = YList()
                                    self.pmap_var.parent = self
                                    self.pmap_var.name = 'pmap_var'
                                    self.pmaps = YList()
                                    self.pmaps.parent = self
                                    self.pmaps.name = 'pmaps'
                                    self.subscriber_grp = YLeafList()
                                    self.subscriber_grp.parent = self
                                    self.subscriber_grp.name = 'subscriber_grp'


                                class Pmaps(object):
                                    """
                                    pmaps
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmaps'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps']['meta_info']


                                class PmapVar(object):
                                    """
                                    pmap var
                                    
                                    .. attribute:: var
                                    
                                    	var
                                    	**type**\: list of    :py:class:`Var <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar.Var>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.var = YList()
                                        self.var.parent = self
                                        self.var.name = 'var'


                                    class Var(object):
                                        """
                                        var
                                        
                                        .. attribute:: class_name
                                        
                                        	class name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: dscp_val
                                        
                                        	dscp val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: param_uint32_val
                                        
                                        	param uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: prec_val
                                        
                                        	prec val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                        
                                        .. attribute:: uint16_val
                                        
                                        	uint16 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: uint32_val
                                        
                                        	uint32 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: uint8_val
                                        
                                        	uint8 val
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.class_name = None
                                            self.dscp_val = None
                                            self.param_uint32_val = None
                                            self.prec_val = None
                                            self.type = None
                                            self.uint16_val = None
                                            self.uint32_val = None
                                            self.uint8_val = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:var'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.class_name is not None:
                                                return True

                                            if self.dscp_val is not None:
                                                return True

                                            if self.param_uint32_val is not None:
                                                return True

                                            if self.prec_val is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            if self.uint16_val is not None:
                                                return True

                                            if self.uint32_val is not None:
                                                return True

                                            if self.uint8_val is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar.Var']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.var is not None:
                                            for child_ref in self.var:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:detail'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.parent_pmap_name is not None:
                                        return True

                                    if self.pmap_type is not None:
                                        return True

                                    if self.pmap_var is not None:
                                        for child_ref in self.pmap_var:
                                            if child_ref._has_data():
                                                return True

                                    if self.pmaps is not None:
                                        for child_ref in self.pmaps:
                                            if child_ref._has_data():
                                                return True

                                    if self.subscriber_grp is not None:
                                        for child in self.subscriber_grp:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.detail is not None and self.detail._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.interface_name is None:
                                raise YPYModelError('Key property interface_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-interface-name[Cisco-IOS-XR-infra-policymgr-oper:interface-name = ' + str(self.interface_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.interface_name is not None:
                                return True

                            if self.transient_input is not None and self.transient_input._has_data():
                                return True

                            if self.transient_output is not None and self.transient_output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-interface-names'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.transient_interface_name is not None:
                            for child_ref in self.transient_interface_name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames']['meta_info']

                @property
                def _common_path(self):
                    if self.type is None:
                        raise YPYModelError('Key property type is None')

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-applied-types/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-applied-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.type is not None:
                        return True

                    if self.transient_interface_names is not None and self.transient_interface_names._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-applied-types'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.transient_policy_map_applied_type is not None:
                    for child_ref in self.transient_policy_map_applied_type:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes']['meta_info']


        class TargetPolicyMapTypes(object):
            """
            Targets of a policymap
            
            .. attribute:: target_policy_map_type
            
            	Policymgr application type
            	**type**\: list of    :py:class:`TargetPolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.target_policy_map_type = YList()
                self.target_policy_map_type.parent = self
                self.target_policy_map_type.name = 'target_policy_map_type'


            class TargetPolicyMapType(object):
                """
                Policymgr application type
                
                .. attribute:: type  <key>
                
                	The application type
                	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                
                .. attribute:: policy_map_target_summary
                
                	Policy\-map table
                	**type**\:   :py:class:`PolicyMapTargetSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary>`
                
                .. attribute:: policy_map_targets
                
                	Policy\-map table
                	**type**\:   :py:class:`PolicyMapTargets <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets>`
                
                .. attribute:: target_summary_per_policy_maps
                
                	Policy\-map table per Policy\-map
                	**type**\:   :py:class:`TargetSummaryPerPolicyMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.type = None
                    self.policy_map_target_summary = PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary()
                    self.policy_map_target_summary.parent = self
                    self.policy_map_targets = PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets()
                    self.policy_map_targets.parent = self
                    self.target_summary_per_policy_maps = PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps()
                    self.target_summary_per_policy_maps.parent = self


                class PolicyMapTargets(object):
                    """
                    Policy\-map table
                    
                    .. attribute:: policy_map_target
                    
                    	Policy\-map targets
                    	**type**\: list of    :py:class:`PolicyMapTarget <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_target = YList()
                        self.policy_map_target.parent = self
                        self.policy_map_target.name = 'policy_map_target'


                    class PolicyMapTarget(object):
                        """
                        Policy\-map targets
                        
                        .. attribute:: policy_map_name  <key>
                        
                        	Name of policy\-map
                        	**type**\:  str
                        
                        	**length:** 1..63
                        
                        .. attribute:: parent_target
                        
                        	parent target
                        	**type**\:  list of str
                        
                        .. attribute:: target
                        
                        	target
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_name = None
                            self.parent_target = YLeafList()
                            self.parent_target.parent = self
                            self.parent_target.name = 'parent_target'
                            self.target = YLeafList()
                            self.target.parent = self
                            self.target.name = 'target'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.policy_map_name is None:
                                raise YPYModelError('Key property policy_map_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-target[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_name is not None:
                                return True

                            if self.parent_target is not None:
                                for child in self.parent_target:
                                    if child is not None:
                                        return True

                            if self.target is not None:
                                for child in self.target:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-targets'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.policy_map_target is not None:
                            for child_ref in self.policy_map_target:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets']['meta_info']


                class PolicyMapTargetSummary(object):
                    """
                    Policy\-map table
                    
                    .. attribute:: total_child_policy_maps_input_direction
                    
                    	Totalpolicymaps applied as child policy in the input direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_child_policy_maps_output_direction
                    
                    	Totalpolicymaps applied as child policy in the output direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_interfaces_input_direction
                    
                    	Totalinterfaces with service\-policy in the input direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_interfaces_output_direction
                    
                    	Totalinterfaces with service\-policy in the output direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_policy_maps_input_direction
                    
                    	Total policymapsin the input direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_policy_maps_output_direction
                    
                    	Total policymapsin the output direction
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.total_child_policy_maps_input_direction = None
                        self.total_child_policy_maps_output_direction = None
                        self.total_interfaces_input_direction = None
                        self.total_interfaces_output_direction = None
                        self.total_policy_maps_input_direction = None
                        self.total_policy_maps_output_direction = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-target-summary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.total_child_policy_maps_input_direction is not None:
                            return True

                        if self.total_child_policy_maps_output_direction is not None:
                            return True

                        if self.total_interfaces_input_direction is not None:
                            return True

                        if self.total_interfaces_output_direction is not None:
                            return True

                        if self.total_policy_maps_input_direction is not None:
                            return True

                        if self.total_policy_maps_output_direction is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary']['meta_info']


                class TargetSummaryPerPolicyMaps(object):
                    """
                    Policy\-map table per Policy\-map
                    
                    .. attribute:: target_summary_per_policy_map
                    
                    	Policy\-map targets summary
                    	**type**\: list of    :py:class:`TargetSummaryPerPolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.target_summary_per_policy_map = YList()
                        self.target_summary_per_policy_map.parent = self
                        self.target_summary_per_policy_map.name = 'target_summary_per_policy_map'


                    class TargetSummaryPerPolicyMap(object):
                        """
                        Policy\-map targets summary
                        
                        .. attribute:: policy_map_name  <key>
                        
                        	Name of policy\-map
                        	**type**\:  str
                        
                        	**length:** 1..63
                        
                        .. attribute:: total_child_policy_maps_input_direction
                        
                        	Totalpolicymaps applied as child policy in the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_child_policy_maps_output_direction
                        
                        	Totalpolicymaps applied as child policy in the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_interfaces_input_direction
                        
                        	Totalinterfaces with service\-policy in the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_interfaces_output_direction
                        
                        	Totalinterfaces with service\-policy in the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_policy_maps_input_direction
                        
                        	Total policymapsin the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_policy_maps_output_direction
                        
                        	Total policymapsin the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_name = None
                            self.total_child_policy_maps_input_direction = None
                            self.total_child_policy_maps_output_direction = None
                            self.total_interfaces_input_direction = None
                            self.total_interfaces_output_direction = None
                            self.total_policy_maps_input_direction = None
                            self.total_policy_maps_output_direction = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.policy_map_name is None:
                                raise YPYModelError('Key property policy_map_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:target-summary-per-policy-map[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_name is not None:
                                return True

                            if self.total_child_policy_maps_input_direction is not None:
                                return True

                            if self.total_child_policy_maps_output_direction is not None:
                                return True

                            if self.total_interfaces_input_direction is not None:
                                return True

                            if self.total_interfaces_output_direction is not None:
                                return True

                            if self.total_policy_maps_input_direction is not None:
                                return True

                            if self.total_policy_maps_output_direction is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:target-summary-per-policy-maps'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.target_summary_per_policy_map is not None:
                            for child_ref in self.target_summary_per_policy_map:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps']['meta_info']

                @property
                def _common_path(self):
                    if self.type is None:
                        raise YPYModelError('Key property type is None')

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:target-policy-map-types/Cisco-IOS-XR-infra-policymgr-oper:target-policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.type is not None:
                        return True

                    if self.policy_map_target_summary is not None and self.policy_map_target_summary._has_data():
                        return True

                    if self.policy_map_targets is not None and self.policy_map_targets._has_data():
                        return True

                    if self.target_summary_per_policy_maps is not None and self.target_summary_per_policy_maps._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:target-policy-map-types'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.target_policy_map_type is not None:
                    for child_ref in self.target_policy_map_type:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.TargetPolicyMapTypes']['meta_info']


        class ClassMap(object):
            """
            List of classmap details
            
            .. attribute:: class_map_types
            
            	Application type of a classmap
            	**type**\:   :py:class:`ClassMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.class_map_types = PolicyManager.Global_.ClassMap.ClassMapTypes()
                self.class_map_types.parent = self


            class ClassMapTypes(object):
                """
                Application type of a classmap
                
                .. attribute:: class_map_type
                
                	Policymgr application type
                	**type**\: list of    :py:class:`ClassMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.class_map_type = YList()
                    self.class_map_type.parent = self
                    self.class_map_type.name = 'class_map_type'


                class ClassMapType(object):
                    """
                    Policymgr application type
                    
                    .. attribute:: type  <key>
                    
                    	The application type
                    	**type**\:   :py:class:`PolicymgrClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrClassMapEnum>`
                    
                    .. attribute:: class_map_briefs
                    
                    	Class\-map brief table
                    	**type**\:   :py:class:`ClassMapBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs>`
                    
                    .. attribute:: class_map_details
                    
                    	Class\-map detail table
                    	**type**\:   :py:class:`ClassMapDetails <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails>`
                    
                    .. attribute:: class_maps
                    
                    	Class\-map definition table
                    	**type**\:   :py:class:`ClassMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.type = None
                        self.class_map_briefs = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs()
                        self.class_map_briefs.parent = self
                        self.class_map_details = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails()
                        self.class_map_details.parent = self
                        self.class_maps = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps()
                        self.class_maps.parent = self


                    class ClassMapDetails(object):
                        """
                        Class\-map detail table
                        
                        .. attribute:: class_map_detail
                        
                        	Class\-map detail information
                        	**type**\: list of    :py:class:`ClassMapDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.class_map_detail = YList()
                            self.class_map_detail.parent = self
                            self.class_map_detail.name = 'class_map_detail'


                        class ClassMapDetail(object):
                            """
                            Class\-map detail information
                            
                            .. attribute:: class_map_name  <key>
                            
                            	Name of class\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_map_reference
                            
                            	Each Classmapdetails
                            	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference>`
                            
                            .. attribute:: object
                            
                            	Each object details
                            	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object>`
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: reference
                            
                            	Each Policymap details
                            	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference>`
                            
                            .. attribute:: total_objects
                            
                            	Total number of objects configured for a specific object type
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: transient
                            
                            	Transient object
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.class_map_name = None
                                self.class_map_reference = YList()
                                self.class_map_reference.parent = self
                                self.class_map_reference.name = 'class_map_reference'
                                self.object = YList()
                                self.object.parent = self
                                self.object.name = 'object'
                                self.object_type = None
                                self.reference = YList()
                                self.reference.parent = self
                                self.reference.name = 'reference'
                                self.total_objects = None
                                self.transient = None


                            class Reference(object):
                                """
                                Each Policymap details
                                
                                .. attribute:: total_class_maps
                                
                                	Total number of Classmaps in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_flows
                                
                                	Total flows in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_internal_reference_objects
                                
                                	Total number of internal reference objects
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.total_class_maps = None
                                    self.total_flows = None
                                    self.total_internal_reference_objects = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.total_class_maps is not None:
                                        return True

                                    if self.total_flows is not None:
                                        return True

                                    if self.total_internal_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference']['meta_info']


                            class Object(object):
                                """
                                Each object details
                                
                                .. attribute:: object_name
                                
                                	Name of object (Policymap/Classmap)
                                	**type**\:  str
                                
                                	**length:** 0..64
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.object_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.object_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object']['meta_info']


                            class ClassMapReference(object):
                                """
                                Each Classmapdetails
                                
                                .. attribute:: policy_map_reference
                                
                                	List of Policymaps referencing a Classmap
                                	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference>`
                                
                                .. attribute:: total_reference_objects
                                
                                	Total number of Policymaps referencing a Classmap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_reference = YList()
                                    self.policy_map_reference.parent = self
                                    self.policy_map_reference.name = 'policy_map_reference'
                                    self.total_reference_objects = None


                                class PolicyMapReference(object):
                                    """
                                    List of Policymaps referencing a Classmap
                                    
                                    .. attribute:: object_type
                                    
                                    	Application type configured
                                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                    
                                    .. attribute:: policy_map_name
                                    
                                    	Name of Policymap referencing a Classmap
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_type = None
                                        self.policy_map_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_type is not None:
                                            return True

                                        if self.policy_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_reference is not None:
                                        for child_ref in self.policy_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.class_map_name is None:
                                    raise YPYModelError('Key property class_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-detail[Cisco-IOS-XR-infra-policymgr-oper:class-map-name = ' + str(self.class_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.class_map_name is not None:
                                    return True

                                if self.class_map_reference is not None:
                                    for child_ref in self.class_map_reference:
                                        if child_ref._has_data():
                                            return True

                                if self.object is not None:
                                    for child_ref in self.object:
                                        if child_ref._has_data():
                                            return True

                                if self.object_type is not None:
                                    return True

                                if self.reference is not None:
                                    for child_ref in self.reference:
                                        if child_ref._has_data():
                                            return True

                                if self.total_objects is not None:
                                    return True

                                if self.transient is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-details'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.class_map_detail is not None:
                                for child_ref in self.class_map_detail:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails']['meta_info']


                    class ClassMaps(object):
                        """
                        Class\-map definition table
                        
                        .. attribute:: class_map
                        
                        	Class\-map configuration
                        	**type**\: list of    :py:class:`ClassMap_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'


                        class ClassMap_(object):
                            """
                            Class\-map configuration
                            
                            .. attribute:: class_map_name  <key>
                            
                            	Name of class\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_map_bg
                            
                            	class map bg
                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.class_map_name = None
                                self.class_map_bg = YList()
                                self.class_map_bg.parent = self
                                self.class_map_bg.name = 'class_map_bg'


                            class ClassMapBg(object):
                                """
                                class map bg
                                
                                .. attribute:: chk_sum
                                
                                	MD5 checksum of the encoded class\-map bag
                                	**type**\:  str
                                
                                	**length:** 0..16
                                
                                .. attribute:: description
                                
                                	description
                                	**type**\:  str
                                
                                .. attribute:: flags
                                
                                	Class\-Map Internal
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: magic
                                
                                	Magic number on top of class\-map bag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: match_count
                                
                                	Number of Match infos
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: match_infop
                                
                                	Pointer to the first Match info
                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop>`
                                
                                .. attribute:: mode
                                
                                	Class\-Map Mode Match any/Match all
                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                
                                .. attribute:: name
                                
                                	Name of the class\-map
                                	**type**\:  str
                                
                                	**length:** 0..65
                                
                                .. attribute:: type
                                
                                	Class\-Map Type QoS/PBR/Netflow/..
                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.chk_sum = None
                                    self.description = None
                                    self.flags = None
                                    self.magic = None
                                    self.match_count = None
                                    self.match_infop = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop()
                                    self.match_infop.parent = self
                                    self.mode = None
                                    self.name = None
                                    self.type = None


                                class MatchInfop(object):
                                    """
                                    Pointer to the first Match info
                                    
                                    .. attribute:: class_match_info_st
                                    
                                    	class match info st
                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.class_match_info_st = YList()
                                        self.class_match_info_st.parent = self
                                        self.class_match_info_st.name = 'class_match_info_st'


                                    class ClassMatchInfoSt(object):
                                        """
                                        class match info st
                                        
                                        .. attribute:: flags
                                        
                                        	Flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: match_data
                                        
                                        	Match criteria
                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.flags = None
                                            self.match_data = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                            self.match_data.parent = self


                                        class MatchData(object):
                                            """
                                            Match criteria
                                            
                                            .. attribute:: access_interface
                                            
                                            	Access interface
                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                            
                                            .. attribute:: atm_clp
                                            
                                            	Match ATM CLP level
                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                            
                                            .. attribute:: auth_domain
                                            
                                            	Authenticated domain name
                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                            
                                            .. attribute:: auth_domain_regex
                                            
                                            	Authenticated Domain Name RegEx
                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                            
                                            .. attribute:: auth_username
                                            
                                            	Authenticated User Name
                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                            
                                            .. attribute:: auth_username_regex
                                            
                                            	Authenticated User Name RegEx
                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                            
                                            .. attribute:: authen_status
                                            
                                            	Authentication Status
                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                            
                                            .. attribute:: avail_id
                                            
                                            	Available Identifiers
                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                            
                                            .. attribute:: circuit_id
                                            
                                            	Circuit ID
                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                            
                                            .. attribute:: circuit_id_regex
                                            
                                            	Circuit ID RegEx
                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                            
                                            .. attribute:: cos
                                            
                                            	Match CoS array
                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                            
                                            .. attribute:: cos_inr
                                            
                                            	Match inner header CoS
                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                            
                                            .. attribute:: dei
                                            
                                            	Match DEI Bit
                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                            
                                            .. attribute:: dei_inr
                                            
                                            	Match inner DEI Bit
                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                            
                                            .. attribute:: dhcp_client_id
                                            
                                            	Dhcp Client ID
                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                            
                                            .. attribute:: dhcp_client_id_regex
                                            
                                            	Dhcp Client ID RegEx
                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                            
                                            .. attribute:: discard_class
                                            
                                            	Match Discard Class array
                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                            
                                            .. attribute:: dnis
                                            
                                            	DNIS
                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                            
                                            .. attribute:: dnis_regex
                                            
                                            	DNIS Regular Expression
                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                            
                                            .. attribute:: domain
                                            
                                            	Domain Name
                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                            
                                            .. attribute:: domain_regex
                                            
                                            	Domain Regular Expression
                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                            
                                            .. attribute:: dscp
                                            
                                            	Match DSCP range array
                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                            
                                            .. attribute:: dst_addr_ipv4
                                            
                                            	Destination Address IPV4
                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                            
                                            .. attribute:: dst_addr_ipv6
                                            
                                            	Destination Address IPV6
                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                            
                                            .. attribute:: dst_mac
                                            
                                            	Match Destination MAC address
                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                            
                                            .. attribute:: dst_port
                                            
                                            	Destination port
                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                            
                                            .. attribute:: ether_service_acl
                                            
                                            	Ethernet\-Services Access\-list
                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                            
                                            .. attribute:: ethertype
                                            
                                            	Ethernet type
                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                            
                                            .. attribute:: flow_key_data
                                            
                                            	Flow key structure
                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                            
                                            .. attribute:: flow_tag
                                            
                                            	Match flow\-tag array
                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                            
                                            .. attribute:: fr_de
                                            
                                            	Match FR DE value
                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                            
                                            .. attribute:: fr_dlci
                                            
                                            	Match FR DLCI range array
                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                            
                                            .. attribute:: fragment_type
                                            
                                            	Fragment type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: icmp_v4
                                            
                                            	Match ICMPV4 Protocol
                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                            
                                            .. attribute:: icmp_v6
                                            
                                            	Match ICMPV6 Protocol array
                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                            
                                            .. attribute:: icmpv4_code
                                            
                                            	Match ipv4 icmp code
                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                            
                                            .. attribute:: icmpv4_type
                                            
                                            	Match ipv4 icmp type
                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                            
                                            .. attribute:: icmpv6_code
                                            
                                            	Match ipv6 icmp code
                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                            
                                            .. attribute:: icmpv6_type
                                            
                                            	Match ipv6 icmp type
                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                            
                                            .. attribute:: input_interface
                                            
                                            	Input interface
                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                            
                                            .. attribute:: input_intfhdl
                                            
                                            	Input interface handle
                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                            
                                            .. attribute:: ipv4_acl
                                            
                                            	IPv4 Access\-list
                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                            
                                            .. attribute:: ipv4_dscp
                                            
                                            	IPv4 DSCP
                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                            
                                            .. attribute:: ipv4_packet_len
                                            
                                            	IPv4 packet length array
                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                            
                                            .. attribute:: ipv4_prec
                                            
                                            	IPv4 Precedence
                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                            
                                            .. attribute:: ipv6_acl
                                            
                                            	IPv6 Access\-list
                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                            
                                            .. attribute:: ipv6_dscp
                                            
                                            	IPv6 DSCP
                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                            
                                            .. attribute:: ipv6_packet_len
                                            
                                            	IPv6 packet length array
                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                            
                                            .. attribute:: ipv6_prec
                                            
                                            	IPv6 Precedence
                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                            
                                            .. attribute:: media_type
                                            
                                            	Media Type
                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                            
                                            .. attribute:: mlp_negotiated
                                            
                                            	MLP Negotiated
                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                            
                                            .. attribute:: mpls_disp_ipv4_acl
                                            
                                            	MPLS Disposition IPv4 Access\-list
                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                            
                                            .. attribute:: mpls_disp_ipv6_acl
                                            
                                            	MPLS Disposition IPv6 Access\-list
                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                            
                                            .. attribute:: mpls_exp
                                            
                                            	Match MPLS experimental topmost array
                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                            
                                            .. attribute:: mpls_exp_imp
                                            
                                            	Match MPLS experimental imposition array
                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                            
                                            .. attribute:: mpls_top_eos
                                            
                                            	MPLS Topmost EOS
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: mpls_top_label
                                            
                                            	MPLS Topmost LABEL
                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                            
                                            .. attribute:: nas_port
                                            
                                            	NAS Port
                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                            
                                            .. attribute:: packet_len
                                            
                                            	Match packet length array
                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                            
                                            .. attribute:: prec
                                            
                                            	Match Precedence array
                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                            
                                            .. attribute:: proto
                                            
                                            	Match Protocol array
                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                            
                                            .. attribute:: qos_group
                                            
                                            	Match QoS group array
                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                            
                                            .. attribute:: remote_id
                                            
                                            	Remote ID
                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                            
                                            .. attribute:: remote_id_regex
                                            
                                            	Remote ID RegEx
                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                            
                                            .. attribute:: service_name
                                            
                                            	Service Name
                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                            
                                            .. attribute:: service_name_regex
                                            
                                            	Service Name Regular Exp
                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                            
                                            .. attribute:: src_addr_ipv4
                                            
                                            	Source Address IPV4
                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                            
                                            .. attribute:: src_addr_ipv6
                                            
                                            	Source Address IPV6
                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                            
                                            .. attribute:: src_addr_mac
                                            
                                            	Source Address MAC
                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                            
                                            .. attribute:: src_mac
                                            
                                            	Match Source MAC address
                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                            
                                            .. attribute:: src_port
                                            
                                            	Source port
                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                            
                                            .. attribute:: subs_protocol
                                            
                                            	Protocol
                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                            
                                            .. attribute:: tcp_flag
                                            
                                            	Match tcp flag value
                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                            
                                            .. attribute:: timer
                                            
                                            	Timer
                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                            
                                            .. attribute:: timer_regexp
                                            
                                            	Timer Regular Expression
                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                            
                                            .. attribute:: traffic_class
                                            
                                            	Match Traffic class array
                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                            
                                            .. attribute:: tunnel_name
                                            
                                            	Tunnel Name
                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                            
                                            .. attribute:: tunnel_name_regex
                                            
                                            	Tunnel Name Regular Expression
                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                            
                                            .. attribute:: type
                                            
                                            	type
                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                            
                                            .. attribute:: unauth_domain
                                            
                                            	Unauthenticated Domain Name
                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                            
                                            .. attribute:: unauth_domain_regex
                                            
                                            	Unauthenticated Domain Name RegEx
                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                            
                                            .. attribute:: unauth_username
                                            
                                            	Unauthenticated User Name
                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                            
                                            .. attribute:: unauth_username_regex
                                            
                                            	Unauthenticated User Name RegEx
                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                            
                                            .. attribute:: user_name
                                            
                                            	User Name
                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                            
                                            .. attribute:: user_name_regex
                                            
                                            	User Name Regular Expression
                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                            
                                            .. attribute:: vendor_id
                                            
                                            	Vendor ID
                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                            
                                            .. attribute:: vendor_id_regex
                                            
                                            	Vendor ID RegEx
                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                            
                                            .. attribute:: vlan
                                            
                                            	Match VLAN array
                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                            
                                            .. attribute:: vlan_inr
                                            
                                            	Match inner header VLAN range array
                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.access_interface = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                self.access_interface.parent = self
                                                self.atm_clp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                self.atm_clp.parent = self
                                                self.auth_domain = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                self.auth_domain.parent = self
                                                self.auth_domain_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                self.auth_domain_regex.parent = self
                                                self.auth_username = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                self.auth_username.parent = self
                                                self.auth_username_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                self.auth_username_regex.parent = self
                                                self.authen_status = None
                                                self.avail_id = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                self.avail_id.parent = self
                                                self.circuit_id = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                self.circuit_id.parent = self
                                                self.circuit_id_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                self.circuit_id_regex.parent = self
                                                self.cos = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                self.cos.parent = self
                                                self.cos_inr = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                self.cos_inr.parent = self
                                                self.dei = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                self.dei.parent = self
                                                self.dei_inr = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                self.dei_inr.parent = self
                                                self.dhcp_client_id = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                self.dhcp_client_id.parent = self
                                                self.dhcp_client_id_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                self.dhcp_client_id_regex.parent = self
                                                self.discard_class = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                self.discard_class.parent = self
                                                self.dnis = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                self.dnis.parent = self
                                                self.dnis_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                self.dnis_regex.parent = self
                                                self.domain = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                self.domain.parent = self
                                                self.domain_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                self.domain_regex.parent = self
                                                self.dscp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                self.dscp.parent = self
                                                self.dst_addr_ipv4 = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                self.dst_addr_ipv4.parent = self
                                                self.dst_addr_ipv6 = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                self.dst_addr_ipv6.parent = self
                                                self.dst_mac = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                self.dst_mac.parent = self
                                                self.dst_port = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                self.dst_port.parent = self
                                                self.ether_service_acl = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                self.ether_service_acl.parent = self
                                                self.ethertype = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                self.ethertype.parent = self
                                                self.flow_key_data = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                self.flow_key_data.parent = self
                                                self.flow_tag = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                self.flow_tag.parent = self
                                                self.fr_de = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                self.fr_de.parent = self
                                                self.fr_dlci = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                self.fr_dlci.parent = self
                                                self.fragment_type = None
                                                self.icmp_v4 = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                self.icmp_v4.parent = self
                                                self.icmp_v6 = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                self.icmp_v6.parent = self
                                                self.icmpv4_code = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                self.icmpv4_code.parent = self
                                                self.icmpv4_type = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                self.icmpv4_type.parent = self
                                                self.icmpv6_code = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                self.icmpv6_code.parent = self
                                                self.icmpv6_type = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                self.icmpv6_type.parent = self
                                                self.input_interface = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                self.input_interface.parent = self
                                                self.input_intfhdl = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                self.input_intfhdl.parent = self
                                                self.ipv4_acl = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                self.ipv4_acl.parent = self
                                                self.ipv4_dscp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                self.ipv4_dscp.parent = self
                                                self.ipv4_packet_len = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                self.ipv4_packet_len.parent = self
                                                self.ipv4_prec = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                self.ipv4_prec.parent = self
                                                self.ipv6_acl = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                self.ipv6_acl.parent = self
                                                self.ipv6_dscp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                self.ipv6_dscp.parent = self
                                                self.ipv6_packet_len = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                self.ipv6_packet_len.parent = self
                                                self.ipv6_prec = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                self.ipv6_prec.parent = self
                                                self.media_type = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                self.media_type.parent = self
                                                self.mlp_negotiated = None
                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                self.mpls_disp_ipv4_acl.parent = self
                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                self.mpls_disp_ipv6_acl.parent = self
                                                self.mpls_exp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                self.mpls_exp.parent = self
                                                self.mpls_exp_imp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                self.mpls_exp_imp.parent = self
                                                self.mpls_top_eos = None
                                                self.mpls_top_label = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                self.mpls_top_label.parent = self
                                                self.nas_port = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                self.nas_port.parent = self
                                                self.packet_len = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                self.packet_len.parent = self
                                                self.prec = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                self.prec.parent = self
                                                self.proto = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                self.proto.parent = self
                                                self.qos_group = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                self.qos_group.parent = self
                                                self.remote_id = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                self.remote_id.parent = self
                                                self.remote_id_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                self.remote_id_regex.parent = self
                                                self.service_name = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                self.service_name.parent = self
                                                self.service_name_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                self.service_name_regex.parent = self
                                                self.src_addr_ipv4 = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                self.src_addr_ipv4.parent = self
                                                self.src_addr_ipv6 = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                self.src_addr_ipv6.parent = self
                                                self.src_addr_mac = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                self.src_addr_mac.parent = self
                                                self.src_mac = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                self.src_mac.parent = self
                                                self.src_port = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                self.src_port.parent = self
                                                self.subs_protocol = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                self.subs_protocol.parent = self
                                                self.tcp_flag = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                self.tcp_flag.parent = self
                                                self.timer = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                self.timer.parent = self
                                                self.timer_regexp = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                self.timer_regexp.parent = self
                                                self.traffic_class = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                self.traffic_class.parent = self
                                                self.tunnel_name = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                self.tunnel_name.parent = self
                                                self.tunnel_name_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                self.tunnel_name_regex.parent = self
                                                self.type = None
                                                self.unauth_domain = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                self.unauth_domain.parent = self
                                                self.unauth_domain_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                self.unauth_domain_regex.parent = self
                                                self.unauth_username = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                self.unauth_username.parent = self
                                                self.unauth_username_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                self.unauth_username_regex.parent = self
                                                self.user_name = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                self.user_name.parent = self
                                                self.user_name_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                self.user_name_regex.parent = self
                                                self.vendor_id = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                self.vendor_id.parent = self
                                                self.vendor_id_regex = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                self.vendor_id_regex.parent = self
                                                self.vlan = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                self.vlan.parent = self
                                                self.vlan_inr = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                self.vlan_inr.parent = self


                                            class Ipv4Dscp(object):
                                                """
                                                IPv4 DSCP
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                            class Ipv6Dscp(object):
                                                """
                                                IPv6 DSCP
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                            class Dscp(object):
                                                """
                                                Match DSCP range array
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                            class Ipv4Prec(object):
                                                """
                                                IPv4 Precedence
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                            class Ipv6Prec(object):
                                                """
                                                IPv6 Precedence
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                            class Prec(object):
                                                """
                                                Match Precedence array
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                            class DiscardClass(object):
                                                """
                                                Match Discard Class array
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                            class QosGroup(object):
                                                """
                                                Match QoS group array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                            class TrafficClass(object):
                                                """
                                                Match Traffic class array
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                            class Proto(object):
                                                """
                                                Match Protocol array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                            class IcmpV4(object):
                                                """
                                                Match ICMPV4 Protocol
                                                
                                                .. attribute:: code
                                                
                                                	Protocol code
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: type
                                                
                                                	Protocol type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.code = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.code is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                            class IcmpV6(object):
                                                """
                                                Match ICMPV6 Protocol array
                                                
                                                .. attribute:: code
                                                
                                                	Protocol code
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: type
                                                
                                                	Protocol type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.code = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.code is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                            class Ipv4PacketLen(object):
                                                """
                                                IPv4 packet length array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                            class Ipv6PacketLen(object):
                                                """
                                                IPv6 packet length array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                            class PacketLen(object):
                                                """
                                                Match packet length array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                            class FlowTag(object):
                                                """
                                                Match flow\-tag array
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                            class TcpFlag(object):
                                                """
                                                Match tcp flag value
                                                
                                                .. attribute:: match_any
                                                
                                                	Match any TCP flag bit
                                                	**type**\:  bool
                                                
                                                .. attribute:: value
                                                
                                                	Value of TCP flag
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.match_any = None
                                                    self.value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.match_any is not None:
                                                        return True

                                                    if self.value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                            class Icmpv4Type(object):
                                                """
                                                Match ipv4 icmp type
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                            class Icmpv4Code(object):
                                                """
                                                Match ipv4 icmp code
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                            class Icmpv6Type(object):
                                                """
                                                Match ipv6 icmp type
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                            class Icmpv6Code(object):
                                                """
                                                Match ipv6 icmp code
                                                
                                                .. attribute:: uint8_rng_array
                                                
                                                	uint8 rng array
                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_rng_array = YList()
                                                    self.uint8_rng_array.parent = self
                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                class Uint8_Rng_Array(object):
                                                    """
                                                    uint8 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_rng_array is not None:
                                                        for child_ref in self.uint8_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                            class MplsExp(object):
                                                """
                                                Match MPLS experimental topmost array
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                            class MplsExpImp(object):
                                                """
                                                Match MPLS experimental imposition array
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                            class MplsDispIpv4Acl(object):
                                                """
                                                MPLS Disposition IPv4 Access\-list
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                            class MplsDispIpv6Acl(object):
                                                """
                                                MPLS Disposition IPv6 Access\-list
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                            class MplsTopLabel(object):
                                                """
                                                MPLS Topmost LABEL
                                                
                                                .. attribute:: uint32_rng_array
                                                
                                                	uint32 rng array
                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint32_rng_array = YList()
                                                    self.uint32_rng_array.parent = self
                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                class Uint32_Rng_Array(object):
                                                    """
                                                    uint32 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint32_rng_array is not None:
                                                        for child_ref in self.uint32_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                            class Cos(object):
                                                """
                                                Match CoS array
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                            class CosInr(object):
                                                """
                                                Match inner header CoS
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                            class Dei(object):
                                                """
                                                Match DEI Bit
                                                
                                                .. attribute:: bit_value
                                                
                                                	Value of the DEI bit
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.bit_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.bit_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                            class DeiInr(object):
                                                """
                                                Match inner DEI Bit
                                                
                                                .. attribute:: bit_value
                                                
                                                	Value of the DEI bit
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.bit_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.bit_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                            class Vlan(object):
                                                """
                                                Match VLAN array
                                                
                                                .. attribute:: vlan_id_array
                                                
                                                	vlan id array
                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.vlan_id_array = YList()
                                                    self.vlan_id_array.parent = self
                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                class VlanIdArray(object):
                                                    """
                                                    vlan id array
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	VLAN mask
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mask = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mask is not None:
                                                            return True

                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.vlan_id_array is not None:
                                                        for child_ref in self.vlan_id_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                            class VlanInr(object):
                                                """
                                                Match inner header VLAN range array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                            class FrDlci(object):
                                                """
                                                Match FR DLCI range array
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                            class SrcMac(object):
                                                """
                                                Match Source MAC address
                                                
                                                .. attribute:: mac_addr
                                                
                                                	MAC address
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..65535
                                                
                                                .. attribute:: mask
                                                
                                                	MAC mask
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_addr = YLeafList()
                                                    self.mac_addr.parent = self
                                                    self.mac_addr.name = 'mac_addr'
                                                    self.mask = YLeafList()
                                                    self.mask.parent = self
                                                    self.mask.name = 'mask'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.mac_addr is not None:
                                                        for child in self.mac_addr:
                                                            if child is not None:
                                                                return True

                                                    if self.mask is not None:
                                                        for child in self.mask:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                            class DstMac(object):
                                                """
                                                Match Destination MAC address
                                                
                                                .. attribute:: mac_addr
                                                
                                                	MAC address
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..65535
                                                
                                                .. attribute:: mask
                                                
                                                	MAC mask
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_addr = YLeafList()
                                                    self.mac_addr.parent = self
                                                    self.mac_addr.name = 'mac_addr'
                                                    self.mask = YLeafList()
                                                    self.mask.parent = self
                                                    self.mask.name = 'mask'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.mac_addr is not None:
                                                        for child in self.mac_addr:
                                                            if child is not None:
                                                                return True

                                                    if self.mask is not None:
                                                        for child in self.mask:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                            class AtmClp(object):
                                                """
                                                Match ATM CLP level
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                            class FrDe(object):
                                                """
                                                Match FR DE value
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                            class Ipv4Acl(object):
                                                """
                                                IPv4 Access\-list
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                            class Ipv6Acl(object):
                                                """
                                                IPv6 Access\-list
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                            class EtherServiceAcl(object):
                                                """
                                                Ethernet\-Services Access\-list
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                            class AvailId(object):
                                                """
                                                Available Identifiers
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                            class MediaType(object):
                                                """
                                                Media Type
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                            class SubsProtocol(object):
                                                """
                                                Protocol
                                                
                                                .. attribute:: uint8_array
                                                
                                                	uint8 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint8_array = YLeafList()
                                                    self.uint8_array.parent = self
                                                    self.uint8_array.name = 'uint8_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint8_array is not None:
                                                        for child in self.uint8_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                            class Dnis(object):
                                                """
                                                DNIS
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                            class DnisRegex(object):
                                                """
                                                DNIS Regular Expression
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                            class Domain(object):
                                                """
                                                Domain Name
                                                
                                                .. attribute:: domain_array
                                                
                                                	domain array
                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.domain_array = YList()
                                                    self.domain_array.parent = self
                                                    self.domain_array.name = 'domain_array'


                                                class DomainArray(object):
                                                    """
                                                    domain array
                                                    
                                                    .. attribute:: domain_name
                                                    
                                                    	domain name
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: format_name
                                                    
                                                    	format name
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.domain_name = None
                                                        self.format_name = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.domain_name is not None:
                                                            return True

                                                        if self.format_name is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.domain_array is not None:
                                                        for child_ref in self.domain_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                            class DomainRegex(object):
                                                """
                                                Domain Regular Expression
                                                
                                                .. attribute:: domain_array
                                                
                                                	domain array
                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.domain_array = YList()
                                                    self.domain_array.parent = self
                                                    self.domain_array.name = 'domain_array'


                                                class DomainArray(object):
                                                    """
                                                    domain array
                                                    
                                                    .. attribute:: domain_name
                                                    
                                                    	domain name
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: format_name
                                                    
                                                    	format name
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.domain_name = None
                                                        self.format_name = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.domain_name is not None:
                                                            return True

                                                        if self.format_name is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.domain_array is not None:
                                                        for child_ref in self.domain_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                            class NasPort(object):
                                                """
                                                NAS Port
                                                
                                                .. attribute:: nas_port_array
                                                
                                                	nas port array
                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.nas_port_array = YList()
                                                    self.nas_port_array.parent = self
                                                    self.nas_port_array.name = 'nas_port_array'


                                                class NasPortArray(object):
                                                    """
                                                    nas port array
                                                    
                                                    .. attribute:: operator
                                                    
                                                    	operator
                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                    
                                                    .. attribute:: sub_id
                                                    
                                                    	sub id
                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                    
                                                    .. attribute:: value
                                                    
                                                    	value
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.operator = None
                                                        self.sub_id = None
                                                        self.value = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.operator is not None:
                                                            return True

                                                        if self.sub_id is not None:
                                                            return True

                                                        if self.value is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.nas_port_array is not None:
                                                        for child_ref in self.nas_port_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                            class ServiceName(object):
                                                """
                                                Service Name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                            class ServiceNameRegex(object):
                                                """
                                                Service Name Regular Exp
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                            class SrcAddrIpv4(object):
                                                """
                                                Source Address IPV4
                                                
                                                .. attribute:: ipv4_addr_array
                                                
                                                	ipv4 addr array
                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4_addr_array = YList()
                                                    self.ipv4_addr_array.parent = self
                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                class Ipv4AddrArray(object):
                                                    """
                                                    ipv4 addr array
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	mask
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: prefix
                                                    
                                                    	prefix
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mask = None
                                                        self.prefix = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mask is not None:
                                                            return True

                                                        if self.prefix is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.ipv4_addr_array is not None:
                                                        for child_ref in self.ipv4_addr_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                            class DstAddrIpv4(object):
                                                """
                                                Destination Address IPV4
                                                
                                                .. attribute:: ipv4_addr_array
                                                
                                                	ipv4 addr array
                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4_addr_array = YList()
                                                    self.ipv4_addr_array.parent = self
                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                class Ipv4AddrArray(object):
                                                    """
                                                    ipv4 addr array
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	mask
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: prefix
                                                    
                                                    	prefix
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mask = None
                                                        self.prefix = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mask is not None:
                                                            return True

                                                        if self.prefix is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.ipv4_addr_array is not None:
                                                        for child_ref in self.ipv4_addr_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                            class SrcAddrIpv6(object):
                                                """
                                                Source Address IPV6
                                                
                                                .. attribute:: ipv6_addr_array
                                                
                                                	ipv6 addr array
                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv6_addr_array = YList()
                                                    self.ipv6_addr_array.parent = self
                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                class Ipv6AddrArray(object):
                                                    """
                                                    ipv6 addr array
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	IPV6 mask
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prefix
                                                    
                                                    	IPV6 prefix
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mask = None
                                                        self.prefix = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mask is not None:
                                                            return True

                                                        if self.prefix is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.ipv6_addr_array is not None:
                                                        for child_ref in self.ipv6_addr_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                            class DstAddrIpv6(object):
                                                """
                                                Destination Address IPV6
                                                
                                                .. attribute:: ipv6_addr_array
                                                
                                                	ipv6 addr array
                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv6_addr_array = YList()
                                                    self.ipv6_addr_array.parent = self
                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                class Ipv6AddrArray(object):
                                                    """
                                                    ipv6 addr array
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	IPV6 mask
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prefix
                                                    
                                                    	IPV6 prefix
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mask = None
                                                        self.prefix = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mask is not None:
                                                            return True

                                                        if self.prefix is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.ipv6_addr_array is not None:
                                                        for child_ref in self.ipv6_addr_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                            class SrcAddrMac(object):
                                                """
                                                Source Address MAC
                                                
                                                .. attribute:: mac_addr_array
                                                
                                                	mac addr array
                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_addr_array = YList()
                                                    self.mac_addr_array.parent = self
                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                class MacAddrArray(object):
                                                    """
                                                    mac addr array
                                                    
                                                    .. attribute:: mac_addr
                                                    
                                                    	MAC address
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	MAC mask
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mac_addr = YLeafList()
                                                        self.mac_addr.parent = self
                                                        self.mac_addr.name = 'mac_addr'
                                                        self.mask = YLeafList()
                                                        self.mask.parent = self
                                                        self.mask.name = 'mask'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mac_addr is not None:
                                                            for child in self.mac_addr:
                                                                if child is not None:
                                                                    return True

                                                        if self.mask is not None:
                                                            for child in self.mask:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.mac_addr_array is not None:
                                                        for child_ref in self.mac_addr_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                            class Timer(object):
                                                """
                                                Timer
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                            class TimerRegexp(object):
                                                """
                                                Timer Regular Expression
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                            class TunnelName(object):
                                                """
                                                Tunnel Name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                            class TunnelNameRegex(object):
                                                """
                                                Tunnel Name Regular Expression
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                            class UserName(object):
                                                """
                                                User Name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                            class UserNameRegex(object):
                                                """
                                                User Name Regular Expression
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                            class AuthUsername(object):
                                                """
                                                Authenticated User Name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                            class AuthUsernameRegex(object):
                                                """
                                                Authenticated User Name RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                            class UnauthUsername(object):
                                                """
                                                Unauthenticated User Name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                            class UnauthUsernameRegex(object):
                                                """
                                                Unauthenticated User Name RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                            class AuthDomain(object):
                                                """
                                                Authenticated domain name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                            class AuthDomainRegex(object):
                                                """
                                                Authenticated Domain Name RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                            class UnauthDomain(object):
                                                """
                                                Unauthenticated Domain Name
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                            class UnauthDomainRegex(object):
                                                """
                                                Unauthenticated Domain Name RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                            class VendorId(object):
                                                """
                                                Vendor ID
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                            class VendorIdRegex(object):
                                                """
                                                Vendor ID RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                            class AccessInterface(object):
                                                """
                                                Access interface
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                            class InputInterface(object):
                                                """
                                                Input interface
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                            class InputIntfhdl(object):
                                                """
                                                Input interface handle
                                                
                                                .. attribute:: uint64_array
                                                
                                                	uint64 array
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint64_array = YLeafList()
                                                    self.uint64_array.parent = self
                                                    self.uint64_array.name = 'uint64_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint64_array is not None:
                                                        for child in self.uint64_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                            class Ethertype(object):
                                                """
                                                Ethernet type
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                            class FlowKeyData(object):
                                                """
                                                Flow key structure
                                                
                                                .. attribute:: flow_keys
                                                
                                                	flow keys
                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                
                                                .. attribute:: idle_timeout
                                                
                                                	Idle timeout of flows (in seconds)
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                	**units**\: second
                                                
                                                .. attribute:: max_count
                                                
                                                	Maximum count of flows
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.flow_keys = PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                    self.flow_keys.parent = self
                                                    self.idle_timeout = None
                                                    self.max_count = None


                                                class FlowKeys(object):
                                                    """
                                                    flow keys
                                                    
                                                    .. attribute:: keys
                                                    
                                                    	keys
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                    
                                                    .. attribute:: num
                                                    
                                                    	num
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.keys = None
                                                        self.num = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.keys is not None:
                                                            return True

                                                        if self.num is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                        return True

                                                    if self.idle_timeout is not None:
                                                        return True

                                                    if self.max_count is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                            class DhcpClientId(object):
                                                """
                                                Dhcp Client ID
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                            class DhcpClientIdRegex(object):
                                                """
                                                Dhcp Client ID RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                            class CircuitId(object):
                                                """
                                                Circuit ID
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                            class CircuitIdRegex(object):
                                                """
                                                Circuit ID RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                            class RemoteId(object):
                                                """
                                                Remote ID
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                            class RemoteIdRegex(object):
                                                """
                                                Remote ID RegEx
                                                
                                                .. attribute:: string_array
                                                
                                                	string array
                                                	**type**\:  list of str
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.string_array = YLeafList()
                                                    self.string_array.parent = self
                                                    self.string_array.name = 'string_array'

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.string_array is not None:
                                                        for child in self.string_array:
                                                            if child is not None:
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                            class SrcPort(object):
                                                """
                                                Source port
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                            class DstPort(object):
                                                """
                                                Destination port
                                                
                                                .. attribute:: uint16_rng_array
                                                
                                                	uint16 rng array
                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.uint16_rng_array = YList()
                                                    self.uint16_rng_array.parent = self
                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                class Uint16_Rng_Array(object):
                                                    """
                                                    uint16 rng array
                                                    
                                                    .. attribute:: max
                                                    
                                                    	Upper limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min
                                                    
                                                    	Lower limit of the range
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max = None
                                                        self.min = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.max is not None:
                                                            return True

                                                        if self.min is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.uint16_rng_array is not None:
                                                        for child_ref in self.uint16_rng_array:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.access_interface is not None and self.access_interface._has_data():
                                                    return True

                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                    return True

                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                    return True

                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                    return True

                                                if self.auth_username is not None and self.auth_username._has_data():
                                                    return True

                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                    return True

                                                if self.authen_status is not None:
                                                    return True

                                                if self.avail_id is not None and self.avail_id._has_data():
                                                    return True

                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                    return True

                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                    return True

                                                if self.cos is not None and self.cos._has_data():
                                                    return True

                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                    return True

                                                if self.dei is not None and self.dei._has_data():
                                                    return True

                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                    return True

                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                    return True

                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                    return True

                                                if self.discard_class is not None and self.discard_class._has_data():
                                                    return True

                                                if self.dnis is not None and self.dnis._has_data():
                                                    return True

                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                    return True

                                                if self.domain is not None and self.domain._has_data():
                                                    return True

                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                    return True

                                                if self.dscp is not None and self.dscp._has_data():
                                                    return True

                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                    return True

                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                    return True

                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                    return True

                                                if self.dst_port is not None and self.dst_port._has_data():
                                                    return True

                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                    return True

                                                if self.ethertype is not None and self.ethertype._has_data():
                                                    return True

                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                    return True

                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                    return True

                                                if self.fr_de is not None and self.fr_de._has_data():
                                                    return True

                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                    return True

                                                if self.fragment_type is not None:
                                                    return True

                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                    return True

                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                    return True

                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                    return True

                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                    return True

                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                    return True

                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                    return True

                                                if self.input_interface is not None and self.input_interface._has_data():
                                                    return True

                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                    return True

                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                    return True

                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                    return True

                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                    return True

                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                    return True

                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                    return True

                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                    return True

                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                    return True

                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                    return True

                                                if self.media_type is not None and self.media_type._has_data():
                                                    return True

                                                if self.mlp_negotiated is not None:
                                                    return True

                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                    return True

                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                    return True

                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                    return True

                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                    return True

                                                if self.mpls_top_eos is not None:
                                                    return True

                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                    return True

                                                if self.nas_port is not None and self.nas_port._has_data():
                                                    return True

                                                if self.packet_len is not None and self.packet_len._has_data():
                                                    return True

                                                if self.prec is not None and self.prec._has_data():
                                                    return True

                                                if self.proto is not None and self.proto._has_data():
                                                    return True

                                                if self.qos_group is not None and self.qos_group._has_data():
                                                    return True

                                                if self.remote_id is not None and self.remote_id._has_data():
                                                    return True

                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                    return True

                                                if self.service_name is not None and self.service_name._has_data():
                                                    return True

                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                    return True

                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                    return True

                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                    return True

                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                    return True

                                                if self.src_mac is not None and self.src_mac._has_data():
                                                    return True

                                                if self.src_port is not None and self.src_port._has_data():
                                                    return True

                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                    return True

                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                    return True

                                                if self.timer is not None and self.timer._has_data():
                                                    return True

                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                    return True

                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                    return True

                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                    return True

                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                    return True

                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                    return True

                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                    return True

                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                    return True

                                                if self.user_name is not None and self.user_name._has_data():
                                                    return True

                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                    return True

                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                    return True

                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                    return True

                                                if self.vlan is not None and self.vlan._has_data():
                                                    return True

                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.flags is not None:
                                                return True

                                            if self.match_data is not None and self.match_data._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.class_match_info_st is not None:
                                            for child_ref in self.class_match_info_st:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.chk_sum is not None:
                                        return True

                                    if self.description is not None:
                                        return True

                                    if self.flags is not None:
                                        return True

                                    if self.magic is not None:
                                        return True

                                    if self.match_count is not None:
                                        return True

                                    if self.match_infop is not None and self.match_infop._has_data():
                                        return True

                                    if self.mode is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.class_map_name is None:
                                    raise YPYModelError('Key property class_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map[Cisco-IOS-XR-infra-policymgr-oper:class-map-name = ' + str(self.class_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.class_map_name is not None:
                                    return True

                                if self.class_map_bg is not None:
                                    for child_ref in self.class_map_bg:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-maps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps']['meta_info']


                    class ClassMapBriefs(object):
                        """
                        Class\-map brief table
                        
                        .. attribute:: class_map_brief
                        
                        	Class\-map brief information
                        	**type**\: list of    :py:class:`ClassMapBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.class_map_brief = YList()
                            self.class_map_brief.parent = self
                            self.class_map_brief.name = 'class_map_brief'


                        class ClassMapBrief(object):
                            """
                            Class\-map brief information
                            
                            .. attribute:: class_map_name  <key>
                            
                            	Name of class\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_map_reference
                            
                            	Each Classmapdetails
                            	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference>`
                            
                            .. attribute:: object
                            
                            	Each object details
                            	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object>`
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: reference
                            
                            	Each Policymap details
                            	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference>`
                            
                            .. attribute:: total_objects
                            
                            	Total number of objects configured for a specific object type
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: transient
                            
                            	Transient object
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.class_map_name = None
                                self.class_map_reference = YList()
                                self.class_map_reference.parent = self
                                self.class_map_reference.name = 'class_map_reference'
                                self.object = YList()
                                self.object.parent = self
                                self.object.name = 'object'
                                self.object_type = None
                                self.reference = YList()
                                self.reference.parent = self
                                self.reference.name = 'reference'
                                self.total_objects = None
                                self.transient = None


                            class Reference(object):
                                """
                                Each Policymap details
                                
                                .. attribute:: total_class_maps
                                
                                	Total number of Classmaps in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_flows
                                
                                	Total flows in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_internal_reference_objects
                                
                                	Total number of internal reference objects
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.total_class_maps = None
                                    self.total_flows = None
                                    self.total_internal_reference_objects = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.total_class_maps is not None:
                                        return True

                                    if self.total_flows is not None:
                                        return True

                                    if self.total_internal_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference']['meta_info']


                            class Object(object):
                                """
                                Each object details
                                
                                .. attribute:: object_name
                                
                                	Name of object (Policymap/Classmap)
                                	**type**\:  str
                                
                                	**length:** 0..64
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.object_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.object_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object']['meta_info']


                            class ClassMapReference(object):
                                """
                                Each Classmapdetails
                                
                                .. attribute:: policy_map_reference
                                
                                	List of Policymaps referencing a Classmap
                                	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference>`
                                
                                .. attribute:: total_reference_objects
                                
                                	Total number of Policymaps referencing a Classmap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_reference = YList()
                                    self.policy_map_reference.parent = self
                                    self.policy_map_reference.name = 'policy_map_reference'
                                    self.total_reference_objects = None


                                class PolicyMapReference(object):
                                    """
                                    List of Policymaps referencing a Classmap
                                    
                                    .. attribute:: object_type
                                    
                                    	Application type configured
                                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                    
                                    .. attribute:: policy_map_name
                                    
                                    	Name of Policymap referencing a Classmap
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_type = None
                                        self.policy_map_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_type is not None:
                                            return True

                                        if self.policy_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_reference is not None:
                                        for child_ref in self.policy_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.class_map_name is None:
                                    raise YPYModelError('Key property class_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-brief[Cisco-IOS-XR-infra-policymgr-oper:class-map-name = ' + str(self.class_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.class_map_name is not None:
                                    return True

                                if self.class_map_reference is not None:
                                    for child_ref in self.class_map_reference:
                                        if child_ref._has_data():
                                            return True

                                if self.object is not None:
                                    for child_ref in self.object:
                                        if child_ref._has_data():
                                            return True

                                if self.object_type is not None:
                                    return True

                                if self.reference is not None:
                                    for child_ref in self.reference:
                                        if child_ref._has_data():
                                            return True

                                if self.total_objects is not None:
                                    return True

                                if self.transient is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-briefs'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.class_map_brief is not None:
                                for child_ref in self.class_map_brief:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs']['meta_info']

                    @property
                    def _common_path(self):
                        if self.type is None:
                            raise YPYModelError('Key property type is None')

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:class-map/Cisco-IOS-XR-infra-policymgr-oper:class-map-types/Cisco-IOS-XR-infra-policymgr-oper:class-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.type is not None:
                            return True

                        if self.class_map_briefs is not None and self.class_map_briefs._has_data():
                            return True

                        if self.class_map_details is not None and self.class_map_details._has_data():
                            return True

                        if self.class_maps is not None and self.class_maps._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:class-map/Cisco-IOS-XR-infra-policymgr-oper:class-map-types'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.class_map_type is not None:
                        for child_ref in self.class_map_type:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:class-map'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.class_map_types is not None and self.class_map_types._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.ClassMap']['meta_info']


        class PolicyMap(object):
            """
            List of policymap details
            
            .. attribute:: policy_map_types
            
            	Application type of a policymap
            	**type**\:   :py:class:`PolicyMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes>`
            
            .. attribute:: policy_map_unused_types
            
            	Policy\-map unused table
            	**type**\:   :py:class:`PolicyMapUnusedTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes>`
            
            .. attribute:: transient_policy_map_type_xr
            
            	Application type of transient policy\-map
            	**type**\:   :py:class:`TransientPolicyMapTypeXr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr>`
            
            .. attribute:: transient_policy_map_types
            
            	Application type of transient policy\-map list
            	**type**\:   :py:class:`TransientPolicyMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.policy_map_types = PolicyManager.Global_.PolicyMap.PolicyMapTypes()
                self.policy_map_types.parent = self
                self.policy_map_unused_types = PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes()
                self.policy_map_unused_types.parent = self
                self.transient_policy_map_type_xr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr()
                self.transient_policy_map_type_xr.parent = self
                self.transient_policy_map_types = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes()
                self.transient_policy_map_types.parent = self


            class TransientPolicyMapTypeXr(object):
                """
                Application type of transient policy\-map
                
                .. attribute:: transient_policy_map_type
                
                	Transient policy\-map type
                	**type**\: list of    :py:class:`TransientPolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.transient_policy_map_type = YList()
                    self.transient_policy_map_type.parent = self
                    self.transient_policy_map_type.name = 'transient_policy_map_type'


                class TransientPolicyMapType(object):
                    """
                    Transient policy\-map type
                    
                    .. attribute:: type  <key>
                    
                    	The application type
                    	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                    
                    .. attribute:: transient_policy_map_names
                    
                    	Transient policy\-map definition table
                    	**type**\:   :py:class:`TransientPolicyMapNames <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.type = None
                        self.transient_policy_map_names = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames()
                        self.transient_policy_map_names.parent = self


                    class TransientPolicyMapNames(object):
                        """
                        Transient policy\-map definition table
                        
                        .. attribute:: transient_policy_map_name
                        
                        	Transient policy\-map definition table
                        	**type**\: list of    :py:class:`TransientPolicyMapName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.transient_policy_map_name = YList()
                            self.transient_policy_map_name.parent = self
                            self.transient_policy_map_name.name = 'transient_policy_map_name'


                        class TransientPolicyMapName(object):
                            """
                            Transient policy\-map definition table
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_handles
                            
                            	Transient policy\-map class handle table
                            	**type**\:   :py:class:`ClassHandles <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles>`
                            
                            .. attribute:: class_seq_nums
                            
                            	Transient policy\-map sequence number table
                            	**type**\:   :py:class:`ClassSeqNums <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums>`
                            
                            .. attribute:: definition
                            
                            	Transient Policy\-map type name
                            	**type**\:   :py:class:`Definition <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.class_handles = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles()
                                self.class_handles.parent = self
                                self.class_seq_nums = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums()
                                self.class_seq_nums.parent = self
                                self.definition = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition()
                                self.definition.parent = self


                            class ClassHandles(object):
                                """
                                Transient policy\-map class handle table
                                
                                .. attribute:: class_handle
                                
                                	Transient policy\-map class handle
                                	**type**\: list of    :py:class:`ClassHandle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.class_handle = YList()
                                    self.class_handle.parent = self
                                    self.class_handle.name = 'class_handle'


                                class ClassHandle(object):
                                    """
                                    Transient policy\-map class handle
                                    
                                    .. attribute:: inline_classhandle  <key>
                                    
                                    	inline class handle
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.inline_classhandle = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inline_classhandle is None:
                                            raise YPYModelError('Key property inline_classhandle is None')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-handle[Cisco-IOS-XR-infra-policymgr-oper:inline-classhandle = ' + str(self.inline_classhandle) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.inline_classhandle is not None:
                                            return True

                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-handles'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.class_handle is not None:
                                        for child_ref in self.class_handle:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles']['meta_info']


                            class ClassSeqNums(object):
                                """
                                Transient policy\-map sequence number table
                                
                                .. attribute:: class_seq_num
                                
                                	Transient policy\-map sequence number
                                	**type**\: list of    :py:class:`ClassSeqNum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.class_seq_num = YList()
                                    self.class_seq_num.parent = self
                                    self.class_seq_num.name = 'class_seq_num'


                                class ClassSeqNum(object):
                                    """
                                    Transient policy\-map sequence number
                                    
                                    .. attribute:: sequence_num  <key>
                                    
                                    	sequence number
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.sequence_num = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.sequence_num is None:
                                            raise YPYModelError('Key property sequence_num is None')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-seq-num[Cisco-IOS-XR-infra-policymgr-oper:sequence-num = ' + str(self.sequence_num) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.sequence_num is not None:
                                            return True

                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-seq-nums'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.class_seq_num is not None:
                                        for child_ref in self.class_seq_num:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums']['meta_info']


                            class Definition(object):
                                """
                                Transient Policy\-map type name
                                
                                .. attribute:: policy_map_bg
                                
                                	policy map bg
                                	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_bg = YList()
                                    self.policy_map_bg.parent = self
                                    self.policy_map_bg.name = 'policy_map_bg'


                                class PolicyMapBg(object):
                                    """
                                    policy map bg
                                    
                                    .. attribute:: chk_sum
                                    
                                    	MD5 checksum of the encoded class\-map bag
                                    	**type**\:  str
                                    
                                    	**length:** 0..16
                                    
                                    .. attribute:: class_dflt_hrchy_depth
                                    
                                    	class dflt hrchy depth
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: description
                                    
                                    	description
                                    	**type**\:  str
                                    
                                    .. attribute:: event_infop
                                    
                                    	event infop
                                    	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop>`
                                    
                                    .. attribute:: flags
                                    
                                    	flags
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: handle
                                    
                                    	handle
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: magic
                                    
                                    	magic
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: max_hierarchy
                                    
                                    	max hierarchy
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: name
                                    
                                    	name
                                    	**type**\:  str
                                    
                                    	**length:** 0..65
                                    
                                    .. attribute:: num_classes
                                    
                                    	num classes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: num_policy_class_info
                                    
                                    	num policy class info
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pclass_diff
                                    
                                    	pclass diff
                                    	**type**\:  int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    .. attribute:: pmap_var_list
                                    
                                    	pmap var list
                                    	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList>`
                                    
                                    .. attribute:: rateless_chk_sum
                                    
                                    	rateless chk sum
                                    	**type**\:  str
                                    
                                    	**length:** 0..16
                                    
                                    .. attribute:: table_id
                                    
                                    	table id
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: type
                                    
                                    	type
                                    	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.chk_sum = None
                                        self.class_dflt_hrchy_depth = None
                                        self.description = None
                                        self.event_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop()
                                        self.event_infop.parent = self
                                        self.flags = None
                                        self.handle = None
                                        self.magic = None
                                        self.max_hierarchy = None
                                        self.name = None
                                        self.num_classes = None
                                        self.num_policy_class_info = None
                                        self.pclass_diff = None
                                        self.pmap_var_list = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList()
                                        self.pmap_var_list.parent = self
                                        self.rateless_chk_sum = None
                                        self.table_id = None
                                        self.type = None


                                    class PmapVarList(object):
                                        """
                                        pmap var list
                                        
                                        .. attribute:: offset
                                        
                                        	offset
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: pmap_var_list_arr
                                        
                                        	pmap var list arr
                                        	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.offset = YLeafList()
                                            self.offset.parent = self
                                            self.offset.name = 'offset'
                                            self.pmap_var_list_arr = YList()
                                            self.pmap_var_list_arr.parent = self
                                            self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                        class PmapVarListArr(object):
                                            """
                                            pmap var list arr
                                            
                                            .. attribute:: id
                                            
                                            	id
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: name
                                            
                                            	name
                                            	**type**\:  str
                                            
                                            	**length:** 0..32
                                            
                                            .. attribute:: val
                                            
                                            	val
                                            	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.name = None
                                                self.val = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                self.val.parent = self


                                            class Val(object):
                                                """
                                                val
                                                
                                                .. attribute:: class_name
                                                
                                                	class name
                                                	**type**\:  str
                                                
                                                	**length:** 0..65
                                                
                                                .. attribute:: dscp_val
                                                
                                                	dscp val
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: param_uint32_val
                                                
                                                	param uint32 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: prec_val
                                                
                                                	prec val
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: type
                                                
                                                	type
                                                	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                
                                                .. attribute:: uint16_val
                                                
                                                	uint16 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                .. attribute:: uint32_val
                                                
                                                	uint32 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: uint8_val
                                                
                                                	uint8 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.class_name = None
                                                    self.dscp_val = None
                                                    self.param_uint32_val = None
                                                    self.prec_val = None
                                                    self.type = None
                                                    self.uint16_val = None
                                                    self.uint32_val = None
                                                    self.uint8_val = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.class_name is not None:
                                                        return True

                                                    if self.dscp_val is not None:
                                                        return True

                                                    if self.param_uint32_val is not None:
                                                        return True

                                                    if self.prec_val is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.uint16_val is not None:
                                                        return True

                                                    if self.uint32_val is not None:
                                                        return True

                                                    if self.uint8_val is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.id is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.val is not None and self.val._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.offset is not None:
                                                for child in self.offset:
                                                    if child is not None:
                                                        return True

                                            if self.pmap_var_list_arr is not None:
                                                for child_ref in self.pmap_var_list_arr:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList']['meta_info']


                                    class EventInfop(object):
                                        """
                                        event infop
                                        
                                        .. attribute:: policy_event_info_bg
                                        
                                        	policy event info bg
                                        	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.policy_event_info_bg = YList()
                                            self.policy_event_info_bg.parent = self
                                            self.policy_event_info_bg.name = 'policy_event_info_bg'


                                        class PolicyEventInfoBg(object):
                                            """
                                            policy event info bg
                                            
                                            .. attribute:: avl_tree
                                            
                                            	avl tree
                                            	**type**\:  int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            .. attribute:: class_infop
                                            
                                            	class infop
                                            	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                            
                                            .. attribute:: cond_eval
                                            
                                            	cond eval
                                            	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                            
                                            .. attribute:: event_type
                                            
                                            	event type
                                            	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                            
                                            .. attribute:: flags
                                            
                                            	flags
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.avl_tree = None
                                                self.class_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                self.class_infop.parent = self
                                                self.cond_eval = None
                                                self.event_type = None
                                                self.flags = None


                                            class ClassInfop(object):
                                                """
                                                class infop
                                                
                                                .. attribute:: policy_class_info_bg
                                                
                                                	policy class info bg
                                                	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.policy_class_info_bg = YList()
                                                    self.policy_class_info_bg.parent = self
                                                    self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                class PolicyClassInfoBg(object):
                                                    """
                                                    policy class info bg
                                                    
                                                    .. attribute:: act_infop
                                                    
                                                    	act infop
                                                    	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                    
                                                    .. attribute:: cl_encode
                                                    
                                                    	cl encode
                                                    	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                    
                                                    .. attribute:: clmp_p
                                                    
                                                    	clmp p
                                                    	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                    
                                                    .. attribute:: ctype
                                                    
                                                    	ctype
                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                    
                                                    .. attribute:: exe_strat
                                                    
                                                    	exe strat
                                                    	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	flags
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: num_actions
                                                    
                                                    	num actions
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: policy_class_hd
                                                    
                                                    	policy class hd
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: seq
                                                    
                                                    	seq
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: version
                                                    
                                                    	version
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.act_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                        self.act_infop.parent = self
                                                        self.cl_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                        self.cl_encode.parent = self
                                                        self.clmp_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                        self.clmp_p.parent = self
                                                        self.ctype = None
                                                        self.exe_strat = None
                                                        self.flags = None
                                                        self.num_actions = None
                                                        self.policy_class_hd = None
                                                        self.seq = None
                                                        self.version = None


                                                    class ClEncode(object):
                                                        """
                                                        cl encode
                                                        
                                                        .. attribute:: class_name
                                                        
                                                        	class name
                                                        	**type**\:  str
                                                        
                                                        	**length:** 0..65
                                                        
                                                        .. attribute:: enc
                                                        
                                                        	enc
                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                        
                                                        .. attribute:: hd
                                                        
                                                        	hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..18446744073709551615
                                                        
                                                        .. attribute:: idx
                                                        
                                                        	idx
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: inline_cmap
                                                        
                                                        	inline cmap
                                                        	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.class_name = None
                                                            self.enc = None
                                                            self.hd = None
                                                            self.idx = None
                                                            self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                            self.inline_cmap.parent = self


                                                        class InlineCmap(object):
                                                            """
                                                            inline cmap
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	Inline Class\-Map flags
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_count
                                                            
                                                            	Number of Match infos
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_infop
                                                            
                                                            	Pointer to the first Match info
                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                            
                                                            .. attribute:: mode
                                                            
                                                            	Inline Class\-Map Mode Match any/all
                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.flags = None
                                                                self.match_count = None
                                                                self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                self.match_infop.parent = self
                                                                self.mode = None


                                                            class MatchInfop(object):
                                                                """
                                                                Pointer to the first Match info
                                                                
                                                                .. attribute:: class_match_info_st
                                                                
                                                                	class match info st
                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_match_info_st = YList()
                                                                    self.class_match_info_st.parent = self
                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                class ClassMatchInfoSt(object):
                                                                    """
                                                                    class match info st
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_data
                                                                    
                                                                    	Match criteria
                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flags = None
                                                                        self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                        self.match_data.parent = self


                                                                    class MatchData(object):
                                                                        """
                                                                        Match criteria
                                                                        
                                                                        .. attribute:: access_interface
                                                                        
                                                                        	Access interface
                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                        
                                                                        .. attribute:: atm_clp
                                                                        
                                                                        	Match ATM CLP level
                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                        
                                                                        .. attribute:: auth_domain
                                                                        
                                                                        	Authenticated domain name
                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                        
                                                                        .. attribute:: auth_domain_regex
                                                                        
                                                                        	Authenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                        
                                                                        .. attribute:: auth_username
                                                                        
                                                                        	Authenticated User Name
                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                        
                                                                        .. attribute:: auth_username_regex
                                                                        
                                                                        	Authenticated User Name RegEx
                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                        
                                                                        .. attribute:: authen_status
                                                                        
                                                                        	Authentication Status
                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                        
                                                                        .. attribute:: avail_id
                                                                        
                                                                        	Available Identifiers
                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                        
                                                                        .. attribute:: circuit_id
                                                                        
                                                                        	Circuit ID
                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                        
                                                                        .. attribute:: circuit_id_regex
                                                                        
                                                                        	Circuit ID RegEx
                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                        
                                                                        .. attribute:: cos
                                                                        
                                                                        	Match CoS array
                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                        
                                                                        .. attribute:: cos_inr
                                                                        
                                                                        	Match inner header CoS
                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                        
                                                                        .. attribute:: dei
                                                                        
                                                                        	Match DEI Bit
                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                        
                                                                        .. attribute:: dei_inr
                                                                        
                                                                        	Match inner DEI Bit
                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                        
                                                                        .. attribute:: dhcp_client_id
                                                                        
                                                                        	Dhcp Client ID
                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                        
                                                                        .. attribute:: dhcp_client_id_regex
                                                                        
                                                                        	Dhcp Client ID RegEx
                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                        
                                                                        .. attribute:: discard_class
                                                                        
                                                                        	Match Discard Class array
                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                        
                                                                        .. attribute:: dnis
                                                                        
                                                                        	DNIS
                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                        
                                                                        .. attribute:: dnis_regex
                                                                        
                                                                        	DNIS Regular Expression
                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                        
                                                                        .. attribute:: domain
                                                                        
                                                                        	Domain Name
                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                        
                                                                        .. attribute:: domain_regex
                                                                        
                                                                        	Domain Regular Expression
                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                        
                                                                        .. attribute:: dscp
                                                                        
                                                                        	Match DSCP range array
                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv4
                                                                        
                                                                        	Destination Address IPV4
                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv6
                                                                        
                                                                        	Destination Address IPV6
                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                        
                                                                        .. attribute:: dst_mac
                                                                        
                                                                        	Match Destination MAC address
                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                        
                                                                        .. attribute:: dst_port
                                                                        
                                                                        	Destination port
                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                        
                                                                        .. attribute:: ether_service_acl
                                                                        
                                                                        	Ethernet\-Services Access\-list
                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                        
                                                                        .. attribute:: ethertype
                                                                        
                                                                        	Ethernet type
                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                        
                                                                        .. attribute:: flow_key_data
                                                                        
                                                                        	Flow key structure
                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                        
                                                                        .. attribute:: flow_tag
                                                                        
                                                                        	Match flow\-tag array
                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                        
                                                                        .. attribute:: fr_de
                                                                        
                                                                        	Match FR DE value
                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                        
                                                                        .. attribute:: fr_dlci
                                                                        
                                                                        	Match FR DLCI range array
                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                        
                                                                        .. attribute:: fragment_type
                                                                        
                                                                        	Fragment type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: icmp_v4
                                                                        
                                                                        	Match ICMPV4 Protocol
                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                        
                                                                        .. attribute:: icmp_v6
                                                                        
                                                                        	Match ICMPV6 Protocol array
                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                        
                                                                        .. attribute:: icmpv4_code
                                                                        
                                                                        	Match ipv4 icmp code
                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                        
                                                                        .. attribute:: icmpv4_type
                                                                        
                                                                        	Match ipv4 icmp type
                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                        
                                                                        .. attribute:: icmpv6_code
                                                                        
                                                                        	Match ipv6 icmp code
                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                        
                                                                        .. attribute:: icmpv6_type
                                                                        
                                                                        	Match ipv6 icmp type
                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                        
                                                                        .. attribute:: input_interface
                                                                        
                                                                        	Input interface
                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                        
                                                                        .. attribute:: input_intfhdl
                                                                        
                                                                        	Input interface handle
                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                        
                                                                        .. attribute:: ipv4_acl
                                                                        
                                                                        	IPv4 Access\-list
                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                        
                                                                        .. attribute:: ipv4_dscp
                                                                        
                                                                        	IPv4 DSCP
                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                        
                                                                        .. attribute:: ipv4_packet_len
                                                                        
                                                                        	IPv4 packet length array
                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                        
                                                                        .. attribute:: ipv4_prec
                                                                        
                                                                        	IPv4 Precedence
                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                        
                                                                        .. attribute:: ipv6_acl
                                                                        
                                                                        	IPv6 Access\-list
                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                        
                                                                        .. attribute:: ipv6_dscp
                                                                        
                                                                        	IPv6 DSCP
                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                        
                                                                        .. attribute:: ipv6_packet_len
                                                                        
                                                                        	IPv6 packet length array
                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                        
                                                                        .. attribute:: ipv6_prec
                                                                        
                                                                        	IPv6 Precedence
                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                        
                                                                        .. attribute:: media_type
                                                                        
                                                                        	Media Type
                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                        
                                                                        .. attribute:: mlp_negotiated
                                                                        
                                                                        	MLP Negotiated
                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                        
                                                                        	MPLS Disposition IPv4 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                        
                                                                        	MPLS Disposition IPv6 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                        
                                                                        .. attribute:: mpls_exp
                                                                        
                                                                        	Match MPLS experimental topmost array
                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                        
                                                                        .. attribute:: mpls_exp_imp
                                                                        
                                                                        	Match MPLS experimental imposition array
                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                        
                                                                        .. attribute:: mpls_top_eos
                                                                        
                                                                        	MPLS Topmost EOS
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: mpls_top_label
                                                                        
                                                                        	MPLS Topmost LABEL
                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                        
                                                                        .. attribute:: nas_port
                                                                        
                                                                        	NAS Port
                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                        
                                                                        .. attribute:: packet_len
                                                                        
                                                                        	Match packet length array
                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                        
                                                                        .. attribute:: prec
                                                                        
                                                                        	Match Precedence array
                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                        
                                                                        .. attribute:: proto
                                                                        
                                                                        	Match Protocol array
                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                        
                                                                        .. attribute:: qos_group
                                                                        
                                                                        	Match QoS group array
                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                        
                                                                        .. attribute:: remote_id
                                                                        
                                                                        	Remote ID
                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                        
                                                                        .. attribute:: remote_id_regex
                                                                        
                                                                        	Remote ID RegEx
                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                        
                                                                        .. attribute:: service_name
                                                                        
                                                                        	Service Name
                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                        
                                                                        .. attribute:: service_name_regex
                                                                        
                                                                        	Service Name Regular Exp
                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                        
                                                                        .. attribute:: src_addr_ipv4
                                                                        
                                                                        	Source Address IPV4
                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                        
                                                                        .. attribute:: src_addr_ipv6
                                                                        
                                                                        	Source Address IPV6
                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                        
                                                                        .. attribute:: src_addr_mac
                                                                        
                                                                        	Source Address MAC
                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                        
                                                                        .. attribute:: src_mac
                                                                        
                                                                        	Match Source MAC address
                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                        
                                                                        .. attribute:: src_port
                                                                        
                                                                        	Source port
                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                        
                                                                        .. attribute:: subs_protocol
                                                                        
                                                                        	Protocol
                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                        
                                                                        .. attribute:: tcp_flag
                                                                        
                                                                        	Match tcp flag value
                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                        
                                                                        .. attribute:: timer
                                                                        
                                                                        	Timer
                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                        
                                                                        .. attribute:: timer_regexp
                                                                        
                                                                        	Timer Regular Expression
                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                        
                                                                        .. attribute:: traffic_class
                                                                        
                                                                        	Match Traffic class array
                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                        
                                                                        .. attribute:: tunnel_name
                                                                        
                                                                        	Tunnel Name
                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                        
                                                                        .. attribute:: tunnel_name_regex
                                                                        
                                                                        	Tunnel Name Regular Expression
                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                        
                                                                        .. attribute:: unauth_domain
                                                                        
                                                                        	Unauthenticated Domain Name
                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                        
                                                                        .. attribute:: unauth_domain_regex
                                                                        
                                                                        	Unauthenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                        
                                                                        .. attribute:: unauth_username
                                                                        
                                                                        	Unauthenticated User Name
                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                        
                                                                        .. attribute:: unauth_username_regex
                                                                        
                                                                        	Unauthenticated User Name RegEx
                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                        
                                                                        .. attribute:: user_name
                                                                        
                                                                        	User Name
                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                        
                                                                        .. attribute:: user_name_regex
                                                                        
                                                                        	User Name Regular Expression
                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                        
                                                                        .. attribute:: vendor_id
                                                                        
                                                                        	Vendor ID
                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                        
                                                                        .. attribute:: vendor_id_regex
                                                                        
                                                                        	Vendor ID RegEx
                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                        
                                                                        .. attribute:: vlan
                                                                        
                                                                        	Match VLAN array
                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                        
                                                                        .. attribute:: vlan_inr
                                                                        
                                                                        	Match inner header VLAN range array
                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                            self.access_interface.parent = self
                                                                            self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                            self.atm_clp.parent = self
                                                                            self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                            self.auth_domain.parent = self
                                                                            self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                            self.auth_domain_regex.parent = self
                                                                            self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                            self.auth_username.parent = self
                                                                            self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                            self.auth_username_regex.parent = self
                                                                            self.authen_status = None
                                                                            self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                            self.avail_id.parent = self
                                                                            self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                            self.circuit_id.parent = self
                                                                            self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                            self.circuit_id_regex.parent = self
                                                                            self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                            self.cos.parent = self
                                                                            self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                            self.cos_inr.parent = self
                                                                            self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                            self.dei.parent = self
                                                                            self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                            self.dei_inr.parent = self
                                                                            self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                            self.dhcp_client_id.parent = self
                                                                            self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                            self.dhcp_client_id_regex.parent = self
                                                                            self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                            self.discard_class.parent = self
                                                                            self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                            self.dnis.parent = self
                                                                            self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                            self.dnis_regex.parent = self
                                                                            self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                            self.domain.parent = self
                                                                            self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                            self.domain_regex.parent = self
                                                                            self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                            self.dscp.parent = self
                                                                            self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                            self.dst_addr_ipv4.parent = self
                                                                            self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                            self.dst_addr_ipv6.parent = self
                                                                            self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                            self.dst_mac.parent = self
                                                                            self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                            self.dst_port.parent = self
                                                                            self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                            self.ether_service_acl.parent = self
                                                                            self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                            self.ethertype.parent = self
                                                                            self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                            self.flow_key_data.parent = self
                                                                            self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                            self.flow_tag.parent = self
                                                                            self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                            self.fr_de.parent = self
                                                                            self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                            self.fr_dlci.parent = self
                                                                            self.fragment_type = None
                                                                            self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                            self.icmp_v4.parent = self
                                                                            self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                            self.icmp_v6.parent = self
                                                                            self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                            self.icmpv4_code.parent = self
                                                                            self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                            self.icmpv4_type.parent = self
                                                                            self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                            self.icmpv6_code.parent = self
                                                                            self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                            self.icmpv6_type.parent = self
                                                                            self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                            self.input_interface.parent = self
                                                                            self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                            self.input_intfhdl.parent = self
                                                                            self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                            self.ipv4_acl.parent = self
                                                                            self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                            self.ipv4_dscp.parent = self
                                                                            self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                            self.ipv4_packet_len.parent = self
                                                                            self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                            self.ipv4_prec.parent = self
                                                                            self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                            self.ipv6_acl.parent = self
                                                                            self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                            self.ipv6_dscp.parent = self
                                                                            self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                            self.ipv6_packet_len.parent = self
                                                                            self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                            self.ipv6_prec.parent = self
                                                                            self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                            self.media_type.parent = self
                                                                            self.mlp_negotiated = None
                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                            self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                            self.mpls_exp.parent = self
                                                                            self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                            self.mpls_exp_imp.parent = self
                                                                            self.mpls_top_eos = None
                                                                            self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                            self.mpls_top_label.parent = self
                                                                            self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                            self.nas_port.parent = self
                                                                            self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                            self.packet_len.parent = self
                                                                            self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                            self.prec.parent = self
                                                                            self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                            self.proto.parent = self
                                                                            self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                            self.qos_group.parent = self
                                                                            self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                            self.remote_id.parent = self
                                                                            self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                            self.remote_id_regex.parent = self
                                                                            self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                            self.service_name.parent = self
                                                                            self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                            self.service_name_regex.parent = self
                                                                            self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                            self.src_addr_ipv4.parent = self
                                                                            self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                            self.src_addr_ipv6.parent = self
                                                                            self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                            self.src_addr_mac.parent = self
                                                                            self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                            self.src_mac.parent = self
                                                                            self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                            self.src_port.parent = self
                                                                            self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                            self.subs_protocol.parent = self
                                                                            self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                            self.tcp_flag.parent = self
                                                                            self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                            self.timer.parent = self
                                                                            self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                            self.timer_regexp.parent = self
                                                                            self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                            self.traffic_class.parent = self
                                                                            self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                            self.tunnel_name.parent = self
                                                                            self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                            self.tunnel_name_regex.parent = self
                                                                            self.type = None
                                                                            self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                            self.unauth_domain.parent = self
                                                                            self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                            self.unauth_domain_regex.parent = self
                                                                            self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                            self.unauth_username.parent = self
                                                                            self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                            self.unauth_username_regex.parent = self
                                                                            self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                            self.user_name.parent = self
                                                                            self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                            self.user_name_regex.parent = self
                                                                            self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                            self.vendor_id.parent = self
                                                                            self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                            self.vendor_id_regex.parent = self
                                                                            self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                            self.vlan.parent = self
                                                                            self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                            self.vlan_inr.parent = self


                                                                        class Ipv4Dscp(object):
                                                                            """
                                                                            IPv4 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                        class Ipv6Dscp(object):
                                                                            """
                                                                            IPv6 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                        class Dscp(object):
                                                                            """
                                                                            Match DSCP range array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                        class Ipv4Prec(object):
                                                                            """
                                                                            IPv4 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                        class Ipv6Prec(object):
                                                                            """
                                                                            IPv6 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                        class Prec(object):
                                                                            """
                                                                            Match Precedence array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                        class DiscardClass(object):
                                                                            """
                                                                            Match Discard Class array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                        class QosGroup(object):
                                                                            """
                                                                            Match QoS group array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                        class TrafficClass(object):
                                                                            """
                                                                            Match Traffic class array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                        class Proto(object):
                                                                            """
                                                                            Match Protocol array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                        class IcmpV4(object):
                                                                            """
                                                                            Match ICMPV4 Protocol
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                        class IcmpV6(object):
                                                                            """
                                                                            Match ICMPV6 Protocol array
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                        class Ipv4PacketLen(object):
                                                                            """
                                                                            IPv4 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                        class Ipv6PacketLen(object):
                                                                            """
                                                                            IPv6 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                        class PacketLen(object):
                                                                            """
                                                                            Match packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                        class FlowTag(object):
                                                                            """
                                                                            Match flow\-tag array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                        class TcpFlag(object):
                                                                            """
                                                                            Match tcp flag value
                                                                            
                                                                            .. attribute:: match_any
                                                                            
                                                                            	Match any TCP flag bit
                                                                            	**type**\:  bool
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	Value of TCP flag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_any = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_any is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                        class Icmpv4Type(object):
                                                                            """
                                                                            Match ipv4 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                        class Icmpv4Code(object):
                                                                            """
                                                                            Match ipv4 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                        class Icmpv6Type(object):
                                                                            """
                                                                            Match ipv6 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                        class Icmpv6Code(object):
                                                                            """
                                                                            Match ipv6 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                        class MplsExp(object):
                                                                            """
                                                                            Match MPLS experimental topmost array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                        class MplsExpImp(object):
                                                                            """
                                                                            Match MPLS experimental imposition array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                        class MplsDispIpv4Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                        class MplsDispIpv6Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                        class MplsTopLabel(object):
                                                                            """
                                                                            MPLS Topmost LABEL
                                                                            
                                                                            .. attribute:: uint32_rng_array
                                                                            
                                                                            	uint32 rng array
                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint32_rng_array = YList()
                                                                                self.uint32_rng_array.parent = self
                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                            class Uint32_Rng_Array(object):
                                                                                """
                                                                                uint32 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint32_rng_array is not None:
                                                                                    for child_ref in self.uint32_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                        class Cos(object):
                                                                            """
                                                                            Match CoS array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                        class CosInr(object):
                                                                            """
                                                                            Match inner header CoS
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                        class Dei(object):
                                                                            """
                                                                            Match DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                        class DeiInr(object):
                                                                            """
                                                                            Match inner DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                        class Vlan(object):
                                                                            """
                                                                            Match VLAN array
                                                                            
                                                                            .. attribute:: vlan_id_array
                                                                            
                                                                            	vlan id array
                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.vlan_id_array = YList()
                                                                                self.vlan_id_array.parent = self
                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                            class VlanIdArray(object):
                                                                                """
                                                                                vlan id array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	VLAN mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.vlan_id_array is not None:
                                                                                    for child_ref in self.vlan_id_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                        class VlanInr(object):
                                                                            """
                                                                            Match inner header VLAN range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                        class FrDlci(object):
                                                                            """
                                                                            Match FR DLCI range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                        class SrcMac(object):
                                                                            """
                                                                            Match Source MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                        class DstMac(object):
                                                                            """
                                                                            Match Destination MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                        class AtmClp(object):
                                                                            """
                                                                            Match ATM CLP level
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                        class FrDe(object):
                                                                            """
                                                                            Match FR DE value
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                        class Ipv4Acl(object):
                                                                            """
                                                                            IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                        class Ipv6Acl(object):
                                                                            """
                                                                            IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                        class EtherServiceAcl(object):
                                                                            """
                                                                            Ethernet\-Services Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                        class AvailId(object):
                                                                            """
                                                                            Available Identifiers
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                        class MediaType(object):
                                                                            """
                                                                            Media Type
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                        class SubsProtocol(object):
                                                                            """
                                                                            Protocol
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                        class Dnis(object):
                                                                            """
                                                                            DNIS
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                        class DnisRegex(object):
                                                                            """
                                                                            DNIS Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                        class Domain(object):
                                                                            """
                                                                            Domain Name
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                        class DomainRegex(object):
                                                                            """
                                                                            Domain Regular Expression
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                        class NasPort(object):
                                                                            """
                                                                            NAS Port
                                                                            
                                                                            .. attribute:: nas_port_array
                                                                            
                                                                            	nas port array
                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nas_port_array = YList()
                                                                                self.nas_port_array.parent = self
                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                            class NasPortArray(object):
                                                                                """
                                                                                nas port array
                                                                                
                                                                                .. attribute:: operator
                                                                                
                                                                                	operator
                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                
                                                                                .. attribute:: sub_id
                                                                                
                                                                                	sub id
                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.operator = None
                                                                                    self.sub_id = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.operator is not None:
                                                                                        return True

                                                                                    if self.sub_id is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nas_port_array is not None:
                                                                                    for child_ref in self.nas_port_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                        class ServiceName(object):
                                                                            """
                                                                            Service Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                        class ServiceNameRegex(object):
                                                                            """
                                                                            Service Name Regular Exp
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                        class SrcAddrIpv4(object):
                                                                            """
                                                                            Source Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                        class DstAddrIpv4(object):
                                                                            """
                                                                            Destination Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                        class SrcAddrIpv6(object):
                                                                            """
                                                                            Source Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                        class DstAddrIpv6(object):
                                                                            """
                                                                            Destination Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                        class SrcAddrMac(object):
                                                                            """
                                                                            Source Address MAC
                                                                            
                                                                            .. attribute:: mac_addr_array
                                                                            
                                                                            	mac addr array
                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr_array = YList()
                                                                                self.mac_addr_array.parent = self
                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                            class MacAddrArray(object):
                                                                                """
                                                                                mac addr array
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr_array is not None:
                                                                                    for child_ref in self.mac_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                        class Timer(object):
                                                                            """
                                                                            Timer
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                        class TimerRegexp(object):
                                                                            """
                                                                            Timer Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                        class TunnelName(object):
                                                                            """
                                                                            Tunnel Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                        class TunnelNameRegex(object):
                                                                            """
                                                                            Tunnel Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                        class UserName(object):
                                                                            """
                                                                            User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                        class UserNameRegex(object):
                                                                            """
                                                                            User Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                        class AuthUsername(object):
                                                                            """
                                                                            Authenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                        class AuthUsernameRegex(object):
                                                                            """
                                                                            Authenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                        class UnauthUsername(object):
                                                                            """
                                                                            Unauthenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                        class UnauthUsernameRegex(object):
                                                                            """
                                                                            Unauthenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                        class AuthDomain(object):
                                                                            """
                                                                            Authenticated domain name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                        class AuthDomainRegex(object):
                                                                            """
                                                                            Authenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                        class UnauthDomain(object):
                                                                            """
                                                                            Unauthenticated Domain Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                        class UnauthDomainRegex(object):
                                                                            """
                                                                            Unauthenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                        class VendorId(object):
                                                                            """
                                                                            Vendor ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                        class VendorIdRegex(object):
                                                                            """
                                                                            Vendor ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                        class AccessInterface(object):
                                                                            """
                                                                            Access interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                        class InputInterface(object):
                                                                            """
                                                                            Input interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                        class InputIntfhdl(object):
                                                                            """
                                                                            Input interface handle
                                                                            
                                                                            .. attribute:: uint64_array
                                                                            
                                                                            	uint64 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint64_array = YLeafList()
                                                                                self.uint64_array.parent = self
                                                                                self.uint64_array.name = 'uint64_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint64_array is not None:
                                                                                    for child in self.uint64_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                        class Ethertype(object):
                                                                            """
                                                                            Ethernet type
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                        class FlowKeyData(object):
                                                                            """
                                                                            Flow key structure
                                                                            
                                                                            .. attribute:: flow_keys
                                                                            
                                                                            	flow keys
                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                            
                                                                            .. attribute:: idle_timeout
                                                                            
                                                                            	Idle timeout of flows (in seconds)
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            .. attribute:: max_count
                                                                            
                                                                            	Maximum count of flows
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                self.flow_keys.parent = self
                                                                                self.idle_timeout = None
                                                                                self.max_count = None


                                                                            class FlowKeys(object):
                                                                                """
                                                                                flow keys
                                                                                
                                                                                .. attribute:: keys
                                                                                
                                                                                	keys
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                
                                                                                .. attribute:: num
                                                                                
                                                                                	num
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.keys = None
                                                                                    self.num = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.keys is not None:
                                                                                        return True

                                                                                    if self.num is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                    return True

                                                                                if self.idle_timeout is not None:
                                                                                    return True

                                                                                if self.max_count is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                        class DhcpClientId(object):
                                                                            """
                                                                            Dhcp Client ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                        class DhcpClientIdRegex(object):
                                                                            """
                                                                            Dhcp Client ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                        class CircuitId(object):
                                                                            """
                                                                            Circuit ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                        class CircuitIdRegex(object):
                                                                            """
                                                                            Circuit ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                        class RemoteId(object):
                                                                            """
                                                                            Remote ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                        class RemoteIdRegex(object):
                                                                            """
                                                                            Remote ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                        class SrcPort(object):
                                                                            """
                                                                            Source port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                        class DstPort(object):
                                                                            """
                                                                            Destination port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                return True

                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                return True

                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                return True

                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                return True

                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                return True

                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                return True

                                                                            if self.authen_status is not None:
                                                                                return True

                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                return True

                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                return True

                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                return True

                                                                            if self.cos is not None and self.cos._has_data():
                                                                                return True

                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                return True

                                                                            if self.dei is not None and self.dei._has_data():
                                                                                return True

                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                return True

                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                return True

                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                return True

                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                return True

                                                                            if self.domain is not None and self.domain._has_data():
                                                                                return True

                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                return True

                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                return True

                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                return True

                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                return True

                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                return True

                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                return True

                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                return True

                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                return True

                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                return True

                                                                            if self.fragment_type is not None:
                                                                                return True

                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                return True

                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                return True

                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                return True

                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                return True

                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                return True

                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                return True

                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                return True

                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                return True

                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                return True

                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                return True

                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                return True

                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                return True

                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                return True

                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                return True

                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                return True

                                                                            if self.mlp_negotiated is not None:
                                                                                return True

                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                return True

                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                return True

                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                return True

                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                return True

                                                                            if self.mpls_top_eos is not None:
                                                                                return True

                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                return True

                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                return True

                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                return True

                                                                            if self.prec is not None and self.prec._has_data():
                                                                                return True

                                                                            if self.proto is not None and self.proto._has_data():
                                                                                return True

                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                return True

                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                return True

                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                return True

                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                return True

                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                return True

                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                return True

                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                return True

                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                return True

                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                return True

                                                                            if self.timer is not None and self.timer._has_data():
                                                                                return True

                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                return True

                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                return True

                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                return True

                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                return True

                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                return True

                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                return True

                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                return True

                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                return True

                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                return True

                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                return True

                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                return True

                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                return True

                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_match_info_st is not None:
                                                                        for child_ref in self.class_match_info_st:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.flags is not None:
                                                                    return True

                                                                if self.match_count is not None:
                                                                    return True

                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                    return True

                                                                if self.mode is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.class_name is not None:
                                                                return True

                                                            if self.enc is not None:
                                                                return True

                                                            if self.hd is not None:
                                                                return True

                                                            if self.idx is not None:
                                                                return True

                                                            if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                    class ClmpP(object):
                                                        """
                                                        clmp p
                                                        
                                                        .. attribute:: class_map_bg
                                                        
                                                        	class map bg
                                                        	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.class_map_bg = YList()
                                                            self.class_map_bg.parent = self
                                                            self.class_map_bg.name = 'class_map_bg'


                                                        class ClassMapBg(object):
                                                            """
                                                            class map bg
                                                            
                                                            .. attribute:: chk_sum
                                                            
                                                            	MD5 checksum of the encoded class\-map bag
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..16
                                                            
                                                            .. attribute:: description
                                                            
                                                            	description
                                                            	**type**\:  str
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	Class\-Map Internal
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: magic
                                                            
                                                            	Magic number on top of class\-map bag
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_count
                                                            
                                                            	Number of Match infos
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_infop
                                                            
                                                            	Pointer to the first Match info
                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                            
                                                            .. attribute:: mode
                                                            
                                                            	Class\-Map Mode Match any/Match all
                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                            
                                                            .. attribute:: name
                                                            
                                                            	Name of the class\-map
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Class\-Map Type QoS/PBR/Netflow/..
                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.chk_sum = None
                                                                self.description = None
                                                                self.flags = None
                                                                self.magic = None
                                                                self.match_count = None
                                                                self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                self.match_infop.parent = self
                                                                self.mode = None
                                                                self.name = None
                                                                self.type = None


                                                            class MatchInfop(object):
                                                                """
                                                                Pointer to the first Match info
                                                                
                                                                .. attribute:: class_match_info_st
                                                                
                                                                	class match info st
                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_match_info_st = YList()
                                                                    self.class_match_info_st.parent = self
                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                class ClassMatchInfoSt(object):
                                                                    """
                                                                    class match info st
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_data
                                                                    
                                                                    	Match criteria
                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flags = None
                                                                        self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                        self.match_data.parent = self


                                                                    class MatchData(object):
                                                                        """
                                                                        Match criteria
                                                                        
                                                                        .. attribute:: access_interface
                                                                        
                                                                        	Access interface
                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                        
                                                                        .. attribute:: atm_clp
                                                                        
                                                                        	Match ATM CLP level
                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                        
                                                                        .. attribute:: auth_domain
                                                                        
                                                                        	Authenticated domain name
                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                        
                                                                        .. attribute:: auth_domain_regex
                                                                        
                                                                        	Authenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                        
                                                                        .. attribute:: auth_username
                                                                        
                                                                        	Authenticated User Name
                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                        
                                                                        .. attribute:: auth_username_regex
                                                                        
                                                                        	Authenticated User Name RegEx
                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                        
                                                                        .. attribute:: authen_status
                                                                        
                                                                        	Authentication Status
                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                        
                                                                        .. attribute:: avail_id
                                                                        
                                                                        	Available Identifiers
                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                        
                                                                        .. attribute:: circuit_id
                                                                        
                                                                        	Circuit ID
                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                        
                                                                        .. attribute:: circuit_id_regex
                                                                        
                                                                        	Circuit ID RegEx
                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                        
                                                                        .. attribute:: cos
                                                                        
                                                                        	Match CoS array
                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                        
                                                                        .. attribute:: cos_inr
                                                                        
                                                                        	Match inner header CoS
                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                        
                                                                        .. attribute:: dei
                                                                        
                                                                        	Match DEI Bit
                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                        
                                                                        .. attribute:: dei_inr
                                                                        
                                                                        	Match inner DEI Bit
                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                        
                                                                        .. attribute:: dhcp_client_id
                                                                        
                                                                        	Dhcp Client ID
                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                        
                                                                        .. attribute:: dhcp_client_id_regex
                                                                        
                                                                        	Dhcp Client ID RegEx
                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                        
                                                                        .. attribute:: discard_class
                                                                        
                                                                        	Match Discard Class array
                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                        
                                                                        .. attribute:: dnis
                                                                        
                                                                        	DNIS
                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                        
                                                                        .. attribute:: dnis_regex
                                                                        
                                                                        	DNIS Regular Expression
                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                        
                                                                        .. attribute:: domain
                                                                        
                                                                        	Domain Name
                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                        
                                                                        .. attribute:: domain_regex
                                                                        
                                                                        	Domain Regular Expression
                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                        
                                                                        .. attribute:: dscp
                                                                        
                                                                        	Match DSCP range array
                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv4
                                                                        
                                                                        	Destination Address IPV4
                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv6
                                                                        
                                                                        	Destination Address IPV6
                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                        
                                                                        .. attribute:: dst_mac
                                                                        
                                                                        	Match Destination MAC address
                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                        
                                                                        .. attribute:: dst_port
                                                                        
                                                                        	Destination port
                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                        
                                                                        .. attribute:: ether_service_acl
                                                                        
                                                                        	Ethernet\-Services Access\-list
                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                        
                                                                        .. attribute:: ethertype
                                                                        
                                                                        	Ethernet type
                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                        
                                                                        .. attribute:: flow_key_data
                                                                        
                                                                        	Flow key structure
                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                        
                                                                        .. attribute:: flow_tag
                                                                        
                                                                        	Match flow\-tag array
                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                        
                                                                        .. attribute:: fr_de
                                                                        
                                                                        	Match FR DE value
                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                        
                                                                        .. attribute:: fr_dlci
                                                                        
                                                                        	Match FR DLCI range array
                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                        
                                                                        .. attribute:: fragment_type
                                                                        
                                                                        	Fragment type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: icmp_v4
                                                                        
                                                                        	Match ICMPV4 Protocol
                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                        
                                                                        .. attribute:: icmp_v6
                                                                        
                                                                        	Match ICMPV6 Protocol array
                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                        
                                                                        .. attribute:: icmpv4_code
                                                                        
                                                                        	Match ipv4 icmp code
                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                        
                                                                        .. attribute:: icmpv4_type
                                                                        
                                                                        	Match ipv4 icmp type
                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                        
                                                                        .. attribute:: icmpv6_code
                                                                        
                                                                        	Match ipv6 icmp code
                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                        
                                                                        .. attribute:: icmpv6_type
                                                                        
                                                                        	Match ipv6 icmp type
                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                        
                                                                        .. attribute:: input_interface
                                                                        
                                                                        	Input interface
                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                        
                                                                        .. attribute:: input_intfhdl
                                                                        
                                                                        	Input interface handle
                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                        
                                                                        .. attribute:: ipv4_acl
                                                                        
                                                                        	IPv4 Access\-list
                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                        
                                                                        .. attribute:: ipv4_dscp
                                                                        
                                                                        	IPv4 DSCP
                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                        
                                                                        .. attribute:: ipv4_packet_len
                                                                        
                                                                        	IPv4 packet length array
                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                        
                                                                        .. attribute:: ipv4_prec
                                                                        
                                                                        	IPv4 Precedence
                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                        
                                                                        .. attribute:: ipv6_acl
                                                                        
                                                                        	IPv6 Access\-list
                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                        
                                                                        .. attribute:: ipv6_dscp
                                                                        
                                                                        	IPv6 DSCP
                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                        
                                                                        .. attribute:: ipv6_packet_len
                                                                        
                                                                        	IPv6 packet length array
                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                        
                                                                        .. attribute:: ipv6_prec
                                                                        
                                                                        	IPv6 Precedence
                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                        
                                                                        .. attribute:: media_type
                                                                        
                                                                        	Media Type
                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                        
                                                                        .. attribute:: mlp_negotiated
                                                                        
                                                                        	MLP Negotiated
                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                        
                                                                        	MPLS Disposition IPv4 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                        
                                                                        	MPLS Disposition IPv6 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                        
                                                                        .. attribute:: mpls_exp
                                                                        
                                                                        	Match MPLS experimental topmost array
                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                        
                                                                        .. attribute:: mpls_exp_imp
                                                                        
                                                                        	Match MPLS experimental imposition array
                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                        
                                                                        .. attribute:: mpls_top_eos
                                                                        
                                                                        	MPLS Topmost EOS
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: mpls_top_label
                                                                        
                                                                        	MPLS Topmost LABEL
                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                        
                                                                        .. attribute:: nas_port
                                                                        
                                                                        	NAS Port
                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                        
                                                                        .. attribute:: packet_len
                                                                        
                                                                        	Match packet length array
                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                        
                                                                        .. attribute:: prec
                                                                        
                                                                        	Match Precedence array
                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                        
                                                                        .. attribute:: proto
                                                                        
                                                                        	Match Protocol array
                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                        
                                                                        .. attribute:: qos_group
                                                                        
                                                                        	Match QoS group array
                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                        
                                                                        .. attribute:: remote_id
                                                                        
                                                                        	Remote ID
                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                        
                                                                        .. attribute:: remote_id_regex
                                                                        
                                                                        	Remote ID RegEx
                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                        
                                                                        .. attribute:: service_name
                                                                        
                                                                        	Service Name
                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                        
                                                                        .. attribute:: service_name_regex
                                                                        
                                                                        	Service Name Regular Exp
                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                        
                                                                        .. attribute:: src_addr_ipv4
                                                                        
                                                                        	Source Address IPV4
                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                        
                                                                        .. attribute:: src_addr_ipv6
                                                                        
                                                                        	Source Address IPV6
                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                        
                                                                        .. attribute:: src_addr_mac
                                                                        
                                                                        	Source Address MAC
                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                        
                                                                        .. attribute:: src_mac
                                                                        
                                                                        	Match Source MAC address
                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                        
                                                                        .. attribute:: src_port
                                                                        
                                                                        	Source port
                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                        
                                                                        .. attribute:: subs_protocol
                                                                        
                                                                        	Protocol
                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                        
                                                                        .. attribute:: tcp_flag
                                                                        
                                                                        	Match tcp flag value
                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                        
                                                                        .. attribute:: timer
                                                                        
                                                                        	Timer
                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                        
                                                                        .. attribute:: timer_regexp
                                                                        
                                                                        	Timer Regular Expression
                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                        
                                                                        .. attribute:: traffic_class
                                                                        
                                                                        	Match Traffic class array
                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                        
                                                                        .. attribute:: tunnel_name
                                                                        
                                                                        	Tunnel Name
                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                        
                                                                        .. attribute:: tunnel_name_regex
                                                                        
                                                                        	Tunnel Name Regular Expression
                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                        
                                                                        .. attribute:: unauth_domain
                                                                        
                                                                        	Unauthenticated Domain Name
                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                        
                                                                        .. attribute:: unauth_domain_regex
                                                                        
                                                                        	Unauthenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                        
                                                                        .. attribute:: unauth_username
                                                                        
                                                                        	Unauthenticated User Name
                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                        
                                                                        .. attribute:: unauth_username_regex
                                                                        
                                                                        	Unauthenticated User Name RegEx
                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                        
                                                                        .. attribute:: user_name
                                                                        
                                                                        	User Name
                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                        
                                                                        .. attribute:: user_name_regex
                                                                        
                                                                        	User Name Regular Expression
                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                        
                                                                        .. attribute:: vendor_id
                                                                        
                                                                        	Vendor ID
                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                        
                                                                        .. attribute:: vendor_id_regex
                                                                        
                                                                        	Vendor ID RegEx
                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                        
                                                                        .. attribute:: vlan
                                                                        
                                                                        	Match VLAN array
                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                        
                                                                        .. attribute:: vlan_inr
                                                                        
                                                                        	Match inner header VLAN range array
                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                            self.access_interface.parent = self
                                                                            self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                            self.atm_clp.parent = self
                                                                            self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                            self.auth_domain.parent = self
                                                                            self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                            self.auth_domain_regex.parent = self
                                                                            self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                            self.auth_username.parent = self
                                                                            self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                            self.auth_username_regex.parent = self
                                                                            self.authen_status = None
                                                                            self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                            self.avail_id.parent = self
                                                                            self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                            self.circuit_id.parent = self
                                                                            self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                            self.circuit_id_regex.parent = self
                                                                            self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                            self.cos.parent = self
                                                                            self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                            self.cos_inr.parent = self
                                                                            self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                            self.dei.parent = self
                                                                            self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                            self.dei_inr.parent = self
                                                                            self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                            self.dhcp_client_id.parent = self
                                                                            self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                            self.dhcp_client_id_regex.parent = self
                                                                            self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                            self.discard_class.parent = self
                                                                            self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                            self.dnis.parent = self
                                                                            self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                            self.dnis_regex.parent = self
                                                                            self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                            self.domain.parent = self
                                                                            self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                            self.domain_regex.parent = self
                                                                            self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                            self.dscp.parent = self
                                                                            self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                            self.dst_addr_ipv4.parent = self
                                                                            self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                            self.dst_addr_ipv6.parent = self
                                                                            self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                            self.dst_mac.parent = self
                                                                            self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                            self.dst_port.parent = self
                                                                            self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                            self.ether_service_acl.parent = self
                                                                            self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                            self.ethertype.parent = self
                                                                            self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                            self.flow_key_data.parent = self
                                                                            self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                            self.flow_tag.parent = self
                                                                            self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                            self.fr_de.parent = self
                                                                            self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                            self.fr_dlci.parent = self
                                                                            self.fragment_type = None
                                                                            self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                            self.icmp_v4.parent = self
                                                                            self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                            self.icmp_v6.parent = self
                                                                            self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                            self.icmpv4_code.parent = self
                                                                            self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                            self.icmpv4_type.parent = self
                                                                            self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                            self.icmpv6_code.parent = self
                                                                            self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                            self.icmpv6_type.parent = self
                                                                            self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                            self.input_interface.parent = self
                                                                            self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                            self.input_intfhdl.parent = self
                                                                            self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                            self.ipv4_acl.parent = self
                                                                            self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                            self.ipv4_dscp.parent = self
                                                                            self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                            self.ipv4_packet_len.parent = self
                                                                            self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                            self.ipv4_prec.parent = self
                                                                            self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                            self.ipv6_acl.parent = self
                                                                            self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                            self.ipv6_dscp.parent = self
                                                                            self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                            self.ipv6_packet_len.parent = self
                                                                            self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                            self.ipv6_prec.parent = self
                                                                            self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                            self.media_type.parent = self
                                                                            self.mlp_negotiated = None
                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                            self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                            self.mpls_exp.parent = self
                                                                            self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                            self.mpls_exp_imp.parent = self
                                                                            self.mpls_top_eos = None
                                                                            self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                            self.mpls_top_label.parent = self
                                                                            self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                            self.nas_port.parent = self
                                                                            self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                            self.packet_len.parent = self
                                                                            self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                            self.prec.parent = self
                                                                            self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                            self.proto.parent = self
                                                                            self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                            self.qos_group.parent = self
                                                                            self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                            self.remote_id.parent = self
                                                                            self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                            self.remote_id_regex.parent = self
                                                                            self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                            self.service_name.parent = self
                                                                            self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                            self.service_name_regex.parent = self
                                                                            self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                            self.src_addr_ipv4.parent = self
                                                                            self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                            self.src_addr_ipv6.parent = self
                                                                            self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                            self.src_addr_mac.parent = self
                                                                            self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                            self.src_mac.parent = self
                                                                            self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                            self.src_port.parent = self
                                                                            self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                            self.subs_protocol.parent = self
                                                                            self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                            self.tcp_flag.parent = self
                                                                            self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                            self.timer.parent = self
                                                                            self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                            self.timer_regexp.parent = self
                                                                            self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                            self.traffic_class.parent = self
                                                                            self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                            self.tunnel_name.parent = self
                                                                            self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                            self.tunnel_name_regex.parent = self
                                                                            self.type = None
                                                                            self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                            self.unauth_domain.parent = self
                                                                            self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                            self.unauth_domain_regex.parent = self
                                                                            self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                            self.unauth_username.parent = self
                                                                            self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                            self.unauth_username_regex.parent = self
                                                                            self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                            self.user_name.parent = self
                                                                            self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                            self.user_name_regex.parent = self
                                                                            self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                            self.vendor_id.parent = self
                                                                            self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                            self.vendor_id_regex.parent = self
                                                                            self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                            self.vlan.parent = self
                                                                            self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                            self.vlan_inr.parent = self


                                                                        class Ipv4Dscp(object):
                                                                            """
                                                                            IPv4 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                        class Ipv6Dscp(object):
                                                                            """
                                                                            IPv6 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                        class Dscp(object):
                                                                            """
                                                                            Match DSCP range array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                        class Ipv4Prec(object):
                                                                            """
                                                                            IPv4 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                        class Ipv6Prec(object):
                                                                            """
                                                                            IPv6 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                        class Prec(object):
                                                                            """
                                                                            Match Precedence array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                        class DiscardClass(object):
                                                                            """
                                                                            Match Discard Class array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                        class QosGroup(object):
                                                                            """
                                                                            Match QoS group array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                        class TrafficClass(object):
                                                                            """
                                                                            Match Traffic class array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                        class Proto(object):
                                                                            """
                                                                            Match Protocol array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                        class IcmpV4(object):
                                                                            """
                                                                            Match ICMPV4 Protocol
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                        class IcmpV6(object):
                                                                            """
                                                                            Match ICMPV6 Protocol array
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                        class Ipv4PacketLen(object):
                                                                            """
                                                                            IPv4 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                        class Ipv6PacketLen(object):
                                                                            """
                                                                            IPv6 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                        class PacketLen(object):
                                                                            """
                                                                            Match packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                        class FlowTag(object):
                                                                            """
                                                                            Match flow\-tag array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                        class TcpFlag(object):
                                                                            """
                                                                            Match tcp flag value
                                                                            
                                                                            .. attribute:: match_any
                                                                            
                                                                            	Match any TCP flag bit
                                                                            	**type**\:  bool
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	Value of TCP flag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_any = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_any is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                        class Icmpv4Type(object):
                                                                            """
                                                                            Match ipv4 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                        class Icmpv4Code(object):
                                                                            """
                                                                            Match ipv4 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                        class Icmpv6Type(object):
                                                                            """
                                                                            Match ipv6 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                        class Icmpv6Code(object):
                                                                            """
                                                                            Match ipv6 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                        class MplsExp(object):
                                                                            """
                                                                            Match MPLS experimental topmost array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                        class MplsExpImp(object):
                                                                            """
                                                                            Match MPLS experimental imposition array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                        class MplsDispIpv4Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                        class MplsDispIpv6Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                        class MplsTopLabel(object):
                                                                            """
                                                                            MPLS Topmost LABEL
                                                                            
                                                                            .. attribute:: uint32_rng_array
                                                                            
                                                                            	uint32 rng array
                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint32_rng_array = YList()
                                                                                self.uint32_rng_array.parent = self
                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                            class Uint32_Rng_Array(object):
                                                                                """
                                                                                uint32 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint32_rng_array is not None:
                                                                                    for child_ref in self.uint32_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                        class Cos(object):
                                                                            """
                                                                            Match CoS array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                        class CosInr(object):
                                                                            """
                                                                            Match inner header CoS
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                        class Dei(object):
                                                                            """
                                                                            Match DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                        class DeiInr(object):
                                                                            """
                                                                            Match inner DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                        class Vlan(object):
                                                                            """
                                                                            Match VLAN array
                                                                            
                                                                            .. attribute:: vlan_id_array
                                                                            
                                                                            	vlan id array
                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.vlan_id_array = YList()
                                                                                self.vlan_id_array.parent = self
                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                            class VlanIdArray(object):
                                                                                """
                                                                                vlan id array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	VLAN mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.vlan_id_array is not None:
                                                                                    for child_ref in self.vlan_id_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                        class VlanInr(object):
                                                                            """
                                                                            Match inner header VLAN range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                        class FrDlci(object):
                                                                            """
                                                                            Match FR DLCI range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                        class SrcMac(object):
                                                                            """
                                                                            Match Source MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                        class DstMac(object):
                                                                            """
                                                                            Match Destination MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                        class AtmClp(object):
                                                                            """
                                                                            Match ATM CLP level
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                        class FrDe(object):
                                                                            """
                                                                            Match FR DE value
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                        class Ipv4Acl(object):
                                                                            """
                                                                            IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                        class Ipv6Acl(object):
                                                                            """
                                                                            IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                        class EtherServiceAcl(object):
                                                                            """
                                                                            Ethernet\-Services Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                        class AvailId(object):
                                                                            """
                                                                            Available Identifiers
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                        class MediaType(object):
                                                                            """
                                                                            Media Type
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                        class SubsProtocol(object):
                                                                            """
                                                                            Protocol
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                        class Dnis(object):
                                                                            """
                                                                            DNIS
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                        class DnisRegex(object):
                                                                            """
                                                                            DNIS Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                        class Domain(object):
                                                                            """
                                                                            Domain Name
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                        class DomainRegex(object):
                                                                            """
                                                                            Domain Regular Expression
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                        class NasPort(object):
                                                                            """
                                                                            NAS Port
                                                                            
                                                                            .. attribute:: nas_port_array
                                                                            
                                                                            	nas port array
                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nas_port_array = YList()
                                                                                self.nas_port_array.parent = self
                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                            class NasPortArray(object):
                                                                                """
                                                                                nas port array
                                                                                
                                                                                .. attribute:: operator
                                                                                
                                                                                	operator
                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                
                                                                                .. attribute:: sub_id
                                                                                
                                                                                	sub id
                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.operator = None
                                                                                    self.sub_id = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.operator is not None:
                                                                                        return True

                                                                                    if self.sub_id is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nas_port_array is not None:
                                                                                    for child_ref in self.nas_port_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                        class ServiceName(object):
                                                                            """
                                                                            Service Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                        class ServiceNameRegex(object):
                                                                            """
                                                                            Service Name Regular Exp
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                        class SrcAddrIpv4(object):
                                                                            """
                                                                            Source Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                        class DstAddrIpv4(object):
                                                                            """
                                                                            Destination Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                        class SrcAddrIpv6(object):
                                                                            """
                                                                            Source Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                        class DstAddrIpv6(object):
                                                                            """
                                                                            Destination Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                        class SrcAddrMac(object):
                                                                            """
                                                                            Source Address MAC
                                                                            
                                                                            .. attribute:: mac_addr_array
                                                                            
                                                                            	mac addr array
                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr_array = YList()
                                                                                self.mac_addr_array.parent = self
                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                            class MacAddrArray(object):
                                                                                """
                                                                                mac addr array
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr_array is not None:
                                                                                    for child_ref in self.mac_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                        class Timer(object):
                                                                            """
                                                                            Timer
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                        class TimerRegexp(object):
                                                                            """
                                                                            Timer Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                        class TunnelName(object):
                                                                            """
                                                                            Tunnel Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                        class TunnelNameRegex(object):
                                                                            """
                                                                            Tunnel Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                        class UserName(object):
                                                                            """
                                                                            User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                        class UserNameRegex(object):
                                                                            """
                                                                            User Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                        class AuthUsername(object):
                                                                            """
                                                                            Authenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                        class AuthUsernameRegex(object):
                                                                            """
                                                                            Authenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                        class UnauthUsername(object):
                                                                            """
                                                                            Unauthenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                        class UnauthUsernameRegex(object):
                                                                            """
                                                                            Unauthenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                        class AuthDomain(object):
                                                                            """
                                                                            Authenticated domain name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                        class AuthDomainRegex(object):
                                                                            """
                                                                            Authenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                        class UnauthDomain(object):
                                                                            """
                                                                            Unauthenticated Domain Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                        class UnauthDomainRegex(object):
                                                                            """
                                                                            Unauthenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                        class VendorId(object):
                                                                            """
                                                                            Vendor ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                        class VendorIdRegex(object):
                                                                            """
                                                                            Vendor ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                        class AccessInterface(object):
                                                                            """
                                                                            Access interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                        class InputInterface(object):
                                                                            """
                                                                            Input interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                        class InputIntfhdl(object):
                                                                            """
                                                                            Input interface handle
                                                                            
                                                                            .. attribute:: uint64_array
                                                                            
                                                                            	uint64 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint64_array = YLeafList()
                                                                                self.uint64_array.parent = self
                                                                                self.uint64_array.name = 'uint64_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint64_array is not None:
                                                                                    for child in self.uint64_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                        class Ethertype(object):
                                                                            """
                                                                            Ethernet type
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                        class FlowKeyData(object):
                                                                            """
                                                                            Flow key structure
                                                                            
                                                                            .. attribute:: flow_keys
                                                                            
                                                                            	flow keys
                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                            
                                                                            .. attribute:: idle_timeout
                                                                            
                                                                            	Idle timeout of flows (in seconds)
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            .. attribute:: max_count
                                                                            
                                                                            	Maximum count of flows
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                self.flow_keys.parent = self
                                                                                self.idle_timeout = None
                                                                                self.max_count = None


                                                                            class FlowKeys(object):
                                                                                """
                                                                                flow keys
                                                                                
                                                                                .. attribute:: keys
                                                                                
                                                                                	keys
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                
                                                                                .. attribute:: num
                                                                                
                                                                                	num
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.keys = None
                                                                                    self.num = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.keys is not None:
                                                                                        return True

                                                                                    if self.num is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                    return True

                                                                                if self.idle_timeout is not None:
                                                                                    return True

                                                                                if self.max_count is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                        class DhcpClientId(object):
                                                                            """
                                                                            Dhcp Client ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                        class DhcpClientIdRegex(object):
                                                                            """
                                                                            Dhcp Client ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                        class CircuitId(object):
                                                                            """
                                                                            Circuit ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                        class CircuitIdRegex(object):
                                                                            """
                                                                            Circuit ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                        class RemoteId(object):
                                                                            """
                                                                            Remote ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                        class RemoteIdRegex(object):
                                                                            """
                                                                            Remote ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                        class SrcPort(object):
                                                                            """
                                                                            Source port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                        class DstPort(object):
                                                                            """
                                                                            Destination port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                return True

                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                return True

                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                return True

                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                return True

                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                return True

                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                return True

                                                                            if self.authen_status is not None:
                                                                                return True

                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                return True

                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                return True

                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                return True

                                                                            if self.cos is not None and self.cos._has_data():
                                                                                return True

                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                return True

                                                                            if self.dei is not None and self.dei._has_data():
                                                                                return True

                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                return True

                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                return True

                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                return True

                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                return True

                                                                            if self.domain is not None and self.domain._has_data():
                                                                                return True

                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                return True

                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                return True

                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                return True

                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                return True

                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                return True

                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                return True

                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                return True

                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                return True

                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                return True

                                                                            if self.fragment_type is not None:
                                                                                return True

                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                return True

                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                return True

                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                return True

                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                return True

                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                return True

                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                return True

                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                return True

                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                return True

                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                return True

                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                return True

                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                return True

                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                return True

                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                return True

                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                return True

                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                return True

                                                                            if self.mlp_negotiated is not None:
                                                                                return True

                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                return True

                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                return True

                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                return True

                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                return True

                                                                            if self.mpls_top_eos is not None:
                                                                                return True

                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                return True

                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                return True

                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                return True

                                                                            if self.prec is not None and self.prec._has_data():
                                                                                return True

                                                                            if self.proto is not None and self.proto._has_data():
                                                                                return True

                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                return True

                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                return True

                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                return True

                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                return True

                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                return True

                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                return True

                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                return True

                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                return True

                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                return True

                                                                            if self.timer is not None and self.timer._has_data():
                                                                                return True

                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                return True

                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                return True

                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                return True

                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                return True

                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                return True

                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                return True

                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                return True

                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                return True

                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                return True

                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                return True

                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                return True

                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                return True

                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_match_info_st is not None:
                                                                        for child_ref in self.class_match_info_st:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.chk_sum is not None:
                                                                    return True

                                                                if self.description is not None:
                                                                    return True

                                                                if self.flags is not None:
                                                                    return True

                                                                if self.magic is not None:
                                                                    return True

                                                                if self.match_count is not None:
                                                                    return True

                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                    return True

                                                                if self.mode is not None:
                                                                    return True

                                                                if self.name is not None:
                                                                    return True

                                                                if self.type is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.class_map_bg is not None:
                                                                for child_ref in self.class_map_bg:
                                                                    if child_ref._has_data():
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                    class ActInfop(object):
                                                        """
                                                        act infop
                                                        
                                                        .. attribute:: policy_action_info_st
                                                        
                                                        	policy action info st
                                                        	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.policy_action_info_st = YList()
                                                            self.policy_action_info_st.parent = self
                                                            self.policy_action_info_st.name = 'policy_action_info_st'


                                                        class PolicyActionInfoSt(object):
                                                            """
                                                            policy action info st
                                                            
                                                            .. attribute:: actp
                                                            
                                                            	actp
                                                            	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	flags
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            .. attribute:: seq
                                                            
                                                            	seq
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.actp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                self.actp.parent = self
                                                                self.flags = None
                                                                self.seq = None


                                                            class Actp(object):
                                                                """
                                                                actp
                                                                
                                                                .. attribute:: accounting_event_aaa
                                                                
                                                                	accounting event aaa
                                                                	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                
                                                                .. attribute:: acct_aaa_list
                                                                
                                                                	acct aaa list
                                                                	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                
                                                                .. attribute:: act_template
                                                                
                                                                	act template
                                                                	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                
                                                                .. attribute:: afm_react
                                                                
                                                                	afm react
                                                                	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                
                                                                .. attribute:: authen_aaa
                                                                
                                                                	authen aaa
                                                                	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                
                                                                .. attribute:: authorize_id
                                                                
                                                                	authorize id
                                                                	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                
                                                                .. attribute:: bwrem
                                                                
                                                                	bwrem
                                                                	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                
                                                                .. attribute:: cac
                                                                
                                                                	cac
                                                                	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                
                                                                .. attribute:: child_policy
                                                                
                                                                	child policy
                                                                	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                
                                                                .. attribute:: collect_id
                                                                
                                                                	collect id
                                                                	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                
                                                                .. attribute:: copy
                                                                
                                                                	copy
                                                                	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                
                                                                .. attribute:: data_p
                                                                
                                                                	data p
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: deact_template
                                                                
                                                                	deact template
                                                                	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                
                                                                .. attribute:: decode_id
                                                                
                                                                	decode id
                                                                	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                
                                                                .. attribute:: encap
                                                                
                                                                	encap
                                                                	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                
                                                                .. attribute:: flow_parm
                                                                
                                                                	flow parm
                                                                	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                
                                                                .. attribute:: fmm
                                                                
                                                                	fmm
                                                                	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                
                                                                .. attribute:: httpr
                                                                
                                                                	httpr
                                                                	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                
                                                                .. attribute:: ipcbr
                                                                
                                                                	ipcbr
                                                                	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                
                                                                .. attribute:: ipv4_nh
                                                                
                                                                	ipv4 nh
                                                                	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                
                                                                .. attribute:: ipv6_nh
                                                                
                                                                	ipv6 nh
                                                                	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                
                                                                .. attribute:: mark
                                                                
                                                                	mark
                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                
                                                                .. attribute:: mark2
                                                                
                                                                	mark2
                                                                	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                
                                                                .. attribute:: mdi
                                                                
                                                                	mdi
                                                                	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                
                                                                .. attribute:: mdi_rtp
                                                                
                                                                	mdi rtp
                                                                	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                
                                                                .. attribute:: min_bw
                                                                
                                                                	min bw
                                                                	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                
                                                                .. attribute:: out_intf
                                                                
                                                                	out intf
                                                                	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                
                                                                .. attribute:: pbf
                                                                
                                                                	pbf
                                                                	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                
                                                                .. attribute:: pfc
                                                                
                                                                	pfc
                                                                	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                
                                                                .. attribute:: police
                                                                
                                                                	police
                                                                	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                
                                                                .. attribute:: prepaid_cfg
                                                                
                                                                	prepaid cfg
                                                                	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                
                                                                .. attribute:: prio
                                                                
                                                                	prio
                                                                	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                
                                                                .. attribute:: proxy_aaa
                                                                
                                                                	proxy aaa
                                                                	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                
                                                                .. attribute:: punt
                                                                
                                                                	punt
                                                                	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                
                                                                .. attribute:: qlimit
                                                                
                                                                	qlimit
                                                                	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                
                                                                .. attribute:: query_ancp
                                                                
                                                                	query ancp
                                                                	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                
                                                                .. attribute:: redirect
                                                                
                                                                	redirect
                                                                	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                
                                                                .. attribute:: rtp
                                                                
                                                                	rtp
                                                                	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                
                                                                .. attribute:: rtp_j2k
                                                                
                                                                	rtp j2k
                                                                	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                
                                                                .. attribute:: rtp_mmr
                                                                
                                                                	rtp mmr
                                                                	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                
                                                                .. attribute:: rtp_voice
                                                                
                                                                	rtp voice
                                                                	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                
                                                                .. attribute:: serv_func
                                                                
                                                                	serv func
                                                                	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                
                                                                .. attribute:: set_timer
                                                                
                                                                	set timer
                                                                	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                
                                                                .. attribute:: sfrag
                                                                
                                                                	sfrag
                                                                	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                
                                                                .. attribute:: shape
                                                                
                                                                	shape
                                                                	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                
                                                                .. attribute:: stop_timer
                                                                
                                                                	stop timer
                                                                	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                
                                                                .. attribute:: timeout_idle
                                                                
                                                                	timeout idle
                                                                	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                
                                                                .. attribute:: type
                                                                
                                                                	type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: wred
                                                                
                                                                	wred
                                                                	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.accounting_event_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                    self.accounting_event_aaa.parent = self
                                                                    self.acct_aaa_list = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                    self.acct_aaa_list.parent = self
                                                                    self.act_template = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                    self.act_template.parent = self
                                                                    self.afm_react = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                    self.afm_react.parent = self
                                                                    self.authen_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                    self.authen_aaa.parent = self
                                                                    self.authorize_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                    self.authorize_id.parent = self
                                                                    self.bwrem = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                    self.bwrem.parent = self
                                                                    self.cac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                    self.cac.parent = self
                                                                    self.child_policy = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                    self.child_policy.parent = self
                                                                    self.collect_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                    self.collect_id.parent = self
                                                                    self.copy = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                    self.copy.parent = self
                                                                    self.data_p = None
                                                                    self.deact_template = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                    self.deact_template.parent = self
                                                                    self.decode_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                    self.decode_id.parent = self
                                                                    self.encap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                    self.encap.parent = self
                                                                    self.flow_parm = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                    self.flow_parm.parent = self
                                                                    self.fmm = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                    self.fmm.parent = self
                                                                    self.httpr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                    self.httpr.parent = self
                                                                    self.ipcbr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                    self.ipcbr.parent = self
                                                                    self.ipv4_nh = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                    self.ipv4_nh.parent = self
                                                                    self.ipv6_nh = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                    self.ipv6_nh.parent = self
                                                                    self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                    self.mark.parent = self
                                                                    self.mark2 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                    self.mark2.parent = self
                                                                    self.mdi = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                    self.mdi.parent = self
                                                                    self.mdi_rtp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                    self.mdi_rtp.parent = self
                                                                    self.min_bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                    self.min_bw.parent = self
                                                                    self.out_intf = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                    self.out_intf.parent = self
                                                                    self.pbf = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                    self.pbf.parent = self
                                                                    self.pfc = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                    self.pfc.parent = self
                                                                    self.police = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                    self.police.parent = self
                                                                    self.prepaid_cfg = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                    self.prepaid_cfg.parent = self
                                                                    self.prio = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                    self.prio.parent = self
                                                                    self.proxy_aaa = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                    self.proxy_aaa.parent = self
                                                                    self.punt = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                    self.punt.parent = self
                                                                    self.qlimit = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                    self.qlimit.parent = self
                                                                    self.query_ancp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                    self.query_ancp.parent = self
                                                                    self.redirect = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                    self.redirect.parent = self
                                                                    self.rtp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                    self.rtp.parent = self
                                                                    self.rtp_j2k = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                    self.rtp_j2k.parent = self
                                                                    self.rtp_mmr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                    self.rtp_mmr.parent = self
                                                                    self.rtp_voice = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                    self.rtp_voice.parent = self
                                                                    self.serv_func = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                    self.serv_func.parent = self
                                                                    self.set_timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                    self.set_timer.parent = self
                                                                    self.sfrag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                    self.sfrag.parent = self
                                                                    self.shape = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                    self.shape.parent = self
                                                                    self.stop_timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                    self.stop_timer.parent = self
                                                                    self.timeout_idle = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                    self.timeout_idle.parent = self
                                                                    self.type = None
                                                                    self.wred = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                    self.wred.parent = self


                                                                class Mark(object):
                                                                    """
                                                                    mark
                                                                    
                                                                    .. attribute:: action_mark_info
                                                                    
                                                                    	action mark info
                                                                    	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_mark_info = YList()
                                                                        self.action_mark_info.parent = self
                                                                        self.action_mark_info.name = 'action_mark_info'


                                                                    class ActionMarkInfo(object):
                                                                        """
                                                                        action mark info
                                                                        
                                                                        .. attribute:: mark_flags
                                                                        
                                                                        	mark flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark_flags = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark_flags is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_mark_info is not None:
                                                                            for child_ref in self.action_mark_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                class Mark2(object):
                                                                    """
                                                                    mark2
                                                                    
                                                                    .. attribute:: action_mark2_info
                                                                    
                                                                    	action mark2 info
                                                                    	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_mark2_info = YList()
                                                                        self.action_mark2_info.parent = self
                                                                        self.action_mark2_info.name = 'action_mark2_info'


                                                                    class ActionMark2Info(object):
                                                                        """
                                                                        action mark2 info
                                                                        
                                                                        .. attribute:: mark_flags
                                                                        
                                                                        	mark flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: value_overflow
                                                                        
                                                                        	value overflow
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark_flags = None
                                                                            self.type = None
                                                                            self.value = None
                                                                            self.value_overflow = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark_flags is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            if self.value_overflow is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_mark2_info is not None:
                                                                            for child_ref in self.action_mark2_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                class Wred(object):
                                                                    """
                                                                    wred
                                                                    
                                                                    .. attribute:: action_wred_info
                                                                    
                                                                    	action wred info
                                                                    	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_wred_info = YList()
                                                                        self.action_wred_info.parent = self
                                                                        self.action_wred_info.name = 'action_wred_info'


                                                                    class ActionWredInfo(object):
                                                                        """
                                                                        action wred info
                                                                        
                                                                        .. attribute:: match_ranges
                                                                        
                                                                        	match ranges
                                                                        	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                        
                                                                        .. attribute:: max_threshold
                                                                        
                                                                        	max threshold
                                                                        	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                        
                                                                        .. attribute:: min_threshold
                                                                        
                                                                        	min threshold
                                                                        	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                        
                                                                        .. attribute:: probability
                                                                        
                                                                        	probability
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	cos/prec/dscp/ based WRED
                                                                        	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                        
                                                                        .. attribute:: wred_flags
                                                                        
                                                                        	wred flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.match_ranges = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                            self.match_ranges.parent = self
                                                                            self.max_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                            self.max_threshold.parent = self
                                                                            self.min_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                            self.min_threshold.parent = self
                                                                            self.probability = None
                                                                            self.type = None
                                                                            self.wred_flags = None


                                                                        class MatchRanges(object):
                                                                            """
                                                                            match ranges
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                        class MinThreshold(object):
                                                                            """
                                                                            min threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                        class MaxThreshold(object):
                                                                            """
                                                                            max threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                return True

                                                                            if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                return True

                                                                            if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                return True

                                                                            if self.probability is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.wred_flags is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_wred_info is not None:
                                                                            for child_ref in self.action_wred_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                class Encap(object):
                                                                    """
                                                                    encap
                                                                    
                                                                    .. attribute:: seq
                                                                    
                                                                    	seq
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.seq = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.seq is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                class Prio(object):
                                                                    """
                                                                    prio
                                                                    
                                                                    .. attribute:: prio_lvl
                                                                    
                                                                    	prio lvl
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.prio_lvl = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.prio_lvl is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                class Bwrem(object):
                                                                    """
                                                                    bwrem
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.bwrem = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                        self.bwrem.parent = self


                                                                    class Bwrem_(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                class MinBw(object):
                                                                    """
                                                                    min bw
                                                                    
                                                                    .. attribute:: bw
                                                                    
                                                                    	bw
                                                                    	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                        self.bw.parent = self


                                                                    class Bw(object):
                                                                        """
                                                                        bw
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.bw is not None and self.bw._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                class AuthenAaa(object):
                                                                    """
                                                                    authen aaa
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: authen_password
                                                                    
                                                                    	authen password
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.authen_password = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.authen_password is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                class CollectId(object):
                                                                    """
                                                                    collect id
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: id
                                                                    
                                                                    	id
                                                                    	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.id = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.id is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                class DecodeId(object):
                                                                    """
                                                                    decode id
                                                                    
                                                                    .. attribute:: format_name
                                                                    
                                                                    	format name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: id
                                                                    
                                                                    	id
                                                                    	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.format_name = None
                                                                        self.id = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.format_name is not None:
                                                                            return True

                                                                        if self.id is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                class SetTimer(object):
                                                                    """
                                                                    set timer
                                                                    
                                                                    .. attribute:: absolute_time
                                                                    
                                                                    	absolute time
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: duration
                                                                    
                                                                    	duration
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: timer_name
                                                                    
                                                                    	timer name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.absolute_time = None
                                                                        self.duration = None
                                                                        self.timer_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.absolute_time is not None:
                                                                            return True

                                                                        if self.duration is not None:
                                                                            return True

                                                                        if self.timer_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                class StopTimer(object):
                                                                    """
                                                                    stop timer
                                                                    
                                                                    .. attribute:: timer_name
                                                                    
                                                                    	timer name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.timer_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.timer_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                class AcctAaaList(object):
                                                                    """
                                                                    acct aaa list
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: secs
                                                                    
                                                                    	secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.secs = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.secs is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                class QueryAncp(object):
                                                                    """
                                                                    query ancp
                                                                    
                                                                    .. attribute:: enable
                                                                    
                                                                    	enable
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.enable = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.enable is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                class PrepaidCfg(object):
                                                                    """
                                                                    prepaid cfg
                                                                    
                                                                    .. attribute:: prepaid_config_profile_name
                                                                    
                                                                    	prepaid config profile name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.prepaid_config_profile_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.prepaid_config_profile_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                class TimeoutIdle(object):
                                                                    """
                                                                    timeout idle
                                                                    
                                                                    .. attribute:: secs
                                                                    
                                                                    	secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.secs = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.secs is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                class ProxyAaa(object):
                                                                    """
                                                                    proxy aaa
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                class ActTemplate(object):
                                                                    """
                                                                    act template
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: template_name
                                                                    
                                                                    	template name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.flags = None
                                                                        self.template_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.template_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                class DeactTemplate(object):
                                                                    """
                                                                    deact template
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: template_name
                                                                    
                                                                    	template name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.flags = None
                                                                        self.template_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.template_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                class Qlimit(object):
                                                                    """
                                                                    qlimit
                                                                    
                                                                    .. attribute:: action_qlimit_info_array
                                                                    
                                                                    	action qlimit info array
                                                                    	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_qlimit_info_array = YList()
                                                                        self.action_qlimit_info_array.parent = self
                                                                        self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                    class ActionQlimitInfoArray(object):
                                                                        """
                                                                        action qlimit info array
                                                                        
                                                                        .. attribute:: atmclp_qlim
                                                                        
                                                                        	atmclp qlim
                                                                        	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                        
                                                                        .. attribute:: match_values
                                                                        
                                                                        	match values
                                                                        	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                        
                                                                        .. attribute:: qlim
                                                                        
                                                                        	qlim
                                                                        	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                        
                                                                        .. attribute:: qlimit_flags
                                                                        
                                                                        	qlimit flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.atmclp_qlim = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                            self.atmclp_qlim.parent = self
                                                                            self.match_values = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                            self.match_values.parent = self
                                                                            self.qlim = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                            self.qlim.parent = self
                                                                            self.qlimit_flags = None
                                                                            self.type = None


                                                                        class Qlim(object):
                                                                            """
                                                                            qlim
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                        class AtmclpQlim(object):
                                                                            """
                                                                            atmclp qlim
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                        class MatchValues(object):
                                                                            """
                                                                            match values
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                return True

                                                                            if self.match_values is not None and self.match_values._has_data():
                                                                                return True

                                                                            if self.qlim is not None and self.qlim._has_data():
                                                                                return True

                                                                            if self.qlimit_flags is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_qlimit_info_array is not None:
                                                                            for child_ref in self.action_qlimit_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                class AccountingEventAaa(object):
                                                                    """
                                                                    accounting event aaa
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: action
                                                                    
                                                                    	action
                                                                    	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.action = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.action is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                class AuthorizeId(object):
                                                                    """
                                                                    authorize id
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: format_name
                                                                    
                                                                    	format name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: id
                                                                    
                                                                    	id
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: password
                                                                    
                                                                    	password
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.format_name = None
                                                                        self.id = None
                                                                        self.password = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.format_name is not None:
                                                                            return True

                                                                        if self.id is not None:
                                                                            return True

                                                                        if self.password is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                class AfmReact(object):
                                                                    """
                                                                    afm react
                                                                    
                                                                    .. attribute:: action_afmon_react_info
                                                                    
                                                                    	action afmon react info
                                                                    	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_afmon_react_info = YList()
                                                                        self.action_afmon_react_info.parent = self
                                                                        self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                    class ActionAfmonReactInfo(object):
                                                                        """
                                                                        action afmon react info
                                                                        
                                                                        .. attribute:: alm_grp_thresh
                                                                        
                                                                        	Num/percent in grp
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**units**\: percentage
                                                                        
                                                                        .. attribute:: alm_severity
                                                                        
                                                                        	Major\|Minor\|... alarm
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: alm_type
                                                                        
                                                                        	Discrete \| grouped alarm
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: clone_ifh
                                                                        
                                                                        	Clone interface handle
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: criterion
                                                                        
                                                                        	React Criterion
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: description
                                                                        
                                                                        	Describing the oper
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: notif_actns
                                                                        
                                                                        	Bitmap of actions on alert
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: oper_id
                                                                        
                                                                        	React Operation ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: trig_level_1
                                                                        
                                                                        	Trigger threshold 1/lower
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: trig_level_2
                                                                        
                                                                        	Trigger upper threshold for range
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: trig_num_intvls
                                                                        
                                                                        	Averaged over N intvls
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: trig_relop
                                                                        
                                                                        	Trigger LT\|LE\|GT\|GE\|Range
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: trig_type
                                                                        
                                                                        	Immediate or averaged thresh trigger
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.alm_grp_thresh = None
                                                                            self.alm_severity = None
                                                                            self.alm_type = None
                                                                            self.clone_ifh = None
                                                                            self.criterion = None
                                                                            self.description = None
                                                                            self.notif_actns = None
                                                                            self.oper_id = None
                                                                            self.trig_level_1 = None
                                                                            self.trig_level_2 = None
                                                                            self.trig_num_intvls = None
                                                                            self.trig_relop = None
                                                                            self.trig_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.alm_grp_thresh is not None:
                                                                                return True

                                                                            if self.alm_severity is not None:
                                                                                return True

                                                                            if self.alm_type is not None:
                                                                                return True

                                                                            if self.clone_ifh is not None:
                                                                                return True

                                                                            if self.criterion is not None:
                                                                                return True

                                                                            if self.description is not None:
                                                                                return True

                                                                            if self.notif_actns is not None:
                                                                                return True

                                                                            if self.oper_id is not None:
                                                                                return True

                                                                            if self.trig_level_1 is not None:
                                                                                return True

                                                                            if self.trig_level_2 is not None:
                                                                                return True

                                                                            if self.trig_num_intvls is not None:
                                                                                return True

                                                                            if self.trig_relop is not None:
                                                                                return True

                                                                            if self.trig_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_afmon_react_info is not None:
                                                                            for child_ref in self.action_afmon_react_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                class Httpr(object):
                                                                    """
                                                                    httpr
                                                                    
                                                                    .. attribute:: redirect_url
                                                                    
                                                                    	redirect url
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.redirect_url = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.redirect_url is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                class Punt(object):
                                                                    """
                                                                    punt
                                                                    
                                                                    .. attribute:: app_id
                                                                    
                                                                    	application ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: local_id
                                                                    
                                                                    	local ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: sn_index
                                                                    
                                                                    	service node index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: sn_name
                                                                    
                                                                    	service node name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: sn_type
                                                                    
                                                                    	service node ID type
                                                                    	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                    
                                                                    .. attribute:: vsnode_type
                                                                    
                                                                    	vservice node type
                                                                    	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.app_id = None
                                                                        self.local_id = None
                                                                        self.sn_index = None
                                                                        self.sn_name = None
                                                                        self.sn_type = None
                                                                        self.vsnode_type = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.app_id is not None:
                                                                            return True

                                                                        if self.local_id is not None:
                                                                            return True

                                                                        if self.sn_index is not None:
                                                                            return True

                                                                        if self.sn_name is not None:
                                                                            return True

                                                                        if self.sn_type is not None:
                                                                            return True

                                                                        if self.vsnode_type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                class Copy(object):
                                                                    """
                                                                    copy
                                                                    
                                                                    .. attribute:: app_id
                                                                    
                                                                    	application ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: local_id
                                                                    
                                                                    	local ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: num_byte
                                                                    
                                                                    	number of bytes
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: byte
                                                                    
                                                                    .. attribute:: sn_index
                                                                    
                                                                    	service node index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: sn_name
                                                                    
                                                                    	service node url
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: sn_type
                                                                    
                                                                    	service node ID type
                                                                    	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                    
                                                                    .. attribute:: vsnode_type
                                                                    
                                                                    	vservice node type
                                                                    	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.app_id = None
                                                                        self.local_id = None
                                                                        self.num_byte = None
                                                                        self.sn_index = None
                                                                        self.sn_name = None
                                                                        self.sn_type = None
                                                                        self.vsnode_type = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.app_id is not None:
                                                                            return True

                                                                        if self.local_id is not None:
                                                                            return True

                                                                        if self.num_byte is not None:
                                                                            return True

                                                                        if self.sn_index is not None:
                                                                            return True

                                                                        if self.sn_name is not None:
                                                                            return True

                                                                        if self.sn_type is not None:
                                                                            return True

                                                                        if self.vsnode_type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                class Sfrag(object):
                                                                    """
                                                                    sfrag
                                                                    
                                                                    .. attribute:: name
                                                                    
                                                                    	Service Fragment Name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                class Redirect(object):
                                                                    """
                                                                    redirect
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.type = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                class OutIntf(object):
                                                                    """
                                                                    out intf
                                                                    
                                                                    .. attribute:: out_ifname
                                                                    
                                                                    	output interface name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.out_ifname = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.out_ifname is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                class ServFunc(object):
                                                                    """
                                                                    serv func
                                                                    
                                                                    .. attribute:: meta_name
                                                                    
                                                                    	metadata name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: path_id
                                                                    
                                                                    	service path id
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: service_index
                                                                    
                                                                    	service path index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: vs_index
                                                                    
                                                                    	vservice index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.meta_name = None
                                                                        self.path_id = None
                                                                        self.service_index = None
                                                                        self.vs_index = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.meta_name is not None:
                                                                            return True

                                                                        if self.path_id is not None:
                                                                            return True

                                                                        if self.service_index is not None:
                                                                            return True

                                                                        if self.vs_index is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                class Police(object):
                                                                    """
                                                                    police
                                                                    
                                                                    .. attribute:: burst
                                                                    
                                                                    	burst
                                                                    	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                    
                                                                    .. attribute:: cdvt
                                                                    
                                                                    	cdvt
                                                                    	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                    
                                                                    .. attribute:: confclass_encode
                                                                    
                                                                    	confclass encode
                                                                    	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                    
                                                                    .. attribute:: confclass_p
                                                                    
                                                                    	confclass p
                                                                    	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                    
                                                                    .. attribute:: conform_actns
                                                                    
                                                                    	conform actns
                                                                    	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                    
                                                                    .. attribute:: excdclass_encode
                                                                    
                                                                    	excdclass encode
                                                                    	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                    
                                                                    .. attribute:: excdclass_p
                                                                    
                                                                    	excdclass p
                                                                    	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                    
                                                                    .. attribute:: exceed_actns
                                                                    
                                                                    	exceed actns
                                                                    	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: peak_burst
                                                                    
                                                                    	peak burst
                                                                    	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                    
                                                                    .. attribute:: peak_rate
                                                                    
                                                                    	peak rate
                                                                    	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                    
                                                                    .. attribute:: police_flags
                                                                    
                                                                    	police flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: rate
                                                                    
                                                                    	rate
                                                                    	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                    
                                                                    .. attribute:: sbuck_name
                                                                    
                                                                    	sbuck name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: sbuck_type
                                                                    
                                                                    	sbuck type
                                                                    	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                    
                                                                    .. attribute:: violate_actns
                                                                    
                                                                    	violate actns
                                                                    	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.burst = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                        self.burst.parent = self
                                                                        self.cdvt = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                        self.cdvt.parent = self
                                                                        self.confclass_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                        self.confclass_encode.parent = self
                                                                        self.confclass_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                        self.confclass_p.parent = self
                                                                        self.conform_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                        self.conform_actns.parent = self
                                                                        self.excdclass_encode = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                        self.excdclass_encode.parent = self
                                                                        self.excdclass_p = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                        self.excdclass_p.parent = self
                                                                        self.exceed_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                        self.exceed_actns.parent = self
                                                                        self.flags = None
                                                                        self.peak_burst = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                        self.peak_burst.parent = self
                                                                        self.peak_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                        self.peak_rate.parent = self
                                                                        self.police_flags = None
                                                                        self.rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                        self.rate.parent = self
                                                                        self.sbuck_name = None
                                                                        self.sbuck_type = None
                                                                        self.violate_actns = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                        self.violate_actns.parent = self


                                                                    class Rate(object):
                                                                        """
                                                                        rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                    class Burst(object):
                                                                        """
                                                                        burst
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                    class PeakRate(object):
                                                                        """
                                                                        peak rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                    class PeakBurst(object):
                                                                        """
                                                                        peak burst
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                    class Cdvt(object):
                                                                        """
                                                                        cdvt
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                    class ConformActns(object):
                                                                        """
                                                                        conform actns
                                                                        
                                                                        .. attribute:: police_action_array
                                                                        
                                                                        	police action array
                                                                        	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.police_action_array = YList()
                                                                            self.police_action_array.parent = self
                                                                            self.police_action_array.name = 'police_action_array'


                                                                        class PoliceActionArray(object):
                                                                            """
                                                                            police action array
                                                                            
                                                                            .. attribute:: mark
                                                                            
                                                                            	mark
                                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                self.mark.parent = self
                                                                                self.type = None


                                                                            class Mark(object):
                                                                                """
                                                                                mark
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark is not None and self.mark._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.police_action_array is not None:
                                                                                for child_ref in self.police_action_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                    class ExceedActns(object):
                                                                        """
                                                                        exceed actns
                                                                        
                                                                        .. attribute:: police_action_array
                                                                        
                                                                        	police action array
                                                                        	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.police_action_array = YList()
                                                                            self.police_action_array.parent = self
                                                                            self.police_action_array.name = 'police_action_array'


                                                                        class PoliceActionArray(object):
                                                                            """
                                                                            police action array
                                                                            
                                                                            .. attribute:: mark
                                                                            
                                                                            	mark
                                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                self.mark.parent = self
                                                                                self.type = None


                                                                            class Mark(object):
                                                                                """
                                                                                mark
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark is not None and self.mark._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.police_action_array is not None:
                                                                                for child_ref in self.police_action_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                    class ViolateActns(object):
                                                                        """
                                                                        violate actns
                                                                        
                                                                        .. attribute:: police_action_array
                                                                        
                                                                        	police action array
                                                                        	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.police_action_array = YList()
                                                                            self.police_action_array.parent = self
                                                                            self.police_action_array.name = 'police_action_array'


                                                                        class PoliceActionArray(object):
                                                                            """
                                                                            police action array
                                                                            
                                                                            .. attribute:: mark
                                                                            
                                                                            	mark
                                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                self.mark.parent = self
                                                                                self.type = None


                                                                            class Mark(object):
                                                                                """
                                                                                mark
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark is not None and self.mark._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.police_action_array is not None:
                                                                                for child_ref in self.police_action_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                    class ConfclassEncode(object):
                                                                        """
                                                                        confclass encode
                                                                        
                                                                        .. attribute:: class_name
                                                                        
                                                                        	class name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd
                                                                        
                                                                        	hd
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        .. attribute:: idx
                                                                        
                                                                        	idx
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: inline_cmap
                                                                        
                                                                        	inline cmap
                                                                        	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_name = None
                                                                            self.enc = None
                                                                            self.hd = None
                                                                            self.idx = None
                                                                            self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                            self.inline_cmap.parent = self


                                                                        class InlineCmap(object):
                                                                            """
                                                                            inline cmap
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Inline Class\-Map flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Inline Class\-Map Mode Match any/all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_name is not None:
                                                                                return True

                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd is not None:
                                                                                return True

                                                                            if self.idx is not None:
                                                                                return True

                                                                            if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                    class ConfclassP(object):
                                                                        """
                                                                        confclass p
                                                                        
                                                                        .. attribute:: class_map_bg
                                                                        
                                                                        	class map bg
                                                                        	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_map_bg = YList()
                                                                            self.class_map_bg.parent = self
                                                                            self.class_map_bg.name = 'class_map_bg'


                                                                        class ClassMapBg(object):
                                                                            """
                                                                            class map bg
                                                                            
                                                                            .. attribute:: chk_sum
                                                                            
                                                                            	MD5 checksum of the encoded class\-map bag
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..16
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	description
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Class\-Map Internal
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: magic
                                                                            
                                                                            	Magic number on top of class\-map bag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Class\-Map Mode Match any/Match all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	Name of the class\-map
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Class\-Map Type QoS/PBR/Netflow/..
                                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.chk_sum = None
                                                                                self.description = None
                                                                                self.flags = None
                                                                                self.magic = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None
                                                                                self.name = None
                                                                                self.type = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.chk_sum is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.magic is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_map_bg is not None:
                                                                                for child_ref in self.class_map_bg:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                    class ExcdclassEncode(object):
                                                                        """
                                                                        excdclass encode
                                                                        
                                                                        .. attribute:: class_name
                                                                        
                                                                        	class name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd
                                                                        
                                                                        	hd
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        .. attribute:: idx
                                                                        
                                                                        	idx
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: inline_cmap
                                                                        
                                                                        	inline cmap
                                                                        	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_name = None
                                                                            self.enc = None
                                                                            self.hd = None
                                                                            self.idx = None
                                                                            self.inline_cmap = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                            self.inline_cmap.parent = self


                                                                        class InlineCmap(object):
                                                                            """
                                                                            inline cmap
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Inline Class\-Map flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Inline Class\-Map Mode Match any/all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_name is not None:
                                                                                return True

                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd is not None:
                                                                                return True

                                                                            if self.idx is not None:
                                                                                return True

                                                                            if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                    class ExcdclassP(object):
                                                                        """
                                                                        excdclass p
                                                                        
                                                                        .. attribute:: class_map_bg
                                                                        
                                                                        	class map bg
                                                                        	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_map_bg = YList()
                                                                            self.class_map_bg.parent = self
                                                                            self.class_map_bg.name = 'class_map_bg'


                                                                        class ClassMapBg(object):
                                                                            """
                                                                            class map bg
                                                                            
                                                                            .. attribute:: chk_sum
                                                                            
                                                                            	MD5 checksum of the encoded class\-map bag
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..16
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	description
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Class\-Map Internal
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: magic
                                                                            
                                                                            	Magic number on top of class\-map bag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Class\-Map Mode Match any/Match all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	Name of the class\-map
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Class\-Map Type QoS/PBR/Netflow/..
                                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.chk_sum = None
                                                                                self.description = None
                                                                                self.flags = None
                                                                                self.magic = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None
                                                                                self.name = None
                                                                                self.type = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.chk_sum is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.magic is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_map_bg is not None:
                                                                                for child_ref in self.class_map_bg:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.burst is not None and self.burst._has_data():
                                                                            return True

                                                                        if self.cdvt is not None and self.cdvt._has_data():
                                                                            return True

                                                                        if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                            return True

                                                                        if self.confclass_p is not None and self.confclass_p._has_data():
                                                                            return True

                                                                        if self.conform_actns is not None and self.conform_actns._has_data():
                                                                            return True

                                                                        if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                            return True

                                                                        if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                            return True

                                                                        if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.peak_burst is not None and self.peak_burst._has_data():
                                                                            return True

                                                                        if self.peak_rate is not None and self.peak_rate._has_data():
                                                                            return True

                                                                        if self.police_flags is not None:
                                                                            return True

                                                                        if self.rate is not None and self.rate._has_data():
                                                                            return True

                                                                        if self.sbuck_name is not None:
                                                                            return True

                                                                        if self.sbuck_type is not None:
                                                                            return True

                                                                        if self.violate_actns is not None and self.violate_actns._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                class Shape(object):
                                                                    """
                                                                    shape
                                                                    
                                                                    .. attribute:: be
                                                                    
                                                                    	be
                                                                    	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                    
                                                                    .. attribute:: bw
                                                                    
                                                                    	bw
                                                                    	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.be = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                        self.be.parent = self
                                                                        self.bw = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                        self.bw.parent = self


                                                                    class Bw(object):
                                                                        """
                                                                        bw
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                    class Be(object):
                                                                        """
                                                                        be
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.be is not None and self.be._has_data():
                                                                            return True

                                                                        if self.bw is not None and self.bw._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                class ChildPolicy(object):
                                                                    """
                                                                    child policy
                                                                    
                                                                    .. attribute:: enc
                                                                    
                                                                    	enc
                                                                    	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                    
                                                                    .. attribute:: hd_info
                                                                    
                                                                    	hd info
                                                                    	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                    
                                                                    .. attribute:: info
                                                                    
                                                                    	info
                                                                    	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.enc = None
                                                                        self.hd_info = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                        self.hd_info.parent = self
                                                                        self.info = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                        self.info.parent = self


                                                                    class Info(object):
                                                                        """
                                                                        info
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None
                                                                            self.type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                    class HdInfo(object):
                                                                        """
                                                                        hd info
                                                                        
                                                                        .. attribute:: data_hd
                                                                        
                                                                        	data hd
                                                                        	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                        
                                                                        .. attribute:: hd
                                                                        
                                                                        	hd
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.data_hd = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                            self.data_hd.parent = self
                                                                            self.hd = None


                                                                        class DataHd(object):
                                                                            """
                                                                            data hd
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.data_hd is not None and self.data_hd._has_data():
                                                                                return True

                                                                            if self.hd is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.enc is not None:
                                                                            return True

                                                                        if self.hd_info is not None and self.hd_info._has_data():
                                                                            return True

                                                                        if self.info is not None and self.info._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                class Cac(object):
                                                                    """
                                                                    cac
                                                                    
                                                                    .. attribute:: cac_type
                                                                    
                                                                    	cac type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: flow_rate
                                                                    
                                                                    	flow rate
                                                                    	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                    
                                                                    .. attribute:: idle_timeout
                                                                    
                                                                    	idle timeout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    .. attribute:: rate
                                                                    
                                                                    	rate
                                                                    	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.cac_type = None
                                                                        self.flow_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                        self.flow_rate.parent = self
                                                                        self.idle_timeout = None
                                                                        self.rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                        self.rate.parent = self


                                                                    class FlowRate(object):
                                                                        """
                                                                        flow rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                    class Rate(object):
                                                                        """
                                                                        rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.cac_type is not None:
                                                                            return True

                                                                        if self.flow_rate is not None and self.flow_rate._has_data():
                                                                            return True

                                                                        if self.idle_timeout is not None:
                                                                            return True

                                                                        if self.rate is not None and self.rate._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                class Pfc(object):
                                                                    """
                                                                    pfc
                                                                    
                                                                    .. attribute:: buffer_size
                                                                    
                                                                    	buffer size
                                                                    	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                    
                                                                    .. attribute:: buffer_size_flag
                                                                    
                                                                    	buffer size flag
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pause_threshold
                                                                    
                                                                    	pause threshold
                                                                    	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                    
                                                                    .. attribute:: pfc_pause_set
                                                                    
                                                                    	pfc pause set
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: resume_threshold
                                                                    
                                                                    	resume threshold
                                                                    	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.buffer_size = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                        self.buffer_size.parent = self
                                                                        self.buffer_size_flag = None
                                                                        self.pause_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                        self.pause_threshold.parent = self
                                                                        self.pfc_pause_set = None
                                                                        self.resume_threshold = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                        self.resume_threshold.parent = self


                                                                    class BufferSize(object):
                                                                        """
                                                                        buffer size
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                    class PauseThreshold(object):
                                                                        """
                                                                        pause threshold
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                    class ResumeThreshold(object):
                                                                        """
                                                                        resume threshold
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.buffer_size is not None and self.buffer_size._has_data():
                                                                            return True

                                                                        if self.buffer_size_flag is not None:
                                                                            return True

                                                                        if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                            return True

                                                                        if self.pfc_pause_set is not None:
                                                                            return True

                                                                        if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                class FlowParm(object):
                                                                    """
                                                                    flow parm
                                                                    
                                                                    .. attribute:: flow_timeout
                                                                    
                                                                    	timeout in secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: second
                                                                    
                                                                    .. attribute:: intvl_hist
                                                                    
                                                                    	num intervals of data stored on rtr
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_mon_flows
                                                                    
                                                                    	max simult flows monitored per policy class
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: mon_interval
                                                                    
                                                                    	monitored interval duration in secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: second
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flow_timeout = None
                                                                        self.intvl_hist = None
                                                                        self.max_mon_flows = None
                                                                        self.mon_interval = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flow_timeout is not None:
                                                                            return True

                                                                        if self.intvl_hist is not None:
                                                                            return True

                                                                        if self.max_mon_flows is not None:
                                                                            return True

                                                                        if self.mon_interval is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                class Ipcbr(object):
                                                                    """
                                                                    ipcbr
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: ip_bit_rate
                                                                    
                                                                    	data rate in bps
                                                                    	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                    
                                                                    .. attribute:: ip_pkt_rate
                                                                    
                                                                    	packet rate in pps
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: media_bit_rate
                                                                    
                                                                    	media data rate in bps
                                                                    	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                    
                                                                    .. attribute:: media_pkt_size
                                                                    
                                                                    	media packet size in bytes
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: byte
                                                                    
                                                                    .. attribute:: media_pkts_per_ip
                                                                    
                                                                    	media packets per ip pkt
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                        self.ip_bit_rate.parent = self
                                                                        self.ip_pkt_rate = None
                                                                        self.media_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                        self.media_bit_rate.parent = self
                                                                        self.media_pkt_size = None
                                                                        self.media_pkts_per_ip = None


                                                                    class IpBitRate(object):
                                                                        """
                                                                        data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                    class MediaBitRate(object):
                                                                        """
                                                                        media data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                            return True

                                                                        if self.ip_pkt_rate is not None:
                                                                            return True

                                                                        if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                            return True

                                                                        if self.media_pkt_size is not None:
                                                                            return True

                                                                        if self.media_pkts_per_ip is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                class Rtp(object):
                                                                    """
                                                                    rtp
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                class RtpMmr(object):
                                                                    """
                                                                    rtp mmr
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                class RtpJ2K(object):
                                                                    """
                                                                    rtp j2k
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                class RtpVoice(object):
                                                                    """
                                                                    rtp voice
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                class Mdi(object):
                                                                    """
                                                                    mdi
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: filtered_pkt_rate
                                                                    
                                                                    	filtered packet rate
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: ip_bit_rate
                                                                    
                                                                    	data rate in bps
                                                                    	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                    
                                                                    .. attribute:: ip_pkt_rate
                                                                    
                                                                    	packet rate in pps
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pids
                                                                    
                                                                    	array of monitoredcd  pids
                                                                    	**type**\:  list of int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.filtered_pkt_rate = None
                                                                        self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                        self.ip_bit_rate.parent = self
                                                                        self.ip_pkt_rate = None
                                                                        self.pids = YLeafList()
                                                                        self.pids.parent = self
                                                                        self.pids.name = 'pids'


                                                                    class IpBitRate(object):
                                                                        """
                                                                        data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.filtered_pkt_rate is not None:
                                                                            return True

                                                                        if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                            return True

                                                                        if self.ip_pkt_rate is not None:
                                                                            return True

                                                                        if self.pids is not None:
                                                                            for child in self.pids:
                                                                                if child is not None:
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                class MdiRtp(object):
                                                                    """
                                                                    mdi rtp
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: filtered_pkt_rate
                                                                    
                                                                    	filtered packet rate
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: ip_bit_rate
                                                                    
                                                                    	data rate in bps
                                                                    	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                    
                                                                    .. attribute:: ip_pkt_rate
                                                                    
                                                                    	packet rate in pps
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pids
                                                                    
                                                                    	array of monitoredcd  pids
                                                                    	**type**\:  list of int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.filtered_pkt_rate = None
                                                                        self.ip_bit_rate = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                        self.ip_bit_rate.parent = self
                                                                        self.ip_pkt_rate = None
                                                                        self.pids = YLeafList()
                                                                        self.pids.parent = self
                                                                        self.pids.name = 'pids'


                                                                    class IpBitRate(object):
                                                                        """
                                                                        data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.filtered_pkt_rate is not None:
                                                                            return True

                                                                        if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                            return True

                                                                        if self.ip_pkt_rate is not None:
                                                                            return True

                                                                        if self.pids is not None:
                                                                            for child in self.pids:
                                                                                if child is not None:
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                class Fmm(object):
                                                                    """
                                                                    fmm
                                                                    
                                                                    .. attribute:: fmm_name
                                                                    
                                                                    	flow monitor name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..33
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.fmm_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.fmm_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                class Pbf(object):
                                                                    """
                                                                    pbf
                                                                    
                                                                    .. attribute:: action_pbf_info_array
                                                                    
                                                                    	action pbf info array
                                                                    	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_pbf_info_array = YList()
                                                                        self.action_pbf_info_array.parent = self
                                                                        self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                    class ActionPbfInfoArray(object):
                                                                        """
                                                                        action pbf info array
                                                                        
                                                                        .. attribute:: addr
                                                                        
                                                                        	v4 or v6 address
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                        
                                                                        .. attribute:: rt
                                                                        
                                                                        	route target
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                        
                                                                        .. attribute:: rt_type
                                                                        
                                                                        	route target type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vrf
                                                                        
                                                                        	vrf name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.addr = None
                                                                            self.rt = None
                                                                            self.rt_type = None
                                                                            self.vrf = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.addr is not None:
                                                                                return True

                                                                            if self.rt is not None:
                                                                                return True

                                                                            if self.rt_type is not None:
                                                                                return True

                                                                            if self.vrf is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_pbf_info_array is not None:
                                                                            for child_ref in self.action_pbf_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                class Ipv4Nh(object):
                                                                    """
                                                                    ipv4 nh
                                                                    
                                                                    .. attribute:: action_ipv4_nh_info_array
                                                                    
                                                                    	action ipv4 nh info array
                                                                    	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_ipv4_nh_info_array = YList()
                                                                        self.action_ipv4_nh_info_array.parent = self
                                                                        self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                    class ActionIpv4NhInfoArray(object):
                                                                        """
                                                                        action ipv4 nh info array
                                                                        
                                                                        .. attribute:: nh_addr
                                                                        
                                                                        	nh addr
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                        
                                                                        .. attribute:: vrf_name
                                                                        
                                                                        	Vrf name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.nh_addr = None
                                                                            self.vrf_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.nh_addr is not None:
                                                                                return True

                                                                            if self.vrf_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_ipv4_nh_info_array is not None:
                                                                            for child_ref in self.action_ipv4_nh_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                class Ipv6Nh(object):
                                                                    """
                                                                    ipv6 nh
                                                                    
                                                                    .. attribute:: action_ipv6_nh_info_array
                                                                    
                                                                    	action ipv6 nh info array
                                                                    	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_ipv6_nh_info_array = YList()
                                                                        self.action_ipv6_nh_info_array.parent = self
                                                                        self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                    class ActionIpv6NhInfoArray(object):
                                                                        """
                                                                        action ipv6 nh info array
                                                                        
                                                                        .. attribute:: nh_addr
                                                                        
                                                                        	IPV6 Address
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                        
                                                                        .. attribute:: vrf_name
                                                                        
                                                                        	Vrf name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.nh_addr = None
                                                                            self.vrf_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.nh_addr is not None:
                                                                                return True

                                                                            if self.vrf_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_ipv6_nh_info_array is not None:
                                                                            for child_ref in self.action_ipv6_nh_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                        return True

                                                                    if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                        return True

                                                                    if self.act_template is not None and self.act_template._has_data():
                                                                        return True

                                                                    if self.afm_react is not None and self.afm_react._has_data():
                                                                        return True

                                                                    if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                        return True

                                                                    if self.authorize_id is not None and self.authorize_id._has_data():
                                                                        return True

                                                                    if self.bwrem is not None and self.bwrem._has_data():
                                                                        return True

                                                                    if self.cac is not None and self.cac._has_data():
                                                                        return True

                                                                    if self.child_policy is not None and self.child_policy._has_data():
                                                                        return True

                                                                    if self.collect_id is not None and self.collect_id._has_data():
                                                                        return True

                                                                    if self.copy is not None and self.copy._has_data():
                                                                        return True

                                                                    if self.data_p is not None:
                                                                        return True

                                                                    if self.deact_template is not None and self.deact_template._has_data():
                                                                        return True

                                                                    if self.decode_id is not None and self.decode_id._has_data():
                                                                        return True

                                                                    if self.encap is not None and self.encap._has_data():
                                                                        return True

                                                                    if self.flow_parm is not None and self.flow_parm._has_data():
                                                                        return True

                                                                    if self.fmm is not None and self.fmm._has_data():
                                                                        return True

                                                                    if self.httpr is not None and self.httpr._has_data():
                                                                        return True

                                                                    if self.ipcbr is not None and self.ipcbr._has_data():
                                                                        return True

                                                                    if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                        return True

                                                                    if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                        return True

                                                                    if self.mark is not None and self.mark._has_data():
                                                                        return True

                                                                    if self.mark2 is not None and self.mark2._has_data():
                                                                        return True

                                                                    if self.mdi is not None and self.mdi._has_data():
                                                                        return True

                                                                    if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                        return True

                                                                    if self.min_bw is not None and self.min_bw._has_data():
                                                                        return True

                                                                    if self.out_intf is not None and self.out_intf._has_data():
                                                                        return True

                                                                    if self.pbf is not None and self.pbf._has_data():
                                                                        return True

                                                                    if self.pfc is not None and self.pfc._has_data():
                                                                        return True

                                                                    if self.police is not None and self.police._has_data():
                                                                        return True

                                                                    if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                        return True

                                                                    if self.prio is not None and self.prio._has_data():
                                                                        return True

                                                                    if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                        return True

                                                                    if self.punt is not None and self.punt._has_data():
                                                                        return True

                                                                    if self.qlimit is not None and self.qlimit._has_data():
                                                                        return True

                                                                    if self.query_ancp is not None and self.query_ancp._has_data():
                                                                        return True

                                                                    if self.redirect is not None and self.redirect._has_data():
                                                                        return True

                                                                    if self.rtp is not None and self.rtp._has_data():
                                                                        return True

                                                                    if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                        return True

                                                                    if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                        return True

                                                                    if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                        return True

                                                                    if self.serv_func is not None and self.serv_func._has_data():
                                                                        return True

                                                                    if self.set_timer is not None and self.set_timer._has_data():
                                                                        return True

                                                                    if self.sfrag is not None and self.sfrag._has_data():
                                                                        return True

                                                                    if self.shape is not None and self.shape._has_data():
                                                                        return True

                                                                    if self.stop_timer is not None and self.stop_timer._has_data():
                                                                        return True

                                                                    if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    if self.wred is not None and self.wred._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.actp is not None and self.actp._has_data():
                                                                    return True

                                                                if self.flags is not None:
                                                                    return True

                                                                if self.seq is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.policy_action_info_st is not None:
                                                                for child_ref in self.policy_action_info_st:
                                                                    if child_ref._has_data():
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.act_infop is not None and self.act_infop._has_data():
                                                            return True

                                                        if self.cl_encode is not None and self.cl_encode._has_data():
                                                            return True

                                                        if self.clmp_p is not None and self.clmp_p._has_data():
                                                            return True

                                                        if self.ctype is not None:
                                                            return True

                                                        if self.exe_strat is not None:
                                                            return True

                                                        if self.flags is not None:
                                                            return True

                                                        if self.num_actions is not None:
                                                            return True

                                                        if self.policy_class_hd is not None:
                                                            return True

                                                        if self.seq is not None:
                                                            return True

                                                        if self.version is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.policy_class_info_bg is not None:
                                                        for child_ref in self.policy_class_info_bg:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.avl_tree is not None:
                                                    return True

                                                if self.class_infop is not None and self.class_infop._has_data():
                                                    return True

                                                if self.cond_eval is not None:
                                                    return True

                                                if self.event_type is not None:
                                                    return True

                                                if self.flags is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.policy_event_info_bg is not None:
                                                for child_ref in self.policy_event_info_bg:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.chk_sum is not None:
                                            return True

                                        if self.class_dflt_hrchy_depth is not None:
                                            return True

                                        if self.description is not None:
                                            return True

                                        if self.event_infop is not None and self.event_infop._has_data():
                                            return True

                                        if self.flags is not None:
                                            return True

                                        if self.handle is not None:
                                            return True

                                        if self.magic is not None:
                                            return True

                                        if self.max_hierarchy is not None:
                                            return True

                                        if self.name is not None:
                                            return True

                                        if self.num_classes is not None:
                                            return True

                                        if self.num_policy_class_info is not None:
                                            return True

                                        if self.pclass_diff is not None:
                                            return True

                                        if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                            return True

                                        if self.rateless_chk_sum is not None:
                                            return True

                                        if self.table_id is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:definition'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_bg is not None:
                                        for child_ref in self.policy_map_bg:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-name[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.class_handles is not None and self.class_handles._has_data():
                                    return True

                                if self.class_seq_nums is not None and self.class_seq_nums._has_data():
                                    return True

                                if self.definition is not None and self.definition._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-names'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.transient_policy_map_name is not None:
                                for child_ref in self.transient_policy_map_name:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames']['meta_info']

                    @property
                    def _common_path(self):
                        if self.type is None:
                            raise YPYModelError('Key property type is None')

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type-xr/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.type is not None:
                            return True

                        if self.transient_policy_map_names is not None and self.transient_policy_map_names._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type-xr'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.transient_policy_map_type is not None:
                        for child_ref in self.transient_policy_map_type:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr']['meta_info']


            class PolicyMapUnusedTypes(object):
                """
                Policy\-map unused table
                
                .. attribute:: policy_map_unused_type
                
                	Policy\-map unused
                	**type**\: list of    :py:class:`PolicyMapUnusedType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.policy_map_unused_type = YList()
                    self.policy_map_unused_type.parent = self
                    self.policy_map_unused_type.name = 'policy_map_unused_type'


                class PolicyMapUnusedType(object):
                    """
                    Policy\-map unused
                    
                    .. attribute:: type  <key>
                    
                    	The application type
                    	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                    
                    .. attribute:: unuseds
                    
                    	Policy\-map unused
                    	**type**\:   :py:class:`Unuseds <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.type = None
                        self.unuseds = PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds()
                        self.unuseds.parent = self


                    class Unuseds(object):
                        """
                        Policy\-map unused
                        
                        .. attribute:: unused
                        
                        	Policy\-map unused information
                        	**type**\: list of    :py:class:`Unused <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.unused = YList()
                            self.unused.parent = self
                            self.unused.name = 'unused'


                        class Unused(object):
                            """
                            Policy\-map unused information
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_map_reference
                            
                            	Each Classmapdetails
                            	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference>`
                            
                            .. attribute:: object
                            
                            	Each object details
                            	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object>`
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: reference
                            
                            	Each Policymap details
                            	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference>`
                            
                            .. attribute:: total_objects
                            
                            	Total number of objects configured for a specific object type
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: transient
                            
                            	Transient object
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.class_map_reference = YList()
                                self.class_map_reference.parent = self
                                self.class_map_reference.name = 'class_map_reference'
                                self.object = YList()
                                self.object.parent = self
                                self.object.name = 'object'
                                self.object_type = None
                                self.reference = YList()
                                self.reference.parent = self
                                self.reference.name = 'reference'
                                self.total_objects = None
                                self.transient = None


                            class Reference(object):
                                """
                                Each Policymap details
                                
                                .. attribute:: total_class_maps
                                
                                	Total number of Classmaps in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_flows
                                
                                	Total flows in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_internal_reference_objects
                                
                                	Total number of internal reference objects
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.total_class_maps = None
                                    self.total_flows = None
                                    self.total_internal_reference_objects = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.total_class_maps is not None:
                                        return True

                                    if self.total_flows is not None:
                                        return True

                                    if self.total_internal_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference']['meta_info']


                            class Object(object):
                                """
                                Each object details
                                
                                .. attribute:: object_name
                                
                                	Name of object (Policymap/Classmap)
                                	**type**\:  str
                                
                                	**length:** 0..64
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.object_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.object_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object']['meta_info']


                            class ClassMapReference(object):
                                """
                                Each Classmapdetails
                                
                                .. attribute:: policy_map_reference
                                
                                	List of Policymaps referencing a Classmap
                                	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference>`
                                
                                .. attribute:: total_reference_objects
                                
                                	Total number of Policymaps referencing a Classmap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_reference = YList()
                                    self.policy_map_reference.parent = self
                                    self.policy_map_reference.name = 'policy_map_reference'
                                    self.total_reference_objects = None


                                class PolicyMapReference(object):
                                    """
                                    List of Policymaps referencing a Classmap
                                    
                                    .. attribute:: object_type
                                    
                                    	Application type configured
                                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                    
                                    .. attribute:: policy_map_name
                                    
                                    	Name of Policymap referencing a Classmap
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_type = None
                                        self.policy_map_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_type is not None:
                                            return True

                                        if self.policy_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_reference is not None:
                                        for child_ref in self.policy_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unused[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.class_map_reference is not None:
                                    for child_ref in self.class_map_reference:
                                        if child_ref._has_data():
                                            return True

                                if self.object is not None:
                                    for child_ref in self.object:
                                        if child_ref._has_data():
                                            return True

                                if self.object_type is not None:
                                    return True

                                if self.reference is not None:
                                    for child_ref in self.reference:
                                        if child_ref._has_data():
                                            return True

                                if self.total_objects is not None:
                                    return True

                                if self.transient is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unuseds'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.unused is not None:
                                for child_ref in self.unused:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds']['meta_info']

                    @property
                    def _common_path(self):
                        if self.type is None:
                            raise YPYModelError('Key property type is None')

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:policy-map-unused-types/Cisco-IOS-XR-infra-policymgr-oper:policy-map-unused-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.type is not None:
                            return True

                        if self.unuseds is not None and self.unuseds._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:policy-map-unused-types'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.policy_map_unused_type is not None:
                        for child_ref in self.policy_map_unused_type:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes']['meta_info']


            class PolicyMapTypes(object):
                """
                Application type of a policymap
                
                .. attribute:: policy_map_type
                
                	Policymgr application type
                	**type**\: list of    :py:class:`PolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.policy_map_type = YList()
                    self.policy_map_type.parent = self
                    self.policy_map_type.name = 'policy_map_type'


                class PolicyMapType(object):
                    """
                    Policymgr application type
                    
                    .. attribute:: type  <key>
                    
                    	The application type
                    	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                    
                    .. attribute:: policy_map_details
                    
                    	Policy\-map table
                    	**type**\:   :py:class:`PolicyMapDetails <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails>`
                    
                    .. attribute:: policy_maps
                    
                    	Policy\-map definition table
                    	**type**\:   :py:class:`PolicyMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.type = None
                        self.policy_map_details = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails()
                        self.policy_map_details.parent = self
                        self.policy_maps = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps()
                        self.policy_maps.parent = self


                    class PolicyMaps(object):
                        """
                        Policy\-map definition table
                        
                        .. attribute:: policy_map
                        
                        	Policy\-map configuration
                        	**type**\: list of    :py:class:`PolicyMap_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map = YList()
                            self.policy_map.parent = self
                            self.policy_map.name = 'policy_map'


                        class PolicyMap_(object):
                            """
                            Policy\-map configuration
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: policy_map_bg
                            
                            	policy map bg
                            	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.policy_map_bg = YList()
                                self.policy_map_bg.parent = self
                                self.policy_map_bg.name = 'policy_map_bg'


                            class PolicyMapBg(object):
                                """
                                policy map bg
                                
                                .. attribute:: chk_sum
                                
                                	MD5 checksum of the encoded class\-map bag
                                	**type**\:  str
                                
                                	**length:** 0..16
                                
                                .. attribute:: class_dflt_hrchy_depth
                                
                                	class dflt hrchy depth
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: description
                                
                                	description
                                	**type**\:  str
                                
                                .. attribute:: event_infop
                                
                                	event infop
                                	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop>`
                                
                                .. attribute:: flags
                                
                                	flags
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: handle
                                
                                	handle
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: magic
                                
                                	magic
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_hierarchy
                                
                                	max hierarchy
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: name
                                
                                	name
                                	**type**\:  str
                                
                                	**length:** 0..65
                                
                                .. attribute:: num_classes
                                
                                	num classes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: num_policy_class_info
                                
                                	num policy class info
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: pclass_diff
                                
                                	pclass diff
                                	**type**\:  int
                                
                                	**range:** 0..18446744073709551615
                                
                                .. attribute:: pmap_var_list
                                
                                	pmap var list
                                	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList>`
                                
                                .. attribute:: rateless_chk_sum
                                
                                	rateless chk sum
                                	**type**\:  str
                                
                                	**length:** 0..16
                                
                                .. attribute:: table_id
                                
                                	table id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: type
                                
                                	type
                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.chk_sum = None
                                    self.class_dflt_hrchy_depth = None
                                    self.description = None
                                    self.event_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop()
                                    self.event_infop.parent = self
                                    self.flags = None
                                    self.handle = None
                                    self.magic = None
                                    self.max_hierarchy = None
                                    self.name = None
                                    self.num_classes = None
                                    self.num_policy_class_info = None
                                    self.pclass_diff = None
                                    self.pmap_var_list = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList()
                                    self.pmap_var_list.parent = self
                                    self.rateless_chk_sum = None
                                    self.table_id = None
                                    self.type = None


                                class PmapVarList(object):
                                    """
                                    pmap var list
                                    
                                    .. attribute:: offset
                                    
                                    	offset
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: pmap_var_list_arr
                                    
                                    	pmap var list arr
                                    	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.offset = YLeafList()
                                        self.offset.parent = self
                                        self.offset.name = 'offset'
                                        self.pmap_var_list_arr = YList()
                                        self.pmap_var_list_arr.parent = self
                                        self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                    class PmapVarListArr(object):
                                        """
                                        pmap var list arr
                                        
                                        .. attribute:: id
                                        
                                        	id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..32
                                        
                                        .. attribute:: val
                                        
                                        	val
                                        	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.name = None
                                            self.val = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                            self.val.parent = self


                                        class Val(object):
                                            """
                                            val
                                            
                                            .. attribute:: class_name
                                            
                                            	class name
                                            	**type**\:  str
                                            
                                            	**length:** 0..65
                                            
                                            .. attribute:: dscp_val
                                            
                                            	dscp val
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: param_uint32_val
                                            
                                            	param uint32 val
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: prec_val
                                            
                                            	prec val
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: type
                                            
                                            	type
                                            	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                            
                                            .. attribute:: uint16_val
                                            
                                            	uint16 val
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: uint32_val
                                            
                                            	uint32 val
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: uint8_val
                                            
                                            	uint8 val
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.class_name = None
                                                self.dscp_val = None
                                                self.param_uint32_val = None
                                                self.prec_val = None
                                                self.type = None
                                                self.uint16_val = None
                                                self.uint32_val = None
                                                self.uint8_val = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.class_name is not None:
                                                    return True

                                                if self.dscp_val is not None:
                                                    return True

                                                if self.param_uint32_val is not None:
                                                    return True

                                                if self.prec_val is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.uint16_val is not None:
                                                    return True

                                                if self.uint32_val is not None:
                                                    return True

                                                if self.uint8_val is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.id is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.val is not None and self.val._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.offset is not None:
                                            for child in self.offset:
                                                if child is not None:
                                                    return True

                                        if self.pmap_var_list_arr is not None:
                                            for child_ref in self.pmap_var_list_arr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList']['meta_info']


                                class EventInfop(object):
                                    """
                                    event infop
                                    
                                    .. attribute:: policy_event_info_bg
                                    
                                    	policy event info bg
                                    	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_event_info_bg = YList()
                                        self.policy_event_info_bg.parent = self
                                        self.policy_event_info_bg.name = 'policy_event_info_bg'


                                    class PolicyEventInfoBg(object):
                                        """
                                        policy event info bg
                                        
                                        .. attribute:: avl_tree
                                        
                                        	avl tree
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: class_infop
                                        
                                        	class infop
                                        	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                        
                                        .. attribute:: cond_eval
                                        
                                        	cond eval
                                        	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                        
                                        .. attribute:: event_type
                                        
                                        	event type
                                        	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.avl_tree = None
                                            self.class_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                            self.class_infop.parent = self
                                            self.cond_eval = None
                                            self.event_type = None
                                            self.flags = None


                                        class ClassInfop(object):
                                            """
                                            class infop
                                            
                                            .. attribute:: policy_class_info_bg
                                            
                                            	policy class info bg
                                            	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_class_info_bg = YList()
                                                self.policy_class_info_bg.parent = self
                                                self.policy_class_info_bg.name = 'policy_class_info_bg'


                                            class PolicyClassInfoBg(object):
                                                """
                                                policy class info bg
                                                
                                                .. attribute:: act_infop
                                                
                                                	act infop
                                                	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                
                                                .. attribute:: cl_encode
                                                
                                                	cl encode
                                                	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                
                                                .. attribute:: clmp_p
                                                
                                                	clmp p
                                                	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                
                                                .. attribute:: ctype
                                                
                                                	ctype
                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                
                                                .. attribute:: exe_strat
                                                
                                                	exe strat
                                                	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: num_actions
                                                
                                                	num actions
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                .. attribute:: policy_class_hd
                                                
                                                	policy class hd
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: seq
                                                
                                                	seq
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: version
                                                
                                                	version
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.act_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                    self.act_infop.parent = self
                                                    self.cl_encode = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                    self.cl_encode.parent = self
                                                    self.clmp_p = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                    self.clmp_p.parent = self
                                                    self.ctype = None
                                                    self.exe_strat = None
                                                    self.flags = None
                                                    self.num_actions = None
                                                    self.policy_class_hd = None
                                                    self.seq = None
                                                    self.version = None


                                                class ClEncode(object):
                                                    """
                                                    cl encode
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: enc
                                                    
                                                    	enc
                                                    	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                    
                                                    .. attribute:: hd
                                                    
                                                    	hd
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..18446744073709551615
                                                    
                                                    .. attribute:: idx
                                                    
                                                    	idx
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: inline_cmap
                                                    
                                                    	inline cmap
                                                    	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.enc = None
                                                        self.hd = None
                                                        self.idx = None
                                                        self.inline_cmap = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                        self.inline_cmap.parent = self


                                                    class InlineCmap(object):
                                                        """
                                                        inline cmap
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Inline Class\-Map flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: match_count
                                                        
                                                        	Number of Match infos
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: match_infop
                                                        
                                                        	Pointer to the first Match info
                                                        	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                        
                                                        .. attribute:: mode
                                                        
                                                        	Inline Class\-Map Mode Match any/all
                                                        	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.flags = None
                                                            self.match_count = None
                                                            self.match_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                            self.match_infop.parent = self
                                                            self.mode = None


                                                        class MatchInfop(object):
                                                            """
                                                            Pointer to the first Match info
                                                            
                                                            .. attribute:: class_match_info_st
                                                            
                                                            	class match info st
                                                            	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_match_info_st = YList()
                                                                self.class_match_info_st.parent = self
                                                                self.class_match_info_st.name = 'class_match_info_st'


                                                            class ClassMatchInfoSt(object):
                                                                """
                                                                class match info st
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_data
                                                                
                                                                	Match criteria
                                                                	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                    self.match_data.parent = self


                                                                class MatchData(object):
                                                                    """
                                                                    Match criteria
                                                                    
                                                                    .. attribute:: access_interface
                                                                    
                                                                    	Access interface
                                                                    	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                    
                                                                    .. attribute:: atm_clp
                                                                    
                                                                    	Match ATM CLP level
                                                                    	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                    
                                                                    .. attribute:: auth_domain
                                                                    
                                                                    	Authenticated domain name
                                                                    	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                    
                                                                    .. attribute:: auth_domain_regex
                                                                    
                                                                    	Authenticated Domain Name RegEx
                                                                    	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                    
                                                                    .. attribute:: auth_username
                                                                    
                                                                    	Authenticated User Name
                                                                    	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                    
                                                                    .. attribute:: auth_username_regex
                                                                    
                                                                    	Authenticated User Name RegEx
                                                                    	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                    
                                                                    .. attribute:: authen_status
                                                                    
                                                                    	Authentication Status
                                                                    	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                    
                                                                    .. attribute:: avail_id
                                                                    
                                                                    	Available Identifiers
                                                                    	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                    
                                                                    .. attribute:: circuit_id
                                                                    
                                                                    	Circuit ID
                                                                    	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                    
                                                                    .. attribute:: circuit_id_regex
                                                                    
                                                                    	Circuit ID RegEx
                                                                    	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                    
                                                                    .. attribute:: cos
                                                                    
                                                                    	Match CoS array
                                                                    	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                    
                                                                    .. attribute:: cos_inr
                                                                    
                                                                    	Match inner header CoS
                                                                    	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                    
                                                                    .. attribute:: dei
                                                                    
                                                                    	Match DEI Bit
                                                                    	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                    
                                                                    .. attribute:: dei_inr
                                                                    
                                                                    	Match inner DEI Bit
                                                                    	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                    
                                                                    .. attribute:: dhcp_client_id
                                                                    
                                                                    	Dhcp Client ID
                                                                    	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                    
                                                                    .. attribute:: dhcp_client_id_regex
                                                                    
                                                                    	Dhcp Client ID RegEx
                                                                    	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                    
                                                                    .. attribute:: discard_class
                                                                    
                                                                    	Match Discard Class array
                                                                    	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                    
                                                                    .. attribute:: dnis
                                                                    
                                                                    	DNIS
                                                                    	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                    
                                                                    .. attribute:: dnis_regex
                                                                    
                                                                    	DNIS Regular Expression
                                                                    	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                    
                                                                    .. attribute:: domain
                                                                    
                                                                    	Domain Name
                                                                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                    
                                                                    .. attribute:: domain_regex
                                                                    
                                                                    	Domain Regular Expression
                                                                    	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                    
                                                                    .. attribute:: dscp
                                                                    
                                                                    	Match DSCP range array
                                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                    
                                                                    .. attribute:: dst_addr_ipv4
                                                                    
                                                                    	Destination Address IPV4
                                                                    	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                    
                                                                    .. attribute:: dst_addr_ipv6
                                                                    
                                                                    	Destination Address IPV6
                                                                    	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                    
                                                                    .. attribute:: dst_mac
                                                                    
                                                                    	Match Destination MAC address
                                                                    	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                    
                                                                    .. attribute:: dst_port
                                                                    
                                                                    	Destination port
                                                                    	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                    
                                                                    .. attribute:: ether_service_acl
                                                                    
                                                                    	Ethernet\-Services Access\-list
                                                                    	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                    
                                                                    .. attribute:: ethertype
                                                                    
                                                                    	Ethernet type
                                                                    	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                    
                                                                    .. attribute:: flow_key_data
                                                                    
                                                                    	Flow key structure
                                                                    	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                    
                                                                    .. attribute:: flow_tag
                                                                    
                                                                    	Match flow\-tag array
                                                                    	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                    
                                                                    .. attribute:: fr_de
                                                                    
                                                                    	Match FR DE value
                                                                    	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                    
                                                                    .. attribute:: fr_dlci
                                                                    
                                                                    	Match FR DLCI range array
                                                                    	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                    
                                                                    .. attribute:: fragment_type
                                                                    
                                                                    	Fragment type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: icmp_v4
                                                                    
                                                                    	Match ICMPV4 Protocol
                                                                    	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                    
                                                                    .. attribute:: icmp_v6
                                                                    
                                                                    	Match ICMPV6 Protocol array
                                                                    	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                    
                                                                    .. attribute:: icmpv4_code
                                                                    
                                                                    	Match ipv4 icmp code
                                                                    	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                    
                                                                    .. attribute:: icmpv4_type
                                                                    
                                                                    	Match ipv4 icmp type
                                                                    	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                    
                                                                    .. attribute:: icmpv6_code
                                                                    
                                                                    	Match ipv6 icmp code
                                                                    	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                    
                                                                    .. attribute:: icmpv6_type
                                                                    
                                                                    	Match ipv6 icmp type
                                                                    	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                    
                                                                    .. attribute:: input_interface
                                                                    
                                                                    	Input interface
                                                                    	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                    
                                                                    .. attribute:: input_intfhdl
                                                                    
                                                                    	Input interface handle
                                                                    	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                    
                                                                    .. attribute:: ipv4_acl
                                                                    
                                                                    	IPv4 Access\-list
                                                                    	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                    
                                                                    .. attribute:: ipv4_dscp
                                                                    
                                                                    	IPv4 DSCP
                                                                    	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                    
                                                                    .. attribute:: ipv4_packet_len
                                                                    
                                                                    	IPv4 packet length array
                                                                    	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                    
                                                                    .. attribute:: ipv4_prec
                                                                    
                                                                    	IPv4 Precedence
                                                                    	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                    
                                                                    .. attribute:: ipv6_acl
                                                                    
                                                                    	IPv6 Access\-list
                                                                    	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                    
                                                                    .. attribute:: ipv6_dscp
                                                                    
                                                                    	IPv6 DSCP
                                                                    	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                    
                                                                    .. attribute:: ipv6_packet_len
                                                                    
                                                                    	IPv6 packet length array
                                                                    	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                    
                                                                    .. attribute:: ipv6_prec
                                                                    
                                                                    	IPv6 Precedence
                                                                    	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                    
                                                                    .. attribute:: media_type
                                                                    
                                                                    	Media Type
                                                                    	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                    
                                                                    .. attribute:: mlp_negotiated
                                                                    
                                                                    	MLP Negotiated
                                                                    	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                    
                                                                    .. attribute:: mpls_disp_ipv4_acl
                                                                    
                                                                    	MPLS Disposition IPv4 Access\-list
                                                                    	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                    
                                                                    .. attribute:: mpls_disp_ipv6_acl
                                                                    
                                                                    	MPLS Disposition IPv6 Access\-list
                                                                    	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                    
                                                                    .. attribute:: mpls_exp
                                                                    
                                                                    	Match MPLS experimental topmost array
                                                                    	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                    
                                                                    .. attribute:: mpls_exp_imp
                                                                    
                                                                    	Match MPLS experimental imposition array
                                                                    	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                    
                                                                    .. attribute:: mpls_top_eos
                                                                    
                                                                    	MPLS Topmost EOS
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: mpls_top_label
                                                                    
                                                                    	MPLS Topmost LABEL
                                                                    	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                    
                                                                    .. attribute:: nas_port
                                                                    
                                                                    	NAS Port
                                                                    	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                    
                                                                    .. attribute:: packet_len
                                                                    
                                                                    	Match packet length array
                                                                    	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                    
                                                                    .. attribute:: prec
                                                                    
                                                                    	Match Precedence array
                                                                    	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                    
                                                                    .. attribute:: proto
                                                                    
                                                                    	Match Protocol array
                                                                    	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                    
                                                                    .. attribute:: qos_group
                                                                    
                                                                    	Match QoS group array
                                                                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                    
                                                                    .. attribute:: remote_id
                                                                    
                                                                    	Remote ID
                                                                    	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                    
                                                                    .. attribute:: remote_id_regex
                                                                    
                                                                    	Remote ID RegEx
                                                                    	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                    
                                                                    .. attribute:: service_name
                                                                    
                                                                    	Service Name
                                                                    	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                    
                                                                    .. attribute:: service_name_regex
                                                                    
                                                                    	Service Name Regular Exp
                                                                    	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                    
                                                                    .. attribute:: src_addr_ipv4
                                                                    
                                                                    	Source Address IPV4
                                                                    	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                    
                                                                    .. attribute:: src_addr_ipv6
                                                                    
                                                                    	Source Address IPV6
                                                                    	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                    
                                                                    .. attribute:: src_addr_mac
                                                                    
                                                                    	Source Address MAC
                                                                    	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                    
                                                                    .. attribute:: src_mac
                                                                    
                                                                    	Match Source MAC address
                                                                    	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                    
                                                                    .. attribute:: src_port
                                                                    
                                                                    	Source port
                                                                    	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                    
                                                                    .. attribute:: subs_protocol
                                                                    
                                                                    	Protocol
                                                                    	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                    
                                                                    .. attribute:: tcp_flag
                                                                    
                                                                    	Match tcp flag value
                                                                    	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                    
                                                                    .. attribute:: timer
                                                                    
                                                                    	Timer
                                                                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                    
                                                                    .. attribute:: timer_regexp
                                                                    
                                                                    	Timer Regular Expression
                                                                    	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                    
                                                                    .. attribute:: traffic_class
                                                                    
                                                                    	Match Traffic class array
                                                                    	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                    
                                                                    .. attribute:: tunnel_name
                                                                    
                                                                    	Tunnel Name
                                                                    	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                    
                                                                    .. attribute:: tunnel_name_regex
                                                                    
                                                                    	Tunnel Name Regular Expression
                                                                    	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                    
                                                                    .. attribute:: unauth_domain
                                                                    
                                                                    	Unauthenticated Domain Name
                                                                    	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                    
                                                                    .. attribute:: unauth_domain_regex
                                                                    
                                                                    	Unauthenticated Domain Name RegEx
                                                                    	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                    
                                                                    .. attribute:: unauth_username
                                                                    
                                                                    	Unauthenticated User Name
                                                                    	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                    
                                                                    .. attribute:: unauth_username_regex
                                                                    
                                                                    	Unauthenticated User Name RegEx
                                                                    	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                    
                                                                    .. attribute:: user_name
                                                                    
                                                                    	User Name
                                                                    	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                    
                                                                    .. attribute:: user_name_regex
                                                                    
                                                                    	User Name Regular Expression
                                                                    	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                    
                                                                    .. attribute:: vendor_id
                                                                    
                                                                    	Vendor ID
                                                                    	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                    
                                                                    .. attribute:: vendor_id_regex
                                                                    
                                                                    	Vendor ID RegEx
                                                                    	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                    
                                                                    .. attribute:: vlan
                                                                    
                                                                    	Match VLAN array
                                                                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                    
                                                                    .. attribute:: vlan_inr
                                                                    
                                                                    	Match inner header VLAN range array
                                                                    	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.access_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                        self.access_interface.parent = self
                                                                        self.atm_clp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                        self.atm_clp.parent = self
                                                                        self.auth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                        self.auth_domain.parent = self
                                                                        self.auth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                        self.auth_domain_regex.parent = self
                                                                        self.auth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                        self.auth_username.parent = self
                                                                        self.auth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                        self.auth_username_regex.parent = self
                                                                        self.authen_status = None
                                                                        self.avail_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                        self.avail_id.parent = self
                                                                        self.circuit_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                        self.circuit_id.parent = self
                                                                        self.circuit_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                        self.circuit_id_regex.parent = self
                                                                        self.cos = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                        self.cos.parent = self
                                                                        self.cos_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                        self.cos_inr.parent = self
                                                                        self.dei = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                        self.dei.parent = self
                                                                        self.dei_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                        self.dei_inr.parent = self
                                                                        self.dhcp_client_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                        self.dhcp_client_id.parent = self
                                                                        self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                        self.dhcp_client_id_regex.parent = self
                                                                        self.discard_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                        self.discard_class.parent = self
                                                                        self.dnis = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                        self.dnis.parent = self
                                                                        self.dnis_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                        self.dnis_regex.parent = self
                                                                        self.domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                        self.domain.parent = self
                                                                        self.domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                        self.domain_regex.parent = self
                                                                        self.dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                        self.dscp.parent = self
                                                                        self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                        self.dst_addr_ipv4.parent = self
                                                                        self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                        self.dst_addr_ipv6.parent = self
                                                                        self.dst_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                        self.dst_mac.parent = self
                                                                        self.dst_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                        self.dst_port.parent = self
                                                                        self.ether_service_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                        self.ether_service_acl.parent = self
                                                                        self.ethertype = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                        self.ethertype.parent = self
                                                                        self.flow_key_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                        self.flow_key_data.parent = self
                                                                        self.flow_tag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                        self.flow_tag.parent = self
                                                                        self.fr_de = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                        self.fr_de.parent = self
                                                                        self.fr_dlci = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                        self.fr_dlci.parent = self
                                                                        self.fragment_type = None
                                                                        self.icmp_v4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                        self.icmp_v4.parent = self
                                                                        self.icmp_v6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                        self.icmp_v6.parent = self
                                                                        self.icmpv4_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                        self.icmpv4_code.parent = self
                                                                        self.icmpv4_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                        self.icmpv4_type.parent = self
                                                                        self.icmpv6_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                        self.icmpv6_code.parent = self
                                                                        self.icmpv6_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                        self.icmpv6_type.parent = self
                                                                        self.input_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                        self.input_interface.parent = self
                                                                        self.input_intfhdl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                        self.input_intfhdl.parent = self
                                                                        self.ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                        self.ipv4_acl.parent = self
                                                                        self.ipv4_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                        self.ipv4_dscp.parent = self
                                                                        self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                        self.ipv4_packet_len.parent = self
                                                                        self.ipv4_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                        self.ipv4_prec.parent = self
                                                                        self.ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                        self.ipv6_acl.parent = self
                                                                        self.ipv6_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                        self.ipv6_dscp.parent = self
                                                                        self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                        self.ipv6_packet_len.parent = self
                                                                        self.ipv6_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                        self.ipv6_prec.parent = self
                                                                        self.media_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                        self.media_type.parent = self
                                                                        self.mlp_negotiated = None
                                                                        self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                        self.mpls_disp_ipv4_acl.parent = self
                                                                        self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                        self.mpls_disp_ipv6_acl.parent = self
                                                                        self.mpls_exp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                        self.mpls_exp.parent = self
                                                                        self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                        self.mpls_exp_imp.parent = self
                                                                        self.mpls_top_eos = None
                                                                        self.mpls_top_label = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                        self.mpls_top_label.parent = self
                                                                        self.nas_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                        self.nas_port.parent = self
                                                                        self.packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                        self.packet_len.parent = self
                                                                        self.prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                        self.prec.parent = self
                                                                        self.proto = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                        self.proto.parent = self
                                                                        self.qos_group = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                        self.qos_group.parent = self
                                                                        self.remote_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                        self.remote_id.parent = self
                                                                        self.remote_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                        self.remote_id_regex.parent = self
                                                                        self.service_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                        self.service_name.parent = self
                                                                        self.service_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                        self.service_name_regex.parent = self
                                                                        self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                        self.src_addr_ipv4.parent = self
                                                                        self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                        self.src_addr_ipv6.parent = self
                                                                        self.src_addr_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                        self.src_addr_mac.parent = self
                                                                        self.src_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                        self.src_mac.parent = self
                                                                        self.src_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                        self.src_port.parent = self
                                                                        self.subs_protocol = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                        self.subs_protocol.parent = self
                                                                        self.tcp_flag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                        self.tcp_flag.parent = self
                                                                        self.timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                        self.timer.parent = self
                                                                        self.timer_regexp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                        self.timer_regexp.parent = self
                                                                        self.traffic_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                        self.traffic_class.parent = self
                                                                        self.tunnel_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                        self.tunnel_name.parent = self
                                                                        self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                        self.tunnel_name_regex.parent = self
                                                                        self.type = None
                                                                        self.unauth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                        self.unauth_domain.parent = self
                                                                        self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                        self.unauth_domain_regex.parent = self
                                                                        self.unauth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                        self.unauth_username.parent = self
                                                                        self.unauth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                        self.unauth_username_regex.parent = self
                                                                        self.user_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                        self.user_name.parent = self
                                                                        self.user_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                        self.user_name_regex.parent = self
                                                                        self.vendor_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                        self.vendor_id.parent = self
                                                                        self.vendor_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                        self.vendor_id_regex.parent = self
                                                                        self.vlan = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                        self.vlan.parent = self
                                                                        self.vlan_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                        self.vlan_inr.parent = self


                                                                    class Ipv4Dscp(object):
                                                                        """
                                                                        IPv4 DSCP
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                    class Ipv6Dscp(object):
                                                                        """
                                                                        IPv6 DSCP
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                    class Dscp(object):
                                                                        """
                                                                        Match DSCP range array
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                    class Ipv4Prec(object):
                                                                        """
                                                                        IPv4 Precedence
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                    class Ipv6Prec(object):
                                                                        """
                                                                        IPv6 Precedence
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                    class Prec(object):
                                                                        """
                                                                        Match Precedence array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                    class DiscardClass(object):
                                                                        """
                                                                        Match Discard Class array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                    class QosGroup(object):
                                                                        """
                                                                        Match QoS group array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                    class TrafficClass(object):
                                                                        """
                                                                        Match Traffic class array
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                    class Proto(object):
                                                                        """
                                                                        Match Protocol array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                    class IcmpV4(object):
                                                                        """
                                                                        Match ICMPV4 Protocol
                                                                        
                                                                        .. attribute:: code
                                                                        
                                                                        	Protocol code
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	Protocol type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.code = None
                                                                            self.type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.code is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                    class IcmpV6(object):
                                                                        """
                                                                        Match ICMPV6 Protocol array
                                                                        
                                                                        .. attribute:: code
                                                                        
                                                                        	Protocol code
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	Protocol type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.code = None
                                                                            self.type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.code is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                    class Ipv4PacketLen(object):
                                                                        """
                                                                        IPv4 packet length array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                    class Ipv6PacketLen(object):
                                                                        """
                                                                        IPv6 packet length array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                    class PacketLen(object):
                                                                        """
                                                                        Match packet length array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                    class FlowTag(object):
                                                                        """
                                                                        Match flow\-tag array
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                    class TcpFlag(object):
                                                                        """
                                                                        Match tcp flag value
                                                                        
                                                                        .. attribute:: match_any
                                                                        
                                                                        	Match any TCP flag bit
                                                                        	**type**\:  bool
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	Value of TCP flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.match_any = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.match_any is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                    class Icmpv4Type(object):
                                                                        """
                                                                        Match ipv4 icmp type
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                    class Icmpv4Code(object):
                                                                        """
                                                                        Match ipv4 icmp code
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                    class Icmpv6Type(object):
                                                                        """
                                                                        Match ipv6 icmp type
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                    class Icmpv6Code(object):
                                                                        """
                                                                        Match ipv6 icmp code
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                    class MplsExp(object):
                                                                        """
                                                                        Match MPLS experimental topmost array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                    class MplsExpImp(object):
                                                                        """
                                                                        Match MPLS experimental imposition array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                    class MplsDispIpv4Acl(object):
                                                                        """
                                                                        MPLS Disposition IPv4 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                    class MplsDispIpv6Acl(object):
                                                                        """
                                                                        MPLS Disposition IPv6 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                    class MplsTopLabel(object):
                                                                        """
                                                                        MPLS Topmost LABEL
                                                                        
                                                                        .. attribute:: uint32_rng_array
                                                                        
                                                                        	uint32 rng array
                                                                        	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint32_rng_array = YList()
                                                                            self.uint32_rng_array.parent = self
                                                                            self.uint32_rng_array.name = 'uint32_rng_array'


                                                                        class Uint32_Rng_Array(object):
                                                                            """
                                                                            uint32 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint32_rng_array is not None:
                                                                                for child_ref in self.uint32_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                    class Cos(object):
                                                                        """
                                                                        Match CoS array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                    class CosInr(object):
                                                                        """
                                                                        Match inner header CoS
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                    class Dei(object):
                                                                        """
                                                                        Match DEI Bit
                                                                        
                                                                        .. attribute:: bit_value
                                                                        
                                                                        	Value of the DEI bit
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bit_value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bit_value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                    class DeiInr(object):
                                                                        """
                                                                        Match inner DEI Bit
                                                                        
                                                                        .. attribute:: bit_value
                                                                        
                                                                        	Value of the DEI bit
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bit_value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bit_value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                    class Vlan(object):
                                                                        """
                                                                        Match VLAN array
                                                                        
                                                                        .. attribute:: vlan_id_array
                                                                        
                                                                        	vlan id array
                                                                        	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.vlan_id_array = YList()
                                                                            self.vlan_id_array.parent = self
                                                                            self.vlan_id_array.name = 'vlan_id_array'


                                                                        class VlanIdArray(object):
                                                                            """
                                                                            vlan id array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	VLAN mask
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.vlan_id_array is not None:
                                                                                for child_ref in self.vlan_id_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                    class VlanInr(object):
                                                                        """
                                                                        Match inner header VLAN range array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                    class FrDlci(object):
                                                                        """
                                                                        Match FR DLCI range array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                    class SrcMac(object):
                                                                        """
                                                                        Match Source MAC address
                                                                        
                                                                        .. attribute:: mac_addr
                                                                        
                                                                        	MAC address
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: mask
                                                                        
                                                                        	MAC mask
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mac_addr = YLeafList()
                                                                            self.mac_addr.parent = self
                                                                            self.mac_addr.name = 'mac_addr'
                                                                            self.mask = YLeafList()
                                                                            self.mask.parent = self
                                                                            self.mask.name = 'mask'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mac_addr is not None:
                                                                                for child in self.mac_addr:
                                                                                    if child is not None:
                                                                                        return True

                                                                            if self.mask is not None:
                                                                                for child in self.mask:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                    class DstMac(object):
                                                                        """
                                                                        Match Destination MAC address
                                                                        
                                                                        .. attribute:: mac_addr
                                                                        
                                                                        	MAC address
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: mask
                                                                        
                                                                        	MAC mask
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mac_addr = YLeafList()
                                                                            self.mac_addr.parent = self
                                                                            self.mac_addr.name = 'mac_addr'
                                                                            self.mask = YLeafList()
                                                                            self.mask.parent = self
                                                                            self.mask.name = 'mask'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mac_addr is not None:
                                                                                for child in self.mac_addr:
                                                                                    if child is not None:
                                                                                        return True

                                                                            if self.mask is not None:
                                                                                for child in self.mask:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                    class AtmClp(object):
                                                                        """
                                                                        Match ATM CLP level
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                    class FrDe(object):
                                                                        """
                                                                        Match FR DE value
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                    class Ipv4Acl(object):
                                                                        """
                                                                        IPv4 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                    class Ipv6Acl(object):
                                                                        """
                                                                        IPv6 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                    class EtherServiceAcl(object):
                                                                        """
                                                                        Ethernet\-Services Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                    class AvailId(object):
                                                                        """
                                                                        Available Identifiers
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                    class MediaType(object):
                                                                        """
                                                                        Media Type
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                    class SubsProtocol(object):
                                                                        """
                                                                        Protocol
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                    class Dnis(object):
                                                                        """
                                                                        DNIS
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                    class DnisRegex(object):
                                                                        """
                                                                        DNIS Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                    class Domain(object):
                                                                        """
                                                                        Domain Name
                                                                        
                                                                        .. attribute:: domain_array
                                                                        
                                                                        	domain array
                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.domain_array = YList()
                                                                            self.domain_array.parent = self
                                                                            self.domain_array.name = 'domain_array'


                                                                        class DomainArray(object):
                                                                            """
                                                                            domain array
                                                                            
                                                                            .. attribute:: domain_name
                                                                            
                                                                            	domain name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_name = None
                                                                                self.format_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_name is not None:
                                                                                    return True

                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.domain_array is not None:
                                                                                for child_ref in self.domain_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                    class DomainRegex(object):
                                                                        """
                                                                        Domain Regular Expression
                                                                        
                                                                        .. attribute:: domain_array
                                                                        
                                                                        	domain array
                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.domain_array = YList()
                                                                            self.domain_array.parent = self
                                                                            self.domain_array.name = 'domain_array'


                                                                        class DomainArray(object):
                                                                            """
                                                                            domain array
                                                                            
                                                                            .. attribute:: domain_name
                                                                            
                                                                            	domain name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_name = None
                                                                                self.format_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_name is not None:
                                                                                    return True

                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.domain_array is not None:
                                                                                for child_ref in self.domain_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                    class NasPort(object):
                                                                        """
                                                                        NAS Port
                                                                        
                                                                        .. attribute:: nas_port_array
                                                                        
                                                                        	nas port array
                                                                        	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.nas_port_array = YList()
                                                                            self.nas_port_array.parent = self
                                                                            self.nas_port_array.name = 'nas_port_array'


                                                                        class NasPortArray(object):
                                                                            """
                                                                            nas port array
                                                                            
                                                                            .. attribute:: operator
                                                                            
                                                                            	operator
                                                                            	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                            
                                                                            .. attribute:: sub_id
                                                                            
                                                                            	sub id
                                                                            	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.operator = None
                                                                                self.sub_id = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.operator is not None:
                                                                                    return True

                                                                                if self.sub_id is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.nas_port_array is not None:
                                                                                for child_ref in self.nas_port_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                    class ServiceName(object):
                                                                        """
                                                                        Service Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                    class ServiceNameRegex(object):
                                                                        """
                                                                        Service Name Regular Exp
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                    class SrcAddrIpv4(object):
                                                                        """
                                                                        Source Address IPV4
                                                                        
                                                                        .. attribute:: ipv4_addr_array
                                                                        
                                                                        	ipv4 addr array
                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv4_addr_array = YList()
                                                                            self.ipv4_addr_array.parent = self
                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                        class Ipv4AddrArray(object):
                                                                            """
                                                                            ipv4 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	mask
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv4_addr_array is not None:
                                                                                for child_ref in self.ipv4_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                    class DstAddrIpv4(object):
                                                                        """
                                                                        Destination Address IPV4
                                                                        
                                                                        .. attribute:: ipv4_addr_array
                                                                        
                                                                        	ipv4 addr array
                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv4_addr_array = YList()
                                                                            self.ipv4_addr_array.parent = self
                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                        class Ipv4AddrArray(object):
                                                                            """
                                                                            ipv4 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	mask
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv4_addr_array is not None:
                                                                                for child_ref in self.ipv4_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                    class SrcAddrIpv6(object):
                                                                        """
                                                                        Source Address IPV6
                                                                        
                                                                        .. attribute:: ipv6_addr_array
                                                                        
                                                                        	ipv6 addr array
                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv6_addr_array = YList()
                                                                            self.ipv6_addr_array.parent = self
                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                        class Ipv6AddrArray(object):
                                                                            """
                                                                            ipv6 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	IPV6 mask
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	IPV6 prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv6_addr_array is not None:
                                                                                for child_ref in self.ipv6_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                    class DstAddrIpv6(object):
                                                                        """
                                                                        Destination Address IPV6
                                                                        
                                                                        .. attribute:: ipv6_addr_array
                                                                        
                                                                        	ipv6 addr array
                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv6_addr_array = YList()
                                                                            self.ipv6_addr_array.parent = self
                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                        class Ipv6AddrArray(object):
                                                                            """
                                                                            ipv6 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	IPV6 mask
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	IPV6 prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv6_addr_array is not None:
                                                                                for child_ref in self.ipv6_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                    class SrcAddrMac(object):
                                                                        """
                                                                        Source Address MAC
                                                                        
                                                                        .. attribute:: mac_addr_array
                                                                        
                                                                        	mac addr array
                                                                        	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mac_addr_array = YList()
                                                                            self.mac_addr_array.parent = self
                                                                            self.mac_addr_array.name = 'mac_addr_array'


                                                                        class MacAddrArray(object):
                                                                            """
                                                                            mac addr array
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mac_addr_array is not None:
                                                                                for child_ref in self.mac_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                    class Timer(object):
                                                                        """
                                                                        Timer
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                    class TimerRegexp(object):
                                                                        """
                                                                        Timer Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                    class TunnelName(object):
                                                                        """
                                                                        Tunnel Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                    class TunnelNameRegex(object):
                                                                        """
                                                                        Tunnel Name Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                    class UserName(object):
                                                                        """
                                                                        User Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                    class UserNameRegex(object):
                                                                        """
                                                                        User Name Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                    class AuthUsername(object):
                                                                        """
                                                                        Authenticated User Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                    class AuthUsernameRegex(object):
                                                                        """
                                                                        Authenticated User Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                    class UnauthUsername(object):
                                                                        """
                                                                        Unauthenticated User Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                    class UnauthUsernameRegex(object):
                                                                        """
                                                                        Unauthenticated User Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                    class AuthDomain(object):
                                                                        """
                                                                        Authenticated domain name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                    class AuthDomainRegex(object):
                                                                        """
                                                                        Authenticated Domain Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                    class UnauthDomain(object):
                                                                        """
                                                                        Unauthenticated Domain Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                    class UnauthDomainRegex(object):
                                                                        """
                                                                        Unauthenticated Domain Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                    class VendorId(object):
                                                                        """
                                                                        Vendor ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                    class VendorIdRegex(object):
                                                                        """
                                                                        Vendor ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                    class AccessInterface(object):
                                                                        """
                                                                        Access interface
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                    class InputInterface(object):
                                                                        """
                                                                        Input interface
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                    class InputIntfhdl(object):
                                                                        """
                                                                        Input interface handle
                                                                        
                                                                        .. attribute:: uint64_array
                                                                        
                                                                        	uint64 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint64_array = YLeafList()
                                                                            self.uint64_array.parent = self
                                                                            self.uint64_array.name = 'uint64_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint64_array is not None:
                                                                                for child in self.uint64_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                    class Ethertype(object):
                                                                        """
                                                                        Ethernet type
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                    class FlowKeyData(object):
                                                                        """
                                                                        Flow key structure
                                                                        
                                                                        .. attribute:: flow_keys
                                                                        
                                                                        	flow keys
                                                                        	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	Idle timeout of flows (in seconds)
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: max_count
                                                                        
                                                                        	Maximum count of flows
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_keys = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                            self.flow_keys.parent = self
                                                                            self.idle_timeout = None
                                                                            self.max_count = None


                                                                        class FlowKeys(object):
                                                                            """
                                                                            flow keys
                                                                            
                                                                            .. attribute:: keys
                                                                            
                                                                            	keys
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: num
                                                                            
                                                                            	num
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.keys = None
                                                                                self.num = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.keys is not None:
                                                                                    return True

                                                                                if self.num is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.max_count is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                    class DhcpClientId(object):
                                                                        """
                                                                        Dhcp Client ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                    class DhcpClientIdRegex(object):
                                                                        """
                                                                        Dhcp Client ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                    class CircuitId(object):
                                                                        """
                                                                        Circuit ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                    class CircuitIdRegex(object):
                                                                        """
                                                                        Circuit ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                    class RemoteId(object):
                                                                        """
                                                                        Remote ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                    class RemoteIdRegex(object):
                                                                        """
                                                                        Remote ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                    class SrcPort(object):
                                                                        """
                                                                        Source port
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                    class DstPort(object):
                                                                        """
                                                                        Destination port
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.access_interface is not None and self.access_interface._has_data():
                                                                            return True

                                                                        if self.atm_clp is not None and self.atm_clp._has_data():
                                                                            return True

                                                                        if self.auth_domain is not None and self.auth_domain._has_data():
                                                                            return True

                                                                        if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                            return True

                                                                        if self.auth_username is not None and self.auth_username._has_data():
                                                                            return True

                                                                        if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                            return True

                                                                        if self.authen_status is not None:
                                                                            return True

                                                                        if self.avail_id is not None and self.avail_id._has_data():
                                                                            return True

                                                                        if self.circuit_id is not None and self.circuit_id._has_data():
                                                                            return True

                                                                        if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                            return True

                                                                        if self.cos is not None and self.cos._has_data():
                                                                            return True

                                                                        if self.cos_inr is not None and self.cos_inr._has_data():
                                                                            return True

                                                                        if self.dei is not None and self.dei._has_data():
                                                                            return True

                                                                        if self.dei_inr is not None and self.dei_inr._has_data():
                                                                            return True

                                                                        if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                            return True

                                                                        if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                            return True

                                                                        if self.discard_class is not None and self.discard_class._has_data():
                                                                            return True

                                                                        if self.dnis is not None and self.dnis._has_data():
                                                                            return True

                                                                        if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                            return True

                                                                        if self.domain is not None and self.domain._has_data():
                                                                            return True

                                                                        if self.domain_regex is not None and self.domain_regex._has_data():
                                                                            return True

                                                                        if self.dscp is not None and self.dscp._has_data():
                                                                            return True

                                                                        if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                            return True

                                                                        if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                            return True

                                                                        if self.dst_mac is not None and self.dst_mac._has_data():
                                                                            return True

                                                                        if self.dst_port is not None and self.dst_port._has_data():
                                                                            return True

                                                                        if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                            return True

                                                                        if self.ethertype is not None and self.ethertype._has_data():
                                                                            return True

                                                                        if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                            return True

                                                                        if self.flow_tag is not None and self.flow_tag._has_data():
                                                                            return True

                                                                        if self.fr_de is not None and self.fr_de._has_data():
                                                                            return True

                                                                        if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                            return True

                                                                        if self.fragment_type is not None:
                                                                            return True

                                                                        if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                            return True

                                                                        if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                            return True

                                                                        if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                            return True

                                                                        if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                            return True

                                                                        if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                            return True

                                                                        if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                            return True

                                                                        if self.input_interface is not None and self.input_interface._has_data():
                                                                            return True

                                                                        if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                            return True

                                                                        if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                            return True

                                                                        if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                            return True

                                                                        if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                            return True

                                                                        if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                            return True

                                                                        if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                            return True

                                                                        if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                            return True

                                                                        if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                            return True

                                                                        if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                            return True

                                                                        if self.media_type is not None and self.media_type._has_data():
                                                                            return True

                                                                        if self.mlp_negotiated is not None:
                                                                            return True

                                                                        if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                            return True

                                                                        if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                            return True

                                                                        if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                            return True

                                                                        if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                            return True

                                                                        if self.mpls_top_eos is not None:
                                                                            return True

                                                                        if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                            return True

                                                                        if self.nas_port is not None and self.nas_port._has_data():
                                                                            return True

                                                                        if self.packet_len is not None and self.packet_len._has_data():
                                                                            return True

                                                                        if self.prec is not None and self.prec._has_data():
                                                                            return True

                                                                        if self.proto is not None and self.proto._has_data():
                                                                            return True

                                                                        if self.qos_group is not None and self.qos_group._has_data():
                                                                            return True

                                                                        if self.remote_id is not None and self.remote_id._has_data():
                                                                            return True

                                                                        if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                            return True

                                                                        if self.service_name is not None and self.service_name._has_data():
                                                                            return True

                                                                        if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                            return True

                                                                        if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                            return True

                                                                        if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                            return True

                                                                        if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                            return True

                                                                        if self.src_mac is not None and self.src_mac._has_data():
                                                                            return True

                                                                        if self.src_port is not None and self.src_port._has_data():
                                                                            return True

                                                                        if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                            return True

                                                                        if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                            return True

                                                                        if self.timer is not None and self.timer._has_data():
                                                                            return True

                                                                        if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                            return True

                                                                        if self.traffic_class is not None and self.traffic_class._has_data():
                                                                            return True

                                                                        if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                            return True

                                                                        if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                            return True

                                                                        if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                            return True

                                                                        if self.unauth_username is not None and self.unauth_username._has_data():
                                                                            return True

                                                                        if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                            return True

                                                                        if self.user_name is not None and self.user_name._has_data():
                                                                            return True

                                                                        if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                            return True

                                                                        if self.vendor_id is not None and self.vendor_id._has_data():
                                                                            return True

                                                                        if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                            return True

                                                                        if self.vlan is not None and self.vlan._has_data():
                                                                            return True

                                                                        if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_data is not None and self.match_data._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_match_info_st is not None:
                                                                    for child_ref in self.class_match_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.flags is not None:
                                                                return True

                                                            if self.match_count is not None:
                                                                return True

                                                            if self.match_infop is not None and self.match_infop._has_data():
                                                                return True

                                                            if self.mode is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.enc is not None:
                                                            return True

                                                        if self.hd is not None:
                                                            return True

                                                        if self.idx is not None:
                                                            return True

                                                        if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                class ClmpP(object):
                                                    """
                                                    clmp p
                                                    
                                                    .. attribute:: class_map_bg
                                                    
                                                    	class map bg
                                                    	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_map_bg = YList()
                                                        self.class_map_bg.parent = self
                                                        self.class_map_bg.name = 'class_map_bg'


                                                    class ClassMapBg(object):
                                                        """
                                                        class map bg
                                                        
                                                        .. attribute:: chk_sum
                                                        
                                                        	MD5 checksum of the encoded class\-map bag
                                                        	**type**\:  str
                                                        
                                                        	**length:** 0..16
                                                        
                                                        .. attribute:: description
                                                        
                                                        	description
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	Class\-Map Internal
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: magic
                                                        
                                                        	Magic number on top of class\-map bag
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: match_count
                                                        
                                                        	Number of Match infos
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: match_infop
                                                        
                                                        	Pointer to the first Match info
                                                        	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                        
                                                        .. attribute:: mode
                                                        
                                                        	Class\-Map Mode Match any/Match all
                                                        	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                        
                                                        .. attribute:: name
                                                        
                                                        	Name of the class\-map
                                                        	**type**\:  str
                                                        
                                                        	**length:** 0..65
                                                        
                                                        .. attribute:: type
                                                        
                                                        	Class\-Map Type QoS/PBR/Netflow/..
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.chk_sum = None
                                                            self.description = None
                                                            self.flags = None
                                                            self.magic = None
                                                            self.match_count = None
                                                            self.match_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                            self.match_infop.parent = self
                                                            self.mode = None
                                                            self.name = None
                                                            self.type = None


                                                        class MatchInfop(object):
                                                            """
                                                            Pointer to the first Match info
                                                            
                                                            .. attribute:: class_match_info_st
                                                            
                                                            	class match info st
                                                            	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_match_info_st = YList()
                                                                self.class_match_info_st.parent = self
                                                                self.class_match_info_st.name = 'class_match_info_st'


                                                            class ClassMatchInfoSt(object):
                                                                """
                                                                class match info st
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_data
                                                                
                                                                	Match criteria
                                                                	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                    self.match_data.parent = self


                                                                class MatchData(object):
                                                                    """
                                                                    Match criteria
                                                                    
                                                                    .. attribute:: access_interface
                                                                    
                                                                    	Access interface
                                                                    	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                    
                                                                    .. attribute:: atm_clp
                                                                    
                                                                    	Match ATM CLP level
                                                                    	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                    
                                                                    .. attribute:: auth_domain
                                                                    
                                                                    	Authenticated domain name
                                                                    	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                    
                                                                    .. attribute:: auth_domain_regex
                                                                    
                                                                    	Authenticated Domain Name RegEx
                                                                    	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                    
                                                                    .. attribute:: auth_username
                                                                    
                                                                    	Authenticated User Name
                                                                    	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                    
                                                                    .. attribute:: auth_username_regex
                                                                    
                                                                    	Authenticated User Name RegEx
                                                                    	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                    
                                                                    .. attribute:: authen_status
                                                                    
                                                                    	Authentication Status
                                                                    	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                    
                                                                    .. attribute:: avail_id
                                                                    
                                                                    	Available Identifiers
                                                                    	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                    
                                                                    .. attribute:: circuit_id
                                                                    
                                                                    	Circuit ID
                                                                    	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                    
                                                                    .. attribute:: circuit_id_regex
                                                                    
                                                                    	Circuit ID RegEx
                                                                    	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                    
                                                                    .. attribute:: cos
                                                                    
                                                                    	Match CoS array
                                                                    	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                    
                                                                    .. attribute:: cos_inr
                                                                    
                                                                    	Match inner header CoS
                                                                    	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                    
                                                                    .. attribute:: dei
                                                                    
                                                                    	Match DEI Bit
                                                                    	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                    
                                                                    .. attribute:: dei_inr
                                                                    
                                                                    	Match inner DEI Bit
                                                                    	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                    
                                                                    .. attribute:: dhcp_client_id
                                                                    
                                                                    	Dhcp Client ID
                                                                    	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                    
                                                                    .. attribute:: dhcp_client_id_regex
                                                                    
                                                                    	Dhcp Client ID RegEx
                                                                    	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                    
                                                                    .. attribute:: discard_class
                                                                    
                                                                    	Match Discard Class array
                                                                    	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                    
                                                                    .. attribute:: dnis
                                                                    
                                                                    	DNIS
                                                                    	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                    
                                                                    .. attribute:: dnis_regex
                                                                    
                                                                    	DNIS Regular Expression
                                                                    	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                    
                                                                    .. attribute:: domain
                                                                    
                                                                    	Domain Name
                                                                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                    
                                                                    .. attribute:: domain_regex
                                                                    
                                                                    	Domain Regular Expression
                                                                    	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                    
                                                                    .. attribute:: dscp
                                                                    
                                                                    	Match DSCP range array
                                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                    
                                                                    .. attribute:: dst_addr_ipv4
                                                                    
                                                                    	Destination Address IPV4
                                                                    	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                    
                                                                    .. attribute:: dst_addr_ipv6
                                                                    
                                                                    	Destination Address IPV6
                                                                    	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                    
                                                                    .. attribute:: dst_mac
                                                                    
                                                                    	Match Destination MAC address
                                                                    	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                    
                                                                    .. attribute:: dst_port
                                                                    
                                                                    	Destination port
                                                                    	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                    
                                                                    .. attribute:: ether_service_acl
                                                                    
                                                                    	Ethernet\-Services Access\-list
                                                                    	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                    
                                                                    .. attribute:: ethertype
                                                                    
                                                                    	Ethernet type
                                                                    	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                    
                                                                    .. attribute:: flow_key_data
                                                                    
                                                                    	Flow key structure
                                                                    	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                    
                                                                    .. attribute:: flow_tag
                                                                    
                                                                    	Match flow\-tag array
                                                                    	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                    
                                                                    .. attribute:: fr_de
                                                                    
                                                                    	Match FR DE value
                                                                    	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                    
                                                                    .. attribute:: fr_dlci
                                                                    
                                                                    	Match FR DLCI range array
                                                                    	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                    
                                                                    .. attribute:: fragment_type
                                                                    
                                                                    	Fragment type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: icmp_v4
                                                                    
                                                                    	Match ICMPV4 Protocol
                                                                    	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                    
                                                                    .. attribute:: icmp_v6
                                                                    
                                                                    	Match ICMPV6 Protocol array
                                                                    	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                    
                                                                    .. attribute:: icmpv4_code
                                                                    
                                                                    	Match ipv4 icmp code
                                                                    	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                    
                                                                    .. attribute:: icmpv4_type
                                                                    
                                                                    	Match ipv4 icmp type
                                                                    	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                    
                                                                    .. attribute:: icmpv6_code
                                                                    
                                                                    	Match ipv6 icmp code
                                                                    	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                    
                                                                    .. attribute:: icmpv6_type
                                                                    
                                                                    	Match ipv6 icmp type
                                                                    	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                    
                                                                    .. attribute:: input_interface
                                                                    
                                                                    	Input interface
                                                                    	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                    
                                                                    .. attribute:: input_intfhdl
                                                                    
                                                                    	Input interface handle
                                                                    	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                    
                                                                    .. attribute:: ipv4_acl
                                                                    
                                                                    	IPv4 Access\-list
                                                                    	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                    
                                                                    .. attribute:: ipv4_dscp
                                                                    
                                                                    	IPv4 DSCP
                                                                    	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                    
                                                                    .. attribute:: ipv4_packet_len
                                                                    
                                                                    	IPv4 packet length array
                                                                    	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                    
                                                                    .. attribute:: ipv4_prec
                                                                    
                                                                    	IPv4 Precedence
                                                                    	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                    
                                                                    .. attribute:: ipv6_acl
                                                                    
                                                                    	IPv6 Access\-list
                                                                    	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                    
                                                                    .. attribute:: ipv6_dscp
                                                                    
                                                                    	IPv6 DSCP
                                                                    	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                    
                                                                    .. attribute:: ipv6_packet_len
                                                                    
                                                                    	IPv6 packet length array
                                                                    	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                    
                                                                    .. attribute:: ipv6_prec
                                                                    
                                                                    	IPv6 Precedence
                                                                    	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                    
                                                                    .. attribute:: media_type
                                                                    
                                                                    	Media Type
                                                                    	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                    
                                                                    .. attribute:: mlp_negotiated
                                                                    
                                                                    	MLP Negotiated
                                                                    	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                    
                                                                    .. attribute:: mpls_disp_ipv4_acl
                                                                    
                                                                    	MPLS Disposition IPv4 Access\-list
                                                                    	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                    
                                                                    .. attribute:: mpls_disp_ipv6_acl
                                                                    
                                                                    	MPLS Disposition IPv6 Access\-list
                                                                    	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                    
                                                                    .. attribute:: mpls_exp
                                                                    
                                                                    	Match MPLS experimental topmost array
                                                                    	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                    
                                                                    .. attribute:: mpls_exp_imp
                                                                    
                                                                    	Match MPLS experimental imposition array
                                                                    	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                    
                                                                    .. attribute:: mpls_top_eos
                                                                    
                                                                    	MPLS Topmost EOS
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: mpls_top_label
                                                                    
                                                                    	MPLS Topmost LABEL
                                                                    	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                    
                                                                    .. attribute:: nas_port
                                                                    
                                                                    	NAS Port
                                                                    	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                    
                                                                    .. attribute:: packet_len
                                                                    
                                                                    	Match packet length array
                                                                    	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                    
                                                                    .. attribute:: prec
                                                                    
                                                                    	Match Precedence array
                                                                    	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                    
                                                                    .. attribute:: proto
                                                                    
                                                                    	Match Protocol array
                                                                    	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                    
                                                                    .. attribute:: qos_group
                                                                    
                                                                    	Match QoS group array
                                                                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                    
                                                                    .. attribute:: remote_id
                                                                    
                                                                    	Remote ID
                                                                    	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                    
                                                                    .. attribute:: remote_id_regex
                                                                    
                                                                    	Remote ID RegEx
                                                                    	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                    
                                                                    .. attribute:: service_name
                                                                    
                                                                    	Service Name
                                                                    	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                    
                                                                    .. attribute:: service_name_regex
                                                                    
                                                                    	Service Name Regular Exp
                                                                    	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                    
                                                                    .. attribute:: src_addr_ipv4
                                                                    
                                                                    	Source Address IPV4
                                                                    	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                    
                                                                    .. attribute:: src_addr_ipv6
                                                                    
                                                                    	Source Address IPV6
                                                                    	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                    
                                                                    .. attribute:: src_addr_mac
                                                                    
                                                                    	Source Address MAC
                                                                    	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                    
                                                                    .. attribute:: src_mac
                                                                    
                                                                    	Match Source MAC address
                                                                    	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                    
                                                                    .. attribute:: src_port
                                                                    
                                                                    	Source port
                                                                    	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                    
                                                                    .. attribute:: subs_protocol
                                                                    
                                                                    	Protocol
                                                                    	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                    
                                                                    .. attribute:: tcp_flag
                                                                    
                                                                    	Match tcp flag value
                                                                    	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                    
                                                                    .. attribute:: timer
                                                                    
                                                                    	Timer
                                                                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                    
                                                                    .. attribute:: timer_regexp
                                                                    
                                                                    	Timer Regular Expression
                                                                    	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                    
                                                                    .. attribute:: traffic_class
                                                                    
                                                                    	Match Traffic class array
                                                                    	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                    
                                                                    .. attribute:: tunnel_name
                                                                    
                                                                    	Tunnel Name
                                                                    	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                    
                                                                    .. attribute:: tunnel_name_regex
                                                                    
                                                                    	Tunnel Name Regular Expression
                                                                    	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                    
                                                                    .. attribute:: unauth_domain
                                                                    
                                                                    	Unauthenticated Domain Name
                                                                    	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                    
                                                                    .. attribute:: unauth_domain_regex
                                                                    
                                                                    	Unauthenticated Domain Name RegEx
                                                                    	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                    
                                                                    .. attribute:: unauth_username
                                                                    
                                                                    	Unauthenticated User Name
                                                                    	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                    
                                                                    .. attribute:: unauth_username_regex
                                                                    
                                                                    	Unauthenticated User Name RegEx
                                                                    	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                    
                                                                    .. attribute:: user_name
                                                                    
                                                                    	User Name
                                                                    	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                    
                                                                    .. attribute:: user_name_regex
                                                                    
                                                                    	User Name Regular Expression
                                                                    	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                    
                                                                    .. attribute:: vendor_id
                                                                    
                                                                    	Vendor ID
                                                                    	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                    
                                                                    .. attribute:: vendor_id_regex
                                                                    
                                                                    	Vendor ID RegEx
                                                                    	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                    
                                                                    .. attribute:: vlan
                                                                    
                                                                    	Match VLAN array
                                                                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                    
                                                                    .. attribute:: vlan_inr
                                                                    
                                                                    	Match inner header VLAN range array
                                                                    	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.access_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                        self.access_interface.parent = self
                                                                        self.atm_clp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                        self.atm_clp.parent = self
                                                                        self.auth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                        self.auth_domain.parent = self
                                                                        self.auth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                        self.auth_domain_regex.parent = self
                                                                        self.auth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                        self.auth_username.parent = self
                                                                        self.auth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                        self.auth_username_regex.parent = self
                                                                        self.authen_status = None
                                                                        self.avail_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                        self.avail_id.parent = self
                                                                        self.circuit_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                        self.circuit_id.parent = self
                                                                        self.circuit_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                        self.circuit_id_regex.parent = self
                                                                        self.cos = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                        self.cos.parent = self
                                                                        self.cos_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                        self.cos_inr.parent = self
                                                                        self.dei = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                        self.dei.parent = self
                                                                        self.dei_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                        self.dei_inr.parent = self
                                                                        self.dhcp_client_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                        self.dhcp_client_id.parent = self
                                                                        self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                        self.dhcp_client_id_regex.parent = self
                                                                        self.discard_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                        self.discard_class.parent = self
                                                                        self.dnis = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                        self.dnis.parent = self
                                                                        self.dnis_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                        self.dnis_regex.parent = self
                                                                        self.domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                        self.domain.parent = self
                                                                        self.domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                        self.domain_regex.parent = self
                                                                        self.dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                        self.dscp.parent = self
                                                                        self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                        self.dst_addr_ipv4.parent = self
                                                                        self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                        self.dst_addr_ipv6.parent = self
                                                                        self.dst_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                        self.dst_mac.parent = self
                                                                        self.dst_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                        self.dst_port.parent = self
                                                                        self.ether_service_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                        self.ether_service_acl.parent = self
                                                                        self.ethertype = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                        self.ethertype.parent = self
                                                                        self.flow_key_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                        self.flow_key_data.parent = self
                                                                        self.flow_tag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                        self.flow_tag.parent = self
                                                                        self.fr_de = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                        self.fr_de.parent = self
                                                                        self.fr_dlci = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                        self.fr_dlci.parent = self
                                                                        self.fragment_type = None
                                                                        self.icmp_v4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                        self.icmp_v4.parent = self
                                                                        self.icmp_v6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                        self.icmp_v6.parent = self
                                                                        self.icmpv4_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                        self.icmpv4_code.parent = self
                                                                        self.icmpv4_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                        self.icmpv4_type.parent = self
                                                                        self.icmpv6_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                        self.icmpv6_code.parent = self
                                                                        self.icmpv6_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                        self.icmpv6_type.parent = self
                                                                        self.input_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                        self.input_interface.parent = self
                                                                        self.input_intfhdl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                        self.input_intfhdl.parent = self
                                                                        self.ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                        self.ipv4_acl.parent = self
                                                                        self.ipv4_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                        self.ipv4_dscp.parent = self
                                                                        self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                        self.ipv4_packet_len.parent = self
                                                                        self.ipv4_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                        self.ipv4_prec.parent = self
                                                                        self.ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                        self.ipv6_acl.parent = self
                                                                        self.ipv6_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                        self.ipv6_dscp.parent = self
                                                                        self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                        self.ipv6_packet_len.parent = self
                                                                        self.ipv6_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                        self.ipv6_prec.parent = self
                                                                        self.media_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                        self.media_type.parent = self
                                                                        self.mlp_negotiated = None
                                                                        self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                        self.mpls_disp_ipv4_acl.parent = self
                                                                        self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                        self.mpls_disp_ipv6_acl.parent = self
                                                                        self.mpls_exp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                        self.mpls_exp.parent = self
                                                                        self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                        self.mpls_exp_imp.parent = self
                                                                        self.mpls_top_eos = None
                                                                        self.mpls_top_label = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                        self.mpls_top_label.parent = self
                                                                        self.nas_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                        self.nas_port.parent = self
                                                                        self.packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                        self.packet_len.parent = self
                                                                        self.prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                        self.prec.parent = self
                                                                        self.proto = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                        self.proto.parent = self
                                                                        self.qos_group = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                        self.qos_group.parent = self
                                                                        self.remote_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                        self.remote_id.parent = self
                                                                        self.remote_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                        self.remote_id_regex.parent = self
                                                                        self.service_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                        self.service_name.parent = self
                                                                        self.service_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                        self.service_name_regex.parent = self
                                                                        self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                        self.src_addr_ipv4.parent = self
                                                                        self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                        self.src_addr_ipv6.parent = self
                                                                        self.src_addr_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                        self.src_addr_mac.parent = self
                                                                        self.src_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                        self.src_mac.parent = self
                                                                        self.src_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                        self.src_port.parent = self
                                                                        self.subs_protocol = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                        self.subs_protocol.parent = self
                                                                        self.tcp_flag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                        self.tcp_flag.parent = self
                                                                        self.timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                        self.timer.parent = self
                                                                        self.timer_regexp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                        self.timer_regexp.parent = self
                                                                        self.traffic_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                        self.traffic_class.parent = self
                                                                        self.tunnel_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                        self.tunnel_name.parent = self
                                                                        self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                        self.tunnel_name_regex.parent = self
                                                                        self.type = None
                                                                        self.unauth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                        self.unauth_domain.parent = self
                                                                        self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                        self.unauth_domain_regex.parent = self
                                                                        self.unauth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                        self.unauth_username.parent = self
                                                                        self.unauth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                        self.unauth_username_regex.parent = self
                                                                        self.user_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                        self.user_name.parent = self
                                                                        self.user_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                        self.user_name_regex.parent = self
                                                                        self.vendor_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                        self.vendor_id.parent = self
                                                                        self.vendor_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                        self.vendor_id_regex.parent = self
                                                                        self.vlan = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                        self.vlan.parent = self
                                                                        self.vlan_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                        self.vlan_inr.parent = self


                                                                    class Ipv4Dscp(object):
                                                                        """
                                                                        IPv4 DSCP
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                    class Ipv6Dscp(object):
                                                                        """
                                                                        IPv6 DSCP
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                    class Dscp(object):
                                                                        """
                                                                        Match DSCP range array
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                    class Ipv4Prec(object):
                                                                        """
                                                                        IPv4 Precedence
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                    class Ipv6Prec(object):
                                                                        """
                                                                        IPv6 Precedence
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                    class Prec(object):
                                                                        """
                                                                        Match Precedence array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                    class DiscardClass(object):
                                                                        """
                                                                        Match Discard Class array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                    class QosGroup(object):
                                                                        """
                                                                        Match QoS group array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                    class TrafficClass(object):
                                                                        """
                                                                        Match Traffic class array
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                    class Proto(object):
                                                                        """
                                                                        Match Protocol array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                    class IcmpV4(object):
                                                                        """
                                                                        Match ICMPV4 Protocol
                                                                        
                                                                        .. attribute:: code
                                                                        
                                                                        	Protocol code
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	Protocol type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.code = None
                                                                            self.type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.code is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                    class IcmpV6(object):
                                                                        """
                                                                        Match ICMPV6 Protocol array
                                                                        
                                                                        .. attribute:: code
                                                                        
                                                                        	Protocol code
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	Protocol type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.code = None
                                                                            self.type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.code is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                    class Ipv4PacketLen(object):
                                                                        """
                                                                        IPv4 packet length array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                    class Ipv6PacketLen(object):
                                                                        """
                                                                        IPv6 packet length array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                    class PacketLen(object):
                                                                        """
                                                                        Match packet length array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                    class FlowTag(object):
                                                                        """
                                                                        Match flow\-tag array
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                    class TcpFlag(object):
                                                                        """
                                                                        Match tcp flag value
                                                                        
                                                                        .. attribute:: match_any
                                                                        
                                                                        	Match any TCP flag bit
                                                                        	**type**\:  bool
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	Value of TCP flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.match_any = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.match_any is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                    class Icmpv4Type(object):
                                                                        """
                                                                        Match ipv4 icmp type
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                    class Icmpv4Code(object):
                                                                        """
                                                                        Match ipv4 icmp code
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                    class Icmpv6Type(object):
                                                                        """
                                                                        Match ipv6 icmp type
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                    class Icmpv6Code(object):
                                                                        """
                                                                        Match ipv6 icmp code
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                    class MplsExp(object):
                                                                        """
                                                                        Match MPLS experimental topmost array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                    class MplsExpImp(object):
                                                                        """
                                                                        Match MPLS experimental imposition array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                    class MplsDispIpv4Acl(object):
                                                                        """
                                                                        MPLS Disposition IPv4 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                    class MplsDispIpv6Acl(object):
                                                                        """
                                                                        MPLS Disposition IPv6 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                    class MplsTopLabel(object):
                                                                        """
                                                                        MPLS Topmost LABEL
                                                                        
                                                                        .. attribute:: uint32_rng_array
                                                                        
                                                                        	uint32 rng array
                                                                        	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint32_rng_array = YList()
                                                                            self.uint32_rng_array.parent = self
                                                                            self.uint32_rng_array.name = 'uint32_rng_array'


                                                                        class Uint32_Rng_Array(object):
                                                                            """
                                                                            uint32 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint32_rng_array is not None:
                                                                                for child_ref in self.uint32_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                    class Cos(object):
                                                                        """
                                                                        Match CoS array
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                    class CosInr(object):
                                                                        """
                                                                        Match inner header CoS
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                    class Dei(object):
                                                                        """
                                                                        Match DEI Bit
                                                                        
                                                                        .. attribute:: bit_value
                                                                        
                                                                        	Value of the DEI bit
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bit_value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bit_value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                    class DeiInr(object):
                                                                        """
                                                                        Match inner DEI Bit
                                                                        
                                                                        .. attribute:: bit_value
                                                                        
                                                                        	Value of the DEI bit
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bit_value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bit_value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                    class Vlan(object):
                                                                        """
                                                                        Match VLAN array
                                                                        
                                                                        .. attribute:: vlan_id_array
                                                                        
                                                                        	vlan id array
                                                                        	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.vlan_id_array = YList()
                                                                            self.vlan_id_array.parent = self
                                                                            self.vlan_id_array.name = 'vlan_id_array'


                                                                        class VlanIdArray(object):
                                                                            """
                                                                            vlan id array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	VLAN mask
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.vlan_id_array is not None:
                                                                                for child_ref in self.vlan_id_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                    class VlanInr(object):
                                                                        """
                                                                        Match inner header VLAN range array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                    class FrDlci(object):
                                                                        """
                                                                        Match FR DLCI range array
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                    class SrcMac(object):
                                                                        """
                                                                        Match Source MAC address
                                                                        
                                                                        .. attribute:: mac_addr
                                                                        
                                                                        	MAC address
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: mask
                                                                        
                                                                        	MAC mask
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mac_addr = YLeafList()
                                                                            self.mac_addr.parent = self
                                                                            self.mac_addr.name = 'mac_addr'
                                                                            self.mask = YLeafList()
                                                                            self.mask.parent = self
                                                                            self.mask.name = 'mask'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mac_addr is not None:
                                                                                for child in self.mac_addr:
                                                                                    if child is not None:
                                                                                        return True

                                                                            if self.mask is not None:
                                                                                for child in self.mask:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                    class DstMac(object):
                                                                        """
                                                                        Match Destination MAC address
                                                                        
                                                                        .. attribute:: mac_addr
                                                                        
                                                                        	MAC address
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: mask
                                                                        
                                                                        	MAC mask
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mac_addr = YLeafList()
                                                                            self.mac_addr.parent = self
                                                                            self.mac_addr.name = 'mac_addr'
                                                                            self.mask = YLeafList()
                                                                            self.mask.parent = self
                                                                            self.mask.name = 'mask'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mac_addr is not None:
                                                                                for child in self.mac_addr:
                                                                                    if child is not None:
                                                                                        return True

                                                                            if self.mask is not None:
                                                                                for child in self.mask:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                    class AtmClp(object):
                                                                        """
                                                                        Match ATM CLP level
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                    class FrDe(object):
                                                                        """
                                                                        Match FR DE value
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                    class Ipv4Acl(object):
                                                                        """
                                                                        IPv4 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                    class Ipv6Acl(object):
                                                                        """
                                                                        IPv6 Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                    class EtherServiceAcl(object):
                                                                        """
                                                                        Ethernet\-Services Access\-list
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                    class AvailId(object):
                                                                        """
                                                                        Available Identifiers
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                    class MediaType(object):
                                                                        """
                                                                        Media Type
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                    class SubsProtocol(object):
                                                                        """
                                                                        Protocol
                                                                        
                                                                        .. attribute:: uint8_array
                                                                        
                                                                        	uint8 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_array = YLeafList()
                                                                            self.uint8_array.parent = self
                                                                            self.uint8_array.name = 'uint8_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_array is not None:
                                                                                for child in self.uint8_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                    class Dnis(object):
                                                                        """
                                                                        DNIS
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                    class DnisRegex(object):
                                                                        """
                                                                        DNIS Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                    class Domain(object):
                                                                        """
                                                                        Domain Name
                                                                        
                                                                        .. attribute:: domain_array
                                                                        
                                                                        	domain array
                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.domain_array = YList()
                                                                            self.domain_array.parent = self
                                                                            self.domain_array.name = 'domain_array'


                                                                        class DomainArray(object):
                                                                            """
                                                                            domain array
                                                                            
                                                                            .. attribute:: domain_name
                                                                            
                                                                            	domain name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_name = None
                                                                                self.format_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_name is not None:
                                                                                    return True

                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.domain_array is not None:
                                                                                for child_ref in self.domain_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                    class DomainRegex(object):
                                                                        """
                                                                        Domain Regular Expression
                                                                        
                                                                        .. attribute:: domain_array
                                                                        
                                                                        	domain array
                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.domain_array = YList()
                                                                            self.domain_array.parent = self
                                                                            self.domain_array.name = 'domain_array'


                                                                        class DomainArray(object):
                                                                            """
                                                                            domain array
                                                                            
                                                                            .. attribute:: domain_name
                                                                            
                                                                            	domain name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_name = None
                                                                                self.format_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_name is not None:
                                                                                    return True

                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.domain_array is not None:
                                                                                for child_ref in self.domain_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                    class NasPort(object):
                                                                        """
                                                                        NAS Port
                                                                        
                                                                        .. attribute:: nas_port_array
                                                                        
                                                                        	nas port array
                                                                        	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.nas_port_array = YList()
                                                                            self.nas_port_array.parent = self
                                                                            self.nas_port_array.name = 'nas_port_array'


                                                                        class NasPortArray(object):
                                                                            """
                                                                            nas port array
                                                                            
                                                                            .. attribute:: operator
                                                                            
                                                                            	operator
                                                                            	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                            
                                                                            .. attribute:: sub_id
                                                                            
                                                                            	sub id
                                                                            	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.operator = None
                                                                                self.sub_id = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.operator is not None:
                                                                                    return True

                                                                                if self.sub_id is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.nas_port_array is not None:
                                                                                for child_ref in self.nas_port_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                    class ServiceName(object):
                                                                        """
                                                                        Service Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                    class ServiceNameRegex(object):
                                                                        """
                                                                        Service Name Regular Exp
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                    class SrcAddrIpv4(object):
                                                                        """
                                                                        Source Address IPV4
                                                                        
                                                                        .. attribute:: ipv4_addr_array
                                                                        
                                                                        	ipv4 addr array
                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv4_addr_array = YList()
                                                                            self.ipv4_addr_array.parent = self
                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                        class Ipv4AddrArray(object):
                                                                            """
                                                                            ipv4 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	mask
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv4_addr_array is not None:
                                                                                for child_ref in self.ipv4_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                    class DstAddrIpv4(object):
                                                                        """
                                                                        Destination Address IPV4
                                                                        
                                                                        .. attribute:: ipv4_addr_array
                                                                        
                                                                        	ipv4 addr array
                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv4_addr_array = YList()
                                                                            self.ipv4_addr_array.parent = self
                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                        class Ipv4AddrArray(object):
                                                                            """
                                                                            ipv4 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	mask
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv4_addr_array is not None:
                                                                                for child_ref in self.ipv4_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                    class SrcAddrIpv6(object):
                                                                        """
                                                                        Source Address IPV6
                                                                        
                                                                        .. attribute:: ipv6_addr_array
                                                                        
                                                                        	ipv6 addr array
                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv6_addr_array = YList()
                                                                            self.ipv6_addr_array.parent = self
                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                        class Ipv6AddrArray(object):
                                                                            """
                                                                            ipv6 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	IPV6 mask
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	IPV6 prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv6_addr_array is not None:
                                                                                for child_ref in self.ipv6_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                    class DstAddrIpv6(object):
                                                                        """
                                                                        Destination Address IPV6
                                                                        
                                                                        .. attribute:: ipv6_addr_array
                                                                        
                                                                        	ipv6 addr array
                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.ipv6_addr_array = YList()
                                                                            self.ipv6_addr_array.parent = self
                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                        class Ipv6AddrArray(object):
                                                                            """
                                                                            ipv6 addr array
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	IPV6 mask
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: prefix
                                                                            
                                                                            	IPV6 prefix
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mask = None
                                                                                self.prefix = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mask is not None:
                                                                                    return True

                                                                                if self.prefix is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.ipv6_addr_array is not None:
                                                                                for child_ref in self.ipv6_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                    class SrcAddrMac(object):
                                                                        """
                                                                        Source Address MAC
                                                                        
                                                                        .. attribute:: mac_addr_array
                                                                        
                                                                        	mac addr array
                                                                        	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mac_addr_array = YList()
                                                                            self.mac_addr_array.parent = self
                                                                            self.mac_addr_array.name = 'mac_addr_array'


                                                                        class MacAddrArray(object):
                                                                            """
                                                                            mac addr array
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mac_addr_array is not None:
                                                                                for child_ref in self.mac_addr_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                    class Timer(object):
                                                                        """
                                                                        Timer
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                    class TimerRegexp(object):
                                                                        """
                                                                        Timer Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                    class TunnelName(object):
                                                                        """
                                                                        Tunnel Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                    class TunnelNameRegex(object):
                                                                        """
                                                                        Tunnel Name Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                    class UserName(object):
                                                                        """
                                                                        User Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                    class UserNameRegex(object):
                                                                        """
                                                                        User Name Regular Expression
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                    class AuthUsername(object):
                                                                        """
                                                                        Authenticated User Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                    class AuthUsernameRegex(object):
                                                                        """
                                                                        Authenticated User Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                    class UnauthUsername(object):
                                                                        """
                                                                        Unauthenticated User Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                    class UnauthUsernameRegex(object):
                                                                        """
                                                                        Unauthenticated User Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                    class AuthDomain(object):
                                                                        """
                                                                        Authenticated domain name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                    class AuthDomainRegex(object):
                                                                        """
                                                                        Authenticated Domain Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                    class UnauthDomain(object):
                                                                        """
                                                                        Unauthenticated Domain Name
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                    class UnauthDomainRegex(object):
                                                                        """
                                                                        Unauthenticated Domain Name RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                    class VendorId(object):
                                                                        """
                                                                        Vendor ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                    class VendorIdRegex(object):
                                                                        """
                                                                        Vendor ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                    class AccessInterface(object):
                                                                        """
                                                                        Access interface
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                    class InputInterface(object):
                                                                        """
                                                                        Input interface
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                    class InputIntfhdl(object):
                                                                        """
                                                                        Input interface handle
                                                                        
                                                                        .. attribute:: uint64_array
                                                                        
                                                                        	uint64 array
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint64_array = YLeafList()
                                                                            self.uint64_array.parent = self
                                                                            self.uint64_array.name = 'uint64_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint64_array is not None:
                                                                                for child in self.uint64_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                    class Ethertype(object):
                                                                        """
                                                                        Ethernet type
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                    class FlowKeyData(object):
                                                                        """
                                                                        Flow key structure
                                                                        
                                                                        .. attribute:: flow_keys
                                                                        
                                                                        	flow keys
                                                                        	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	Idle timeout of flows (in seconds)
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: max_count
                                                                        
                                                                        	Maximum count of flows
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_keys = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                            self.flow_keys.parent = self
                                                                            self.idle_timeout = None
                                                                            self.max_count = None


                                                                        class FlowKeys(object):
                                                                            """
                                                                            flow keys
                                                                            
                                                                            .. attribute:: keys
                                                                            
                                                                            	keys
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: num
                                                                            
                                                                            	num
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.keys = None
                                                                                self.num = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.keys is not None:
                                                                                    return True

                                                                                if self.num is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.max_count is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                    class DhcpClientId(object):
                                                                        """
                                                                        Dhcp Client ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                    class DhcpClientIdRegex(object):
                                                                        """
                                                                        Dhcp Client ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                    class CircuitId(object):
                                                                        """
                                                                        Circuit ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                    class CircuitIdRegex(object):
                                                                        """
                                                                        Circuit ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                    class RemoteId(object):
                                                                        """
                                                                        Remote ID
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                    class RemoteIdRegex(object):
                                                                        """
                                                                        Remote ID RegEx
                                                                        
                                                                        .. attribute:: string_array
                                                                        
                                                                        	string array
                                                                        	**type**\:  list of str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.string_array = YLeafList()
                                                                            self.string_array.parent = self
                                                                            self.string_array.name = 'string_array'

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.string_array is not None:
                                                                                for child in self.string_array:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                    class SrcPort(object):
                                                                        """
                                                                        Source port
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                    class DstPort(object):
                                                                        """
                                                                        Destination port
                                                                        
                                                                        .. attribute:: uint16_rng_array
                                                                        
                                                                        	uint16 rng array
                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint16_rng_array = YList()
                                                                            self.uint16_rng_array.parent = self
                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                        class Uint16_Rng_Array(object):
                                                                            """
                                                                            uint16 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint16_rng_array is not None:
                                                                                for child_ref in self.uint16_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.access_interface is not None and self.access_interface._has_data():
                                                                            return True

                                                                        if self.atm_clp is not None and self.atm_clp._has_data():
                                                                            return True

                                                                        if self.auth_domain is not None and self.auth_domain._has_data():
                                                                            return True

                                                                        if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                            return True

                                                                        if self.auth_username is not None and self.auth_username._has_data():
                                                                            return True

                                                                        if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                            return True

                                                                        if self.authen_status is not None:
                                                                            return True

                                                                        if self.avail_id is not None and self.avail_id._has_data():
                                                                            return True

                                                                        if self.circuit_id is not None and self.circuit_id._has_data():
                                                                            return True

                                                                        if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                            return True

                                                                        if self.cos is not None and self.cos._has_data():
                                                                            return True

                                                                        if self.cos_inr is not None and self.cos_inr._has_data():
                                                                            return True

                                                                        if self.dei is not None and self.dei._has_data():
                                                                            return True

                                                                        if self.dei_inr is not None and self.dei_inr._has_data():
                                                                            return True

                                                                        if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                            return True

                                                                        if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                            return True

                                                                        if self.discard_class is not None and self.discard_class._has_data():
                                                                            return True

                                                                        if self.dnis is not None and self.dnis._has_data():
                                                                            return True

                                                                        if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                            return True

                                                                        if self.domain is not None and self.domain._has_data():
                                                                            return True

                                                                        if self.domain_regex is not None and self.domain_regex._has_data():
                                                                            return True

                                                                        if self.dscp is not None and self.dscp._has_data():
                                                                            return True

                                                                        if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                            return True

                                                                        if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                            return True

                                                                        if self.dst_mac is not None and self.dst_mac._has_data():
                                                                            return True

                                                                        if self.dst_port is not None and self.dst_port._has_data():
                                                                            return True

                                                                        if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                            return True

                                                                        if self.ethertype is not None and self.ethertype._has_data():
                                                                            return True

                                                                        if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                            return True

                                                                        if self.flow_tag is not None and self.flow_tag._has_data():
                                                                            return True

                                                                        if self.fr_de is not None and self.fr_de._has_data():
                                                                            return True

                                                                        if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                            return True

                                                                        if self.fragment_type is not None:
                                                                            return True

                                                                        if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                            return True

                                                                        if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                            return True

                                                                        if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                            return True

                                                                        if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                            return True

                                                                        if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                            return True

                                                                        if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                            return True

                                                                        if self.input_interface is not None and self.input_interface._has_data():
                                                                            return True

                                                                        if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                            return True

                                                                        if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                            return True

                                                                        if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                            return True

                                                                        if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                            return True

                                                                        if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                            return True

                                                                        if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                            return True

                                                                        if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                            return True

                                                                        if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                            return True

                                                                        if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                            return True

                                                                        if self.media_type is not None and self.media_type._has_data():
                                                                            return True

                                                                        if self.mlp_negotiated is not None:
                                                                            return True

                                                                        if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                            return True

                                                                        if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                            return True

                                                                        if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                            return True

                                                                        if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                            return True

                                                                        if self.mpls_top_eos is not None:
                                                                            return True

                                                                        if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                            return True

                                                                        if self.nas_port is not None and self.nas_port._has_data():
                                                                            return True

                                                                        if self.packet_len is not None and self.packet_len._has_data():
                                                                            return True

                                                                        if self.prec is not None and self.prec._has_data():
                                                                            return True

                                                                        if self.proto is not None and self.proto._has_data():
                                                                            return True

                                                                        if self.qos_group is not None and self.qos_group._has_data():
                                                                            return True

                                                                        if self.remote_id is not None and self.remote_id._has_data():
                                                                            return True

                                                                        if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                            return True

                                                                        if self.service_name is not None and self.service_name._has_data():
                                                                            return True

                                                                        if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                            return True

                                                                        if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                            return True

                                                                        if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                            return True

                                                                        if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                            return True

                                                                        if self.src_mac is not None and self.src_mac._has_data():
                                                                            return True

                                                                        if self.src_port is not None and self.src_port._has_data():
                                                                            return True

                                                                        if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                            return True

                                                                        if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                            return True

                                                                        if self.timer is not None and self.timer._has_data():
                                                                            return True

                                                                        if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                            return True

                                                                        if self.traffic_class is not None and self.traffic_class._has_data():
                                                                            return True

                                                                        if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                            return True

                                                                        if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                            return True

                                                                        if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                            return True

                                                                        if self.unauth_username is not None and self.unauth_username._has_data():
                                                                            return True

                                                                        if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                            return True

                                                                        if self.user_name is not None and self.user_name._has_data():
                                                                            return True

                                                                        if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                            return True

                                                                        if self.vendor_id is not None and self.vendor_id._has_data():
                                                                            return True

                                                                        if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                            return True

                                                                        if self.vlan is not None and self.vlan._has_data():
                                                                            return True

                                                                        if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_data is not None and self.match_data._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_match_info_st is not None:
                                                                    for child_ref in self.class_match_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.chk_sum is not None:
                                                                return True

                                                            if self.description is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.magic is not None:
                                                                return True

                                                            if self.match_count is not None:
                                                                return True

                                                            if self.match_infop is not None and self.match_infop._has_data():
                                                                return True

                                                            if self.mode is not None:
                                                                return True

                                                            if self.name is not None:
                                                                return True

                                                            if self.type is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_map_bg is not None:
                                                            for child_ref in self.class_map_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                class ActInfop(object):
                                                    """
                                                    act infop
                                                    
                                                    .. attribute:: policy_action_info_st
                                                    
                                                    	policy action info st
                                                    	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_action_info_st = YList()
                                                        self.policy_action_info_st.parent = self
                                                        self.policy_action_info_st.name = 'policy_action_info_st'


                                                    class PolicyActionInfoSt(object):
                                                        """
                                                        policy action info st
                                                        
                                                        .. attribute:: actp
                                                        
                                                        	actp
                                                        	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.actp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                            self.actp.parent = self
                                                            self.flags = None
                                                            self.seq = None


                                                        class Actp(object):
                                                            """
                                                            actp
                                                            
                                                            .. attribute:: accounting_event_aaa
                                                            
                                                            	accounting event aaa
                                                            	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                            
                                                            .. attribute:: acct_aaa_list
                                                            
                                                            	acct aaa list
                                                            	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                            
                                                            .. attribute:: act_template
                                                            
                                                            	act template
                                                            	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                            
                                                            .. attribute:: afm_react
                                                            
                                                            	afm react
                                                            	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                            
                                                            .. attribute:: authen_aaa
                                                            
                                                            	authen aaa
                                                            	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                            
                                                            .. attribute:: authorize_id
                                                            
                                                            	authorize id
                                                            	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                            
                                                            .. attribute:: bwrem
                                                            
                                                            	bwrem
                                                            	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                            
                                                            .. attribute:: cac
                                                            
                                                            	cac
                                                            	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                            
                                                            .. attribute:: child_policy
                                                            
                                                            	child policy
                                                            	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                            
                                                            .. attribute:: collect_id
                                                            
                                                            	collect id
                                                            	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                            
                                                            .. attribute:: copy
                                                            
                                                            	copy
                                                            	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                            
                                                            .. attribute:: data_p
                                                            
                                                            	data p
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: deact_template
                                                            
                                                            	deact template
                                                            	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                            
                                                            .. attribute:: decode_id
                                                            
                                                            	decode id
                                                            	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                            
                                                            .. attribute:: encap
                                                            
                                                            	encap
                                                            	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                            
                                                            .. attribute:: flow_parm
                                                            
                                                            	flow parm
                                                            	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                            
                                                            .. attribute:: fmm
                                                            
                                                            	fmm
                                                            	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                            
                                                            .. attribute:: httpr
                                                            
                                                            	httpr
                                                            	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                            
                                                            .. attribute:: ipcbr
                                                            
                                                            	ipcbr
                                                            	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                            
                                                            .. attribute:: ipv4_nh
                                                            
                                                            	ipv4 nh
                                                            	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                            
                                                            .. attribute:: ipv6_nh
                                                            
                                                            	ipv6 nh
                                                            	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                            
                                                            .. attribute:: mark
                                                            
                                                            	mark
                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                            
                                                            .. attribute:: mark2
                                                            
                                                            	mark2
                                                            	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                            
                                                            .. attribute:: mdi
                                                            
                                                            	mdi
                                                            	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                            
                                                            .. attribute:: mdi_rtp
                                                            
                                                            	mdi rtp
                                                            	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                            
                                                            .. attribute:: min_bw
                                                            
                                                            	min bw
                                                            	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                            
                                                            .. attribute:: out_intf
                                                            
                                                            	out intf
                                                            	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                            
                                                            .. attribute:: pbf
                                                            
                                                            	pbf
                                                            	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                            
                                                            .. attribute:: pfc
                                                            
                                                            	pfc
                                                            	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                            
                                                            .. attribute:: police
                                                            
                                                            	police
                                                            	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                            
                                                            .. attribute:: prepaid_cfg
                                                            
                                                            	prepaid cfg
                                                            	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                            
                                                            .. attribute:: prio
                                                            
                                                            	prio
                                                            	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                            
                                                            .. attribute:: proxy_aaa
                                                            
                                                            	proxy aaa
                                                            	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                            
                                                            .. attribute:: punt
                                                            
                                                            	punt
                                                            	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                            
                                                            .. attribute:: qlimit
                                                            
                                                            	qlimit
                                                            	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                            
                                                            .. attribute:: query_ancp
                                                            
                                                            	query ancp
                                                            	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                            
                                                            .. attribute:: redirect
                                                            
                                                            	redirect
                                                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                            
                                                            .. attribute:: rtp
                                                            
                                                            	rtp
                                                            	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                            
                                                            .. attribute:: rtp_j2k
                                                            
                                                            	rtp j2k
                                                            	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                            
                                                            .. attribute:: rtp_mmr
                                                            
                                                            	rtp mmr
                                                            	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                            
                                                            .. attribute:: rtp_voice
                                                            
                                                            	rtp voice
                                                            	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                            
                                                            .. attribute:: serv_func
                                                            
                                                            	serv func
                                                            	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                            
                                                            .. attribute:: set_timer
                                                            
                                                            	set timer
                                                            	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                            
                                                            .. attribute:: sfrag
                                                            
                                                            	sfrag
                                                            	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                            
                                                            .. attribute:: shape
                                                            
                                                            	shape
                                                            	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                            
                                                            .. attribute:: stop_timer
                                                            
                                                            	stop timer
                                                            	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                            
                                                            .. attribute:: timeout_idle
                                                            
                                                            	timeout idle
                                                            	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                            
                                                            .. attribute:: type
                                                            
                                                            	type
                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                            
                                                            .. attribute:: wred
                                                            
                                                            	wred
                                                            	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.accounting_event_aaa = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                self.accounting_event_aaa.parent = self
                                                                self.acct_aaa_list = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                self.acct_aaa_list.parent = self
                                                                self.act_template = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                self.act_template.parent = self
                                                                self.afm_react = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                self.afm_react.parent = self
                                                                self.authen_aaa = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                self.authen_aaa.parent = self
                                                                self.authorize_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                self.authorize_id.parent = self
                                                                self.bwrem = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                self.bwrem.parent = self
                                                                self.cac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                self.cac.parent = self
                                                                self.child_policy = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                self.child_policy.parent = self
                                                                self.collect_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                self.collect_id.parent = self
                                                                self.copy = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                self.copy.parent = self
                                                                self.data_p = None
                                                                self.deact_template = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                self.deact_template.parent = self
                                                                self.decode_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                self.decode_id.parent = self
                                                                self.encap = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                self.encap.parent = self
                                                                self.flow_parm = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                self.flow_parm.parent = self
                                                                self.fmm = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                self.fmm.parent = self
                                                                self.httpr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                self.httpr.parent = self
                                                                self.ipcbr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                self.ipcbr.parent = self
                                                                self.ipv4_nh = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                self.ipv4_nh.parent = self
                                                                self.ipv6_nh = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                self.ipv6_nh.parent = self
                                                                self.mark = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                self.mark.parent = self
                                                                self.mark2 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                self.mark2.parent = self
                                                                self.mdi = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                self.mdi.parent = self
                                                                self.mdi_rtp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                self.mdi_rtp.parent = self
                                                                self.min_bw = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                self.min_bw.parent = self
                                                                self.out_intf = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                self.out_intf.parent = self
                                                                self.pbf = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                self.pbf.parent = self
                                                                self.pfc = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                self.pfc.parent = self
                                                                self.police = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                self.police.parent = self
                                                                self.prepaid_cfg = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                self.prepaid_cfg.parent = self
                                                                self.prio = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                self.prio.parent = self
                                                                self.proxy_aaa = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                self.proxy_aaa.parent = self
                                                                self.punt = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                self.punt.parent = self
                                                                self.qlimit = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                self.qlimit.parent = self
                                                                self.query_ancp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                self.query_ancp.parent = self
                                                                self.redirect = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                self.redirect.parent = self
                                                                self.rtp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                self.rtp.parent = self
                                                                self.rtp_j2k = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                self.rtp_j2k.parent = self
                                                                self.rtp_mmr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                self.rtp_mmr.parent = self
                                                                self.rtp_voice = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                self.rtp_voice.parent = self
                                                                self.serv_func = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                self.serv_func.parent = self
                                                                self.set_timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                self.set_timer.parent = self
                                                                self.sfrag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                self.sfrag.parent = self
                                                                self.shape = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                self.shape.parent = self
                                                                self.stop_timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                self.stop_timer.parent = self
                                                                self.timeout_idle = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                self.timeout_idle.parent = self
                                                                self.type = None
                                                                self.wred = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                self.wred.parent = self


                                                            class Mark(object):
                                                                """
                                                                mark
                                                                
                                                                .. attribute:: action_mark_info
                                                                
                                                                	action mark info
                                                                	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_mark_info = YList()
                                                                    self.action_mark_info.parent = self
                                                                    self.action_mark_info.name = 'action_mark_info'


                                                                class ActionMarkInfo(object):
                                                                    """
                                                                    action mark info
                                                                    
                                                                    .. attribute:: mark_flags
                                                                    
                                                                    	mark flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.mark_flags = None
                                                                        self.type = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.mark_flags is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_mark_info is not None:
                                                                        for child_ref in self.action_mark_info:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                            class Mark2(object):
                                                                """
                                                                mark2
                                                                
                                                                .. attribute:: action_mark2_info
                                                                
                                                                	action mark2 info
                                                                	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_mark2_info = YList()
                                                                    self.action_mark2_info.parent = self
                                                                    self.action_mark2_info.name = 'action_mark2_info'


                                                                class ActionMark2Info(object):
                                                                    """
                                                                    action mark2 info
                                                                    
                                                                    .. attribute:: mark_flags
                                                                    
                                                                    	mark flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: value_overflow
                                                                    
                                                                    	value overflow
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.mark_flags = None
                                                                        self.type = None
                                                                        self.value = None
                                                                        self.value_overflow = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.mark_flags is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        if self.value_overflow is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_mark2_info is not None:
                                                                        for child_ref in self.action_mark2_info:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                            class Wred(object):
                                                                """
                                                                wred
                                                                
                                                                .. attribute:: action_wred_info
                                                                
                                                                	action wred info
                                                                	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_wred_info = YList()
                                                                    self.action_wred_info.parent = self
                                                                    self.action_wred_info.name = 'action_wred_info'


                                                                class ActionWredInfo(object):
                                                                    """
                                                                    action wred info
                                                                    
                                                                    .. attribute:: match_ranges
                                                                    
                                                                    	match ranges
                                                                    	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                    
                                                                    .. attribute:: max_threshold
                                                                    
                                                                    	max threshold
                                                                    	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                    
                                                                    .. attribute:: min_threshold
                                                                    
                                                                    	min threshold
                                                                    	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                    
                                                                    .. attribute:: probability
                                                                    
                                                                    	probability
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	cos/prec/dscp/ based WRED
                                                                    	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                    
                                                                    .. attribute:: wred_flags
                                                                    
                                                                    	wred flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.match_ranges = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                        self.match_ranges.parent = self
                                                                        self.max_threshold = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                        self.max_threshold.parent = self
                                                                        self.min_threshold = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                        self.min_threshold.parent = self
                                                                        self.probability = None
                                                                        self.type = None
                                                                        self.wred_flags = None


                                                                    class MatchRanges(object):
                                                                        """
                                                                        match ranges
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                    class MinThreshold(object):
                                                                        """
                                                                        min threshold
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                    class MaxThreshold(object):
                                                                        """
                                                                        max threshold
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.match_ranges is not None and self.match_ranges._has_data():
                                                                            return True

                                                                        if self.max_threshold is not None and self.max_threshold._has_data():
                                                                            return True

                                                                        if self.min_threshold is not None and self.min_threshold._has_data():
                                                                            return True

                                                                        if self.probability is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred_flags is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_wred_info is not None:
                                                                        for child_ref in self.action_wred_info:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                            class Encap(object):
                                                                """
                                                                encap
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.seq = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                            class Prio(object):
                                                                """
                                                                prio
                                                                
                                                                .. attribute:: prio_lvl
                                                                
                                                                	prio lvl
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.prio_lvl = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.prio_lvl is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                            class Bwrem(object):
                                                                """
                                                                bwrem
                                                                
                                                                .. attribute:: bwrem
                                                                
                                                                	bwrem
                                                                	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.bwrem = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                    self.bwrem.parent = self


                                                                class Bwrem_(object):
                                                                    """
                                                                    bwrem
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.bwrem is not None and self.bwrem._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                            class MinBw(object):
                                                                """
                                                                min bw
                                                                
                                                                .. attribute:: bw
                                                                
                                                                	bw
                                                                	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.bw = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                    self.bw.parent = self


                                                                class Bw(object):
                                                                    """
                                                                    bw
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.bw is not None and self.bw._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                            class AuthenAaa(object):
                                                                """
                                                                authen aaa
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: authen_password
                                                                
                                                                	authen password
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.authen_password = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.authen_password is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                            class CollectId(object):
                                                                """
                                                                collect id
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: id
                                                                
                                                                	id
                                                                	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.id = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.id is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                            class DecodeId(object):
                                                                """
                                                                decode id
                                                                
                                                                .. attribute:: format_name
                                                                
                                                                	format name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: id
                                                                
                                                                	id
                                                                	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.format_name = None
                                                                    self.id = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.format_name is not None:
                                                                        return True

                                                                    if self.id is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                            class SetTimer(object):
                                                                """
                                                                set timer
                                                                
                                                                .. attribute:: absolute_time
                                                                
                                                                	absolute time
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: duration
                                                                
                                                                	duration
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: timer_name
                                                                
                                                                	timer name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.absolute_time = None
                                                                    self.duration = None
                                                                    self.timer_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.absolute_time is not None:
                                                                        return True

                                                                    if self.duration is not None:
                                                                        return True

                                                                    if self.timer_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                            class StopTimer(object):
                                                                """
                                                                stop timer
                                                                
                                                                .. attribute:: timer_name
                                                                
                                                                	timer name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.timer_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.timer_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                            class AcctAaaList(object):
                                                                """
                                                                acct aaa list
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: secs
                                                                
                                                                	secs
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.secs = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.secs is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                            class QueryAncp(object):
                                                                """
                                                                query ancp
                                                                
                                                                .. attribute:: enable
                                                                
                                                                	enable
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.enable = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.enable is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                            class PrepaidCfg(object):
                                                                """
                                                                prepaid cfg
                                                                
                                                                .. attribute:: prepaid_config_profile_name
                                                                
                                                                	prepaid config profile name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.prepaid_config_profile_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.prepaid_config_profile_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                            class TimeoutIdle(object):
                                                                """
                                                                timeout idle
                                                                
                                                                .. attribute:: secs
                                                                
                                                                	secs
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.secs = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.secs is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                            class ProxyAaa(object):
                                                                """
                                                                proxy aaa
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                            class ActTemplate(object):
                                                                """
                                                                act template
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: template_name
                                                                
                                                                	template name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.flags = None
                                                                    self.template_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.template_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                            class DeactTemplate(object):
                                                                """
                                                                deact template
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: template_name
                                                                
                                                                	template name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.flags = None
                                                                    self.template_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.template_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                            class Qlimit(object):
                                                                """
                                                                qlimit
                                                                
                                                                .. attribute:: action_qlimit_info_array
                                                                
                                                                	action qlimit info array
                                                                	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_qlimit_info_array = YList()
                                                                    self.action_qlimit_info_array.parent = self
                                                                    self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                class ActionQlimitInfoArray(object):
                                                                    """
                                                                    action qlimit info array
                                                                    
                                                                    .. attribute:: atmclp_qlim
                                                                    
                                                                    	atmclp qlim
                                                                    	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                    
                                                                    .. attribute:: match_values
                                                                    
                                                                    	match values
                                                                    	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                    
                                                                    .. attribute:: qlim
                                                                    
                                                                    	qlim
                                                                    	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                    
                                                                    .. attribute:: qlimit_flags
                                                                    
                                                                    	qlimit flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.atmclp_qlim = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                        self.atmclp_qlim.parent = self
                                                                        self.match_values = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                        self.match_values.parent = self
                                                                        self.qlim = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                        self.qlim.parent = self
                                                                        self.qlimit_flags = None
                                                                        self.type = None


                                                                    class Qlim(object):
                                                                        """
                                                                        qlim
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                    class AtmclpQlim(object):
                                                                        """
                                                                        atmclp qlim
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                    class MatchValues(object):
                                                                        """
                                                                        match values
                                                                        
                                                                        .. attribute:: uint8_rng_array
                                                                        
                                                                        	uint8 rng array
                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.uint8_rng_array = YList()
                                                                            self.uint8_rng_array.parent = self
                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                        class Uint8_Rng_Array(object):
                                                                            """
                                                                            uint8 rng array
                                                                            
                                                                            .. attribute:: max
                                                                            
                                                                            	Upper limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: min
                                                                            
                                                                            	Lower limit of the range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.max = None
                                                                                self.min = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.max is not None:
                                                                                    return True

                                                                                if self.min is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.uint8_rng_array is not None:
                                                                                for child_ref in self.uint8_rng_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                            return True

                                                                        if self.match_values is not None and self.match_values._has_data():
                                                                            return True

                                                                        if self.qlim is not None and self.qlim._has_data():
                                                                            return True

                                                                        if self.qlimit_flags is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_qlimit_info_array is not None:
                                                                        for child_ref in self.action_qlimit_info_array:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                            class AccountingEventAaa(object):
                                                                """
                                                                accounting event aaa
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: action
                                                                
                                                                	action
                                                                	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.action = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.action is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                            class AuthorizeId(object):
                                                                """
                                                                authorize id
                                                                
                                                                .. attribute:: aaa_list_name
                                                                
                                                                	aaa list name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: format_name
                                                                
                                                                	format name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: id
                                                                
                                                                	id
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                .. attribute:: password
                                                                
                                                                	password
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.aaa_list_name = None
                                                                    self.format_name = None
                                                                    self.id = None
                                                                    self.password = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.aaa_list_name is not None:
                                                                        return True

                                                                    if self.format_name is not None:
                                                                        return True

                                                                    if self.id is not None:
                                                                        return True

                                                                    if self.password is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                            class AfmReact(object):
                                                                """
                                                                afm react
                                                                
                                                                .. attribute:: action_afmon_react_info
                                                                
                                                                	action afmon react info
                                                                	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_afmon_react_info = YList()
                                                                    self.action_afmon_react_info.parent = self
                                                                    self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                class ActionAfmonReactInfo(object):
                                                                    """
                                                                    action afmon react info
                                                                    
                                                                    .. attribute:: alm_grp_thresh
                                                                    
                                                                    	Num/percent in grp
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    	**units**\: percentage
                                                                    
                                                                    .. attribute:: alm_severity
                                                                    
                                                                    	Major\|Minor\|... alarm
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: alm_type
                                                                    
                                                                    	Discrete \| grouped alarm
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: clone_ifh
                                                                    
                                                                    	Clone interface handle
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: criterion
                                                                    
                                                                    	React Criterion
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: description
                                                                    
                                                                    	Describing the oper
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: notif_actns
                                                                    
                                                                    	Bitmap of actions on alert
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: oper_id
                                                                    
                                                                    	React Operation ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: trig_level_1
                                                                    
                                                                    	Trigger threshold 1/lower
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: trig_level_2
                                                                    
                                                                    	Trigger upper threshold for range
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: trig_num_intvls
                                                                    
                                                                    	Averaged over N intvls
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: trig_relop
                                                                    
                                                                    	Trigger LT\|LE\|GT\|GE\|Range
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: trig_type
                                                                    
                                                                    	Immediate or averaged thresh trigger
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.alm_grp_thresh = None
                                                                        self.alm_severity = None
                                                                        self.alm_type = None
                                                                        self.clone_ifh = None
                                                                        self.criterion = None
                                                                        self.description = None
                                                                        self.notif_actns = None
                                                                        self.oper_id = None
                                                                        self.trig_level_1 = None
                                                                        self.trig_level_2 = None
                                                                        self.trig_num_intvls = None
                                                                        self.trig_relop = None
                                                                        self.trig_type = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.alm_grp_thresh is not None:
                                                                            return True

                                                                        if self.alm_severity is not None:
                                                                            return True

                                                                        if self.alm_type is not None:
                                                                            return True

                                                                        if self.clone_ifh is not None:
                                                                            return True

                                                                        if self.criterion is not None:
                                                                            return True

                                                                        if self.description is not None:
                                                                            return True

                                                                        if self.notif_actns is not None:
                                                                            return True

                                                                        if self.oper_id is not None:
                                                                            return True

                                                                        if self.trig_level_1 is not None:
                                                                            return True

                                                                        if self.trig_level_2 is not None:
                                                                            return True

                                                                        if self.trig_num_intvls is not None:
                                                                            return True

                                                                        if self.trig_relop is not None:
                                                                            return True

                                                                        if self.trig_type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_afmon_react_info is not None:
                                                                        for child_ref in self.action_afmon_react_info:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                            class Httpr(object):
                                                                """
                                                                httpr
                                                                
                                                                .. attribute:: redirect_url
                                                                
                                                                	redirect url
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.redirect_url = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.redirect_url is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                            class Punt(object):
                                                                """
                                                                punt
                                                                
                                                                .. attribute:: app_id
                                                                
                                                                	application ID
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: local_id
                                                                
                                                                	local ID
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: sn_index
                                                                
                                                                	service node index
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: sn_name
                                                                
                                                                	service node name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: sn_type
                                                                
                                                                	service node ID type
                                                                	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                
                                                                .. attribute:: vsnode_type
                                                                
                                                                	vservice node type
                                                                	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.app_id = None
                                                                    self.local_id = None
                                                                    self.sn_index = None
                                                                    self.sn_name = None
                                                                    self.sn_type = None
                                                                    self.vsnode_type = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.app_id is not None:
                                                                        return True

                                                                    if self.local_id is not None:
                                                                        return True

                                                                    if self.sn_index is not None:
                                                                        return True

                                                                    if self.sn_name is not None:
                                                                        return True

                                                                    if self.sn_type is not None:
                                                                        return True

                                                                    if self.vsnode_type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                            class Copy(object):
                                                                """
                                                                copy
                                                                
                                                                .. attribute:: app_id
                                                                
                                                                	application ID
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: local_id
                                                                
                                                                	local ID
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: num_byte
                                                                
                                                                	number of bytes
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                	**units**\: byte
                                                                
                                                                .. attribute:: sn_index
                                                                
                                                                	service node index
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: sn_name
                                                                
                                                                	service node url
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: sn_type
                                                                
                                                                	service node ID type
                                                                	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                
                                                                .. attribute:: vsnode_type
                                                                
                                                                	vservice node type
                                                                	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.app_id = None
                                                                    self.local_id = None
                                                                    self.num_byte = None
                                                                    self.sn_index = None
                                                                    self.sn_name = None
                                                                    self.sn_type = None
                                                                    self.vsnode_type = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.app_id is not None:
                                                                        return True

                                                                    if self.local_id is not None:
                                                                        return True

                                                                    if self.num_byte is not None:
                                                                        return True

                                                                    if self.sn_index is not None:
                                                                        return True

                                                                    if self.sn_name is not None:
                                                                        return True

                                                                    if self.sn_type is not None:
                                                                        return True

                                                                    if self.vsnode_type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                            class Sfrag(object):
                                                                """
                                                                sfrag
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Service Fragment Name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                            class Redirect(object):
                                                                """
                                                                redirect
                                                                
                                                                .. attribute:: type
                                                                
                                                                	type
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                .. attribute:: value
                                                                
                                                                	value
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.type = None
                                                                    self.value = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.type is not None:
                                                                        return True

                                                                    if self.value is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                            class OutIntf(object):
                                                                """
                                                                out intf
                                                                
                                                                .. attribute:: out_ifname
                                                                
                                                                	output interface name
                                                                	**type**\:  str
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.out_ifname = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.out_ifname is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                            class ServFunc(object):
                                                                """
                                                                serv func
                                                                
                                                                .. attribute:: meta_name
                                                                
                                                                	metadata name
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: path_id
                                                                
                                                                	service path id
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: service_index
                                                                
                                                                	service path index
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                .. attribute:: vs_index
                                                                
                                                                	vservice index
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.meta_name = None
                                                                    self.path_id = None
                                                                    self.service_index = None
                                                                    self.vs_index = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.meta_name is not None:
                                                                        return True

                                                                    if self.path_id is not None:
                                                                        return True

                                                                    if self.service_index is not None:
                                                                        return True

                                                                    if self.vs_index is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                            class Police(object):
                                                                """
                                                                police
                                                                
                                                                .. attribute:: burst
                                                                
                                                                	burst
                                                                	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                
                                                                .. attribute:: cdvt
                                                                
                                                                	cdvt
                                                                	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                
                                                                .. attribute:: confclass_encode
                                                                
                                                                	confclass encode
                                                                	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                
                                                                .. attribute:: confclass_p
                                                                
                                                                	confclass p
                                                                	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                
                                                                .. attribute:: conform_actns
                                                                
                                                                	conform actns
                                                                	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                
                                                                .. attribute:: excdclass_encode
                                                                
                                                                	excdclass encode
                                                                	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                
                                                                .. attribute:: excdclass_p
                                                                
                                                                	excdclass p
                                                                	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                
                                                                .. attribute:: exceed_actns
                                                                
                                                                	exceed actns
                                                                	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: peak_burst
                                                                
                                                                	peak burst
                                                                	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                
                                                                .. attribute:: peak_rate
                                                                
                                                                	peak rate
                                                                	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                
                                                                .. attribute:: police_flags
                                                                
                                                                	police flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: rate
                                                                
                                                                	rate
                                                                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                
                                                                .. attribute:: sbuck_name
                                                                
                                                                	sbuck name
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: sbuck_type
                                                                
                                                                	sbuck type
                                                                	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                
                                                                .. attribute:: violate_actns
                                                                
                                                                	violate actns
                                                                	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.burst = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                    self.burst.parent = self
                                                                    self.cdvt = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                    self.cdvt.parent = self
                                                                    self.confclass_encode = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                    self.confclass_encode.parent = self
                                                                    self.confclass_p = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                    self.confclass_p.parent = self
                                                                    self.conform_actns = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                    self.conform_actns.parent = self
                                                                    self.excdclass_encode = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                    self.excdclass_encode.parent = self
                                                                    self.excdclass_p = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                    self.excdclass_p.parent = self
                                                                    self.exceed_actns = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                    self.exceed_actns.parent = self
                                                                    self.flags = None
                                                                    self.peak_burst = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                    self.peak_burst.parent = self
                                                                    self.peak_rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                    self.peak_rate.parent = self
                                                                    self.police_flags = None
                                                                    self.rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                    self.rate.parent = self
                                                                    self.sbuck_name = None
                                                                    self.sbuck_type = None
                                                                    self.violate_actns = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                    self.violate_actns.parent = self


                                                                class Rate(object):
                                                                    """
                                                                    rate
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                class Burst(object):
                                                                    """
                                                                    burst
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                class PeakRate(object):
                                                                    """
                                                                    peak rate
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                class PeakBurst(object):
                                                                    """
                                                                    peak burst
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                class Cdvt(object):
                                                                    """
                                                                    cdvt
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                class ConformActns(object):
                                                                    """
                                                                    conform actns
                                                                    
                                                                    .. attribute:: police_action_array
                                                                    
                                                                    	police action array
                                                                    	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.police_action_array = YList()
                                                                        self.police_action_array.parent = self
                                                                        self.police_action_array.name = 'police_action_array'


                                                                    class PoliceActionArray(object):
                                                                        """
                                                                        police action array
                                                                        
                                                                        .. attribute:: mark
                                                                        
                                                                        	mark
                                                                        	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                            self.mark.parent = self
                                                                            self.type = None


                                                                        class Mark(object):
                                                                            """
                                                                            mark
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark is not None and self.mark._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.police_action_array is not None:
                                                                            for child_ref in self.police_action_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                class ExceedActns(object):
                                                                    """
                                                                    exceed actns
                                                                    
                                                                    .. attribute:: police_action_array
                                                                    
                                                                    	police action array
                                                                    	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.police_action_array = YList()
                                                                        self.police_action_array.parent = self
                                                                        self.police_action_array.name = 'police_action_array'


                                                                    class PoliceActionArray(object):
                                                                        """
                                                                        police action array
                                                                        
                                                                        .. attribute:: mark
                                                                        
                                                                        	mark
                                                                        	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                            self.mark.parent = self
                                                                            self.type = None


                                                                        class Mark(object):
                                                                            """
                                                                            mark
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark is not None and self.mark._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.police_action_array is not None:
                                                                            for child_ref in self.police_action_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                class ViolateActns(object):
                                                                    """
                                                                    violate actns
                                                                    
                                                                    .. attribute:: police_action_array
                                                                    
                                                                    	police action array
                                                                    	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.police_action_array = YList()
                                                                        self.police_action_array.parent = self
                                                                        self.police_action_array.name = 'police_action_array'


                                                                    class PoliceActionArray(object):
                                                                        """
                                                                        police action array
                                                                        
                                                                        .. attribute:: mark
                                                                        
                                                                        	mark
                                                                        	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                            self.mark.parent = self
                                                                            self.type = None


                                                                        class Mark(object):
                                                                            """
                                                                            mark
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark is not None and self.mark._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.police_action_array is not None:
                                                                            for child_ref in self.police_action_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                class ConfclassEncode(object):
                                                                    """
                                                                    confclass encode
                                                                    
                                                                    .. attribute:: class_name
                                                                    
                                                                    	class name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: enc
                                                                    
                                                                    	enc
                                                                    	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                    
                                                                    .. attribute:: hd
                                                                    
                                                                    	hd
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..18446744073709551615
                                                                    
                                                                    .. attribute:: idx
                                                                    
                                                                    	idx
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: inline_cmap
                                                                    
                                                                    	inline cmap
                                                                    	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_name = None
                                                                        self.enc = None
                                                                        self.hd = None
                                                                        self.idx = None
                                                                        self.inline_cmap = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                        self.inline_cmap.parent = self


                                                                    class InlineCmap(object):
                                                                        """
                                                                        inline cmap
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Inline Class\-Map flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_count
                                                                        
                                                                        	Number of Match infos
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_infop
                                                                        
                                                                        	Pointer to the first Match info
                                                                        	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                        
                                                                        .. attribute:: mode
                                                                        
                                                                        	Inline Class\-Map Mode Match any/all
                                                                        	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_count = None
                                                                            self.match_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                            self.match_infop.parent = self
                                                                            self.mode = None


                                                                        class MatchInfop(object):
                                                                            """
                                                                            Pointer to the first Match info
                                                                            
                                                                            .. attribute:: class_match_info_st
                                                                            
                                                                            	class match info st
                                                                            	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_match_info_st = YList()
                                                                                self.class_match_info_st.parent = self
                                                                                self.class_match_info_st.name = 'class_match_info_st'


                                                                            class ClassMatchInfoSt(object):
                                                                                """
                                                                                class match info st
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_data
                                                                                
                                                                                	Match criteria
                                                                                	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                    self.match_data.parent = self


                                                                                class MatchData(object):
                                                                                    """
                                                                                    Match criteria
                                                                                    
                                                                                    .. attribute:: access_interface
                                                                                    
                                                                                    	Access interface
                                                                                    	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                    
                                                                                    .. attribute:: atm_clp
                                                                                    
                                                                                    	Match ATM CLP level
                                                                                    	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                    
                                                                                    .. attribute:: auth_domain
                                                                                    
                                                                                    	Authenticated domain name
                                                                                    	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                    
                                                                                    .. attribute:: auth_domain_regex
                                                                                    
                                                                                    	Authenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: auth_username
                                                                                    
                                                                                    	Authenticated User Name
                                                                                    	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                    
                                                                                    .. attribute:: auth_username_regex
                                                                                    
                                                                                    	Authenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: authen_status
                                                                                    
                                                                                    	Authentication Status
                                                                                    	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                    
                                                                                    .. attribute:: avail_id
                                                                                    
                                                                                    	Available Identifiers
                                                                                    	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                    
                                                                                    .. attribute:: circuit_id
                                                                                    
                                                                                    	Circuit ID
                                                                                    	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                    
                                                                                    .. attribute:: circuit_id_regex
                                                                                    
                                                                                    	Circuit ID RegEx
                                                                                    	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                    
                                                                                    .. attribute:: cos
                                                                                    
                                                                                    	Match CoS array
                                                                                    	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                    
                                                                                    .. attribute:: cos_inr
                                                                                    
                                                                                    	Match inner header CoS
                                                                                    	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                    
                                                                                    .. attribute:: dei
                                                                                    
                                                                                    	Match DEI Bit
                                                                                    	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                    
                                                                                    .. attribute:: dei_inr
                                                                                    
                                                                                    	Match inner DEI Bit
                                                                                    	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id
                                                                                    
                                                                                    	Dhcp Client ID
                                                                                    	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id_regex
                                                                                    
                                                                                    	Dhcp Client ID RegEx
                                                                                    	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                    
                                                                                    .. attribute:: discard_class
                                                                                    
                                                                                    	Match Discard Class array
                                                                                    	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                    
                                                                                    .. attribute:: dnis
                                                                                    
                                                                                    	DNIS
                                                                                    	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                    
                                                                                    .. attribute:: dnis_regex
                                                                                    
                                                                                    	DNIS Regular Expression
                                                                                    	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                    
                                                                                    .. attribute:: domain
                                                                                    
                                                                                    	Domain Name
                                                                                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                    
                                                                                    .. attribute:: domain_regex
                                                                                    
                                                                                    	Domain Regular Expression
                                                                                    	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                    
                                                                                    .. attribute:: dscp
                                                                                    
                                                                                    	Match DSCP range array
                                                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv4
                                                                                    
                                                                                    	Destination Address IPV4
                                                                                    	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv6
                                                                                    
                                                                                    	Destination Address IPV6
                                                                                    	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: dst_mac
                                                                                    
                                                                                    	Match Destination MAC address
                                                                                    	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                    
                                                                                    .. attribute:: dst_port
                                                                                    
                                                                                    	Destination port
                                                                                    	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                    
                                                                                    .. attribute:: ether_service_acl
                                                                                    
                                                                                    	Ethernet\-Services Access\-list
                                                                                    	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                    
                                                                                    .. attribute:: ethertype
                                                                                    
                                                                                    	Ethernet type
                                                                                    	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                    
                                                                                    .. attribute:: flow_key_data
                                                                                    
                                                                                    	Flow key structure
                                                                                    	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                    
                                                                                    .. attribute:: flow_tag
                                                                                    
                                                                                    	Match flow\-tag array
                                                                                    	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                    
                                                                                    .. attribute:: fr_de
                                                                                    
                                                                                    	Match FR DE value
                                                                                    	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                    
                                                                                    .. attribute:: fr_dlci
                                                                                    
                                                                                    	Match FR DLCI range array
                                                                                    	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                    
                                                                                    .. attribute:: fragment_type
                                                                                    
                                                                                    	Fragment type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: icmp_v4
                                                                                    
                                                                                    	Match ICMPV4 Protocol
                                                                                    	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                    
                                                                                    .. attribute:: icmp_v6
                                                                                    
                                                                                    	Match ICMPV6 Protocol array
                                                                                    	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                    
                                                                                    .. attribute:: icmpv4_code
                                                                                    
                                                                                    	Match ipv4 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                    
                                                                                    .. attribute:: icmpv4_type
                                                                                    
                                                                                    	Match ipv4 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                    
                                                                                    .. attribute:: icmpv6_code
                                                                                    
                                                                                    	Match ipv6 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                    
                                                                                    .. attribute:: icmpv6_type
                                                                                    
                                                                                    	Match ipv6 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                    
                                                                                    .. attribute:: input_interface
                                                                                    
                                                                                    	Input interface
                                                                                    	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                    
                                                                                    .. attribute:: input_intfhdl
                                                                                    
                                                                                    	Input interface handle
                                                                                    	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                    
                                                                                    .. attribute:: ipv4_acl
                                                                                    
                                                                                    	IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                    
                                                                                    .. attribute:: ipv4_dscp
                                                                                    
                                                                                    	IPv4 DSCP
                                                                                    	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv4_packet_len
                                                                                    
                                                                                    	IPv4 packet length array
                                                                                    	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv4_prec
                                                                                    
                                                                                    	IPv4 Precedence
                                                                                    	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                    
                                                                                    .. attribute:: ipv6_acl
                                                                                    
                                                                                    	IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                    
                                                                                    .. attribute:: ipv6_dscp
                                                                                    
                                                                                    	IPv6 DSCP
                                                                                    	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv6_packet_len
                                                                                    
                                                                                    	IPv6 packet length array
                                                                                    	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv6_prec
                                                                                    
                                                                                    	IPv6 Precedence
                                                                                    	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                    
                                                                                    .. attribute:: media_type
                                                                                    
                                                                                    	Media Type
                                                                                    	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                    
                                                                                    .. attribute:: mlp_negotiated
                                                                                    
                                                                                    	MLP Negotiated
                                                                                    	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv4_acl
                                                                                    
                                                                                    	MPLS Disposition IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv6_acl
                                                                                    
                                                                                    	MPLS Disposition IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_exp
                                                                                    
                                                                                    	Match MPLS experimental topmost array
                                                                                    	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                    
                                                                                    .. attribute:: mpls_exp_imp
                                                                                    
                                                                                    	Match MPLS experimental imposition array
                                                                                    	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                    
                                                                                    .. attribute:: mpls_top_eos
                                                                                    
                                                                                    	MPLS Topmost EOS
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: mpls_top_label
                                                                                    
                                                                                    	MPLS Topmost LABEL
                                                                                    	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                    
                                                                                    .. attribute:: nas_port
                                                                                    
                                                                                    	NAS Port
                                                                                    	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                    
                                                                                    .. attribute:: packet_len
                                                                                    
                                                                                    	Match packet length array
                                                                                    	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                    
                                                                                    .. attribute:: prec
                                                                                    
                                                                                    	Match Precedence array
                                                                                    	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                    
                                                                                    .. attribute:: proto
                                                                                    
                                                                                    	Match Protocol array
                                                                                    	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                    
                                                                                    .. attribute:: qos_group
                                                                                    
                                                                                    	Match QoS group array
                                                                                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                    
                                                                                    .. attribute:: remote_id
                                                                                    
                                                                                    	Remote ID
                                                                                    	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                    
                                                                                    .. attribute:: remote_id_regex
                                                                                    
                                                                                    	Remote ID RegEx
                                                                                    	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                    
                                                                                    .. attribute:: service_name
                                                                                    
                                                                                    	Service Name
                                                                                    	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                    
                                                                                    .. attribute:: service_name_regex
                                                                                    
                                                                                    	Service Name Regular Exp
                                                                                    	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv4
                                                                                    
                                                                                    	Source Address IPV4
                                                                                    	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv6
                                                                                    
                                                                                    	Source Address IPV6
                                                                                    	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: src_addr_mac
                                                                                    
                                                                                    	Source Address MAC
                                                                                    	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                    
                                                                                    .. attribute:: src_mac
                                                                                    
                                                                                    	Match Source MAC address
                                                                                    	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                    
                                                                                    .. attribute:: src_port
                                                                                    
                                                                                    	Source port
                                                                                    	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                    
                                                                                    .. attribute:: subs_protocol
                                                                                    
                                                                                    	Protocol
                                                                                    	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                    
                                                                                    .. attribute:: tcp_flag
                                                                                    
                                                                                    	Match tcp flag value
                                                                                    	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                    
                                                                                    .. attribute:: timer
                                                                                    
                                                                                    	Timer
                                                                                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                    
                                                                                    .. attribute:: timer_regexp
                                                                                    
                                                                                    	Timer Regular Expression
                                                                                    	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                    
                                                                                    .. attribute:: traffic_class
                                                                                    
                                                                                    	Match Traffic class array
                                                                                    	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                    
                                                                                    .. attribute:: tunnel_name
                                                                                    
                                                                                    	Tunnel Name
                                                                                    	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                    
                                                                                    .. attribute:: tunnel_name_regex
                                                                                    
                                                                                    	Tunnel Name Regular Expression
                                                                                    	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                    
                                                                                    .. attribute:: unauth_domain
                                                                                    
                                                                                    	Unauthenticated Domain Name
                                                                                    	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                    
                                                                                    .. attribute:: unauth_domain_regex
                                                                                    
                                                                                    	Unauthenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: unauth_username
                                                                                    
                                                                                    	Unauthenticated User Name
                                                                                    	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                    
                                                                                    .. attribute:: unauth_username_regex
                                                                                    
                                                                                    	Unauthenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: user_name
                                                                                    
                                                                                    	User Name
                                                                                    	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                    
                                                                                    .. attribute:: user_name_regex
                                                                                    
                                                                                    	User Name Regular Expression
                                                                                    	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                    
                                                                                    .. attribute:: vendor_id
                                                                                    
                                                                                    	Vendor ID
                                                                                    	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                    
                                                                                    .. attribute:: vendor_id_regex
                                                                                    
                                                                                    	Vendor ID RegEx
                                                                                    	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                    
                                                                                    .. attribute:: vlan
                                                                                    
                                                                                    	Match VLAN array
                                                                                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                    
                                                                                    .. attribute:: vlan_inr
                                                                                    
                                                                                    	Match inner header VLAN range array
                                                                                    	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.access_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                        self.access_interface.parent = self
                                                                                        self.atm_clp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                        self.atm_clp.parent = self
                                                                                        self.auth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                        self.auth_domain.parent = self
                                                                                        self.auth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                        self.auth_domain_regex.parent = self
                                                                                        self.auth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                        self.auth_username.parent = self
                                                                                        self.auth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                        self.auth_username_regex.parent = self
                                                                                        self.authen_status = None
                                                                                        self.avail_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                        self.avail_id.parent = self
                                                                                        self.circuit_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                        self.circuit_id.parent = self
                                                                                        self.circuit_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                        self.circuit_id_regex.parent = self
                                                                                        self.cos = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                        self.cos.parent = self
                                                                                        self.cos_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                        self.cos_inr.parent = self
                                                                                        self.dei = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                        self.dei.parent = self
                                                                                        self.dei_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                        self.dei_inr.parent = self
                                                                                        self.dhcp_client_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                        self.dhcp_client_id.parent = self
                                                                                        self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                        self.dhcp_client_id_regex.parent = self
                                                                                        self.discard_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                        self.discard_class.parent = self
                                                                                        self.dnis = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                        self.dnis.parent = self
                                                                                        self.dnis_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                        self.dnis_regex.parent = self
                                                                                        self.domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                        self.domain.parent = self
                                                                                        self.domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                        self.domain_regex.parent = self
                                                                                        self.dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                        self.dscp.parent = self
                                                                                        self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                        self.dst_addr_ipv4.parent = self
                                                                                        self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                        self.dst_addr_ipv6.parent = self
                                                                                        self.dst_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                        self.dst_mac.parent = self
                                                                                        self.dst_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                        self.dst_port.parent = self
                                                                                        self.ether_service_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                        self.ether_service_acl.parent = self
                                                                                        self.ethertype = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                        self.ethertype.parent = self
                                                                                        self.flow_key_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                        self.flow_key_data.parent = self
                                                                                        self.flow_tag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                        self.flow_tag.parent = self
                                                                                        self.fr_de = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                        self.fr_de.parent = self
                                                                                        self.fr_dlci = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                        self.fr_dlci.parent = self
                                                                                        self.fragment_type = None
                                                                                        self.icmp_v4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                        self.icmp_v4.parent = self
                                                                                        self.icmp_v6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                        self.icmp_v6.parent = self
                                                                                        self.icmpv4_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                        self.icmpv4_code.parent = self
                                                                                        self.icmpv4_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                        self.icmpv4_type.parent = self
                                                                                        self.icmpv6_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                        self.icmpv6_code.parent = self
                                                                                        self.icmpv6_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                        self.icmpv6_type.parent = self
                                                                                        self.input_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                        self.input_interface.parent = self
                                                                                        self.input_intfhdl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                        self.input_intfhdl.parent = self
                                                                                        self.ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                        self.ipv4_acl.parent = self
                                                                                        self.ipv4_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                        self.ipv4_dscp.parent = self
                                                                                        self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                        self.ipv4_packet_len.parent = self
                                                                                        self.ipv4_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                        self.ipv4_prec.parent = self
                                                                                        self.ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                        self.ipv6_acl.parent = self
                                                                                        self.ipv6_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                        self.ipv6_dscp.parent = self
                                                                                        self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                        self.ipv6_packet_len.parent = self
                                                                                        self.ipv6_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                        self.ipv6_prec.parent = self
                                                                                        self.media_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                        self.media_type.parent = self
                                                                                        self.mlp_negotiated = None
                                                                                        self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                        self.mpls_disp_ipv4_acl.parent = self
                                                                                        self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                        self.mpls_disp_ipv6_acl.parent = self
                                                                                        self.mpls_exp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                        self.mpls_exp.parent = self
                                                                                        self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                        self.mpls_exp_imp.parent = self
                                                                                        self.mpls_top_eos = None
                                                                                        self.mpls_top_label = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                        self.mpls_top_label.parent = self
                                                                                        self.nas_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                        self.nas_port.parent = self
                                                                                        self.packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                        self.packet_len.parent = self
                                                                                        self.prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                        self.prec.parent = self
                                                                                        self.proto = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                        self.proto.parent = self
                                                                                        self.qos_group = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                        self.qos_group.parent = self
                                                                                        self.remote_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                        self.remote_id.parent = self
                                                                                        self.remote_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                        self.remote_id_regex.parent = self
                                                                                        self.service_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                        self.service_name.parent = self
                                                                                        self.service_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                        self.service_name_regex.parent = self
                                                                                        self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                        self.src_addr_ipv4.parent = self
                                                                                        self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                        self.src_addr_ipv6.parent = self
                                                                                        self.src_addr_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                        self.src_addr_mac.parent = self
                                                                                        self.src_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                        self.src_mac.parent = self
                                                                                        self.src_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                        self.src_port.parent = self
                                                                                        self.subs_protocol = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                        self.subs_protocol.parent = self
                                                                                        self.tcp_flag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                        self.tcp_flag.parent = self
                                                                                        self.timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                        self.timer.parent = self
                                                                                        self.timer_regexp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                        self.timer_regexp.parent = self
                                                                                        self.traffic_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                        self.traffic_class.parent = self
                                                                                        self.tunnel_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                        self.tunnel_name.parent = self
                                                                                        self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                        self.tunnel_name_regex.parent = self
                                                                                        self.type = None
                                                                                        self.unauth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                        self.unauth_domain.parent = self
                                                                                        self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                        self.unauth_domain_regex.parent = self
                                                                                        self.unauth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                        self.unauth_username.parent = self
                                                                                        self.unauth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                        self.unauth_username_regex.parent = self
                                                                                        self.user_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                        self.user_name.parent = self
                                                                                        self.user_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                        self.user_name_regex.parent = self
                                                                                        self.vendor_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                        self.vendor_id.parent = self
                                                                                        self.vendor_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                        self.vendor_id_regex.parent = self
                                                                                        self.vlan = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                        self.vlan.parent = self
                                                                                        self.vlan_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                        self.vlan_inr.parent = self


                                                                                    class Ipv4Dscp(object):
                                                                                        """
                                                                                        IPv4 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                    class Ipv6Dscp(object):
                                                                                        """
                                                                                        IPv6 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                    class Dscp(object):
                                                                                        """
                                                                                        Match DSCP range array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                    class Ipv4Prec(object):
                                                                                        """
                                                                                        IPv4 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                    class Ipv6Prec(object):
                                                                                        """
                                                                                        IPv6 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                    class Prec(object):
                                                                                        """
                                                                                        Match Precedence array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                    class DiscardClass(object):
                                                                                        """
                                                                                        Match Discard Class array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                    class QosGroup(object):
                                                                                        """
                                                                                        Match QoS group array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                    class TrafficClass(object):
                                                                                        """
                                                                                        Match Traffic class array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                    class Proto(object):
                                                                                        """
                                                                                        Match Protocol array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                    class IcmpV4(object):
                                                                                        """
                                                                                        Match ICMPV4 Protocol
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                    class IcmpV6(object):
                                                                                        """
                                                                                        Match ICMPV6 Protocol array
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                    class Ipv4PacketLen(object):
                                                                                        """
                                                                                        IPv4 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                    class Ipv6PacketLen(object):
                                                                                        """
                                                                                        IPv6 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                    class PacketLen(object):
                                                                                        """
                                                                                        Match packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                    class FlowTag(object):
                                                                                        """
                                                                                        Match flow\-tag array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                    class TcpFlag(object):
                                                                                        """
                                                                                        Match tcp flag value
                                                                                        
                                                                                        .. attribute:: match_any
                                                                                        
                                                                                        	Match any TCP flag bit
                                                                                        	**type**\:  bool
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	Value of TCP flag
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.match_any = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.match_any is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                    class Icmpv4Type(object):
                                                                                        """
                                                                                        Match ipv4 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                    class Icmpv4Code(object):
                                                                                        """
                                                                                        Match ipv4 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                    class Icmpv6Type(object):
                                                                                        """
                                                                                        Match ipv6 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                    class Icmpv6Code(object):
                                                                                        """
                                                                                        Match ipv6 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                    class MplsExp(object):
                                                                                        """
                                                                                        Match MPLS experimental topmost array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                    class MplsExpImp(object):
                                                                                        """
                                                                                        Match MPLS experimental imposition array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                    class MplsDispIpv4Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                    class MplsDispIpv6Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                    class MplsTopLabel(object):
                                                                                        """
                                                                                        MPLS Topmost LABEL
                                                                                        
                                                                                        .. attribute:: uint32_rng_array
                                                                                        
                                                                                        	uint32 rng array
                                                                                        	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint32_rng_array = YList()
                                                                                            self.uint32_rng_array.parent = self
                                                                                            self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                        class Uint32_Rng_Array(object):
                                                                                            """
                                                                                            uint32 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint32_rng_array is not None:
                                                                                                for child_ref in self.uint32_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                    class Cos(object):
                                                                                        """
                                                                                        Match CoS array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                    class CosInr(object):
                                                                                        """
                                                                                        Match inner header CoS
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                    class Dei(object):
                                                                                        """
                                                                                        Match DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                    class DeiInr(object):
                                                                                        """
                                                                                        Match inner DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                    class Vlan(object):
                                                                                        """
                                                                                        Match VLAN array
                                                                                        
                                                                                        .. attribute:: vlan_id_array
                                                                                        
                                                                                        	vlan id array
                                                                                        	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.vlan_id_array = YList()
                                                                                            self.vlan_id_array.parent = self
                                                                                            self.vlan_id_array.name = 'vlan_id_array'


                                                                                        class VlanIdArray(object):
                                                                                            """
                                                                                            vlan id array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	VLAN mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.vlan_id_array is not None:
                                                                                                for child_ref in self.vlan_id_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                    class VlanInr(object):
                                                                                        """
                                                                                        Match inner header VLAN range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                    class FrDlci(object):
                                                                                        """
                                                                                        Match FR DLCI range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                    class SrcMac(object):
                                                                                        """
                                                                                        Match Source MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                    class DstMac(object):
                                                                                        """
                                                                                        Match Destination MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                    class AtmClp(object):
                                                                                        """
                                                                                        Match ATM CLP level
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                    class FrDe(object):
                                                                                        """
                                                                                        Match FR DE value
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                    class Ipv4Acl(object):
                                                                                        """
                                                                                        IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                    class Ipv6Acl(object):
                                                                                        """
                                                                                        IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                    class EtherServiceAcl(object):
                                                                                        """
                                                                                        Ethernet\-Services Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                    class AvailId(object):
                                                                                        """
                                                                                        Available Identifiers
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                    class MediaType(object):
                                                                                        """
                                                                                        Media Type
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                    class SubsProtocol(object):
                                                                                        """
                                                                                        Protocol
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                    class Dnis(object):
                                                                                        """
                                                                                        DNIS
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                    class DnisRegex(object):
                                                                                        """
                                                                                        DNIS Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                    class Domain(object):
                                                                                        """
                                                                                        Domain Name
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                    class DomainRegex(object):
                                                                                        """
                                                                                        Domain Regular Expression
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                    class NasPort(object):
                                                                                        """
                                                                                        NAS Port
                                                                                        
                                                                                        .. attribute:: nas_port_array
                                                                                        
                                                                                        	nas port array
                                                                                        	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.nas_port_array = YList()
                                                                                            self.nas_port_array.parent = self
                                                                                            self.nas_port_array.name = 'nas_port_array'


                                                                                        class NasPortArray(object):
                                                                                            """
                                                                                            nas port array
                                                                                            
                                                                                            .. attribute:: operator
                                                                                            
                                                                                            	operator
                                                                                            	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                            
                                                                                            .. attribute:: sub_id
                                                                                            
                                                                                            	sub id
                                                                                            	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	value
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.operator = None
                                                                                                self.sub_id = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.operator is not None:
                                                                                                    return True

                                                                                                if self.sub_id is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.nas_port_array is not None:
                                                                                                for child_ref in self.nas_port_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                    class ServiceName(object):
                                                                                        """
                                                                                        Service Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                    class ServiceNameRegex(object):
                                                                                        """
                                                                                        Service Name Regular Exp
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                    class SrcAddrIpv4(object):
                                                                                        """
                                                                                        Source Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                    class DstAddrIpv4(object):
                                                                                        """
                                                                                        Destination Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                    class SrcAddrIpv6(object):
                                                                                        """
                                                                                        Source Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                    class DstAddrIpv6(object):
                                                                                        """
                                                                                        Destination Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                    class SrcAddrMac(object):
                                                                                        """
                                                                                        Source Address MAC
                                                                                        
                                                                                        .. attribute:: mac_addr_array
                                                                                        
                                                                                        	mac addr array
                                                                                        	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr_array = YList()
                                                                                            self.mac_addr_array.parent = self
                                                                                            self.mac_addr_array.name = 'mac_addr_array'


                                                                                        class MacAddrArray(object):
                                                                                            """
                                                                                            mac addr array
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr_array is not None:
                                                                                                for child_ref in self.mac_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                    class Timer(object):
                                                                                        """
                                                                                        Timer
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                    class TimerRegexp(object):
                                                                                        """
                                                                                        Timer Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                    class TunnelName(object):
                                                                                        """
                                                                                        Tunnel Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                    class TunnelNameRegex(object):
                                                                                        """
                                                                                        Tunnel Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                    class UserName(object):
                                                                                        """
                                                                                        User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                    class UserNameRegex(object):
                                                                                        """
                                                                                        User Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                    class AuthUsername(object):
                                                                                        """
                                                                                        Authenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                    class AuthUsernameRegex(object):
                                                                                        """
                                                                                        Authenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                    class UnauthUsername(object):
                                                                                        """
                                                                                        Unauthenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                    class UnauthUsernameRegex(object):
                                                                                        """
                                                                                        Unauthenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                    class AuthDomain(object):
                                                                                        """
                                                                                        Authenticated domain name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                    class AuthDomainRegex(object):
                                                                                        """
                                                                                        Authenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                    class UnauthDomain(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                    class UnauthDomainRegex(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                    class VendorId(object):
                                                                                        """
                                                                                        Vendor ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                    class VendorIdRegex(object):
                                                                                        """
                                                                                        Vendor ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                    class AccessInterface(object):
                                                                                        """
                                                                                        Access interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                    class InputInterface(object):
                                                                                        """
                                                                                        Input interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                    class InputIntfhdl(object):
                                                                                        """
                                                                                        Input interface handle
                                                                                        
                                                                                        .. attribute:: uint64_array
                                                                                        
                                                                                        	uint64 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..18446744073709551615
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint64_array = YLeafList()
                                                                                            self.uint64_array.parent = self
                                                                                            self.uint64_array.name = 'uint64_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint64_array is not None:
                                                                                                for child in self.uint64_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                    class Ethertype(object):
                                                                                        """
                                                                                        Ethernet type
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                    class FlowKeyData(object):
                                                                                        """
                                                                                        Flow key structure
                                                                                        
                                                                                        .. attribute:: flow_keys
                                                                                        
                                                                                        	flow keys
                                                                                        	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                        
                                                                                        .. attribute:: idle_timeout
                                                                                        
                                                                                        	Idle timeout of flows (in seconds)
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        	**units**\: second
                                                                                        
                                                                                        .. attribute:: max_count
                                                                                        
                                                                                        	Maximum count of flows
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flow_keys = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                            self.flow_keys.parent = self
                                                                                            self.idle_timeout = None
                                                                                            self.max_count = None


                                                                                        class FlowKeys(object):
                                                                                            """
                                                                                            flow keys
                                                                                            
                                                                                            .. attribute:: keys
                                                                                            
                                                                                            	keys
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                            
                                                                                            .. attribute:: num
                                                                                            
                                                                                            	num
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.keys = None
                                                                                                self.num = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.keys is not None:
                                                                                                    return True

                                                                                                if self.num is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                return True

                                                                                            if self.idle_timeout is not None:
                                                                                                return True

                                                                                            if self.max_count is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                    class DhcpClientId(object):
                                                                                        """
                                                                                        Dhcp Client ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                    class DhcpClientIdRegex(object):
                                                                                        """
                                                                                        Dhcp Client ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                    class CircuitId(object):
                                                                                        """
                                                                                        Circuit ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                    class CircuitIdRegex(object):
                                                                                        """
                                                                                        Circuit ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                    class RemoteId(object):
                                                                                        """
                                                                                        Remote ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                    class RemoteIdRegex(object):
                                                                                        """
                                                                                        Remote ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                    class SrcPort(object):
                                                                                        """
                                                                                        Source port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                    class DstPort(object):
                                                                                        """
                                                                                        Destination port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.access_interface is not None and self.access_interface._has_data():
                                                                                            return True

                                                                                        if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                            return True

                                                                                        if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                            return True

                                                                                        if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.auth_username is not None and self.auth_username._has_data():
                                                                                            return True

                                                                                        if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.authen_status is not None:
                                                                                            return True

                                                                                        if self.avail_id is not None and self.avail_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                            return True

                                                                                        if self.cos is not None and self.cos._has_data():
                                                                                            return True

                                                                                        if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                            return True

                                                                                        if self.dei is not None and self.dei._has_data():
                                                                                            return True

                                                                                        if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                            return True

                                                                                        if self.discard_class is not None and self.discard_class._has_data():
                                                                                            return True

                                                                                        if self.dnis is not None and self.dnis._has_data():
                                                                                            return True

                                                                                        if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                            return True

                                                                                        if self.domain is not None and self.domain._has_data():
                                                                                            return True

                                                                                        if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                            return True

                                                                                        if self.dscp is not None and self.dscp._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                            return True

                                                                                        if self.dst_port is not None and self.dst_port._has_data():
                                                                                            return True

                                                                                        if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                            return True

                                                                                        if self.ethertype is not None and self.ethertype._has_data():
                                                                                            return True

                                                                                        if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                            return True

                                                                                        if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                            return True

                                                                                        if self.fr_de is not None and self.fr_de._has_data():
                                                                                            return True

                                                                                        if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                            return True

                                                                                        if self.fragment_type is not None:
                                                                                            return True

                                                                                        if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                            return True

                                                                                        if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                            return True

                                                                                        if self.input_interface is not None and self.input_interface._has_data():
                                                                                            return True

                                                                                        if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                            return True

                                                                                        if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                            return True

                                                                                        if self.media_type is not None and self.media_type._has_data():
                                                                                            return True

                                                                                        if self.mlp_negotiated is not None:
                                                                                            return True

                                                                                        if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                            return True

                                                                                        if self.mpls_top_eos is not None:
                                                                                            return True

                                                                                        if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                            return True

                                                                                        if self.nas_port is not None and self.nas_port._has_data():
                                                                                            return True

                                                                                        if self.packet_len is not None and self.packet_len._has_data():
                                                                                            return True

                                                                                        if self.prec is not None and self.prec._has_data():
                                                                                            return True

                                                                                        if self.proto is not None and self.proto._has_data():
                                                                                            return True

                                                                                        if self.qos_group is not None and self.qos_group._has_data():
                                                                                            return True

                                                                                        if self.remote_id is not None and self.remote_id._has_data():
                                                                                            return True

                                                                                        if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                            return True

                                                                                        if self.service_name is not None and self.service_name._has_data():
                                                                                            return True

                                                                                        if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                            return True

                                                                                        if self.src_mac is not None and self.src_mac._has_data():
                                                                                            return True

                                                                                        if self.src_port is not None and self.src_port._has_data():
                                                                                            return True

                                                                                        if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                            return True

                                                                                        if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                            return True

                                                                                        if self.timer is not None and self.timer._has_data():
                                                                                            return True

                                                                                        if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                            return True

                                                                                        if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                            return True

                                                                                        if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                            return True

                                                                                        if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.user_name is not None and self.user_name._has_data():
                                                                                            return True

                                                                                        if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                            return True

                                                                                        if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                            return True

                                                                                        if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                            return True

                                                                                        if self.vlan is not None and self.vlan._has_data():
                                                                                            return True

                                                                                        if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_data is not None and self.match_data._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_match_info_st is not None:
                                                                                    for child_ref in self.class_match_info_st:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_count is not None:
                                                                                return True

                                                                            if self.match_infop is not None and self.match_infop._has_data():
                                                                                return True

                                                                            if self.mode is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_name is not None:
                                                                            return True

                                                                        if self.enc is not None:
                                                                            return True

                                                                        if self.hd is not None:
                                                                            return True

                                                                        if self.idx is not None:
                                                                            return True

                                                                        if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                class ConfclassP(object):
                                                                    """
                                                                    confclass p
                                                                    
                                                                    .. attribute:: class_map_bg
                                                                    
                                                                    	class map bg
                                                                    	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_map_bg = YList()
                                                                        self.class_map_bg.parent = self
                                                                        self.class_map_bg.name = 'class_map_bg'


                                                                    class ClassMapBg(object):
                                                                        """
                                                                        class map bg
                                                                        
                                                                        .. attribute:: chk_sum
                                                                        
                                                                        	MD5 checksum of the encoded class\-map bag
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..16
                                                                        
                                                                        .. attribute:: description
                                                                        
                                                                        	description
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Class\-Map Internal
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: magic
                                                                        
                                                                        	Magic number on top of class\-map bag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_count
                                                                        
                                                                        	Number of Match infos
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_infop
                                                                        
                                                                        	Pointer to the first Match info
                                                                        	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                        
                                                                        .. attribute:: mode
                                                                        
                                                                        	Class\-Map Mode Match any/Match all
                                                                        	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Name of the class\-map
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	Class\-Map Type QoS/PBR/Netflow/..
                                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.chk_sum = None
                                                                            self.description = None
                                                                            self.flags = None
                                                                            self.magic = None
                                                                            self.match_count = None
                                                                            self.match_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                            self.match_infop.parent = self
                                                                            self.mode = None
                                                                            self.name = None
                                                                            self.type = None


                                                                        class MatchInfop(object):
                                                                            """
                                                                            Pointer to the first Match info
                                                                            
                                                                            .. attribute:: class_match_info_st
                                                                            
                                                                            	class match info st
                                                                            	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_match_info_st = YList()
                                                                                self.class_match_info_st.parent = self
                                                                                self.class_match_info_st.name = 'class_match_info_st'


                                                                            class ClassMatchInfoSt(object):
                                                                                """
                                                                                class match info st
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_data
                                                                                
                                                                                	Match criteria
                                                                                	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                    self.match_data.parent = self


                                                                                class MatchData(object):
                                                                                    """
                                                                                    Match criteria
                                                                                    
                                                                                    .. attribute:: access_interface
                                                                                    
                                                                                    	Access interface
                                                                                    	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                    
                                                                                    .. attribute:: atm_clp
                                                                                    
                                                                                    	Match ATM CLP level
                                                                                    	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                    
                                                                                    .. attribute:: auth_domain
                                                                                    
                                                                                    	Authenticated domain name
                                                                                    	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                    
                                                                                    .. attribute:: auth_domain_regex
                                                                                    
                                                                                    	Authenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: auth_username
                                                                                    
                                                                                    	Authenticated User Name
                                                                                    	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                    
                                                                                    .. attribute:: auth_username_regex
                                                                                    
                                                                                    	Authenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: authen_status
                                                                                    
                                                                                    	Authentication Status
                                                                                    	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                    
                                                                                    .. attribute:: avail_id
                                                                                    
                                                                                    	Available Identifiers
                                                                                    	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                    
                                                                                    .. attribute:: circuit_id
                                                                                    
                                                                                    	Circuit ID
                                                                                    	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                    
                                                                                    .. attribute:: circuit_id_regex
                                                                                    
                                                                                    	Circuit ID RegEx
                                                                                    	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                    
                                                                                    .. attribute:: cos
                                                                                    
                                                                                    	Match CoS array
                                                                                    	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                    
                                                                                    .. attribute:: cos_inr
                                                                                    
                                                                                    	Match inner header CoS
                                                                                    	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                    
                                                                                    .. attribute:: dei
                                                                                    
                                                                                    	Match DEI Bit
                                                                                    	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                    
                                                                                    .. attribute:: dei_inr
                                                                                    
                                                                                    	Match inner DEI Bit
                                                                                    	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id
                                                                                    
                                                                                    	Dhcp Client ID
                                                                                    	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id_regex
                                                                                    
                                                                                    	Dhcp Client ID RegEx
                                                                                    	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                    
                                                                                    .. attribute:: discard_class
                                                                                    
                                                                                    	Match Discard Class array
                                                                                    	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                    
                                                                                    .. attribute:: dnis
                                                                                    
                                                                                    	DNIS
                                                                                    	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                    
                                                                                    .. attribute:: dnis_regex
                                                                                    
                                                                                    	DNIS Regular Expression
                                                                                    	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                    
                                                                                    .. attribute:: domain
                                                                                    
                                                                                    	Domain Name
                                                                                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                    
                                                                                    .. attribute:: domain_regex
                                                                                    
                                                                                    	Domain Regular Expression
                                                                                    	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                    
                                                                                    .. attribute:: dscp
                                                                                    
                                                                                    	Match DSCP range array
                                                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv4
                                                                                    
                                                                                    	Destination Address IPV4
                                                                                    	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv6
                                                                                    
                                                                                    	Destination Address IPV6
                                                                                    	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: dst_mac
                                                                                    
                                                                                    	Match Destination MAC address
                                                                                    	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                    
                                                                                    .. attribute:: dst_port
                                                                                    
                                                                                    	Destination port
                                                                                    	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                    
                                                                                    .. attribute:: ether_service_acl
                                                                                    
                                                                                    	Ethernet\-Services Access\-list
                                                                                    	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                    
                                                                                    .. attribute:: ethertype
                                                                                    
                                                                                    	Ethernet type
                                                                                    	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                    
                                                                                    .. attribute:: flow_key_data
                                                                                    
                                                                                    	Flow key structure
                                                                                    	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                    
                                                                                    .. attribute:: flow_tag
                                                                                    
                                                                                    	Match flow\-tag array
                                                                                    	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                    
                                                                                    .. attribute:: fr_de
                                                                                    
                                                                                    	Match FR DE value
                                                                                    	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                    
                                                                                    .. attribute:: fr_dlci
                                                                                    
                                                                                    	Match FR DLCI range array
                                                                                    	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                    
                                                                                    .. attribute:: fragment_type
                                                                                    
                                                                                    	Fragment type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: icmp_v4
                                                                                    
                                                                                    	Match ICMPV4 Protocol
                                                                                    	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                    
                                                                                    .. attribute:: icmp_v6
                                                                                    
                                                                                    	Match ICMPV6 Protocol array
                                                                                    	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                    
                                                                                    .. attribute:: icmpv4_code
                                                                                    
                                                                                    	Match ipv4 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                    
                                                                                    .. attribute:: icmpv4_type
                                                                                    
                                                                                    	Match ipv4 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                    
                                                                                    .. attribute:: icmpv6_code
                                                                                    
                                                                                    	Match ipv6 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                    
                                                                                    .. attribute:: icmpv6_type
                                                                                    
                                                                                    	Match ipv6 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                    
                                                                                    .. attribute:: input_interface
                                                                                    
                                                                                    	Input interface
                                                                                    	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                    
                                                                                    .. attribute:: input_intfhdl
                                                                                    
                                                                                    	Input interface handle
                                                                                    	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                    
                                                                                    .. attribute:: ipv4_acl
                                                                                    
                                                                                    	IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                    
                                                                                    .. attribute:: ipv4_dscp
                                                                                    
                                                                                    	IPv4 DSCP
                                                                                    	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv4_packet_len
                                                                                    
                                                                                    	IPv4 packet length array
                                                                                    	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv4_prec
                                                                                    
                                                                                    	IPv4 Precedence
                                                                                    	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                    
                                                                                    .. attribute:: ipv6_acl
                                                                                    
                                                                                    	IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                    
                                                                                    .. attribute:: ipv6_dscp
                                                                                    
                                                                                    	IPv6 DSCP
                                                                                    	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv6_packet_len
                                                                                    
                                                                                    	IPv6 packet length array
                                                                                    	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv6_prec
                                                                                    
                                                                                    	IPv6 Precedence
                                                                                    	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                    
                                                                                    .. attribute:: media_type
                                                                                    
                                                                                    	Media Type
                                                                                    	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                    
                                                                                    .. attribute:: mlp_negotiated
                                                                                    
                                                                                    	MLP Negotiated
                                                                                    	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv4_acl
                                                                                    
                                                                                    	MPLS Disposition IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv6_acl
                                                                                    
                                                                                    	MPLS Disposition IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_exp
                                                                                    
                                                                                    	Match MPLS experimental topmost array
                                                                                    	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                    
                                                                                    .. attribute:: mpls_exp_imp
                                                                                    
                                                                                    	Match MPLS experimental imposition array
                                                                                    	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                    
                                                                                    .. attribute:: mpls_top_eos
                                                                                    
                                                                                    	MPLS Topmost EOS
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: mpls_top_label
                                                                                    
                                                                                    	MPLS Topmost LABEL
                                                                                    	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                    
                                                                                    .. attribute:: nas_port
                                                                                    
                                                                                    	NAS Port
                                                                                    	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                    
                                                                                    .. attribute:: packet_len
                                                                                    
                                                                                    	Match packet length array
                                                                                    	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                    
                                                                                    .. attribute:: prec
                                                                                    
                                                                                    	Match Precedence array
                                                                                    	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                    
                                                                                    .. attribute:: proto
                                                                                    
                                                                                    	Match Protocol array
                                                                                    	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                    
                                                                                    .. attribute:: qos_group
                                                                                    
                                                                                    	Match QoS group array
                                                                                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                    
                                                                                    .. attribute:: remote_id
                                                                                    
                                                                                    	Remote ID
                                                                                    	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                    
                                                                                    .. attribute:: remote_id_regex
                                                                                    
                                                                                    	Remote ID RegEx
                                                                                    	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                    
                                                                                    .. attribute:: service_name
                                                                                    
                                                                                    	Service Name
                                                                                    	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                    
                                                                                    .. attribute:: service_name_regex
                                                                                    
                                                                                    	Service Name Regular Exp
                                                                                    	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv4
                                                                                    
                                                                                    	Source Address IPV4
                                                                                    	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv6
                                                                                    
                                                                                    	Source Address IPV6
                                                                                    	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: src_addr_mac
                                                                                    
                                                                                    	Source Address MAC
                                                                                    	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                    
                                                                                    .. attribute:: src_mac
                                                                                    
                                                                                    	Match Source MAC address
                                                                                    	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                    
                                                                                    .. attribute:: src_port
                                                                                    
                                                                                    	Source port
                                                                                    	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                    
                                                                                    .. attribute:: subs_protocol
                                                                                    
                                                                                    	Protocol
                                                                                    	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                    
                                                                                    .. attribute:: tcp_flag
                                                                                    
                                                                                    	Match tcp flag value
                                                                                    	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                    
                                                                                    .. attribute:: timer
                                                                                    
                                                                                    	Timer
                                                                                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                    
                                                                                    .. attribute:: timer_regexp
                                                                                    
                                                                                    	Timer Regular Expression
                                                                                    	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                    
                                                                                    .. attribute:: traffic_class
                                                                                    
                                                                                    	Match Traffic class array
                                                                                    	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                    
                                                                                    .. attribute:: tunnel_name
                                                                                    
                                                                                    	Tunnel Name
                                                                                    	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                    
                                                                                    .. attribute:: tunnel_name_regex
                                                                                    
                                                                                    	Tunnel Name Regular Expression
                                                                                    	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                    
                                                                                    .. attribute:: unauth_domain
                                                                                    
                                                                                    	Unauthenticated Domain Name
                                                                                    	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                    
                                                                                    .. attribute:: unauth_domain_regex
                                                                                    
                                                                                    	Unauthenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: unauth_username
                                                                                    
                                                                                    	Unauthenticated User Name
                                                                                    	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                    
                                                                                    .. attribute:: unauth_username_regex
                                                                                    
                                                                                    	Unauthenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: user_name
                                                                                    
                                                                                    	User Name
                                                                                    	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                    
                                                                                    .. attribute:: user_name_regex
                                                                                    
                                                                                    	User Name Regular Expression
                                                                                    	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                    
                                                                                    .. attribute:: vendor_id
                                                                                    
                                                                                    	Vendor ID
                                                                                    	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                    
                                                                                    .. attribute:: vendor_id_regex
                                                                                    
                                                                                    	Vendor ID RegEx
                                                                                    	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                    
                                                                                    .. attribute:: vlan
                                                                                    
                                                                                    	Match VLAN array
                                                                                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                    
                                                                                    .. attribute:: vlan_inr
                                                                                    
                                                                                    	Match inner header VLAN range array
                                                                                    	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.access_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                        self.access_interface.parent = self
                                                                                        self.atm_clp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                        self.atm_clp.parent = self
                                                                                        self.auth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                        self.auth_domain.parent = self
                                                                                        self.auth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                        self.auth_domain_regex.parent = self
                                                                                        self.auth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                        self.auth_username.parent = self
                                                                                        self.auth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                        self.auth_username_regex.parent = self
                                                                                        self.authen_status = None
                                                                                        self.avail_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                        self.avail_id.parent = self
                                                                                        self.circuit_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                        self.circuit_id.parent = self
                                                                                        self.circuit_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                        self.circuit_id_regex.parent = self
                                                                                        self.cos = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                        self.cos.parent = self
                                                                                        self.cos_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                        self.cos_inr.parent = self
                                                                                        self.dei = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                        self.dei.parent = self
                                                                                        self.dei_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                        self.dei_inr.parent = self
                                                                                        self.dhcp_client_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                        self.dhcp_client_id.parent = self
                                                                                        self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                        self.dhcp_client_id_regex.parent = self
                                                                                        self.discard_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                        self.discard_class.parent = self
                                                                                        self.dnis = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                        self.dnis.parent = self
                                                                                        self.dnis_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                        self.dnis_regex.parent = self
                                                                                        self.domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                        self.domain.parent = self
                                                                                        self.domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                        self.domain_regex.parent = self
                                                                                        self.dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                        self.dscp.parent = self
                                                                                        self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                        self.dst_addr_ipv4.parent = self
                                                                                        self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                        self.dst_addr_ipv6.parent = self
                                                                                        self.dst_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                        self.dst_mac.parent = self
                                                                                        self.dst_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                        self.dst_port.parent = self
                                                                                        self.ether_service_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                        self.ether_service_acl.parent = self
                                                                                        self.ethertype = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                        self.ethertype.parent = self
                                                                                        self.flow_key_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                        self.flow_key_data.parent = self
                                                                                        self.flow_tag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                        self.flow_tag.parent = self
                                                                                        self.fr_de = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                        self.fr_de.parent = self
                                                                                        self.fr_dlci = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                        self.fr_dlci.parent = self
                                                                                        self.fragment_type = None
                                                                                        self.icmp_v4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                        self.icmp_v4.parent = self
                                                                                        self.icmp_v6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                        self.icmp_v6.parent = self
                                                                                        self.icmpv4_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                        self.icmpv4_code.parent = self
                                                                                        self.icmpv4_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                        self.icmpv4_type.parent = self
                                                                                        self.icmpv6_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                        self.icmpv6_code.parent = self
                                                                                        self.icmpv6_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                        self.icmpv6_type.parent = self
                                                                                        self.input_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                        self.input_interface.parent = self
                                                                                        self.input_intfhdl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                        self.input_intfhdl.parent = self
                                                                                        self.ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                        self.ipv4_acl.parent = self
                                                                                        self.ipv4_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                        self.ipv4_dscp.parent = self
                                                                                        self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                        self.ipv4_packet_len.parent = self
                                                                                        self.ipv4_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                        self.ipv4_prec.parent = self
                                                                                        self.ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                        self.ipv6_acl.parent = self
                                                                                        self.ipv6_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                        self.ipv6_dscp.parent = self
                                                                                        self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                        self.ipv6_packet_len.parent = self
                                                                                        self.ipv6_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                        self.ipv6_prec.parent = self
                                                                                        self.media_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                        self.media_type.parent = self
                                                                                        self.mlp_negotiated = None
                                                                                        self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                        self.mpls_disp_ipv4_acl.parent = self
                                                                                        self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                        self.mpls_disp_ipv6_acl.parent = self
                                                                                        self.mpls_exp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                        self.mpls_exp.parent = self
                                                                                        self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                        self.mpls_exp_imp.parent = self
                                                                                        self.mpls_top_eos = None
                                                                                        self.mpls_top_label = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                        self.mpls_top_label.parent = self
                                                                                        self.nas_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                        self.nas_port.parent = self
                                                                                        self.packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                        self.packet_len.parent = self
                                                                                        self.prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                        self.prec.parent = self
                                                                                        self.proto = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                        self.proto.parent = self
                                                                                        self.qos_group = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                        self.qos_group.parent = self
                                                                                        self.remote_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                        self.remote_id.parent = self
                                                                                        self.remote_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                        self.remote_id_regex.parent = self
                                                                                        self.service_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                        self.service_name.parent = self
                                                                                        self.service_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                        self.service_name_regex.parent = self
                                                                                        self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                        self.src_addr_ipv4.parent = self
                                                                                        self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                        self.src_addr_ipv6.parent = self
                                                                                        self.src_addr_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                        self.src_addr_mac.parent = self
                                                                                        self.src_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                        self.src_mac.parent = self
                                                                                        self.src_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                        self.src_port.parent = self
                                                                                        self.subs_protocol = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                        self.subs_protocol.parent = self
                                                                                        self.tcp_flag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                        self.tcp_flag.parent = self
                                                                                        self.timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                        self.timer.parent = self
                                                                                        self.timer_regexp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                        self.timer_regexp.parent = self
                                                                                        self.traffic_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                        self.traffic_class.parent = self
                                                                                        self.tunnel_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                        self.tunnel_name.parent = self
                                                                                        self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                        self.tunnel_name_regex.parent = self
                                                                                        self.type = None
                                                                                        self.unauth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                        self.unauth_domain.parent = self
                                                                                        self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                        self.unauth_domain_regex.parent = self
                                                                                        self.unauth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                        self.unauth_username.parent = self
                                                                                        self.unauth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                        self.unauth_username_regex.parent = self
                                                                                        self.user_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                        self.user_name.parent = self
                                                                                        self.user_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                        self.user_name_regex.parent = self
                                                                                        self.vendor_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                        self.vendor_id.parent = self
                                                                                        self.vendor_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                        self.vendor_id_regex.parent = self
                                                                                        self.vlan = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                        self.vlan.parent = self
                                                                                        self.vlan_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                        self.vlan_inr.parent = self


                                                                                    class Ipv4Dscp(object):
                                                                                        """
                                                                                        IPv4 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                    class Ipv6Dscp(object):
                                                                                        """
                                                                                        IPv6 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                    class Dscp(object):
                                                                                        """
                                                                                        Match DSCP range array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                    class Ipv4Prec(object):
                                                                                        """
                                                                                        IPv4 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                    class Ipv6Prec(object):
                                                                                        """
                                                                                        IPv6 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                    class Prec(object):
                                                                                        """
                                                                                        Match Precedence array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                    class DiscardClass(object):
                                                                                        """
                                                                                        Match Discard Class array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                    class QosGroup(object):
                                                                                        """
                                                                                        Match QoS group array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                    class TrafficClass(object):
                                                                                        """
                                                                                        Match Traffic class array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                    class Proto(object):
                                                                                        """
                                                                                        Match Protocol array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                    class IcmpV4(object):
                                                                                        """
                                                                                        Match ICMPV4 Protocol
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                    class IcmpV6(object):
                                                                                        """
                                                                                        Match ICMPV6 Protocol array
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                    class Ipv4PacketLen(object):
                                                                                        """
                                                                                        IPv4 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                    class Ipv6PacketLen(object):
                                                                                        """
                                                                                        IPv6 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                    class PacketLen(object):
                                                                                        """
                                                                                        Match packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                    class FlowTag(object):
                                                                                        """
                                                                                        Match flow\-tag array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                    class TcpFlag(object):
                                                                                        """
                                                                                        Match tcp flag value
                                                                                        
                                                                                        .. attribute:: match_any
                                                                                        
                                                                                        	Match any TCP flag bit
                                                                                        	**type**\:  bool
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	Value of TCP flag
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.match_any = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.match_any is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                    class Icmpv4Type(object):
                                                                                        """
                                                                                        Match ipv4 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                    class Icmpv4Code(object):
                                                                                        """
                                                                                        Match ipv4 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                    class Icmpv6Type(object):
                                                                                        """
                                                                                        Match ipv6 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                    class Icmpv6Code(object):
                                                                                        """
                                                                                        Match ipv6 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                    class MplsExp(object):
                                                                                        """
                                                                                        Match MPLS experimental topmost array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                    class MplsExpImp(object):
                                                                                        """
                                                                                        Match MPLS experimental imposition array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                    class MplsDispIpv4Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                    class MplsDispIpv6Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                    class MplsTopLabel(object):
                                                                                        """
                                                                                        MPLS Topmost LABEL
                                                                                        
                                                                                        .. attribute:: uint32_rng_array
                                                                                        
                                                                                        	uint32 rng array
                                                                                        	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint32_rng_array = YList()
                                                                                            self.uint32_rng_array.parent = self
                                                                                            self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                        class Uint32_Rng_Array(object):
                                                                                            """
                                                                                            uint32 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint32_rng_array is not None:
                                                                                                for child_ref in self.uint32_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                    class Cos(object):
                                                                                        """
                                                                                        Match CoS array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                    class CosInr(object):
                                                                                        """
                                                                                        Match inner header CoS
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                    class Dei(object):
                                                                                        """
                                                                                        Match DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                    class DeiInr(object):
                                                                                        """
                                                                                        Match inner DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                    class Vlan(object):
                                                                                        """
                                                                                        Match VLAN array
                                                                                        
                                                                                        .. attribute:: vlan_id_array
                                                                                        
                                                                                        	vlan id array
                                                                                        	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.vlan_id_array = YList()
                                                                                            self.vlan_id_array.parent = self
                                                                                            self.vlan_id_array.name = 'vlan_id_array'


                                                                                        class VlanIdArray(object):
                                                                                            """
                                                                                            vlan id array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	VLAN mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.vlan_id_array is not None:
                                                                                                for child_ref in self.vlan_id_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                    class VlanInr(object):
                                                                                        """
                                                                                        Match inner header VLAN range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                    class FrDlci(object):
                                                                                        """
                                                                                        Match FR DLCI range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                    class SrcMac(object):
                                                                                        """
                                                                                        Match Source MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                    class DstMac(object):
                                                                                        """
                                                                                        Match Destination MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                    class AtmClp(object):
                                                                                        """
                                                                                        Match ATM CLP level
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                    class FrDe(object):
                                                                                        """
                                                                                        Match FR DE value
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                    class Ipv4Acl(object):
                                                                                        """
                                                                                        IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                    class Ipv6Acl(object):
                                                                                        """
                                                                                        IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                    class EtherServiceAcl(object):
                                                                                        """
                                                                                        Ethernet\-Services Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                    class AvailId(object):
                                                                                        """
                                                                                        Available Identifiers
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                    class MediaType(object):
                                                                                        """
                                                                                        Media Type
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                    class SubsProtocol(object):
                                                                                        """
                                                                                        Protocol
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                    class Dnis(object):
                                                                                        """
                                                                                        DNIS
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                    class DnisRegex(object):
                                                                                        """
                                                                                        DNIS Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                    class Domain(object):
                                                                                        """
                                                                                        Domain Name
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                    class DomainRegex(object):
                                                                                        """
                                                                                        Domain Regular Expression
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                    class NasPort(object):
                                                                                        """
                                                                                        NAS Port
                                                                                        
                                                                                        .. attribute:: nas_port_array
                                                                                        
                                                                                        	nas port array
                                                                                        	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.nas_port_array = YList()
                                                                                            self.nas_port_array.parent = self
                                                                                            self.nas_port_array.name = 'nas_port_array'


                                                                                        class NasPortArray(object):
                                                                                            """
                                                                                            nas port array
                                                                                            
                                                                                            .. attribute:: operator
                                                                                            
                                                                                            	operator
                                                                                            	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                            
                                                                                            .. attribute:: sub_id
                                                                                            
                                                                                            	sub id
                                                                                            	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	value
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.operator = None
                                                                                                self.sub_id = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.operator is not None:
                                                                                                    return True

                                                                                                if self.sub_id is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.nas_port_array is not None:
                                                                                                for child_ref in self.nas_port_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                    class ServiceName(object):
                                                                                        """
                                                                                        Service Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                    class ServiceNameRegex(object):
                                                                                        """
                                                                                        Service Name Regular Exp
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                    class SrcAddrIpv4(object):
                                                                                        """
                                                                                        Source Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                    class DstAddrIpv4(object):
                                                                                        """
                                                                                        Destination Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                    class SrcAddrIpv6(object):
                                                                                        """
                                                                                        Source Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                    class DstAddrIpv6(object):
                                                                                        """
                                                                                        Destination Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                    class SrcAddrMac(object):
                                                                                        """
                                                                                        Source Address MAC
                                                                                        
                                                                                        .. attribute:: mac_addr_array
                                                                                        
                                                                                        	mac addr array
                                                                                        	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr_array = YList()
                                                                                            self.mac_addr_array.parent = self
                                                                                            self.mac_addr_array.name = 'mac_addr_array'


                                                                                        class MacAddrArray(object):
                                                                                            """
                                                                                            mac addr array
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr_array is not None:
                                                                                                for child_ref in self.mac_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                    class Timer(object):
                                                                                        """
                                                                                        Timer
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                    class TimerRegexp(object):
                                                                                        """
                                                                                        Timer Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                    class TunnelName(object):
                                                                                        """
                                                                                        Tunnel Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                    class TunnelNameRegex(object):
                                                                                        """
                                                                                        Tunnel Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                    class UserName(object):
                                                                                        """
                                                                                        User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                    class UserNameRegex(object):
                                                                                        """
                                                                                        User Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                    class AuthUsername(object):
                                                                                        """
                                                                                        Authenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                    class AuthUsernameRegex(object):
                                                                                        """
                                                                                        Authenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                    class UnauthUsername(object):
                                                                                        """
                                                                                        Unauthenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                    class UnauthUsernameRegex(object):
                                                                                        """
                                                                                        Unauthenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                    class AuthDomain(object):
                                                                                        """
                                                                                        Authenticated domain name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                    class AuthDomainRegex(object):
                                                                                        """
                                                                                        Authenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                    class UnauthDomain(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                    class UnauthDomainRegex(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                    class VendorId(object):
                                                                                        """
                                                                                        Vendor ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                    class VendorIdRegex(object):
                                                                                        """
                                                                                        Vendor ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                    class AccessInterface(object):
                                                                                        """
                                                                                        Access interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                    class InputInterface(object):
                                                                                        """
                                                                                        Input interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                    class InputIntfhdl(object):
                                                                                        """
                                                                                        Input interface handle
                                                                                        
                                                                                        .. attribute:: uint64_array
                                                                                        
                                                                                        	uint64 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..18446744073709551615
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint64_array = YLeafList()
                                                                                            self.uint64_array.parent = self
                                                                                            self.uint64_array.name = 'uint64_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint64_array is not None:
                                                                                                for child in self.uint64_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                    class Ethertype(object):
                                                                                        """
                                                                                        Ethernet type
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                    class FlowKeyData(object):
                                                                                        """
                                                                                        Flow key structure
                                                                                        
                                                                                        .. attribute:: flow_keys
                                                                                        
                                                                                        	flow keys
                                                                                        	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                        
                                                                                        .. attribute:: idle_timeout
                                                                                        
                                                                                        	Idle timeout of flows (in seconds)
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        	**units**\: second
                                                                                        
                                                                                        .. attribute:: max_count
                                                                                        
                                                                                        	Maximum count of flows
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flow_keys = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                            self.flow_keys.parent = self
                                                                                            self.idle_timeout = None
                                                                                            self.max_count = None


                                                                                        class FlowKeys(object):
                                                                                            """
                                                                                            flow keys
                                                                                            
                                                                                            .. attribute:: keys
                                                                                            
                                                                                            	keys
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                            
                                                                                            .. attribute:: num
                                                                                            
                                                                                            	num
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.keys = None
                                                                                                self.num = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.keys is not None:
                                                                                                    return True

                                                                                                if self.num is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                return True

                                                                                            if self.idle_timeout is not None:
                                                                                                return True

                                                                                            if self.max_count is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                    class DhcpClientId(object):
                                                                                        """
                                                                                        Dhcp Client ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                    class DhcpClientIdRegex(object):
                                                                                        """
                                                                                        Dhcp Client ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                    class CircuitId(object):
                                                                                        """
                                                                                        Circuit ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                    class CircuitIdRegex(object):
                                                                                        """
                                                                                        Circuit ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                    class RemoteId(object):
                                                                                        """
                                                                                        Remote ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                    class RemoteIdRegex(object):
                                                                                        """
                                                                                        Remote ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                    class SrcPort(object):
                                                                                        """
                                                                                        Source port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                    class DstPort(object):
                                                                                        """
                                                                                        Destination port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.access_interface is not None and self.access_interface._has_data():
                                                                                            return True

                                                                                        if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                            return True

                                                                                        if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                            return True

                                                                                        if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.auth_username is not None and self.auth_username._has_data():
                                                                                            return True

                                                                                        if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.authen_status is not None:
                                                                                            return True

                                                                                        if self.avail_id is not None and self.avail_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                            return True

                                                                                        if self.cos is not None and self.cos._has_data():
                                                                                            return True

                                                                                        if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                            return True

                                                                                        if self.dei is not None and self.dei._has_data():
                                                                                            return True

                                                                                        if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                            return True

                                                                                        if self.discard_class is not None and self.discard_class._has_data():
                                                                                            return True

                                                                                        if self.dnis is not None and self.dnis._has_data():
                                                                                            return True

                                                                                        if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                            return True

                                                                                        if self.domain is not None and self.domain._has_data():
                                                                                            return True

                                                                                        if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                            return True

                                                                                        if self.dscp is not None and self.dscp._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                            return True

                                                                                        if self.dst_port is not None and self.dst_port._has_data():
                                                                                            return True

                                                                                        if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                            return True

                                                                                        if self.ethertype is not None and self.ethertype._has_data():
                                                                                            return True

                                                                                        if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                            return True

                                                                                        if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                            return True

                                                                                        if self.fr_de is not None and self.fr_de._has_data():
                                                                                            return True

                                                                                        if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                            return True

                                                                                        if self.fragment_type is not None:
                                                                                            return True

                                                                                        if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                            return True

                                                                                        if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                            return True

                                                                                        if self.input_interface is not None and self.input_interface._has_data():
                                                                                            return True

                                                                                        if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                            return True

                                                                                        if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                            return True

                                                                                        if self.media_type is not None and self.media_type._has_data():
                                                                                            return True

                                                                                        if self.mlp_negotiated is not None:
                                                                                            return True

                                                                                        if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                            return True

                                                                                        if self.mpls_top_eos is not None:
                                                                                            return True

                                                                                        if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                            return True

                                                                                        if self.nas_port is not None and self.nas_port._has_data():
                                                                                            return True

                                                                                        if self.packet_len is not None and self.packet_len._has_data():
                                                                                            return True

                                                                                        if self.prec is not None and self.prec._has_data():
                                                                                            return True

                                                                                        if self.proto is not None and self.proto._has_data():
                                                                                            return True

                                                                                        if self.qos_group is not None and self.qos_group._has_data():
                                                                                            return True

                                                                                        if self.remote_id is not None and self.remote_id._has_data():
                                                                                            return True

                                                                                        if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                            return True

                                                                                        if self.service_name is not None and self.service_name._has_data():
                                                                                            return True

                                                                                        if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                            return True

                                                                                        if self.src_mac is not None and self.src_mac._has_data():
                                                                                            return True

                                                                                        if self.src_port is not None and self.src_port._has_data():
                                                                                            return True

                                                                                        if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                            return True

                                                                                        if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                            return True

                                                                                        if self.timer is not None and self.timer._has_data():
                                                                                            return True

                                                                                        if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                            return True

                                                                                        if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                            return True

                                                                                        if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                            return True

                                                                                        if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.user_name is not None and self.user_name._has_data():
                                                                                            return True

                                                                                        if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                            return True

                                                                                        if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                            return True

                                                                                        if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                            return True

                                                                                        if self.vlan is not None and self.vlan._has_data():
                                                                                            return True

                                                                                        if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_data is not None and self.match_data._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_match_info_st is not None:
                                                                                    for child_ref in self.class_match_info_st:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.chk_sum is not None:
                                                                                return True

                                                                            if self.description is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.magic is not None:
                                                                                return True

                                                                            if self.match_count is not None:
                                                                                return True

                                                                            if self.match_infop is not None and self.match_infop._has_data():
                                                                                return True

                                                                            if self.mode is not None:
                                                                                return True

                                                                            if self.name is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_map_bg is not None:
                                                                            for child_ref in self.class_map_bg:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                class ExcdclassEncode(object):
                                                                    """
                                                                    excdclass encode
                                                                    
                                                                    .. attribute:: class_name
                                                                    
                                                                    	class name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: enc
                                                                    
                                                                    	enc
                                                                    	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                    
                                                                    .. attribute:: hd
                                                                    
                                                                    	hd
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..18446744073709551615
                                                                    
                                                                    .. attribute:: idx
                                                                    
                                                                    	idx
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: inline_cmap
                                                                    
                                                                    	inline cmap
                                                                    	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_name = None
                                                                        self.enc = None
                                                                        self.hd = None
                                                                        self.idx = None
                                                                        self.inline_cmap = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                        self.inline_cmap.parent = self


                                                                    class InlineCmap(object):
                                                                        """
                                                                        inline cmap
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Inline Class\-Map flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_count
                                                                        
                                                                        	Number of Match infos
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_infop
                                                                        
                                                                        	Pointer to the first Match info
                                                                        	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                        
                                                                        .. attribute:: mode
                                                                        
                                                                        	Inline Class\-Map Mode Match any/all
                                                                        	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_count = None
                                                                            self.match_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                            self.match_infop.parent = self
                                                                            self.mode = None


                                                                        class MatchInfop(object):
                                                                            """
                                                                            Pointer to the first Match info
                                                                            
                                                                            .. attribute:: class_match_info_st
                                                                            
                                                                            	class match info st
                                                                            	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_match_info_st = YList()
                                                                                self.class_match_info_st.parent = self
                                                                                self.class_match_info_st.name = 'class_match_info_st'


                                                                            class ClassMatchInfoSt(object):
                                                                                """
                                                                                class match info st
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_data
                                                                                
                                                                                	Match criteria
                                                                                	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                    self.match_data.parent = self


                                                                                class MatchData(object):
                                                                                    """
                                                                                    Match criteria
                                                                                    
                                                                                    .. attribute:: access_interface
                                                                                    
                                                                                    	Access interface
                                                                                    	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                    
                                                                                    .. attribute:: atm_clp
                                                                                    
                                                                                    	Match ATM CLP level
                                                                                    	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                    
                                                                                    .. attribute:: auth_domain
                                                                                    
                                                                                    	Authenticated domain name
                                                                                    	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                    
                                                                                    .. attribute:: auth_domain_regex
                                                                                    
                                                                                    	Authenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: auth_username
                                                                                    
                                                                                    	Authenticated User Name
                                                                                    	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                    
                                                                                    .. attribute:: auth_username_regex
                                                                                    
                                                                                    	Authenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: authen_status
                                                                                    
                                                                                    	Authentication Status
                                                                                    	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                    
                                                                                    .. attribute:: avail_id
                                                                                    
                                                                                    	Available Identifiers
                                                                                    	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                    
                                                                                    .. attribute:: circuit_id
                                                                                    
                                                                                    	Circuit ID
                                                                                    	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                    
                                                                                    .. attribute:: circuit_id_regex
                                                                                    
                                                                                    	Circuit ID RegEx
                                                                                    	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                    
                                                                                    .. attribute:: cos
                                                                                    
                                                                                    	Match CoS array
                                                                                    	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                    
                                                                                    .. attribute:: cos_inr
                                                                                    
                                                                                    	Match inner header CoS
                                                                                    	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                    
                                                                                    .. attribute:: dei
                                                                                    
                                                                                    	Match DEI Bit
                                                                                    	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                    
                                                                                    .. attribute:: dei_inr
                                                                                    
                                                                                    	Match inner DEI Bit
                                                                                    	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id
                                                                                    
                                                                                    	Dhcp Client ID
                                                                                    	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id_regex
                                                                                    
                                                                                    	Dhcp Client ID RegEx
                                                                                    	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                    
                                                                                    .. attribute:: discard_class
                                                                                    
                                                                                    	Match Discard Class array
                                                                                    	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                    
                                                                                    .. attribute:: dnis
                                                                                    
                                                                                    	DNIS
                                                                                    	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                    
                                                                                    .. attribute:: dnis_regex
                                                                                    
                                                                                    	DNIS Regular Expression
                                                                                    	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                    
                                                                                    .. attribute:: domain
                                                                                    
                                                                                    	Domain Name
                                                                                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                    
                                                                                    .. attribute:: domain_regex
                                                                                    
                                                                                    	Domain Regular Expression
                                                                                    	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                    
                                                                                    .. attribute:: dscp
                                                                                    
                                                                                    	Match DSCP range array
                                                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv4
                                                                                    
                                                                                    	Destination Address IPV4
                                                                                    	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv6
                                                                                    
                                                                                    	Destination Address IPV6
                                                                                    	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: dst_mac
                                                                                    
                                                                                    	Match Destination MAC address
                                                                                    	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                    
                                                                                    .. attribute:: dst_port
                                                                                    
                                                                                    	Destination port
                                                                                    	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                    
                                                                                    .. attribute:: ether_service_acl
                                                                                    
                                                                                    	Ethernet\-Services Access\-list
                                                                                    	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                    
                                                                                    .. attribute:: ethertype
                                                                                    
                                                                                    	Ethernet type
                                                                                    	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                    
                                                                                    .. attribute:: flow_key_data
                                                                                    
                                                                                    	Flow key structure
                                                                                    	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                    
                                                                                    .. attribute:: flow_tag
                                                                                    
                                                                                    	Match flow\-tag array
                                                                                    	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                    
                                                                                    .. attribute:: fr_de
                                                                                    
                                                                                    	Match FR DE value
                                                                                    	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                    
                                                                                    .. attribute:: fr_dlci
                                                                                    
                                                                                    	Match FR DLCI range array
                                                                                    	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                    
                                                                                    .. attribute:: fragment_type
                                                                                    
                                                                                    	Fragment type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: icmp_v4
                                                                                    
                                                                                    	Match ICMPV4 Protocol
                                                                                    	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                    
                                                                                    .. attribute:: icmp_v6
                                                                                    
                                                                                    	Match ICMPV6 Protocol array
                                                                                    	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                    
                                                                                    .. attribute:: icmpv4_code
                                                                                    
                                                                                    	Match ipv4 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                    
                                                                                    .. attribute:: icmpv4_type
                                                                                    
                                                                                    	Match ipv4 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                    
                                                                                    .. attribute:: icmpv6_code
                                                                                    
                                                                                    	Match ipv6 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                    
                                                                                    .. attribute:: icmpv6_type
                                                                                    
                                                                                    	Match ipv6 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                    
                                                                                    .. attribute:: input_interface
                                                                                    
                                                                                    	Input interface
                                                                                    	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                    
                                                                                    .. attribute:: input_intfhdl
                                                                                    
                                                                                    	Input interface handle
                                                                                    	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                    
                                                                                    .. attribute:: ipv4_acl
                                                                                    
                                                                                    	IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                    
                                                                                    .. attribute:: ipv4_dscp
                                                                                    
                                                                                    	IPv4 DSCP
                                                                                    	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv4_packet_len
                                                                                    
                                                                                    	IPv4 packet length array
                                                                                    	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv4_prec
                                                                                    
                                                                                    	IPv4 Precedence
                                                                                    	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                    
                                                                                    .. attribute:: ipv6_acl
                                                                                    
                                                                                    	IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                    
                                                                                    .. attribute:: ipv6_dscp
                                                                                    
                                                                                    	IPv6 DSCP
                                                                                    	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv6_packet_len
                                                                                    
                                                                                    	IPv6 packet length array
                                                                                    	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv6_prec
                                                                                    
                                                                                    	IPv6 Precedence
                                                                                    	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                    
                                                                                    .. attribute:: media_type
                                                                                    
                                                                                    	Media Type
                                                                                    	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                    
                                                                                    .. attribute:: mlp_negotiated
                                                                                    
                                                                                    	MLP Negotiated
                                                                                    	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv4_acl
                                                                                    
                                                                                    	MPLS Disposition IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv6_acl
                                                                                    
                                                                                    	MPLS Disposition IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_exp
                                                                                    
                                                                                    	Match MPLS experimental topmost array
                                                                                    	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                    
                                                                                    .. attribute:: mpls_exp_imp
                                                                                    
                                                                                    	Match MPLS experimental imposition array
                                                                                    	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                    
                                                                                    .. attribute:: mpls_top_eos
                                                                                    
                                                                                    	MPLS Topmost EOS
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: mpls_top_label
                                                                                    
                                                                                    	MPLS Topmost LABEL
                                                                                    	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                    
                                                                                    .. attribute:: nas_port
                                                                                    
                                                                                    	NAS Port
                                                                                    	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                    
                                                                                    .. attribute:: packet_len
                                                                                    
                                                                                    	Match packet length array
                                                                                    	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                    
                                                                                    .. attribute:: prec
                                                                                    
                                                                                    	Match Precedence array
                                                                                    	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                    
                                                                                    .. attribute:: proto
                                                                                    
                                                                                    	Match Protocol array
                                                                                    	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                    
                                                                                    .. attribute:: qos_group
                                                                                    
                                                                                    	Match QoS group array
                                                                                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                    
                                                                                    .. attribute:: remote_id
                                                                                    
                                                                                    	Remote ID
                                                                                    	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                    
                                                                                    .. attribute:: remote_id_regex
                                                                                    
                                                                                    	Remote ID RegEx
                                                                                    	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                    
                                                                                    .. attribute:: service_name
                                                                                    
                                                                                    	Service Name
                                                                                    	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                    
                                                                                    .. attribute:: service_name_regex
                                                                                    
                                                                                    	Service Name Regular Exp
                                                                                    	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv4
                                                                                    
                                                                                    	Source Address IPV4
                                                                                    	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv6
                                                                                    
                                                                                    	Source Address IPV6
                                                                                    	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: src_addr_mac
                                                                                    
                                                                                    	Source Address MAC
                                                                                    	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                    
                                                                                    .. attribute:: src_mac
                                                                                    
                                                                                    	Match Source MAC address
                                                                                    	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                    
                                                                                    .. attribute:: src_port
                                                                                    
                                                                                    	Source port
                                                                                    	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                    
                                                                                    .. attribute:: subs_protocol
                                                                                    
                                                                                    	Protocol
                                                                                    	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                    
                                                                                    .. attribute:: tcp_flag
                                                                                    
                                                                                    	Match tcp flag value
                                                                                    	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                    
                                                                                    .. attribute:: timer
                                                                                    
                                                                                    	Timer
                                                                                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                    
                                                                                    .. attribute:: timer_regexp
                                                                                    
                                                                                    	Timer Regular Expression
                                                                                    	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                    
                                                                                    .. attribute:: traffic_class
                                                                                    
                                                                                    	Match Traffic class array
                                                                                    	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                    
                                                                                    .. attribute:: tunnel_name
                                                                                    
                                                                                    	Tunnel Name
                                                                                    	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                    
                                                                                    .. attribute:: tunnel_name_regex
                                                                                    
                                                                                    	Tunnel Name Regular Expression
                                                                                    	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                    
                                                                                    .. attribute:: unauth_domain
                                                                                    
                                                                                    	Unauthenticated Domain Name
                                                                                    	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                    
                                                                                    .. attribute:: unauth_domain_regex
                                                                                    
                                                                                    	Unauthenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: unauth_username
                                                                                    
                                                                                    	Unauthenticated User Name
                                                                                    	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                    
                                                                                    .. attribute:: unauth_username_regex
                                                                                    
                                                                                    	Unauthenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: user_name
                                                                                    
                                                                                    	User Name
                                                                                    	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                    
                                                                                    .. attribute:: user_name_regex
                                                                                    
                                                                                    	User Name Regular Expression
                                                                                    	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                    
                                                                                    .. attribute:: vendor_id
                                                                                    
                                                                                    	Vendor ID
                                                                                    	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                    
                                                                                    .. attribute:: vendor_id_regex
                                                                                    
                                                                                    	Vendor ID RegEx
                                                                                    	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                    
                                                                                    .. attribute:: vlan
                                                                                    
                                                                                    	Match VLAN array
                                                                                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                    
                                                                                    .. attribute:: vlan_inr
                                                                                    
                                                                                    	Match inner header VLAN range array
                                                                                    	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.access_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                        self.access_interface.parent = self
                                                                                        self.atm_clp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                        self.atm_clp.parent = self
                                                                                        self.auth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                        self.auth_domain.parent = self
                                                                                        self.auth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                        self.auth_domain_regex.parent = self
                                                                                        self.auth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                        self.auth_username.parent = self
                                                                                        self.auth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                        self.auth_username_regex.parent = self
                                                                                        self.authen_status = None
                                                                                        self.avail_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                        self.avail_id.parent = self
                                                                                        self.circuit_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                        self.circuit_id.parent = self
                                                                                        self.circuit_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                        self.circuit_id_regex.parent = self
                                                                                        self.cos = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                        self.cos.parent = self
                                                                                        self.cos_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                        self.cos_inr.parent = self
                                                                                        self.dei = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                        self.dei.parent = self
                                                                                        self.dei_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                        self.dei_inr.parent = self
                                                                                        self.dhcp_client_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                        self.dhcp_client_id.parent = self
                                                                                        self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                        self.dhcp_client_id_regex.parent = self
                                                                                        self.discard_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                        self.discard_class.parent = self
                                                                                        self.dnis = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                        self.dnis.parent = self
                                                                                        self.dnis_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                        self.dnis_regex.parent = self
                                                                                        self.domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                        self.domain.parent = self
                                                                                        self.domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                        self.domain_regex.parent = self
                                                                                        self.dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                        self.dscp.parent = self
                                                                                        self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                        self.dst_addr_ipv4.parent = self
                                                                                        self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                        self.dst_addr_ipv6.parent = self
                                                                                        self.dst_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                        self.dst_mac.parent = self
                                                                                        self.dst_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                        self.dst_port.parent = self
                                                                                        self.ether_service_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                        self.ether_service_acl.parent = self
                                                                                        self.ethertype = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                        self.ethertype.parent = self
                                                                                        self.flow_key_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                        self.flow_key_data.parent = self
                                                                                        self.flow_tag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                        self.flow_tag.parent = self
                                                                                        self.fr_de = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                        self.fr_de.parent = self
                                                                                        self.fr_dlci = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                        self.fr_dlci.parent = self
                                                                                        self.fragment_type = None
                                                                                        self.icmp_v4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                        self.icmp_v4.parent = self
                                                                                        self.icmp_v6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                        self.icmp_v6.parent = self
                                                                                        self.icmpv4_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                        self.icmpv4_code.parent = self
                                                                                        self.icmpv4_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                        self.icmpv4_type.parent = self
                                                                                        self.icmpv6_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                        self.icmpv6_code.parent = self
                                                                                        self.icmpv6_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                        self.icmpv6_type.parent = self
                                                                                        self.input_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                        self.input_interface.parent = self
                                                                                        self.input_intfhdl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                        self.input_intfhdl.parent = self
                                                                                        self.ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                        self.ipv4_acl.parent = self
                                                                                        self.ipv4_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                        self.ipv4_dscp.parent = self
                                                                                        self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                        self.ipv4_packet_len.parent = self
                                                                                        self.ipv4_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                        self.ipv4_prec.parent = self
                                                                                        self.ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                        self.ipv6_acl.parent = self
                                                                                        self.ipv6_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                        self.ipv6_dscp.parent = self
                                                                                        self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                        self.ipv6_packet_len.parent = self
                                                                                        self.ipv6_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                        self.ipv6_prec.parent = self
                                                                                        self.media_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                        self.media_type.parent = self
                                                                                        self.mlp_negotiated = None
                                                                                        self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                        self.mpls_disp_ipv4_acl.parent = self
                                                                                        self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                        self.mpls_disp_ipv6_acl.parent = self
                                                                                        self.mpls_exp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                        self.mpls_exp.parent = self
                                                                                        self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                        self.mpls_exp_imp.parent = self
                                                                                        self.mpls_top_eos = None
                                                                                        self.mpls_top_label = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                        self.mpls_top_label.parent = self
                                                                                        self.nas_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                        self.nas_port.parent = self
                                                                                        self.packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                        self.packet_len.parent = self
                                                                                        self.prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                        self.prec.parent = self
                                                                                        self.proto = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                        self.proto.parent = self
                                                                                        self.qos_group = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                        self.qos_group.parent = self
                                                                                        self.remote_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                        self.remote_id.parent = self
                                                                                        self.remote_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                        self.remote_id_regex.parent = self
                                                                                        self.service_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                        self.service_name.parent = self
                                                                                        self.service_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                        self.service_name_regex.parent = self
                                                                                        self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                        self.src_addr_ipv4.parent = self
                                                                                        self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                        self.src_addr_ipv6.parent = self
                                                                                        self.src_addr_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                        self.src_addr_mac.parent = self
                                                                                        self.src_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                        self.src_mac.parent = self
                                                                                        self.src_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                        self.src_port.parent = self
                                                                                        self.subs_protocol = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                        self.subs_protocol.parent = self
                                                                                        self.tcp_flag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                        self.tcp_flag.parent = self
                                                                                        self.timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                        self.timer.parent = self
                                                                                        self.timer_regexp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                        self.timer_regexp.parent = self
                                                                                        self.traffic_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                        self.traffic_class.parent = self
                                                                                        self.tunnel_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                        self.tunnel_name.parent = self
                                                                                        self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                        self.tunnel_name_regex.parent = self
                                                                                        self.type = None
                                                                                        self.unauth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                        self.unauth_domain.parent = self
                                                                                        self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                        self.unauth_domain_regex.parent = self
                                                                                        self.unauth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                        self.unauth_username.parent = self
                                                                                        self.unauth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                        self.unauth_username_regex.parent = self
                                                                                        self.user_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                        self.user_name.parent = self
                                                                                        self.user_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                        self.user_name_regex.parent = self
                                                                                        self.vendor_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                        self.vendor_id.parent = self
                                                                                        self.vendor_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                        self.vendor_id_regex.parent = self
                                                                                        self.vlan = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                        self.vlan.parent = self
                                                                                        self.vlan_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                        self.vlan_inr.parent = self


                                                                                    class Ipv4Dscp(object):
                                                                                        """
                                                                                        IPv4 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                    class Ipv6Dscp(object):
                                                                                        """
                                                                                        IPv6 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                    class Dscp(object):
                                                                                        """
                                                                                        Match DSCP range array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                    class Ipv4Prec(object):
                                                                                        """
                                                                                        IPv4 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                    class Ipv6Prec(object):
                                                                                        """
                                                                                        IPv6 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                    class Prec(object):
                                                                                        """
                                                                                        Match Precedence array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                    class DiscardClass(object):
                                                                                        """
                                                                                        Match Discard Class array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                    class QosGroup(object):
                                                                                        """
                                                                                        Match QoS group array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                    class TrafficClass(object):
                                                                                        """
                                                                                        Match Traffic class array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                    class Proto(object):
                                                                                        """
                                                                                        Match Protocol array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                    class IcmpV4(object):
                                                                                        """
                                                                                        Match ICMPV4 Protocol
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                    class IcmpV6(object):
                                                                                        """
                                                                                        Match ICMPV6 Protocol array
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                    class Ipv4PacketLen(object):
                                                                                        """
                                                                                        IPv4 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                    class Ipv6PacketLen(object):
                                                                                        """
                                                                                        IPv6 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                    class PacketLen(object):
                                                                                        """
                                                                                        Match packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                    class FlowTag(object):
                                                                                        """
                                                                                        Match flow\-tag array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                    class TcpFlag(object):
                                                                                        """
                                                                                        Match tcp flag value
                                                                                        
                                                                                        .. attribute:: match_any
                                                                                        
                                                                                        	Match any TCP flag bit
                                                                                        	**type**\:  bool
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	Value of TCP flag
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.match_any = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.match_any is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                    class Icmpv4Type(object):
                                                                                        """
                                                                                        Match ipv4 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                    class Icmpv4Code(object):
                                                                                        """
                                                                                        Match ipv4 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                    class Icmpv6Type(object):
                                                                                        """
                                                                                        Match ipv6 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                    class Icmpv6Code(object):
                                                                                        """
                                                                                        Match ipv6 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                    class MplsExp(object):
                                                                                        """
                                                                                        Match MPLS experimental topmost array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                    class MplsExpImp(object):
                                                                                        """
                                                                                        Match MPLS experimental imposition array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                    class MplsDispIpv4Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                    class MplsDispIpv6Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                    class MplsTopLabel(object):
                                                                                        """
                                                                                        MPLS Topmost LABEL
                                                                                        
                                                                                        .. attribute:: uint32_rng_array
                                                                                        
                                                                                        	uint32 rng array
                                                                                        	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint32_rng_array = YList()
                                                                                            self.uint32_rng_array.parent = self
                                                                                            self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                        class Uint32_Rng_Array(object):
                                                                                            """
                                                                                            uint32 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint32_rng_array is not None:
                                                                                                for child_ref in self.uint32_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                    class Cos(object):
                                                                                        """
                                                                                        Match CoS array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                    class CosInr(object):
                                                                                        """
                                                                                        Match inner header CoS
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                    class Dei(object):
                                                                                        """
                                                                                        Match DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                    class DeiInr(object):
                                                                                        """
                                                                                        Match inner DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                    class Vlan(object):
                                                                                        """
                                                                                        Match VLAN array
                                                                                        
                                                                                        .. attribute:: vlan_id_array
                                                                                        
                                                                                        	vlan id array
                                                                                        	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.vlan_id_array = YList()
                                                                                            self.vlan_id_array.parent = self
                                                                                            self.vlan_id_array.name = 'vlan_id_array'


                                                                                        class VlanIdArray(object):
                                                                                            """
                                                                                            vlan id array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	VLAN mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.vlan_id_array is not None:
                                                                                                for child_ref in self.vlan_id_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                    class VlanInr(object):
                                                                                        """
                                                                                        Match inner header VLAN range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                    class FrDlci(object):
                                                                                        """
                                                                                        Match FR DLCI range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                    class SrcMac(object):
                                                                                        """
                                                                                        Match Source MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                    class DstMac(object):
                                                                                        """
                                                                                        Match Destination MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                    class AtmClp(object):
                                                                                        """
                                                                                        Match ATM CLP level
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                    class FrDe(object):
                                                                                        """
                                                                                        Match FR DE value
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                    class Ipv4Acl(object):
                                                                                        """
                                                                                        IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                    class Ipv6Acl(object):
                                                                                        """
                                                                                        IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                    class EtherServiceAcl(object):
                                                                                        """
                                                                                        Ethernet\-Services Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                    class AvailId(object):
                                                                                        """
                                                                                        Available Identifiers
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                    class MediaType(object):
                                                                                        """
                                                                                        Media Type
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                    class SubsProtocol(object):
                                                                                        """
                                                                                        Protocol
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                    class Dnis(object):
                                                                                        """
                                                                                        DNIS
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                    class DnisRegex(object):
                                                                                        """
                                                                                        DNIS Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                    class Domain(object):
                                                                                        """
                                                                                        Domain Name
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                    class DomainRegex(object):
                                                                                        """
                                                                                        Domain Regular Expression
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                    class NasPort(object):
                                                                                        """
                                                                                        NAS Port
                                                                                        
                                                                                        .. attribute:: nas_port_array
                                                                                        
                                                                                        	nas port array
                                                                                        	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.nas_port_array = YList()
                                                                                            self.nas_port_array.parent = self
                                                                                            self.nas_port_array.name = 'nas_port_array'


                                                                                        class NasPortArray(object):
                                                                                            """
                                                                                            nas port array
                                                                                            
                                                                                            .. attribute:: operator
                                                                                            
                                                                                            	operator
                                                                                            	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                            
                                                                                            .. attribute:: sub_id
                                                                                            
                                                                                            	sub id
                                                                                            	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	value
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.operator = None
                                                                                                self.sub_id = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.operator is not None:
                                                                                                    return True

                                                                                                if self.sub_id is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.nas_port_array is not None:
                                                                                                for child_ref in self.nas_port_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                    class ServiceName(object):
                                                                                        """
                                                                                        Service Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                    class ServiceNameRegex(object):
                                                                                        """
                                                                                        Service Name Regular Exp
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                    class SrcAddrIpv4(object):
                                                                                        """
                                                                                        Source Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                    class DstAddrIpv4(object):
                                                                                        """
                                                                                        Destination Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                    class SrcAddrIpv6(object):
                                                                                        """
                                                                                        Source Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                    class DstAddrIpv6(object):
                                                                                        """
                                                                                        Destination Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                    class SrcAddrMac(object):
                                                                                        """
                                                                                        Source Address MAC
                                                                                        
                                                                                        .. attribute:: mac_addr_array
                                                                                        
                                                                                        	mac addr array
                                                                                        	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr_array = YList()
                                                                                            self.mac_addr_array.parent = self
                                                                                            self.mac_addr_array.name = 'mac_addr_array'


                                                                                        class MacAddrArray(object):
                                                                                            """
                                                                                            mac addr array
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr_array is not None:
                                                                                                for child_ref in self.mac_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                    class Timer(object):
                                                                                        """
                                                                                        Timer
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                    class TimerRegexp(object):
                                                                                        """
                                                                                        Timer Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                    class TunnelName(object):
                                                                                        """
                                                                                        Tunnel Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                    class TunnelNameRegex(object):
                                                                                        """
                                                                                        Tunnel Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                    class UserName(object):
                                                                                        """
                                                                                        User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                    class UserNameRegex(object):
                                                                                        """
                                                                                        User Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                    class AuthUsername(object):
                                                                                        """
                                                                                        Authenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                    class AuthUsernameRegex(object):
                                                                                        """
                                                                                        Authenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                    class UnauthUsername(object):
                                                                                        """
                                                                                        Unauthenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                    class UnauthUsernameRegex(object):
                                                                                        """
                                                                                        Unauthenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                    class AuthDomain(object):
                                                                                        """
                                                                                        Authenticated domain name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                    class AuthDomainRegex(object):
                                                                                        """
                                                                                        Authenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                    class UnauthDomain(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                    class UnauthDomainRegex(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                    class VendorId(object):
                                                                                        """
                                                                                        Vendor ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                    class VendorIdRegex(object):
                                                                                        """
                                                                                        Vendor ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                    class AccessInterface(object):
                                                                                        """
                                                                                        Access interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                    class InputInterface(object):
                                                                                        """
                                                                                        Input interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                    class InputIntfhdl(object):
                                                                                        """
                                                                                        Input interface handle
                                                                                        
                                                                                        .. attribute:: uint64_array
                                                                                        
                                                                                        	uint64 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..18446744073709551615
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint64_array = YLeafList()
                                                                                            self.uint64_array.parent = self
                                                                                            self.uint64_array.name = 'uint64_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint64_array is not None:
                                                                                                for child in self.uint64_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                    class Ethertype(object):
                                                                                        """
                                                                                        Ethernet type
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                    class FlowKeyData(object):
                                                                                        """
                                                                                        Flow key structure
                                                                                        
                                                                                        .. attribute:: flow_keys
                                                                                        
                                                                                        	flow keys
                                                                                        	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                        
                                                                                        .. attribute:: idle_timeout
                                                                                        
                                                                                        	Idle timeout of flows (in seconds)
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        	**units**\: second
                                                                                        
                                                                                        .. attribute:: max_count
                                                                                        
                                                                                        	Maximum count of flows
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flow_keys = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                            self.flow_keys.parent = self
                                                                                            self.idle_timeout = None
                                                                                            self.max_count = None


                                                                                        class FlowKeys(object):
                                                                                            """
                                                                                            flow keys
                                                                                            
                                                                                            .. attribute:: keys
                                                                                            
                                                                                            	keys
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                            
                                                                                            .. attribute:: num
                                                                                            
                                                                                            	num
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.keys = None
                                                                                                self.num = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.keys is not None:
                                                                                                    return True

                                                                                                if self.num is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                return True

                                                                                            if self.idle_timeout is not None:
                                                                                                return True

                                                                                            if self.max_count is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                    class DhcpClientId(object):
                                                                                        """
                                                                                        Dhcp Client ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                    class DhcpClientIdRegex(object):
                                                                                        """
                                                                                        Dhcp Client ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                    class CircuitId(object):
                                                                                        """
                                                                                        Circuit ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                    class CircuitIdRegex(object):
                                                                                        """
                                                                                        Circuit ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                    class RemoteId(object):
                                                                                        """
                                                                                        Remote ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                    class RemoteIdRegex(object):
                                                                                        """
                                                                                        Remote ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                    class SrcPort(object):
                                                                                        """
                                                                                        Source port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                    class DstPort(object):
                                                                                        """
                                                                                        Destination port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.access_interface is not None and self.access_interface._has_data():
                                                                                            return True

                                                                                        if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                            return True

                                                                                        if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                            return True

                                                                                        if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.auth_username is not None and self.auth_username._has_data():
                                                                                            return True

                                                                                        if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.authen_status is not None:
                                                                                            return True

                                                                                        if self.avail_id is not None and self.avail_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                            return True

                                                                                        if self.cos is not None and self.cos._has_data():
                                                                                            return True

                                                                                        if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                            return True

                                                                                        if self.dei is not None and self.dei._has_data():
                                                                                            return True

                                                                                        if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                            return True

                                                                                        if self.discard_class is not None and self.discard_class._has_data():
                                                                                            return True

                                                                                        if self.dnis is not None and self.dnis._has_data():
                                                                                            return True

                                                                                        if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                            return True

                                                                                        if self.domain is not None and self.domain._has_data():
                                                                                            return True

                                                                                        if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                            return True

                                                                                        if self.dscp is not None and self.dscp._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                            return True

                                                                                        if self.dst_port is not None and self.dst_port._has_data():
                                                                                            return True

                                                                                        if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                            return True

                                                                                        if self.ethertype is not None and self.ethertype._has_data():
                                                                                            return True

                                                                                        if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                            return True

                                                                                        if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                            return True

                                                                                        if self.fr_de is not None and self.fr_de._has_data():
                                                                                            return True

                                                                                        if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                            return True

                                                                                        if self.fragment_type is not None:
                                                                                            return True

                                                                                        if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                            return True

                                                                                        if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                            return True

                                                                                        if self.input_interface is not None and self.input_interface._has_data():
                                                                                            return True

                                                                                        if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                            return True

                                                                                        if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                            return True

                                                                                        if self.media_type is not None and self.media_type._has_data():
                                                                                            return True

                                                                                        if self.mlp_negotiated is not None:
                                                                                            return True

                                                                                        if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                            return True

                                                                                        if self.mpls_top_eos is not None:
                                                                                            return True

                                                                                        if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                            return True

                                                                                        if self.nas_port is not None and self.nas_port._has_data():
                                                                                            return True

                                                                                        if self.packet_len is not None and self.packet_len._has_data():
                                                                                            return True

                                                                                        if self.prec is not None and self.prec._has_data():
                                                                                            return True

                                                                                        if self.proto is not None and self.proto._has_data():
                                                                                            return True

                                                                                        if self.qos_group is not None and self.qos_group._has_data():
                                                                                            return True

                                                                                        if self.remote_id is not None and self.remote_id._has_data():
                                                                                            return True

                                                                                        if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                            return True

                                                                                        if self.service_name is not None and self.service_name._has_data():
                                                                                            return True

                                                                                        if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                            return True

                                                                                        if self.src_mac is not None and self.src_mac._has_data():
                                                                                            return True

                                                                                        if self.src_port is not None and self.src_port._has_data():
                                                                                            return True

                                                                                        if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                            return True

                                                                                        if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                            return True

                                                                                        if self.timer is not None and self.timer._has_data():
                                                                                            return True

                                                                                        if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                            return True

                                                                                        if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                            return True

                                                                                        if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                            return True

                                                                                        if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.user_name is not None and self.user_name._has_data():
                                                                                            return True

                                                                                        if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                            return True

                                                                                        if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                            return True

                                                                                        if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                            return True

                                                                                        if self.vlan is not None and self.vlan._has_data():
                                                                                            return True

                                                                                        if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_data is not None and self.match_data._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_match_info_st is not None:
                                                                                    for child_ref in self.class_match_info_st:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_count is not None:
                                                                                return True

                                                                            if self.match_infop is not None and self.match_infop._has_data():
                                                                                return True

                                                                            if self.mode is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_name is not None:
                                                                            return True

                                                                        if self.enc is not None:
                                                                            return True

                                                                        if self.hd is not None:
                                                                            return True

                                                                        if self.idx is not None:
                                                                            return True

                                                                        if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                class ExcdclassP(object):
                                                                    """
                                                                    excdclass p
                                                                    
                                                                    .. attribute:: class_map_bg
                                                                    
                                                                    	class map bg
                                                                    	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_map_bg = YList()
                                                                        self.class_map_bg.parent = self
                                                                        self.class_map_bg.name = 'class_map_bg'


                                                                    class ClassMapBg(object):
                                                                        """
                                                                        class map bg
                                                                        
                                                                        .. attribute:: chk_sum
                                                                        
                                                                        	MD5 checksum of the encoded class\-map bag
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..16
                                                                        
                                                                        .. attribute:: description
                                                                        
                                                                        	description
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Class\-Map Internal
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: magic
                                                                        
                                                                        	Magic number on top of class\-map bag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_count
                                                                        
                                                                        	Number of Match infos
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_infop
                                                                        
                                                                        	Pointer to the first Match info
                                                                        	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                        
                                                                        .. attribute:: mode
                                                                        
                                                                        	Class\-Map Mode Match any/Match all
                                                                        	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Name of the class\-map
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	Class\-Map Type QoS/PBR/Netflow/..
                                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.chk_sum = None
                                                                            self.description = None
                                                                            self.flags = None
                                                                            self.magic = None
                                                                            self.match_count = None
                                                                            self.match_infop = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                            self.match_infop.parent = self
                                                                            self.mode = None
                                                                            self.name = None
                                                                            self.type = None


                                                                        class MatchInfop(object):
                                                                            """
                                                                            Pointer to the first Match info
                                                                            
                                                                            .. attribute:: class_match_info_st
                                                                            
                                                                            	class match info st
                                                                            	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_match_info_st = YList()
                                                                                self.class_match_info_st.parent = self
                                                                                self.class_match_info_st.name = 'class_match_info_st'


                                                                            class ClassMatchInfoSt(object):
                                                                                """
                                                                                class match info st
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_data
                                                                                
                                                                                	Match criteria
                                                                                	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                    self.match_data.parent = self


                                                                                class MatchData(object):
                                                                                    """
                                                                                    Match criteria
                                                                                    
                                                                                    .. attribute:: access_interface
                                                                                    
                                                                                    	Access interface
                                                                                    	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                    
                                                                                    .. attribute:: atm_clp
                                                                                    
                                                                                    	Match ATM CLP level
                                                                                    	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                    
                                                                                    .. attribute:: auth_domain
                                                                                    
                                                                                    	Authenticated domain name
                                                                                    	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                    
                                                                                    .. attribute:: auth_domain_regex
                                                                                    
                                                                                    	Authenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: auth_username
                                                                                    
                                                                                    	Authenticated User Name
                                                                                    	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                    
                                                                                    .. attribute:: auth_username_regex
                                                                                    
                                                                                    	Authenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: authen_status
                                                                                    
                                                                                    	Authentication Status
                                                                                    	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                    
                                                                                    .. attribute:: avail_id
                                                                                    
                                                                                    	Available Identifiers
                                                                                    	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                    
                                                                                    .. attribute:: circuit_id
                                                                                    
                                                                                    	Circuit ID
                                                                                    	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                    
                                                                                    .. attribute:: circuit_id_regex
                                                                                    
                                                                                    	Circuit ID RegEx
                                                                                    	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                    
                                                                                    .. attribute:: cos
                                                                                    
                                                                                    	Match CoS array
                                                                                    	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                    
                                                                                    .. attribute:: cos_inr
                                                                                    
                                                                                    	Match inner header CoS
                                                                                    	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                    
                                                                                    .. attribute:: dei
                                                                                    
                                                                                    	Match DEI Bit
                                                                                    	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                    
                                                                                    .. attribute:: dei_inr
                                                                                    
                                                                                    	Match inner DEI Bit
                                                                                    	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id
                                                                                    
                                                                                    	Dhcp Client ID
                                                                                    	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                    
                                                                                    .. attribute:: dhcp_client_id_regex
                                                                                    
                                                                                    	Dhcp Client ID RegEx
                                                                                    	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                    
                                                                                    .. attribute:: discard_class
                                                                                    
                                                                                    	Match Discard Class array
                                                                                    	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                    
                                                                                    .. attribute:: dnis
                                                                                    
                                                                                    	DNIS
                                                                                    	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                    
                                                                                    .. attribute:: dnis_regex
                                                                                    
                                                                                    	DNIS Regular Expression
                                                                                    	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                    
                                                                                    .. attribute:: domain
                                                                                    
                                                                                    	Domain Name
                                                                                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                    
                                                                                    .. attribute:: domain_regex
                                                                                    
                                                                                    	Domain Regular Expression
                                                                                    	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                    
                                                                                    .. attribute:: dscp
                                                                                    
                                                                                    	Match DSCP range array
                                                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv4
                                                                                    
                                                                                    	Destination Address IPV4
                                                                                    	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: dst_addr_ipv6
                                                                                    
                                                                                    	Destination Address IPV6
                                                                                    	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: dst_mac
                                                                                    
                                                                                    	Match Destination MAC address
                                                                                    	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                    
                                                                                    .. attribute:: dst_port
                                                                                    
                                                                                    	Destination port
                                                                                    	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                    
                                                                                    .. attribute:: ether_service_acl
                                                                                    
                                                                                    	Ethernet\-Services Access\-list
                                                                                    	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                    
                                                                                    .. attribute:: ethertype
                                                                                    
                                                                                    	Ethernet type
                                                                                    	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                    
                                                                                    .. attribute:: flow_key_data
                                                                                    
                                                                                    	Flow key structure
                                                                                    	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                    
                                                                                    .. attribute:: flow_tag
                                                                                    
                                                                                    	Match flow\-tag array
                                                                                    	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                    
                                                                                    .. attribute:: fr_de
                                                                                    
                                                                                    	Match FR DE value
                                                                                    	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                    
                                                                                    .. attribute:: fr_dlci
                                                                                    
                                                                                    	Match FR DLCI range array
                                                                                    	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                    
                                                                                    .. attribute:: fragment_type
                                                                                    
                                                                                    	Fragment type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: icmp_v4
                                                                                    
                                                                                    	Match ICMPV4 Protocol
                                                                                    	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                    
                                                                                    .. attribute:: icmp_v6
                                                                                    
                                                                                    	Match ICMPV6 Protocol array
                                                                                    	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                    
                                                                                    .. attribute:: icmpv4_code
                                                                                    
                                                                                    	Match ipv4 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                    
                                                                                    .. attribute:: icmpv4_type
                                                                                    
                                                                                    	Match ipv4 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                    
                                                                                    .. attribute:: icmpv6_code
                                                                                    
                                                                                    	Match ipv6 icmp code
                                                                                    	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                    
                                                                                    .. attribute:: icmpv6_type
                                                                                    
                                                                                    	Match ipv6 icmp type
                                                                                    	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                    
                                                                                    .. attribute:: input_interface
                                                                                    
                                                                                    	Input interface
                                                                                    	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                    
                                                                                    .. attribute:: input_intfhdl
                                                                                    
                                                                                    	Input interface handle
                                                                                    	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                    
                                                                                    .. attribute:: ipv4_acl
                                                                                    
                                                                                    	IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                    
                                                                                    .. attribute:: ipv4_dscp
                                                                                    
                                                                                    	IPv4 DSCP
                                                                                    	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv4_packet_len
                                                                                    
                                                                                    	IPv4 packet length array
                                                                                    	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv4_prec
                                                                                    
                                                                                    	IPv4 Precedence
                                                                                    	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                    
                                                                                    .. attribute:: ipv6_acl
                                                                                    
                                                                                    	IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                    
                                                                                    .. attribute:: ipv6_dscp
                                                                                    
                                                                                    	IPv6 DSCP
                                                                                    	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                    
                                                                                    .. attribute:: ipv6_packet_len
                                                                                    
                                                                                    	IPv6 packet length array
                                                                                    	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                    
                                                                                    .. attribute:: ipv6_prec
                                                                                    
                                                                                    	IPv6 Precedence
                                                                                    	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                    
                                                                                    .. attribute:: media_type
                                                                                    
                                                                                    	Media Type
                                                                                    	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                    
                                                                                    .. attribute:: mlp_negotiated
                                                                                    
                                                                                    	MLP Negotiated
                                                                                    	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv4_acl
                                                                                    
                                                                                    	MPLS Disposition IPv4 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_disp_ipv6_acl
                                                                                    
                                                                                    	MPLS Disposition IPv6 Access\-list
                                                                                    	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                    
                                                                                    .. attribute:: mpls_exp
                                                                                    
                                                                                    	Match MPLS experimental topmost array
                                                                                    	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                    
                                                                                    .. attribute:: mpls_exp_imp
                                                                                    
                                                                                    	Match MPLS experimental imposition array
                                                                                    	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                    
                                                                                    .. attribute:: mpls_top_eos
                                                                                    
                                                                                    	MPLS Topmost EOS
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: mpls_top_label
                                                                                    
                                                                                    	MPLS Topmost LABEL
                                                                                    	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                    
                                                                                    .. attribute:: nas_port
                                                                                    
                                                                                    	NAS Port
                                                                                    	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                    
                                                                                    .. attribute:: packet_len
                                                                                    
                                                                                    	Match packet length array
                                                                                    	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                    
                                                                                    .. attribute:: prec
                                                                                    
                                                                                    	Match Precedence array
                                                                                    	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                    
                                                                                    .. attribute:: proto
                                                                                    
                                                                                    	Match Protocol array
                                                                                    	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                    
                                                                                    .. attribute:: qos_group
                                                                                    
                                                                                    	Match QoS group array
                                                                                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                    
                                                                                    .. attribute:: remote_id
                                                                                    
                                                                                    	Remote ID
                                                                                    	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                    
                                                                                    .. attribute:: remote_id_regex
                                                                                    
                                                                                    	Remote ID RegEx
                                                                                    	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                    
                                                                                    .. attribute:: service_name
                                                                                    
                                                                                    	Service Name
                                                                                    	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                    
                                                                                    .. attribute:: service_name_regex
                                                                                    
                                                                                    	Service Name Regular Exp
                                                                                    	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv4
                                                                                    
                                                                                    	Source Address IPV4
                                                                                    	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                    
                                                                                    .. attribute:: src_addr_ipv6
                                                                                    
                                                                                    	Source Address IPV6
                                                                                    	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                    
                                                                                    .. attribute:: src_addr_mac
                                                                                    
                                                                                    	Source Address MAC
                                                                                    	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                    
                                                                                    .. attribute:: src_mac
                                                                                    
                                                                                    	Match Source MAC address
                                                                                    	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                    
                                                                                    .. attribute:: src_port
                                                                                    
                                                                                    	Source port
                                                                                    	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                    
                                                                                    .. attribute:: subs_protocol
                                                                                    
                                                                                    	Protocol
                                                                                    	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                    
                                                                                    .. attribute:: tcp_flag
                                                                                    
                                                                                    	Match tcp flag value
                                                                                    	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                    
                                                                                    .. attribute:: timer
                                                                                    
                                                                                    	Timer
                                                                                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                    
                                                                                    .. attribute:: timer_regexp
                                                                                    
                                                                                    	Timer Regular Expression
                                                                                    	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                    
                                                                                    .. attribute:: traffic_class
                                                                                    
                                                                                    	Match Traffic class array
                                                                                    	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                    
                                                                                    .. attribute:: tunnel_name
                                                                                    
                                                                                    	Tunnel Name
                                                                                    	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                    
                                                                                    .. attribute:: tunnel_name_regex
                                                                                    
                                                                                    	Tunnel Name Regular Expression
                                                                                    	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                    
                                                                                    .. attribute:: unauth_domain
                                                                                    
                                                                                    	Unauthenticated Domain Name
                                                                                    	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                    
                                                                                    .. attribute:: unauth_domain_regex
                                                                                    
                                                                                    	Unauthenticated Domain Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                    
                                                                                    .. attribute:: unauth_username
                                                                                    
                                                                                    	Unauthenticated User Name
                                                                                    	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                    
                                                                                    .. attribute:: unauth_username_regex
                                                                                    
                                                                                    	Unauthenticated User Name RegEx
                                                                                    	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                    
                                                                                    .. attribute:: user_name
                                                                                    
                                                                                    	User Name
                                                                                    	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                    
                                                                                    .. attribute:: user_name_regex
                                                                                    
                                                                                    	User Name Regular Expression
                                                                                    	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                    
                                                                                    .. attribute:: vendor_id
                                                                                    
                                                                                    	Vendor ID
                                                                                    	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                    
                                                                                    .. attribute:: vendor_id_regex
                                                                                    
                                                                                    	Vendor ID RegEx
                                                                                    	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                    
                                                                                    .. attribute:: vlan
                                                                                    
                                                                                    	Match VLAN array
                                                                                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                    
                                                                                    .. attribute:: vlan_inr
                                                                                    
                                                                                    	Match inner header VLAN range array
                                                                                    	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.access_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                        self.access_interface.parent = self
                                                                                        self.atm_clp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                        self.atm_clp.parent = self
                                                                                        self.auth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                        self.auth_domain.parent = self
                                                                                        self.auth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                        self.auth_domain_regex.parent = self
                                                                                        self.auth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                        self.auth_username.parent = self
                                                                                        self.auth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                        self.auth_username_regex.parent = self
                                                                                        self.authen_status = None
                                                                                        self.avail_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                        self.avail_id.parent = self
                                                                                        self.circuit_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                        self.circuit_id.parent = self
                                                                                        self.circuit_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                        self.circuit_id_regex.parent = self
                                                                                        self.cos = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                        self.cos.parent = self
                                                                                        self.cos_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                        self.cos_inr.parent = self
                                                                                        self.dei = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                        self.dei.parent = self
                                                                                        self.dei_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                        self.dei_inr.parent = self
                                                                                        self.dhcp_client_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                        self.dhcp_client_id.parent = self
                                                                                        self.dhcp_client_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                        self.dhcp_client_id_regex.parent = self
                                                                                        self.discard_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                        self.discard_class.parent = self
                                                                                        self.dnis = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                        self.dnis.parent = self
                                                                                        self.dnis_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                        self.dnis_regex.parent = self
                                                                                        self.domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                        self.domain.parent = self
                                                                                        self.domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                        self.domain_regex.parent = self
                                                                                        self.dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                        self.dscp.parent = self
                                                                                        self.dst_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                        self.dst_addr_ipv4.parent = self
                                                                                        self.dst_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                        self.dst_addr_ipv6.parent = self
                                                                                        self.dst_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                        self.dst_mac.parent = self
                                                                                        self.dst_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                        self.dst_port.parent = self
                                                                                        self.ether_service_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                        self.ether_service_acl.parent = self
                                                                                        self.ethertype = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                        self.ethertype.parent = self
                                                                                        self.flow_key_data = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                        self.flow_key_data.parent = self
                                                                                        self.flow_tag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                        self.flow_tag.parent = self
                                                                                        self.fr_de = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                        self.fr_de.parent = self
                                                                                        self.fr_dlci = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                        self.fr_dlci.parent = self
                                                                                        self.fragment_type = None
                                                                                        self.icmp_v4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                        self.icmp_v4.parent = self
                                                                                        self.icmp_v6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                        self.icmp_v6.parent = self
                                                                                        self.icmpv4_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                        self.icmpv4_code.parent = self
                                                                                        self.icmpv4_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                        self.icmpv4_type.parent = self
                                                                                        self.icmpv6_code = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                        self.icmpv6_code.parent = self
                                                                                        self.icmpv6_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                        self.icmpv6_type.parent = self
                                                                                        self.input_interface = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                        self.input_interface.parent = self
                                                                                        self.input_intfhdl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                        self.input_intfhdl.parent = self
                                                                                        self.ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                        self.ipv4_acl.parent = self
                                                                                        self.ipv4_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                        self.ipv4_dscp.parent = self
                                                                                        self.ipv4_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                        self.ipv4_packet_len.parent = self
                                                                                        self.ipv4_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                        self.ipv4_prec.parent = self
                                                                                        self.ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                        self.ipv6_acl.parent = self
                                                                                        self.ipv6_dscp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                        self.ipv6_dscp.parent = self
                                                                                        self.ipv6_packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                        self.ipv6_packet_len.parent = self
                                                                                        self.ipv6_prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                        self.ipv6_prec.parent = self
                                                                                        self.media_type = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                        self.media_type.parent = self
                                                                                        self.mlp_negotiated = None
                                                                                        self.mpls_disp_ipv4_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                        self.mpls_disp_ipv4_acl.parent = self
                                                                                        self.mpls_disp_ipv6_acl = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                        self.mpls_disp_ipv6_acl.parent = self
                                                                                        self.mpls_exp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                        self.mpls_exp.parent = self
                                                                                        self.mpls_exp_imp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                        self.mpls_exp_imp.parent = self
                                                                                        self.mpls_top_eos = None
                                                                                        self.mpls_top_label = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                        self.mpls_top_label.parent = self
                                                                                        self.nas_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                        self.nas_port.parent = self
                                                                                        self.packet_len = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                        self.packet_len.parent = self
                                                                                        self.prec = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                        self.prec.parent = self
                                                                                        self.proto = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                        self.proto.parent = self
                                                                                        self.qos_group = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                        self.qos_group.parent = self
                                                                                        self.remote_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                        self.remote_id.parent = self
                                                                                        self.remote_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                        self.remote_id_regex.parent = self
                                                                                        self.service_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                        self.service_name.parent = self
                                                                                        self.service_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                        self.service_name_regex.parent = self
                                                                                        self.src_addr_ipv4 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                        self.src_addr_ipv4.parent = self
                                                                                        self.src_addr_ipv6 = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                        self.src_addr_ipv6.parent = self
                                                                                        self.src_addr_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                        self.src_addr_mac.parent = self
                                                                                        self.src_mac = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                        self.src_mac.parent = self
                                                                                        self.src_port = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                        self.src_port.parent = self
                                                                                        self.subs_protocol = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                        self.subs_protocol.parent = self
                                                                                        self.tcp_flag = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                        self.tcp_flag.parent = self
                                                                                        self.timer = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                        self.timer.parent = self
                                                                                        self.timer_regexp = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                        self.timer_regexp.parent = self
                                                                                        self.traffic_class = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                        self.traffic_class.parent = self
                                                                                        self.tunnel_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                        self.tunnel_name.parent = self
                                                                                        self.tunnel_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                        self.tunnel_name_regex.parent = self
                                                                                        self.type = None
                                                                                        self.unauth_domain = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                        self.unauth_domain.parent = self
                                                                                        self.unauth_domain_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                        self.unauth_domain_regex.parent = self
                                                                                        self.unauth_username = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                        self.unauth_username.parent = self
                                                                                        self.unauth_username_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                        self.unauth_username_regex.parent = self
                                                                                        self.user_name = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                        self.user_name.parent = self
                                                                                        self.user_name_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                        self.user_name_regex.parent = self
                                                                                        self.vendor_id = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                        self.vendor_id.parent = self
                                                                                        self.vendor_id_regex = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                        self.vendor_id_regex.parent = self
                                                                                        self.vlan = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                        self.vlan.parent = self
                                                                                        self.vlan_inr = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                        self.vlan_inr.parent = self


                                                                                    class Ipv4Dscp(object):
                                                                                        """
                                                                                        IPv4 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                    class Ipv6Dscp(object):
                                                                                        """
                                                                                        IPv6 DSCP
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                    class Dscp(object):
                                                                                        """
                                                                                        Match DSCP range array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                    class Ipv4Prec(object):
                                                                                        """
                                                                                        IPv4 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                    class Ipv6Prec(object):
                                                                                        """
                                                                                        IPv6 Precedence
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                    class Prec(object):
                                                                                        """
                                                                                        Match Precedence array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                    class DiscardClass(object):
                                                                                        """
                                                                                        Match Discard Class array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                    class QosGroup(object):
                                                                                        """
                                                                                        Match QoS group array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                    class TrafficClass(object):
                                                                                        """
                                                                                        Match Traffic class array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                    class Proto(object):
                                                                                        """
                                                                                        Match Protocol array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                    class IcmpV4(object):
                                                                                        """
                                                                                        Match ICMPV4 Protocol
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                    class IcmpV6(object):
                                                                                        """
                                                                                        Match ICMPV6 Protocol array
                                                                                        
                                                                                        .. attribute:: code
                                                                                        
                                                                                        	Protocol code
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	Protocol type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.code = None
                                                                                            self.type = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.code is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                    class Ipv4PacketLen(object):
                                                                                        """
                                                                                        IPv4 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                    class Ipv6PacketLen(object):
                                                                                        """
                                                                                        IPv6 packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                    class PacketLen(object):
                                                                                        """
                                                                                        Match packet length array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                    class FlowTag(object):
                                                                                        """
                                                                                        Match flow\-tag array
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                    class TcpFlag(object):
                                                                                        """
                                                                                        Match tcp flag value
                                                                                        
                                                                                        .. attribute:: match_any
                                                                                        
                                                                                        	Match any TCP flag bit
                                                                                        	**type**\:  bool
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	Value of TCP flag
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.match_any = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.match_any is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                    class Icmpv4Type(object):
                                                                                        """
                                                                                        Match ipv4 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                    class Icmpv4Code(object):
                                                                                        """
                                                                                        Match ipv4 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                    class Icmpv6Type(object):
                                                                                        """
                                                                                        Match ipv6 icmp type
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                    class Icmpv6Code(object):
                                                                                        """
                                                                                        Match ipv6 icmp code
                                                                                        
                                                                                        .. attribute:: uint8_rng_array
                                                                                        
                                                                                        	uint8 rng array
                                                                                        	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_rng_array = YList()
                                                                                            self.uint8_rng_array.parent = self
                                                                                            self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                        class Uint8_Rng_Array(object):
                                                                                            """
                                                                                            uint8 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_rng_array is not None:
                                                                                                for child_ref in self.uint8_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                    class MplsExp(object):
                                                                                        """
                                                                                        Match MPLS experimental topmost array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                    class MplsExpImp(object):
                                                                                        """
                                                                                        Match MPLS experimental imposition array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                    class MplsDispIpv4Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                    class MplsDispIpv6Acl(object):
                                                                                        """
                                                                                        MPLS Disposition IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                    class MplsTopLabel(object):
                                                                                        """
                                                                                        MPLS Topmost LABEL
                                                                                        
                                                                                        .. attribute:: uint32_rng_array
                                                                                        
                                                                                        	uint32 rng array
                                                                                        	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint32_rng_array = YList()
                                                                                            self.uint32_rng_array.parent = self
                                                                                            self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                        class Uint32_Rng_Array(object):
                                                                                            """
                                                                                            uint32 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint32_rng_array is not None:
                                                                                                for child_ref in self.uint32_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                    class Cos(object):
                                                                                        """
                                                                                        Match CoS array
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                    class CosInr(object):
                                                                                        """
                                                                                        Match inner header CoS
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                    class Dei(object):
                                                                                        """
                                                                                        Match DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                    class DeiInr(object):
                                                                                        """
                                                                                        Match inner DEI Bit
                                                                                        
                                                                                        .. attribute:: bit_value
                                                                                        
                                                                                        	Value of the DEI bit
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.bit_value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.bit_value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                    class Vlan(object):
                                                                                        """
                                                                                        Match VLAN array
                                                                                        
                                                                                        .. attribute:: vlan_id_array
                                                                                        
                                                                                        	vlan id array
                                                                                        	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.vlan_id_array = YList()
                                                                                            self.vlan_id_array.parent = self
                                                                                            self.vlan_id_array.name = 'vlan_id_array'


                                                                                        class VlanIdArray(object):
                                                                                            """
                                                                                            vlan id array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	VLAN mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.vlan_id_array is not None:
                                                                                                for child_ref in self.vlan_id_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                    class VlanInr(object):
                                                                                        """
                                                                                        Match inner header VLAN range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                    class FrDlci(object):
                                                                                        """
                                                                                        Match FR DLCI range array
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                    class SrcMac(object):
                                                                                        """
                                                                                        Match Source MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                    class DstMac(object):
                                                                                        """
                                                                                        Match Destination MAC address
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                    class AtmClp(object):
                                                                                        """
                                                                                        Match ATM CLP level
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                    class FrDe(object):
                                                                                        """
                                                                                        Match FR DE value
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                    class Ipv4Acl(object):
                                                                                        """
                                                                                        IPv4 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                    class Ipv6Acl(object):
                                                                                        """
                                                                                        IPv6 Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                    class EtherServiceAcl(object):
                                                                                        """
                                                                                        Ethernet\-Services Access\-list
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                    class AvailId(object):
                                                                                        """
                                                                                        Available Identifiers
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                    class MediaType(object):
                                                                                        """
                                                                                        Media Type
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                    class SubsProtocol(object):
                                                                                        """
                                                                                        Protocol
                                                                                        
                                                                                        .. attribute:: uint8_array
                                                                                        
                                                                                        	uint8 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint8_array = YLeafList()
                                                                                            self.uint8_array.parent = self
                                                                                            self.uint8_array.name = 'uint8_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint8_array is not None:
                                                                                                for child in self.uint8_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                    class Dnis(object):
                                                                                        """
                                                                                        DNIS
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                    class DnisRegex(object):
                                                                                        """
                                                                                        DNIS Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                    class Domain(object):
                                                                                        """
                                                                                        Domain Name
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                    class DomainRegex(object):
                                                                                        """
                                                                                        Domain Regular Expression
                                                                                        
                                                                                        .. attribute:: domain_array
                                                                                        
                                                                                        	domain array
                                                                                        	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_array = YList()
                                                                                            self.domain_array.parent = self
                                                                                            self.domain_array.name = 'domain_array'


                                                                                        class DomainArray(object):
                                                                                            """
                                                                                            domain array
                                                                                            
                                                                                            .. attribute:: domain_name
                                                                                            
                                                                                            	domain name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            .. attribute:: format_name
                                                                                            
                                                                                            	format name
                                                                                            	**type**\:  str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_name = None
                                                                                                self.format_name = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_name is not None:
                                                                                                    return True

                                                                                                if self.format_name is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_array is not None:
                                                                                                for child_ref in self.domain_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                    class NasPort(object):
                                                                                        """
                                                                                        NAS Port
                                                                                        
                                                                                        .. attribute:: nas_port_array
                                                                                        
                                                                                        	nas port array
                                                                                        	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.nas_port_array = YList()
                                                                                            self.nas_port_array.parent = self
                                                                                            self.nas_port_array.name = 'nas_port_array'


                                                                                        class NasPortArray(object):
                                                                                            """
                                                                                            nas port array
                                                                                            
                                                                                            .. attribute:: operator
                                                                                            
                                                                                            	operator
                                                                                            	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                            
                                                                                            .. attribute:: sub_id
                                                                                            
                                                                                            	sub id
                                                                                            	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	value
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.operator = None
                                                                                                self.sub_id = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.operator is not None:
                                                                                                    return True

                                                                                                if self.sub_id is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.nas_port_array is not None:
                                                                                                for child_ref in self.nas_port_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                    class ServiceName(object):
                                                                                        """
                                                                                        Service Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                    class ServiceNameRegex(object):
                                                                                        """
                                                                                        Service Name Regular Exp
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                    class SrcAddrIpv4(object):
                                                                                        """
                                                                                        Source Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                    class DstAddrIpv4(object):
                                                                                        """
                                                                                        Destination Address IPV4
                                                                                        
                                                                                        .. attribute:: ipv4_addr_array
                                                                                        
                                                                                        	ipv4 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv4_addr_array = YList()
                                                                                            self.ipv4_addr_array.parent = self
                                                                                            self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                        class Ipv4AddrArray(object):
                                                                                            """
                                                                                            ipv4 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	mask
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv4_addr_array is not None:
                                                                                                for child_ref in self.ipv4_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                    class SrcAddrIpv6(object):
                                                                                        """
                                                                                        Source Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                    class DstAddrIpv6(object):
                                                                                        """
                                                                                        Destination Address IPV6
                                                                                        
                                                                                        .. attribute:: ipv6_addr_array
                                                                                        
                                                                                        	ipv6 addr array
                                                                                        	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.ipv6_addr_array = YList()
                                                                                            self.ipv6_addr_array.parent = self
                                                                                            self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                        class Ipv6AddrArray(object):
                                                                                            """
                                                                                            ipv6 addr array
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	IPV6 mask
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: prefix
                                                                                            
                                                                                            	IPV6 prefix
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mask = None
                                                                                                self.prefix = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mask is not None:
                                                                                                    return True

                                                                                                if self.prefix is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.ipv6_addr_array is not None:
                                                                                                for child_ref in self.ipv6_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                    class SrcAddrMac(object):
                                                                                        """
                                                                                        Source Address MAC
                                                                                        
                                                                                        .. attribute:: mac_addr_array
                                                                                        
                                                                                        	mac addr array
                                                                                        	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr_array = YList()
                                                                                            self.mac_addr_array.parent = self
                                                                                            self.mac_addr_array.name = 'mac_addr_array'


                                                                                        class MacAddrArray(object):
                                                                                            """
                                                                                            mac addr array
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr_array is not None:
                                                                                                for child_ref in self.mac_addr_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                    class Timer(object):
                                                                                        """
                                                                                        Timer
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                    class TimerRegexp(object):
                                                                                        """
                                                                                        Timer Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                    class TunnelName(object):
                                                                                        """
                                                                                        Tunnel Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                    class TunnelNameRegex(object):
                                                                                        """
                                                                                        Tunnel Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                    class UserName(object):
                                                                                        """
                                                                                        User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                    class UserNameRegex(object):
                                                                                        """
                                                                                        User Name Regular Expression
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                    class AuthUsername(object):
                                                                                        """
                                                                                        Authenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                    class AuthUsernameRegex(object):
                                                                                        """
                                                                                        Authenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                    class UnauthUsername(object):
                                                                                        """
                                                                                        Unauthenticated User Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                    class UnauthUsernameRegex(object):
                                                                                        """
                                                                                        Unauthenticated User Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                    class AuthDomain(object):
                                                                                        """
                                                                                        Authenticated domain name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                    class AuthDomainRegex(object):
                                                                                        """
                                                                                        Authenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                    class UnauthDomain(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                    class UnauthDomainRegex(object):
                                                                                        """
                                                                                        Unauthenticated Domain Name RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                    class VendorId(object):
                                                                                        """
                                                                                        Vendor ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                    class VendorIdRegex(object):
                                                                                        """
                                                                                        Vendor ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                    class AccessInterface(object):
                                                                                        """
                                                                                        Access interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                    class InputInterface(object):
                                                                                        """
                                                                                        Input interface
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                    class InputIntfhdl(object):
                                                                                        """
                                                                                        Input interface handle
                                                                                        
                                                                                        .. attribute:: uint64_array
                                                                                        
                                                                                        	uint64 array
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..18446744073709551615
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint64_array = YLeafList()
                                                                                            self.uint64_array.parent = self
                                                                                            self.uint64_array.name = 'uint64_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint64_array is not None:
                                                                                                for child in self.uint64_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                    class Ethertype(object):
                                                                                        """
                                                                                        Ethernet type
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                    class FlowKeyData(object):
                                                                                        """
                                                                                        Flow key structure
                                                                                        
                                                                                        .. attribute:: flow_keys
                                                                                        
                                                                                        	flow keys
                                                                                        	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                        
                                                                                        .. attribute:: idle_timeout
                                                                                        
                                                                                        	Idle timeout of flows (in seconds)
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        	**units**\: second
                                                                                        
                                                                                        .. attribute:: max_count
                                                                                        
                                                                                        	Maximum count of flows
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flow_keys = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                            self.flow_keys.parent = self
                                                                                            self.idle_timeout = None
                                                                                            self.max_count = None


                                                                                        class FlowKeys(object):
                                                                                            """
                                                                                            flow keys
                                                                                            
                                                                                            .. attribute:: keys
                                                                                            
                                                                                            	keys
                                                                                            	**type**\:  str
                                                                                            
                                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                            
                                                                                            .. attribute:: num
                                                                                            
                                                                                            	num
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.keys = None
                                                                                                self.num = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.keys is not None:
                                                                                                    return True

                                                                                                if self.num is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                return True

                                                                                            if self.idle_timeout is not None:
                                                                                                return True

                                                                                            if self.max_count is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                    class DhcpClientId(object):
                                                                                        """
                                                                                        Dhcp Client ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                    class DhcpClientIdRegex(object):
                                                                                        """
                                                                                        Dhcp Client ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                    class CircuitId(object):
                                                                                        """
                                                                                        Circuit ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                    class CircuitIdRegex(object):
                                                                                        """
                                                                                        Circuit ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                    class RemoteId(object):
                                                                                        """
                                                                                        Remote ID
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                    class RemoteIdRegex(object):
                                                                                        """
                                                                                        Remote ID RegEx
                                                                                        
                                                                                        .. attribute:: string_array
                                                                                        
                                                                                        	string array
                                                                                        	**type**\:  list of str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.string_array = YLeafList()
                                                                                            self.string_array.parent = self
                                                                                            self.string_array.name = 'string_array'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.string_array is not None:
                                                                                                for child in self.string_array:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                    class SrcPort(object):
                                                                                        """
                                                                                        Source port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                    class DstPort(object):
                                                                                        """
                                                                                        Destination port
                                                                                        
                                                                                        .. attribute:: uint16_rng_array
                                                                                        
                                                                                        	uint16 rng array
                                                                                        	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.uint16_rng_array = YList()
                                                                                            self.uint16_rng_array.parent = self
                                                                                            self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                        class Uint16_Rng_Array(object):
                                                                                            """
                                                                                            uint16 rng array
                                                                                            
                                                                                            .. attribute:: max
                                                                                            
                                                                                            	Upper limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: min
                                                                                            
                                                                                            	Lower limit of the range
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.max = None
                                                                                                self.min = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.max is not None:
                                                                                                    return True

                                                                                                if self.min is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.uint16_rng_array is not None:
                                                                                                for child_ref in self.uint16_rng_array:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.access_interface is not None and self.access_interface._has_data():
                                                                                            return True

                                                                                        if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                            return True

                                                                                        if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                            return True

                                                                                        if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.auth_username is not None and self.auth_username._has_data():
                                                                                            return True

                                                                                        if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.authen_status is not None:
                                                                                            return True

                                                                                        if self.avail_id is not None and self.avail_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                            return True

                                                                                        if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                            return True

                                                                                        if self.cos is not None and self.cos._has_data():
                                                                                            return True

                                                                                        if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                            return True

                                                                                        if self.dei is not None and self.dei._has_data():
                                                                                            return True

                                                                                        if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                            return True

                                                                                        if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                            return True

                                                                                        if self.discard_class is not None and self.discard_class._has_data():
                                                                                            return True

                                                                                        if self.dnis is not None and self.dnis._has_data():
                                                                                            return True

                                                                                        if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                            return True

                                                                                        if self.domain is not None and self.domain._has_data():
                                                                                            return True

                                                                                        if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                            return True

                                                                                        if self.dscp is not None and self.dscp._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                            return True

                                                                                        if self.dst_port is not None and self.dst_port._has_data():
                                                                                            return True

                                                                                        if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                            return True

                                                                                        if self.ethertype is not None and self.ethertype._has_data():
                                                                                            return True

                                                                                        if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                            return True

                                                                                        if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                            return True

                                                                                        if self.fr_de is not None and self.fr_de._has_data():
                                                                                            return True

                                                                                        if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                            return True

                                                                                        if self.fragment_type is not None:
                                                                                            return True

                                                                                        if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                            return True

                                                                                        if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                            return True

                                                                                        if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                            return True

                                                                                        if self.input_interface is not None and self.input_interface._has_data():
                                                                                            return True

                                                                                        if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                            return True

                                                                                        if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                            return True

                                                                                        if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                            return True

                                                                                        if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                            return True

                                                                                        if self.media_type is not None and self.media_type._has_data():
                                                                                            return True

                                                                                        if self.mlp_negotiated is not None:
                                                                                            return True

                                                                                        if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                            return True

                                                                                        if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                            return True

                                                                                        if self.mpls_top_eos is not None:
                                                                                            return True

                                                                                        if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                            return True

                                                                                        if self.nas_port is not None and self.nas_port._has_data():
                                                                                            return True

                                                                                        if self.packet_len is not None and self.packet_len._has_data():
                                                                                            return True

                                                                                        if self.prec is not None and self.prec._has_data():
                                                                                            return True

                                                                                        if self.proto is not None and self.proto._has_data():
                                                                                            return True

                                                                                        if self.qos_group is not None and self.qos_group._has_data():
                                                                                            return True

                                                                                        if self.remote_id is not None and self.remote_id._has_data():
                                                                                            return True

                                                                                        if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                            return True

                                                                                        if self.service_name is not None and self.service_name._has_data():
                                                                                            return True

                                                                                        if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                            return True

                                                                                        if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                            return True

                                                                                        if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                            return True

                                                                                        if self.src_mac is not None and self.src_mac._has_data():
                                                                                            return True

                                                                                        if self.src_port is not None and self.src_port._has_data():
                                                                                            return True

                                                                                        if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                            return True

                                                                                        if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                            return True

                                                                                        if self.timer is not None and self.timer._has_data():
                                                                                            return True

                                                                                        if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                            return True

                                                                                        if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                            return True

                                                                                        if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                            return True

                                                                                        if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                            return True

                                                                                        if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                            return True

                                                                                        if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                            return True

                                                                                        if self.user_name is not None and self.user_name._has_data():
                                                                                            return True

                                                                                        if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                            return True

                                                                                        if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                            return True

                                                                                        if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                            return True

                                                                                        if self.vlan is not None and self.vlan._has_data():
                                                                                            return True

                                                                                        if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_data is not None and self.match_data._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_match_info_st is not None:
                                                                                    for child_ref in self.class_match_info_st:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.chk_sum is not None:
                                                                                return True

                                                                            if self.description is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.magic is not None:
                                                                                return True

                                                                            if self.match_count is not None:
                                                                                return True

                                                                            if self.match_infop is not None and self.match_infop._has_data():
                                                                                return True

                                                                            if self.mode is not None:
                                                                                return True

                                                                            if self.name is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_map_bg is not None:
                                                                            for child_ref in self.class_map_bg:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.burst is not None and self.burst._has_data():
                                                                        return True

                                                                    if self.cdvt is not None and self.cdvt._has_data():
                                                                        return True

                                                                    if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                        return True

                                                                    if self.confclass_p is not None and self.confclass_p._has_data():
                                                                        return True

                                                                    if self.conform_actns is not None and self.conform_actns._has_data():
                                                                        return True

                                                                    if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                        return True

                                                                    if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                        return True

                                                                    if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.peak_burst is not None and self.peak_burst._has_data():
                                                                        return True

                                                                    if self.peak_rate is not None and self.peak_rate._has_data():
                                                                        return True

                                                                    if self.police_flags is not None:
                                                                        return True

                                                                    if self.rate is not None and self.rate._has_data():
                                                                        return True

                                                                    if self.sbuck_name is not None:
                                                                        return True

                                                                    if self.sbuck_type is not None:
                                                                        return True

                                                                    if self.violate_actns is not None and self.violate_actns._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                            class Shape(object):
                                                                """
                                                                shape
                                                                
                                                                .. attribute:: be
                                                                
                                                                	be
                                                                	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                
                                                                .. attribute:: bw
                                                                
                                                                	bw
                                                                	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.be = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                    self.be.parent = self
                                                                    self.bw = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                    self.bw.parent = self


                                                                class Bw(object):
                                                                    """
                                                                    bw
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                class Be(object):
                                                                    """
                                                                    be
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.be is not None and self.be._has_data():
                                                                        return True

                                                                    if self.bw is not None and self.bw._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                            class ChildPolicy(object):
                                                                """
                                                                child policy
                                                                
                                                                .. attribute:: enc
                                                                
                                                                	enc
                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                
                                                                .. attribute:: hd_info
                                                                
                                                                	hd info
                                                                	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                
                                                                .. attribute:: info
                                                                
                                                                	info
                                                                	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.enc = None
                                                                    self.hd_info = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                    self.hd_info.parent = self
                                                                    self.info = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                    self.info.parent = self


                                                                class Info(object):
                                                                    """
                                                                    info
                                                                    
                                                                    .. attribute:: name
                                                                    
                                                                    	name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.name = None
                                                                        self.type = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.name is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                class HdInfo(object):
                                                                    """
                                                                    hd info
                                                                    
                                                                    .. attribute:: data_hd
                                                                    
                                                                    	data hd
                                                                    	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                    
                                                                    .. attribute:: hd
                                                                    
                                                                    	hd
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..18446744073709551615
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.data_hd = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                        self.data_hd.parent = self
                                                                        self.hd = None


                                                                    class DataHd(object):
                                                                        """
                                                                        data hd
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.data_hd is not None and self.data_hd._has_data():
                                                                            return True

                                                                        if self.hd is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.enc is not None:
                                                                        return True

                                                                    if self.hd_info is not None and self.hd_info._has_data():
                                                                        return True

                                                                    if self.info is not None and self.info._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                            class Cac(object):
                                                                """
                                                                cac
                                                                
                                                                .. attribute:: cac_type
                                                                
                                                                	cac type
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                .. attribute:: flow_rate
                                                                
                                                                	flow rate
                                                                	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                
                                                                .. attribute:: idle_timeout
                                                                
                                                                	idle timeout
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: rate
                                                                
                                                                	rate
                                                                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.cac_type = None
                                                                    self.flow_rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                    self.flow_rate.parent = self
                                                                    self.idle_timeout = None
                                                                    self.rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                    self.rate.parent = self


                                                                class FlowRate(object):
                                                                    """
                                                                    flow rate
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                class Rate(object):
                                                                    """
                                                                    rate
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.cac_type is not None:
                                                                        return True

                                                                    if self.flow_rate is not None and self.flow_rate._has_data():
                                                                        return True

                                                                    if self.idle_timeout is not None:
                                                                        return True

                                                                    if self.rate is not None and self.rate._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                            class Pfc(object):
                                                                """
                                                                pfc
                                                                
                                                                .. attribute:: buffer_size
                                                                
                                                                	buffer size
                                                                	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                
                                                                .. attribute:: buffer_size_flag
                                                                
                                                                	buffer size flag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: pause_threshold
                                                                
                                                                	pause threshold
                                                                	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                
                                                                .. attribute:: pfc_pause_set
                                                                
                                                                	pfc pause set
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: resume_threshold
                                                                
                                                                	resume threshold
                                                                	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.buffer_size = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                    self.buffer_size.parent = self
                                                                    self.buffer_size_flag = None
                                                                    self.pause_threshold = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                    self.pause_threshold.parent = self
                                                                    self.pfc_pause_set = None
                                                                    self.resume_threshold = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                    self.resume_threshold.parent = self


                                                                class BufferSize(object):
                                                                    """
                                                                    buffer size
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                class PauseThreshold(object):
                                                                    """
                                                                    pause threshold
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                class ResumeThreshold(object):
                                                                    """
                                                                    resume threshold
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.buffer_size is not None and self.buffer_size._has_data():
                                                                        return True

                                                                    if self.buffer_size_flag is not None:
                                                                        return True

                                                                    if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                        return True

                                                                    if self.pfc_pause_set is not None:
                                                                        return True

                                                                    if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                            class FlowParm(object):
                                                                """
                                                                flow parm
                                                                
                                                                .. attribute:: flow_timeout
                                                                
                                                                	timeout in secs
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                	**units**\: second
                                                                
                                                                .. attribute:: intvl_hist
                                                                
                                                                	num intervals of data stored on rtr
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: max_mon_flows
                                                                
                                                                	max simult flows monitored per policy class
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: mon_interval
                                                                
                                                                	monitored interval duration in secs
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                	**units**\: second
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flow_timeout = None
                                                                    self.intvl_hist = None
                                                                    self.max_mon_flows = None
                                                                    self.mon_interval = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flow_timeout is not None:
                                                                        return True

                                                                    if self.intvl_hist is not None:
                                                                        return True

                                                                    if self.max_mon_flows is not None:
                                                                        return True

                                                                    if self.mon_interval is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                            class Ipcbr(object):
                                                                """
                                                                ipcbr
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: ip_bit_rate
                                                                
                                                                	data rate in bps
                                                                	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                
                                                                .. attribute:: ip_pkt_rate
                                                                
                                                                	packet rate in pps
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: media_bit_rate
                                                                
                                                                	media data rate in bps
                                                                	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                
                                                                .. attribute:: media_pkt_size
                                                                
                                                                	media packet size in bytes
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                	**units**\: byte
                                                                
                                                                .. attribute:: media_pkts_per_ip
                                                                
                                                                	media packets per ip pkt
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.ip_bit_rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                    self.ip_bit_rate.parent = self
                                                                    self.ip_pkt_rate = None
                                                                    self.media_bit_rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                    self.media_bit_rate.parent = self
                                                                    self.media_pkt_size = None
                                                                    self.media_pkts_per_ip = None


                                                                class IpBitRate(object):
                                                                    """
                                                                    data rate in bps
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                class MediaBitRate(object):
                                                                    """
                                                                    media data rate in bps
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                        return True

                                                                    if self.ip_pkt_rate is not None:
                                                                        return True

                                                                    if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                        return True

                                                                    if self.media_pkt_size is not None:
                                                                        return True

                                                                    if self.media_pkts_per_ip is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                            class Rtp(object):
                                                                """
                                                                rtp
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: clock_rate
                                                                
                                                                	clock rate
                                                                	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                
                                                                .. attribute:: max_dropout
                                                                
                                                                	max dropout
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: max_misorder
                                                                
                                                                	max misorder
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: min_sequential
                                                                
                                                                	min sequential
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: seq_ext_cop4
                                                                
                                                                	enable seq extension cop4
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.clock_rate = YList()
                                                                    self.clock_rate.parent = self
                                                                    self.clock_rate.name = 'clock_rate'
                                                                    self.max_dropout = None
                                                                    self.max_misorder = None
                                                                    self.min_sequential = None
                                                                    self.seq_ext_cop4 = None


                                                                class ClockRate(object):
                                                                    """
                                                                    clock rate
                                                                    
                                                                    .. attribute:: frequency
                                                                    
                                                                    	frequency
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pt
                                                                    
                                                                    	pt
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.frequency = None
                                                                        self.pt = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.frequency is not None:
                                                                            return True

                                                                        if self.pt is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.clock_rate is not None:
                                                                        for child_ref in self.clock_rate:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    if self.max_dropout is not None:
                                                                        return True

                                                                    if self.max_misorder is not None:
                                                                        return True

                                                                    if self.min_sequential is not None:
                                                                        return True

                                                                    if self.seq_ext_cop4 is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                            class RtpMmr(object):
                                                                """
                                                                rtp mmr
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: clock_rate
                                                                
                                                                	clock rate
                                                                	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                
                                                                .. attribute:: max_dropout
                                                                
                                                                	max dropout
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: max_misorder
                                                                
                                                                	max misorder
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: min_sequential
                                                                
                                                                	min sequential
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: seq_ext_cop4
                                                                
                                                                	enable seq extension cop4
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.clock_rate = YList()
                                                                    self.clock_rate.parent = self
                                                                    self.clock_rate.name = 'clock_rate'
                                                                    self.max_dropout = None
                                                                    self.max_misorder = None
                                                                    self.min_sequential = None
                                                                    self.seq_ext_cop4 = None


                                                                class ClockRate(object):
                                                                    """
                                                                    clock rate
                                                                    
                                                                    .. attribute:: frequency
                                                                    
                                                                    	frequency
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pt
                                                                    
                                                                    	pt
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.frequency = None
                                                                        self.pt = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.frequency is not None:
                                                                            return True

                                                                        if self.pt is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.clock_rate is not None:
                                                                        for child_ref in self.clock_rate:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    if self.max_dropout is not None:
                                                                        return True

                                                                    if self.max_misorder is not None:
                                                                        return True

                                                                    if self.min_sequential is not None:
                                                                        return True

                                                                    if self.seq_ext_cop4 is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                            class RtpJ2K(object):
                                                                """
                                                                rtp j2k
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: clock_rate
                                                                
                                                                	clock rate
                                                                	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                
                                                                .. attribute:: max_dropout
                                                                
                                                                	max dropout
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: max_misorder
                                                                
                                                                	max misorder
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: min_sequential
                                                                
                                                                	min sequential
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: seq_ext_cop4
                                                                
                                                                	enable seq extension cop4
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.clock_rate = YList()
                                                                    self.clock_rate.parent = self
                                                                    self.clock_rate.name = 'clock_rate'
                                                                    self.max_dropout = None
                                                                    self.max_misorder = None
                                                                    self.min_sequential = None
                                                                    self.seq_ext_cop4 = None


                                                                class ClockRate(object):
                                                                    """
                                                                    clock rate
                                                                    
                                                                    .. attribute:: frequency
                                                                    
                                                                    	frequency
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pt
                                                                    
                                                                    	pt
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.frequency = None
                                                                        self.pt = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.frequency is not None:
                                                                            return True

                                                                        if self.pt is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.clock_rate is not None:
                                                                        for child_ref in self.clock_rate:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    if self.max_dropout is not None:
                                                                        return True

                                                                    if self.max_misorder is not None:
                                                                        return True

                                                                    if self.min_sequential is not None:
                                                                        return True

                                                                    if self.seq_ext_cop4 is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                            class RtpVoice(object):
                                                                """
                                                                rtp voice
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: clock_rate
                                                                
                                                                	clock rate
                                                                	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                
                                                                .. attribute:: max_dropout
                                                                
                                                                	max dropout
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: max_misorder
                                                                
                                                                	max misorder
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: min_sequential
                                                                
                                                                	min sequential
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: seq_ext_cop4
                                                                
                                                                	enable seq extension cop4
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.clock_rate = YList()
                                                                    self.clock_rate.parent = self
                                                                    self.clock_rate.name = 'clock_rate'
                                                                    self.max_dropout = None
                                                                    self.max_misorder = None
                                                                    self.min_sequential = None
                                                                    self.seq_ext_cop4 = None


                                                                class ClockRate(object):
                                                                    """
                                                                    clock rate
                                                                    
                                                                    .. attribute:: frequency
                                                                    
                                                                    	frequency
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pt
                                                                    
                                                                    	pt
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.frequency = None
                                                                        self.pt = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.frequency is not None:
                                                                            return True

                                                                        if self.pt is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.clock_rate is not None:
                                                                        for child_ref in self.clock_rate:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    if self.max_dropout is not None:
                                                                        return True

                                                                    if self.max_misorder is not None:
                                                                        return True

                                                                    if self.min_sequential is not None:
                                                                        return True

                                                                    if self.seq_ext_cop4 is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                            class Mdi(object):
                                                                """
                                                                mdi
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: filtered_pkt_rate
                                                                
                                                                	filtered packet rate
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: ip_bit_rate
                                                                
                                                                	data rate in bps
                                                                	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                
                                                                .. attribute:: ip_pkt_rate
                                                                
                                                                	packet rate in pps
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: pids
                                                                
                                                                	array of monitoredcd  pids
                                                                	**type**\:  list of int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.filtered_pkt_rate = None
                                                                    self.ip_bit_rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                    self.ip_bit_rate.parent = self
                                                                    self.ip_pkt_rate = None
                                                                    self.pids = YLeafList()
                                                                    self.pids.parent = self
                                                                    self.pids.name = 'pids'


                                                                class IpBitRate(object):
                                                                    """
                                                                    data rate in bps
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.filtered_pkt_rate is not None:
                                                                        return True

                                                                    if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                        return True

                                                                    if self.ip_pkt_rate is not None:
                                                                        return True

                                                                    if self.pids is not None:
                                                                        for child in self.pids:
                                                                            if child is not None:
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                            class MdiRtp(object):
                                                                """
                                                                mdi rtp
                                                                
                                                                .. attribute:: action_metric_type
                                                                
                                                                	metric type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: filtered_pkt_rate
                                                                
                                                                	filtered packet rate
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: ip_bit_rate
                                                                
                                                                	data rate in bps
                                                                	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                
                                                                .. attribute:: ip_pkt_rate
                                                                
                                                                	packet rate in pps
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: pids
                                                                
                                                                	array of monitoredcd  pids
                                                                	**type**\:  list of int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_metric_type = None
                                                                    self.filtered_pkt_rate = None
                                                                    self.ip_bit_rate = PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                    self.ip_bit_rate.parent = self
                                                                    self.ip_pkt_rate = None
                                                                    self.pids = YLeafList()
                                                                    self.pids.parent = self
                                                                    self.pids.name = 'pids'


                                                                class IpBitRate(object):
                                                                    """
                                                                    data rate in bps
                                                                    
                                                                    .. attribute:: unit
                                                                    
                                                                    	unit
                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.unit = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.unit is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_metric_type is not None:
                                                                        return True

                                                                    if self.filtered_pkt_rate is not None:
                                                                        return True

                                                                    if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                        return True

                                                                    if self.ip_pkt_rate is not None:
                                                                        return True

                                                                    if self.pids is not None:
                                                                        for child in self.pids:
                                                                            if child is not None:
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                            class Fmm(object):
                                                                """
                                                                fmm
                                                                
                                                                .. attribute:: fmm_name
                                                                
                                                                	flow monitor name
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..33
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.fmm_name = None

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.fmm_name is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                            class Pbf(object):
                                                                """
                                                                pbf
                                                                
                                                                .. attribute:: action_pbf_info_array
                                                                
                                                                	action pbf info array
                                                                	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_pbf_info_array = YList()
                                                                    self.action_pbf_info_array.parent = self
                                                                    self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                class ActionPbfInfoArray(object):
                                                                    """
                                                                    action pbf info array
                                                                    
                                                                    .. attribute:: addr
                                                                    
                                                                    	v4 or v6 address
                                                                    	**type**\:  str
                                                                    
                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                    
                                                                    .. attribute:: rt
                                                                    
                                                                    	route target
                                                                    	**type**\:  str
                                                                    
                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                    
                                                                    .. attribute:: rt_type
                                                                    
                                                                    	route target type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: vrf
                                                                    
                                                                    	vrf name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.addr = None
                                                                        self.rt = None
                                                                        self.rt_type = None
                                                                        self.vrf = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.addr is not None:
                                                                            return True

                                                                        if self.rt is not None:
                                                                            return True

                                                                        if self.rt_type is not None:
                                                                            return True

                                                                        if self.vrf is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_pbf_info_array is not None:
                                                                        for child_ref in self.action_pbf_info_array:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                            class Ipv4Nh(object):
                                                                """
                                                                ipv4 nh
                                                                
                                                                .. attribute:: action_ipv4_nh_info_array
                                                                
                                                                	action ipv4 nh info array
                                                                	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_ipv4_nh_info_array = YList()
                                                                    self.action_ipv4_nh_info_array.parent = self
                                                                    self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                class ActionIpv4NhInfoArray(object):
                                                                    """
                                                                    action ipv4 nh info array
                                                                    
                                                                    .. attribute:: nh_addr
                                                                    
                                                                    	nh addr
                                                                    	**type**\:  str
                                                                    
                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                    
                                                                    .. attribute:: vrf_name
                                                                    
                                                                    	Vrf name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.nh_addr = None
                                                                        self.vrf_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.nh_addr is not None:
                                                                            return True

                                                                        if self.vrf_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_ipv4_nh_info_array is not None:
                                                                        for child_ref in self.action_ipv4_nh_info_array:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                            class Ipv6Nh(object):
                                                                """
                                                                ipv6 nh
                                                                
                                                                .. attribute:: action_ipv6_nh_info_array
                                                                
                                                                	action ipv6 nh info array
                                                                	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.action_ipv6_nh_info_array = YList()
                                                                    self.action_ipv6_nh_info_array.parent = self
                                                                    self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                class ActionIpv6NhInfoArray(object):
                                                                    """
                                                                    action ipv6 nh info array
                                                                    
                                                                    .. attribute:: nh_addr
                                                                    
                                                                    	IPV6 Address
                                                                    	**type**\:  str
                                                                    
                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                    
                                                                    .. attribute:: vrf_name
                                                                    
                                                                    	Vrf name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.nh_addr = None
                                                                        self.vrf_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.nh_addr is not None:
                                                                            return True

                                                                        if self.vrf_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.action_ipv6_nh_info_array is not None:
                                                                        for child_ref in self.action_ipv6_nh_info_array:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                    return True

                                                                if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                    return True

                                                                if self.act_template is not None and self.act_template._has_data():
                                                                    return True

                                                                if self.afm_react is not None and self.afm_react._has_data():
                                                                    return True

                                                                if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                    return True

                                                                if self.authorize_id is not None and self.authorize_id._has_data():
                                                                    return True

                                                                if self.bwrem is not None and self.bwrem._has_data():
                                                                    return True

                                                                if self.cac is not None and self.cac._has_data():
                                                                    return True

                                                                if self.child_policy is not None and self.child_policy._has_data():
                                                                    return True

                                                                if self.collect_id is not None and self.collect_id._has_data():
                                                                    return True

                                                                if self.copy is not None and self.copy._has_data():
                                                                    return True

                                                                if self.data_p is not None:
                                                                    return True

                                                                if self.deact_template is not None and self.deact_template._has_data():
                                                                    return True

                                                                if self.decode_id is not None and self.decode_id._has_data():
                                                                    return True

                                                                if self.encap is not None and self.encap._has_data():
                                                                    return True

                                                                if self.flow_parm is not None and self.flow_parm._has_data():
                                                                    return True

                                                                if self.fmm is not None and self.fmm._has_data():
                                                                    return True

                                                                if self.httpr is not None and self.httpr._has_data():
                                                                    return True

                                                                if self.ipcbr is not None and self.ipcbr._has_data():
                                                                    return True

                                                                if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                    return True

                                                                if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                    return True

                                                                if self.mark is not None and self.mark._has_data():
                                                                    return True

                                                                if self.mark2 is not None and self.mark2._has_data():
                                                                    return True

                                                                if self.mdi is not None and self.mdi._has_data():
                                                                    return True

                                                                if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                    return True

                                                                if self.min_bw is not None and self.min_bw._has_data():
                                                                    return True

                                                                if self.out_intf is not None and self.out_intf._has_data():
                                                                    return True

                                                                if self.pbf is not None and self.pbf._has_data():
                                                                    return True

                                                                if self.pfc is not None and self.pfc._has_data():
                                                                    return True

                                                                if self.police is not None and self.police._has_data():
                                                                    return True

                                                                if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                    return True

                                                                if self.prio is not None and self.prio._has_data():
                                                                    return True

                                                                if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                    return True

                                                                if self.punt is not None and self.punt._has_data():
                                                                    return True

                                                                if self.qlimit is not None and self.qlimit._has_data():
                                                                    return True

                                                                if self.query_ancp is not None and self.query_ancp._has_data():
                                                                    return True

                                                                if self.redirect is not None and self.redirect._has_data():
                                                                    return True

                                                                if self.rtp is not None and self.rtp._has_data():
                                                                    return True

                                                                if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                    return True

                                                                if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                    return True

                                                                if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                    return True

                                                                if self.serv_func is not None and self.serv_func._has_data():
                                                                    return True

                                                                if self.set_timer is not None and self.set_timer._has_data():
                                                                    return True

                                                                if self.sfrag is not None and self.sfrag._has_data():
                                                                    return True

                                                                if self.shape is not None and self.shape._has_data():
                                                                    return True

                                                                if self.stop_timer is not None and self.stop_timer._has_data():
                                                                    return True

                                                                if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                    return True

                                                                if self.type is not None:
                                                                    return True

                                                                if self.wred is not None and self.wred._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.actp is not None and self.actp._has_data():
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_action_info_st is not None:
                                                            for child_ref in self.policy_action_info_st:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.act_infop is not None and self.act_infop._has_data():
                                                        return True

                                                    if self.cl_encode is not None and self.cl_encode._has_data():
                                                        return True

                                                    if self.clmp_p is not None and self.clmp_p._has_data():
                                                        return True

                                                    if self.ctype is not None:
                                                        return True

                                                    if self.exe_strat is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    if self.num_actions is not None:
                                                        return True

                                                    if self.policy_class_hd is not None:
                                                        return True

                                                    if self.seq is not None:
                                                        return True

                                                    if self.version is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_class_info_bg is not None:
                                                    for child_ref in self.policy_class_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.avl_tree is not None:
                                                return True

                                            if self.class_infop is not None and self.class_infop._has_data():
                                                return True

                                            if self.cond_eval is not None:
                                                return True

                                            if self.event_type is not None:
                                                return True

                                            if self.flags is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_event_info_bg is not None:
                                            for child_ref in self.policy_event_info_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.chk_sum is not None:
                                        return True

                                    if self.class_dflt_hrchy_depth is not None:
                                        return True

                                    if self.description is not None:
                                        return True

                                    if self.event_infop is not None and self.event_infop._has_data():
                                        return True

                                    if self.flags is not None:
                                        return True

                                    if self.handle is not None:
                                        return True

                                    if self.magic is not None:
                                        return True

                                    if self.max_hierarchy is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.num_classes is not None:
                                        return True

                                    if self.num_policy_class_info is not None:
                                        return True

                                    if self.pclass_diff is not None:
                                        return True

                                    if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                        return True

                                    if self.rateless_chk_sum is not None:
                                        return True

                                    if self.table_id is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.policy_map_bg is not None:
                                    for child_ref in self.policy_map_bg:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-maps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map is not None:
                                for child_ref in self.policy_map:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps']['meta_info']


                    class PolicyMapDetails(object):
                        """
                        Policy\-map table
                        
                        .. attribute:: policy_map_detail
                        
                        	Policy\-map detail information
                        	**type**\: list of    :py:class:`PolicyMapDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_detail = YList()
                            self.policy_map_detail.parent = self
                            self.policy_map_detail.name = 'policy_map_detail'


                        class PolicyMapDetail(object):
                            """
                            Policy\-map detail information
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_map_reference
                            
                            	Each Classmapdetails
                            	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference>`
                            
                            .. attribute:: object
                            
                            	Each object details
                            	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object>`
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: reference
                            
                            	Each Policymap details
                            	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference>`
                            
                            .. attribute:: total_objects
                            
                            	Total number of objects configured for a specific object type
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: transient
                            
                            	Transient object
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.class_map_reference = YList()
                                self.class_map_reference.parent = self
                                self.class_map_reference.name = 'class_map_reference'
                                self.object = YList()
                                self.object.parent = self
                                self.object.name = 'object'
                                self.object_type = None
                                self.reference = YList()
                                self.reference.parent = self
                                self.reference.name = 'reference'
                                self.total_objects = None
                                self.transient = None


                            class Reference(object):
                                """
                                Each Policymap details
                                
                                .. attribute:: total_class_maps
                                
                                	Total number of Classmaps in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_flows
                                
                                	Total flows in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_internal_reference_objects
                                
                                	Total number of internal reference objects
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.total_class_maps = None
                                    self.total_flows = None
                                    self.total_internal_reference_objects = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.total_class_maps is not None:
                                        return True

                                    if self.total_flows is not None:
                                        return True

                                    if self.total_internal_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference']['meta_info']


                            class Object(object):
                                """
                                Each object details
                                
                                .. attribute:: object_name
                                
                                	Name of object (Policymap/Classmap)
                                	**type**\:  str
                                
                                	**length:** 0..64
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.object_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.object_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object']['meta_info']


                            class ClassMapReference(object):
                                """
                                Each Classmapdetails
                                
                                .. attribute:: policy_map_reference
                                
                                	List of Policymaps referencing a Classmap
                                	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference>`
                                
                                .. attribute:: total_reference_objects
                                
                                	Total number of Policymaps referencing a Classmap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_reference = YList()
                                    self.policy_map_reference.parent = self
                                    self.policy_map_reference.name = 'policy_map_reference'
                                    self.total_reference_objects = None


                                class PolicyMapReference(object):
                                    """
                                    List of Policymaps referencing a Classmap
                                    
                                    .. attribute:: object_type
                                    
                                    	Application type configured
                                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                    
                                    .. attribute:: policy_map_name
                                    
                                    	Name of Policymap referencing a Classmap
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_type = None
                                        self.policy_map_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_type is not None:
                                            return True

                                        if self.policy_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_reference is not None:
                                        for child_ref in self.policy_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-detail[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.class_map_reference is not None:
                                    for child_ref in self.class_map_reference:
                                        if child_ref._has_data():
                                            return True

                                if self.object is not None:
                                    for child_ref in self.object:
                                        if child_ref._has_data():
                                            return True

                                if self.object_type is not None:
                                    return True

                                if self.reference is not None:
                                    for child_ref in self.reference:
                                        if child_ref._has_data():
                                            return True

                                if self.total_objects is not None:
                                    return True

                                if self.transient is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-details'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_detail is not None:
                                for child_ref in self.policy_map_detail:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails']['meta_info']

                    @property
                    def _common_path(self):
                        if self.type is None:
                            raise YPYModelError('Key property type is None')

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:policy-map-types/Cisco-IOS-XR-infra-policymgr-oper:policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.type is not None:
                            return True

                        if self.policy_map_details is not None and self.policy_map_details._has_data():
                            return True

                        if self.policy_maps is not None and self.policy_maps._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:policy-map-types'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.policy_map_type is not None:
                        for child_ref in self.policy_map_type:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes']['meta_info']


            class TransientPolicyMapTypes(object):
                """
                Application type of transient policy\-map list
                
                .. attribute:: transient_policy_map_type
                
                	Transient policy\-map type
                	**type**\: list of    :py:class:`TransientPolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.transient_policy_map_type = YList()
                    self.transient_policy_map_type.parent = self
                    self.transient_policy_map_type.name = 'transient_policy_map_type'


                class TransientPolicyMapType(object):
                    """
                    Transient policy\-map type
                    
                    .. attribute:: type  <key>
                    
                    	The application type
                    	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                    
                    .. attribute:: transient_list_unuseds
                    
                    	Transient policy\-map list unused table
                    	**type**\:   :py:class:`TransientListUnuseds <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.type = None
                        self.transient_list_unuseds = PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds()
                        self.transient_list_unuseds.parent = self


                    class TransientListUnuseds(object):
                        """
                        Transient policy\-map list unused table
                        
                        .. attribute:: transient_list_unused
                        
                        	Policy\-map list unused
                        	**type**\: list of    :py:class:`TransientListUnused <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.transient_list_unused = YList()
                            self.transient_list_unused.parent = self
                            self.transient_list_unused.name = 'transient_list_unused'


                        class TransientListUnused(object):
                            """
                            Policy\-map list unused
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: class_map_reference
                            
                            	Each Classmapdetails
                            	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference>`
                            
                            .. attribute:: object
                            
                            	Each object details
                            	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object>`
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: reference
                            
                            	Each Policymap details
                            	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference>`
                            
                            .. attribute:: total_objects
                            
                            	Total number of objects configured for a specific object type
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: transient
                            
                            	Transient object
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.class_map_reference = YList()
                                self.class_map_reference.parent = self
                                self.class_map_reference.name = 'class_map_reference'
                                self.object = YList()
                                self.object.parent = self
                                self.object.name = 'object'
                                self.object_type = None
                                self.reference = YList()
                                self.reference.parent = self
                                self.reference.name = 'reference'
                                self.total_objects = None
                                self.transient = None


                            class Reference(object):
                                """
                                Each Policymap details
                                
                                .. attribute:: total_class_maps
                                
                                	Total number of Classmaps in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_flows
                                
                                	Total flows in a Policymap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: total_internal_reference_objects
                                
                                	Total number of internal reference objects
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.total_class_maps = None
                                    self.total_flows = None
                                    self.total_internal_reference_objects = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.total_class_maps is not None:
                                        return True

                                    if self.total_flows is not None:
                                        return True

                                    if self.total_internal_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference']['meta_info']


                            class Object(object):
                                """
                                Each object details
                                
                                .. attribute:: object_name
                                
                                	Name of object (Policymap/Classmap)
                                	**type**\:  str
                                
                                	**length:** 0..64
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.object_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.object_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object']['meta_info']


                            class ClassMapReference(object):
                                """
                                Each Classmapdetails
                                
                                .. attribute:: policy_map_reference
                                
                                	List of Policymaps referencing a Classmap
                                	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference>`
                                
                                .. attribute:: total_reference_objects
                                
                                	Total number of Policymaps referencing a Classmap
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_reference = YList()
                                    self.policy_map_reference.parent = self
                                    self.policy_map_reference.name = 'policy_map_reference'
                                    self.total_reference_objects = None


                                class PolicyMapReference(object):
                                    """
                                    List of Policymaps referencing a Classmap
                                    
                                    .. attribute:: object_type
                                    
                                    	Application type configured
                                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                    
                                    .. attribute:: policy_map_name
                                    
                                    	Name of Policymap referencing a Classmap
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_type = None
                                        self.policy_map_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_type is not None:
                                            return True

                                        if self.policy_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_reference is not None:
                                        for child_ref in self.policy_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_reference_objects is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-list-unused[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.class_map_reference is not None:
                                    for child_ref in self.class_map_reference:
                                        if child_ref._has_data():
                                            return True

                                if self.object is not None:
                                    for child_ref in self.object:
                                        if child_ref._has_data():
                                            return True

                                if self.object_type is not None:
                                    return True

                                if self.reference is not None:
                                    for child_ref in self.reference:
                                        if child_ref._has_data():
                                            return True

                                if self.total_objects is not None:
                                    return True

                                if self.transient is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-list-unuseds'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.transient_list_unused is not None:
                                for child_ref in self.transient_list_unused:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds']['meta_info']

                    @property
                    def _common_path(self):
                        if self.type is None:
                            raise YPYModelError('Key property type is None')

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-types/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.type is not None:
                            return True

                        if self.transient_list_unuseds is not None and self.transient_list_unuseds._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-types'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.transient_policy_map_type is not None:
                        for child_ref in self.transient_policy_map_type:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:policy-map'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.policy_map_types is not None and self.policy_map_types._has_data():
                    return True

                if self.policy_map_unused_types is not None and self.policy_map_unused_types._has_data():
                    return True

                if self.transient_policy_map_type_xr is not None and self.transient_policy_map_type_xr._has_data():
                    return True

                if self.transient_policy_map_types is not None and self.transient_policy_map_types._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.PolicyMap']['meta_info']


        class Summary(object):
            """
            Summary of policy\-maps and class\-maps configured
            
            .. attribute:: class_map
            
            	Summary of Classmap database
            	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.ClassMap>`
            
            .. attribute:: policy_map
            
            	Summary of Policymap database
            	**type**\: list of    :py:class:`PolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.PolicyMap>`
            
            .. attribute:: total_class_map_types
            
            	Total number of Classmap types configured
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_class_maps
            
            	Total number of Classmaps configured
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_policy_map_types
            
            	Total number of Policymap types configured
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_policy_maps
            
            	Total number of Policymaps configured
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.class_map = YList()
                self.class_map.parent = self
                self.class_map.name = 'class_map'
                self.policy_map = YList()
                self.policy_map.parent = self
                self.policy_map.name = 'policy_map'
                self.total_class_map_types = None
                self.total_class_maps = None
                self.total_policy_map_types = None
                self.total_policy_maps = None


            class ClassMap(object):
                """
                Summary of Classmap database
                
                .. attribute:: class_map_reference
                
                	Each Classmapdetails
                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.ClassMap.ClassMapReference>`
                
                .. attribute:: object
                
                	Each object details
                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.ClassMap.Object>`
                
                .. attribute:: object_type
                
                	Application type configured
                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                
                .. attribute:: reference
                
                	Each Policymap details
                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.ClassMap.Reference>`
                
                .. attribute:: total_objects
                
                	Total number of objects configured for a specific object type
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transient
                
                	Transient object
                	**type**\:  bool
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.class_map_reference = YList()
                    self.class_map_reference.parent = self
                    self.class_map_reference.name = 'class_map_reference'
                    self.object = YList()
                    self.object.parent = self
                    self.object.name = 'object'
                    self.object_type = None
                    self.reference = YList()
                    self.reference.parent = self
                    self.reference.name = 'reference'
                    self.total_objects = None
                    self.transient = None


                class Reference(object):
                    """
                    Each Policymap details
                    
                    .. attribute:: total_class_maps
                    
                    	Total number of Classmaps in a Policymap
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_flows
                    
                    	Total flows in a Policymap
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_internal_reference_objects
                    
                    	Total number of internal reference objects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.total_class_maps = None
                        self.total_flows = None
                        self.total_internal_reference_objects = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:class-map/Cisco-IOS-XR-infra-policymgr-oper:reference'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.total_class_maps is not None:
                            return True

                        if self.total_flows is not None:
                            return True

                        if self.total_internal_reference_objects is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.Summary.ClassMap.Reference']['meta_info']


                class Object(object):
                    """
                    Each object details
                    
                    .. attribute:: object_name
                    
                    	Name of object (Policymap/Classmap)
                    	**type**\:  str
                    
                    	**length:** 0..64
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.object_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:class-map/Cisco-IOS-XR-infra-policymgr-oper:object'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.object_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.Summary.ClassMap.Object']['meta_info']


                class ClassMapReference(object):
                    """
                    Each Classmapdetails
                    
                    .. attribute:: policy_map_reference
                    
                    	List of Policymaps referencing a Classmap
                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.ClassMap.ClassMapReference.PolicyMapReference>`
                    
                    .. attribute:: total_reference_objects
                    
                    	Total number of Policymaps referencing a Classmap
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_reference = YList()
                        self.policy_map_reference.parent = self
                        self.policy_map_reference.name = 'policy_map_reference'
                        self.total_reference_objects = None


                    class PolicyMapReference(object):
                        """
                        List of Policymaps referencing a Classmap
                        
                        .. attribute:: object_type
                        
                        	Application type configured
                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                        
                        .. attribute:: policy_map_name
                        
                        	Name of Policymap referencing a Classmap
                        	**type**\:  str
                        
                        	**length:** 0..64
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.object_type = None
                            self.policy_map_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:class-map/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.object_type is not None:
                                return True

                            if self.policy_map_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.Summary.ClassMap.ClassMapReference.PolicyMapReference']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:class-map/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.policy_map_reference is not None:
                            for child_ref in self.policy_map_reference:
                                if child_ref._has_data():
                                    return True

                        if self.total_reference_objects is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.Summary.ClassMap.ClassMapReference']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:class-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.class_map_reference is not None:
                        for child_ref in self.class_map_reference:
                            if child_ref._has_data():
                                return True

                    if self.object is not None:
                        for child_ref in self.object:
                            if child_ref._has_data():
                                return True

                    if self.object_type is not None:
                        return True

                    if self.reference is not None:
                        for child_ref in self.reference:
                            if child_ref._has_data():
                                return True

                    if self.total_objects is not None:
                        return True

                    if self.transient is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.Summary.ClassMap']['meta_info']


            class PolicyMap(object):
                """
                Summary of Policymap database
                
                .. attribute:: class_map_reference
                
                	Each Classmapdetails
                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.PolicyMap.ClassMapReference>`
                
                .. attribute:: object
                
                	Each object details
                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.PolicyMap.Object>`
                
                .. attribute:: object_type
                
                	Application type configured
                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                
                .. attribute:: reference
                
                	Each Policymap details
                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.PolicyMap.Reference>`
                
                .. attribute:: total_objects
                
                	Total number of objects configured for a specific object type
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transient
                
                	Transient object
                	**type**\:  bool
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.class_map_reference = YList()
                    self.class_map_reference.parent = self
                    self.class_map_reference.name = 'class_map_reference'
                    self.object = YList()
                    self.object.parent = self
                    self.object.name = 'object'
                    self.object_type = None
                    self.reference = YList()
                    self.reference.parent = self
                    self.reference.name = 'reference'
                    self.total_objects = None
                    self.transient = None


                class Reference(object):
                    """
                    Each Policymap details
                    
                    .. attribute:: total_class_maps
                    
                    	Total number of Classmaps in a Policymap
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_flows
                    
                    	Total flows in a Policymap
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_internal_reference_objects
                    
                    	Total number of internal reference objects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.total_class_maps = None
                        self.total_flows = None
                        self.total_internal_reference_objects = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:reference'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.total_class_maps is not None:
                            return True

                        if self.total_flows is not None:
                            return True

                        if self.total_internal_reference_objects is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.Summary.PolicyMap.Reference']['meta_info']


                class Object(object):
                    """
                    Each object details
                    
                    .. attribute:: object_name
                    
                    	Name of object (Policymap/Classmap)
                    	**type**\:  str
                    
                    	**length:** 0..64
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.object_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:object'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.object_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.Summary.PolicyMap.Object']['meta_info']


                class ClassMapReference(object):
                    """
                    Each Classmapdetails
                    
                    .. attribute:: policy_map_reference
                    
                    	List of Policymaps referencing a Classmap
                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Global_.Summary.PolicyMap.ClassMapReference.PolicyMapReference>`
                    
                    .. attribute:: total_reference_objects
                    
                    	Total number of Policymaps referencing a Classmap
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_reference = YList()
                        self.policy_map_reference.parent = self
                        self.policy_map_reference.name = 'policy_map_reference'
                        self.total_reference_objects = None


                    class PolicyMapReference(object):
                        """
                        List of Policymaps referencing a Classmap
                        
                        .. attribute:: object_type
                        
                        	Application type configured
                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                        
                        .. attribute:: policy_map_name
                        
                        	Name of Policymap referencing a Classmap
                        	**type**\:  str
                        
                        	**length:** 0..64
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.object_type = None
                            self.policy_map_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.object_type is not None:
                                return True

                            if self.policy_map_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Global_.Summary.PolicyMap.ClassMapReference.PolicyMapReference']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:policy-map/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.policy_map_reference is not None:
                            for child_ref in self.policy_map_reference:
                                if child_ref._has_data():
                                    return True

                        if self.total_reference_objects is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Global_.Summary.PolicyMap.ClassMapReference']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary/Cisco-IOS-XR-infra-policymgr-oper:policy-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.class_map_reference is not None:
                        for child_ref in self.class_map_reference:
                            if child_ref._has_data():
                                return True

                    if self.object is not None:
                        for child_ref in self.object:
                            if child_ref._has_data():
                                return True

                    if self.object_type is not None:
                        return True

                    if self.reference is not None:
                        for child_ref in self.reference:
                            if child_ref._has_data():
                                return True

                    if self.total_objects is not None:
                        return True

                    if self.transient is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Global_.Summary.PolicyMap']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global/Cisco-IOS-XR-infra-policymgr-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.class_map is not None:
                    for child_ref in self.class_map:
                        if child_ref._has_data():
                            return True

                if self.policy_map is not None:
                    for child_ref in self.policy_map:
                        if child_ref._has_data():
                            return True

                if self.total_class_map_types is not None:
                    return True

                if self.total_class_maps is not None:
                    return True

                if self.total_policy_map_types is not None:
                    return True

                if self.total_policy_maps is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Global_.Summary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:global'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.class_map is not None and self.class_map._has_data():
                return True

            if self.policy_map is not None and self.policy_map._has_data():
                return True

            if self.policy_map_applied_types is not None and self.policy_map_applied_types._has_data():
                return True

            if self.summary is not None and self.summary._has_data():
                return True

            if self.target_policy_map_types is not None and self.target_policy_map_types._has_data():
                return True

            if self.transient_policy_map_applied_types is not None and self.transient_policy_map_applied_types._has_data():
                return True

            if self.transient_policy_map_targets_types is not None and self.transient_policy_map_targets_types._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
            return meta._meta_table['PolicyManager.Global_']['meta_info']


    class Nodes(object):
        """
        Node\-specific Policymgr operational data
        
        .. attribute:: node
        
        	Policymgr operational data for a particular node
        	**type**\: list of    :py:class:`Node <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node>`
        
        

        """

        _prefix = 'infra-policymgr-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.node = YList()
            self.node.parent = self
            self.node.name = 'node'


        class Node(object):
            """
            Policymgr operational data for a particular
            node
            
            .. attribute:: node_name  <key>
            
            	Node name
            	**type**\:  str
            
            	**pattern:** ([a\-zA\-Z0\-9\_]\*\\d+/){1,2}([a\-zA\-Z0\-9\_]\*\\d+)
            
            .. attribute:: class_map
            
            	List of classmap details
            	**type**\:   :py:class:`ClassMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap>`
            
            .. attribute:: policy_map
            
            	List of policymap details
            	**type**\:   :py:class:`PolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap>`
            
            .. attribute:: summary
            
            	Summary of policy\-maps and class\-maps configured
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary>`
            
            .. attribute:: target_policy_map_types
            
            	Targets of a policymap
            	**type**\:   :py:class:`TargetPolicyMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes>`
            
            

            """

            _prefix = 'infra-policymgr-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.node_name = None
                self.class_map = PolicyManager.Nodes.Node.ClassMap()
                self.class_map.parent = self
                self.policy_map = PolicyManager.Nodes.Node.PolicyMap()
                self.policy_map.parent = self
                self.summary = PolicyManager.Nodes.Node.Summary()
                self.summary.parent = self
                self.target_policy_map_types = PolicyManager.Nodes.Node.TargetPolicyMapTypes()
                self.target_policy_map_types.parent = self


            class TargetPolicyMapTypes(object):
                """
                Targets of a policymap
                
                .. attribute:: target_policy_map_type
                
                	Policymgr application type
                	**type**\: list of    :py:class:`TargetPolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.target_policy_map_type = YList()
                    self.target_policy_map_type.parent = self
                    self.target_policy_map_type.name = 'target_policy_map_type'


                class TargetPolicyMapType(object):
                    """
                    Policymgr application type
                    
                    .. attribute:: type  <key>
                    
                    	The application type
                    	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                    
                    .. attribute:: policy_map_target_summary
                    
                    	Policy\-map table
                    	**type**\:   :py:class:`PolicyMapTargetSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary>`
                    
                    .. attribute:: policy_map_targets
                    
                    	Policy\-map table
                    	**type**\:   :py:class:`PolicyMapTargets <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets>`
                    
                    .. attribute:: target_summary_per_policy_maps
                    
                    	Policy\-map table per Policy\-map
                    	**type**\:   :py:class:`TargetSummaryPerPolicyMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.type = None
                        self.policy_map_target_summary = PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary()
                        self.policy_map_target_summary.parent = self
                        self.policy_map_targets = PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets()
                        self.policy_map_targets.parent = self
                        self.target_summary_per_policy_maps = PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps()
                        self.target_summary_per_policy_maps.parent = self


                    class PolicyMapTargets(object):
                        """
                        Policy\-map table
                        
                        .. attribute:: policy_map_target
                        
                        	Policy\-map targets
                        	**type**\: list of    :py:class:`PolicyMapTarget <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_target = YList()
                            self.policy_map_target.parent = self
                            self.policy_map_target.name = 'policy_map_target'


                        class PolicyMapTarget(object):
                            """
                            Policy\-map targets
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: parent_target
                            
                            	parent target
                            	**type**\:  list of str
                            
                            .. attribute:: target
                            
                            	target
                            	**type**\:  list of str
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.parent_target = YLeafList()
                                self.parent_target.parent = self
                                self.parent_target.name = 'parent_target'
                                self.target = YLeafList()
                                self.target.parent = self
                                self.target.name = 'target'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-target[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.parent_target is not None:
                                    for child in self.parent_target:
                                        if child is not None:
                                            return True

                                if self.target is not None:
                                    for child in self.target:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-targets'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_target is not None:
                                for child_ref in self.policy_map_target:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets']['meta_info']


                    class PolicyMapTargetSummary(object):
                        """
                        Policy\-map table
                        
                        .. attribute:: total_child_policy_maps_input_direction
                        
                        	Totalpolicymaps applied as child policy in the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_child_policy_maps_output_direction
                        
                        	Totalpolicymaps applied as child policy in the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_interfaces_input_direction
                        
                        	Totalinterfaces with service\-policy in the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_interfaces_output_direction
                        
                        	Totalinterfaces with service\-policy in the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_policy_maps_input_direction
                        
                        	Total policymapsin the input direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_policy_maps_output_direction
                        
                        	Total policymapsin the output direction
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.total_child_policy_maps_input_direction = None
                            self.total_child_policy_maps_output_direction = None
                            self.total_interfaces_input_direction = None
                            self.total_interfaces_output_direction = None
                            self.total_policy_maps_input_direction = None
                            self.total_policy_maps_output_direction = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-target-summary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.total_child_policy_maps_input_direction is not None:
                                return True

                            if self.total_child_policy_maps_output_direction is not None:
                                return True

                            if self.total_interfaces_input_direction is not None:
                                return True

                            if self.total_interfaces_output_direction is not None:
                                return True

                            if self.total_policy_maps_input_direction is not None:
                                return True

                            if self.total_policy_maps_output_direction is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary']['meta_info']


                    class TargetSummaryPerPolicyMaps(object):
                        """
                        Policy\-map table per Policy\-map
                        
                        .. attribute:: target_summary_per_policy_map
                        
                        	Policy\-map targets summary
                        	**type**\: list of    :py:class:`TargetSummaryPerPolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.target_summary_per_policy_map = YList()
                            self.target_summary_per_policy_map.parent = self
                            self.target_summary_per_policy_map.name = 'target_summary_per_policy_map'


                        class TargetSummaryPerPolicyMap(object):
                            """
                            Policy\-map targets summary
                            
                            .. attribute:: policy_map_name  <key>
                            
                            	Name of policy\-map
                            	**type**\:  str
                            
                            	**length:** 1..63
                            
                            .. attribute:: total_child_policy_maps_input_direction
                            
                            	Totalpolicymaps applied as child policy in the input direction
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: total_child_policy_maps_output_direction
                            
                            	Totalpolicymaps applied as child policy in the output direction
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: total_interfaces_input_direction
                            
                            	Totalinterfaces with service\-policy in the input direction
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: total_interfaces_output_direction
                            
                            	Totalinterfaces with service\-policy in the output direction
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: total_policy_maps_input_direction
                            
                            	Total policymapsin the input direction
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: total_policy_maps_output_direction
                            
                            	Total policymapsin the output direction
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_name = None
                                self.total_child_policy_maps_input_direction = None
                                self.total_child_policy_maps_output_direction = None
                                self.total_interfaces_input_direction = None
                                self.total_interfaces_output_direction = None
                                self.total_policy_maps_input_direction = None
                                self.total_policy_maps_output_direction = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.policy_map_name is None:
                                    raise YPYModelError('Key property policy_map_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:target-summary-per-policy-map[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_name is not None:
                                    return True

                                if self.total_child_policy_maps_input_direction is not None:
                                    return True

                                if self.total_child_policy_maps_output_direction is not None:
                                    return True

                                if self.total_interfaces_input_direction is not None:
                                    return True

                                if self.total_interfaces_output_direction is not None:
                                    return True

                                if self.total_policy_maps_input_direction is not None:
                                    return True

                                if self.total_policy_maps_output_direction is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:target-summary-per-policy-maps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.target_summary_per_policy_map is not None:
                                for child_ref in self.target_summary_per_policy_map:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.type is None:
                            raise YPYModelError('Key property type is None')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:target-policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.type is not None:
                            return True

                        if self.policy_map_target_summary is not None and self.policy_map_target_summary._has_data():
                            return True

                        if self.policy_map_targets is not None and self.policy_map_targets._has_data():
                            return True

                        if self.target_summary_per_policy_maps is not None and self.target_summary_per_policy_maps._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:target-policy-map-types'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.target_policy_map_type is not None:
                        for child_ref in self.target_policy_map_type:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes']['meta_info']


            class ClassMap(object):
                """
                List of classmap details
                
                .. attribute:: class_map_types
                
                	Application type of a classmap
                	**type**\:   :py:class:`ClassMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.class_map_types = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes()
                    self.class_map_types.parent = self


                class ClassMapTypes(object):
                    """
                    Application type of a classmap
                    
                    .. attribute:: class_map_type
                    
                    	Policymgr application type
                    	**type**\: list of    :py:class:`ClassMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.class_map_type = YList()
                        self.class_map_type.parent = self
                        self.class_map_type.name = 'class_map_type'


                    class ClassMapType(object):
                        """
                        Policymgr application type
                        
                        .. attribute:: type  <key>
                        
                        	The application type
                        	**type**\:   :py:class:`PolicymgrClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrClassMapEnum>`
                        
                        .. attribute:: class_map_briefs
                        
                        	Class\-map brief table
                        	**type**\:   :py:class:`ClassMapBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs>`
                        
                        .. attribute:: class_map_details
                        
                        	Class\-map detail table
                        	**type**\:   :py:class:`ClassMapDetails <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails>`
                        
                        .. attribute:: class_maps
                        
                        	Class\-map definition table
                        	**type**\:   :py:class:`ClassMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.type = None
                            self.class_map_briefs = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs()
                            self.class_map_briefs.parent = self
                            self.class_map_details = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails()
                            self.class_map_details.parent = self
                            self.class_maps = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps()
                            self.class_maps.parent = self


                        class ClassMapDetails(object):
                            """
                            Class\-map detail table
                            
                            .. attribute:: class_map_detail
                            
                            	Class\-map detail information
                            	**type**\: list of    :py:class:`ClassMapDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.class_map_detail = YList()
                                self.class_map_detail.parent = self
                                self.class_map_detail.name = 'class_map_detail'


                            class ClassMapDetail(object):
                                """
                                Class\-map detail information
                                
                                .. attribute:: class_map_name  <key>
                                
                                	Name of class\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_map_reference
                                
                                	Each Classmapdetails
                                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference>`
                                
                                .. attribute:: object
                                
                                	Each object details
                                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object>`
                                
                                .. attribute:: object_type
                                
                                	Application type configured
                                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                
                                .. attribute:: reference
                                
                                	Each Policymap details
                                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference>`
                                
                                .. attribute:: total_objects
                                
                                	Total number of objects configured for a specific object type
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: transient
                                
                                	Transient object
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.class_map_name = None
                                    self.class_map_reference = YList()
                                    self.class_map_reference.parent = self
                                    self.class_map_reference.name = 'class_map_reference'
                                    self.object = YList()
                                    self.object.parent = self
                                    self.object.name = 'object'
                                    self.object_type = None
                                    self.reference = YList()
                                    self.reference.parent = self
                                    self.reference.name = 'reference'
                                    self.total_objects = None
                                    self.transient = None


                                class Reference(object):
                                    """
                                    Each Policymap details
                                    
                                    .. attribute:: total_class_maps
                                    
                                    	Total number of Classmaps in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_flows
                                    
                                    	Total flows in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_internal_reference_objects
                                    
                                    	Total number of internal reference objects
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.total_class_maps = None
                                        self.total_flows = None
                                        self.total_internal_reference_objects = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.total_class_maps is not None:
                                            return True

                                        if self.total_flows is not None:
                                            return True

                                        if self.total_internal_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference']['meta_info']


                                class Object(object):
                                    """
                                    Each object details
                                    
                                    .. attribute:: object_name
                                    
                                    	Name of object (Policymap/Classmap)
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object']['meta_info']


                                class ClassMapReference(object):
                                    """
                                    Each Classmapdetails
                                    
                                    .. attribute:: policy_map_reference
                                    
                                    	List of Policymaps referencing a Classmap
                                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference>`
                                    
                                    .. attribute:: total_reference_objects
                                    
                                    	Total number of Policymaps referencing a Classmap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_reference = YList()
                                        self.policy_map_reference.parent = self
                                        self.policy_map_reference.name = 'policy_map_reference'
                                        self.total_reference_objects = None


                                    class PolicyMapReference(object):
                                        """
                                        List of Policymaps referencing a Classmap
                                        
                                        .. attribute:: object_type
                                        
                                        	Application type configured
                                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                        
                                        .. attribute:: policy_map_name
                                        
                                        	Name of Policymap referencing a Classmap
                                        	**type**\:  str
                                        
                                        	**length:** 0..64
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.object_type = None
                                            self.policy_map_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.object_type is not None:
                                                return True

                                            if self.policy_map_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_reference is not None:
                                            for child_ref in self.policy_map_reference:
                                                if child_ref._has_data():
                                                    return True

                                        if self.total_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.class_map_name is None:
                                        raise YPYModelError('Key property class_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-detail[Cisco-IOS-XR-infra-policymgr-oper:class-map-name = ' + str(self.class_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.class_map_name is not None:
                                        return True

                                    if self.class_map_reference is not None:
                                        for child_ref in self.class_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.object is not None:
                                        for child_ref in self.object:
                                            if child_ref._has_data():
                                                return True

                                    if self.object_type is not None:
                                        return True

                                    if self.reference is not None:
                                        for child_ref in self.reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_objects is not None:
                                        return True

                                    if self.transient is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-details'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.class_map_detail is not None:
                                    for child_ref in self.class_map_detail:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails']['meta_info']


                        class ClassMaps(object):
                            """
                            Class\-map definition table
                            
                            .. attribute:: class_map
                            
                            	Class\-map configuration
                            	**type**\: list of    :py:class:`ClassMap_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.class_map = YList()
                                self.class_map.parent = self
                                self.class_map.name = 'class_map'


                            class ClassMap_(object):
                                """
                                Class\-map configuration
                                
                                .. attribute:: class_map_name  <key>
                                
                                	Name of class\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_map_bg
                                
                                	class map bg
                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.class_map_name = None
                                    self.class_map_bg = YList()
                                    self.class_map_bg.parent = self
                                    self.class_map_bg.name = 'class_map_bg'


                                class ClassMapBg(object):
                                    """
                                    class map bg
                                    
                                    .. attribute:: chk_sum
                                    
                                    	MD5 checksum of the encoded class\-map bag
                                    	**type**\:  str
                                    
                                    	**length:** 0..16
                                    
                                    .. attribute:: description
                                    
                                    	description
                                    	**type**\:  str
                                    
                                    .. attribute:: flags
                                    
                                    	Class\-Map Internal
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: magic
                                    
                                    	Magic number on top of class\-map bag
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: match_count
                                    
                                    	Number of Match infos
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: match_infop
                                    
                                    	Pointer to the first Match info
                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop>`
                                    
                                    .. attribute:: mode
                                    
                                    	Class\-Map Mode Match any/Match all
                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                    
                                    .. attribute:: name
                                    
                                    	Name of the class\-map
                                    	**type**\:  str
                                    
                                    	**length:** 0..65
                                    
                                    .. attribute:: type
                                    
                                    	Class\-Map Type QoS/PBR/Netflow/..
                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.chk_sum = None
                                        self.description = None
                                        self.flags = None
                                        self.magic = None
                                        self.match_count = None
                                        self.match_infop = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop()
                                        self.match_infop.parent = self
                                        self.mode = None
                                        self.name = None
                                        self.type = None


                                    class MatchInfop(object):
                                        """
                                        Pointer to the first Match info
                                        
                                        .. attribute:: class_match_info_st
                                        
                                        	class match info st
                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.class_match_info_st = YList()
                                            self.class_match_info_st.parent = self
                                            self.class_match_info_st.name = 'class_match_info_st'


                                        class ClassMatchInfoSt(object):
                                            """
                                            class match info st
                                            
                                            .. attribute:: flags
                                            
                                            	Flags
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: match_data
                                            
                                            	Match criteria
                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.flags = None
                                                self.match_data = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                self.match_data.parent = self


                                            class MatchData(object):
                                                """
                                                Match criteria
                                                
                                                .. attribute:: access_interface
                                                
                                                	Access interface
                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                
                                                .. attribute:: atm_clp
                                                
                                                	Match ATM CLP level
                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                
                                                .. attribute:: auth_domain
                                                
                                                	Authenticated domain name
                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                
                                                .. attribute:: auth_domain_regex
                                                
                                                	Authenticated Domain Name RegEx
                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                
                                                .. attribute:: auth_username
                                                
                                                	Authenticated User Name
                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                
                                                .. attribute:: auth_username_regex
                                                
                                                	Authenticated User Name RegEx
                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                
                                                .. attribute:: authen_status
                                                
                                                	Authentication Status
                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                
                                                .. attribute:: avail_id
                                                
                                                	Available Identifiers
                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                
                                                .. attribute:: circuit_id
                                                
                                                	Circuit ID
                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                
                                                .. attribute:: circuit_id_regex
                                                
                                                	Circuit ID RegEx
                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                
                                                .. attribute:: cos
                                                
                                                	Match CoS array
                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                
                                                .. attribute:: cos_inr
                                                
                                                	Match inner header CoS
                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                
                                                .. attribute:: dei
                                                
                                                	Match DEI Bit
                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                
                                                .. attribute:: dei_inr
                                                
                                                	Match inner DEI Bit
                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                
                                                .. attribute:: dhcp_client_id
                                                
                                                	Dhcp Client ID
                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                
                                                .. attribute:: dhcp_client_id_regex
                                                
                                                	Dhcp Client ID RegEx
                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                
                                                .. attribute:: discard_class
                                                
                                                	Match Discard Class array
                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                
                                                .. attribute:: dnis
                                                
                                                	DNIS
                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                
                                                .. attribute:: dnis_regex
                                                
                                                	DNIS Regular Expression
                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                
                                                .. attribute:: domain
                                                
                                                	Domain Name
                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                
                                                .. attribute:: domain_regex
                                                
                                                	Domain Regular Expression
                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                
                                                .. attribute:: dscp
                                                
                                                	Match DSCP range array
                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                
                                                .. attribute:: dst_addr_ipv4
                                                
                                                	Destination Address IPV4
                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                
                                                .. attribute:: dst_addr_ipv6
                                                
                                                	Destination Address IPV6
                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                
                                                .. attribute:: dst_mac
                                                
                                                	Match Destination MAC address
                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                
                                                .. attribute:: dst_port
                                                
                                                	Destination port
                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                
                                                .. attribute:: ether_service_acl
                                                
                                                	Ethernet\-Services Access\-list
                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                
                                                .. attribute:: ethertype
                                                
                                                	Ethernet type
                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                
                                                .. attribute:: flow_key_data
                                                
                                                	Flow key structure
                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                
                                                .. attribute:: flow_tag
                                                
                                                	Match flow\-tag array
                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                
                                                .. attribute:: fr_de
                                                
                                                	Match FR DE value
                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                
                                                .. attribute:: fr_dlci
                                                
                                                	Match FR DLCI range array
                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                
                                                .. attribute:: fragment_type
                                                
                                                	Fragment type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: icmp_v4
                                                
                                                	Match ICMPV4 Protocol
                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                
                                                .. attribute:: icmp_v6
                                                
                                                	Match ICMPV6 Protocol array
                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                
                                                .. attribute:: icmpv4_code
                                                
                                                	Match ipv4 icmp code
                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                
                                                .. attribute:: icmpv4_type
                                                
                                                	Match ipv4 icmp type
                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                
                                                .. attribute:: icmpv6_code
                                                
                                                	Match ipv6 icmp code
                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                
                                                .. attribute:: icmpv6_type
                                                
                                                	Match ipv6 icmp type
                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                
                                                .. attribute:: input_interface
                                                
                                                	Input interface
                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                
                                                .. attribute:: input_intfhdl
                                                
                                                	Input interface handle
                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                
                                                .. attribute:: ipv4_acl
                                                
                                                	IPv4 Access\-list
                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                
                                                .. attribute:: ipv4_dscp
                                                
                                                	IPv4 DSCP
                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                
                                                .. attribute:: ipv4_packet_len
                                                
                                                	IPv4 packet length array
                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                
                                                .. attribute:: ipv4_prec
                                                
                                                	IPv4 Precedence
                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                
                                                .. attribute:: ipv6_acl
                                                
                                                	IPv6 Access\-list
                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                
                                                .. attribute:: ipv6_dscp
                                                
                                                	IPv6 DSCP
                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                
                                                .. attribute:: ipv6_packet_len
                                                
                                                	IPv6 packet length array
                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                
                                                .. attribute:: ipv6_prec
                                                
                                                	IPv6 Precedence
                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                
                                                .. attribute:: media_type
                                                
                                                	Media Type
                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                
                                                .. attribute:: mlp_negotiated
                                                
                                                	MLP Negotiated
                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                
                                                .. attribute:: mpls_disp_ipv4_acl
                                                
                                                	MPLS Disposition IPv4 Access\-list
                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                
                                                .. attribute:: mpls_disp_ipv6_acl
                                                
                                                	MPLS Disposition IPv6 Access\-list
                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                
                                                .. attribute:: mpls_exp
                                                
                                                	Match MPLS experimental topmost array
                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                
                                                .. attribute:: mpls_exp_imp
                                                
                                                	Match MPLS experimental imposition array
                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                
                                                .. attribute:: mpls_top_eos
                                                
                                                	MPLS Topmost EOS
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: mpls_top_label
                                                
                                                	MPLS Topmost LABEL
                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                
                                                .. attribute:: nas_port
                                                
                                                	NAS Port
                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                
                                                .. attribute:: packet_len
                                                
                                                	Match packet length array
                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                
                                                .. attribute:: prec
                                                
                                                	Match Precedence array
                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                
                                                .. attribute:: proto
                                                
                                                	Match Protocol array
                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                
                                                .. attribute:: qos_group
                                                
                                                	Match QoS group array
                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                
                                                .. attribute:: remote_id
                                                
                                                	Remote ID
                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                
                                                .. attribute:: remote_id_regex
                                                
                                                	Remote ID RegEx
                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                
                                                .. attribute:: service_name
                                                
                                                	Service Name
                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                
                                                .. attribute:: service_name_regex
                                                
                                                	Service Name Regular Exp
                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                
                                                .. attribute:: src_addr_ipv4
                                                
                                                	Source Address IPV4
                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                
                                                .. attribute:: src_addr_ipv6
                                                
                                                	Source Address IPV6
                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                
                                                .. attribute:: src_addr_mac
                                                
                                                	Source Address MAC
                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                
                                                .. attribute:: src_mac
                                                
                                                	Match Source MAC address
                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                
                                                .. attribute:: src_port
                                                
                                                	Source port
                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                
                                                .. attribute:: subs_protocol
                                                
                                                	Protocol
                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                
                                                .. attribute:: tcp_flag
                                                
                                                	Match tcp flag value
                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                
                                                .. attribute:: timer
                                                
                                                	Timer
                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                
                                                .. attribute:: timer_regexp
                                                
                                                	Timer Regular Expression
                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                
                                                .. attribute:: traffic_class
                                                
                                                	Match Traffic class array
                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                
                                                .. attribute:: tunnel_name
                                                
                                                	Tunnel Name
                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                
                                                .. attribute:: tunnel_name_regex
                                                
                                                	Tunnel Name Regular Expression
                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                
                                                .. attribute:: type
                                                
                                                	type
                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                
                                                .. attribute:: unauth_domain
                                                
                                                	Unauthenticated Domain Name
                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                
                                                .. attribute:: unauth_domain_regex
                                                
                                                	Unauthenticated Domain Name RegEx
                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                
                                                .. attribute:: unauth_username
                                                
                                                	Unauthenticated User Name
                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                
                                                .. attribute:: unauth_username_regex
                                                
                                                	Unauthenticated User Name RegEx
                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                
                                                .. attribute:: user_name
                                                
                                                	User Name
                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                
                                                .. attribute:: user_name_regex
                                                
                                                	User Name Regular Expression
                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                
                                                .. attribute:: vendor_id
                                                
                                                	Vendor ID
                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                
                                                .. attribute:: vendor_id_regex
                                                
                                                	Vendor ID RegEx
                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                
                                                .. attribute:: vlan
                                                
                                                	Match VLAN array
                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                
                                                .. attribute:: vlan_inr
                                                
                                                	Match inner header VLAN range array
                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.access_interface = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                    self.access_interface.parent = self
                                                    self.atm_clp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                    self.atm_clp.parent = self
                                                    self.auth_domain = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                    self.auth_domain.parent = self
                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                    self.auth_domain_regex.parent = self
                                                    self.auth_username = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                    self.auth_username.parent = self
                                                    self.auth_username_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                    self.auth_username_regex.parent = self
                                                    self.authen_status = None
                                                    self.avail_id = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                    self.avail_id.parent = self
                                                    self.circuit_id = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                    self.circuit_id.parent = self
                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                    self.circuit_id_regex.parent = self
                                                    self.cos = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                    self.cos.parent = self
                                                    self.cos_inr = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                    self.cos_inr.parent = self
                                                    self.dei = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                    self.dei.parent = self
                                                    self.dei_inr = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                    self.dei_inr.parent = self
                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                    self.dhcp_client_id.parent = self
                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                    self.dhcp_client_id_regex.parent = self
                                                    self.discard_class = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                    self.discard_class.parent = self
                                                    self.dnis = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                    self.dnis.parent = self
                                                    self.dnis_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                    self.dnis_regex.parent = self
                                                    self.domain = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                    self.domain.parent = self
                                                    self.domain_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                    self.domain_regex.parent = self
                                                    self.dscp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                    self.dscp.parent = self
                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                    self.dst_addr_ipv4.parent = self
                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                    self.dst_addr_ipv6.parent = self
                                                    self.dst_mac = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                    self.dst_mac.parent = self
                                                    self.dst_port = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                    self.dst_port.parent = self
                                                    self.ether_service_acl = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                    self.ether_service_acl.parent = self
                                                    self.ethertype = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                    self.ethertype.parent = self
                                                    self.flow_key_data = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                    self.flow_key_data.parent = self
                                                    self.flow_tag = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                    self.flow_tag.parent = self
                                                    self.fr_de = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                    self.fr_de.parent = self
                                                    self.fr_dlci = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                    self.fr_dlci.parent = self
                                                    self.fragment_type = None
                                                    self.icmp_v4 = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                    self.icmp_v4.parent = self
                                                    self.icmp_v6 = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                    self.icmp_v6.parent = self
                                                    self.icmpv4_code = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                    self.icmpv4_code.parent = self
                                                    self.icmpv4_type = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                    self.icmpv4_type.parent = self
                                                    self.icmpv6_code = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                    self.icmpv6_code.parent = self
                                                    self.icmpv6_type = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                    self.icmpv6_type.parent = self
                                                    self.input_interface = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                    self.input_interface.parent = self
                                                    self.input_intfhdl = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                    self.input_intfhdl.parent = self
                                                    self.ipv4_acl = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                    self.ipv4_acl.parent = self
                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                    self.ipv4_dscp.parent = self
                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                    self.ipv4_packet_len.parent = self
                                                    self.ipv4_prec = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                    self.ipv4_prec.parent = self
                                                    self.ipv6_acl = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                    self.ipv6_acl.parent = self
                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                    self.ipv6_dscp.parent = self
                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                    self.ipv6_packet_len.parent = self
                                                    self.ipv6_prec = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                    self.ipv6_prec.parent = self
                                                    self.media_type = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                    self.media_type.parent = self
                                                    self.mlp_negotiated = None
                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                    self.mpls_disp_ipv4_acl.parent = self
                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                    self.mpls_disp_ipv6_acl.parent = self
                                                    self.mpls_exp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                    self.mpls_exp.parent = self
                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                    self.mpls_exp_imp.parent = self
                                                    self.mpls_top_eos = None
                                                    self.mpls_top_label = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                    self.mpls_top_label.parent = self
                                                    self.nas_port = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                    self.nas_port.parent = self
                                                    self.packet_len = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                    self.packet_len.parent = self
                                                    self.prec = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                    self.prec.parent = self
                                                    self.proto = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                    self.proto.parent = self
                                                    self.qos_group = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                    self.qos_group.parent = self
                                                    self.remote_id = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                    self.remote_id.parent = self
                                                    self.remote_id_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                    self.remote_id_regex.parent = self
                                                    self.service_name = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                    self.service_name.parent = self
                                                    self.service_name_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                    self.service_name_regex.parent = self
                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                    self.src_addr_ipv4.parent = self
                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                    self.src_addr_ipv6.parent = self
                                                    self.src_addr_mac = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                    self.src_addr_mac.parent = self
                                                    self.src_mac = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                    self.src_mac.parent = self
                                                    self.src_port = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                    self.src_port.parent = self
                                                    self.subs_protocol = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                    self.subs_protocol.parent = self
                                                    self.tcp_flag = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                    self.tcp_flag.parent = self
                                                    self.timer = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                    self.timer.parent = self
                                                    self.timer_regexp = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                    self.timer_regexp.parent = self
                                                    self.traffic_class = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                    self.traffic_class.parent = self
                                                    self.tunnel_name = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                    self.tunnel_name.parent = self
                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                    self.tunnel_name_regex.parent = self
                                                    self.type = None
                                                    self.unauth_domain = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                    self.unauth_domain.parent = self
                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                    self.unauth_domain_regex.parent = self
                                                    self.unauth_username = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                    self.unauth_username.parent = self
                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                    self.unauth_username_regex.parent = self
                                                    self.user_name = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                    self.user_name.parent = self
                                                    self.user_name_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                    self.user_name_regex.parent = self
                                                    self.vendor_id = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                    self.vendor_id.parent = self
                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                    self.vendor_id_regex.parent = self
                                                    self.vlan = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                    self.vlan.parent = self
                                                    self.vlan_inr = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                    self.vlan_inr.parent = self


                                                class Ipv4Dscp(object):
                                                    """
                                                    IPv4 DSCP
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                class Ipv6Dscp(object):
                                                    """
                                                    IPv6 DSCP
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                class Dscp(object):
                                                    """
                                                    Match DSCP range array
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                class Ipv4Prec(object):
                                                    """
                                                    IPv4 Precedence
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                class Ipv6Prec(object):
                                                    """
                                                    IPv6 Precedence
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                class Prec(object):
                                                    """
                                                    Match Precedence array
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                class DiscardClass(object):
                                                    """
                                                    Match Discard Class array
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                class QosGroup(object):
                                                    """
                                                    Match QoS group array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                class TrafficClass(object):
                                                    """
                                                    Match Traffic class array
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                class Proto(object):
                                                    """
                                                    Match Protocol array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                class IcmpV4(object):
                                                    """
                                                    Match ICMPV4 Protocol
                                                    
                                                    .. attribute:: code
                                                    
                                                    	Protocol code
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Protocol type
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.code = None
                                                        self.type = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.code is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                class IcmpV6(object):
                                                    """
                                                    Match ICMPV6 Protocol array
                                                    
                                                    .. attribute:: code
                                                    
                                                    	Protocol code
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	Protocol type
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.code = None
                                                        self.type = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.code is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                class Ipv4PacketLen(object):
                                                    """
                                                    IPv4 packet length array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                class Ipv6PacketLen(object):
                                                    """
                                                    IPv6 packet length array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                class PacketLen(object):
                                                    """
                                                    Match packet length array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                class FlowTag(object):
                                                    """
                                                    Match flow\-tag array
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                class TcpFlag(object):
                                                    """
                                                    Match tcp flag value
                                                    
                                                    .. attribute:: match_any
                                                    
                                                    	Match any TCP flag bit
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: value
                                                    
                                                    	Value of TCP flag
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.match_any = None
                                                        self.value = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.match_any is not None:
                                                            return True

                                                        if self.value is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                class Icmpv4Type(object):
                                                    """
                                                    Match ipv4 icmp type
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                class Icmpv4Code(object):
                                                    """
                                                    Match ipv4 icmp code
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                class Icmpv6Type(object):
                                                    """
                                                    Match ipv6 icmp type
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                class Icmpv6Code(object):
                                                    """
                                                    Match ipv6 icmp code
                                                    
                                                    .. attribute:: uint8_rng_array
                                                    
                                                    	uint8 rng array
                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_rng_array = YList()
                                                        self.uint8_rng_array.parent = self
                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                    class Uint8_Rng_Array(object):
                                                        """
                                                        uint8 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_rng_array is not None:
                                                            for child_ref in self.uint8_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                class MplsExp(object):
                                                    """
                                                    Match MPLS experimental topmost array
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                class MplsExpImp(object):
                                                    """
                                                    Match MPLS experimental imposition array
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                class MplsDispIpv4Acl(object):
                                                    """
                                                    MPLS Disposition IPv4 Access\-list
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                class MplsDispIpv6Acl(object):
                                                    """
                                                    MPLS Disposition IPv6 Access\-list
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                class MplsTopLabel(object):
                                                    """
                                                    MPLS Topmost LABEL
                                                    
                                                    .. attribute:: uint32_rng_array
                                                    
                                                    	uint32 rng array
                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint32_rng_array = YList()
                                                        self.uint32_rng_array.parent = self
                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                    class Uint32_Rng_Array(object):
                                                        """
                                                        uint32 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint32_rng_array is not None:
                                                            for child_ref in self.uint32_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                class Cos(object):
                                                    """
                                                    Match CoS array
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                class CosInr(object):
                                                    """
                                                    Match inner header CoS
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                class Dei(object):
                                                    """
                                                    Match DEI Bit
                                                    
                                                    .. attribute:: bit_value
                                                    
                                                    	Value of the DEI bit
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.bit_value = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.bit_value is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                class DeiInr(object):
                                                    """
                                                    Match inner DEI Bit
                                                    
                                                    .. attribute:: bit_value
                                                    
                                                    	Value of the DEI bit
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.bit_value = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.bit_value is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                class Vlan(object):
                                                    """
                                                    Match VLAN array
                                                    
                                                    .. attribute:: vlan_id_array
                                                    
                                                    	vlan id array
                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.vlan_id_array = YList()
                                                        self.vlan_id_array.parent = self
                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                    class VlanIdArray(object):
                                                        """
                                                        vlan id array
                                                        
                                                        .. attribute:: mask
                                                        
                                                        	VLAN mask
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.mask = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.mask is not None:
                                                                return True

                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.vlan_id_array is not None:
                                                            for child_ref in self.vlan_id_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                class VlanInr(object):
                                                    """
                                                    Match inner header VLAN range array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                class FrDlci(object):
                                                    """
                                                    Match FR DLCI range array
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                class SrcMac(object):
                                                    """
                                                    Match Source MAC address
                                                    
                                                    .. attribute:: mac_addr
                                                    
                                                    	MAC address
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	MAC mask
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mac_addr = YLeafList()
                                                        self.mac_addr.parent = self
                                                        self.mac_addr.name = 'mac_addr'
                                                        self.mask = YLeafList()
                                                        self.mask.parent = self
                                                        self.mask.name = 'mask'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mac_addr is not None:
                                                            for child in self.mac_addr:
                                                                if child is not None:
                                                                    return True

                                                        if self.mask is not None:
                                                            for child in self.mask:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                class DstMac(object):
                                                    """
                                                    Match Destination MAC address
                                                    
                                                    .. attribute:: mac_addr
                                                    
                                                    	MAC address
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: mask
                                                    
                                                    	MAC mask
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mac_addr = YLeafList()
                                                        self.mac_addr.parent = self
                                                        self.mac_addr.name = 'mac_addr'
                                                        self.mask = YLeafList()
                                                        self.mask.parent = self
                                                        self.mask.name = 'mask'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mac_addr is not None:
                                                            for child in self.mac_addr:
                                                                if child is not None:
                                                                    return True

                                                        if self.mask is not None:
                                                            for child in self.mask:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                class AtmClp(object):
                                                    """
                                                    Match ATM CLP level
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                class FrDe(object):
                                                    """
                                                    Match FR DE value
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                class Ipv4Acl(object):
                                                    """
                                                    IPv4 Access\-list
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                class Ipv6Acl(object):
                                                    """
                                                    IPv6 Access\-list
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                class EtherServiceAcl(object):
                                                    """
                                                    Ethernet\-Services Access\-list
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                class AvailId(object):
                                                    """
                                                    Available Identifiers
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                class MediaType(object):
                                                    """
                                                    Media Type
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                class SubsProtocol(object):
                                                    """
                                                    Protocol
                                                    
                                                    .. attribute:: uint8_array
                                                    
                                                    	uint8 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint8_array = YLeafList()
                                                        self.uint8_array.parent = self
                                                        self.uint8_array.name = 'uint8_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint8_array is not None:
                                                            for child in self.uint8_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                class Dnis(object):
                                                    """
                                                    DNIS
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                class DnisRegex(object):
                                                    """
                                                    DNIS Regular Expression
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                class Domain(object):
                                                    """
                                                    Domain Name
                                                    
                                                    .. attribute:: domain_array
                                                    
                                                    	domain array
                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.domain_array = YList()
                                                        self.domain_array.parent = self
                                                        self.domain_array.name = 'domain_array'


                                                    class DomainArray(object):
                                                        """
                                                        domain array
                                                        
                                                        .. attribute:: domain_name
                                                        
                                                        	domain name
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: format_name
                                                        
                                                        	format name
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.domain_name = None
                                                            self.format_name = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.domain_name is not None:
                                                                return True

                                                            if self.format_name is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.domain_array is not None:
                                                            for child_ref in self.domain_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                class DomainRegex(object):
                                                    """
                                                    Domain Regular Expression
                                                    
                                                    .. attribute:: domain_array
                                                    
                                                    	domain array
                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.domain_array = YList()
                                                        self.domain_array.parent = self
                                                        self.domain_array.name = 'domain_array'


                                                    class DomainArray(object):
                                                        """
                                                        domain array
                                                        
                                                        .. attribute:: domain_name
                                                        
                                                        	domain name
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: format_name
                                                        
                                                        	format name
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.domain_name = None
                                                            self.format_name = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.domain_name is not None:
                                                                return True

                                                            if self.format_name is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.domain_array is not None:
                                                            for child_ref in self.domain_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                class NasPort(object):
                                                    """
                                                    NAS Port
                                                    
                                                    .. attribute:: nas_port_array
                                                    
                                                    	nas port array
                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.nas_port_array = YList()
                                                        self.nas_port_array.parent = self
                                                        self.nas_port_array.name = 'nas_port_array'


                                                    class NasPortArray(object):
                                                        """
                                                        nas port array
                                                        
                                                        .. attribute:: operator
                                                        
                                                        	operator
                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                        
                                                        .. attribute:: sub_id
                                                        
                                                        	sub id
                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                        
                                                        .. attribute:: value
                                                        
                                                        	value
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.operator = None
                                                            self.sub_id = None
                                                            self.value = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.operator is not None:
                                                                return True

                                                            if self.sub_id is not None:
                                                                return True

                                                            if self.value is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.nas_port_array is not None:
                                                            for child_ref in self.nas_port_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                class ServiceName(object):
                                                    """
                                                    Service Name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                class ServiceNameRegex(object):
                                                    """
                                                    Service Name Regular Exp
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                class SrcAddrIpv4(object):
                                                    """
                                                    Source Address IPV4
                                                    
                                                    .. attribute:: ipv4_addr_array
                                                    
                                                    	ipv4 addr array
                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4_addr_array = YList()
                                                        self.ipv4_addr_array.parent = self
                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                    class Ipv4AddrArray(object):
                                                        """
                                                        ipv4 addr array
                                                        
                                                        .. attribute:: mask
                                                        
                                                        	mask
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: prefix
                                                        
                                                        	prefix
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.mask = None
                                                            self.prefix = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.mask is not None:
                                                                return True

                                                            if self.prefix is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.ipv4_addr_array is not None:
                                                            for child_ref in self.ipv4_addr_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                class DstAddrIpv4(object):
                                                    """
                                                    Destination Address IPV4
                                                    
                                                    .. attribute:: ipv4_addr_array
                                                    
                                                    	ipv4 addr array
                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4_addr_array = YList()
                                                        self.ipv4_addr_array.parent = self
                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                    class Ipv4AddrArray(object):
                                                        """
                                                        ipv4 addr array
                                                        
                                                        .. attribute:: mask
                                                        
                                                        	mask
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: prefix
                                                        
                                                        	prefix
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.mask = None
                                                            self.prefix = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.mask is not None:
                                                                return True

                                                            if self.prefix is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.ipv4_addr_array is not None:
                                                            for child_ref in self.ipv4_addr_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                class SrcAddrIpv6(object):
                                                    """
                                                    Source Address IPV6
                                                    
                                                    .. attribute:: ipv6_addr_array
                                                    
                                                    	ipv6 addr array
                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv6_addr_array = YList()
                                                        self.ipv6_addr_array.parent = self
                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                    class Ipv6AddrArray(object):
                                                        """
                                                        ipv6 addr array
                                                        
                                                        .. attribute:: mask
                                                        
                                                        	IPV6 mask
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: prefix
                                                        
                                                        	IPV6 prefix
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.mask = None
                                                            self.prefix = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.mask is not None:
                                                                return True

                                                            if self.prefix is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.ipv6_addr_array is not None:
                                                            for child_ref in self.ipv6_addr_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                class DstAddrIpv6(object):
                                                    """
                                                    Destination Address IPV6
                                                    
                                                    .. attribute:: ipv6_addr_array
                                                    
                                                    	ipv6 addr array
                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv6_addr_array = YList()
                                                        self.ipv6_addr_array.parent = self
                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                    class Ipv6AddrArray(object):
                                                        """
                                                        ipv6 addr array
                                                        
                                                        .. attribute:: mask
                                                        
                                                        	IPV6 mask
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: prefix
                                                        
                                                        	IPV6 prefix
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.mask = None
                                                            self.prefix = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.mask is not None:
                                                                return True

                                                            if self.prefix is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.ipv6_addr_array is not None:
                                                            for child_ref in self.ipv6_addr_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                class SrcAddrMac(object):
                                                    """
                                                    Source Address MAC
                                                    
                                                    .. attribute:: mac_addr_array
                                                    
                                                    	mac addr array
                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.mac_addr_array = YList()
                                                        self.mac_addr_array.parent = self
                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                    class MacAddrArray(object):
                                                        """
                                                        mac addr array
                                                        
                                                        .. attribute:: mac_addr
                                                        
                                                        	MAC address
                                                        	**type**\:  list of int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: mask
                                                        
                                                        	MAC mask
                                                        	**type**\:  list of int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.mac_addr = YLeafList()
                                                            self.mac_addr.parent = self
                                                            self.mac_addr.name = 'mac_addr'
                                                            self.mask = YLeafList()
                                                            self.mask.parent = self
                                                            self.mask.name = 'mask'

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.mac_addr is not None:
                                                                for child in self.mac_addr:
                                                                    if child is not None:
                                                                        return True

                                                            if self.mask is not None:
                                                                for child in self.mask:
                                                                    if child is not None:
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.mac_addr_array is not None:
                                                            for child_ref in self.mac_addr_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                class Timer(object):
                                                    """
                                                    Timer
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                class TimerRegexp(object):
                                                    """
                                                    Timer Regular Expression
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                class TunnelName(object):
                                                    """
                                                    Tunnel Name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                class TunnelNameRegex(object):
                                                    """
                                                    Tunnel Name Regular Expression
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                class UserName(object):
                                                    """
                                                    User Name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                class UserNameRegex(object):
                                                    """
                                                    User Name Regular Expression
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                class AuthUsername(object):
                                                    """
                                                    Authenticated User Name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                class AuthUsernameRegex(object):
                                                    """
                                                    Authenticated User Name RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                class UnauthUsername(object):
                                                    """
                                                    Unauthenticated User Name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                class UnauthUsernameRegex(object):
                                                    """
                                                    Unauthenticated User Name RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                class AuthDomain(object):
                                                    """
                                                    Authenticated domain name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                class AuthDomainRegex(object):
                                                    """
                                                    Authenticated Domain Name RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                class UnauthDomain(object):
                                                    """
                                                    Unauthenticated Domain Name
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                class UnauthDomainRegex(object):
                                                    """
                                                    Unauthenticated Domain Name RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                class VendorId(object):
                                                    """
                                                    Vendor ID
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                class VendorIdRegex(object):
                                                    """
                                                    Vendor ID RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                class AccessInterface(object):
                                                    """
                                                    Access interface
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                class InputInterface(object):
                                                    """
                                                    Input interface
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                class InputIntfhdl(object):
                                                    """
                                                    Input interface handle
                                                    
                                                    .. attribute:: uint64_array
                                                    
                                                    	uint64 array
                                                    	**type**\:  list of int
                                                    
                                                    	**range:** 0..18446744073709551615
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint64_array = YLeafList()
                                                        self.uint64_array.parent = self
                                                        self.uint64_array.name = 'uint64_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint64_array is not None:
                                                            for child in self.uint64_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                class Ethertype(object):
                                                    """
                                                    Ethernet type
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                class FlowKeyData(object):
                                                    """
                                                    Flow key structure
                                                    
                                                    .. attribute:: flow_keys
                                                    
                                                    	flow keys
                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                    
                                                    .. attribute:: idle_timeout
                                                    
                                                    	Idle timeout of flows (in seconds)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    	**units**\: second
                                                    
                                                    .. attribute:: max_count
                                                    
                                                    	Maximum count of flows
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.flow_keys = PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                        self.flow_keys.parent = self
                                                        self.idle_timeout = None
                                                        self.max_count = None


                                                    class FlowKeys(object):
                                                        """
                                                        flow keys
                                                        
                                                        .. attribute:: keys
                                                        
                                                        	keys
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                        
                                                        .. attribute:: num
                                                        
                                                        	num
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.keys = None
                                                            self.num = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.keys is not None:
                                                                return True

                                                            if self.num is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                            return True

                                                        if self.idle_timeout is not None:
                                                            return True

                                                        if self.max_count is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                class DhcpClientId(object):
                                                    """
                                                    Dhcp Client ID
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                class DhcpClientIdRegex(object):
                                                    """
                                                    Dhcp Client ID RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                class CircuitId(object):
                                                    """
                                                    Circuit ID
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                class CircuitIdRegex(object):
                                                    """
                                                    Circuit ID RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                class RemoteId(object):
                                                    """
                                                    Remote ID
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                class RemoteIdRegex(object):
                                                    """
                                                    Remote ID RegEx
                                                    
                                                    .. attribute:: string_array
                                                    
                                                    	string array
                                                    	**type**\:  list of str
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.string_array = YLeafList()
                                                        self.string_array.parent = self
                                                        self.string_array.name = 'string_array'

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.string_array is not None:
                                                            for child in self.string_array:
                                                                if child is not None:
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                class SrcPort(object):
                                                    """
                                                    Source port
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                class DstPort(object):
                                                    """
                                                    Destination port
                                                    
                                                    .. attribute:: uint16_rng_array
                                                    
                                                    	uint16 rng array
                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.uint16_rng_array = YList()
                                                        self.uint16_rng_array.parent = self
                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                    class Uint16_Rng_Array(object):
                                                        """
                                                        uint16 rng array
                                                        
                                                        .. attribute:: max
                                                        
                                                        	Upper limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: min
                                                        
                                                        	Lower limit of the range
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.max = None
                                                            self.min = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.max is not None:
                                                                return True

                                                            if self.min is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.uint16_rng_array is not None:
                                                            for child_ref in self.uint16_rng_array:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                        return True

                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                        return True

                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                        return True

                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                        return True

                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                        return True

                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                        return True

                                                    if self.authen_status is not None:
                                                        return True

                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                        return True

                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                        return True

                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                        return True

                                                    if self.cos is not None and self.cos._has_data():
                                                        return True

                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                        return True

                                                    if self.dei is not None and self.dei._has_data():
                                                        return True

                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                        return True

                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                        return True

                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                        return True

                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                        return True

                                                    if self.dnis is not None and self.dnis._has_data():
                                                        return True

                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                        return True

                                                    if self.domain is not None and self.domain._has_data():
                                                        return True

                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                        return True

                                                    if self.dscp is not None and self.dscp._has_data():
                                                        return True

                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                        return True

                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                        return True

                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                        return True

                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                        return True

                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                        return True

                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                        return True

                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                        return True

                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                        return True

                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                        return True

                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                        return True

                                                    if self.fragment_type is not None:
                                                        return True

                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                        return True

                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                        return True

                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                        return True

                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                        return True

                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                        return True

                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                        return True

                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                        return True

                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                        return True

                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                        return True

                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                        return True

                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                        return True

                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                        return True

                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                        return True

                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                        return True

                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                        return True

                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                        return True

                                                    if self.media_type is not None and self.media_type._has_data():
                                                        return True

                                                    if self.mlp_negotiated is not None:
                                                        return True

                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                        return True

                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                        return True

                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                        return True

                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                        return True

                                                    if self.mpls_top_eos is not None:
                                                        return True

                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                        return True

                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                        return True

                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                        return True

                                                    if self.prec is not None and self.prec._has_data():
                                                        return True

                                                    if self.proto is not None and self.proto._has_data():
                                                        return True

                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                        return True

                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                        return True

                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                        return True

                                                    if self.service_name is not None and self.service_name._has_data():
                                                        return True

                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                        return True

                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                        return True

                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                        return True

                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                        return True

                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                        return True

                                                    if self.src_port is not None and self.src_port._has_data():
                                                        return True

                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                        return True

                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                        return True

                                                    if self.timer is not None and self.timer._has_data():
                                                        return True

                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                        return True

                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                        return True

                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                        return True

                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                        return True

                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                        return True

                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                        return True

                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                        return True

                                                    if self.user_name is not None and self.user_name._has_data():
                                                        return True

                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                        return True

                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                        return True

                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                        return True

                                                    if self.vlan is not None and self.vlan._has_data():
                                                        return True

                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.flags is not None:
                                                    return True

                                                if self.match_data is not None and self.match_data._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.class_match_info_st is not None:
                                                for child_ref in self.class_match_info_st:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.chk_sum is not None:
                                            return True

                                        if self.description is not None:
                                            return True

                                        if self.flags is not None:
                                            return True

                                        if self.magic is not None:
                                            return True

                                        if self.match_count is not None:
                                            return True

                                        if self.match_infop is not None and self.match_infop._has_data():
                                            return True

                                        if self.mode is not None:
                                            return True

                                        if self.name is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.class_map_name is None:
                                        raise YPYModelError('Key property class_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map[Cisco-IOS-XR-infra-policymgr-oper:class-map-name = ' + str(self.class_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.class_map_name is not None:
                                        return True

                                    if self.class_map_bg is not None:
                                        for child_ref in self.class_map_bg:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-maps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.class_map is not None:
                                    for child_ref in self.class_map:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps']['meta_info']


                        class ClassMapBriefs(object):
                            """
                            Class\-map brief table
                            
                            .. attribute:: class_map_brief
                            
                            	Class\-map brief information
                            	**type**\: list of    :py:class:`ClassMapBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.class_map_brief = YList()
                                self.class_map_brief.parent = self
                                self.class_map_brief.name = 'class_map_brief'


                            class ClassMapBrief(object):
                                """
                                Class\-map brief information
                                
                                .. attribute:: class_map_name  <key>
                                
                                	Name of class\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_map_reference
                                
                                	Each Classmapdetails
                                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference>`
                                
                                .. attribute:: object
                                
                                	Each object details
                                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object>`
                                
                                .. attribute:: object_type
                                
                                	Application type configured
                                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                
                                .. attribute:: reference
                                
                                	Each Policymap details
                                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference>`
                                
                                .. attribute:: total_objects
                                
                                	Total number of objects configured for a specific object type
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: transient
                                
                                	Transient object
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.class_map_name = None
                                    self.class_map_reference = YList()
                                    self.class_map_reference.parent = self
                                    self.class_map_reference.name = 'class_map_reference'
                                    self.object = YList()
                                    self.object.parent = self
                                    self.object.name = 'object'
                                    self.object_type = None
                                    self.reference = YList()
                                    self.reference.parent = self
                                    self.reference.name = 'reference'
                                    self.total_objects = None
                                    self.transient = None


                                class Reference(object):
                                    """
                                    Each Policymap details
                                    
                                    .. attribute:: total_class_maps
                                    
                                    	Total number of Classmaps in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_flows
                                    
                                    	Total flows in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_internal_reference_objects
                                    
                                    	Total number of internal reference objects
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.total_class_maps = None
                                        self.total_flows = None
                                        self.total_internal_reference_objects = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.total_class_maps is not None:
                                            return True

                                        if self.total_flows is not None:
                                            return True

                                        if self.total_internal_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference']['meta_info']


                                class Object(object):
                                    """
                                    Each object details
                                    
                                    .. attribute:: object_name
                                    
                                    	Name of object (Policymap/Classmap)
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object']['meta_info']


                                class ClassMapReference(object):
                                    """
                                    Each Classmapdetails
                                    
                                    .. attribute:: policy_map_reference
                                    
                                    	List of Policymaps referencing a Classmap
                                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference>`
                                    
                                    .. attribute:: total_reference_objects
                                    
                                    	Total number of Policymaps referencing a Classmap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_reference = YList()
                                        self.policy_map_reference.parent = self
                                        self.policy_map_reference.name = 'policy_map_reference'
                                        self.total_reference_objects = None


                                    class PolicyMapReference(object):
                                        """
                                        List of Policymaps referencing a Classmap
                                        
                                        .. attribute:: object_type
                                        
                                        	Application type configured
                                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                        
                                        .. attribute:: policy_map_name
                                        
                                        	Name of Policymap referencing a Classmap
                                        	**type**\:  str
                                        
                                        	**length:** 0..64
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.object_type = None
                                            self.policy_map_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.object_type is not None:
                                                return True

                                            if self.policy_map_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_reference is not None:
                                            for child_ref in self.policy_map_reference:
                                                if child_ref._has_data():
                                                    return True

                                        if self.total_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.class_map_name is None:
                                        raise YPYModelError('Key property class_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-brief[Cisco-IOS-XR-infra-policymgr-oper:class-map-name = ' + str(self.class_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.class_map_name is not None:
                                        return True

                                    if self.class_map_reference is not None:
                                        for child_ref in self.class_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.object is not None:
                                        for child_ref in self.object:
                                            if child_ref._has_data():
                                                return True

                                    if self.object_type is not None:
                                        return True

                                    if self.reference is not None:
                                        for child_ref in self.reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_objects is not None:
                                        return True

                                    if self.transient is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-briefs'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.class_map_brief is not None:
                                    for child_ref in self.class_map_brief:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.type is None:
                                raise YPYModelError('Key property type is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.type is not None:
                                return True

                            if self.class_map_briefs is not None and self.class_map_briefs._has_data():
                                return True

                            if self.class_map_details is not None and self.class_map_details._has_data():
                                return True

                            if self.class_maps is not None and self.class_maps._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-types'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.class_map_type is not None:
                            for child_ref in self.class_map_type:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.class_map_types is not None and self.class_map_types._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Nodes.Node.ClassMap']['meta_info']


            class PolicyMap(object):
                """
                List of policymap details
                
                .. attribute:: policy_map_types
                
                	Application type of a policymap
                	**type**\:   :py:class:`PolicyMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes>`
                
                .. attribute:: policy_map_unused_types
                
                	Policy\-map unused table
                	**type**\:   :py:class:`PolicyMapUnusedTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes>`
                
                .. attribute:: transient_policy_map_type_xr
                
                	Application type of transient policy\-map
                	**type**\:   :py:class:`TransientPolicyMapTypeXr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr>`
                
                .. attribute:: transient_policy_map_types
                
                	Application type of transient policy\-map list
                	**type**\:   :py:class:`TransientPolicyMapTypes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes>`
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.policy_map_types = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes()
                    self.policy_map_types.parent = self
                    self.policy_map_unused_types = PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes()
                    self.policy_map_unused_types.parent = self
                    self.transient_policy_map_type_xr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr()
                    self.transient_policy_map_type_xr.parent = self
                    self.transient_policy_map_types = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes()
                    self.transient_policy_map_types.parent = self


                class TransientPolicyMapTypeXr(object):
                    """
                    Application type of transient policy\-map
                    
                    .. attribute:: transient_policy_map_type
                    
                    	Transient policy\-map type
                    	**type**\: list of    :py:class:`TransientPolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.transient_policy_map_type = YList()
                        self.transient_policy_map_type.parent = self
                        self.transient_policy_map_type.name = 'transient_policy_map_type'


                    class TransientPolicyMapType(object):
                        """
                        Transient policy\-map type
                        
                        .. attribute:: type  <key>
                        
                        	The application type
                        	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                        
                        .. attribute:: transient_policy_map_names
                        
                        	Transient policy\-map definition table
                        	**type**\:   :py:class:`TransientPolicyMapNames <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.type = None
                            self.transient_policy_map_names = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames()
                            self.transient_policy_map_names.parent = self


                        class TransientPolicyMapNames(object):
                            """
                            Transient policy\-map definition table
                            
                            .. attribute:: transient_policy_map_name
                            
                            	Transient policy\-map definition table
                            	**type**\: list of    :py:class:`TransientPolicyMapName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.transient_policy_map_name = YList()
                                self.transient_policy_map_name.parent = self
                                self.transient_policy_map_name.name = 'transient_policy_map_name'


                            class TransientPolicyMapName(object):
                                """
                                Transient policy\-map definition table
                                
                                .. attribute:: policy_map_name  <key>
                                
                                	Name of policy\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_handles
                                
                                	Transient policy\-map class handle table
                                	**type**\:   :py:class:`ClassHandles <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles>`
                                
                                .. attribute:: class_seq_nums
                                
                                	Transient policy\-map sequence number table
                                	**type**\:   :py:class:`ClassSeqNums <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums>`
                                
                                .. attribute:: definition
                                
                                	Transient Policy\-map type name
                                	**type**\:   :py:class:`Definition <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_name = None
                                    self.class_handles = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles()
                                    self.class_handles.parent = self
                                    self.class_seq_nums = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums()
                                    self.class_seq_nums.parent = self
                                    self.definition = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition()
                                    self.definition.parent = self


                                class ClassHandles(object):
                                    """
                                    Transient policy\-map class handle table
                                    
                                    .. attribute:: class_handle
                                    
                                    	Transient policy\-map class handle
                                    	**type**\: list of    :py:class:`ClassHandle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.class_handle = YList()
                                        self.class_handle.parent = self
                                        self.class_handle.name = 'class_handle'


                                    class ClassHandle(object):
                                        """
                                        Transient policy\-map class handle
                                        
                                        .. attribute:: inline_classhandle  <key>
                                        
                                        	inline class handle
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: policy_map_bg
                                        
                                        	policy map bg
                                        	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.inline_classhandle = None
                                            self.policy_map_bg = YList()
                                            self.policy_map_bg.parent = self
                                            self.policy_map_bg.name = 'policy_map_bg'


                                        class PolicyMapBg(object):
                                            """
                                            policy map bg
                                            
                                            .. attribute:: chk_sum
                                            
                                            	MD5 checksum of the encoded class\-map bag
                                            	**type**\:  str
                                            
                                            	**length:** 0..16
                                            
                                            .. attribute:: class_dflt_hrchy_depth
                                            
                                            	class dflt hrchy depth
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: description
                                            
                                            	description
                                            	**type**\:  str
                                            
                                            .. attribute:: event_infop
                                            
                                            	event infop
                                            	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop>`
                                            
                                            .. attribute:: flags
                                            
                                            	flags
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: handle
                                            
                                            	handle
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: magic
                                            
                                            	magic
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_hierarchy
                                            
                                            	max hierarchy
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: name
                                            
                                            	name
                                            	**type**\:  str
                                            
                                            	**length:** 0..65
                                            
                                            .. attribute:: num_classes
                                            
                                            	num classes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: num_policy_class_info
                                            
                                            	num policy class info
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: pclass_diff
                                            
                                            	pclass diff
                                            	**type**\:  int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            .. attribute:: pmap_var_list
                                            
                                            	pmap var list
                                            	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList>`
                                            
                                            .. attribute:: rateless_chk_sum
                                            
                                            	rateless chk sum
                                            	**type**\:  str
                                            
                                            	**length:** 0..16
                                            
                                            .. attribute:: table_id
                                            
                                            	table id
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	type
                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.chk_sum = None
                                                self.class_dflt_hrchy_depth = None
                                                self.description = None
                                                self.event_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop()
                                                self.event_infop.parent = self
                                                self.flags = None
                                                self.handle = None
                                                self.magic = None
                                                self.max_hierarchy = None
                                                self.name = None
                                                self.num_classes = None
                                                self.num_policy_class_info = None
                                                self.pclass_diff = None
                                                self.pmap_var_list = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList()
                                                self.pmap_var_list.parent = self
                                                self.rateless_chk_sum = None
                                                self.table_id = None
                                                self.type = None


                                            class PmapVarList(object):
                                                """
                                                pmap var list
                                                
                                                .. attribute:: offset
                                                
                                                	offset
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: pmap_var_list_arr
                                                
                                                	pmap var list arr
                                                	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.offset = YLeafList()
                                                    self.offset.parent = self
                                                    self.offset.name = 'offset'
                                                    self.pmap_var_list_arr = YList()
                                                    self.pmap_var_list_arr.parent = self
                                                    self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                                class PmapVarListArr(object):
                                                    """
                                                    pmap var list arr
                                                    
                                                    .. attribute:: id
                                                    
                                                    	id
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: name
                                                    
                                                    	name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..32
                                                    
                                                    .. attribute:: val
                                                    
                                                    	val
                                                    	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.name = None
                                                        self.val = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                        self.val.parent = self


                                                    class Val(object):
                                                        """
                                                        val
                                                        
                                                        .. attribute:: class_name
                                                        
                                                        	class name
                                                        	**type**\:  str
                                                        
                                                        	**length:** 0..65
                                                        
                                                        .. attribute:: dscp_val
                                                        
                                                        	dscp val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: param_uint32_val
                                                        
                                                        	param uint32 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: prec_val
                                                        
                                                        	prec val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: type
                                                        
                                                        	type
                                                        	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                        
                                                        .. attribute:: uint16_val
                                                        
                                                        	uint16 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: uint32_val
                                                        
                                                        	uint32 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: uint8_val
                                                        
                                                        	uint8 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.class_name = None
                                                            self.dscp_val = None
                                                            self.param_uint32_val = None
                                                            self.prec_val = None
                                                            self.type = None
                                                            self.uint16_val = None
                                                            self.uint32_val = None
                                                            self.uint8_val = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.class_name is not None:
                                                                return True

                                                            if self.dscp_val is not None:
                                                                return True

                                                            if self.param_uint32_val is not None:
                                                                return True

                                                            if self.prec_val is not None:
                                                                return True

                                                            if self.type is not None:
                                                                return True

                                                            if self.uint16_val is not None:
                                                                return True

                                                            if self.uint32_val is not None:
                                                                return True

                                                            if self.uint8_val is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.id is not None:
                                                            return True

                                                        if self.name is not None:
                                                            return True

                                                        if self.val is not None and self.val._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.offset is not None:
                                                        for child in self.offset:
                                                            if child is not None:
                                                                return True

                                                    if self.pmap_var_list_arr is not None:
                                                        for child_ref in self.pmap_var_list_arr:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList']['meta_info']


                                            class EventInfop(object):
                                                """
                                                event infop
                                                
                                                .. attribute:: policy_event_info_bg
                                                
                                                	policy event info bg
                                                	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.policy_event_info_bg = YList()
                                                    self.policy_event_info_bg.parent = self
                                                    self.policy_event_info_bg.name = 'policy_event_info_bg'


                                                class PolicyEventInfoBg(object):
                                                    """
                                                    policy event info bg
                                                    
                                                    .. attribute:: avl_tree
                                                    
                                                    	avl tree
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..18446744073709551615
                                                    
                                                    .. attribute:: class_infop
                                                    
                                                    	class infop
                                                    	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                    
                                                    .. attribute:: cond_eval
                                                    
                                                    	cond eval
                                                    	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                    
                                                    .. attribute:: event_type
                                                    
                                                    	event type
                                                    	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	flags
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.avl_tree = None
                                                        self.class_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                        self.class_infop.parent = self
                                                        self.cond_eval = None
                                                        self.event_type = None
                                                        self.flags = None


                                                    class ClassInfop(object):
                                                        """
                                                        class infop
                                                        
                                                        .. attribute:: policy_class_info_bg
                                                        
                                                        	policy class info bg
                                                        	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.policy_class_info_bg = YList()
                                                            self.policy_class_info_bg.parent = self
                                                            self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                        class PolicyClassInfoBg(object):
                                                            """
                                                            policy class info bg
                                                            
                                                            .. attribute:: act_infop
                                                            
                                                            	act infop
                                                            	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                            
                                                            .. attribute:: cl_encode
                                                            
                                                            	cl encode
                                                            	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                            
                                                            .. attribute:: clmp_p
                                                            
                                                            	clmp p
                                                            	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                            
                                                            .. attribute:: ctype
                                                            
                                                            	ctype
                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                            
                                                            .. attribute:: exe_strat
                                                            
                                                            	exe strat
                                                            	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	flags
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: num_actions
                                                            
                                                            	num actions
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            .. attribute:: policy_class_hd
                                                            
                                                            	policy class hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: seq
                                                            
                                                            	seq
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: version
                                                            
                                                            	version
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.act_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                                self.act_infop.parent = self
                                                                self.cl_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                                self.cl_encode.parent = self
                                                                self.clmp_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                                self.clmp_p.parent = self
                                                                self.ctype = None
                                                                self.exe_strat = None
                                                                self.flags = None
                                                                self.num_actions = None
                                                                self.policy_class_hd = None
                                                                self.seq = None
                                                                self.version = None


                                                            class ClEncode(object):
                                                                """
                                                                cl encode
                                                                
                                                                .. attribute:: class_name
                                                                
                                                                	class name
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: enc
                                                                
                                                                	enc
                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                
                                                                .. attribute:: hd
                                                                
                                                                	hd
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..18446744073709551615
                                                                
                                                                .. attribute:: idx
                                                                
                                                                	idx
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                .. attribute:: inline_cmap
                                                                
                                                                	inline cmap
                                                                	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_name = None
                                                                    self.enc = None
                                                                    self.hd = None
                                                                    self.idx = None
                                                                    self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                    self.inline_cmap.parent = self


                                                                class InlineCmap(object):
                                                                    """
                                                                    inline cmap
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Inline Class\-Map flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_count
                                                                    
                                                                    	Number of Match infos
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_infop
                                                                    
                                                                    	Pointer to the first Match info
                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                    
                                                                    .. attribute:: mode
                                                                    
                                                                    	Inline Class\-Map Mode Match any/all
                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flags = None
                                                                        self.match_count = None
                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                        self.match_infop.parent = self
                                                                        self.mode = None


                                                                    class MatchInfop(object):
                                                                        """
                                                                        Pointer to the first Match info
                                                                        
                                                                        .. attribute:: class_match_info_st
                                                                        
                                                                        	class match info st
                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_match_info_st = YList()
                                                                            self.class_match_info_st.parent = self
                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                        class ClassMatchInfoSt(object):
                                                                            """
                                                                            class match info st
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_data
                                                                            
                                                                            	Match criteria
                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                self.match_data.parent = self


                                                                            class MatchData(object):
                                                                                """
                                                                                Match criteria
                                                                                
                                                                                .. attribute:: access_interface
                                                                                
                                                                                	Access interface
                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                
                                                                                .. attribute:: atm_clp
                                                                                
                                                                                	Match ATM CLP level
                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                
                                                                                .. attribute:: auth_domain
                                                                                
                                                                                	Authenticated domain name
                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                
                                                                                .. attribute:: auth_domain_regex
                                                                                
                                                                                	Authenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                
                                                                                .. attribute:: auth_username
                                                                                
                                                                                	Authenticated User Name
                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                
                                                                                .. attribute:: auth_username_regex
                                                                                
                                                                                	Authenticated User Name RegEx
                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                
                                                                                .. attribute:: authen_status
                                                                                
                                                                                	Authentication Status
                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                
                                                                                .. attribute:: avail_id
                                                                                
                                                                                	Available Identifiers
                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                
                                                                                .. attribute:: circuit_id
                                                                                
                                                                                	Circuit ID
                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                
                                                                                .. attribute:: circuit_id_regex
                                                                                
                                                                                	Circuit ID RegEx
                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                
                                                                                .. attribute:: cos
                                                                                
                                                                                	Match CoS array
                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                
                                                                                .. attribute:: cos_inr
                                                                                
                                                                                	Match inner header CoS
                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                
                                                                                .. attribute:: dei
                                                                                
                                                                                	Match DEI Bit
                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                
                                                                                .. attribute:: dei_inr
                                                                                
                                                                                	Match inner DEI Bit
                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                
                                                                                .. attribute:: dhcp_client_id
                                                                                
                                                                                	Dhcp Client ID
                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                
                                                                                .. attribute:: dhcp_client_id_regex
                                                                                
                                                                                	Dhcp Client ID RegEx
                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                
                                                                                .. attribute:: discard_class
                                                                                
                                                                                	Match Discard Class array
                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                
                                                                                .. attribute:: dnis
                                                                                
                                                                                	DNIS
                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                
                                                                                .. attribute:: dnis_regex
                                                                                
                                                                                	DNIS Regular Expression
                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                
                                                                                .. attribute:: domain
                                                                                
                                                                                	Domain Name
                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                
                                                                                .. attribute:: domain_regex
                                                                                
                                                                                	Domain Regular Expression
                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                
                                                                                .. attribute:: dscp
                                                                                
                                                                                	Match DSCP range array
                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv4
                                                                                
                                                                                	Destination Address IPV4
                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv6
                                                                                
                                                                                	Destination Address IPV6
                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                
                                                                                .. attribute:: dst_mac
                                                                                
                                                                                	Match Destination MAC address
                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                
                                                                                .. attribute:: dst_port
                                                                                
                                                                                	Destination port
                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                
                                                                                .. attribute:: ether_service_acl
                                                                                
                                                                                	Ethernet\-Services Access\-list
                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                
                                                                                .. attribute:: ethertype
                                                                                
                                                                                	Ethernet type
                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                
                                                                                .. attribute:: flow_key_data
                                                                                
                                                                                	Flow key structure
                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                
                                                                                .. attribute:: flow_tag
                                                                                
                                                                                	Match flow\-tag array
                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                
                                                                                .. attribute:: fr_de
                                                                                
                                                                                	Match FR DE value
                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                
                                                                                .. attribute:: fr_dlci
                                                                                
                                                                                	Match FR DLCI range array
                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                
                                                                                .. attribute:: fragment_type
                                                                                
                                                                                	Fragment type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: icmp_v4
                                                                                
                                                                                	Match ICMPV4 Protocol
                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                
                                                                                .. attribute:: icmp_v6
                                                                                
                                                                                	Match ICMPV6 Protocol array
                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                
                                                                                .. attribute:: icmpv4_code
                                                                                
                                                                                	Match ipv4 icmp code
                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                
                                                                                .. attribute:: icmpv4_type
                                                                                
                                                                                	Match ipv4 icmp type
                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                
                                                                                .. attribute:: icmpv6_code
                                                                                
                                                                                	Match ipv6 icmp code
                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                
                                                                                .. attribute:: icmpv6_type
                                                                                
                                                                                	Match ipv6 icmp type
                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                
                                                                                .. attribute:: input_interface
                                                                                
                                                                                	Input interface
                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                
                                                                                .. attribute:: input_intfhdl
                                                                                
                                                                                	Input interface handle
                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                
                                                                                .. attribute:: ipv4_acl
                                                                                
                                                                                	IPv4 Access\-list
                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                
                                                                                .. attribute:: ipv4_dscp
                                                                                
                                                                                	IPv4 DSCP
                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                
                                                                                .. attribute:: ipv4_packet_len
                                                                                
                                                                                	IPv4 packet length array
                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                
                                                                                .. attribute:: ipv4_prec
                                                                                
                                                                                	IPv4 Precedence
                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                
                                                                                .. attribute:: ipv6_acl
                                                                                
                                                                                	IPv6 Access\-list
                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                
                                                                                .. attribute:: ipv6_dscp
                                                                                
                                                                                	IPv6 DSCP
                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                
                                                                                .. attribute:: ipv6_packet_len
                                                                                
                                                                                	IPv6 packet length array
                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                
                                                                                .. attribute:: ipv6_prec
                                                                                
                                                                                	IPv6 Precedence
                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                
                                                                                .. attribute:: media_type
                                                                                
                                                                                	Media Type
                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                
                                                                                .. attribute:: mlp_negotiated
                                                                                
                                                                                	MLP Negotiated
                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                
                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                
                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                
                                                                                .. attribute:: mpls_exp
                                                                                
                                                                                	Match MPLS experimental topmost array
                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                
                                                                                .. attribute:: mpls_exp_imp
                                                                                
                                                                                	Match MPLS experimental imposition array
                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                
                                                                                .. attribute:: mpls_top_eos
                                                                                
                                                                                	MPLS Topmost EOS
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: mpls_top_label
                                                                                
                                                                                	MPLS Topmost LABEL
                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                
                                                                                .. attribute:: nas_port
                                                                                
                                                                                	NAS Port
                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                
                                                                                .. attribute:: packet_len
                                                                                
                                                                                	Match packet length array
                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                
                                                                                .. attribute:: prec
                                                                                
                                                                                	Match Precedence array
                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                
                                                                                .. attribute:: proto
                                                                                
                                                                                	Match Protocol array
                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                
                                                                                .. attribute:: qos_group
                                                                                
                                                                                	Match QoS group array
                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                
                                                                                .. attribute:: remote_id
                                                                                
                                                                                	Remote ID
                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                
                                                                                .. attribute:: remote_id_regex
                                                                                
                                                                                	Remote ID RegEx
                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                
                                                                                .. attribute:: service_name
                                                                                
                                                                                	Service Name
                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                
                                                                                .. attribute:: service_name_regex
                                                                                
                                                                                	Service Name Regular Exp
                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                
                                                                                .. attribute:: src_addr_ipv4
                                                                                
                                                                                	Source Address IPV4
                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                
                                                                                .. attribute:: src_addr_ipv6
                                                                                
                                                                                	Source Address IPV6
                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                
                                                                                .. attribute:: src_addr_mac
                                                                                
                                                                                	Source Address MAC
                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                
                                                                                .. attribute:: src_mac
                                                                                
                                                                                	Match Source MAC address
                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                
                                                                                .. attribute:: src_port
                                                                                
                                                                                	Source port
                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                
                                                                                .. attribute:: subs_protocol
                                                                                
                                                                                	Protocol
                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                
                                                                                .. attribute:: tcp_flag
                                                                                
                                                                                	Match tcp flag value
                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                
                                                                                .. attribute:: timer
                                                                                
                                                                                	Timer
                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                
                                                                                .. attribute:: timer_regexp
                                                                                
                                                                                	Timer Regular Expression
                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                
                                                                                .. attribute:: traffic_class
                                                                                
                                                                                	Match Traffic class array
                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                
                                                                                .. attribute:: tunnel_name
                                                                                
                                                                                	Tunnel Name
                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                
                                                                                .. attribute:: tunnel_name_regex
                                                                                
                                                                                	Tunnel Name Regular Expression
                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                
                                                                                .. attribute:: unauth_domain
                                                                                
                                                                                	Unauthenticated Domain Name
                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                
                                                                                .. attribute:: unauth_domain_regex
                                                                                
                                                                                	Unauthenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                
                                                                                .. attribute:: unauth_username
                                                                                
                                                                                	Unauthenticated User Name
                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                
                                                                                .. attribute:: unauth_username_regex
                                                                                
                                                                                	Unauthenticated User Name RegEx
                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                
                                                                                .. attribute:: user_name
                                                                                
                                                                                	User Name
                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                
                                                                                .. attribute:: user_name_regex
                                                                                
                                                                                	User Name Regular Expression
                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                
                                                                                .. attribute:: vendor_id
                                                                                
                                                                                	Vendor ID
                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                
                                                                                .. attribute:: vendor_id_regex
                                                                                
                                                                                	Vendor ID RegEx
                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                
                                                                                .. attribute:: vlan
                                                                                
                                                                                	Match VLAN array
                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                
                                                                                .. attribute:: vlan_inr
                                                                                
                                                                                	Match inner header VLAN range array
                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                    self.access_interface.parent = self
                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                    self.atm_clp.parent = self
                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                    self.auth_domain.parent = self
                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                    self.auth_domain_regex.parent = self
                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                    self.auth_username.parent = self
                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                    self.auth_username_regex.parent = self
                                                                                    self.authen_status = None
                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                    self.avail_id.parent = self
                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                    self.circuit_id.parent = self
                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                    self.circuit_id_regex.parent = self
                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                    self.cos.parent = self
                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                    self.cos_inr.parent = self
                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                    self.dei.parent = self
                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                    self.dei_inr.parent = self
                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                    self.dhcp_client_id.parent = self
                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                    self.discard_class.parent = self
                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                    self.dnis.parent = self
                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                    self.dnis_regex.parent = self
                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                    self.domain.parent = self
                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                    self.domain_regex.parent = self
                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                    self.dscp.parent = self
                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                    self.dst_addr_ipv4.parent = self
                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                    self.dst_addr_ipv6.parent = self
                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                    self.dst_mac.parent = self
                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                    self.dst_port.parent = self
                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                    self.ether_service_acl.parent = self
                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                    self.ethertype.parent = self
                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                    self.flow_key_data.parent = self
                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                    self.flow_tag.parent = self
                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                    self.fr_de.parent = self
                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                    self.fr_dlci.parent = self
                                                                                    self.fragment_type = None
                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                    self.icmp_v4.parent = self
                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                    self.icmp_v6.parent = self
                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                    self.icmpv4_code.parent = self
                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                    self.icmpv4_type.parent = self
                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                    self.icmpv6_code.parent = self
                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                    self.icmpv6_type.parent = self
                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                    self.input_interface.parent = self
                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                    self.input_intfhdl.parent = self
                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                    self.ipv4_acl.parent = self
                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                    self.ipv4_dscp.parent = self
                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                    self.ipv4_packet_len.parent = self
                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                    self.ipv4_prec.parent = self
                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                    self.ipv6_acl.parent = self
                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                    self.ipv6_dscp.parent = self
                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                    self.ipv6_packet_len.parent = self
                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                    self.ipv6_prec.parent = self
                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                    self.media_type.parent = self
                                                                                    self.mlp_negotiated = None
                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                    self.mpls_exp.parent = self
                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                    self.mpls_exp_imp.parent = self
                                                                                    self.mpls_top_eos = None
                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                    self.mpls_top_label.parent = self
                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                    self.nas_port.parent = self
                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                    self.packet_len.parent = self
                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                    self.prec.parent = self
                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                    self.proto.parent = self
                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                    self.qos_group.parent = self
                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                    self.remote_id.parent = self
                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                    self.remote_id_regex.parent = self
                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                    self.service_name.parent = self
                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                    self.service_name_regex.parent = self
                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                    self.src_addr_ipv4.parent = self
                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                    self.src_addr_ipv6.parent = self
                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                    self.src_addr_mac.parent = self
                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                    self.src_mac.parent = self
                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                    self.src_port.parent = self
                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                    self.subs_protocol.parent = self
                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                    self.tcp_flag.parent = self
                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                    self.timer.parent = self
                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                    self.timer_regexp.parent = self
                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                    self.traffic_class.parent = self
                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                    self.tunnel_name.parent = self
                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                    self.tunnel_name_regex.parent = self
                                                                                    self.type = None
                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                    self.unauth_domain.parent = self
                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                    self.unauth_domain_regex.parent = self
                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                    self.unauth_username.parent = self
                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                    self.unauth_username_regex.parent = self
                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                    self.user_name.parent = self
                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                    self.user_name_regex.parent = self
                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                    self.vendor_id.parent = self
                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                    self.vendor_id_regex.parent = self
                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                    self.vlan.parent = self
                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                    self.vlan_inr.parent = self


                                                                                class Ipv4Dscp(object):
                                                                                    """
                                                                                    IPv4 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                class Ipv6Dscp(object):
                                                                                    """
                                                                                    IPv6 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                class Dscp(object):
                                                                                    """
                                                                                    Match DSCP range array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                class Ipv4Prec(object):
                                                                                    """
                                                                                    IPv4 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                class Ipv6Prec(object):
                                                                                    """
                                                                                    IPv6 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                class Prec(object):
                                                                                    """
                                                                                    Match Precedence array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                class DiscardClass(object):
                                                                                    """
                                                                                    Match Discard Class array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                class QosGroup(object):
                                                                                    """
                                                                                    Match QoS group array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                class TrafficClass(object):
                                                                                    """
                                                                                    Match Traffic class array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                class Proto(object):
                                                                                    """
                                                                                    Match Protocol array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                class IcmpV4(object):
                                                                                    """
                                                                                    Match ICMPV4 Protocol
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                class IcmpV6(object):
                                                                                    """
                                                                                    Match ICMPV6 Protocol array
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                class Ipv4PacketLen(object):
                                                                                    """
                                                                                    IPv4 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                class Ipv6PacketLen(object):
                                                                                    """
                                                                                    IPv6 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                class PacketLen(object):
                                                                                    """
                                                                                    Match packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                class FlowTag(object):
                                                                                    """
                                                                                    Match flow\-tag array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                class TcpFlag(object):
                                                                                    """
                                                                                    Match tcp flag value
                                                                                    
                                                                                    .. attribute:: match_any
                                                                                    
                                                                                    	Match any TCP flag bit
                                                                                    	**type**\:  bool
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	Value of TCP flag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.match_any = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.match_any is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                class Icmpv4Type(object):
                                                                                    """
                                                                                    Match ipv4 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                class Icmpv4Code(object):
                                                                                    """
                                                                                    Match ipv4 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                class Icmpv6Type(object):
                                                                                    """
                                                                                    Match ipv6 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                class Icmpv6Code(object):
                                                                                    """
                                                                                    Match ipv6 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                class MplsExp(object):
                                                                                    """
                                                                                    Match MPLS experimental topmost array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                class MplsExpImp(object):
                                                                                    """
                                                                                    Match MPLS experimental imposition array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                class MplsDispIpv4Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                class MplsDispIpv6Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                class MplsTopLabel(object):
                                                                                    """
                                                                                    MPLS Topmost LABEL
                                                                                    
                                                                                    .. attribute:: uint32_rng_array
                                                                                    
                                                                                    	uint32 rng array
                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint32_rng_array = YList()
                                                                                        self.uint32_rng_array.parent = self
                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                    class Uint32_Rng_Array(object):
                                                                                        """
                                                                                        uint32 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint32_rng_array is not None:
                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                class Cos(object):
                                                                                    """
                                                                                    Match CoS array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                class CosInr(object):
                                                                                    """
                                                                                    Match inner header CoS
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                class Dei(object):
                                                                                    """
                                                                                    Match DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                class DeiInr(object):
                                                                                    """
                                                                                    Match inner DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                class Vlan(object):
                                                                                    """
                                                                                    Match VLAN array
                                                                                    
                                                                                    .. attribute:: vlan_id_array
                                                                                    
                                                                                    	vlan id array
                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.vlan_id_array = YList()
                                                                                        self.vlan_id_array.parent = self
                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                    class VlanIdArray(object):
                                                                                        """
                                                                                        vlan id array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	VLAN mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.vlan_id_array is not None:
                                                                                            for child_ref in self.vlan_id_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                class VlanInr(object):
                                                                                    """
                                                                                    Match inner header VLAN range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                class FrDlci(object):
                                                                                    """
                                                                                    Match FR DLCI range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                class SrcMac(object):
                                                                                    """
                                                                                    Match Source MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                class DstMac(object):
                                                                                    """
                                                                                    Match Destination MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                class AtmClp(object):
                                                                                    """
                                                                                    Match ATM CLP level
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                class FrDe(object):
                                                                                    """
                                                                                    Match FR DE value
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                class Ipv4Acl(object):
                                                                                    """
                                                                                    IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                class Ipv6Acl(object):
                                                                                    """
                                                                                    IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                class EtherServiceAcl(object):
                                                                                    """
                                                                                    Ethernet\-Services Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                class AvailId(object):
                                                                                    """
                                                                                    Available Identifiers
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                class MediaType(object):
                                                                                    """
                                                                                    Media Type
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                class SubsProtocol(object):
                                                                                    """
                                                                                    Protocol
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                class Dnis(object):
                                                                                    """
                                                                                    DNIS
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                class DnisRegex(object):
                                                                                    """
                                                                                    DNIS Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                class Domain(object):
                                                                                    """
                                                                                    Domain Name
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                class DomainRegex(object):
                                                                                    """
                                                                                    Domain Regular Expression
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                class NasPort(object):
                                                                                    """
                                                                                    NAS Port
                                                                                    
                                                                                    .. attribute:: nas_port_array
                                                                                    
                                                                                    	nas port array
                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.nas_port_array = YList()
                                                                                        self.nas_port_array.parent = self
                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                    class NasPortArray(object):
                                                                                        """
                                                                                        nas port array
                                                                                        
                                                                                        .. attribute:: operator
                                                                                        
                                                                                        	operator
                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                        
                                                                                        .. attribute:: sub_id
                                                                                        
                                                                                        	sub id
                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.operator = None
                                                                                            self.sub_id = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.operator is not None:
                                                                                                return True

                                                                                            if self.sub_id is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.nas_port_array is not None:
                                                                                            for child_ref in self.nas_port_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                class ServiceName(object):
                                                                                    """
                                                                                    Service Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                class ServiceNameRegex(object):
                                                                                    """
                                                                                    Service Name Regular Exp
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                class SrcAddrIpv4(object):
                                                                                    """
                                                                                    Source Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                class DstAddrIpv4(object):
                                                                                    """
                                                                                    Destination Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                class SrcAddrIpv6(object):
                                                                                    """
                                                                                    Source Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                class DstAddrIpv6(object):
                                                                                    """
                                                                                    Destination Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                class SrcAddrMac(object):
                                                                                    """
                                                                                    Source Address MAC
                                                                                    
                                                                                    .. attribute:: mac_addr_array
                                                                                    
                                                                                    	mac addr array
                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr_array = YList()
                                                                                        self.mac_addr_array.parent = self
                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                    class MacAddrArray(object):
                                                                                        """
                                                                                        mac addr array
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr_array is not None:
                                                                                            for child_ref in self.mac_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                class Timer(object):
                                                                                    """
                                                                                    Timer
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                class TimerRegexp(object):
                                                                                    """
                                                                                    Timer Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                class TunnelName(object):
                                                                                    """
                                                                                    Tunnel Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                class TunnelNameRegex(object):
                                                                                    """
                                                                                    Tunnel Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                class UserName(object):
                                                                                    """
                                                                                    User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                class UserNameRegex(object):
                                                                                    """
                                                                                    User Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                class AuthUsername(object):
                                                                                    """
                                                                                    Authenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                class AuthUsernameRegex(object):
                                                                                    """
                                                                                    Authenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                class UnauthUsername(object):
                                                                                    """
                                                                                    Unauthenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                class UnauthUsernameRegex(object):
                                                                                    """
                                                                                    Unauthenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                class AuthDomain(object):
                                                                                    """
                                                                                    Authenticated domain name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                class AuthDomainRegex(object):
                                                                                    """
                                                                                    Authenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                class UnauthDomain(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                class UnauthDomainRegex(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                class VendorId(object):
                                                                                    """
                                                                                    Vendor ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                class VendorIdRegex(object):
                                                                                    """
                                                                                    Vendor ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                class AccessInterface(object):
                                                                                    """
                                                                                    Access interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                class InputInterface(object):
                                                                                    """
                                                                                    Input interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                class InputIntfhdl(object):
                                                                                    """
                                                                                    Input interface handle
                                                                                    
                                                                                    .. attribute:: uint64_array
                                                                                    
                                                                                    	uint64 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..18446744073709551615
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint64_array = YLeafList()
                                                                                        self.uint64_array.parent = self
                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint64_array is not None:
                                                                                            for child in self.uint64_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                class Ethertype(object):
                                                                                    """
                                                                                    Ethernet type
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                class FlowKeyData(object):
                                                                                    """
                                                                                    Flow key structure
                                                                                    
                                                                                    .. attribute:: flow_keys
                                                                                    
                                                                                    	flow keys
                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                    
                                                                                    .. attribute:: idle_timeout
                                                                                    
                                                                                    	Idle timeout of flows (in seconds)
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    	**units**\: second
                                                                                    
                                                                                    .. attribute:: max_count
                                                                                    
                                                                                    	Maximum count of flows
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                        self.flow_keys.parent = self
                                                                                        self.idle_timeout = None
                                                                                        self.max_count = None


                                                                                    class FlowKeys(object):
                                                                                        """
                                                                                        flow keys
                                                                                        
                                                                                        .. attribute:: keys
                                                                                        
                                                                                        	keys
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                        
                                                                                        .. attribute:: num
                                                                                        
                                                                                        	num
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.keys = None
                                                                                            self.num = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.keys is not None:
                                                                                                return True

                                                                                            if self.num is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                            return True

                                                                                        if self.idle_timeout is not None:
                                                                                            return True

                                                                                        if self.max_count is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                class DhcpClientId(object):
                                                                                    """
                                                                                    Dhcp Client ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                class DhcpClientIdRegex(object):
                                                                                    """
                                                                                    Dhcp Client ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                class CircuitId(object):
                                                                                    """
                                                                                    Circuit ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                class CircuitIdRegex(object):
                                                                                    """
                                                                                    Circuit ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                class RemoteId(object):
                                                                                    """
                                                                                    Remote ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                class RemoteIdRegex(object):
                                                                                    """
                                                                                    Remote ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                class SrcPort(object):
                                                                                    """
                                                                                    Source port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                class DstPort(object):
                                                                                    """
                                                                                    Destination port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                        return True

                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                        return True

                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                        return True

                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                        return True

                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.authen_status is not None:
                                                                                        return True

                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                        return True

                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                        return True

                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                        return True

                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                        return True

                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                        return True

                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                        return True

                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                        return True

                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                        return True

                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                        return True

                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                        return True

                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                        return True

                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                        return True

                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                        return True

                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                        return True

                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                        return True

                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                        return True

                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                        return True

                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                        return True

                                                                                    if self.fragment_type is not None:
                                                                                        return True

                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                        return True

                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                        return True

                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                        return True

                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                        return True

                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                        return True

                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                        return True

                                                                                    if self.mlp_negotiated is not None:
                                                                                        return True

                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                        return True

                                                                                    if self.mpls_top_eos is not None:
                                                                                        return True

                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                        return True

                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                        return True

                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                        return True

                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                        return True

                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                        return True

                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                        return True

                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                        return True

                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                        return True

                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                        return True

                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                        return True

                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                        return True

                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                        return True

                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                        return True

                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                        return True

                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                        return True

                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                        return True

                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                        return True

                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                        return True

                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                        return True

                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                        return True

                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                        return True

                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                        return True

                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                        return True

                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_match_info_st is not None:
                                                                                for child_ref in self.class_match_info_st:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.match_count is not None:
                                                                            return True

                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                            return True

                                                                        if self.mode is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_name is not None:
                                                                        return True

                                                                    if self.enc is not None:
                                                                        return True

                                                                    if self.hd is not None:
                                                                        return True

                                                                    if self.idx is not None:
                                                                        return True

                                                                    if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                            class ClmpP(object):
                                                                """
                                                                clmp p
                                                                
                                                                .. attribute:: class_map_bg
                                                                
                                                                	class map bg
                                                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_map_bg = YList()
                                                                    self.class_map_bg.parent = self
                                                                    self.class_map_bg.name = 'class_map_bg'


                                                                class ClassMapBg(object):
                                                                    """
                                                                    class map bg
                                                                    
                                                                    .. attribute:: chk_sum
                                                                    
                                                                    	MD5 checksum of the encoded class\-map bag
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..16
                                                                    
                                                                    .. attribute:: description
                                                                    
                                                                    	description
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Class\-Map Internal
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: magic
                                                                    
                                                                    	Magic number on top of class\-map bag
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_count
                                                                    
                                                                    	Number of Match infos
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_infop
                                                                    
                                                                    	Pointer to the first Match info
                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                    
                                                                    .. attribute:: mode
                                                                    
                                                                    	Class\-Map Mode Match any/Match all
                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                    
                                                                    .. attribute:: name
                                                                    
                                                                    	Name of the class\-map
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	Class\-Map Type QoS/PBR/Netflow/..
                                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.chk_sum = None
                                                                        self.description = None
                                                                        self.flags = None
                                                                        self.magic = None
                                                                        self.match_count = None
                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                        self.match_infop.parent = self
                                                                        self.mode = None
                                                                        self.name = None
                                                                        self.type = None


                                                                    class MatchInfop(object):
                                                                        """
                                                                        Pointer to the first Match info
                                                                        
                                                                        .. attribute:: class_match_info_st
                                                                        
                                                                        	class match info st
                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_match_info_st = YList()
                                                                            self.class_match_info_st.parent = self
                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                        class ClassMatchInfoSt(object):
                                                                            """
                                                                            class match info st
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_data
                                                                            
                                                                            	Match criteria
                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                self.match_data.parent = self


                                                                            class MatchData(object):
                                                                                """
                                                                                Match criteria
                                                                                
                                                                                .. attribute:: access_interface
                                                                                
                                                                                	Access interface
                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                
                                                                                .. attribute:: atm_clp
                                                                                
                                                                                	Match ATM CLP level
                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                
                                                                                .. attribute:: auth_domain
                                                                                
                                                                                	Authenticated domain name
                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                
                                                                                .. attribute:: auth_domain_regex
                                                                                
                                                                                	Authenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                
                                                                                .. attribute:: auth_username
                                                                                
                                                                                	Authenticated User Name
                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                
                                                                                .. attribute:: auth_username_regex
                                                                                
                                                                                	Authenticated User Name RegEx
                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                
                                                                                .. attribute:: authen_status
                                                                                
                                                                                	Authentication Status
                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                
                                                                                .. attribute:: avail_id
                                                                                
                                                                                	Available Identifiers
                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                
                                                                                .. attribute:: circuit_id
                                                                                
                                                                                	Circuit ID
                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                
                                                                                .. attribute:: circuit_id_regex
                                                                                
                                                                                	Circuit ID RegEx
                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                
                                                                                .. attribute:: cos
                                                                                
                                                                                	Match CoS array
                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                
                                                                                .. attribute:: cos_inr
                                                                                
                                                                                	Match inner header CoS
                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                
                                                                                .. attribute:: dei
                                                                                
                                                                                	Match DEI Bit
                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                
                                                                                .. attribute:: dei_inr
                                                                                
                                                                                	Match inner DEI Bit
                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                
                                                                                .. attribute:: dhcp_client_id
                                                                                
                                                                                	Dhcp Client ID
                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                
                                                                                .. attribute:: dhcp_client_id_regex
                                                                                
                                                                                	Dhcp Client ID RegEx
                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                
                                                                                .. attribute:: discard_class
                                                                                
                                                                                	Match Discard Class array
                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                
                                                                                .. attribute:: dnis
                                                                                
                                                                                	DNIS
                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                
                                                                                .. attribute:: dnis_regex
                                                                                
                                                                                	DNIS Regular Expression
                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                
                                                                                .. attribute:: domain
                                                                                
                                                                                	Domain Name
                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                
                                                                                .. attribute:: domain_regex
                                                                                
                                                                                	Domain Regular Expression
                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                
                                                                                .. attribute:: dscp
                                                                                
                                                                                	Match DSCP range array
                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv4
                                                                                
                                                                                	Destination Address IPV4
                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv6
                                                                                
                                                                                	Destination Address IPV6
                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                
                                                                                .. attribute:: dst_mac
                                                                                
                                                                                	Match Destination MAC address
                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                
                                                                                .. attribute:: dst_port
                                                                                
                                                                                	Destination port
                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                
                                                                                .. attribute:: ether_service_acl
                                                                                
                                                                                	Ethernet\-Services Access\-list
                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                
                                                                                .. attribute:: ethertype
                                                                                
                                                                                	Ethernet type
                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                
                                                                                .. attribute:: flow_key_data
                                                                                
                                                                                	Flow key structure
                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                
                                                                                .. attribute:: flow_tag
                                                                                
                                                                                	Match flow\-tag array
                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                
                                                                                .. attribute:: fr_de
                                                                                
                                                                                	Match FR DE value
                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                
                                                                                .. attribute:: fr_dlci
                                                                                
                                                                                	Match FR DLCI range array
                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                
                                                                                .. attribute:: fragment_type
                                                                                
                                                                                	Fragment type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: icmp_v4
                                                                                
                                                                                	Match ICMPV4 Protocol
                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                
                                                                                .. attribute:: icmp_v6
                                                                                
                                                                                	Match ICMPV6 Protocol array
                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                
                                                                                .. attribute:: icmpv4_code
                                                                                
                                                                                	Match ipv4 icmp code
                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                
                                                                                .. attribute:: icmpv4_type
                                                                                
                                                                                	Match ipv4 icmp type
                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                
                                                                                .. attribute:: icmpv6_code
                                                                                
                                                                                	Match ipv6 icmp code
                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                
                                                                                .. attribute:: icmpv6_type
                                                                                
                                                                                	Match ipv6 icmp type
                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                
                                                                                .. attribute:: input_interface
                                                                                
                                                                                	Input interface
                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                
                                                                                .. attribute:: input_intfhdl
                                                                                
                                                                                	Input interface handle
                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                
                                                                                .. attribute:: ipv4_acl
                                                                                
                                                                                	IPv4 Access\-list
                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                
                                                                                .. attribute:: ipv4_dscp
                                                                                
                                                                                	IPv4 DSCP
                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                
                                                                                .. attribute:: ipv4_packet_len
                                                                                
                                                                                	IPv4 packet length array
                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                
                                                                                .. attribute:: ipv4_prec
                                                                                
                                                                                	IPv4 Precedence
                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                
                                                                                .. attribute:: ipv6_acl
                                                                                
                                                                                	IPv6 Access\-list
                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                
                                                                                .. attribute:: ipv6_dscp
                                                                                
                                                                                	IPv6 DSCP
                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                
                                                                                .. attribute:: ipv6_packet_len
                                                                                
                                                                                	IPv6 packet length array
                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                
                                                                                .. attribute:: ipv6_prec
                                                                                
                                                                                	IPv6 Precedence
                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                
                                                                                .. attribute:: media_type
                                                                                
                                                                                	Media Type
                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                
                                                                                .. attribute:: mlp_negotiated
                                                                                
                                                                                	MLP Negotiated
                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                
                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                
                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                
                                                                                .. attribute:: mpls_exp
                                                                                
                                                                                	Match MPLS experimental topmost array
                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                
                                                                                .. attribute:: mpls_exp_imp
                                                                                
                                                                                	Match MPLS experimental imposition array
                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                
                                                                                .. attribute:: mpls_top_eos
                                                                                
                                                                                	MPLS Topmost EOS
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: mpls_top_label
                                                                                
                                                                                	MPLS Topmost LABEL
                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                
                                                                                .. attribute:: nas_port
                                                                                
                                                                                	NAS Port
                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                
                                                                                .. attribute:: packet_len
                                                                                
                                                                                	Match packet length array
                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                
                                                                                .. attribute:: prec
                                                                                
                                                                                	Match Precedence array
                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                
                                                                                .. attribute:: proto
                                                                                
                                                                                	Match Protocol array
                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                
                                                                                .. attribute:: qos_group
                                                                                
                                                                                	Match QoS group array
                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                
                                                                                .. attribute:: remote_id
                                                                                
                                                                                	Remote ID
                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                
                                                                                .. attribute:: remote_id_regex
                                                                                
                                                                                	Remote ID RegEx
                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                
                                                                                .. attribute:: service_name
                                                                                
                                                                                	Service Name
                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                
                                                                                .. attribute:: service_name_regex
                                                                                
                                                                                	Service Name Regular Exp
                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                
                                                                                .. attribute:: src_addr_ipv4
                                                                                
                                                                                	Source Address IPV4
                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                
                                                                                .. attribute:: src_addr_ipv6
                                                                                
                                                                                	Source Address IPV6
                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                
                                                                                .. attribute:: src_addr_mac
                                                                                
                                                                                	Source Address MAC
                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                
                                                                                .. attribute:: src_mac
                                                                                
                                                                                	Match Source MAC address
                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                
                                                                                .. attribute:: src_port
                                                                                
                                                                                	Source port
                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                
                                                                                .. attribute:: subs_protocol
                                                                                
                                                                                	Protocol
                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                
                                                                                .. attribute:: tcp_flag
                                                                                
                                                                                	Match tcp flag value
                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                
                                                                                .. attribute:: timer
                                                                                
                                                                                	Timer
                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                
                                                                                .. attribute:: timer_regexp
                                                                                
                                                                                	Timer Regular Expression
                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                
                                                                                .. attribute:: traffic_class
                                                                                
                                                                                	Match Traffic class array
                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                
                                                                                .. attribute:: tunnel_name
                                                                                
                                                                                	Tunnel Name
                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                
                                                                                .. attribute:: tunnel_name_regex
                                                                                
                                                                                	Tunnel Name Regular Expression
                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                
                                                                                .. attribute:: unauth_domain
                                                                                
                                                                                	Unauthenticated Domain Name
                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                
                                                                                .. attribute:: unauth_domain_regex
                                                                                
                                                                                	Unauthenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                
                                                                                .. attribute:: unauth_username
                                                                                
                                                                                	Unauthenticated User Name
                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                
                                                                                .. attribute:: unauth_username_regex
                                                                                
                                                                                	Unauthenticated User Name RegEx
                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                
                                                                                .. attribute:: user_name
                                                                                
                                                                                	User Name
                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                
                                                                                .. attribute:: user_name_regex
                                                                                
                                                                                	User Name Regular Expression
                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                
                                                                                .. attribute:: vendor_id
                                                                                
                                                                                	Vendor ID
                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                
                                                                                .. attribute:: vendor_id_regex
                                                                                
                                                                                	Vendor ID RegEx
                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                
                                                                                .. attribute:: vlan
                                                                                
                                                                                	Match VLAN array
                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                
                                                                                .. attribute:: vlan_inr
                                                                                
                                                                                	Match inner header VLAN range array
                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                    self.access_interface.parent = self
                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                    self.atm_clp.parent = self
                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                    self.auth_domain.parent = self
                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                    self.auth_domain_regex.parent = self
                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                    self.auth_username.parent = self
                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                    self.auth_username_regex.parent = self
                                                                                    self.authen_status = None
                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                    self.avail_id.parent = self
                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                    self.circuit_id.parent = self
                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                    self.circuit_id_regex.parent = self
                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                    self.cos.parent = self
                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                    self.cos_inr.parent = self
                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                    self.dei.parent = self
                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                    self.dei_inr.parent = self
                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                    self.dhcp_client_id.parent = self
                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                    self.discard_class.parent = self
                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                    self.dnis.parent = self
                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                    self.dnis_regex.parent = self
                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                    self.domain.parent = self
                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                    self.domain_regex.parent = self
                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                    self.dscp.parent = self
                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                    self.dst_addr_ipv4.parent = self
                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                    self.dst_addr_ipv6.parent = self
                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                    self.dst_mac.parent = self
                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                    self.dst_port.parent = self
                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                    self.ether_service_acl.parent = self
                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                    self.ethertype.parent = self
                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                    self.flow_key_data.parent = self
                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                    self.flow_tag.parent = self
                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                    self.fr_de.parent = self
                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                    self.fr_dlci.parent = self
                                                                                    self.fragment_type = None
                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                    self.icmp_v4.parent = self
                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                    self.icmp_v6.parent = self
                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                    self.icmpv4_code.parent = self
                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                    self.icmpv4_type.parent = self
                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                    self.icmpv6_code.parent = self
                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                    self.icmpv6_type.parent = self
                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                    self.input_interface.parent = self
                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                    self.input_intfhdl.parent = self
                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                    self.ipv4_acl.parent = self
                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                    self.ipv4_dscp.parent = self
                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                    self.ipv4_packet_len.parent = self
                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                    self.ipv4_prec.parent = self
                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                    self.ipv6_acl.parent = self
                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                    self.ipv6_dscp.parent = self
                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                    self.ipv6_packet_len.parent = self
                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                    self.ipv6_prec.parent = self
                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                    self.media_type.parent = self
                                                                                    self.mlp_negotiated = None
                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                    self.mpls_exp.parent = self
                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                    self.mpls_exp_imp.parent = self
                                                                                    self.mpls_top_eos = None
                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                    self.mpls_top_label.parent = self
                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                    self.nas_port.parent = self
                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                    self.packet_len.parent = self
                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                    self.prec.parent = self
                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                    self.proto.parent = self
                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                    self.qos_group.parent = self
                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                    self.remote_id.parent = self
                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                    self.remote_id_regex.parent = self
                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                    self.service_name.parent = self
                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                    self.service_name_regex.parent = self
                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                    self.src_addr_ipv4.parent = self
                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                    self.src_addr_ipv6.parent = self
                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                    self.src_addr_mac.parent = self
                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                    self.src_mac.parent = self
                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                    self.src_port.parent = self
                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                    self.subs_protocol.parent = self
                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                    self.tcp_flag.parent = self
                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                    self.timer.parent = self
                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                    self.timer_regexp.parent = self
                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                    self.traffic_class.parent = self
                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                    self.tunnel_name.parent = self
                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                    self.tunnel_name_regex.parent = self
                                                                                    self.type = None
                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                    self.unauth_domain.parent = self
                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                    self.unauth_domain_regex.parent = self
                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                    self.unauth_username.parent = self
                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                    self.unauth_username_regex.parent = self
                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                    self.user_name.parent = self
                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                    self.user_name_regex.parent = self
                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                    self.vendor_id.parent = self
                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                    self.vendor_id_regex.parent = self
                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                    self.vlan.parent = self
                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                    self.vlan_inr.parent = self


                                                                                class Ipv4Dscp(object):
                                                                                    """
                                                                                    IPv4 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                class Ipv6Dscp(object):
                                                                                    """
                                                                                    IPv6 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                class Dscp(object):
                                                                                    """
                                                                                    Match DSCP range array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                class Ipv4Prec(object):
                                                                                    """
                                                                                    IPv4 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                class Ipv6Prec(object):
                                                                                    """
                                                                                    IPv6 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                class Prec(object):
                                                                                    """
                                                                                    Match Precedence array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                class DiscardClass(object):
                                                                                    """
                                                                                    Match Discard Class array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                class QosGroup(object):
                                                                                    """
                                                                                    Match QoS group array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                class TrafficClass(object):
                                                                                    """
                                                                                    Match Traffic class array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                class Proto(object):
                                                                                    """
                                                                                    Match Protocol array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                class IcmpV4(object):
                                                                                    """
                                                                                    Match ICMPV4 Protocol
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                class IcmpV6(object):
                                                                                    """
                                                                                    Match ICMPV6 Protocol array
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                class Ipv4PacketLen(object):
                                                                                    """
                                                                                    IPv4 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                class Ipv6PacketLen(object):
                                                                                    """
                                                                                    IPv6 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                class PacketLen(object):
                                                                                    """
                                                                                    Match packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                class FlowTag(object):
                                                                                    """
                                                                                    Match flow\-tag array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                class TcpFlag(object):
                                                                                    """
                                                                                    Match tcp flag value
                                                                                    
                                                                                    .. attribute:: match_any
                                                                                    
                                                                                    	Match any TCP flag bit
                                                                                    	**type**\:  bool
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	Value of TCP flag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.match_any = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.match_any is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                class Icmpv4Type(object):
                                                                                    """
                                                                                    Match ipv4 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                class Icmpv4Code(object):
                                                                                    """
                                                                                    Match ipv4 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                class Icmpv6Type(object):
                                                                                    """
                                                                                    Match ipv6 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                class Icmpv6Code(object):
                                                                                    """
                                                                                    Match ipv6 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                class MplsExp(object):
                                                                                    """
                                                                                    Match MPLS experimental topmost array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                class MplsExpImp(object):
                                                                                    """
                                                                                    Match MPLS experimental imposition array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                class MplsDispIpv4Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                class MplsDispIpv6Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                class MplsTopLabel(object):
                                                                                    """
                                                                                    MPLS Topmost LABEL
                                                                                    
                                                                                    .. attribute:: uint32_rng_array
                                                                                    
                                                                                    	uint32 rng array
                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint32_rng_array = YList()
                                                                                        self.uint32_rng_array.parent = self
                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                    class Uint32_Rng_Array(object):
                                                                                        """
                                                                                        uint32 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint32_rng_array is not None:
                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                class Cos(object):
                                                                                    """
                                                                                    Match CoS array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                class CosInr(object):
                                                                                    """
                                                                                    Match inner header CoS
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                class Dei(object):
                                                                                    """
                                                                                    Match DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                class DeiInr(object):
                                                                                    """
                                                                                    Match inner DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                class Vlan(object):
                                                                                    """
                                                                                    Match VLAN array
                                                                                    
                                                                                    .. attribute:: vlan_id_array
                                                                                    
                                                                                    	vlan id array
                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.vlan_id_array = YList()
                                                                                        self.vlan_id_array.parent = self
                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                    class VlanIdArray(object):
                                                                                        """
                                                                                        vlan id array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	VLAN mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.vlan_id_array is not None:
                                                                                            for child_ref in self.vlan_id_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                class VlanInr(object):
                                                                                    """
                                                                                    Match inner header VLAN range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                class FrDlci(object):
                                                                                    """
                                                                                    Match FR DLCI range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                class SrcMac(object):
                                                                                    """
                                                                                    Match Source MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                class DstMac(object):
                                                                                    """
                                                                                    Match Destination MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                class AtmClp(object):
                                                                                    """
                                                                                    Match ATM CLP level
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                class FrDe(object):
                                                                                    """
                                                                                    Match FR DE value
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                class Ipv4Acl(object):
                                                                                    """
                                                                                    IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                class Ipv6Acl(object):
                                                                                    """
                                                                                    IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                class EtherServiceAcl(object):
                                                                                    """
                                                                                    Ethernet\-Services Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                class AvailId(object):
                                                                                    """
                                                                                    Available Identifiers
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                class MediaType(object):
                                                                                    """
                                                                                    Media Type
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                class SubsProtocol(object):
                                                                                    """
                                                                                    Protocol
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                class Dnis(object):
                                                                                    """
                                                                                    DNIS
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                class DnisRegex(object):
                                                                                    """
                                                                                    DNIS Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                class Domain(object):
                                                                                    """
                                                                                    Domain Name
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                class DomainRegex(object):
                                                                                    """
                                                                                    Domain Regular Expression
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                class NasPort(object):
                                                                                    """
                                                                                    NAS Port
                                                                                    
                                                                                    .. attribute:: nas_port_array
                                                                                    
                                                                                    	nas port array
                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.nas_port_array = YList()
                                                                                        self.nas_port_array.parent = self
                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                    class NasPortArray(object):
                                                                                        """
                                                                                        nas port array
                                                                                        
                                                                                        .. attribute:: operator
                                                                                        
                                                                                        	operator
                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                        
                                                                                        .. attribute:: sub_id
                                                                                        
                                                                                        	sub id
                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.operator = None
                                                                                            self.sub_id = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.operator is not None:
                                                                                                return True

                                                                                            if self.sub_id is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.nas_port_array is not None:
                                                                                            for child_ref in self.nas_port_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                class ServiceName(object):
                                                                                    """
                                                                                    Service Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                class ServiceNameRegex(object):
                                                                                    """
                                                                                    Service Name Regular Exp
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                class SrcAddrIpv4(object):
                                                                                    """
                                                                                    Source Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                class DstAddrIpv4(object):
                                                                                    """
                                                                                    Destination Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                class SrcAddrIpv6(object):
                                                                                    """
                                                                                    Source Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                class DstAddrIpv6(object):
                                                                                    """
                                                                                    Destination Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                class SrcAddrMac(object):
                                                                                    """
                                                                                    Source Address MAC
                                                                                    
                                                                                    .. attribute:: mac_addr_array
                                                                                    
                                                                                    	mac addr array
                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr_array = YList()
                                                                                        self.mac_addr_array.parent = self
                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                    class MacAddrArray(object):
                                                                                        """
                                                                                        mac addr array
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr_array is not None:
                                                                                            for child_ref in self.mac_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                class Timer(object):
                                                                                    """
                                                                                    Timer
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                class TimerRegexp(object):
                                                                                    """
                                                                                    Timer Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                class TunnelName(object):
                                                                                    """
                                                                                    Tunnel Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                class TunnelNameRegex(object):
                                                                                    """
                                                                                    Tunnel Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                class UserName(object):
                                                                                    """
                                                                                    User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                class UserNameRegex(object):
                                                                                    """
                                                                                    User Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                class AuthUsername(object):
                                                                                    """
                                                                                    Authenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                class AuthUsernameRegex(object):
                                                                                    """
                                                                                    Authenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                class UnauthUsername(object):
                                                                                    """
                                                                                    Unauthenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                class UnauthUsernameRegex(object):
                                                                                    """
                                                                                    Unauthenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                class AuthDomain(object):
                                                                                    """
                                                                                    Authenticated domain name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                class AuthDomainRegex(object):
                                                                                    """
                                                                                    Authenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                class UnauthDomain(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                class UnauthDomainRegex(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                class VendorId(object):
                                                                                    """
                                                                                    Vendor ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                class VendorIdRegex(object):
                                                                                    """
                                                                                    Vendor ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                class AccessInterface(object):
                                                                                    """
                                                                                    Access interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                class InputInterface(object):
                                                                                    """
                                                                                    Input interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                class InputIntfhdl(object):
                                                                                    """
                                                                                    Input interface handle
                                                                                    
                                                                                    .. attribute:: uint64_array
                                                                                    
                                                                                    	uint64 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..18446744073709551615
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint64_array = YLeafList()
                                                                                        self.uint64_array.parent = self
                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint64_array is not None:
                                                                                            for child in self.uint64_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                class Ethertype(object):
                                                                                    """
                                                                                    Ethernet type
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                class FlowKeyData(object):
                                                                                    """
                                                                                    Flow key structure
                                                                                    
                                                                                    .. attribute:: flow_keys
                                                                                    
                                                                                    	flow keys
                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                    
                                                                                    .. attribute:: idle_timeout
                                                                                    
                                                                                    	Idle timeout of flows (in seconds)
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    	**units**\: second
                                                                                    
                                                                                    .. attribute:: max_count
                                                                                    
                                                                                    	Maximum count of flows
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                        self.flow_keys.parent = self
                                                                                        self.idle_timeout = None
                                                                                        self.max_count = None


                                                                                    class FlowKeys(object):
                                                                                        """
                                                                                        flow keys
                                                                                        
                                                                                        .. attribute:: keys
                                                                                        
                                                                                        	keys
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                        
                                                                                        .. attribute:: num
                                                                                        
                                                                                        	num
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.keys = None
                                                                                            self.num = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.keys is not None:
                                                                                                return True

                                                                                            if self.num is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                            return True

                                                                                        if self.idle_timeout is not None:
                                                                                            return True

                                                                                        if self.max_count is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                class DhcpClientId(object):
                                                                                    """
                                                                                    Dhcp Client ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                class DhcpClientIdRegex(object):
                                                                                    """
                                                                                    Dhcp Client ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                class CircuitId(object):
                                                                                    """
                                                                                    Circuit ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                class CircuitIdRegex(object):
                                                                                    """
                                                                                    Circuit ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                class RemoteId(object):
                                                                                    """
                                                                                    Remote ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                class RemoteIdRegex(object):
                                                                                    """
                                                                                    Remote ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                class SrcPort(object):
                                                                                    """
                                                                                    Source port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                class DstPort(object):
                                                                                    """
                                                                                    Destination port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                        return True

                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                        return True

                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                        return True

                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                        return True

                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.authen_status is not None:
                                                                                        return True

                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                        return True

                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                        return True

                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                        return True

                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                        return True

                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                        return True

                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                        return True

                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                        return True

                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                        return True

                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                        return True

                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                        return True

                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                        return True

                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                        return True

                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                        return True

                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                        return True

                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                        return True

                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                        return True

                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                        return True

                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                        return True

                                                                                    if self.fragment_type is not None:
                                                                                        return True

                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                        return True

                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                        return True

                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                        return True

                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                        return True

                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                        return True

                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                        return True

                                                                                    if self.mlp_negotiated is not None:
                                                                                        return True

                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                        return True

                                                                                    if self.mpls_top_eos is not None:
                                                                                        return True

                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                        return True

                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                        return True

                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                        return True

                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                        return True

                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                        return True

                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                        return True

                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                        return True

                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                        return True

                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                        return True

                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                        return True

                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                        return True

                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                        return True

                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                        return True

                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                        return True

                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                        return True

                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                        return True

                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                        return True

                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                        return True

                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                        return True

                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                        return True

                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                        return True

                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                        return True

                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                        return True

                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_match_info_st is not None:
                                                                                for child_ref in self.class_match_info_st:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.chk_sum is not None:
                                                                            return True

                                                                        if self.description is not None:
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.magic is not None:
                                                                            return True

                                                                        if self.match_count is not None:
                                                                            return True

                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                            return True

                                                                        if self.mode is not None:
                                                                            return True

                                                                        if self.name is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_map_bg is not None:
                                                                        for child_ref in self.class_map_bg:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                            class ActInfop(object):
                                                                """
                                                                act infop
                                                                
                                                                .. attribute:: policy_action_info_st
                                                                
                                                                	policy action info st
                                                                	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.policy_action_info_st = YList()
                                                                    self.policy_action_info_st.parent = self
                                                                    self.policy_action_info_st.name = 'policy_action_info_st'


                                                                class PolicyActionInfoSt(object):
                                                                    """
                                                                    policy action info st
                                                                    
                                                                    .. attribute:: actp
                                                                    
                                                                    	actp
                                                                    	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    .. attribute:: seq
                                                                    
                                                                    	seq
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.actp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                        self.actp.parent = self
                                                                        self.flags = None
                                                                        self.seq = None


                                                                    class Actp(object):
                                                                        """
                                                                        actp
                                                                        
                                                                        .. attribute:: accounting_event_aaa
                                                                        
                                                                        	accounting event aaa
                                                                        	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                        
                                                                        .. attribute:: acct_aaa_list
                                                                        
                                                                        	acct aaa list
                                                                        	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                        
                                                                        .. attribute:: act_template
                                                                        
                                                                        	act template
                                                                        	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                        
                                                                        .. attribute:: afm_react
                                                                        
                                                                        	afm react
                                                                        	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                        
                                                                        .. attribute:: authen_aaa
                                                                        
                                                                        	authen aaa
                                                                        	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                        
                                                                        .. attribute:: authorize_id
                                                                        
                                                                        	authorize id
                                                                        	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                        
                                                                        .. attribute:: cac
                                                                        
                                                                        	cac
                                                                        	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                        
                                                                        .. attribute:: child_policy
                                                                        
                                                                        	child policy
                                                                        	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                        
                                                                        .. attribute:: collect_id
                                                                        
                                                                        	collect id
                                                                        	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                        
                                                                        .. attribute:: copy
                                                                        
                                                                        	copy
                                                                        	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                        
                                                                        .. attribute:: data_p
                                                                        
                                                                        	data p
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: deact_template
                                                                        
                                                                        	deact template
                                                                        	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                        
                                                                        .. attribute:: decode_id
                                                                        
                                                                        	decode id
                                                                        	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                        
                                                                        .. attribute:: encap
                                                                        
                                                                        	encap
                                                                        	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                        
                                                                        .. attribute:: flow_parm
                                                                        
                                                                        	flow parm
                                                                        	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                        
                                                                        .. attribute:: fmm
                                                                        
                                                                        	fmm
                                                                        	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                        
                                                                        .. attribute:: httpr
                                                                        
                                                                        	httpr
                                                                        	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                        
                                                                        .. attribute:: ipcbr
                                                                        
                                                                        	ipcbr
                                                                        	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                        
                                                                        .. attribute:: ipv4_nh
                                                                        
                                                                        	ipv4 nh
                                                                        	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                        
                                                                        .. attribute:: ipv6_nh
                                                                        
                                                                        	ipv6 nh
                                                                        	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                        
                                                                        .. attribute:: mark
                                                                        
                                                                        	mark
                                                                        	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                        
                                                                        .. attribute:: mark2
                                                                        
                                                                        	mark2
                                                                        	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                        
                                                                        .. attribute:: mdi
                                                                        
                                                                        	mdi
                                                                        	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                        
                                                                        .. attribute:: mdi_rtp
                                                                        
                                                                        	mdi rtp
                                                                        	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                        
                                                                        .. attribute:: min_bw
                                                                        
                                                                        	min bw
                                                                        	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                        
                                                                        .. attribute:: out_intf
                                                                        
                                                                        	out intf
                                                                        	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                        
                                                                        .. attribute:: pbf
                                                                        
                                                                        	pbf
                                                                        	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                        
                                                                        .. attribute:: pfc
                                                                        
                                                                        	pfc
                                                                        	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                        
                                                                        .. attribute:: police
                                                                        
                                                                        	police
                                                                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                        
                                                                        .. attribute:: prepaid_cfg
                                                                        
                                                                        	prepaid cfg
                                                                        	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                        
                                                                        .. attribute:: prio
                                                                        
                                                                        	prio
                                                                        	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                        
                                                                        .. attribute:: proxy_aaa
                                                                        
                                                                        	proxy aaa
                                                                        	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                        
                                                                        .. attribute:: punt
                                                                        
                                                                        	punt
                                                                        	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                        
                                                                        .. attribute:: qlimit
                                                                        
                                                                        	qlimit
                                                                        	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                        
                                                                        .. attribute:: query_ancp
                                                                        
                                                                        	query ancp
                                                                        	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                        
                                                                        .. attribute:: redirect
                                                                        
                                                                        	redirect
                                                                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                        
                                                                        .. attribute:: rtp
                                                                        
                                                                        	rtp
                                                                        	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                        
                                                                        .. attribute:: rtp_j2k
                                                                        
                                                                        	rtp j2k
                                                                        	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                        
                                                                        .. attribute:: rtp_mmr
                                                                        
                                                                        	rtp mmr
                                                                        	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                        
                                                                        .. attribute:: rtp_voice
                                                                        
                                                                        	rtp voice
                                                                        	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                        
                                                                        .. attribute:: serv_func
                                                                        
                                                                        	serv func
                                                                        	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                        
                                                                        .. attribute:: set_timer
                                                                        
                                                                        	set timer
                                                                        	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                        
                                                                        .. attribute:: sfrag
                                                                        
                                                                        	sfrag
                                                                        	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                        
                                                                        .. attribute:: shape
                                                                        
                                                                        	shape
                                                                        	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                        
                                                                        .. attribute:: stop_timer
                                                                        
                                                                        	stop timer
                                                                        	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                        
                                                                        .. attribute:: timeout_idle
                                                                        
                                                                        	timeout idle
                                                                        	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: wred
                                                                        
                                                                        	wred
                                                                        	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.accounting_event_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                            self.accounting_event_aaa.parent = self
                                                                            self.acct_aaa_list = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                            self.acct_aaa_list.parent = self
                                                                            self.act_template = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                            self.act_template.parent = self
                                                                            self.afm_react = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                            self.afm_react.parent = self
                                                                            self.authen_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                            self.authen_aaa.parent = self
                                                                            self.authorize_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                            self.authorize_id.parent = self
                                                                            self.bwrem = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                            self.bwrem.parent = self
                                                                            self.cac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                            self.cac.parent = self
                                                                            self.child_policy = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                            self.child_policy.parent = self
                                                                            self.collect_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                            self.collect_id.parent = self
                                                                            self.copy = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                            self.copy.parent = self
                                                                            self.data_p = None
                                                                            self.deact_template = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                            self.deact_template.parent = self
                                                                            self.decode_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                            self.decode_id.parent = self
                                                                            self.encap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                            self.encap.parent = self
                                                                            self.flow_parm = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                            self.flow_parm.parent = self
                                                                            self.fmm = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                            self.fmm.parent = self
                                                                            self.httpr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                            self.httpr.parent = self
                                                                            self.ipcbr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                            self.ipcbr.parent = self
                                                                            self.ipv4_nh = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                            self.ipv4_nh.parent = self
                                                                            self.ipv6_nh = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                            self.ipv6_nh.parent = self
                                                                            self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                            self.mark.parent = self
                                                                            self.mark2 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                            self.mark2.parent = self
                                                                            self.mdi = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                            self.mdi.parent = self
                                                                            self.mdi_rtp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                            self.mdi_rtp.parent = self
                                                                            self.min_bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                            self.min_bw.parent = self
                                                                            self.out_intf = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                            self.out_intf.parent = self
                                                                            self.pbf = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                            self.pbf.parent = self
                                                                            self.pfc = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                            self.pfc.parent = self
                                                                            self.police = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                            self.police.parent = self
                                                                            self.prepaid_cfg = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                            self.prepaid_cfg.parent = self
                                                                            self.prio = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                            self.prio.parent = self
                                                                            self.proxy_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                            self.proxy_aaa.parent = self
                                                                            self.punt = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                            self.punt.parent = self
                                                                            self.qlimit = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                            self.qlimit.parent = self
                                                                            self.query_ancp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                            self.query_ancp.parent = self
                                                                            self.redirect = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                            self.redirect.parent = self
                                                                            self.rtp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                            self.rtp.parent = self
                                                                            self.rtp_j2k = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                            self.rtp_j2k.parent = self
                                                                            self.rtp_mmr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                            self.rtp_mmr.parent = self
                                                                            self.rtp_voice = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                            self.rtp_voice.parent = self
                                                                            self.serv_func = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                            self.serv_func.parent = self
                                                                            self.set_timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                            self.set_timer.parent = self
                                                                            self.sfrag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                            self.sfrag.parent = self
                                                                            self.shape = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                            self.shape.parent = self
                                                                            self.stop_timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                            self.stop_timer.parent = self
                                                                            self.timeout_idle = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                            self.timeout_idle.parent = self
                                                                            self.type = None
                                                                            self.wred = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                            self.wred.parent = self


                                                                        class Mark(object):
                                                                            """
                                                                            mark
                                                                            
                                                                            .. attribute:: action_mark_info
                                                                            
                                                                            	action mark info
                                                                            	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_mark_info = YList()
                                                                                self.action_mark_info.parent = self
                                                                                self.action_mark_info.name = 'action_mark_info'


                                                                            class ActionMarkInfo(object):
                                                                                """
                                                                                action mark info
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_mark_info is not None:
                                                                                    for child_ref in self.action_mark_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                        class Mark2(object):
                                                                            """
                                                                            mark2
                                                                            
                                                                            .. attribute:: action_mark2_info
                                                                            
                                                                            	action mark2 info
                                                                            	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_mark2_info = YList()
                                                                                self.action_mark2_info.parent = self
                                                                                self.action_mark2_info.name = 'action_mark2_info'


                                                                            class ActionMark2Info(object):
                                                                                """
                                                                                action mark2 info
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: value_overflow
                                                                                
                                                                                	value overflow
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None
                                                                                    self.value_overflow = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    if self.value_overflow is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_mark2_info is not None:
                                                                                    for child_ref in self.action_mark2_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                        class Wred(object):
                                                                            """
                                                                            wred
                                                                            
                                                                            .. attribute:: action_wred_info
                                                                            
                                                                            	action wred info
                                                                            	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_wred_info = YList()
                                                                                self.action_wred_info.parent = self
                                                                                self.action_wred_info.name = 'action_wred_info'


                                                                            class ActionWredInfo(object):
                                                                                """
                                                                                action wred info
                                                                                
                                                                                .. attribute:: match_ranges
                                                                                
                                                                                	match ranges
                                                                                	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                                
                                                                                .. attribute:: max_threshold
                                                                                
                                                                                	max threshold
                                                                                	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                                
                                                                                .. attribute:: min_threshold
                                                                                
                                                                                	min threshold
                                                                                	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                                
                                                                                .. attribute:: probability
                                                                                
                                                                                	probability
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	cos/prec/dscp/ based WRED
                                                                                	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                                
                                                                                .. attribute:: wred_flags
                                                                                
                                                                                	wred flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_ranges = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                    self.match_ranges.parent = self
                                                                                    self.max_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                    self.max_threshold.parent = self
                                                                                    self.min_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                    self.min_threshold.parent = self
                                                                                    self.probability = None
                                                                                    self.type = None
                                                                                    self.wred_flags = None


                                                                                class MatchRanges(object):
                                                                                    """
                                                                                    match ranges
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                                class MinThreshold(object):
                                                                                    """
                                                                                    min threshold
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                                class MaxThreshold(object):
                                                                                    """
                                                                                    max threshold
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                        return True

                                                                                    if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                        return True

                                                                                    if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                        return True

                                                                                    if self.probability is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.wred_flags is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_wred_info is not None:
                                                                                    for child_ref in self.action_wred_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                        class Encap(object):
                                                                            """
                                                                            encap
                                                                            
                                                                            .. attribute:: seq
                                                                            
                                                                            	seq
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.seq = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.seq is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                        class Prio(object):
                                                                            """
                                                                            prio
                                                                            
                                                                            .. attribute:: prio_lvl
                                                                            
                                                                            	prio lvl
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.prio_lvl = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.prio_lvl is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                        class Bwrem(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: bwrem
                                                                            
                                                                            	bwrem
                                                                            	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bwrem = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                                self.bwrem.parent = self


                                                                            class Bwrem_(object):
                                                                                """
                                                                                bwrem
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bwrem is not None and self.bwrem._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                        class MinBw(object):
                                                                            """
                                                                            min bw
                                                                            
                                                                            .. attribute:: bw
                                                                            
                                                                            	bw
                                                                            	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                                self.bw.parent = self


                                                                            class Bw(object):
                                                                                """
                                                                                bw
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bw is not None and self.bw._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                        class AuthenAaa(object):
                                                                            """
                                                                            authen aaa
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: authen_password
                                                                            
                                                                            	authen password
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.authen_password = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.authen_password is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                        class CollectId(object):
                                                                            """
                                                                            collect id
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: id
                                                                            
                                                                            	id
                                                                            	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.id = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.id is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                        class DecodeId(object):
                                                                            """
                                                                            decode id
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: id
                                                                            
                                                                            	id
                                                                            	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.format_name = None
                                                                                self.id = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                if self.id is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                        class SetTimer(object):
                                                                            """
                                                                            set timer
                                                                            
                                                                            .. attribute:: absolute_time
                                                                            
                                                                            	absolute time
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: duration
                                                                            
                                                                            	duration
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: timer_name
                                                                            
                                                                            	timer name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.absolute_time = None
                                                                                self.duration = None
                                                                                self.timer_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.absolute_time is not None:
                                                                                    return True

                                                                                if self.duration is not None:
                                                                                    return True

                                                                                if self.timer_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                        class StopTimer(object):
                                                                            """
                                                                            stop timer
                                                                            
                                                                            .. attribute:: timer_name
                                                                            
                                                                            	timer name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.timer_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.timer_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                        class AcctAaaList(object):
                                                                            """
                                                                            acct aaa list
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: secs
                                                                            
                                                                            	secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.secs = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.secs is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                        class QueryAncp(object):
                                                                            """
                                                                            query ancp
                                                                            
                                                                            .. attribute:: enable
                                                                            
                                                                            	enable
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.enable = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.enable is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                        class PrepaidCfg(object):
                                                                            """
                                                                            prepaid cfg
                                                                            
                                                                            .. attribute:: prepaid_config_profile_name
                                                                            
                                                                            	prepaid config profile name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.prepaid_config_profile_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.prepaid_config_profile_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                        class TimeoutIdle(object):
                                                                            """
                                                                            timeout idle
                                                                            
                                                                            .. attribute:: secs
                                                                            
                                                                            	secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.secs = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.secs is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                        class ProxyAaa(object):
                                                                            """
                                                                            proxy aaa
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                        class ActTemplate(object):
                                                                            """
                                                                            act template
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: template_name
                                                                            
                                                                            	template name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.flags = None
                                                                                self.template_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.template_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                        class DeactTemplate(object):
                                                                            """
                                                                            deact template
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: template_name
                                                                            
                                                                            	template name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.flags = None
                                                                                self.template_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.template_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                        class Qlimit(object):
                                                                            """
                                                                            qlimit
                                                                            
                                                                            .. attribute:: action_qlimit_info_array
                                                                            
                                                                            	action qlimit info array
                                                                            	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_qlimit_info_array = YList()
                                                                                self.action_qlimit_info_array.parent = self
                                                                                self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                            class ActionQlimitInfoArray(object):
                                                                                """
                                                                                action qlimit info array
                                                                                
                                                                                .. attribute:: atmclp_qlim
                                                                                
                                                                                	atmclp qlim
                                                                                	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                                
                                                                                .. attribute:: match_values
                                                                                
                                                                                	match values
                                                                                	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                                
                                                                                .. attribute:: qlim
                                                                                
                                                                                	qlim
                                                                                	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                                
                                                                                .. attribute:: qlimit_flags
                                                                                
                                                                                	qlimit flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.atmclp_qlim = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                    self.atmclp_qlim.parent = self
                                                                                    self.match_values = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                    self.match_values.parent = self
                                                                                    self.qlim = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                    self.qlim.parent = self
                                                                                    self.qlimit_flags = None
                                                                                    self.type = None


                                                                                class Qlim(object):
                                                                                    """
                                                                                    qlim
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                                class AtmclpQlim(object):
                                                                                    """
                                                                                    atmclp qlim
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                                class MatchValues(object):
                                                                                    """
                                                                                    match values
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                        return True

                                                                                    if self.match_values is not None and self.match_values._has_data():
                                                                                        return True

                                                                                    if self.qlim is not None and self.qlim._has_data():
                                                                                        return True

                                                                                    if self.qlimit_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_qlimit_info_array is not None:
                                                                                    for child_ref in self.action_qlimit_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                        class AccountingEventAaa(object):
                                                                            """
                                                                            accounting event aaa
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: action
                                                                            
                                                                            	action
                                                                            	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.action = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.action is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                        class AuthorizeId(object):
                                                                            """
                                                                            authorize id
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: id
                                                                            
                                                                            	id
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: password
                                                                            
                                                                            	password
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.format_name = None
                                                                                self.id = None
                                                                                self.password = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                if self.id is not None:
                                                                                    return True

                                                                                if self.password is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                        class AfmReact(object):
                                                                            """
                                                                            afm react
                                                                            
                                                                            .. attribute:: action_afmon_react_info
                                                                            
                                                                            	action afmon react info
                                                                            	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_afmon_react_info = YList()
                                                                                self.action_afmon_react_info.parent = self
                                                                                self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                            class ActionAfmonReactInfo(object):
                                                                                """
                                                                                action afmon react info
                                                                                
                                                                                .. attribute:: alm_grp_thresh
                                                                                
                                                                                	Num/percent in grp
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: percentage
                                                                                
                                                                                .. attribute:: alm_severity
                                                                                
                                                                                	Major\|Minor\|... alarm
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: alm_type
                                                                                
                                                                                	Discrete \| grouped alarm
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: clone_ifh
                                                                                
                                                                                	Clone interface handle
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: criterion
                                                                                
                                                                                	React Criterion
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	Describing the oper
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: notif_actns
                                                                                
                                                                                	Bitmap of actions on alert
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: oper_id
                                                                                
                                                                                	React Operation ID
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: trig_level_1
                                                                                
                                                                                	Trigger threshold 1/lower
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: trig_level_2
                                                                                
                                                                                	Trigger upper threshold for range
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: trig_num_intvls
                                                                                
                                                                                	Averaged over N intvls
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: trig_relop
                                                                                
                                                                                	Trigger LT\|LE\|GT\|GE\|Range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: trig_type
                                                                                
                                                                                	Immediate or averaged thresh trigger
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.alm_grp_thresh = None
                                                                                    self.alm_severity = None
                                                                                    self.alm_type = None
                                                                                    self.clone_ifh = None
                                                                                    self.criterion = None
                                                                                    self.description = None
                                                                                    self.notif_actns = None
                                                                                    self.oper_id = None
                                                                                    self.trig_level_1 = None
                                                                                    self.trig_level_2 = None
                                                                                    self.trig_num_intvls = None
                                                                                    self.trig_relop = None
                                                                                    self.trig_type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.alm_grp_thresh is not None:
                                                                                        return True

                                                                                    if self.alm_severity is not None:
                                                                                        return True

                                                                                    if self.alm_type is not None:
                                                                                        return True

                                                                                    if self.clone_ifh is not None:
                                                                                        return True

                                                                                    if self.criterion is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.notif_actns is not None:
                                                                                        return True

                                                                                    if self.oper_id is not None:
                                                                                        return True

                                                                                    if self.trig_level_1 is not None:
                                                                                        return True

                                                                                    if self.trig_level_2 is not None:
                                                                                        return True

                                                                                    if self.trig_num_intvls is not None:
                                                                                        return True

                                                                                    if self.trig_relop is not None:
                                                                                        return True

                                                                                    if self.trig_type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_afmon_react_info is not None:
                                                                                    for child_ref in self.action_afmon_react_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                        class Httpr(object):
                                                                            """
                                                                            httpr
                                                                            
                                                                            .. attribute:: redirect_url
                                                                            
                                                                            	redirect url
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.redirect_url = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.redirect_url is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                        class Punt(object):
                                                                            """
                                                                            punt
                                                                            
                                                                            .. attribute:: app_id
                                                                            
                                                                            	application ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: local_id
                                                                            
                                                                            	local ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: sn_index
                                                                            
                                                                            	service node index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: sn_name
                                                                            
                                                                            	service node name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: sn_type
                                                                            
                                                                            	service node ID type
                                                                            	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                            
                                                                            .. attribute:: vsnode_type
                                                                            
                                                                            	vservice node type
                                                                            	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.app_id = None
                                                                                self.local_id = None
                                                                                self.sn_index = None
                                                                                self.sn_name = None
                                                                                self.sn_type = None
                                                                                self.vsnode_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.app_id is not None:
                                                                                    return True

                                                                                if self.local_id is not None:
                                                                                    return True

                                                                                if self.sn_index is not None:
                                                                                    return True

                                                                                if self.sn_name is not None:
                                                                                    return True

                                                                                if self.sn_type is not None:
                                                                                    return True

                                                                                if self.vsnode_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                        class Copy(object):
                                                                            """
                                                                            copy
                                                                            
                                                                            .. attribute:: app_id
                                                                            
                                                                            	application ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: local_id
                                                                            
                                                                            	local ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: num_byte
                                                                            
                                                                            	number of bytes
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: byte
                                                                            
                                                                            .. attribute:: sn_index
                                                                            
                                                                            	service node index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: sn_name
                                                                            
                                                                            	service node url
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: sn_type
                                                                            
                                                                            	service node ID type
                                                                            	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                            
                                                                            .. attribute:: vsnode_type
                                                                            
                                                                            	vservice node type
                                                                            	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.app_id = None
                                                                                self.local_id = None
                                                                                self.num_byte = None
                                                                                self.sn_index = None
                                                                                self.sn_name = None
                                                                                self.sn_type = None
                                                                                self.vsnode_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.app_id is not None:
                                                                                    return True

                                                                                if self.local_id is not None:
                                                                                    return True

                                                                                if self.num_byte is not None:
                                                                                    return True

                                                                                if self.sn_index is not None:
                                                                                    return True

                                                                                if self.sn_name is not None:
                                                                                    return True

                                                                                if self.sn_type is not None:
                                                                                    return True

                                                                                if self.vsnode_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                        class Sfrag(object):
                                                                            """
                                                                            sfrag
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	Service Fragment Name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                        class Redirect(object):
                                                                            """
                                                                            redirect
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                        class OutIntf(object):
                                                                            """
                                                                            out intf
                                                                            
                                                                            .. attribute:: out_ifname
                                                                            
                                                                            	output interface name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.out_ifname = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.out_ifname is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                        class ServFunc(object):
                                                                            """
                                                                            serv func
                                                                            
                                                                            .. attribute:: meta_name
                                                                            
                                                                            	metadata name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: path_id
                                                                            
                                                                            	service path id
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: service_index
                                                                            
                                                                            	service path index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vs_index
                                                                            
                                                                            	vservice index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.meta_name = None
                                                                                self.path_id = None
                                                                                self.service_index = None
                                                                                self.vs_index = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.meta_name is not None:
                                                                                    return True

                                                                                if self.path_id is not None:
                                                                                    return True

                                                                                if self.service_index is not None:
                                                                                    return True

                                                                                if self.vs_index is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                        class Police(object):
                                                                            """
                                                                            police
                                                                            
                                                                            .. attribute:: burst
                                                                            
                                                                            	burst
                                                                            	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                            
                                                                            .. attribute:: cdvt
                                                                            
                                                                            	cdvt
                                                                            	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                            
                                                                            .. attribute:: confclass_encode
                                                                            
                                                                            	confclass encode
                                                                            	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                            
                                                                            .. attribute:: confclass_p
                                                                            
                                                                            	confclass p
                                                                            	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                            
                                                                            .. attribute:: conform_actns
                                                                            
                                                                            	conform actns
                                                                            	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                            
                                                                            .. attribute:: excdclass_encode
                                                                            
                                                                            	excdclass encode
                                                                            	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                            
                                                                            .. attribute:: excdclass_p
                                                                            
                                                                            	excdclass p
                                                                            	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                            
                                                                            .. attribute:: exceed_actns
                                                                            
                                                                            	exceed actns
                                                                            	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: peak_burst
                                                                            
                                                                            	peak burst
                                                                            	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                            
                                                                            .. attribute:: peak_rate
                                                                            
                                                                            	peak rate
                                                                            	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                            
                                                                            .. attribute:: police_flags
                                                                            
                                                                            	police flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: rate
                                                                            
                                                                            	rate
                                                                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                            
                                                                            .. attribute:: sbuck_name
                                                                            
                                                                            	sbuck name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: sbuck_type
                                                                            
                                                                            	sbuck type
                                                                            	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                            
                                                                            .. attribute:: violate_actns
                                                                            
                                                                            	violate actns
                                                                            	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.burst = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                                self.burst.parent = self
                                                                                self.cdvt = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                                self.cdvt.parent = self
                                                                                self.confclass_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                                self.confclass_encode.parent = self
                                                                                self.confclass_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                                self.confclass_p.parent = self
                                                                                self.conform_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                                self.conform_actns.parent = self
                                                                                self.excdclass_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                                self.excdclass_encode.parent = self
                                                                                self.excdclass_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                                self.excdclass_p.parent = self
                                                                                self.exceed_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                                self.exceed_actns.parent = self
                                                                                self.flags = None
                                                                                self.peak_burst = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                                self.peak_burst.parent = self
                                                                                self.peak_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                                self.peak_rate.parent = self
                                                                                self.police_flags = None
                                                                                self.rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                                self.rate.parent = self
                                                                                self.sbuck_name = None
                                                                                self.sbuck_type = None
                                                                                self.violate_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                                self.violate_actns.parent = self


                                                                            class Rate(object):
                                                                                """
                                                                                rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                            class Burst(object):
                                                                                """
                                                                                burst
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                            class PeakRate(object):
                                                                                """
                                                                                peak rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                            class PeakBurst(object):
                                                                                """
                                                                                peak burst
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                            class Cdvt(object):
                                                                                """
                                                                                cdvt
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                            class ConformActns(object):
                                                                                """
                                                                                conform actns
                                                                                
                                                                                .. attribute:: police_action_array
                                                                                
                                                                                	police action array
                                                                                	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.police_action_array = YList()
                                                                                    self.police_action_array.parent = self
                                                                                    self.police_action_array.name = 'police_action_array'


                                                                                class PoliceActionArray(object):
                                                                                    """
                                                                                    police action array
                                                                                    
                                                                                    .. attribute:: mark
                                                                                    
                                                                                    	mark
                                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                        self.mark.parent = self
                                                                                        self.type = None


                                                                                    class Mark(object):
                                                                                        """
                                                                                        mark
                                                                                        
                                                                                        .. attribute:: mark_flags
                                                                                        
                                                                                        	mark flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mark_flags = None
                                                                                            self.type = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mark_flags is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark is not None and self.mark._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.police_action_array is not None:
                                                                                        for child_ref in self.police_action_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                            class ExceedActns(object):
                                                                                """
                                                                                exceed actns
                                                                                
                                                                                .. attribute:: police_action_array
                                                                                
                                                                                	police action array
                                                                                	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.police_action_array = YList()
                                                                                    self.police_action_array.parent = self
                                                                                    self.police_action_array.name = 'police_action_array'


                                                                                class PoliceActionArray(object):
                                                                                    """
                                                                                    police action array
                                                                                    
                                                                                    .. attribute:: mark
                                                                                    
                                                                                    	mark
                                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                        self.mark.parent = self
                                                                                        self.type = None


                                                                                    class Mark(object):
                                                                                        """
                                                                                        mark
                                                                                        
                                                                                        .. attribute:: mark_flags
                                                                                        
                                                                                        	mark flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mark_flags = None
                                                                                            self.type = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mark_flags is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark is not None and self.mark._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.police_action_array is not None:
                                                                                        for child_ref in self.police_action_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                            class ViolateActns(object):
                                                                                """
                                                                                violate actns
                                                                                
                                                                                .. attribute:: police_action_array
                                                                                
                                                                                	police action array
                                                                                	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.police_action_array = YList()
                                                                                    self.police_action_array.parent = self
                                                                                    self.police_action_array.name = 'police_action_array'


                                                                                class PoliceActionArray(object):
                                                                                    """
                                                                                    police action array
                                                                                    
                                                                                    .. attribute:: mark
                                                                                    
                                                                                    	mark
                                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                        self.mark.parent = self
                                                                                        self.type = None


                                                                                    class Mark(object):
                                                                                        """
                                                                                        mark
                                                                                        
                                                                                        .. attribute:: mark_flags
                                                                                        
                                                                                        	mark flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mark_flags = None
                                                                                            self.type = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mark_flags is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark is not None and self.mark._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.police_action_array is not None:
                                                                                        for child_ref in self.police_action_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                            class ConfclassEncode(object):
                                                                                """
                                                                                confclass encode
                                                                                
                                                                                .. attribute:: class_name
                                                                                
                                                                                	class name
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: enc
                                                                                
                                                                                	enc
                                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                                
                                                                                .. attribute:: hd
                                                                                
                                                                                	hd
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                .. attribute:: idx
                                                                                
                                                                                	idx
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: inline_cmap
                                                                                
                                                                                	inline cmap
                                                                                	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_name = None
                                                                                    self.enc = None
                                                                                    self.hd = None
                                                                                    self.idx = None
                                                                                    self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                    self.inline_cmap.parent = self


                                                                                class InlineCmap(object):
                                                                                    """
                                                                                    inline cmap
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Inline Class\-Map flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Inline Class\-Map Mode Match any/all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_name is not None:
                                                                                        return True

                                                                                    if self.enc is not None:
                                                                                        return True

                                                                                    if self.hd is not None:
                                                                                        return True

                                                                                    if self.idx is not None:
                                                                                        return True

                                                                                    if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                            class ConfclassP(object):
                                                                                """
                                                                                confclass p
                                                                                
                                                                                .. attribute:: class_map_bg
                                                                                
                                                                                	class map bg
                                                                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_map_bg = YList()
                                                                                    self.class_map_bg.parent = self
                                                                                    self.class_map_bg.name = 'class_map_bg'


                                                                                class ClassMapBg(object):
                                                                                    """
                                                                                    class map bg
                                                                                    
                                                                                    .. attribute:: chk_sum
                                                                                    
                                                                                    	MD5 checksum of the encoded class\-map bag
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..16
                                                                                    
                                                                                    .. attribute:: description
                                                                                    
                                                                                    	description
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Class\-Map Internal
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: magic
                                                                                    
                                                                                    	Magic number on top of class\-map bag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Class\-Map Mode Match any/Match all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    .. attribute:: name
                                                                                    
                                                                                    	Name of the class\-map
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..65
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Class\-Map Type QoS/PBR/Netflow/..
                                                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.chk_sum = None
                                                                                        self.description = None
                                                                                        self.flags = None
                                                                                        self.magic = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None
                                                                                        self.name = None
                                                                                        self.type = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.chk_sum is not None:
                                                                                            return True

                                                                                        if self.description is not None:
                                                                                            return True

                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.magic is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        if self.name is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_map_bg is not None:
                                                                                        for child_ref in self.class_map_bg:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                            class ExcdclassEncode(object):
                                                                                """
                                                                                excdclass encode
                                                                                
                                                                                .. attribute:: class_name
                                                                                
                                                                                	class name
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: enc
                                                                                
                                                                                	enc
                                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                                
                                                                                .. attribute:: hd
                                                                                
                                                                                	hd
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                .. attribute:: idx
                                                                                
                                                                                	idx
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: inline_cmap
                                                                                
                                                                                	inline cmap
                                                                                	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_name = None
                                                                                    self.enc = None
                                                                                    self.hd = None
                                                                                    self.idx = None
                                                                                    self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                    self.inline_cmap.parent = self


                                                                                class InlineCmap(object):
                                                                                    """
                                                                                    inline cmap
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Inline Class\-Map flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Inline Class\-Map Mode Match any/all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_name is not None:
                                                                                        return True

                                                                                    if self.enc is not None:
                                                                                        return True

                                                                                    if self.hd is not None:
                                                                                        return True

                                                                                    if self.idx is not None:
                                                                                        return True

                                                                                    if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                            class ExcdclassP(object):
                                                                                """
                                                                                excdclass p
                                                                                
                                                                                .. attribute:: class_map_bg
                                                                                
                                                                                	class map bg
                                                                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_map_bg = YList()
                                                                                    self.class_map_bg.parent = self
                                                                                    self.class_map_bg.name = 'class_map_bg'


                                                                                class ClassMapBg(object):
                                                                                    """
                                                                                    class map bg
                                                                                    
                                                                                    .. attribute:: chk_sum
                                                                                    
                                                                                    	MD5 checksum of the encoded class\-map bag
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..16
                                                                                    
                                                                                    .. attribute:: description
                                                                                    
                                                                                    	description
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Class\-Map Internal
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: magic
                                                                                    
                                                                                    	Magic number on top of class\-map bag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Class\-Map Mode Match any/Match all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    .. attribute:: name
                                                                                    
                                                                                    	Name of the class\-map
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..65
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Class\-Map Type QoS/PBR/Netflow/..
                                                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.chk_sum = None
                                                                                        self.description = None
                                                                                        self.flags = None
                                                                                        self.magic = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None
                                                                                        self.name = None
                                                                                        self.type = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.chk_sum is not None:
                                                                                            return True

                                                                                        if self.description is not None:
                                                                                            return True

                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.magic is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        if self.name is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_map_bg is not None:
                                                                                        for child_ref in self.class_map_bg:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.burst is not None and self.burst._has_data():
                                                                                    return True

                                                                                if self.cdvt is not None and self.cdvt._has_data():
                                                                                    return True

                                                                                if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                    return True

                                                                                if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                    return True

                                                                                if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                    return True

                                                                                if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                    return True

                                                                                if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                    return True

                                                                                if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                    return True

                                                                                if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                    return True

                                                                                if self.police_flags is not None:
                                                                                    return True

                                                                                if self.rate is not None and self.rate._has_data():
                                                                                    return True

                                                                                if self.sbuck_name is not None:
                                                                                    return True

                                                                                if self.sbuck_type is not None:
                                                                                    return True

                                                                                if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                        class Shape(object):
                                                                            """
                                                                            shape
                                                                            
                                                                            .. attribute:: be
                                                                            
                                                                            	be
                                                                            	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                            
                                                                            .. attribute:: bw
                                                                            
                                                                            	bw
                                                                            	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.be = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                                self.be.parent = self
                                                                                self.bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                                self.bw.parent = self


                                                                            class Bw(object):
                                                                                """
                                                                                bw
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                            class Be(object):
                                                                                """
                                                                                be
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.be is not None and self.be._has_data():
                                                                                    return True

                                                                                if self.bw is not None and self.bw._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                        class ChildPolicy(object):
                                                                            """
                                                                            child policy
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd_info
                                                                            
                                                                            	hd info
                                                                            	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                            
                                                                            .. attribute:: info
                                                                            
                                                                            	info
                                                                            	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.enc = None
                                                                                self.hd_info = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                                self.hd_info.parent = self
                                                                                self.info = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                                self.info.parent = self


                                                                            class Info(object):
                                                                                """
                                                                                info
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	name
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.name = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                            class HdInfo(object):
                                                                                """
                                                                                hd info
                                                                                
                                                                                .. attribute:: data_hd
                                                                                
                                                                                	data hd
                                                                                	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                                
                                                                                .. attribute:: hd
                                                                                
                                                                                	hd
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.data_hd = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                    self.data_hd.parent = self
                                                                                    self.hd = None


                                                                                class DataHd(object):
                                                                                    """
                                                                                    data hd
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.data_hd is not None and self.data_hd._has_data():
                                                                                        return True

                                                                                    if self.hd is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd_info is not None and self.hd_info._has_data():
                                                                                    return True

                                                                                if self.info is not None and self.info._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                        class Cac(object):
                                                                            """
                                                                            cac
                                                                            
                                                                            .. attribute:: cac_type
                                                                            
                                                                            	cac type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: flow_rate
                                                                            
                                                                            	flow rate
                                                                            	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                            
                                                                            .. attribute:: idle_timeout
                                                                            
                                                                            	idle timeout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: rate
                                                                            
                                                                            	rate
                                                                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.cac_type = None
                                                                                self.flow_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                                self.flow_rate.parent = self
                                                                                self.idle_timeout = None
                                                                                self.rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                                self.rate.parent = self


                                                                            class FlowRate(object):
                                                                                """
                                                                                flow rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                            class Rate(object):
                                                                                """
                                                                                rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.cac_type is not None:
                                                                                    return True

                                                                                if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                    return True

                                                                                if self.idle_timeout is not None:
                                                                                    return True

                                                                                if self.rate is not None and self.rate._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                        class Pfc(object):
                                                                            """
                                                                            pfc
                                                                            
                                                                            .. attribute:: buffer_size
                                                                            
                                                                            	buffer size
                                                                            	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                            
                                                                            .. attribute:: buffer_size_flag
                                                                            
                                                                            	buffer size flag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pause_threshold
                                                                            
                                                                            	pause threshold
                                                                            	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                            
                                                                            .. attribute:: pfc_pause_set
                                                                            
                                                                            	pfc pause set
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: resume_threshold
                                                                            
                                                                            	resume threshold
                                                                            	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.buffer_size = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                                self.buffer_size.parent = self
                                                                                self.buffer_size_flag = None
                                                                                self.pause_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                                self.pause_threshold.parent = self
                                                                                self.pfc_pause_set = None
                                                                                self.resume_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                                self.resume_threshold.parent = self


                                                                            class BufferSize(object):
                                                                                """
                                                                                buffer size
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                            class PauseThreshold(object):
                                                                                """
                                                                                pause threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                            class ResumeThreshold(object):
                                                                                """
                                                                                resume threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                    return True

                                                                                if self.buffer_size_flag is not None:
                                                                                    return True

                                                                                if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                    return True

                                                                                if self.pfc_pause_set is not None:
                                                                                    return True

                                                                                if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                        class FlowParm(object):
                                                                            """
                                                                            flow parm
                                                                            
                                                                            .. attribute:: flow_timeout
                                                                            
                                                                            	timeout in secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            .. attribute:: intvl_hist
                                                                            
                                                                            	num intervals of data stored on rtr
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_mon_flows
                                                                            
                                                                            	max simult flows monitored per policy class
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: mon_interval
                                                                            
                                                                            	monitored interval duration in secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flow_timeout = None
                                                                                self.intvl_hist = None
                                                                                self.max_mon_flows = None
                                                                                self.mon_interval = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flow_timeout is not None:
                                                                                    return True

                                                                                if self.intvl_hist is not None:
                                                                                    return True

                                                                                if self.max_mon_flows is not None:
                                                                                    return True

                                                                                if self.mon_interval is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                        class Ipcbr(object):
                                                                            """
                                                                            ipcbr
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: ip_bit_rate
                                                                            
                                                                            	data rate in bps
                                                                            	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                            
                                                                            .. attribute:: ip_pkt_rate
                                                                            
                                                                            	packet rate in pps
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: media_bit_rate
                                                                            
                                                                            	media data rate in bps
                                                                            	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                            
                                                                            .. attribute:: media_pkt_size
                                                                            
                                                                            	media packet size in bytes
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: byte
                                                                            
                                                                            .. attribute:: media_pkts_per_ip
                                                                            
                                                                            	media packets per ip pkt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                                self.ip_bit_rate.parent = self
                                                                                self.ip_pkt_rate = None
                                                                                self.media_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                                self.media_bit_rate.parent = self
                                                                                self.media_pkt_size = None
                                                                                self.media_pkts_per_ip = None


                                                                            class IpBitRate(object):
                                                                                """
                                                                                data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                            class MediaBitRate(object):
                                                                                """
                                                                                media data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                    return True

                                                                                if self.ip_pkt_rate is not None:
                                                                                    return True

                                                                                if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                    return True

                                                                                if self.media_pkt_size is not None:
                                                                                    return True

                                                                                if self.media_pkts_per_ip is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                        class Rtp(object):
                                                                            """
                                                                            rtp
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                        class RtpMmr(object):
                                                                            """
                                                                            rtp mmr
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                        class RtpJ2K(object):
                                                                            """
                                                                            rtp j2k
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                        class RtpVoice(object):
                                                                            """
                                                                            rtp voice
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                        class Mdi(object):
                                                                            """
                                                                            mdi
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: filtered_pkt_rate
                                                                            
                                                                            	filtered packet rate
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: ip_bit_rate
                                                                            
                                                                            	data rate in bps
                                                                            	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                            
                                                                            .. attribute:: ip_pkt_rate
                                                                            
                                                                            	packet rate in pps
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pids
                                                                            
                                                                            	array of monitoredcd  pids
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.filtered_pkt_rate = None
                                                                                self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                                self.ip_bit_rate.parent = self
                                                                                self.ip_pkt_rate = None
                                                                                self.pids = YLeafList()
                                                                                self.pids.parent = self
                                                                                self.pids.name = 'pids'


                                                                            class IpBitRate(object):
                                                                                """
                                                                                data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.filtered_pkt_rate is not None:
                                                                                    return True

                                                                                if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                    return True

                                                                                if self.ip_pkt_rate is not None:
                                                                                    return True

                                                                                if self.pids is not None:
                                                                                    for child in self.pids:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                        class MdiRtp(object):
                                                                            """
                                                                            mdi rtp
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: filtered_pkt_rate
                                                                            
                                                                            	filtered packet rate
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: ip_bit_rate
                                                                            
                                                                            	data rate in bps
                                                                            	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                            
                                                                            .. attribute:: ip_pkt_rate
                                                                            
                                                                            	packet rate in pps
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pids
                                                                            
                                                                            	array of monitoredcd  pids
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.filtered_pkt_rate = None
                                                                                self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                                self.ip_bit_rate.parent = self
                                                                                self.ip_pkt_rate = None
                                                                                self.pids = YLeafList()
                                                                                self.pids.parent = self
                                                                                self.pids.name = 'pids'


                                                                            class IpBitRate(object):
                                                                                """
                                                                                data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.filtered_pkt_rate is not None:
                                                                                    return True

                                                                                if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                    return True

                                                                                if self.ip_pkt_rate is not None:
                                                                                    return True

                                                                                if self.pids is not None:
                                                                                    for child in self.pids:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                        class Fmm(object):
                                                                            """
                                                                            fmm
                                                                            
                                                                            .. attribute:: fmm_name
                                                                            
                                                                            	flow monitor name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..33
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.fmm_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.fmm_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                        class Pbf(object):
                                                                            """
                                                                            pbf
                                                                            
                                                                            .. attribute:: action_pbf_info_array
                                                                            
                                                                            	action pbf info array
                                                                            	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_pbf_info_array = YList()
                                                                                self.action_pbf_info_array.parent = self
                                                                                self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                            class ActionPbfInfoArray(object):
                                                                                """
                                                                                action pbf info array
                                                                                
                                                                                .. attribute:: addr
                                                                                
                                                                                	v4 or v6 address
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: rt
                                                                                
                                                                                	route target
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                
                                                                                .. attribute:: rt_type
                                                                                
                                                                                	route target type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: vrf
                                                                                
                                                                                	vrf name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.addr = None
                                                                                    self.rt = None
                                                                                    self.rt_type = None
                                                                                    self.vrf = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.addr is not None:
                                                                                        return True

                                                                                    if self.rt is not None:
                                                                                        return True

                                                                                    if self.rt_type is not None:
                                                                                        return True

                                                                                    if self.vrf is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_pbf_info_array is not None:
                                                                                    for child_ref in self.action_pbf_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                        class Ipv4Nh(object):
                                                                            """
                                                                            ipv4 nh
                                                                            
                                                                            .. attribute:: action_ipv4_nh_info_array
                                                                            
                                                                            	action ipv4 nh info array
                                                                            	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_ipv4_nh_info_array = YList()
                                                                                self.action_ipv4_nh_info_array.parent = self
                                                                                self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                            class ActionIpv4NhInfoArray(object):
                                                                                """
                                                                                action ipv4 nh info array
                                                                                
                                                                                .. attribute:: nh_addr
                                                                                
                                                                                	nh addr
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: vrf_name
                                                                                
                                                                                	Vrf name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nh_addr = None
                                                                                    self.vrf_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nh_addr is not None:
                                                                                        return True

                                                                                    if self.vrf_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_ipv4_nh_info_array is not None:
                                                                                    for child_ref in self.action_ipv4_nh_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                        class Ipv6Nh(object):
                                                                            """
                                                                            ipv6 nh
                                                                            
                                                                            .. attribute:: action_ipv6_nh_info_array
                                                                            
                                                                            	action ipv6 nh info array
                                                                            	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_ipv6_nh_info_array = YList()
                                                                                self.action_ipv6_nh_info_array.parent = self
                                                                                self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                            class ActionIpv6NhInfoArray(object):
                                                                                """
                                                                                action ipv6 nh info array
                                                                                
                                                                                .. attribute:: nh_addr
                                                                                
                                                                                	IPV6 Address
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: vrf_name
                                                                                
                                                                                	Vrf name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nh_addr = None
                                                                                    self.vrf_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nh_addr is not None:
                                                                                        return True

                                                                                    if self.vrf_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_ipv6_nh_info_array is not None:
                                                                                    for child_ref in self.action_ipv6_nh_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                                return True

                                                                            if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                                return True

                                                                            if self.act_template is not None and self.act_template._has_data():
                                                                                return True

                                                                            if self.afm_react is not None and self.afm_react._has_data():
                                                                                return True

                                                                            if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                                return True

                                                                            if self.authorize_id is not None and self.authorize_id._has_data():
                                                                                return True

                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            if self.cac is not None and self.cac._has_data():
                                                                                return True

                                                                            if self.child_policy is not None and self.child_policy._has_data():
                                                                                return True

                                                                            if self.collect_id is not None and self.collect_id._has_data():
                                                                                return True

                                                                            if self.copy is not None and self.copy._has_data():
                                                                                return True

                                                                            if self.data_p is not None:
                                                                                return True

                                                                            if self.deact_template is not None and self.deact_template._has_data():
                                                                                return True

                                                                            if self.decode_id is not None and self.decode_id._has_data():
                                                                                return True

                                                                            if self.encap is not None and self.encap._has_data():
                                                                                return True

                                                                            if self.flow_parm is not None and self.flow_parm._has_data():
                                                                                return True

                                                                            if self.fmm is not None and self.fmm._has_data():
                                                                                return True

                                                                            if self.httpr is not None and self.httpr._has_data():
                                                                                return True

                                                                            if self.ipcbr is not None and self.ipcbr._has_data():
                                                                                return True

                                                                            if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                                return True

                                                                            if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                                return True

                                                                            if self.mark is not None and self.mark._has_data():
                                                                                return True

                                                                            if self.mark2 is not None and self.mark2._has_data():
                                                                                return True

                                                                            if self.mdi is not None and self.mdi._has_data():
                                                                                return True

                                                                            if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                                return True

                                                                            if self.min_bw is not None and self.min_bw._has_data():
                                                                                return True

                                                                            if self.out_intf is not None and self.out_intf._has_data():
                                                                                return True

                                                                            if self.pbf is not None and self.pbf._has_data():
                                                                                return True

                                                                            if self.pfc is not None and self.pfc._has_data():
                                                                                return True

                                                                            if self.police is not None and self.police._has_data():
                                                                                return True

                                                                            if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                                return True

                                                                            if self.prio is not None and self.prio._has_data():
                                                                                return True

                                                                            if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                                return True

                                                                            if self.punt is not None and self.punt._has_data():
                                                                                return True

                                                                            if self.qlimit is not None and self.qlimit._has_data():
                                                                                return True

                                                                            if self.query_ancp is not None and self.query_ancp._has_data():
                                                                                return True

                                                                            if self.redirect is not None and self.redirect._has_data():
                                                                                return True

                                                                            if self.rtp is not None and self.rtp._has_data():
                                                                                return True

                                                                            if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                                return True

                                                                            if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                                return True

                                                                            if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                                return True

                                                                            if self.serv_func is not None and self.serv_func._has_data():
                                                                                return True

                                                                            if self.set_timer is not None and self.set_timer._has_data():
                                                                                return True

                                                                            if self.sfrag is not None and self.sfrag._has_data():
                                                                                return True

                                                                            if self.shape is not None and self.shape._has_data():
                                                                                return True

                                                                            if self.stop_timer is not None and self.stop_timer._has_data():
                                                                                return True

                                                                            if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.wred is not None and self.wred._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.actp is not None and self.actp._has_data():
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.seq is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.policy_action_info_st is not None:
                                                                        for child_ref in self.policy_action_info_st:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.act_infop is not None and self.act_infop._has_data():
                                                                    return True

                                                                if self.cl_encode is not None and self.cl_encode._has_data():
                                                                    return True

                                                                if self.clmp_p is not None and self.clmp_p._has_data():
                                                                    return True

                                                                if self.ctype is not None:
                                                                    return True

                                                                if self.exe_strat is not None:
                                                                    return True

                                                                if self.flags is not None:
                                                                    return True

                                                                if self.num_actions is not None:
                                                                    return True

                                                                if self.policy_class_hd is not None:
                                                                    return True

                                                                if self.seq is not None:
                                                                    return True

                                                                if self.version is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.policy_class_info_bg is not None:
                                                                for child_ref in self.policy_class_info_bg:
                                                                    if child_ref._has_data():
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.avl_tree is not None:
                                                            return True

                                                        if self.class_infop is not None and self.class_infop._has_data():
                                                            return True

                                                        if self.cond_eval is not None:
                                                            return True

                                                        if self.event_type is not None:
                                                            return True

                                                        if self.flags is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.policy_event_info_bg is not None:
                                                        for child_ref in self.policy_event_info_bg:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.chk_sum is not None:
                                                    return True

                                                if self.class_dflt_hrchy_depth is not None:
                                                    return True

                                                if self.description is not None:
                                                    return True

                                                if self.event_infop is not None and self.event_infop._has_data():
                                                    return True

                                                if self.flags is not None:
                                                    return True

                                                if self.handle is not None:
                                                    return True

                                                if self.magic is not None:
                                                    return True

                                                if self.max_hierarchy is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.num_classes is not None:
                                                    return True

                                                if self.num_policy_class_info is not None:
                                                    return True

                                                if self.pclass_diff is not None:
                                                    return True

                                                if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                    return True

                                                if self.rateless_chk_sum is not None:
                                                    return True

                                                if self.table_id is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.inline_classhandle is None:
                                                raise YPYModelError('Key property inline_classhandle is None')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-handle[Cisco-IOS-XR-infra-policymgr-oper:inline-classhandle = ' + str(self.inline_classhandle) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.inline_classhandle is not None:
                                                return True

                                            if self.policy_map_bg is not None:
                                                for child_ref in self.policy_map_bg:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-handles'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.class_handle is not None:
                                            for child_ref in self.class_handle:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles']['meta_info']


                                class ClassSeqNums(object):
                                    """
                                    Transient policy\-map sequence number table
                                    
                                    .. attribute:: class_seq_num
                                    
                                    	Transient policy\-map sequence number
                                    	**type**\: list of    :py:class:`ClassSeqNum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.class_seq_num = YList()
                                        self.class_seq_num.parent = self
                                        self.class_seq_num.name = 'class_seq_num'


                                    class ClassSeqNum(object):
                                        """
                                        Transient policy\-map sequence number
                                        
                                        .. attribute:: sequence_num  <key>
                                        
                                        	sequence number
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: policy_map_bg
                                        
                                        	policy map bg
                                        	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.sequence_num = None
                                            self.policy_map_bg = YList()
                                            self.policy_map_bg.parent = self
                                            self.policy_map_bg.name = 'policy_map_bg'


                                        class PolicyMapBg(object):
                                            """
                                            policy map bg
                                            
                                            .. attribute:: chk_sum
                                            
                                            	MD5 checksum of the encoded class\-map bag
                                            	**type**\:  str
                                            
                                            	**length:** 0..16
                                            
                                            .. attribute:: class_dflt_hrchy_depth
                                            
                                            	class dflt hrchy depth
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: description
                                            
                                            	description
                                            	**type**\:  str
                                            
                                            .. attribute:: event_infop
                                            
                                            	event infop
                                            	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop>`
                                            
                                            .. attribute:: flags
                                            
                                            	flags
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: handle
                                            
                                            	handle
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: magic
                                            
                                            	magic
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_hierarchy
                                            
                                            	max hierarchy
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: name
                                            
                                            	name
                                            	**type**\:  str
                                            
                                            	**length:** 0..65
                                            
                                            .. attribute:: num_classes
                                            
                                            	num classes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: num_policy_class_info
                                            
                                            	num policy class info
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: pclass_diff
                                            
                                            	pclass diff
                                            	**type**\:  int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            .. attribute:: pmap_var_list
                                            
                                            	pmap var list
                                            	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList>`
                                            
                                            .. attribute:: rateless_chk_sum
                                            
                                            	rateless chk sum
                                            	**type**\:  str
                                            
                                            	**length:** 0..16
                                            
                                            .. attribute:: table_id
                                            
                                            	table id
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	type
                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.chk_sum = None
                                                self.class_dflt_hrchy_depth = None
                                                self.description = None
                                                self.event_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop()
                                                self.event_infop.parent = self
                                                self.flags = None
                                                self.handle = None
                                                self.magic = None
                                                self.max_hierarchy = None
                                                self.name = None
                                                self.num_classes = None
                                                self.num_policy_class_info = None
                                                self.pclass_diff = None
                                                self.pmap_var_list = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList()
                                                self.pmap_var_list.parent = self
                                                self.rateless_chk_sum = None
                                                self.table_id = None
                                                self.type = None


                                            class PmapVarList(object):
                                                """
                                                pmap var list
                                                
                                                .. attribute:: offset
                                                
                                                	offset
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: pmap_var_list_arr
                                                
                                                	pmap var list arr
                                                	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.offset = YLeafList()
                                                    self.offset.parent = self
                                                    self.offset.name = 'offset'
                                                    self.pmap_var_list_arr = YList()
                                                    self.pmap_var_list_arr.parent = self
                                                    self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                                class PmapVarListArr(object):
                                                    """
                                                    pmap var list arr
                                                    
                                                    .. attribute:: id
                                                    
                                                    	id
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: name
                                                    
                                                    	name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..32
                                                    
                                                    .. attribute:: val
                                                    
                                                    	val
                                                    	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.name = None
                                                        self.val = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                        self.val.parent = self


                                                    class Val(object):
                                                        """
                                                        val
                                                        
                                                        .. attribute:: class_name
                                                        
                                                        	class name
                                                        	**type**\:  str
                                                        
                                                        	**length:** 0..65
                                                        
                                                        .. attribute:: dscp_val
                                                        
                                                        	dscp val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: param_uint32_val
                                                        
                                                        	param uint32 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: prec_val
                                                        
                                                        	prec val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: type
                                                        
                                                        	type
                                                        	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                        
                                                        .. attribute:: uint16_val
                                                        
                                                        	uint16 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: uint32_val
                                                        
                                                        	uint32 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: uint8_val
                                                        
                                                        	uint8 val
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.class_name = None
                                                            self.dscp_val = None
                                                            self.param_uint32_val = None
                                                            self.prec_val = None
                                                            self.type = None
                                                            self.uint16_val = None
                                                            self.uint32_val = None
                                                            self.uint8_val = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.class_name is not None:
                                                                return True

                                                            if self.dscp_val is not None:
                                                                return True

                                                            if self.param_uint32_val is not None:
                                                                return True

                                                            if self.prec_val is not None:
                                                                return True

                                                            if self.type is not None:
                                                                return True

                                                            if self.uint16_val is not None:
                                                                return True

                                                            if self.uint32_val is not None:
                                                                return True

                                                            if self.uint8_val is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.id is not None:
                                                            return True

                                                        if self.name is not None:
                                                            return True

                                                        if self.val is not None and self.val._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.offset is not None:
                                                        for child in self.offset:
                                                            if child is not None:
                                                                return True

                                                    if self.pmap_var_list_arr is not None:
                                                        for child_ref in self.pmap_var_list_arr:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList']['meta_info']


                                            class EventInfop(object):
                                                """
                                                event infop
                                                
                                                .. attribute:: policy_event_info_bg
                                                
                                                	policy event info bg
                                                	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.policy_event_info_bg = YList()
                                                    self.policy_event_info_bg.parent = self
                                                    self.policy_event_info_bg.name = 'policy_event_info_bg'


                                                class PolicyEventInfoBg(object):
                                                    """
                                                    policy event info bg
                                                    
                                                    .. attribute:: avl_tree
                                                    
                                                    	avl tree
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..18446744073709551615
                                                    
                                                    .. attribute:: class_infop
                                                    
                                                    	class infop
                                                    	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                    
                                                    .. attribute:: cond_eval
                                                    
                                                    	cond eval
                                                    	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                    
                                                    .. attribute:: event_type
                                                    
                                                    	event type
                                                    	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	flags
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.avl_tree = None
                                                        self.class_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                        self.class_infop.parent = self
                                                        self.cond_eval = None
                                                        self.event_type = None
                                                        self.flags = None


                                                    class ClassInfop(object):
                                                        """
                                                        class infop
                                                        
                                                        .. attribute:: policy_class_info_bg
                                                        
                                                        	policy class info bg
                                                        	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.policy_class_info_bg = YList()
                                                            self.policy_class_info_bg.parent = self
                                                            self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                        class PolicyClassInfoBg(object):
                                                            """
                                                            policy class info bg
                                                            
                                                            .. attribute:: act_infop
                                                            
                                                            	act infop
                                                            	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                            
                                                            .. attribute:: cl_encode
                                                            
                                                            	cl encode
                                                            	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                            
                                                            .. attribute:: clmp_p
                                                            
                                                            	clmp p
                                                            	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                            
                                                            .. attribute:: ctype
                                                            
                                                            	ctype
                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                            
                                                            .. attribute:: exe_strat
                                                            
                                                            	exe strat
                                                            	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	flags
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: num_actions
                                                            
                                                            	num actions
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            .. attribute:: policy_class_hd
                                                            
                                                            	policy class hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: seq
                                                            
                                                            	seq
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: version
                                                            
                                                            	version
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.act_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                                self.act_infop.parent = self
                                                                self.cl_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                                self.cl_encode.parent = self
                                                                self.clmp_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                                self.clmp_p.parent = self
                                                                self.ctype = None
                                                                self.exe_strat = None
                                                                self.flags = None
                                                                self.num_actions = None
                                                                self.policy_class_hd = None
                                                                self.seq = None
                                                                self.version = None


                                                            class ClEncode(object):
                                                                """
                                                                cl encode
                                                                
                                                                .. attribute:: class_name
                                                                
                                                                	class name
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: enc
                                                                
                                                                	enc
                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                
                                                                .. attribute:: hd
                                                                
                                                                	hd
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..18446744073709551615
                                                                
                                                                .. attribute:: idx
                                                                
                                                                	idx
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..255
                                                                
                                                                .. attribute:: inline_cmap
                                                                
                                                                	inline cmap
                                                                	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_name = None
                                                                    self.enc = None
                                                                    self.hd = None
                                                                    self.idx = None
                                                                    self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                    self.inline_cmap.parent = self


                                                                class InlineCmap(object):
                                                                    """
                                                                    inline cmap
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Inline Class\-Map flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_count
                                                                    
                                                                    	Number of Match infos
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_infop
                                                                    
                                                                    	Pointer to the first Match info
                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                    
                                                                    .. attribute:: mode
                                                                    
                                                                    	Inline Class\-Map Mode Match any/all
                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flags = None
                                                                        self.match_count = None
                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                        self.match_infop.parent = self
                                                                        self.mode = None


                                                                    class MatchInfop(object):
                                                                        """
                                                                        Pointer to the first Match info
                                                                        
                                                                        .. attribute:: class_match_info_st
                                                                        
                                                                        	class match info st
                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_match_info_st = YList()
                                                                            self.class_match_info_st.parent = self
                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                        class ClassMatchInfoSt(object):
                                                                            """
                                                                            class match info st
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_data
                                                                            
                                                                            	Match criteria
                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                self.match_data.parent = self


                                                                            class MatchData(object):
                                                                                """
                                                                                Match criteria
                                                                                
                                                                                .. attribute:: access_interface
                                                                                
                                                                                	Access interface
                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                
                                                                                .. attribute:: atm_clp
                                                                                
                                                                                	Match ATM CLP level
                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                
                                                                                .. attribute:: auth_domain
                                                                                
                                                                                	Authenticated domain name
                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                
                                                                                .. attribute:: auth_domain_regex
                                                                                
                                                                                	Authenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                
                                                                                .. attribute:: auth_username
                                                                                
                                                                                	Authenticated User Name
                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                
                                                                                .. attribute:: auth_username_regex
                                                                                
                                                                                	Authenticated User Name RegEx
                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                
                                                                                .. attribute:: authen_status
                                                                                
                                                                                	Authentication Status
                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                
                                                                                .. attribute:: avail_id
                                                                                
                                                                                	Available Identifiers
                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                
                                                                                .. attribute:: circuit_id
                                                                                
                                                                                	Circuit ID
                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                
                                                                                .. attribute:: circuit_id_regex
                                                                                
                                                                                	Circuit ID RegEx
                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                
                                                                                .. attribute:: cos
                                                                                
                                                                                	Match CoS array
                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                
                                                                                .. attribute:: cos_inr
                                                                                
                                                                                	Match inner header CoS
                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                
                                                                                .. attribute:: dei
                                                                                
                                                                                	Match DEI Bit
                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                
                                                                                .. attribute:: dei_inr
                                                                                
                                                                                	Match inner DEI Bit
                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                
                                                                                .. attribute:: dhcp_client_id
                                                                                
                                                                                	Dhcp Client ID
                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                
                                                                                .. attribute:: dhcp_client_id_regex
                                                                                
                                                                                	Dhcp Client ID RegEx
                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                
                                                                                .. attribute:: discard_class
                                                                                
                                                                                	Match Discard Class array
                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                
                                                                                .. attribute:: dnis
                                                                                
                                                                                	DNIS
                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                
                                                                                .. attribute:: dnis_regex
                                                                                
                                                                                	DNIS Regular Expression
                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                
                                                                                .. attribute:: domain
                                                                                
                                                                                	Domain Name
                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                
                                                                                .. attribute:: domain_regex
                                                                                
                                                                                	Domain Regular Expression
                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                
                                                                                .. attribute:: dscp
                                                                                
                                                                                	Match DSCP range array
                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv4
                                                                                
                                                                                	Destination Address IPV4
                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv6
                                                                                
                                                                                	Destination Address IPV6
                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                
                                                                                .. attribute:: dst_mac
                                                                                
                                                                                	Match Destination MAC address
                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                
                                                                                .. attribute:: dst_port
                                                                                
                                                                                	Destination port
                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                
                                                                                .. attribute:: ether_service_acl
                                                                                
                                                                                	Ethernet\-Services Access\-list
                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                
                                                                                .. attribute:: ethertype
                                                                                
                                                                                	Ethernet type
                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                
                                                                                .. attribute:: flow_key_data
                                                                                
                                                                                	Flow key structure
                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                
                                                                                .. attribute:: flow_tag
                                                                                
                                                                                	Match flow\-tag array
                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                
                                                                                .. attribute:: fr_de
                                                                                
                                                                                	Match FR DE value
                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                
                                                                                .. attribute:: fr_dlci
                                                                                
                                                                                	Match FR DLCI range array
                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                
                                                                                .. attribute:: fragment_type
                                                                                
                                                                                	Fragment type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: icmp_v4
                                                                                
                                                                                	Match ICMPV4 Protocol
                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                
                                                                                .. attribute:: icmp_v6
                                                                                
                                                                                	Match ICMPV6 Protocol array
                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                
                                                                                .. attribute:: icmpv4_code
                                                                                
                                                                                	Match ipv4 icmp code
                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                
                                                                                .. attribute:: icmpv4_type
                                                                                
                                                                                	Match ipv4 icmp type
                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                
                                                                                .. attribute:: icmpv6_code
                                                                                
                                                                                	Match ipv6 icmp code
                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                
                                                                                .. attribute:: icmpv6_type
                                                                                
                                                                                	Match ipv6 icmp type
                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                
                                                                                .. attribute:: input_interface
                                                                                
                                                                                	Input interface
                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                
                                                                                .. attribute:: input_intfhdl
                                                                                
                                                                                	Input interface handle
                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                
                                                                                .. attribute:: ipv4_acl
                                                                                
                                                                                	IPv4 Access\-list
                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                
                                                                                .. attribute:: ipv4_dscp
                                                                                
                                                                                	IPv4 DSCP
                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                
                                                                                .. attribute:: ipv4_packet_len
                                                                                
                                                                                	IPv4 packet length array
                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                
                                                                                .. attribute:: ipv4_prec
                                                                                
                                                                                	IPv4 Precedence
                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                
                                                                                .. attribute:: ipv6_acl
                                                                                
                                                                                	IPv6 Access\-list
                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                
                                                                                .. attribute:: ipv6_dscp
                                                                                
                                                                                	IPv6 DSCP
                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                
                                                                                .. attribute:: ipv6_packet_len
                                                                                
                                                                                	IPv6 packet length array
                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                
                                                                                .. attribute:: ipv6_prec
                                                                                
                                                                                	IPv6 Precedence
                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                
                                                                                .. attribute:: media_type
                                                                                
                                                                                	Media Type
                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                
                                                                                .. attribute:: mlp_negotiated
                                                                                
                                                                                	MLP Negotiated
                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                
                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                
                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                
                                                                                .. attribute:: mpls_exp
                                                                                
                                                                                	Match MPLS experimental topmost array
                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                
                                                                                .. attribute:: mpls_exp_imp
                                                                                
                                                                                	Match MPLS experimental imposition array
                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                
                                                                                .. attribute:: mpls_top_eos
                                                                                
                                                                                	MPLS Topmost EOS
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: mpls_top_label
                                                                                
                                                                                	MPLS Topmost LABEL
                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                
                                                                                .. attribute:: nas_port
                                                                                
                                                                                	NAS Port
                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                
                                                                                .. attribute:: packet_len
                                                                                
                                                                                	Match packet length array
                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                
                                                                                .. attribute:: prec
                                                                                
                                                                                	Match Precedence array
                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                
                                                                                .. attribute:: proto
                                                                                
                                                                                	Match Protocol array
                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                
                                                                                .. attribute:: qos_group
                                                                                
                                                                                	Match QoS group array
                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                
                                                                                .. attribute:: remote_id
                                                                                
                                                                                	Remote ID
                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                
                                                                                .. attribute:: remote_id_regex
                                                                                
                                                                                	Remote ID RegEx
                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                
                                                                                .. attribute:: service_name
                                                                                
                                                                                	Service Name
                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                
                                                                                .. attribute:: service_name_regex
                                                                                
                                                                                	Service Name Regular Exp
                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                
                                                                                .. attribute:: src_addr_ipv4
                                                                                
                                                                                	Source Address IPV4
                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                
                                                                                .. attribute:: src_addr_ipv6
                                                                                
                                                                                	Source Address IPV6
                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                
                                                                                .. attribute:: src_addr_mac
                                                                                
                                                                                	Source Address MAC
                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                
                                                                                .. attribute:: src_mac
                                                                                
                                                                                	Match Source MAC address
                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                
                                                                                .. attribute:: src_port
                                                                                
                                                                                	Source port
                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                
                                                                                .. attribute:: subs_protocol
                                                                                
                                                                                	Protocol
                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                
                                                                                .. attribute:: tcp_flag
                                                                                
                                                                                	Match tcp flag value
                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                
                                                                                .. attribute:: timer
                                                                                
                                                                                	Timer
                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                
                                                                                .. attribute:: timer_regexp
                                                                                
                                                                                	Timer Regular Expression
                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                
                                                                                .. attribute:: traffic_class
                                                                                
                                                                                	Match Traffic class array
                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                
                                                                                .. attribute:: tunnel_name
                                                                                
                                                                                	Tunnel Name
                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                
                                                                                .. attribute:: tunnel_name_regex
                                                                                
                                                                                	Tunnel Name Regular Expression
                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                
                                                                                .. attribute:: unauth_domain
                                                                                
                                                                                	Unauthenticated Domain Name
                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                
                                                                                .. attribute:: unauth_domain_regex
                                                                                
                                                                                	Unauthenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                
                                                                                .. attribute:: unauth_username
                                                                                
                                                                                	Unauthenticated User Name
                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                
                                                                                .. attribute:: unauth_username_regex
                                                                                
                                                                                	Unauthenticated User Name RegEx
                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                
                                                                                .. attribute:: user_name
                                                                                
                                                                                	User Name
                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                
                                                                                .. attribute:: user_name_regex
                                                                                
                                                                                	User Name Regular Expression
                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                
                                                                                .. attribute:: vendor_id
                                                                                
                                                                                	Vendor ID
                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                
                                                                                .. attribute:: vendor_id_regex
                                                                                
                                                                                	Vendor ID RegEx
                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                
                                                                                .. attribute:: vlan
                                                                                
                                                                                	Match VLAN array
                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                
                                                                                .. attribute:: vlan_inr
                                                                                
                                                                                	Match inner header VLAN range array
                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                    self.access_interface.parent = self
                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                    self.atm_clp.parent = self
                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                    self.auth_domain.parent = self
                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                    self.auth_domain_regex.parent = self
                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                    self.auth_username.parent = self
                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                    self.auth_username_regex.parent = self
                                                                                    self.authen_status = None
                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                    self.avail_id.parent = self
                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                    self.circuit_id.parent = self
                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                    self.circuit_id_regex.parent = self
                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                    self.cos.parent = self
                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                    self.cos_inr.parent = self
                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                    self.dei.parent = self
                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                    self.dei_inr.parent = self
                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                    self.dhcp_client_id.parent = self
                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                    self.discard_class.parent = self
                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                    self.dnis.parent = self
                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                    self.dnis_regex.parent = self
                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                    self.domain.parent = self
                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                    self.domain_regex.parent = self
                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                    self.dscp.parent = self
                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                    self.dst_addr_ipv4.parent = self
                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                    self.dst_addr_ipv6.parent = self
                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                    self.dst_mac.parent = self
                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                    self.dst_port.parent = self
                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                    self.ether_service_acl.parent = self
                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                    self.ethertype.parent = self
                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                    self.flow_key_data.parent = self
                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                    self.flow_tag.parent = self
                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                    self.fr_de.parent = self
                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                    self.fr_dlci.parent = self
                                                                                    self.fragment_type = None
                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                    self.icmp_v4.parent = self
                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                    self.icmp_v6.parent = self
                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                    self.icmpv4_code.parent = self
                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                    self.icmpv4_type.parent = self
                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                    self.icmpv6_code.parent = self
                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                    self.icmpv6_type.parent = self
                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                    self.input_interface.parent = self
                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                    self.input_intfhdl.parent = self
                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                    self.ipv4_acl.parent = self
                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                    self.ipv4_dscp.parent = self
                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                    self.ipv4_packet_len.parent = self
                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                    self.ipv4_prec.parent = self
                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                    self.ipv6_acl.parent = self
                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                    self.ipv6_dscp.parent = self
                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                    self.ipv6_packet_len.parent = self
                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                    self.ipv6_prec.parent = self
                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                    self.media_type.parent = self
                                                                                    self.mlp_negotiated = None
                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                    self.mpls_exp.parent = self
                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                    self.mpls_exp_imp.parent = self
                                                                                    self.mpls_top_eos = None
                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                    self.mpls_top_label.parent = self
                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                    self.nas_port.parent = self
                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                    self.packet_len.parent = self
                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                    self.prec.parent = self
                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                    self.proto.parent = self
                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                    self.qos_group.parent = self
                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                    self.remote_id.parent = self
                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                    self.remote_id_regex.parent = self
                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                    self.service_name.parent = self
                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                    self.service_name_regex.parent = self
                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                    self.src_addr_ipv4.parent = self
                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                    self.src_addr_ipv6.parent = self
                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                    self.src_addr_mac.parent = self
                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                    self.src_mac.parent = self
                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                    self.src_port.parent = self
                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                    self.subs_protocol.parent = self
                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                    self.tcp_flag.parent = self
                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                    self.timer.parent = self
                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                    self.timer_regexp.parent = self
                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                    self.traffic_class.parent = self
                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                    self.tunnel_name.parent = self
                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                    self.tunnel_name_regex.parent = self
                                                                                    self.type = None
                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                    self.unauth_domain.parent = self
                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                    self.unauth_domain_regex.parent = self
                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                    self.unauth_username.parent = self
                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                    self.unauth_username_regex.parent = self
                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                    self.user_name.parent = self
                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                    self.user_name_regex.parent = self
                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                    self.vendor_id.parent = self
                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                    self.vendor_id_regex.parent = self
                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                    self.vlan.parent = self
                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                    self.vlan_inr.parent = self


                                                                                class Ipv4Dscp(object):
                                                                                    """
                                                                                    IPv4 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                class Ipv6Dscp(object):
                                                                                    """
                                                                                    IPv6 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                class Dscp(object):
                                                                                    """
                                                                                    Match DSCP range array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                class Ipv4Prec(object):
                                                                                    """
                                                                                    IPv4 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                class Ipv6Prec(object):
                                                                                    """
                                                                                    IPv6 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                class Prec(object):
                                                                                    """
                                                                                    Match Precedence array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                class DiscardClass(object):
                                                                                    """
                                                                                    Match Discard Class array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                class QosGroup(object):
                                                                                    """
                                                                                    Match QoS group array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                class TrafficClass(object):
                                                                                    """
                                                                                    Match Traffic class array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                class Proto(object):
                                                                                    """
                                                                                    Match Protocol array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                class IcmpV4(object):
                                                                                    """
                                                                                    Match ICMPV4 Protocol
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                class IcmpV6(object):
                                                                                    """
                                                                                    Match ICMPV6 Protocol array
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                class Ipv4PacketLen(object):
                                                                                    """
                                                                                    IPv4 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                class Ipv6PacketLen(object):
                                                                                    """
                                                                                    IPv6 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                class PacketLen(object):
                                                                                    """
                                                                                    Match packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                class FlowTag(object):
                                                                                    """
                                                                                    Match flow\-tag array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                class TcpFlag(object):
                                                                                    """
                                                                                    Match tcp flag value
                                                                                    
                                                                                    .. attribute:: match_any
                                                                                    
                                                                                    	Match any TCP flag bit
                                                                                    	**type**\:  bool
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	Value of TCP flag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.match_any = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.match_any is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                class Icmpv4Type(object):
                                                                                    """
                                                                                    Match ipv4 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                class Icmpv4Code(object):
                                                                                    """
                                                                                    Match ipv4 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                class Icmpv6Type(object):
                                                                                    """
                                                                                    Match ipv6 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                class Icmpv6Code(object):
                                                                                    """
                                                                                    Match ipv6 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                class MplsExp(object):
                                                                                    """
                                                                                    Match MPLS experimental topmost array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                class MplsExpImp(object):
                                                                                    """
                                                                                    Match MPLS experimental imposition array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                class MplsDispIpv4Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                class MplsDispIpv6Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                class MplsTopLabel(object):
                                                                                    """
                                                                                    MPLS Topmost LABEL
                                                                                    
                                                                                    .. attribute:: uint32_rng_array
                                                                                    
                                                                                    	uint32 rng array
                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint32_rng_array = YList()
                                                                                        self.uint32_rng_array.parent = self
                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                    class Uint32_Rng_Array(object):
                                                                                        """
                                                                                        uint32 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint32_rng_array is not None:
                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                class Cos(object):
                                                                                    """
                                                                                    Match CoS array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                class CosInr(object):
                                                                                    """
                                                                                    Match inner header CoS
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                class Dei(object):
                                                                                    """
                                                                                    Match DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                class DeiInr(object):
                                                                                    """
                                                                                    Match inner DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                class Vlan(object):
                                                                                    """
                                                                                    Match VLAN array
                                                                                    
                                                                                    .. attribute:: vlan_id_array
                                                                                    
                                                                                    	vlan id array
                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.vlan_id_array = YList()
                                                                                        self.vlan_id_array.parent = self
                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                    class VlanIdArray(object):
                                                                                        """
                                                                                        vlan id array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	VLAN mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.vlan_id_array is not None:
                                                                                            for child_ref in self.vlan_id_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                class VlanInr(object):
                                                                                    """
                                                                                    Match inner header VLAN range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                class FrDlci(object):
                                                                                    """
                                                                                    Match FR DLCI range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                class SrcMac(object):
                                                                                    """
                                                                                    Match Source MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                class DstMac(object):
                                                                                    """
                                                                                    Match Destination MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                class AtmClp(object):
                                                                                    """
                                                                                    Match ATM CLP level
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                class FrDe(object):
                                                                                    """
                                                                                    Match FR DE value
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                class Ipv4Acl(object):
                                                                                    """
                                                                                    IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                class Ipv6Acl(object):
                                                                                    """
                                                                                    IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                class EtherServiceAcl(object):
                                                                                    """
                                                                                    Ethernet\-Services Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                class AvailId(object):
                                                                                    """
                                                                                    Available Identifiers
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                class MediaType(object):
                                                                                    """
                                                                                    Media Type
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                class SubsProtocol(object):
                                                                                    """
                                                                                    Protocol
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                class Dnis(object):
                                                                                    """
                                                                                    DNIS
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                class DnisRegex(object):
                                                                                    """
                                                                                    DNIS Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                class Domain(object):
                                                                                    """
                                                                                    Domain Name
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                class DomainRegex(object):
                                                                                    """
                                                                                    Domain Regular Expression
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                class NasPort(object):
                                                                                    """
                                                                                    NAS Port
                                                                                    
                                                                                    .. attribute:: nas_port_array
                                                                                    
                                                                                    	nas port array
                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.nas_port_array = YList()
                                                                                        self.nas_port_array.parent = self
                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                    class NasPortArray(object):
                                                                                        """
                                                                                        nas port array
                                                                                        
                                                                                        .. attribute:: operator
                                                                                        
                                                                                        	operator
                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                        
                                                                                        .. attribute:: sub_id
                                                                                        
                                                                                        	sub id
                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.operator = None
                                                                                            self.sub_id = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.operator is not None:
                                                                                                return True

                                                                                            if self.sub_id is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.nas_port_array is not None:
                                                                                            for child_ref in self.nas_port_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                class ServiceName(object):
                                                                                    """
                                                                                    Service Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                class ServiceNameRegex(object):
                                                                                    """
                                                                                    Service Name Regular Exp
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                class SrcAddrIpv4(object):
                                                                                    """
                                                                                    Source Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                class DstAddrIpv4(object):
                                                                                    """
                                                                                    Destination Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                class SrcAddrIpv6(object):
                                                                                    """
                                                                                    Source Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                class DstAddrIpv6(object):
                                                                                    """
                                                                                    Destination Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                class SrcAddrMac(object):
                                                                                    """
                                                                                    Source Address MAC
                                                                                    
                                                                                    .. attribute:: mac_addr_array
                                                                                    
                                                                                    	mac addr array
                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr_array = YList()
                                                                                        self.mac_addr_array.parent = self
                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                    class MacAddrArray(object):
                                                                                        """
                                                                                        mac addr array
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr_array is not None:
                                                                                            for child_ref in self.mac_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                class Timer(object):
                                                                                    """
                                                                                    Timer
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                class TimerRegexp(object):
                                                                                    """
                                                                                    Timer Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                class TunnelName(object):
                                                                                    """
                                                                                    Tunnel Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                class TunnelNameRegex(object):
                                                                                    """
                                                                                    Tunnel Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                class UserName(object):
                                                                                    """
                                                                                    User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                class UserNameRegex(object):
                                                                                    """
                                                                                    User Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                class AuthUsername(object):
                                                                                    """
                                                                                    Authenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                class AuthUsernameRegex(object):
                                                                                    """
                                                                                    Authenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                class UnauthUsername(object):
                                                                                    """
                                                                                    Unauthenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                class UnauthUsernameRegex(object):
                                                                                    """
                                                                                    Unauthenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                class AuthDomain(object):
                                                                                    """
                                                                                    Authenticated domain name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                class AuthDomainRegex(object):
                                                                                    """
                                                                                    Authenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                class UnauthDomain(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                class UnauthDomainRegex(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                class VendorId(object):
                                                                                    """
                                                                                    Vendor ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                class VendorIdRegex(object):
                                                                                    """
                                                                                    Vendor ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                class AccessInterface(object):
                                                                                    """
                                                                                    Access interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                class InputInterface(object):
                                                                                    """
                                                                                    Input interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                class InputIntfhdl(object):
                                                                                    """
                                                                                    Input interface handle
                                                                                    
                                                                                    .. attribute:: uint64_array
                                                                                    
                                                                                    	uint64 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..18446744073709551615
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint64_array = YLeafList()
                                                                                        self.uint64_array.parent = self
                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint64_array is not None:
                                                                                            for child in self.uint64_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                class Ethertype(object):
                                                                                    """
                                                                                    Ethernet type
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                class FlowKeyData(object):
                                                                                    """
                                                                                    Flow key structure
                                                                                    
                                                                                    .. attribute:: flow_keys
                                                                                    
                                                                                    	flow keys
                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                    
                                                                                    .. attribute:: idle_timeout
                                                                                    
                                                                                    	Idle timeout of flows (in seconds)
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    	**units**\: second
                                                                                    
                                                                                    .. attribute:: max_count
                                                                                    
                                                                                    	Maximum count of flows
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                        self.flow_keys.parent = self
                                                                                        self.idle_timeout = None
                                                                                        self.max_count = None


                                                                                    class FlowKeys(object):
                                                                                        """
                                                                                        flow keys
                                                                                        
                                                                                        .. attribute:: keys
                                                                                        
                                                                                        	keys
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                        
                                                                                        .. attribute:: num
                                                                                        
                                                                                        	num
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.keys = None
                                                                                            self.num = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.keys is not None:
                                                                                                return True

                                                                                            if self.num is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                            return True

                                                                                        if self.idle_timeout is not None:
                                                                                            return True

                                                                                        if self.max_count is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                class DhcpClientId(object):
                                                                                    """
                                                                                    Dhcp Client ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                class DhcpClientIdRegex(object):
                                                                                    """
                                                                                    Dhcp Client ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                class CircuitId(object):
                                                                                    """
                                                                                    Circuit ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                class CircuitIdRegex(object):
                                                                                    """
                                                                                    Circuit ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                class RemoteId(object):
                                                                                    """
                                                                                    Remote ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                class RemoteIdRegex(object):
                                                                                    """
                                                                                    Remote ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                class SrcPort(object):
                                                                                    """
                                                                                    Source port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                class DstPort(object):
                                                                                    """
                                                                                    Destination port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                        return True

                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                        return True

                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                        return True

                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                        return True

                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.authen_status is not None:
                                                                                        return True

                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                        return True

                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                        return True

                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                        return True

                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                        return True

                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                        return True

                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                        return True

                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                        return True

                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                        return True

                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                        return True

                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                        return True

                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                        return True

                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                        return True

                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                        return True

                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                        return True

                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                        return True

                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                        return True

                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                        return True

                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                        return True

                                                                                    if self.fragment_type is not None:
                                                                                        return True

                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                        return True

                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                        return True

                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                        return True

                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                        return True

                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                        return True

                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                        return True

                                                                                    if self.mlp_negotiated is not None:
                                                                                        return True

                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                        return True

                                                                                    if self.mpls_top_eos is not None:
                                                                                        return True

                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                        return True

                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                        return True

                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                        return True

                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                        return True

                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                        return True

                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                        return True

                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                        return True

                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                        return True

                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                        return True

                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                        return True

                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                        return True

                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                        return True

                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                        return True

                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                        return True

                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                        return True

                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                        return True

                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                        return True

                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                        return True

                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                        return True

                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                        return True

                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                        return True

                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                        return True

                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                        return True

                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_match_info_st is not None:
                                                                                for child_ref in self.class_match_info_st:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.match_count is not None:
                                                                            return True

                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                            return True

                                                                        if self.mode is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_name is not None:
                                                                        return True

                                                                    if self.enc is not None:
                                                                        return True

                                                                    if self.hd is not None:
                                                                        return True

                                                                    if self.idx is not None:
                                                                        return True

                                                                    if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                            class ClmpP(object):
                                                                """
                                                                clmp p
                                                                
                                                                .. attribute:: class_map_bg
                                                                
                                                                	class map bg
                                                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_map_bg = YList()
                                                                    self.class_map_bg.parent = self
                                                                    self.class_map_bg.name = 'class_map_bg'


                                                                class ClassMapBg(object):
                                                                    """
                                                                    class map bg
                                                                    
                                                                    .. attribute:: chk_sum
                                                                    
                                                                    	MD5 checksum of the encoded class\-map bag
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..16
                                                                    
                                                                    .. attribute:: description
                                                                    
                                                                    	description
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Class\-Map Internal
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: magic
                                                                    
                                                                    	Magic number on top of class\-map bag
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_count
                                                                    
                                                                    	Number of Match infos
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_infop
                                                                    
                                                                    	Pointer to the first Match info
                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                    
                                                                    .. attribute:: mode
                                                                    
                                                                    	Class\-Map Mode Match any/Match all
                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                    
                                                                    .. attribute:: name
                                                                    
                                                                    	Name of the class\-map
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	Class\-Map Type QoS/PBR/Netflow/..
                                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.chk_sum = None
                                                                        self.description = None
                                                                        self.flags = None
                                                                        self.magic = None
                                                                        self.match_count = None
                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                        self.match_infop.parent = self
                                                                        self.mode = None
                                                                        self.name = None
                                                                        self.type = None


                                                                    class MatchInfop(object):
                                                                        """
                                                                        Pointer to the first Match info
                                                                        
                                                                        .. attribute:: class_match_info_st
                                                                        
                                                                        	class match info st
                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_match_info_st = YList()
                                                                            self.class_match_info_st.parent = self
                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                        class ClassMatchInfoSt(object):
                                                                            """
                                                                            class match info st
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_data
                                                                            
                                                                            	Match criteria
                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                self.match_data.parent = self


                                                                            class MatchData(object):
                                                                                """
                                                                                Match criteria
                                                                                
                                                                                .. attribute:: access_interface
                                                                                
                                                                                	Access interface
                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                
                                                                                .. attribute:: atm_clp
                                                                                
                                                                                	Match ATM CLP level
                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                
                                                                                .. attribute:: auth_domain
                                                                                
                                                                                	Authenticated domain name
                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                
                                                                                .. attribute:: auth_domain_regex
                                                                                
                                                                                	Authenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                
                                                                                .. attribute:: auth_username
                                                                                
                                                                                	Authenticated User Name
                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                
                                                                                .. attribute:: auth_username_regex
                                                                                
                                                                                	Authenticated User Name RegEx
                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                
                                                                                .. attribute:: authen_status
                                                                                
                                                                                	Authentication Status
                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                
                                                                                .. attribute:: avail_id
                                                                                
                                                                                	Available Identifiers
                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                
                                                                                .. attribute:: circuit_id
                                                                                
                                                                                	Circuit ID
                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                
                                                                                .. attribute:: circuit_id_regex
                                                                                
                                                                                	Circuit ID RegEx
                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                
                                                                                .. attribute:: cos
                                                                                
                                                                                	Match CoS array
                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                
                                                                                .. attribute:: cos_inr
                                                                                
                                                                                	Match inner header CoS
                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                
                                                                                .. attribute:: dei
                                                                                
                                                                                	Match DEI Bit
                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                
                                                                                .. attribute:: dei_inr
                                                                                
                                                                                	Match inner DEI Bit
                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                
                                                                                .. attribute:: dhcp_client_id
                                                                                
                                                                                	Dhcp Client ID
                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                
                                                                                .. attribute:: dhcp_client_id_regex
                                                                                
                                                                                	Dhcp Client ID RegEx
                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                
                                                                                .. attribute:: discard_class
                                                                                
                                                                                	Match Discard Class array
                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                
                                                                                .. attribute:: dnis
                                                                                
                                                                                	DNIS
                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                
                                                                                .. attribute:: dnis_regex
                                                                                
                                                                                	DNIS Regular Expression
                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                
                                                                                .. attribute:: domain
                                                                                
                                                                                	Domain Name
                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                
                                                                                .. attribute:: domain_regex
                                                                                
                                                                                	Domain Regular Expression
                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                
                                                                                .. attribute:: dscp
                                                                                
                                                                                	Match DSCP range array
                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv4
                                                                                
                                                                                	Destination Address IPV4
                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                
                                                                                .. attribute:: dst_addr_ipv6
                                                                                
                                                                                	Destination Address IPV6
                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                
                                                                                .. attribute:: dst_mac
                                                                                
                                                                                	Match Destination MAC address
                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                
                                                                                .. attribute:: dst_port
                                                                                
                                                                                	Destination port
                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                
                                                                                .. attribute:: ether_service_acl
                                                                                
                                                                                	Ethernet\-Services Access\-list
                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                
                                                                                .. attribute:: ethertype
                                                                                
                                                                                	Ethernet type
                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                
                                                                                .. attribute:: flow_key_data
                                                                                
                                                                                	Flow key structure
                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                
                                                                                .. attribute:: flow_tag
                                                                                
                                                                                	Match flow\-tag array
                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                
                                                                                .. attribute:: fr_de
                                                                                
                                                                                	Match FR DE value
                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                
                                                                                .. attribute:: fr_dlci
                                                                                
                                                                                	Match FR DLCI range array
                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                
                                                                                .. attribute:: fragment_type
                                                                                
                                                                                	Fragment type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: icmp_v4
                                                                                
                                                                                	Match ICMPV4 Protocol
                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                
                                                                                .. attribute:: icmp_v6
                                                                                
                                                                                	Match ICMPV6 Protocol array
                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                
                                                                                .. attribute:: icmpv4_code
                                                                                
                                                                                	Match ipv4 icmp code
                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                
                                                                                .. attribute:: icmpv4_type
                                                                                
                                                                                	Match ipv4 icmp type
                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                
                                                                                .. attribute:: icmpv6_code
                                                                                
                                                                                	Match ipv6 icmp code
                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                
                                                                                .. attribute:: icmpv6_type
                                                                                
                                                                                	Match ipv6 icmp type
                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                
                                                                                .. attribute:: input_interface
                                                                                
                                                                                	Input interface
                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                
                                                                                .. attribute:: input_intfhdl
                                                                                
                                                                                	Input interface handle
                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                
                                                                                .. attribute:: ipv4_acl
                                                                                
                                                                                	IPv4 Access\-list
                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                
                                                                                .. attribute:: ipv4_dscp
                                                                                
                                                                                	IPv4 DSCP
                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                
                                                                                .. attribute:: ipv4_packet_len
                                                                                
                                                                                	IPv4 packet length array
                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                
                                                                                .. attribute:: ipv4_prec
                                                                                
                                                                                	IPv4 Precedence
                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                
                                                                                .. attribute:: ipv6_acl
                                                                                
                                                                                	IPv6 Access\-list
                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                
                                                                                .. attribute:: ipv6_dscp
                                                                                
                                                                                	IPv6 DSCP
                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                
                                                                                .. attribute:: ipv6_packet_len
                                                                                
                                                                                	IPv6 packet length array
                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                
                                                                                .. attribute:: ipv6_prec
                                                                                
                                                                                	IPv6 Precedence
                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                
                                                                                .. attribute:: media_type
                                                                                
                                                                                	Media Type
                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                
                                                                                .. attribute:: mlp_negotiated
                                                                                
                                                                                	MLP Negotiated
                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                
                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                
                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                
                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                
                                                                                .. attribute:: mpls_exp
                                                                                
                                                                                	Match MPLS experimental topmost array
                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                
                                                                                .. attribute:: mpls_exp_imp
                                                                                
                                                                                	Match MPLS experimental imposition array
                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                
                                                                                .. attribute:: mpls_top_eos
                                                                                
                                                                                	MPLS Topmost EOS
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: mpls_top_label
                                                                                
                                                                                	MPLS Topmost LABEL
                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                
                                                                                .. attribute:: nas_port
                                                                                
                                                                                	NAS Port
                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                
                                                                                .. attribute:: packet_len
                                                                                
                                                                                	Match packet length array
                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                
                                                                                .. attribute:: prec
                                                                                
                                                                                	Match Precedence array
                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                
                                                                                .. attribute:: proto
                                                                                
                                                                                	Match Protocol array
                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                
                                                                                .. attribute:: qos_group
                                                                                
                                                                                	Match QoS group array
                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                
                                                                                .. attribute:: remote_id
                                                                                
                                                                                	Remote ID
                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                
                                                                                .. attribute:: remote_id_regex
                                                                                
                                                                                	Remote ID RegEx
                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                
                                                                                .. attribute:: service_name
                                                                                
                                                                                	Service Name
                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                
                                                                                .. attribute:: service_name_regex
                                                                                
                                                                                	Service Name Regular Exp
                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                
                                                                                .. attribute:: src_addr_ipv4
                                                                                
                                                                                	Source Address IPV4
                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                
                                                                                .. attribute:: src_addr_ipv6
                                                                                
                                                                                	Source Address IPV6
                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                
                                                                                .. attribute:: src_addr_mac
                                                                                
                                                                                	Source Address MAC
                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                
                                                                                .. attribute:: src_mac
                                                                                
                                                                                	Match Source MAC address
                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                
                                                                                .. attribute:: src_port
                                                                                
                                                                                	Source port
                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                
                                                                                .. attribute:: subs_protocol
                                                                                
                                                                                	Protocol
                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                
                                                                                .. attribute:: tcp_flag
                                                                                
                                                                                	Match tcp flag value
                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                
                                                                                .. attribute:: timer
                                                                                
                                                                                	Timer
                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                
                                                                                .. attribute:: timer_regexp
                                                                                
                                                                                	Timer Regular Expression
                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                
                                                                                .. attribute:: traffic_class
                                                                                
                                                                                	Match Traffic class array
                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                
                                                                                .. attribute:: tunnel_name
                                                                                
                                                                                	Tunnel Name
                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                
                                                                                .. attribute:: tunnel_name_regex
                                                                                
                                                                                	Tunnel Name Regular Expression
                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                
                                                                                .. attribute:: unauth_domain
                                                                                
                                                                                	Unauthenticated Domain Name
                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                
                                                                                .. attribute:: unauth_domain_regex
                                                                                
                                                                                	Unauthenticated Domain Name RegEx
                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                
                                                                                .. attribute:: unauth_username
                                                                                
                                                                                	Unauthenticated User Name
                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                
                                                                                .. attribute:: unauth_username_regex
                                                                                
                                                                                	Unauthenticated User Name RegEx
                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                
                                                                                .. attribute:: user_name
                                                                                
                                                                                	User Name
                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                
                                                                                .. attribute:: user_name_regex
                                                                                
                                                                                	User Name Regular Expression
                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                
                                                                                .. attribute:: vendor_id
                                                                                
                                                                                	Vendor ID
                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                
                                                                                .. attribute:: vendor_id_regex
                                                                                
                                                                                	Vendor ID RegEx
                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                
                                                                                .. attribute:: vlan
                                                                                
                                                                                	Match VLAN array
                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                
                                                                                .. attribute:: vlan_inr
                                                                                
                                                                                	Match inner header VLAN range array
                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                    self.access_interface.parent = self
                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                    self.atm_clp.parent = self
                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                    self.auth_domain.parent = self
                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                    self.auth_domain_regex.parent = self
                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                    self.auth_username.parent = self
                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                    self.auth_username_regex.parent = self
                                                                                    self.authen_status = None
                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                    self.avail_id.parent = self
                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                    self.circuit_id.parent = self
                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                    self.circuit_id_regex.parent = self
                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                    self.cos.parent = self
                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                    self.cos_inr.parent = self
                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                    self.dei.parent = self
                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                    self.dei_inr.parent = self
                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                    self.dhcp_client_id.parent = self
                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                    self.discard_class.parent = self
                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                    self.dnis.parent = self
                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                    self.dnis_regex.parent = self
                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                    self.domain.parent = self
                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                    self.domain_regex.parent = self
                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                    self.dscp.parent = self
                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                    self.dst_addr_ipv4.parent = self
                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                    self.dst_addr_ipv6.parent = self
                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                    self.dst_mac.parent = self
                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                    self.dst_port.parent = self
                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                    self.ether_service_acl.parent = self
                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                    self.ethertype.parent = self
                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                    self.flow_key_data.parent = self
                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                    self.flow_tag.parent = self
                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                    self.fr_de.parent = self
                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                    self.fr_dlci.parent = self
                                                                                    self.fragment_type = None
                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                    self.icmp_v4.parent = self
                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                    self.icmp_v6.parent = self
                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                    self.icmpv4_code.parent = self
                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                    self.icmpv4_type.parent = self
                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                    self.icmpv6_code.parent = self
                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                    self.icmpv6_type.parent = self
                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                    self.input_interface.parent = self
                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                    self.input_intfhdl.parent = self
                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                    self.ipv4_acl.parent = self
                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                    self.ipv4_dscp.parent = self
                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                    self.ipv4_packet_len.parent = self
                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                    self.ipv4_prec.parent = self
                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                    self.ipv6_acl.parent = self
                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                    self.ipv6_dscp.parent = self
                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                    self.ipv6_packet_len.parent = self
                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                    self.ipv6_prec.parent = self
                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                    self.media_type.parent = self
                                                                                    self.mlp_negotiated = None
                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                    self.mpls_exp.parent = self
                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                    self.mpls_exp_imp.parent = self
                                                                                    self.mpls_top_eos = None
                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                    self.mpls_top_label.parent = self
                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                    self.nas_port.parent = self
                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                    self.packet_len.parent = self
                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                    self.prec.parent = self
                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                    self.proto.parent = self
                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                    self.qos_group.parent = self
                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                    self.remote_id.parent = self
                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                    self.remote_id_regex.parent = self
                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                    self.service_name.parent = self
                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                    self.service_name_regex.parent = self
                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                    self.src_addr_ipv4.parent = self
                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                    self.src_addr_ipv6.parent = self
                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                    self.src_addr_mac.parent = self
                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                    self.src_mac.parent = self
                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                    self.src_port.parent = self
                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                    self.subs_protocol.parent = self
                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                    self.tcp_flag.parent = self
                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                    self.timer.parent = self
                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                    self.timer_regexp.parent = self
                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                    self.traffic_class.parent = self
                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                    self.tunnel_name.parent = self
                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                    self.tunnel_name_regex.parent = self
                                                                                    self.type = None
                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                    self.unauth_domain.parent = self
                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                    self.unauth_domain_regex.parent = self
                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                    self.unauth_username.parent = self
                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                    self.unauth_username_regex.parent = self
                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                    self.user_name.parent = self
                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                    self.user_name_regex.parent = self
                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                    self.vendor_id.parent = self
                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                    self.vendor_id_regex.parent = self
                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                    self.vlan.parent = self
                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                    self.vlan_inr.parent = self


                                                                                class Ipv4Dscp(object):
                                                                                    """
                                                                                    IPv4 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                class Ipv6Dscp(object):
                                                                                    """
                                                                                    IPv6 DSCP
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                class Dscp(object):
                                                                                    """
                                                                                    Match DSCP range array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                class Ipv4Prec(object):
                                                                                    """
                                                                                    IPv4 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                class Ipv6Prec(object):
                                                                                    """
                                                                                    IPv6 Precedence
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                class Prec(object):
                                                                                    """
                                                                                    Match Precedence array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                class DiscardClass(object):
                                                                                    """
                                                                                    Match Discard Class array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                class QosGroup(object):
                                                                                    """
                                                                                    Match QoS group array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                class TrafficClass(object):
                                                                                    """
                                                                                    Match Traffic class array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                class Proto(object):
                                                                                    """
                                                                                    Match Protocol array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                class IcmpV4(object):
                                                                                    """
                                                                                    Match ICMPV4 Protocol
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                class IcmpV6(object):
                                                                                    """
                                                                                    Match ICMPV6 Protocol array
                                                                                    
                                                                                    .. attribute:: code
                                                                                    
                                                                                    	Protocol code
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Protocol type
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.code = None
                                                                                        self.type = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.code is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                class Ipv4PacketLen(object):
                                                                                    """
                                                                                    IPv4 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                class Ipv6PacketLen(object):
                                                                                    """
                                                                                    IPv6 packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                class PacketLen(object):
                                                                                    """
                                                                                    Match packet length array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                class FlowTag(object):
                                                                                    """
                                                                                    Match flow\-tag array
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                class TcpFlag(object):
                                                                                    """
                                                                                    Match tcp flag value
                                                                                    
                                                                                    .. attribute:: match_any
                                                                                    
                                                                                    	Match any TCP flag bit
                                                                                    	**type**\:  bool
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	Value of TCP flag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.match_any = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.match_any is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                class Icmpv4Type(object):
                                                                                    """
                                                                                    Match ipv4 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                class Icmpv4Code(object):
                                                                                    """
                                                                                    Match ipv4 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                class Icmpv6Type(object):
                                                                                    """
                                                                                    Match ipv6 icmp type
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                class Icmpv6Code(object):
                                                                                    """
                                                                                    Match ipv6 icmp code
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                class MplsExp(object):
                                                                                    """
                                                                                    Match MPLS experimental topmost array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                class MplsExpImp(object):
                                                                                    """
                                                                                    Match MPLS experimental imposition array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                class MplsDispIpv4Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                class MplsDispIpv6Acl(object):
                                                                                    """
                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                class MplsTopLabel(object):
                                                                                    """
                                                                                    MPLS Topmost LABEL
                                                                                    
                                                                                    .. attribute:: uint32_rng_array
                                                                                    
                                                                                    	uint32 rng array
                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint32_rng_array = YList()
                                                                                        self.uint32_rng_array.parent = self
                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                    class Uint32_Rng_Array(object):
                                                                                        """
                                                                                        uint32 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint32_rng_array is not None:
                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                class Cos(object):
                                                                                    """
                                                                                    Match CoS array
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                class CosInr(object):
                                                                                    """
                                                                                    Match inner header CoS
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                class Dei(object):
                                                                                    """
                                                                                    Match DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                class DeiInr(object):
                                                                                    """
                                                                                    Match inner DEI Bit
                                                                                    
                                                                                    .. attribute:: bit_value
                                                                                    
                                                                                    	Value of the DEI bit
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.bit_value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.bit_value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                class Vlan(object):
                                                                                    """
                                                                                    Match VLAN array
                                                                                    
                                                                                    .. attribute:: vlan_id_array
                                                                                    
                                                                                    	vlan id array
                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.vlan_id_array = YList()
                                                                                        self.vlan_id_array.parent = self
                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                    class VlanIdArray(object):
                                                                                        """
                                                                                        vlan id array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	VLAN mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.vlan_id_array is not None:
                                                                                            for child_ref in self.vlan_id_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                class VlanInr(object):
                                                                                    """
                                                                                    Match inner header VLAN range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                class FrDlci(object):
                                                                                    """
                                                                                    Match FR DLCI range array
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                class SrcMac(object):
                                                                                    """
                                                                                    Match Source MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                class DstMac(object):
                                                                                    """
                                                                                    Match Destination MAC address
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                class AtmClp(object):
                                                                                    """
                                                                                    Match ATM CLP level
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                class FrDe(object):
                                                                                    """
                                                                                    Match FR DE value
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                class Ipv4Acl(object):
                                                                                    """
                                                                                    IPv4 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                class Ipv6Acl(object):
                                                                                    """
                                                                                    IPv6 Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                class EtherServiceAcl(object):
                                                                                    """
                                                                                    Ethernet\-Services Access\-list
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                class AvailId(object):
                                                                                    """
                                                                                    Available Identifiers
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                class MediaType(object):
                                                                                    """
                                                                                    Media Type
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                class SubsProtocol(object):
                                                                                    """
                                                                                    Protocol
                                                                                    
                                                                                    .. attribute:: uint8_array
                                                                                    
                                                                                    	uint8 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_array = YLeafList()
                                                                                        self.uint8_array.parent = self
                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_array is not None:
                                                                                            for child in self.uint8_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                class Dnis(object):
                                                                                    """
                                                                                    DNIS
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                class DnisRegex(object):
                                                                                    """
                                                                                    DNIS Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                class Domain(object):
                                                                                    """
                                                                                    Domain Name
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                class DomainRegex(object):
                                                                                    """
                                                                                    Domain Regular Expression
                                                                                    
                                                                                    .. attribute:: domain_array
                                                                                    
                                                                                    	domain array
                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_array = YList()
                                                                                        self.domain_array.parent = self
                                                                                        self.domain_array.name = 'domain_array'


                                                                                    class DomainArray(object):
                                                                                        """
                                                                                        domain array
                                                                                        
                                                                                        .. attribute:: domain_name
                                                                                        
                                                                                        	domain name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        .. attribute:: format_name
                                                                                        
                                                                                        	format name
                                                                                        	**type**\:  str
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.domain_name = None
                                                                                            self.format_name = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.domain_name is not None:
                                                                                                return True

                                                                                            if self.format_name is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_array is not None:
                                                                                            for child_ref in self.domain_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                class NasPort(object):
                                                                                    """
                                                                                    NAS Port
                                                                                    
                                                                                    .. attribute:: nas_port_array
                                                                                    
                                                                                    	nas port array
                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.nas_port_array = YList()
                                                                                        self.nas_port_array.parent = self
                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                    class NasPortArray(object):
                                                                                        """
                                                                                        nas port array
                                                                                        
                                                                                        .. attribute:: operator
                                                                                        
                                                                                        	operator
                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                        
                                                                                        .. attribute:: sub_id
                                                                                        
                                                                                        	sub id
                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.operator = None
                                                                                            self.sub_id = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.operator is not None:
                                                                                                return True

                                                                                            if self.sub_id is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.nas_port_array is not None:
                                                                                            for child_ref in self.nas_port_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                class ServiceName(object):
                                                                                    """
                                                                                    Service Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                class ServiceNameRegex(object):
                                                                                    """
                                                                                    Service Name Regular Exp
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                class SrcAddrIpv4(object):
                                                                                    """
                                                                                    Source Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                class DstAddrIpv4(object):
                                                                                    """
                                                                                    Destination Address IPV4
                                                                                    
                                                                                    .. attribute:: ipv4_addr_array
                                                                                    
                                                                                    	ipv4 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv4_addr_array = YList()
                                                                                        self.ipv4_addr_array.parent = self
                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                    class Ipv4AddrArray(object):
                                                                                        """
                                                                                        ipv4 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	mask
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv4_addr_array is not None:
                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                class SrcAddrIpv6(object):
                                                                                    """
                                                                                    Source Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                class DstAddrIpv6(object):
                                                                                    """
                                                                                    Destination Address IPV6
                                                                                    
                                                                                    .. attribute:: ipv6_addr_array
                                                                                    
                                                                                    	ipv6 addr array
                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.ipv6_addr_array = YList()
                                                                                        self.ipv6_addr_array.parent = self
                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                    class Ipv6AddrArray(object):
                                                                                        """
                                                                                        ipv6 addr array
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	IPV6 mask
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: prefix
                                                                                        
                                                                                        	IPV6 prefix
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mask = None
                                                                                            self.prefix = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mask is not None:
                                                                                                return True

                                                                                            if self.prefix is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.ipv6_addr_array is not None:
                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                class SrcAddrMac(object):
                                                                                    """
                                                                                    Source Address MAC
                                                                                    
                                                                                    .. attribute:: mac_addr_array
                                                                                    
                                                                                    	mac addr array
                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr_array = YList()
                                                                                        self.mac_addr_array.parent = self
                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                    class MacAddrArray(object):
                                                                                        """
                                                                                        mac addr array
                                                                                        
                                                                                        .. attribute:: mac_addr
                                                                                        
                                                                                        	MAC address
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: mask
                                                                                        
                                                                                        	MAC mask
                                                                                        	**type**\:  list of int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mac_addr = YLeafList()
                                                                                            self.mac_addr.parent = self
                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                            self.mask = YLeafList()
                                                                                            self.mask.parent = self
                                                                                            self.mask.name = 'mask'

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mac_addr is not None:
                                                                                                for child in self.mac_addr:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            if self.mask is not None:
                                                                                                for child in self.mask:
                                                                                                    if child is not None:
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr_array is not None:
                                                                                            for child_ref in self.mac_addr_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                class Timer(object):
                                                                                    """
                                                                                    Timer
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                class TimerRegexp(object):
                                                                                    """
                                                                                    Timer Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                class TunnelName(object):
                                                                                    """
                                                                                    Tunnel Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                class TunnelNameRegex(object):
                                                                                    """
                                                                                    Tunnel Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                class UserName(object):
                                                                                    """
                                                                                    User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                class UserNameRegex(object):
                                                                                    """
                                                                                    User Name Regular Expression
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                class AuthUsername(object):
                                                                                    """
                                                                                    Authenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                class AuthUsernameRegex(object):
                                                                                    """
                                                                                    Authenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                class UnauthUsername(object):
                                                                                    """
                                                                                    Unauthenticated User Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                class UnauthUsernameRegex(object):
                                                                                    """
                                                                                    Unauthenticated User Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                class AuthDomain(object):
                                                                                    """
                                                                                    Authenticated domain name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                class AuthDomainRegex(object):
                                                                                    """
                                                                                    Authenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                class UnauthDomain(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                class UnauthDomainRegex(object):
                                                                                    """
                                                                                    Unauthenticated Domain Name RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                class VendorId(object):
                                                                                    """
                                                                                    Vendor ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                class VendorIdRegex(object):
                                                                                    """
                                                                                    Vendor ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                class AccessInterface(object):
                                                                                    """
                                                                                    Access interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                class InputInterface(object):
                                                                                    """
                                                                                    Input interface
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                class InputIntfhdl(object):
                                                                                    """
                                                                                    Input interface handle
                                                                                    
                                                                                    .. attribute:: uint64_array
                                                                                    
                                                                                    	uint64 array
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..18446744073709551615
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint64_array = YLeafList()
                                                                                        self.uint64_array.parent = self
                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint64_array is not None:
                                                                                            for child in self.uint64_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                class Ethertype(object):
                                                                                    """
                                                                                    Ethernet type
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                class FlowKeyData(object):
                                                                                    """
                                                                                    Flow key structure
                                                                                    
                                                                                    .. attribute:: flow_keys
                                                                                    
                                                                                    	flow keys
                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                    
                                                                                    .. attribute:: idle_timeout
                                                                                    
                                                                                    	Idle timeout of flows (in seconds)
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    	**units**\: second
                                                                                    
                                                                                    .. attribute:: max_count
                                                                                    
                                                                                    	Maximum count of flows
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                        self.flow_keys.parent = self
                                                                                        self.idle_timeout = None
                                                                                        self.max_count = None


                                                                                    class FlowKeys(object):
                                                                                        """
                                                                                        flow keys
                                                                                        
                                                                                        .. attribute:: keys
                                                                                        
                                                                                        	keys
                                                                                        	**type**\:  str
                                                                                        
                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                        
                                                                                        .. attribute:: num
                                                                                        
                                                                                        	num
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.keys = None
                                                                                            self.num = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.keys is not None:
                                                                                                return True

                                                                                            if self.num is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                            return True

                                                                                        if self.idle_timeout is not None:
                                                                                            return True

                                                                                        if self.max_count is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                class DhcpClientId(object):
                                                                                    """
                                                                                    Dhcp Client ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                class DhcpClientIdRegex(object):
                                                                                    """
                                                                                    Dhcp Client ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                class CircuitId(object):
                                                                                    """
                                                                                    Circuit ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                class CircuitIdRegex(object):
                                                                                    """
                                                                                    Circuit ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                class RemoteId(object):
                                                                                    """
                                                                                    Remote ID
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                class RemoteIdRegex(object):
                                                                                    """
                                                                                    Remote ID RegEx
                                                                                    
                                                                                    .. attribute:: string_array
                                                                                    
                                                                                    	string array
                                                                                    	**type**\:  list of str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.string_array = YLeafList()
                                                                                        self.string_array.parent = self
                                                                                        self.string_array.name = 'string_array'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.string_array is not None:
                                                                                            for child in self.string_array:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                class SrcPort(object):
                                                                                    """
                                                                                    Source port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                class DstPort(object):
                                                                                    """
                                                                                    Destination port
                                                                                    
                                                                                    .. attribute:: uint16_rng_array
                                                                                    
                                                                                    	uint16 rng array
                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint16_rng_array = YList()
                                                                                        self.uint16_rng_array.parent = self
                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                    class Uint16_Rng_Array(object):
                                                                                        """
                                                                                        uint16 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint16_rng_array is not None:
                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                        return True

                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                        return True

                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                        return True

                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                        return True

                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.authen_status is not None:
                                                                                        return True

                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                        return True

                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                        return True

                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                        return True

                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                        return True

                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                        return True

                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                        return True

                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                        return True

                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                        return True

                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                        return True

                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                        return True

                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                        return True

                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                        return True

                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                        return True

                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                        return True

                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                        return True

                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                        return True

                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                        return True

                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                        return True

                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                        return True

                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                        return True

                                                                                    if self.fragment_type is not None:
                                                                                        return True

                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                        return True

                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                        return True

                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                        return True

                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                        return True

                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                        return True

                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                        return True

                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                        return True

                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                        return True

                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                        return True

                                                                                    if self.mlp_negotiated is not None:
                                                                                        return True

                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                        return True

                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                        return True

                                                                                    if self.mpls_top_eos is not None:
                                                                                        return True

                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                        return True

                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                        return True

                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                        return True

                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                        return True

                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                        return True

                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                        return True

                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                        return True

                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                        return True

                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                        return True

                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                        return True

                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                        return True

                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                        return True

                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                        return True

                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                        return True

                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                        return True

                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                        return True

                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                        return True

                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                        return True

                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                        return True

                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                        return True

                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                        return True

                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                        return True

                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                        return True

                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                        return True

                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                        return True

                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                        return True

                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                        return True

                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                        return True

                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_match_info_st is not None:
                                                                                for child_ref in self.class_match_info_st:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.chk_sum is not None:
                                                                            return True

                                                                        if self.description is not None:
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.magic is not None:
                                                                            return True

                                                                        if self.match_count is not None:
                                                                            return True

                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                            return True

                                                                        if self.mode is not None:
                                                                            return True

                                                                        if self.name is not None:
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_map_bg is not None:
                                                                        for child_ref in self.class_map_bg:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                            class ActInfop(object):
                                                                """
                                                                act infop
                                                                
                                                                .. attribute:: policy_action_info_st
                                                                
                                                                	policy action info st
                                                                	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.policy_action_info_st = YList()
                                                                    self.policy_action_info_st.parent = self
                                                                    self.policy_action_info_st.name = 'policy_action_info_st'


                                                                class PolicyActionInfoSt(object):
                                                                    """
                                                                    policy action info st
                                                                    
                                                                    .. attribute:: actp
                                                                    
                                                                    	actp
                                                                    	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    .. attribute:: seq
                                                                    
                                                                    	seq
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.actp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                        self.actp.parent = self
                                                                        self.flags = None
                                                                        self.seq = None


                                                                    class Actp(object):
                                                                        """
                                                                        actp
                                                                        
                                                                        .. attribute:: accounting_event_aaa
                                                                        
                                                                        	accounting event aaa
                                                                        	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                        
                                                                        .. attribute:: acct_aaa_list
                                                                        
                                                                        	acct aaa list
                                                                        	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                        
                                                                        .. attribute:: act_template
                                                                        
                                                                        	act template
                                                                        	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                        
                                                                        .. attribute:: afm_react
                                                                        
                                                                        	afm react
                                                                        	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                        
                                                                        .. attribute:: authen_aaa
                                                                        
                                                                        	authen aaa
                                                                        	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                        
                                                                        .. attribute:: authorize_id
                                                                        
                                                                        	authorize id
                                                                        	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                        
                                                                        .. attribute:: cac
                                                                        
                                                                        	cac
                                                                        	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                        
                                                                        .. attribute:: child_policy
                                                                        
                                                                        	child policy
                                                                        	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                        
                                                                        .. attribute:: collect_id
                                                                        
                                                                        	collect id
                                                                        	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                        
                                                                        .. attribute:: copy
                                                                        
                                                                        	copy
                                                                        	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                        
                                                                        .. attribute:: data_p
                                                                        
                                                                        	data p
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: deact_template
                                                                        
                                                                        	deact template
                                                                        	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                        
                                                                        .. attribute:: decode_id
                                                                        
                                                                        	decode id
                                                                        	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                        
                                                                        .. attribute:: encap
                                                                        
                                                                        	encap
                                                                        	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                        
                                                                        .. attribute:: flow_parm
                                                                        
                                                                        	flow parm
                                                                        	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                        
                                                                        .. attribute:: fmm
                                                                        
                                                                        	fmm
                                                                        	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                        
                                                                        .. attribute:: httpr
                                                                        
                                                                        	httpr
                                                                        	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                        
                                                                        .. attribute:: ipcbr
                                                                        
                                                                        	ipcbr
                                                                        	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                        
                                                                        .. attribute:: ipv4_nh
                                                                        
                                                                        	ipv4 nh
                                                                        	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                        
                                                                        .. attribute:: ipv6_nh
                                                                        
                                                                        	ipv6 nh
                                                                        	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                        
                                                                        .. attribute:: mark
                                                                        
                                                                        	mark
                                                                        	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                        
                                                                        .. attribute:: mark2
                                                                        
                                                                        	mark2
                                                                        	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                        
                                                                        .. attribute:: mdi
                                                                        
                                                                        	mdi
                                                                        	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                        
                                                                        .. attribute:: mdi_rtp
                                                                        
                                                                        	mdi rtp
                                                                        	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                        
                                                                        .. attribute:: min_bw
                                                                        
                                                                        	min bw
                                                                        	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                        
                                                                        .. attribute:: out_intf
                                                                        
                                                                        	out intf
                                                                        	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                        
                                                                        .. attribute:: pbf
                                                                        
                                                                        	pbf
                                                                        	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                        
                                                                        .. attribute:: pfc
                                                                        
                                                                        	pfc
                                                                        	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                        
                                                                        .. attribute:: police
                                                                        
                                                                        	police
                                                                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                        
                                                                        .. attribute:: prepaid_cfg
                                                                        
                                                                        	prepaid cfg
                                                                        	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                        
                                                                        .. attribute:: prio
                                                                        
                                                                        	prio
                                                                        	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                        
                                                                        .. attribute:: proxy_aaa
                                                                        
                                                                        	proxy aaa
                                                                        	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                        
                                                                        .. attribute:: punt
                                                                        
                                                                        	punt
                                                                        	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                        
                                                                        .. attribute:: qlimit
                                                                        
                                                                        	qlimit
                                                                        	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                        
                                                                        .. attribute:: query_ancp
                                                                        
                                                                        	query ancp
                                                                        	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                        
                                                                        .. attribute:: redirect
                                                                        
                                                                        	redirect
                                                                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                        
                                                                        .. attribute:: rtp
                                                                        
                                                                        	rtp
                                                                        	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                        
                                                                        .. attribute:: rtp_j2k
                                                                        
                                                                        	rtp j2k
                                                                        	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                        
                                                                        .. attribute:: rtp_mmr
                                                                        
                                                                        	rtp mmr
                                                                        	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                        
                                                                        .. attribute:: rtp_voice
                                                                        
                                                                        	rtp voice
                                                                        	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                        
                                                                        .. attribute:: serv_func
                                                                        
                                                                        	serv func
                                                                        	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                        
                                                                        .. attribute:: set_timer
                                                                        
                                                                        	set timer
                                                                        	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                        
                                                                        .. attribute:: sfrag
                                                                        
                                                                        	sfrag
                                                                        	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                        
                                                                        .. attribute:: shape
                                                                        
                                                                        	shape
                                                                        	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                        
                                                                        .. attribute:: stop_timer
                                                                        
                                                                        	stop timer
                                                                        	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                        
                                                                        .. attribute:: timeout_idle
                                                                        
                                                                        	timeout idle
                                                                        	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: wred
                                                                        
                                                                        	wred
                                                                        	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.accounting_event_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                            self.accounting_event_aaa.parent = self
                                                                            self.acct_aaa_list = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                            self.acct_aaa_list.parent = self
                                                                            self.act_template = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                            self.act_template.parent = self
                                                                            self.afm_react = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                            self.afm_react.parent = self
                                                                            self.authen_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                            self.authen_aaa.parent = self
                                                                            self.authorize_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                            self.authorize_id.parent = self
                                                                            self.bwrem = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                            self.bwrem.parent = self
                                                                            self.cac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                            self.cac.parent = self
                                                                            self.child_policy = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                            self.child_policy.parent = self
                                                                            self.collect_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                            self.collect_id.parent = self
                                                                            self.copy = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                            self.copy.parent = self
                                                                            self.data_p = None
                                                                            self.deact_template = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                            self.deact_template.parent = self
                                                                            self.decode_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                            self.decode_id.parent = self
                                                                            self.encap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                            self.encap.parent = self
                                                                            self.flow_parm = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                            self.flow_parm.parent = self
                                                                            self.fmm = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                            self.fmm.parent = self
                                                                            self.httpr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                            self.httpr.parent = self
                                                                            self.ipcbr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                            self.ipcbr.parent = self
                                                                            self.ipv4_nh = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                            self.ipv4_nh.parent = self
                                                                            self.ipv6_nh = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                            self.ipv6_nh.parent = self
                                                                            self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                            self.mark.parent = self
                                                                            self.mark2 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                            self.mark2.parent = self
                                                                            self.mdi = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                            self.mdi.parent = self
                                                                            self.mdi_rtp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                            self.mdi_rtp.parent = self
                                                                            self.min_bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                            self.min_bw.parent = self
                                                                            self.out_intf = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                            self.out_intf.parent = self
                                                                            self.pbf = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                            self.pbf.parent = self
                                                                            self.pfc = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                            self.pfc.parent = self
                                                                            self.police = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                            self.police.parent = self
                                                                            self.prepaid_cfg = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                            self.prepaid_cfg.parent = self
                                                                            self.prio = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                            self.prio.parent = self
                                                                            self.proxy_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                            self.proxy_aaa.parent = self
                                                                            self.punt = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                            self.punt.parent = self
                                                                            self.qlimit = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                            self.qlimit.parent = self
                                                                            self.query_ancp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                            self.query_ancp.parent = self
                                                                            self.redirect = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                            self.redirect.parent = self
                                                                            self.rtp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                            self.rtp.parent = self
                                                                            self.rtp_j2k = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                            self.rtp_j2k.parent = self
                                                                            self.rtp_mmr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                            self.rtp_mmr.parent = self
                                                                            self.rtp_voice = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                            self.rtp_voice.parent = self
                                                                            self.serv_func = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                            self.serv_func.parent = self
                                                                            self.set_timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                            self.set_timer.parent = self
                                                                            self.sfrag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                            self.sfrag.parent = self
                                                                            self.shape = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                            self.shape.parent = self
                                                                            self.stop_timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                            self.stop_timer.parent = self
                                                                            self.timeout_idle = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                            self.timeout_idle.parent = self
                                                                            self.type = None
                                                                            self.wred = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                            self.wred.parent = self


                                                                        class Mark(object):
                                                                            """
                                                                            mark
                                                                            
                                                                            .. attribute:: action_mark_info
                                                                            
                                                                            	action mark info
                                                                            	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_mark_info = YList()
                                                                                self.action_mark_info.parent = self
                                                                                self.action_mark_info.name = 'action_mark_info'


                                                                            class ActionMarkInfo(object):
                                                                                """
                                                                                action mark info
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_mark_info is not None:
                                                                                    for child_ref in self.action_mark_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                        class Mark2(object):
                                                                            """
                                                                            mark2
                                                                            
                                                                            .. attribute:: action_mark2_info
                                                                            
                                                                            	action mark2 info
                                                                            	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_mark2_info = YList()
                                                                                self.action_mark2_info.parent = self
                                                                                self.action_mark2_info.name = 'action_mark2_info'


                                                                            class ActionMark2Info(object):
                                                                                """
                                                                                action mark2 info
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: value_overflow
                                                                                
                                                                                	value overflow
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None
                                                                                    self.value_overflow = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    if self.value_overflow is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_mark2_info is not None:
                                                                                    for child_ref in self.action_mark2_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                        class Wred(object):
                                                                            """
                                                                            wred
                                                                            
                                                                            .. attribute:: action_wred_info
                                                                            
                                                                            	action wred info
                                                                            	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_wred_info = YList()
                                                                                self.action_wred_info.parent = self
                                                                                self.action_wred_info.name = 'action_wred_info'


                                                                            class ActionWredInfo(object):
                                                                                """
                                                                                action wred info
                                                                                
                                                                                .. attribute:: match_ranges
                                                                                
                                                                                	match ranges
                                                                                	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                                
                                                                                .. attribute:: max_threshold
                                                                                
                                                                                	max threshold
                                                                                	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                                
                                                                                .. attribute:: min_threshold
                                                                                
                                                                                	min threshold
                                                                                	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                                
                                                                                .. attribute:: probability
                                                                                
                                                                                	probability
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	cos/prec/dscp/ based WRED
                                                                                	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                                
                                                                                .. attribute:: wred_flags
                                                                                
                                                                                	wred flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_ranges = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                    self.match_ranges.parent = self
                                                                                    self.max_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                    self.max_threshold.parent = self
                                                                                    self.min_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                    self.min_threshold.parent = self
                                                                                    self.probability = None
                                                                                    self.type = None
                                                                                    self.wred_flags = None


                                                                                class MatchRanges(object):
                                                                                    """
                                                                                    match ranges
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                                class MinThreshold(object):
                                                                                    """
                                                                                    min threshold
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                                class MaxThreshold(object):
                                                                                    """
                                                                                    max threshold
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                        return True

                                                                                    if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                        return True

                                                                                    if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                        return True

                                                                                    if self.probability is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.wred_flags is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_wred_info is not None:
                                                                                    for child_ref in self.action_wred_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                        class Encap(object):
                                                                            """
                                                                            encap
                                                                            
                                                                            .. attribute:: seq
                                                                            
                                                                            	seq
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.seq = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.seq is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                        class Prio(object):
                                                                            """
                                                                            prio
                                                                            
                                                                            .. attribute:: prio_lvl
                                                                            
                                                                            	prio lvl
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.prio_lvl = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.prio_lvl is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                        class Bwrem(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: bwrem
                                                                            
                                                                            	bwrem
                                                                            	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bwrem = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                                self.bwrem.parent = self


                                                                            class Bwrem_(object):
                                                                                """
                                                                                bwrem
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bwrem is not None and self.bwrem._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                        class MinBw(object):
                                                                            """
                                                                            min bw
                                                                            
                                                                            .. attribute:: bw
                                                                            
                                                                            	bw
                                                                            	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                                self.bw.parent = self


                                                                            class Bw(object):
                                                                                """
                                                                                bw
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bw is not None and self.bw._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                        class AuthenAaa(object):
                                                                            """
                                                                            authen aaa
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: authen_password
                                                                            
                                                                            	authen password
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.authen_password = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.authen_password is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                        class CollectId(object):
                                                                            """
                                                                            collect id
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: id
                                                                            
                                                                            	id
                                                                            	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.id = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.id is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                        class DecodeId(object):
                                                                            """
                                                                            decode id
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: id
                                                                            
                                                                            	id
                                                                            	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.format_name = None
                                                                                self.id = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                if self.id is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                        class SetTimer(object):
                                                                            """
                                                                            set timer
                                                                            
                                                                            .. attribute:: absolute_time
                                                                            
                                                                            	absolute time
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: duration
                                                                            
                                                                            	duration
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: timer_name
                                                                            
                                                                            	timer name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.absolute_time = None
                                                                                self.duration = None
                                                                                self.timer_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.absolute_time is not None:
                                                                                    return True

                                                                                if self.duration is not None:
                                                                                    return True

                                                                                if self.timer_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                        class StopTimer(object):
                                                                            """
                                                                            stop timer
                                                                            
                                                                            .. attribute:: timer_name
                                                                            
                                                                            	timer name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.timer_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.timer_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                        class AcctAaaList(object):
                                                                            """
                                                                            acct aaa list
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: secs
                                                                            
                                                                            	secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.secs = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.secs is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                        class QueryAncp(object):
                                                                            """
                                                                            query ancp
                                                                            
                                                                            .. attribute:: enable
                                                                            
                                                                            	enable
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.enable = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.enable is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                        class PrepaidCfg(object):
                                                                            """
                                                                            prepaid cfg
                                                                            
                                                                            .. attribute:: prepaid_config_profile_name
                                                                            
                                                                            	prepaid config profile name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.prepaid_config_profile_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.prepaid_config_profile_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                        class TimeoutIdle(object):
                                                                            """
                                                                            timeout idle
                                                                            
                                                                            .. attribute:: secs
                                                                            
                                                                            	secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.secs = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.secs is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                        class ProxyAaa(object):
                                                                            """
                                                                            proxy aaa
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                        class ActTemplate(object):
                                                                            """
                                                                            act template
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: template_name
                                                                            
                                                                            	template name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.flags = None
                                                                                self.template_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.template_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                        class DeactTemplate(object):
                                                                            """
                                                                            deact template
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: template_name
                                                                            
                                                                            	template name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.flags = None
                                                                                self.template_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.template_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                        class Qlimit(object):
                                                                            """
                                                                            qlimit
                                                                            
                                                                            .. attribute:: action_qlimit_info_array
                                                                            
                                                                            	action qlimit info array
                                                                            	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_qlimit_info_array = YList()
                                                                                self.action_qlimit_info_array.parent = self
                                                                                self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                            class ActionQlimitInfoArray(object):
                                                                                """
                                                                                action qlimit info array
                                                                                
                                                                                .. attribute:: atmclp_qlim
                                                                                
                                                                                	atmclp qlim
                                                                                	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                                
                                                                                .. attribute:: match_values
                                                                                
                                                                                	match values
                                                                                	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                                
                                                                                .. attribute:: qlim
                                                                                
                                                                                	qlim
                                                                                	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                                
                                                                                .. attribute:: qlimit_flags
                                                                                
                                                                                	qlimit flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.atmclp_qlim = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                    self.atmclp_qlim.parent = self
                                                                                    self.match_values = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                    self.match_values.parent = self
                                                                                    self.qlim = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                    self.qlim.parent = self
                                                                                    self.qlimit_flags = None
                                                                                    self.type = None


                                                                                class Qlim(object):
                                                                                    """
                                                                                    qlim
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                                class AtmclpQlim(object):
                                                                                    """
                                                                                    atmclp qlim
                                                                                    
                                                                                    .. attribute:: unit
                                                                                    
                                                                                    	unit
                                                                                    	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.unit = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.unit is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                                class MatchValues(object):
                                                                                    """
                                                                                    match values
                                                                                    
                                                                                    .. attribute:: uint8_rng_array
                                                                                    
                                                                                    	uint8 rng array
                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.uint8_rng_array = YList()
                                                                                        self.uint8_rng_array.parent = self
                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                    class Uint8_Rng_Array(object):
                                                                                        """
                                                                                        uint8 rng array
                                                                                        
                                                                                        .. attribute:: max
                                                                                        
                                                                                        	Upper limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: min
                                                                                        
                                                                                        	Lower limit of the range
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.max = None
                                                                                            self.min = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.max is not None:
                                                                                                return True

                                                                                            if self.min is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.uint8_rng_array is not None:
                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                        return True

                                                                                    if self.match_values is not None and self.match_values._has_data():
                                                                                        return True

                                                                                    if self.qlim is not None and self.qlim._has_data():
                                                                                        return True

                                                                                    if self.qlimit_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_qlimit_info_array is not None:
                                                                                    for child_ref in self.action_qlimit_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                        class AccountingEventAaa(object):
                                                                            """
                                                                            accounting event aaa
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: action
                                                                            
                                                                            	action
                                                                            	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.action = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.action is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                        class AuthorizeId(object):
                                                                            """
                                                                            authorize id
                                                                            
                                                                            .. attribute:: aaa_list_name
                                                                            
                                                                            	aaa list name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: format_name
                                                                            
                                                                            	format name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: id
                                                                            
                                                                            	id
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: password
                                                                            
                                                                            	password
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.aaa_list_name = None
                                                                                self.format_name = None
                                                                                self.id = None
                                                                                self.password = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.aaa_list_name is not None:
                                                                                    return True

                                                                                if self.format_name is not None:
                                                                                    return True

                                                                                if self.id is not None:
                                                                                    return True

                                                                                if self.password is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                        class AfmReact(object):
                                                                            """
                                                                            afm react
                                                                            
                                                                            .. attribute:: action_afmon_react_info
                                                                            
                                                                            	action afmon react info
                                                                            	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_afmon_react_info = YList()
                                                                                self.action_afmon_react_info.parent = self
                                                                                self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                            class ActionAfmonReactInfo(object):
                                                                                """
                                                                                action afmon react info
                                                                                
                                                                                .. attribute:: alm_grp_thresh
                                                                                
                                                                                	Num/percent in grp
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: percentage
                                                                                
                                                                                .. attribute:: alm_severity
                                                                                
                                                                                	Major\|Minor\|... alarm
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: alm_type
                                                                                
                                                                                	Discrete \| grouped alarm
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: clone_ifh
                                                                                
                                                                                	Clone interface handle
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: criterion
                                                                                
                                                                                	React Criterion
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	Describing the oper
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: notif_actns
                                                                                
                                                                                	Bitmap of actions on alert
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: oper_id
                                                                                
                                                                                	React Operation ID
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: trig_level_1
                                                                                
                                                                                	Trigger threshold 1/lower
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: trig_level_2
                                                                                
                                                                                	Trigger upper threshold for range
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: trig_num_intvls
                                                                                
                                                                                	Averaged over N intvls
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: trig_relop
                                                                                
                                                                                	Trigger LT\|LE\|GT\|GE\|Range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: trig_type
                                                                                
                                                                                	Immediate or averaged thresh trigger
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.alm_grp_thresh = None
                                                                                    self.alm_severity = None
                                                                                    self.alm_type = None
                                                                                    self.clone_ifh = None
                                                                                    self.criterion = None
                                                                                    self.description = None
                                                                                    self.notif_actns = None
                                                                                    self.oper_id = None
                                                                                    self.trig_level_1 = None
                                                                                    self.trig_level_2 = None
                                                                                    self.trig_num_intvls = None
                                                                                    self.trig_relop = None
                                                                                    self.trig_type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.alm_grp_thresh is not None:
                                                                                        return True

                                                                                    if self.alm_severity is not None:
                                                                                        return True

                                                                                    if self.alm_type is not None:
                                                                                        return True

                                                                                    if self.clone_ifh is not None:
                                                                                        return True

                                                                                    if self.criterion is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.notif_actns is not None:
                                                                                        return True

                                                                                    if self.oper_id is not None:
                                                                                        return True

                                                                                    if self.trig_level_1 is not None:
                                                                                        return True

                                                                                    if self.trig_level_2 is not None:
                                                                                        return True

                                                                                    if self.trig_num_intvls is not None:
                                                                                        return True

                                                                                    if self.trig_relop is not None:
                                                                                        return True

                                                                                    if self.trig_type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_afmon_react_info is not None:
                                                                                    for child_ref in self.action_afmon_react_info:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                        class Httpr(object):
                                                                            """
                                                                            httpr
                                                                            
                                                                            .. attribute:: redirect_url
                                                                            
                                                                            	redirect url
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.redirect_url = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.redirect_url is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                        class Punt(object):
                                                                            """
                                                                            punt
                                                                            
                                                                            .. attribute:: app_id
                                                                            
                                                                            	application ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: local_id
                                                                            
                                                                            	local ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: sn_index
                                                                            
                                                                            	service node index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: sn_name
                                                                            
                                                                            	service node name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: sn_type
                                                                            
                                                                            	service node ID type
                                                                            	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                            
                                                                            .. attribute:: vsnode_type
                                                                            
                                                                            	vservice node type
                                                                            	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.app_id = None
                                                                                self.local_id = None
                                                                                self.sn_index = None
                                                                                self.sn_name = None
                                                                                self.sn_type = None
                                                                                self.vsnode_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.app_id is not None:
                                                                                    return True

                                                                                if self.local_id is not None:
                                                                                    return True

                                                                                if self.sn_index is not None:
                                                                                    return True

                                                                                if self.sn_name is not None:
                                                                                    return True

                                                                                if self.sn_type is not None:
                                                                                    return True

                                                                                if self.vsnode_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                        class Copy(object):
                                                                            """
                                                                            copy
                                                                            
                                                                            .. attribute:: app_id
                                                                            
                                                                            	application ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: local_id
                                                                            
                                                                            	local ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: num_byte
                                                                            
                                                                            	number of bytes
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: byte
                                                                            
                                                                            .. attribute:: sn_index
                                                                            
                                                                            	service node index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: sn_name
                                                                            
                                                                            	service node url
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: sn_type
                                                                            
                                                                            	service node ID type
                                                                            	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                            
                                                                            .. attribute:: vsnode_type
                                                                            
                                                                            	vservice node type
                                                                            	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.app_id = None
                                                                                self.local_id = None
                                                                                self.num_byte = None
                                                                                self.sn_index = None
                                                                                self.sn_name = None
                                                                                self.sn_type = None
                                                                                self.vsnode_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.app_id is not None:
                                                                                    return True

                                                                                if self.local_id is not None:
                                                                                    return True

                                                                                if self.num_byte is not None:
                                                                                    return True

                                                                                if self.sn_index is not None:
                                                                                    return True

                                                                                if self.sn_name is not None:
                                                                                    return True

                                                                                if self.sn_type is not None:
                                                                                    return True

                                                                                if self.vsnode_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                        class Sfrag(object):
                                                                            """
                                                                            sfrag
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	Service Fragment Name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                        class Redirect(object):
                                                                            """
                                                                            redirect
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                        class OutIntf(object):
                                                                            """
                                                                            out intf
                                                                            
                                                                            .. attribute:: out_ifname
                                                                            
                                                                            	output interface name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.out_ifname = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.out_ifname is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                        class ServFunc(object):
                                                                            """
                                                                            serv func
                                                                            
                                                                            .. attribute:: meta_name
                                                                            
                                                                            	metadata name
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: path_id
                                                                            
                                                                            	service path id
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: service_index
                                                                            
                                                                            	service path index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vs_index
                                                                            
                                                                            	vservice index
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.meta_name = None
                                                                                self.path_id = None
                                                                                self.service_index = None
                                                                                self.vs_index = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.meta_name is not None:
                                                                                    return True

                                                                                if self.path_id is not None:
                                                                                    return True

                                                                                if self.service_index is not None:
                                                                                    return True

                                                                                if self.vs_index is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                        class Police(object):
                                                                            """
                                                                            police
                                                                            
                                                                            .. attribute:: burst
                                                                            
                                                                            	burst
                                                                            	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                            
                                                                            .. attribute:: cdvt
                                                                            
                                                                            	cdvt
                                                                            	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                            
                                                                            .. attribute:: confclass_encode
                                                                            
                                                                            	confclass encode
                                                                            	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                            
                                                                            .. attribute:: confclass_p
                                                                            
                                                                            	confclass p
                                                                            	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                            
                                                                            .. attribute:: conform_actns
                                                                            
                                                                            	conform actns
                                                                            	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                            
                                                                            .. attribute:: excdclass_encode
                                                                            
                                                                            	excdclass encode
                                                                            	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                            
                                                                            .. attribute:: excdclass_p
                                                                            
                                                                            	excdclass p
                                                                            	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                            
                                                                            .. attribute:: exceed_actns
                                                                            
                                                                            	exceed actns
                                                                            	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: peak_burst
                                                                            
                                                                            	peak burst
                                                                            	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                            
                                                                            .. attribute:: peak_rate
                                                                            
                                                                            	peak rate
                                                                            	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                            
                                                                            .. attribute:: police_flags
                                                                            
                                                                            	police flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: rate
                                                                            
                                                                            	rate
                                                                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                            
                                                                            .. attribute:: sbuck_name
                                                                            
                                                                            	sbuck name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: sbuck_type
                                                                            
                                                                            	sbuck type
                                                                            	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                            
                                                                            .. attribute:: violate_actns
                                                                            
                                                                            	violate actns
                                                                            	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.burst = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                                self.burst.parent = self
                                                                                self.cdvt = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                                self.cdvt.parent = self
                                                                                self.confclass_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                                self.confclass_encode.parent = self
                                                                                self.confclass_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                                self.confclass_p.parent = self
                                                                                self.conform_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                                self.conform_actns.parent = self
                                                                                self.excdclass_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                                self.excdclass_encode.parent = self
                                                                                self.excdclass_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                                self.excdclass_p.parent = self
                                                                                self.exceed_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                                self.exceed_actns.parent = self
                                                                                self.flags = None
                                                                                self.peak_burst = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                                self.peak_burst.parent = self
                                                                                self.peak_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                                self.peak_rate.parent = self
                                                                                self.police_flags = None
                                                                                self.rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                                self.rate.parent = self
                                                                                self.sbuck_name = None
                                                                                self.sbuck_type = None
                                                                                self.violate_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                                self.violate_actns.parent = self


                                                                            class Rate(object):
                                                                                """
                                                                                rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                            class Burst(object):
                                                                                """
                                                                                burst
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                            class PeakRate(object):
                                                                                """
                                                                                peak rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                            class PeakBurst(object):
                                                                                """
                                                                                peak burst
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                            class Cdvt(object):
                                                                                """
                                                                                cdvt
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                            class ConformActns(object):
                                                                                """
                                                                                conform actns
                                                                                
                                                                                .. attribute:: police_action_array
                                                                                
                                                                                	police action array
                                                                                	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.police_action_array = YList()
                                                                                    self.police_action_array.parent = self
                                                                                    self.police_action_array.name = 'police_action_array'


                                                                                class PoliceActionArray(object):
                                                                                    """
                                                                                    police action array
                                                                                    
                                                                                    .. attribute:: mark
                                                                                    
                                                                                    	mark
                                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                        self.mark.parent = self
                                                                                        self.type = None


                                                                                    class Mark(object):
                                                                                        """
                                                                                        mark
                                                                                        
                                                                                        .. attribute:: mark_flags
                                                                                        
                                                                                        	mark flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mark_flags = None
                                                                                            self.type = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mark_flags is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark is not None and self.mark._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.police_action_array is not None:
                                                                                        for child_ref in self.police_action_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                            class ExceedActns(object):
                                                                                """
                                                                                exceed actns
                                                                                
                                                                                .. attribute:: police_action_array
                                                                                
                                                                                	police action array
                                                                                	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.police_action_array = YList()
                                                                                    self.police_action_array.parent = self
                                                                                    self.police_action_array.name = 'police_action_array'


                                                                                class PoliceActionArray(object):
                                                                                    """
                                                                                    police action array
                                                                                    
                                                                                    .. attribute:: mark
                                                                                    
                                                                                    	mark
                                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                        self.mark.parent = self
                                                                                        self.type = None


                                                                                    class Mark(object):
                                                                                        """
                                                                                        mark
                                                                                        
                                                                                        .. attribute:: mark_flags
                                                                                        
                                                                                        	mark flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mark_flags = None
                                                                                            self.type = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mark_flags is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark is not None and self.mark._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.police_action_array is not None:
                                                                                        for child_ref in self.police_action_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                            class ViolateActns(object):
                                                                                """
                                                                                violate actns
                                                                                
                                                                                .. attribute:: police_action_array
                                                                                
                                                                                	police action array
                                                                                	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.police_action_array = YList()
                                                                                    self.police_action_array.parent = self
                                                                                    self.police_action_array.name = 'police_action_array'


                                                                                class PoliceActionArray(object):
                                                                                    """
                                                                                    police action array
                                                                                    
                                                                                    .. attribute:: mark
                                                                                    
                                                                                    	mark
                                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                        self.mark.parent = self
                                                                                        self.type = None


                                                                                    class Mark(object):
                                                                                        """
                                                                                        mark
                                                                                        
                                                                                        .. attribute:: mark_flags
                                                                                        
                                                                                        	mark flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                        
                                                                                        .. attribute:: value
                                                                                        
                                                                                        	value
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..65535
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.mark_flags = None
                                                                                            self.type = None
                                                                                            self.value = None

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.mark_flags is not None:
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.value is not None:
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark is not None and self.mark._has_data():
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.police_action_array is not None:
                                                                                        for child_ref in self.police_action_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                            class ConfclassEncode(object):
                                                                                """
                                                                                confclass encode
                                                                                
                                                                                .. attribute:: class_name
                                                                                
                                                                                	class name
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: enc
                                                                                
                                                                                	enc
                                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                                
                                                                                .. attribute:: hd
                                                                                
                                                                                	hd
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                .. attribute:: idx
                                                                                
                                                                                	idx
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: inline_cmap
                                                                                
                                                                                	inline cmap
                                                                                	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_name = None
                                                                                    self.enc = None
                                                                                    self.hd = None
                                                                                    self.idx = None
                                                                                    self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                    self.inline_cmap.parent = self


                                                                                class InlineCmap(object):
                                                                                    """
                                                                                    inline cmap
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Inline Class\-Map flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Inline Class\-Map Mode Match any/all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_name is not None:
                                                                                        return True

                                                                                    if self.enc is not None:
                                                                                        return True

                                                                                    if self.hd is not None:
                                                                                        return True

                                                                                    if self.idx is not None:
                                                                                        return True

                                                                                    if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                            class ConfclassP(object):
                                                                                """
                                                                                confclass p
                                                                                
                                                                                .. attribute:: class_map_bg
                                                                                
                                                                                	class map bg
                                                                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_map_bg = YList()
                                                                                    self.class_map_bg.parent = self
                                                                                    self.class_map_bg.name = 'class_map_bg'


                                                                                class ClassMapBg(object):
                                                                                    """
                                                                                    class map bg
                                                                                    
                                                                                    .. attribute:: chk_sum
                                                                                    
                                                                                    	MD5 checksum of the encoded class\-map bag
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..16
                                                                                    
                                                                                    .. attribute:: description
                                                                                    
                                                                                    	description
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Class\-Map Internal
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: magic
                                                                                    
                                                                                    	Magic number on top of class\-map bag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Class\-Map Mode Match any/Match all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    .. attribute:: name
                                                                                    
                                                                                    	Name of the class\-map
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..65
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Class\-Map Type QoS/PBR/Netflow/..
                                                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.chk_sum = None
                                                                                        self.description = None
                                                                                        self.flags = None
                                                                                        self.magic = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None
                                                                                        self.name = None
                                                                                        self.type = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.chk_sum is not None:
                                                                                            return True

                                                                                        if self.description is not None:
                                                                                            return True

                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.magic is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        if self.name is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_map_bg is not None:
                                                                                        for child_ref in self.class_map_bg:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                            class ExcdclassEncode(object):
                                                                                """
                                                                                excdclass encode
                                                                                
                                                                                .. attribute:: class_name
                                                                                
                                                                                	class name
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: enc
                                                                                
                                                                                	enc
                                                                                	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                                
                                                                                .. attribute:: hd
                                                                                
                                                                                	hd
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                .. attribute:: idx
                                                                                
                                                                                	idx
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: inline_cmap
                                                                                
                                                                                	inline cmap
                                                                                	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_name = None
                                                                                    self.enc = None
                                                                                    self.hd = None
                                                                                    self.idx = None
                                                                                    self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                    self.inline_cmap.parent = self


                                                                                class InlineCmap(object):
                                                                                    """
                                                                                    inline cmap
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Inline Class\-Map flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Inline Class\-Map Mode Match any/all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_name is not None:
                                                                                        return True

                                                                                    if self.enc is not None:
                                                                                        return True

                                                                                    if self.hd is not None:
                                                                                        return True

                                                                                    if self.idx is not None:
                                                                                        return True

                                                                                    if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                            class ExcdclassP(object):
                                                                                """
                                                                                excdclass p
                                                                                
                                                                                .. attribute:: class_map_bg
                                                                                
                                                                                	class map bg
                                                                                	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_map_bg = YList()
                                                                                    self.class_map_bg.parent = self
                                                                                    self.class_map_bg.name = 'class_map_bg'


                                                                                class ClassMapBg(object):
                                                                                    """
                                                                                    class map bg
                                                                                    
                                                                                    .. attribute:: chk_sum
                                                                                    
                                                                                    	MD5 checksum of the encoded class\-map bag
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..16
                                                                                    
                                                                                    .. attribute:: description
                                                                                    
                                                                                    	description
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Class\-Map Internal
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: magic
                                                                                    
                                                                                    	Magic number on top of class\-map bag
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_count
                                                                                    
                                                                                    	Number of Match infos
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_infop
                                                                                    
                                                                                    	Pointer to the first Match info
                                                                                    	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                    
                                                                                    .. attribute:: mode
                                                                                    
                                                                                    	Class\-Map Mode Match any/Match all
                                                                                    	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                    
                                                                                    .. attribute:: name
                                                                                    
                                                                                    	Name of the class\-map
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**length:** 0..65
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	Class\-Map Type QoS/PBR/Netflow/..
                                                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.chk_sum = None
                                                                                        self.description = None
                                                                                        self.flags = None
                                                                                        self.magic = None
                                                                                        self.match_count = None
                                                                                        self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                        self.match_infop.parent = self
                                                                                        self.mode = None
                                                                                        self.name = None
                                                                                        self.type = None


                                                                                    class MatchInfop(object):
                                                                                        """
                                                                                        Pointer to the first Match info
                                                                                        
                                                                                        .. attribute:: class_match_info_st
                                                                                        
                                                                                        	class match info st
                                                                                        	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.class_match_info_st = YList()
                                                                                            self.class_match_info_st.parent = self
                                                                                            self.class_match_info_st.name = 'class_match_info_st'


                                                                                        class ClassMatchInfoSt(object):
                                                                                            """
                                                                                            class match info st
                                                                                            
                                                                                            .. attribute:: flags
                                                                                            
                                                                                            	Flags
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            .. attribute:: match_data
                                                                                            
                                                                                            	Match criteria
                                                                                            	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flags = None
                                                                                                self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                                self.match_data.parent = self


                                                                                            class MatchData(object):
                                                                                                """
                                                                                                Match criteria
                                                                                                
                                                                                                .. attribute:: access_interface
                                                                                                
                                                                                                	Access interface
                                                                                                	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                                
                                                                                                .. attribute:: atm_clp
                                                                                                
                                                                                                	Match ATM CLP level
                                                                                                	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                                
                                                                                                .. attribute:: auth_domain
                                                                                                
                                                                                                	Authenticated domain name
                                                                                                	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                                
                                                                                                .. attribute:: auth_domain_regex
                                                                                                
                                                                                                	Authenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: auth_username
                                                                                                
                                                                                                	Authenticated User Name
                                                                                                	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                                
                                                                                                .. attribute:: auth_username_regex
                                                                                                
                                                                                                	Authenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: authen_status
                                                                                                
                                                                                                	Authentication Status
                                                                                                	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                                
                                                                                                .. attribute:: avail_id
                                                                                                
                                                                                                	Available Identifiers
                                                                                                	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                                
                                                                                                .. attribute:: circuit_id
                                                                                                
                                                                                                	Circuit ID
                                                                                                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                                
                                                                                                .. attribute:: circuit_id_regex
                                                                                                
                                                                                                	Circuit ID RegEx
                                                                                                	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                                
                                                                                                .. attribute:: cos
                                                                                                
                                                                                                	Match CoS array
                                                                                                	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                                
                                                                                                .. attribute:: cos_inr
                                                                                                
                                                                                                	Match inner header CoS
                                                                                                	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                                
                                                                                                .. attribute:: dei
                                                                                                
                                                                                                	Match DEI Bit
                                                                                                	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                                
                                                                                                .. attribute:: dei_inr
                                                                                                
                                                                                                	Match inner DEI Bit
                                                                                                	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id
                                                                                                
                                                                                                	Dhcp Client ID
                                                                                                	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                                
                                                                                                .. attribute:: dhcp_client_id_regex
                                                                                                
                                                                                                	Dhcp Client ID RegEx
                                                                                                	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                                
                                                                                                .. attribute:: discard_class
                                                                                                
                                                                                                	Match Discard Class array
                                                                                                	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                                
                                                                                                .. attribute:: dnis
                                                                                                
                                                                                                	DNIS
                                                                                                	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                                
                                                                                                .. attribute:: dnis_regex
                                                                                                
                                                                                                	DNIS Regular Expression
                                                                                                	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                                
                                                                                                .. attribute:: domain
                                                                                                
                                                                                                	Domain Name
                                                                                                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                                
                                                                                                .. attribute:: domain_regex
                                                                                                
                                                                                                	Domain Regular Expression
                                                                                                	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                                
                                                                                                .. attribute:: dscp
                                                                                                
                                                                                                	Match DSCP range array
                                                                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv4
                                                                                                
                                                                                                	Destination Address IPV4
                                                                                                	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: dst_addr_ipv6
                                                                                                
                                                                                                	Destination Address IPV6
                                                                                                	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: dst_mac
                                                                                                
                                                                                                	Match Destination MAC address
                                                                                                	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                                
                                                                                                .. attribute:: dst_port
                                                                                                
                                                                                                	Destination port
                                                                                                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                                
                                                                                                .. attribute:: ether_service_acl
                                                                                                
                                                                                                	Ethernet\-Services Access\-list
                                                                                                	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                                
                                                                                                .. attribute:: ethertype
                                                                                                
                                                                                                	Ethernet type
                                                                                                	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                                
                                                                                                .. attribute:: flow_key_data
                                                                                                
                                                                                                	Flow key structure
                                                                                                	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                                
                                                                                                .. attribute:: flow_tag
                                                                                                
                                                                                                	Match flow\-tag array
                                                                                                	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                                
                                                                                                .. attribute:: fr_de
                                                                                                
                                                                                                	Match FR DE value
                                                                                                	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                                
                                                                                                .. attribute:: fr_dlci
                                                                                                
                                                                                                	Match FR DLCI range array
                                                                                                	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                                
                                                                                                .. attribute:: fragment_type
                                                                                                
                                                                                                	Fragment type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: icmp_v4
                                                                                                
                                                                                                	Match ICMPV4 Protocol
                                                                                                	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                                
                                                                                                .. attribute:: icmp_v6
                                                                                                
                                                                                                	Match ICMPV6 Protocol array
                                                                                                	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                                
                                                                                                .. attribute:: icmpv4_code
                                                                                                
                                                                                                	Match ipv4 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                                
                                                                                                .. attribute:: icmpv4_type
                                                                                                
                                                                                                	Match ipv4 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                                
                                                                                                .. attribute:: icmpv6_code
                                                                                                
                                                                                                	Match ipv6 icmp code
                                                                                                	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                                
                                                                                                .. attribute:: icmpv6_type
                                                                                                
                                                                                                	Match ipv6 icmp type
                                                                                                	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                                
                                                                                                .. attribute:: input_interface
                                                                                                
                                                                                                	Input interface
                                                                                                	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                                
                                                                                                .. attribute:: input_intfhdl
                                                                                                
                                                                                                	Input interface handle
                                                                                                	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                                
                                                                                                .. attribute:: ipv4_acl
                                                                                                
                                                                                                	IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                                
                                                                                                .. attribute:: ipv4_dscp
                                                                                                
                                                                                                	IPv4 DSCP
                                                                                                	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv4_packet_len
                                                                                                
                                                                                                	IPv4 packet length array
                                                                                                	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv4_prec
                                                                                                
                                                                                                	IPv4 Precedence
                                                                                                	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                                
                                                                                                .. attribute:: ipv6_acl
                                                                                                
                                                                                                	IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                                
                                                                                                .. attribute:: ipv6_dscp
                                                                                                
                                                                                                	IPv6 DSCP
                                                                                                	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                                
                                                                                                .. attribute:: ipv6_packet_len
                                                                                                
                                                                                                	IPv6 packet length array
                                                                                                	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                                
                                                                                                .. attribute:: ipv6_prec
                                                                                                
                                                                                                	IPv6 Precedence
                                                                                                	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                                
                                                                                                .. attribute:: media_type
                                                                                                
                                                                                                	Media Type
                                                                                                	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                                
                                                                                                .. attribute:: mlp_negotiated
                                                                                                
                                                                                                	MLP Negotiated
                                                                                                	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv4_acl
                                                                                                
                                                                                                	MPLS Disposition IPv4 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_disp_ipv6_acl
                                                                                                
                                                                                                	MPLS Disposition IPv6 Access\-list
                                                                                                	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                                
                                                                                                .. attribute:: mpls_exp
                                                                                                
                                                                                                	Match MPLS experimental topmost array
                                                                                                	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                                
                                                                                                .. attribute:: mpls_exp_imp
                                                                                                
                                                                                                	Match MPLS experimental imposition array
                                                                                                	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                                
                                                                                                .. attribute:: mpls_top_eos
                                                                                                
                                                                                                	MPLS Topmost EOS
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: mpls_top_label
                                                                                                
                                                                                                	MPLS Topmost LABEL
                                                                                                	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                                
                                                                                                .. attribute:: nas_port
                                                                                                
                                                                                                	NAS Port
                                                                                                	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                                
                                                                                                .. attribute:: packet_len
                                                                                                
                                                                                                	Match packet length array
                                                                                                	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                                
                                                                                                .. attribute:: prec
                                                                                                
                                                                                                	Match Precedence array
                                                                                                	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                                
                                                                                                .. attribute:: proto
                                                                                                
                                                                                                	Match Protocol array
                                                                                                	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                                
                                                                                                .. attribute:: qos_group
                                                                                                
                                                                                                	Match QoS group array
                                                                                                	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                                
                                                                                                .. attribute:: remote_id
                                                                                                
                                                                                                	Remote ID
                                                                                                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                                
                                                                                                .. attribute:: remote_id_regex
                                                                                                
                                                                                                	Remote ID RegEx
                                                                                                	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                                
                                                                                                .. attribute:: service_name
                                                                                                
                                                                                                	Service Name
                                                                                                	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                                
                                                                                                .. attribute:: service_name_regex
                                                                                                
                                                                                                	Service Name Regular Exp
                                                                                                	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv4
                                                                                                
                                                                                                	Source Address IPV4
                                                                                                	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                                
                                                                                                .. attribute:: src_addr_ipv6
                                                                                                
                                                                                                	Source Address IPV6
                                                                                                	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                                
                                                                                                .. attribute:: src_addr_mac
                                                                                                
                                                                                                	Source Address MAC
                                                                                                	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                                
                                                                                                .. attribute:: src_mac
                                                                                                
                                                                                                	Match Source MAC address
                                                                                                	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                                
                                                                                                .. attribute:: src_port
                                                                                                
                                                                                                	Source port
                                                                                                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                                
                                                                                                .. attribute:: subs_protocol
                                                                                                
                                                                                                	Protocol
                                                                                                	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                                
                                                                                                .. attribute:: tcp_flag
                                                                                                
                                                                                                	Match tcp flag value
                                                                                                	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                                
                                                                                                .. attribute:: timer
                                                                                                
                                                                                                	Timer
                                                                                                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                                
                                                                                                .. attribute:: timer_regexp
                                                                                                
                                                                                                	Timer Regular Expression
                                                                                                	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                                
                                                                                                .. attribute:: traffic_class
                                                                                                
                                                                                                	Match Traffic class array
                                                                                                	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                                
                                                                                                .. attribute:: tunnel_name
                                                                                                
                                                                                                	Tunnel Name
                                                                                                	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                                
                                                                                                .. attribute:: tunnel_name_regex
                                                                                                
                                                                                                	Tunnel Name Regular Expression
                                                                                                	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	type
                                                                                                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                                
                                                                                                .. attribute:: unauth_domain
                                                                                                
                                                                                                	Unauthenticated Domain Name
                                                                                                	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                                
                                                                                                .. attribute:: unauth_domain_regex
                                                                                                
                                                                                                	Unauthenticated Domain Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                                
                                                                                                .. attribute:: unauth_username
                                                                                                
                                                                                                	Unauthenticated User Name
                                                                                                	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                                
                                                                                                .. attribute:: unauth_username_regex
                                                                                                
                                                                                                	Unauthenticated User Name RegEx
                                                                                                	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                                
                                                                                                .. attribute:: user_name
                                                                                                
                                                                                                	User Name
                                                                                                	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                                
                                                                                                .. attribute:: user_name_regex
                                                                                                
                                                                                                	User Name Regular Expression
                                                                                                	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                                
                                                                                                .. attribute:: vendor_id
                                                                                                
                                                                                                	Vendor ID
                                                                                                	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                                
                                                                                                .. attribute:: vendor_id_regex
                                                                                                
                                                                                                	Vendor ID RegEx
                                                                                                	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                                
                                                                                                .. attribute:: vlan
                                                                                                
                                                                                                	Match VLAN array
                                                                                                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                                
                                                                                                .. attribute:: vlan_inr
                                                                                                
                                                                                                	Match inner header VLAN range array
                                                                                                	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                    self.access_interface.parent = self
                                                                                                    self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                    self.atm_clp.parent = self
                                                                                                    self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                    self.auth_domain.parent = self
                                                                                                    self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                    self.auth_domain_regex.parent = self
                                                                                                    self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                    self.auth_username.parent = self
                                                                                                    self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                    self.auth_username_regex.parent = self
                                                                                                    self.authen_status = None
                                                                                                    self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                    self.avail_id.parent = self
                                                                                                    self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                    self.circuit_id.parent = self
                                                                                                    self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                    self.circuit_id_regex.parent = self
                                                                                                    self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                    self.cos.parent = self
                                                                                                    self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                    self.cos_inr.parent = self
                                                                                                    self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                    self.dei.parent = self
                                                                                                    self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                    self.dei_inr.parent = self
                                                                                                    self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                    self.dhcp_client_id.parent = self
                                                                                                    self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                    self.dhcp_client_id_regex.parent = self
                                                                                                    self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                    self.discard_class.parent = self
                                                                                                    self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                    self.dnis.parent = self
                                                                                                    self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                    self.dnis_regex.parent = self
                                                                                                    self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                    self.domain.parent = self
                                                                                                    self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                    self.domain_regex.parent = self
                                                                                                    self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                    self.dscp.parent = self
                                                                                                    self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                    self.dst_addr_ipv4.parent = self
                                                                                                    self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                    self.dst_addr_ipv6.parent = self
                                                                                                    self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                    self.dst_mac.parent = self
                                                                                                    self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                    self.dst_port.parent = self
                                                                                                    self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                    self.ether_service_acl.parent = self
                                                                                                    self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                    self.ethertype.parent = self
                                                                                                    self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                    self.flow_key_data.parent = self
                                                                                                    self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                    self.flow_tag.parent = self
                                                                                                    self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                    self.fr_de.parent = self
                                                                                                    self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                    self.fr_dlci.parent = self
                                                                                                    self.fragment_type = None
                                                                                                    self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                    self.icmp_v4.parent = self
                                                                                                    self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                    self.icmp_v6.parent = self
                                                                                                    self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                    self.icmpv4_code.parent = self
                                                                                                    self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                    self.icmpv4_type.parent = self
                                                                                                    self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                    self.icmpv6_code.parent = self
                                                                                                    self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                    self.icmpv6_type.parent = self
                                                                                                    self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                    self.input_interface.parent = self
                                                                                                    self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                    self.input_intfhdl.parent = self
                                                                                                    self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                    self.ipv4_acl.parent = self
                                                                                                    self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                    self.ipv4_dscp.parent = self
                                                                                                    self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                    self.ipv4_packet_len.parent = self
                                                                                                    self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                    self.ipv4_prec.parent = self
                                                                                                    self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                    self.ipv6_acl.parent = self
                                                                                                    self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                    self.ipv6_dscp.parent = self
                                                                                                    self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                    self.ipv6_packet_len.parent = self
                                                                                                    self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                    self.ipv6_prec.parent = self
                                                                                                    self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                    self.media_type.parent = self
                                                                                                    self.mlp_negotiated = None
                                                                                                    self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                    self.mpls_disp_ipv4_acl.parent = self
                                                                                                    self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                    self.mpls_disp_ipv6_acl.parent = self
                                                                                                    self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                    self.mpls_exp.parent = self
                                                                                                    self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                    self.mpls_exp_imp.parent = self
                                                                                                    self.mpls_top_eos = None
                                                                                                    self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                    self.mpls_top_label.parent = self
                                                                                                    self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                    self.nas_port.parent = self
                                                                                                    self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                    self.packet_len.parent = self
                                                                                                    self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                    self.prec.parent = self
                                                                                                    self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                    self.proto.parent = self
                                                                                                    self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                    self.qos_group.parent = self
                                                                                                    self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                    self.remote_id.parent = self
                                                                                                    self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                    self.remote_id_regex.parent = self
                                                                                                    self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                    self.service_name.parent = self
                                                                                                    self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                    self.service_name_regex.parent = self
                                                                                                    self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                    self.src_addr_ipv4.parent = self
                                                                                                    self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                    self.src_addr_ipv6.parent = self
                                                                                                    self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                    self.src_addr_mac.parent = self
                                                                                                    self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                    self.src_mac.parent = self
                                                                                                    self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                    self.src_port.parent = self
                                                                                                    self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                    self.subs_protocol.parent = self
                                                                                                    self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                    self.tcp_flag.parent = self
                                                                                                    self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                    self.timer.parent = self
                                                                                                    self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                    self.timer_regexp.parent = self
                                                                                                    self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                    self.traffic_class.parent = self
                                                                                                    self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                    self.tunnel_name.parent = self
                                                                                                    self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                    self.tunnel_name_regex.parent = self
                                                                                                    self.type = None
                                                                                                    self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                    self.unauth_domain.parent = self
                                                                                                    self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                    self.unauth_domain_regex.parent = self
                                                                                                    self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                    self.unauth_username.parent = self
                                                                                                    self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                    self.unauth_username_regex.parent = self
                                                                                                    self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                    self.user_name.parent = self
                                                                                                    self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                    self.user_name_regex.parent = self
                                                                                                    self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                    self.vendor_id.parent = self
                                                                                                    self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                    self.vendor_id_regex.parent = self
                                                                                                    self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                    self.vlan.parent = self
                                                                                                    self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                    self.vlan_inr.parent = self


                                                                                                class Ipv4Dscp(object):
                                                                                                    """
                                                                                                    IPv4 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                                class Ipv6Dscp(object):
                                                                                                    """
                                                                                                    IPv6 DSCP
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                                class Dscp(object):
                                                                                                    """
                                                                                                    Match DSCP range array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                                class Ipv4Prec(object):
                                                                                                    """
                                                                                                    IPv4 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                                class Ipv6Prec(object):
                                                                                                    """
                                                                                                    IPv6 Precedence
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                                class Prec(object):
                                                                                                    """
                                                                                                    Match Precedence array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                                class DiscardClass(object):
                                                                                                    """
                                                                                                    Match Discard Class array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                                class QosGroup(object):
                                                                                                    """
                                                                                                    Match QoS group array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                                class TrafficClass(object):
                                                                                                    """
                                                                                                    Match Traffic class array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                                class Proto(object):
                                                                                                    """
                                                                                                    Match Protocol array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                                class IcmpV4(object):
                                                                                                    """
                                                                                                    Match ICMPV4 Protocol
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                                class IcmpV6(object):
                                                                                                    """
                                                                                                    Match ICMPV6 Protocol array
                                                                                                    
                                                                                                    .. attribute:: code
                                                                                                    
                                                                                                    	Protocol code
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: type
                                                                                                    
                                                                                                    	Protocol type
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.code = None
                                                                                                        self.type = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.code is not None:
                                                                                                            return True

                                                                                                        if self.type is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                                class Ipv4PacketLen(object):
                                                                                                    """
                                                                                                    IPv4 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                                class Ipv6PacketLen(object):
                                                                                                    """
                                                                                                    IPv6 packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                                class PacketLen(object):
                                                                                                    """
                                                                                                    Match packet length array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                                class FlowTag(object):
                                                                                                    """
                                                                                                    Match flow\-tag array
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                                class TcpFlag(object):
                                                                                                    """
                                                                                                    Match tcp flag value
                                                                                                    
                                                                                                    .. attribute:: match_any
                                                                                                    
                                                                                                    	Match any TCP flag bit
                                                                                                    	**type**\:  bool
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	Value of TCP flag
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.match_any = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.match_any is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                                class Icmpv4Type(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                                class Icmpv4Code(object):
                                                                                                    """
                                                                                                    Match ipv4 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                                class Icmpv6Type(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp type
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                                class Icmpv6Code(object):
                                                                                                    """
                                                                                                    Match ipv6 icmp code
                                                                                                    
                                                                                                    .. attribute:: uint8_rng_array
                                                                                                    
                                                                                                    	uint8 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_rng_array = YList()
                                                                                                        self.uint8_rng_array.parent = self
                                                                                                        self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                    class Uint8_Rng_Array(object):
                                                                                                        """
                                                                                                        uint8 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_rng_array is not None:
                                                                                                            for child_ref in self.uint8_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                                class MplsExp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental topmost array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                                class MplsExpImp(object):
                                                                                                    """
                                                                                                    Match MPLS experimental imposition array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                                class MplsDispIpv4Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                                class MplsDispIpv6Acl(object):
                                                                                                    """
                                                                                                    MPLS Disposition IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                                class MplsTopLabel(object):
                                                                                                    """
                                                                                                    MPLS Topmost LABEL
                                                                                                    
                                                                                                    .. attribute:: uint32_rng_array
                                                                                                    
                                                                                                    	uint32 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint32_rng_array = YList()
                                                                                                        self.uint32_rng_array.parent = self
                                                                                                        self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                    class Uint32_Rng_Array(object):
                                                                                                        """
                                                                                                        uint32 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint32_rng_array is not None:
                                                                                                            for child_ref in self.uint32_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                                class Cos(object):
                                                                                                    """
                                                                                                    Match CoS array
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                                class CosInr(object):
                                                                                                    """
                                                                                                    Match inner header CoS
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                                class Dei(object):
                                                                                                    """
                                                                                                    Match DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                                class DeiInr(object):
                                                                                                    """
                                                                                                    Match inner DEI Bit
                                                                                                    
                                                                                                    .. attribute:: bit_value
                                                                                                    
                                                                                                    	Value of the DEI bit
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.bit_value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.bit_value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                                class Vlan(object):
                                                                                                    """
                                                                                                    Match VLAN array
                                                                                                    
                                                                                                    .. attribute:: vlan_id_array
                                                                                                    
                                                                                                    	vlan id array
                                                                                                    	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.vlan_id_array = YList()
                                                                                                        self.vlan_id_array.parent = self
                                                                                                        self.vlan_id_array.name = 'vlan_id_array'


                                                                                                    class VlanIdArray(object):
                                                                                                        """
                                                                                                        vlan id array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	VLAN mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.vlan_id_array is not None:
                                                                                                            for child_ref in self.vlan_id_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                                class VlanInr(object):
                                                                                                    """
                                                                                                    Match inner header VLAN range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                                class FrDlci(object):
                                                                                                    """
                                                                                                    Match FR DLCI range array
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                                class SrcMac(object):
                                                                                                    """
                                                                                                    Match Source MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                                class DstMac(object):
                                                                                                    """
                                                                                                    Match Destination MAC address
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                                class AtmClp(object):
                                                                                                    """
                                                                                                    Match ATM CLP level
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                                class FrDe(object):
                                                                                                    """
                                                                                                    Match FR DE value
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                                class Ipv4Acl(object):
                                                                                                    """
                                                                                                    IPv4 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                                class Ipv6Acl(object):
                                                                                                    """
                                                                                                    IPv6 Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                                class EtherServiceAcl(object):
                                                                                                    """
                                                                                                    Ethernet\-Services Access\-list
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                                class AvailId(object):
                                                                                                    """
                                                                                                    Available Identifiers
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                                class MediaType(object):
                                                                                                    """
                                                                                                    Media Type
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                                class SubsProtocol(object):
                                                                                                    """
                                                                                                    Protocol
                                                                                                    
                                                                                                    .. attribute:: uint8_array
                                                                                                    
                                                                                                    	uint8 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint8_array = YLeafList()
                                                                                                        self.uint8_array.parent = self
                                                                                                        self.uint8_array.name = 'uint8_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint8_array is not None:
                                                                                                            for child in self.uint8_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                                class Dnis(object):
                                                                                                    """
                                                                                                    DNIS
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                                class DnisRegex(object):
                                                                                                    """
                                                                                                    DNIS Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                                class Domain(object):
                                                                                                    """
                                                                                                    Domain Name
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                                class DomainRegex(object):
                                                                                                    """
                                                                                                    Domain Regular Expression
                                                                                                    
                                                                                                    .. attribute:: domain_array
                                                                                                    
                                                                                                    	domain array
                                                                                                    	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_array = YList()
                                                                                                        self.domain_array.parent = self
                                                                                                        self.domain_array.name = 'domain_array'


                                                                                                    class DomainArray(object):
                                                                                                        """
                                                                                                        domain array
                                                                                                        
                                                                                                        .. attribute:: domain_name
                                                                                                        
                                                                                                        	domain name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        .. attribute:: format_name
                                                                                                        
                                                                                                        	format name
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.domain_name = None
                                                                                                            self.format_name = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.domain_name is not None:
                                                                                                                return True

                                                                                                            if self.format_name is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_array is not None:
                                                                                                            for child_ref in self.domain_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                                class NasPort(object):
                                                                                                    """
                                                                                                    NAS Port
                                                                                                    
                                                                                                    .. attribute:: nas_port_array
                                                                                                    
                                                                                                    	nas port array
                                                                                                    	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.nas_port_array = YList()
                                                                                                        self.nas_port_array.parent = self
                                                                                                        self.nas_port_array.name = 'nas_port_array'


                                                                                                    class NasPortArray(object):
                                                                                                        """
                                                                                                        nas port array
                                                                                                        
                                                                                                        .. attribute:: operator
                                                                                                        
                                                                                                        	operator
                                                                                                        	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                        
                                                                                                        .. attribute:: sub_id
                                                                                                        
                                                                                                        	sub id
                                                                                                        	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                        
                                                                                                        .. attribute:: value
                                                                                                        
                                                                                                        	value
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.operator = None
                                                                                                            self.sub_id = None
                                                                                                            self.value = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.operator is not None:
                                                                                                                return True

                                                                                                            if self.sub_id is not None:
                                                                                                                return True

                                                                                                            if self.value is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.nas_port_array is not None:
                                                                                                            for child_ref in self.nas_port_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                                class ServiceName(object):
                                                                                                    """
                                                                                                    Service Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                                class ServiceNameRegex(object):
                                                                                                    """
                                                                                                    Service Name Regular Exp
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                                class SrcAddrIpv4(object):
                                                                                                    """
                                                                                                    Source Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                                class DstAddrIpv4(object):
                                                                                                    """
                                                                                                    Destination Address IPV4
                                                                                                    
                                                                                                    .. attribute:: ipv4_addr_array
                                                                                                    
                                                                                                    	ipv4 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv4_addr_array = YList()
                                                                                                        self.ipv4_addr_array.parent = self
                                                                                                        self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                    class Ipv4AddrArray(object):
                                                                                                        """
                                                                                                        ipv4 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	mask
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv4_addr_array is not None:
                                                                                                            for child_ref in self.ipv4_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                                class SrcAddrIpv6(object):
                                                                                                    """
                                                                                                    Source Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                                class DstAddrIpv6(object):
                                                                                                    """
                                                                                                    Destination Address IPV6
                                                                                                    
                                                                                                    .. attribute:: ipv6_addr_array
                                                                                                    
                                                                                                    	ipv6 addr array
                                                                                                    	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.ipv6_addr_array = YList()
                                                                                                        self.ipv6_addr_array.parent = self
                                                                                                        self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                    class Ipv6AddrArray(object):
                                                                                                        """
                                                                                                        ipv6 addr array
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	IPV6 mask
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..4294967295
                                                                                                        
                                                                                                        .. attribute:: prefix
                                                                                                        
                                                                                                        	IPV6 prefix
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mask = None
                                                                                                            self.prefix = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mask is not None:
                                                                                                                return True

                                                                                                            if self.prefix is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.ipv6_addr_array is not None:
                                                                                                            for child_ref in self.ipv6_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                                class SrcAddrMac(object):
                                                                                                    """
                                                                                                    Source Address MAC
                                                                                                    
                                                                                                    .. attribute:: mac_addr_array
                                                                                                    
                                                                                                    	mac addr array
                                                                                                    	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr_array = YList()
                                                                                                        self.mac_addr_array.parent = self
                                                                                                        self.mac_addr_array.name = 'mac_addr_array'


                                                                                                    class MacAddrArray(object):
                                                                                                        """
                                                                                                        mac addr array
                                                                                                        
                                                                                                        .. attribute:: mac_addr
                                                                                                        
                                                                                                        	MAC address
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: mask
                                                                                                        
                                                                                                        	MAC mask
                                                                                                        	**type**\:  list of int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.mac_addr = YLeafList()
                                                                                                            self.mac_addr.parent = self
                                                                                                            self.mac_addr.name = 'mac_addr'
                                                                                                            self.mask = YLeafList()
                                                                                                            self.mask.parent = self
                                                                                                            self.mask.name = 'mask'

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.mac_addr is not None:
                                                                                                                for child in self.mac_addr:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            if self.mask is not None:
                                                                                                                for child in self.mask:
                                                                                                                    if child is not None:
                                                                                                                        return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr_array is not None:
                                                                                                            for child_ref in self.mac_addr_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                                class Timer(object):
                                                                                                    """
                                                                                                    Timer
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                                class TimerRegexp(object):
                                                                                                    """
                                                                                                    Timer Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                                class TunnelName(object):
                                                                                                    """
                                                                                                    Tunnel Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                                class TunnelNameRegex(object):
                                                                                                    """
                                                                                                    Tunnel Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                                class UserName(object):
                                                                                                    """
                                                                                                    User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                                class UserNameRegex(object):
                                                                                                    """
                                                                                                    User Name Regular Expression
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                                class AuthUsername(object):
                                                                                                    """
                                                                                                    Authenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                                class AuthUsernameRegex(object):
                                                                                                    """
                                                                                                    Authenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                                class UnauthUsername(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                                class UnauthUsernameRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated User Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                                class AuthDomain(object):
                                                                                                    """
                                                                                                    Authenticated domain name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                                class AuthDomainRegex(object):
                                                                                                    """
                                                                                                    Authenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                                class UnauthDomain(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                                class UnauthDomainRegex(object):
                                                                                                    """
                                                                                                    Unauthenticated Domain Name RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                                class VendorId(object):
                                                                                                    """
                                                                                                    Vendor ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                                class VendorIdRegex(object):
                                                                                                    """
                                                                                                    Vendor ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                                class AccessInterface(object):
                                                                                                    """
                                                                                                    Access interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                                class InputInterface(object):
                                                                                                    """
                                                                                                    Input interface
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                                class InputIntfhdl(object):
                                                                                                    """
                                                                                                    Input interface handle
                                                                                                    
                                                                                                    .. attribute:: uint64_array
                                                                                                    
                                                                                                    	uint64 array
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..18446744073709551615
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint64_array = YLeafList()
                                                                                                        self.uint64_array.parent = self
                                                                                                        self.uint64_array.name = 'uint64_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint64_array is not None:
                                                                                                            for child in self.uint64_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                                class Ethertype(object):
                                                                                                    """
                                                                                                    Ethernet type
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                                class FlowKeyData(object):
                                                                                                    """
                                                                                                    Flow key structure
                                                                                                    
                                                                                                    .. attribute:: flow_keys
                                                                                                    
                                                                                                    	flow keys
                                                                                                    	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                    
                                                                                                    .. attribute:: idle_timeout
                                                                                                    
                                                                                                    	Idle timeout of flows (in seconds)
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    	**units**\: second
                                                                                                    
                                                                                                    .. attribute:: max_count
                                                                                                    
                                                                                                    	Maximum count of flows
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                        self.flow_keys.parent = self
                                                                                                        self.idle_timeout = None
                                                                                                        self.max_count = None


                                                                                                    class FlowKeys(object):
                                                                                                        """
                                                                                                        flow keys
                                                                                                        
                                                                                                        .. attribute:: keys
                                                                                                        
                                                                                                        	keys
                                                                                                        	**type**\:  str
                                                                                                        
                                                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                        
                                                                                                        .. attribute:: num
                                                                                                        
                                                                                                        	num
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..255
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.keys = None
                                                                                                            self.num = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.keys is not None:
                                                                                                                return True

                                                                                                            if self.num is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                            return True

                                                                                                        if self.idle_timeout is not None:
                                                                                                            return True

                                                                                                        if self.max_count is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                                class DhcpClientId(object):
                                                                                                    """
                                                                                                    Dhcp Client ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                                class DhcpClientIdRegex(object):
                                                                                                    """
                                                                                                    Dhcp Client ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                                class CircuitId(object):
                                                                                                    """
                                                                                                    Circuit ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                                class CircuitIdRegex(object):
                                                                                                    """
                                                                                                    Circuit ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                                class RemoteId(object):
                                                                                                    """
                                                                                                    Remote ID
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                                class RemoteIdRegex(object):
                                                                                                    """
                                                                                                    Remote ID RegEx
                                                                                                    
                                                                                                    .. attribute:: string_array
                                                                                                    
                                                                                                    	string array
                                                                                                    	**type**\:  list of str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.string_array = YLeafList()
                                                                                                        self.string_array.parent = self
                                                                                                        self.string_array.name = 'string_array'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.string_array is not None:
                                                                                                            for child in self.string_array:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                                class SrcPort(object):
                                                                                                    """
                                                                                                    Source port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                                class DstPort(object):
                                                                                                    """
                                                                                                    Destination port
                                                                                                    
                                                                                                    .. attribute:: uint16_rng_array
                                                                                                    
                                                                                                    	uint16 rng array
                                                                                                    	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.uint16_rng_array = YList()
                                                                                                        self.uint16_rng_array.parent = self
                                                                                                        self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                    class Uint16_Rng_Array(object):
                                                                                                        """
                                                                                                        uint16 rng array
                                                                                                        
                                                                                                        .. attribute:: max
                                                                                                        
                                                                                                        	Upper limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        .. attribute:: min
                                                                                                        
                                                                                                        	Lower limit of the range
                                                                                                        	**type**\:  int
                                                                                                        
                                                                                                        	**range:** 0..65535
                                                                                                        
                                                                                                        

                                                                                                        """

                                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                                        _revision = '2015-11-09'

                                                                                                        def __init__(self):
                                                                                                            self.parent = None
                                                                                                            self.max = None
                                                                                                            self.min = None

                                                                                                        @property
                                                                                                        def _common_path(self):
                                                                                                            if self.parent is None:
                                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                        def is_config(self):
                                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                                            return False

                                                                                                        def _has_data(self):
                                                                                                            if not self.is_config():
                                                                                                                return False
                                                                                                            if self.max is not None:
                                                                                                                return True

                                                                                                            if self.min is not None:
                                                                                                                return True

                                                                                                            return False

                                                                                                        @staticmethod
                                                                                                        def _meta_info():
                                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.uint16_rng_array is not None:
                                                                                                            for child_ref in self.uint16_rng_array:
                                                                                                                if child_ref._has_data():
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.access_interface is not None and self.access_interface._has_data():
                                                                                                        return True

                                                                                                    if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username is not None and self.auth_username._has_data():
                                                                                                        return True

                                                                                                    if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.authen_status is not None:
                                                                                                        return True

                                                                                                    if self.avail_id is not None and self.avail_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                        return True

                                                                                                    if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.cos is not None and self.cos._has_data():
                                                                                                        return True

                                                                                                    if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dei is not None and self.dei._has_data():
                                                                                                        return True

                                                                                                    if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                        return True

                                                                                                    if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.discard_class is not None and self.discard_class._has_data():
                                                                                                        return True

                                                                                                    if self.dnis is not None and self.dnis._has_data():
                                                                                                        return True

                                                                                                    if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                        return True

                                                                                                    if self.domain is not None and self.domain._has_data():
                                                                                                        return True

                                                                                                    if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.dscp is not None and self.dscp._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                        return True

                                                                                                    if self.dst_port is not None and self.dst_port._has_data():
                                                                                                        return True

                                                                                                    if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ethertype is not None and self.ethertype._has_data():
                                                                                                        return True

                                                                                                    if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                        return True

                                                                                                    if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                        return True

                                                                                                    if self.fr_de is not None and self.fr_de._has_data():
                                                                                                        return True

                                                                                                    if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                        return True

                                                                                                    if self.fragment_type is not None:
                                                                                                        return True

                                                                                                    if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                        return True

                                                                                                    if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                        return True

                                                                                                    if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                        return True

                                                                                                    if self.input_interface is not None and self.input_interface._has_data():
                                                                                                        return True

                                                                                                    if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                        return True

                                                                                                    if self.media_type is not None and self.media_type._has_data():
                                                                                                        return True

                                                                                                    if self.mlp_negotiated is not None:
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                        return True

                                                                                                    if self.mpls_top_eos is not None:
                                                                                                        return True

                                                                                                    if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                        return True

                                                                                                    if self.nas_port is not None and self.nas_port._has_data():
                                                                                                        return True

                                                                                                    if self.packet_len is not None and self.packet_len._has_data():
                                                                                                        return True

                                                                                                    if self.prec is not None and self.prec._has_data():
                                                                                                        return True

                                                                                                    if self.proto is not None and self.proto._has_data():
                                                                                                        return True

                                                                                                    if self.qos_group is not None and self.qos_group._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id is not None and self.remote_id._has_data():
                                                                                                        return True

                                                                                                    if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.service_name is not None and self.service_name._has_data():
                                                                                                        return True

                                                                                                    if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                        return True

                                                                                                    if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_mac is not None and self.src_mac._has_data():
                                                                                                        return True

                                                                                                    if self.src_port is not None and self.src_port._has_data():
                                                                                                        return True

                                                                                                    if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                        return True

                                                                                                    if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                        return True

                                                                                                    if self.timer is not None and self.timer._has_data():
                                                                                                        return True

                                                                                                    if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                        return True

                                                                                                    if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                        return True

                                                                                                    if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                        return True

                                                                                                    if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                        return True

                                                                                                    if self.user_name is not None and self.user_name._has_data():
                                                                                                        return True

                                                                                                    if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                        return True

                                                                                                    if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                        return True

                                                                                                    if self.vlan is not None and self.vlan._has_data():
                                                                                                        return True

                                                                                                    if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flags is not None:
                                                                                                    return True

                                                                                                if self.match_data is not None and self.match_data._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.class_match_info_st is not None:
                                                                                                for child_ref in self.class_match_info_st:
                                                                                                    if child_ref._has_data():
                                                                                                        return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.chk_sum is not None:
                                                                                            return True

                                                                                        if self.description is not None:
                                                                                            return True

                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.magic is not None:
                                                                                            return True

                                                                                        if self.match_count is not None:
                                                                                            return True

                                                                                        if self.match_infop is not None and self.match_infop._has_data():
                                                                                            return True

                                                                                        if self.mode is not None:
                                                                                            return True

                                                                                        if self.name is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_map_bg is not None:
                                                                                        for child_ref in self.class_map_bg:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.burst is not None and self.burst._has_data():
                                                                                    return True

                                                                                if self.cdvt is not None and self.cdvt._has_data():
                                                                                    return True

                                                                                if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                    return True

                                                                                if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                    return True

                                                                                if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                    return True

                                                                                if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                    return True

                                                                                if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                    return True

                                                                                if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                    return True

                                                                                if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                    return True

                                                                                if self.police_flags is not None:
                                                                                    return True

                                                                                if self.rate is not None and self.rate._has_data():
                                                                                    return True

                                                                                if self.sbuck_name is not None:
                                                                                    return True

                                                                                if self.sbuck_type is not None:
                                                                                    return True

                                                                                if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                        class Shape(object):
                                                                            """
                                                                            shape
                                                                            
                                                                            .. attribute:: be
                                                                            
                                                                            	be
                                                                            	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                            
                                                                            .. attribute:: bw
                                                                            
                                                                            	bw
                                                                            	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.be = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                                self.be.parent = self
                                                                                self.bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                                self.bw.parent = self


                                                                            class Bw(object):
                                                                                """
                                                                                bw
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                            class Be(object):
                                                                                """
                                                                                be
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.be is not None and self.be._has_data():
                                                                                    return True

                                                                                if self.bw is not None and self.bw._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                        class ChildPolicy(object):
                                                                            """
                                                                            child policy
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd_info
                                                                            
                                                                            	hd info
                                                                            	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                            
                                                                            .. attribute:: info
                                                                            
                                                                            	info
                                                                            	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.enc = None
                                                                                self.hd_info = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                                self.hd_info.parent = self
                                                                                self.info = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                                self.info.parent = self


                                                                            class Info(object):
                                                                                """
                                                                                info
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	name
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.name = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                            class HdInfo(object):
                                                                                """
                                                                                hd info
                                                                                
                                                                                .. attribute:: data_hd
                                                                                
                                                                                	data hd
                                                                                	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                                
                                                                                .. attribute:: hd
                                                                                
                                                                                	hd
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.data_hd = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                    self.data_hd.parent = self
                                                                                    self.hd = None


                                                                                class DataHd(object):
                                                                                    """
                                                                                    data hd
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.data_hd is not None and self.data_hd._has_data():
                                                                                        return True

                                                                                    if self.hd is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd_info is not None and self.hd_info._has_data():
                                                                                    return True

                                                                                if self.info is not None and self.info._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                        class Cac(object):
                                                                            """
                                                                            cac
                                                                            
                                                                            .. attribute:: cac_type
                                                                            
                                                                            	cac type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: flow_rate
                                                                            
                                                                            	flow rate
                                                                            	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                            
                                                                            .. attribute:: idle_timeout
                                                                            
                                                                            	idle timeout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: rate
                                                                            
                                                                            	rate
                                                                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.cac_type = None
                                                                                self.flow_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                                self.flow_rate.parent = self
                                                                                self.idle_timeout = None
                                                                                self.rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                                self.rate.parent = self


                                                                            class FlowRate(object):
                                                                                """
                                                                                flow rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                            class Rate(object):
                                                                                """
                                                                                rate
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.cac_type is not None:
                                                                                    return True

                                                                                if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                    return True

                                                                                if self.idle_timeout is not None:
                                                                                    return True

                                                                                if self.rate is not None and self.rate._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                        class Pfc(object):
                                                                            """
                                                                            pfc
                                                                            
                                                                            .. attribute:: buffer_size
                                                                            
                                                                            	buffer size
                                                                            	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                            
                                                                            .. attribute:: buffer_size_flag
                                                                            
                                                                            	buffer size flag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pause_threshold
                                                                            
                                                                            	pause threshold
                                                                            	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                            
                                                                            .. attribute:: pfc_pause_set
                                                                            
                                                                            	pfc pause set
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: resume_threshold
                                                                            
                                                                            	resume threshold
                                                                            	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.buffer_size = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                                self.buffer_size.parent = self
                                                                                self.buffer_size_flag = None
                                                                                self.pause_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                                self.pause_threshold.parent = self
                                                                                self.pfc_pause_set = None
                                                                                self.resume_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                                self.resume_threshold.parent = self


                                                                            class BufferSize(object):
                                                                                """
                                                                                buffer size
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                            class PauseThreshold(object):
                                                                                """
                                                                                pause threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                            class ResumeThreshold(object):
                                                                                """
                                                                                resume threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                    return True

                                                                                if self.buffer_size_flag is not None:
                                                                                    return True

                                                                                if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                    return True

                                                                                if self.pfc_pause_set is not None:
                                                                                    return True

                                                                                if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                        class FlowParm(object):
                                                                            """
                                                                            flow parm
                                                                            
                                                                            .. attribute:: flow_timeout
                                                                            
                                                                            	timeout in secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            .. attribute:: intvl_hist
                                                                            
                                                                            	num intervals of data stored on rtr
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_mon_flows
                                                                            
                                                                            	max simult flows monitored per policy class
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: mon_interval
                                                                            
                                                                            	monitored interval duration in secs
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flow_timeout = None
                                                                                self.intvl_hist = None
                                                                                self.max_mon_flows = None
                                                                                self.mon_interval = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flow_timeout is not None:
                                                                                    return True

                                                                                if self.intvl_hist is not None:
                                                                                    return True

                                                                                if self.max_mon_flows is not None:
                                                                                    return True

                                                                                if self.mon_interval is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                        class Ipcbr(object):
                                                                            """
                                                                            ipcbr
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: ip_bit_rate
                                                                            
                                                                            	data rate in bps
                                                                            	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                            
                                                                            .. attribute:: ip_pkt_rate
                                                                            
                                                                            	packet rate in pps
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: media_bit_rate
                                                                            
                                                                            	media data rate in bps
                                                                            	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                            
                                                                            .. attribute:: media_pkt_size
                                                                            
                                                                            	media packet size in bytes
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            	**units**\: byte
                                                                            
                                                                            .. attribute:: media_pkts_per_ip
                                                                            
                                                                            	media packets per ip pkt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                                self.ip_bit_rate.parent = self
                                                                                self.ip_pkt_rate = None
                                                                                self.media_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                                self.media_bit_rate.parent = self
                                                                                self.media_pkt_size = None
                                                                                self.media_pkts_per_ip = None


                                                                            class IpBitRate(object):
                                                                                """
                                                                                data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                            class MediaBitRate(object):
                                                                                """
                                                                                media data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                    return True

                                                                                if self.ip_pkt_rate is not None:
                                                                                    return True

                                                                                if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                    return True

                                                                                if self.media_pkt_size is not None:
                                                                                    return True

                                                                                if self.media_pkts_per_ip is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                        class Rtp(object):
                                                                            """
                                                                            rtp
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                        class RtpMmr(object):
                                                                            """
                                                                            rtp mmr
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                        class RtpJ2K(object):
                                                                            """
                                                                            rtp j2k
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                        class RtpVoice(object):
                                                                            """
                                                                            rtp voice
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: clock_rate
                                                                            
                                                                            	clock rate
                                                                            	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                            
                                                                            .. attribute:: max_dropout
                                                                            
                                                                            	max dropout
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: max_misorder
                                                                            
                                                                            	max misorder
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: min_sequential
                                                                            
                                                                            	min sequential
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: seq_ext_cop4
                                                                            
                                                                            	enable seq extension cop4
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.clock_rate = YList()
                                                                                self.clock_rate.parent = self
                                                                                self.clock_rate.name = 'clock_rate'
                                                                                self.max_dropout = None
                                                                                self.max_misorder = None
                                                                                self.min_sequential = None
                                                                                self.seq_ext_cop4 = None


                                                                            class ClockRate(object):
                                                                                """
                                                                                clock rate
                                                                                
                                                                                .. attribute:: frequency
                                                                                
                                                                                	frequency
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: pt
                                                                                
                                                                                	pt
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.frequency = None
                                                                                    self.pt = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.frequency is not None:
                                                                                        return True

                                                                                    if self.pt is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.clock_rate is not None:
                                                                                    for child_ref in self.clock_rate:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                if self.max_dropout is not None:
                                                                                    return True

                                                                                if self.max_misorder is not None:
                                                                                    return True

                                                                                if self.min_sequential is not None:
                                                                                    return True

                                                                                if self.seq_ext_cop4 is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                        class Mdi(object):
                                                                            """
                                                                            mdi
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: filtered_pkt_rate
                                                                            
                                                                            	filtered packet rate
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: ip_bit_rate
                                                                            
                                                                            	data rate in bps
                                                                            	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                            
                                                                            .. attribute:: ip_pkt_rate
                                                                            
                                                                            	packet rate in pps
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pids
                                                                            
                                                                            	array of monitoredcd  pids
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.filtered_pkt_rate = None
                                                                                self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                                self.ip_bit_rate.parent = self
                                                                                self.ip_pkt_rate = None
                                                                                self.pids = YLeafList()
                                                                                self.pids.parent = self
                                                                                self.pids.name = 'pids'


                                                                            class IpBitRate(object):
                                                                                """
                                                                                data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.filtered_pkt_rate is not None:
                                                                                    return True

                                                                                if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                    return True

                                                                                if self.ip_pkt_rate is not None:
                                                                                    return True

                                                                                if self.pids is not None:
                                                                                    for child in self.pids:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                        class MdiRtp(object):
                                                                            """
                                                                            mdi rtp
                                                                            
                                                                            .. attribute:: action_metric_type
                                                                            
                                                                            	metric type
                                                                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                            
                                                                            .. attribute:: filtered_pkt_rate
                                                                            
                                                                            	filtered packet rate
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: ip_bit_rate
                                                                            
                                                                            	data rate in bps
                                                                            	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                            
                                                                            .. attribute:: ip_pkt_rate
                                                                            
                                                                            	packet rate in pps
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pids
                                                                            
                                                                            	array of monitoredcd  pids
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_metric_type = None
                                                                                self.filtered_pkt_rate = None
                                                                                self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                                self.ip_bit_rate.parent = self
                                                                                self.ip_pkt_rate = None
                                                                                self.pids = YLeafList()
                                                                                self.pids.parent = self
                                                                                self.pids.name = 'pids'


                                                                            class IpBitRate(object):
                                                                                """
                                                                                data rate in bps
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_metric_type is not None:
                                                                                    return True

                                                                                if self.filtered_pkt_rate is not None:
                                                                                    return True

                                                                                if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                    return True

                                                                                if self.ip_pkt_rate is not None:
                                                                                    return True

                                                                                if self.pids is not None:
                                                                                    for child in self.pids:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                        class Fmm(object):
                                                                            """
                                                                            fmm
                                                                            
                                                                            .. attribute:: fmm_name
                                                                            
                                                                            	flow monitor name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..33
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.fmm_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.fmm_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                        class Pbf(object):
                                                                            """
                                                                            pbf
                                                                            
                                                                            .. attribute:: action_pbf_info_array
                                                                            
                                                                            	action pbf info array
                                                                            	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_pbf_info_array = YList()
                                                                                self.action_pbf_info_array.parent = self
                                                                                self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                            class ActionPbfInfoArray(object):
                                                                                """
                                                                                action pbf info array
                                                                                
                                                                                .. attribute:: addr
                                                                                
                                                                                	v4 or v6 address
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: rt
                                                                                
                                                                                	route target
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                
                                                                                .. attribute:: rt_type
                                                                                
                                                                                	route target type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: vrf
                                                                                
                                                                                	vrf name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.addr = None
                                                                                    self.rt = None
                                                                                    self.rt_type = None
                                                                                    self.vrf = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.addr is not None:
                                                                                        return True

                                                                                    if self.rt is not None:
                                                                                        return True

                                                                                    if self.rt_type is not None:
                                                                                        return True

                                                                                    if self.vrf is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_pbf_info_array is not None:
                                                                                    for child_ref in self.action_pbf_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                        class Ipv4Nh(object):
                                                                            """
                                                                            ipv4 nh
                                                                            
                                                                            .. attribute:: action_ipv4_nh_info_array
                                                                            
                                                                            	action ipv4 nh info array
                                                                            	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_ipv4_nh_info_array = YList()
                                                                                self.action_ipv4_nh_info_array.parent = self
                                                                                self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                            class ActionIpv4NhInfoArray(object):
                                                                                """
                                                                                action ipv4 nh info array
                                                                                
                                                                                .. attribute:: nh_addr
                                                                                
                                                                                	nh addr
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: vrf_name
                                                                                
                                                                                	Vrf name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nh_addr = None
                                                                                    self.vrf_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nh_addr is not None:
                                                                                        return True

                                                                                    if self.vrf_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_ipv4_nh_info_array is not None:
                                                                                    for child_ref in self.action_ipv4_nh_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                        class Ipv6Nh(object):
                                                                            """
                                                                            ipv6 nh
                                                                            
                                                                            .. attribute:: action_ipv6_nh_info_array
                                                                            
                                                                            	action ipv6 nh info array
                                                                            	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.action_ipv6_nh_info_array = YList()
                                                                                self.action_ipv6_nh_info_array.parent = self
                                                                                self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                            class ActionIpv6NhInfoArray(object):
                                                                                """
                                                                                action ipv6 nh info array
                                                                                
                                                                                .. attribute:: nh_addr
                                                                                
                                                                                	IPV6 Address
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: vrf_name
                                                                                
                                                                                	Vrf name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nh_addr = None
                                                                                    self.vrf_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nh_addr is not None:
                                                                                        return True

                                                                                    if self.vrf_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.action_ipv6_nh_info_array is not None:
                                                                                    for child_ref in self.action_ipv6_nh_info_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                                return True

                                                                            if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                                return True

                                                                            if self.act_template is not None and self.act_template._has_data():
                                                                                return True

                                                                            if self.afm_react is not None and self.afm_react._has_data():
                                                                                return True

                                                                            if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                                return True

                                                                            if self.authorize_id is not None and self.authorize_id._has_data():
                                                                                return True

                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            if self.cac is not None and self.cac._has_data():
                                                                                return True

                                                                            if self.child_policy is not None and self.child_policy._has_data():
                                                                                return True

                                                                            if self.collect_id is not None and self.collect_id._has_data():
                                                                                return True

                                                                            if self.copy is not None and self.copy._has_data():
                                                                                return True

                                                                            if self.data_p is not None:
                                                                                return True

                                                                            if self.deact_template is not None and self.deact_template._has_data():
                                                                                return True

                                                                            if self.decode_id is not None and self.decode_id._has_data():
                                                                                return True

                                                                            if self.encap is not None and self.encap._has_data():
                                                                                return True

                                                                            if self.flow_parm is not None and self.flow_parm._has_data():
                                                                                return True

                                                                            if self.fmm is not None and self.fmm._has_data():
                                                                                return True

                                                                            if self.httpr is not None and self.httpr._has_data():
                                                                                return True

                                                                            if self.ipcbr is not None and self.ipcbr._has_data():
                                                                                return True

                                                                            if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                                return True

                                                                            if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                                return True

                                                                            if self.mark is not None and self.mark._has_data():
                                                                                return True

                                                                            if self.mark2 is not None and self.mark2._has_data():
                                                                                return True

                                                                            if self.mdi is not None and self.mdi._has_data():
                                                                                return True

                                                                            if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                                return True

                                                                            if self.min_bw is not None and self.min_bw._has_data():
                                                                                return True

                                                                            if self.out_intf is not None and self.out_intf._has_data():
                                                                                return True

                                                                            if self.pbf is not None and self.pbf._has_data():
                                                                                return True

                                                                            if self.pfc is not None and self.pfc._has_data():
                                                                                return True

                                                                            if self.police is not None and self.police._has_data():
                                                                                return True

                                                                            if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                                return True

                                                                            if self.prio is not None and self.prio._has_data():
                                                                                return True

                                                                            if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                                return True

                                                                            if self.punt is not None and self.punt._has_data():
                                                                                return True

                                                                            if self.qlimit is not None and self.qlimit._has_data():
                                                                                return True

                                                                            if self.query_ancp is not None and self.query_ancp._has_data():
                                                                                return True

                                                                            if self.redirect is not None and self.redirect._has_data():
                                                                                return True

                                                                            if self.rtp is not None and self.rtp._has_data():
                                                                                return True

                                                                            if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                                return True

                                                                            if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                                return True

                                                                            if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                                return True

                                                                            if self.serv_func is not None and self.serv_func._has_data():
                                                                                return True

                                                                            if self.set_timer is not None and self.set_timer._has_data():
                                                                                return True

                                                                            if self.sfrag is not None and self.sfrag._has_data():
                                                                                return True

                                                                            if self.shape is not None and self.shape._has_data():
                                                                                return True

                                                                            if self.stop_timer is not None and self.stop_timer._has_data():
                                                                                return True

                                                                            if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.wred is not None and self.wred._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.actp is not None and self.actp._has_data():
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.seq is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.policy_action_info_st is not None:
                                                                        for child_ref in self.policy_action_info_st:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.act_infop is not None and self.act_infop._has_data():
                                                                    return True

                                                                if self.cl_encode is not None and self.cl_encode._has_data():
                                                                    return True

                                                                if self.clmp_p is not None and self.clmp_p._has_data():
                                                                    return True

                                                                if self.ctype is not None:
                                                                    return True

                                                                if self.exe_strat is not None:
                                                                    return True

                                                                if self.flags is not None:
                                                                    return True

                                                                if self.num_actions is not None:
                                                                    return True

                                                                if self.policy_class_hd is not None:
                                                                    return True

                                                                if self.seq is not None:
                                                                    return True

                                                                if self.version is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.policy_class_info_bg is not None:
                                                                for child_ref in self.policy_class_info_bg:
                                                                    if child_ref._has_data():
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.avl_tree is not None:
                                                            return True

                                                        if self.class_infop is not None and self.class_infop._has_data():
                                                            return True

                                                        if self.cond_eval is not None:
                                                            return True

                                                        if self.event_type is not None:
                                                            return True

                                                        if self.flags is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.policy_event_info_bg is not None:
                                                        for child_ref in self.policy_event_info_bg:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.chk_sum is not None:
                                                    return True

                                                if self.class_dflt_hrchy_depth is not None:
                                                    return True

                                                if self.description is not None:
                                                    return True

                                                if self.event_infop is not None and self.event_infop._has_data():
                                                    return True

                                                if self.flags is not None:
                                                    return True

                                                if self.handle is not None:
                                                    return True

                                                if self.magic is not None:
                                                    return True

                                                if self.max_hierarchy is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.num_classes is not None:
                                                    return True

                                                if self.num_policy_class_info is not None:
                                                    return True

                                                if self.pclass_diff is not None:
                                                    return True

                                                if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                    return True

                                                if self.rateless_chk_sum is not None:
                                                    return True

                                                if self.table_id is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.sequence_num is None:
                                                raise YPYModelError('Key property sequence_num is None')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-seq-num[Cisco-IOS-XR-infra-policymgr-oper:sequence-num = ' + str(self.sequence_num) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.sequence_num is not None:
                                                return True

                                            if self.policy_map_bg is not None:
                                                for child_ref in self.policy_map_bg:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-seq-nums'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.class_seq_num is not None:
                                            for child_ref in self.class_seq_num:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums']['meta_info']


                                class Definition(object):
                                    """
                                    Transient Policy\-map type name
                                    
                                    .. attribute:: policy_map_bg
                                    
                                    	policy map bg
                                    	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_bg = YList()
                                        self.policy_map_bg.parent = self
                                        self.policy_map_bg.name = 'policy_map_bg'


                                    class PolicyMapBg(object):
                                        """
                                        policy map bg
                                        
                                        .. attribute:: chk_sum
                                        
                                        	MD5 checksum of the encoded class\-map bag
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: class_dflt_hrchy_depth
                                        
                                        	class dflt hrchy depth
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: description
                                        
                                        	description
                                        	**type**\:  str
                                        
                                        .. attribute:: event_infop
                                        
                                        	event infop
                                        	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop>`
                                        
                                        .. attribute:: flags
                                        
                                        	flags
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: handle
                                        
                                        	handle
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: magic
                                        
                                        	magic
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_hierarchy
                                        
                                        	max hierarchy
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: name
                                        
                                        	name
                                        	**type**\:  str
                                        
                                        	**length:** 0..65
                                        
                                        .. attribute:: num_classes
                                        
                                        	num classes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: num_policy_class_info
                                        
                                        	num policy class info
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pclass_diff
                                        
                                        	pclass diff
                                        	**type**\:  int
                                        
                                        	**range:** 0..18446744073709551615
                                        
                                        .. attribute:: pmap_var_list
                                        
                                        	pmap var list
                                        	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList>`
                                        
                                        .. attribute:: rateless_chk_sum
                                        
                                        	rateless chk sum
                                        	**type**\:  str
                                        
                                        	**length:** 0..16
                                        
                                        .. attribute:: table_id
                                        
                                        	table id
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: type
                                        
                                        	type
                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.chk_sum = None
                                            self.class_dflt_hrchy_depth = None
                                            self.description = None
                                            self.event_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop()
                                            self.event_infop.parent = self
                                            self.flags = None
                                            self.handle = None
                                            self.magic = None
                                            self.max_hierarchy = None
                                            self.name = None
                                            self.num_classes = None
                                            self.num_policy_class_info = None
                                            self.pclass_diff = None
                                            self.pmap_var_list = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList()
                                            self.pmap_var_list.parent = self
                                            self.rateless_chk_sum = None
                                            self.table_id = None
                                            self.type = None


                                        class PmapVarList(object):
                                            """
                                            pmap var list
                                            
                                            .. attribute:: offset
                                            
                                            	offset
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: pmap_var_list_arr
                                            
                                            	pmap var list arr
                                            	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.offset = YLeafList()
                                                self.offset.parent = self
                                                self.offset.name = 'offset'
                                                self.pmap_var_list_arr = YList()
                                                self.pmap_var_list_arr.parent = self
                                                self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                            class PmapVarListArr(object):
                                                """
                                                pmap var list arr
                                                
                                                .. attribute:: id
                                                
                                                	id
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: name
                                                
                                                	name
                                                	**type**\:  str
                                                
                                                	**length:** 0..32
                                                
                                                .. attribute:: val
                                                
                                                	val
                                                	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.name = None
                                                    self.val = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                    self.val.parent = self


                                                class Val(object):
                                                    """
                                                    val
                                                    
                                                    .. attribute:: class_name
                                                    
                                                    	class name
                                                    	**type**\:  str
                                                    
                                                    	**length:** 0..65
                                                    
                                                    .. attribute:: dscp_val
                                                    
                                                    	dscp val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: param_uint32_val
                                                    
                                                    	param uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: prec_val
                                                    
                                                    	prec val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: type
                                                    
                                                    	type
                                                    	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                    
                                                    .. attribute:: uint16_val
                                                    
                                                    	uint16 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: uint32_val
                                                    
                                                    	uint32 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: uint8_val
                                                    
                                                    	uint8 val
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.class_name = None
                                                        self.dscp_val = None
                                                        self.param_uint32_val = None
                                                        self.prec_val = None
                                                        self.type = None
                                                        self.uint16_val = None
                                                        self.uint32_val = None
                                                        self.uint8_val = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.class_name is not None:
                                                            return True

                                                        if self.dscp_val is not None:
                                                            return True

                                                        if self.param_uint32_val is not None:
                                                            return True

                                                        if self.prec_val is not None:
                                                            return True

                                                        if self.type is not None:
                                                            return True

                                                        if self.uint16_val is not None:
                                                            return True

                                                        if self.uint32_val is not None:
                                                            return True

                                                        if self.uint8_val is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.id is not None:
                                                        return True

                                                    if self.name is not None:
                                                        return True

                                                    if self.val is not None and self.val._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.offset is not None:
                                                    for child in self.offset:
                                                        if child is not None:
                                                            return True

                                                if self.pmap_var_list_arr is not None:
                                                    for child_ref in self.pmap_var_list_arr:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList']['meta_info']


                                        class EventInfop(object):
                                            """
                                            event infop
                                            
                                            .. attribute:: policy_event_info_bg
                                            
                                            	policy event info bg
                                            	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.policy_event_info_bg = YList()
                                                self.policy_event_info_bg.parent = self
                                                self.policy_event_info_bg.name = 'policy_event_info_bg'


                                            class PolicyEventInfoBg(object):
                                                """
                                                policy event info bg
                                                
                                                .. attribute:: avl_tree
                                                
                                                	avl tree
                                                	**type**\:  int
                                                
                                                	**range:** 0..18446744073709551615
                                                
                                                .. attribute:: class_infop
                                                
                                                	class infop
                                                	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                                
                                                .. attribute:: cond_eval
                                                
                                                	cond eval
                                                	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                                
                                                .. attribute:: event_type
                                                
                                                	event type
                                                	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                                
                                                .. attribute:: flags
                                                
                                                	flags
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.avl_tree = None
                                                    self.class_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                    self.class_infop.parent = self
                                                    self.cond_eval = None
                                                    self.event_type = None
                                                    self.flags = None


                                                class ClassInfop(object):
                                                    """
                                                    class infop
                                                    
                                                    .. attribute:: policy_class_info_bg
                                                    
                                                    	policy class info bg
                                                    	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.policy_class_info_bg = YList()
                                                        self.policy_class_info_bg.parent = self
                                                        self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                    class PolicyClassInfoBg(object):
                                                        """
                                                        policy class info bg
                                                        
                                                        .. attribute:: act_infop
                                                        
                                                        	act infop
                                                        	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                        
                                                        .. attribute:: cl_encode
                                                        
                                                        	cl encode
                                                        	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                        
                                                        .. attribute:: clmp_p
                                                        
                                                        	clmp p
                                                        	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                        
                                                        .. attribute:: ctype
                                                        
                                                        	ctype
                                                        	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                        
                                                        .. attribute:: exe_strat
                                                        
                                                        	exe strat
                                                        	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                        
                                                        .. attribute:: flags
                                                        
                                                        	flags
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: num_actions
                                                        
                                                        	num actions
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: policy_class_hd
                                                        
                                                        	policy class hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: seq
                                                        
                                                        	seq
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: version
                                                        
                                                        	version
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.act_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                            self.act_infop.parent = self
                                                            self.cl_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                            self.cl_encode.parent = self
                                                            self.clmp_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                            self.clmp_p.parent = self
                                                            self.ctype = None
                                                            self.exe_strat = None
                                                            self.flags = None
                                                            self.num_actions = None
                                                            self.policy_class_hd = None
                                                            self.seq = None
                                                            self.version = None


                                                        class ClEncode(object):
                                                            """
                                                            cl encode
                                                            
                                                            .. attribute:: class_name
                                                            
                                                            	class name
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: enc
                                                            
                                                            	enc
                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                            
                                                            .. attribute:: hd
                                                            
                                                            	hd
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..18446744073709551615
                                                            
                                                            .. attribute:: idx
                                                            
                                                            	idx
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..255
                                                            
                                                            .. attribute:: inline_cmap
                                                            
                                                            	inline cmap
                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_name = None
                                                                self.enc = None
                                                                self.hd = None
                                                                self.idx = None
                                                                self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                                self.inline_cmap.parent = self


                                                            class InlineCmap(object):
                                                                """
                                                                inline cmap
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Inline Class\-Map flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Inline Class\-Map Mode Match any/all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.flags = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_name is not None:
                                                                    return True

                                                                if self.enc is not None:
                                                                    return True

                                                                if self.hd is not None:
                                                                    return True

                                                                if self.idx is not None:
                                                                    return True

                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                        class ClmpP(object):
                                                            """
                                                            clmp p
                                                            
                                                            .. attribute:: class_map_bg
                                                            
                                                            	class map bg
                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.class_map_bg = YList()
                                                                self.class_map_bg.parent = self
                                                                self.class_map_bg.name = 'class_map_bg'


                                                            class ClassMapBg(object):
                                                                """
                                                                class map bg
                                                                
                                                                .. attribute:: chk_sum
                                                                
                                                                	MD5 checksum of the encoded class\-map bag
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..16
                                                                
                                                                .. attribute:: description
                                                                
                                                                	description
                                                                	**type**\:  str
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	Class\-Map Internal
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: magic
                                                                
                                                                	Magic number on top of class\-map bag
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_count
                                                                
                                                                	Number of Match infos
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: match_infop
                                                                
                                                                	Pointer to the first Match info
                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                                
                                                                .. attribute:: mode
                                                                
                                                                	Class\-Map Mode Match any/Match all
                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                
                                                                .. attribute:: name
                                                                
                                                                	Name of the class\-map
                                                                	**type**\:  str
                                                                
                                                                	**length:** 0..65
                                                                
                                                                .. attribute:: type
                                                                
                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.chk_sum = None
                                                                    self.description = None
                                                                    self.flags = None
                                                                    self.magic = None
                                                                    self.match_count = None
                                                                    self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                    self.match_infop.parent = self
                                                                    self.mode = None
                                                                    self.name = None
                                                                    self.type = None


                                                                class MatchInfop(object):
                                                                    """
                                                                    Pointer to the first Match info
                                                                    
                                                                    .. attribute:: class_match_info_st
                                                                    
                                                                    	class match info st
                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.class_match_info_st = YList()
                                                                        self.class_match_info_st.parent = self
                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                    class ClassMatchInfoSt(object):
                                                                        """
                                                                        class match info st
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	Flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: match_data
                                                                        
                                                                        	Match criteria
                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flags = None
                                                                            self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                            self.match_data.parent = self


                                                                        class MatchData(object):
                                                                            """
                                                                            Match criteria
                                                                            
                                                                            .. attribute:: access_interface
                                                                            
                                                                            	Access interface
                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                            
                                                                            .. attribute:: atm_clp
                                                                            
                                                                            	Match ATM CLP level
                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                            
                                                                            .. attribute:: auth_domain
                                                                            
                                                                            	Authenticated domain name
                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                            
                                                                            .. attribute:: auth_domain_regex
                                                                            
                                                                            	Authenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                            
                                                                            .. attribute:: auth_username
                                                                            
                                                                            	Authenticated User Name
                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                            
                                                                            .. attribute:: auth_username_regex
                                                                            
                                                                            	Authenticated User Name RegEx
                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                            
                                                                            .. attribute:: authen_status
                                                                            
                                                                            	Authentication Status
                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                            
                                                                            .. attribute:: avail_id
                                                                            
                                                                            	Available Identifiers
                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                            
                                                                            .. attribute:: circuit_id
                                                                            
                                                                            	Circuit ID
                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                            
                                                                            .. attribute:: circuit_id_regex
                                                                            
                                                                            	Circuit ID RegEx
                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                            
                                                                            .. attribute:: cos
                                                                            
                                                                            	Match CoS array
                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                            
                                                                            .. attribute:: cos_inr
                                                                            
                                                                            	Match inner header CoS
                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                            
                                                                            .. attribute:: dei
                                                                            
                                                                            	Match DEI Bit
                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                            
                                                                            .. attribute:: dei_inr
                                                                            
                                                                            	Match inner DEI Bit
                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                            
                                                                            .. attribute:: dhcp_client_id
                                                                            
                                                                            	Dhcp Client ID
                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                            
                                                                            .. attribute:: dhcp_client_id_regex
                                                                            
                                                                            	Dhcp Client ID RegEx
                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                            
                                                                            .. attribute:: discard_class
                                                                            
                                                                            	Match Discard Class array
                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                            
                                                                            .. attribute:: dnis
                                                                            
                                                                            	DNIS
                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                            
                                                                            .. attribute:: dnis_regex
                                                                            
                                                                            	DNIS Regular Expression
                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                            
                                                                            .. attribute:: domain
                                                                            
                                                                            	Domain Name
                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                            
                                                                            .. attribute:: domain_regex
                                                                            
                                                                            	Domain Regular Expression
                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                            
                                                                            .. attribute:: dscp
                                                                            
                                                                            	Match DSCP range array
                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv4
                                                                            
                                                                            	Destination Address IPV4
                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                            
                                                                            .. attribute:: dst_addr_ipv6
                                                                            
                                                                            	Destination Address IPV6
                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                            
                                                                            .. attribute:: dst_mac
                                                                            
                                                                            	Match Destination MAC address
                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                            
                                                                            .. attribute:: dst_port
                                                                            
                                                                            	Destination port
                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                            
                                                                            .. attribute:: ether_service_acl
                                                                            
                                                                            	Ethernet\-Services Access\-list
                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                            
                                                                            .. attribute:: ethertype
                                                                            
                                                                            	Ethernet type
                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                            
                                                                            .. attribute:: flow_key_data
                                                                            
                                                                            	Flow key structure
                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                            
                                                                            .. attribute:: flow_tag
                                                                            
                                                                            	Match flow\-tag array
                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                            
                                                                            .. attribute:: fr_de
                                                                            
                                                                            	Match FR DE value
                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                            
                                                                            .. attribute:: fr_dlci
                                                                            
                                                                            	Match FR DLCI range array
                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                            
                                                                            .. attribute:: fragment_type
                                                                            
                                                                            	Fragment type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: icmp_v4
                                                                            
                                                                            	Match ICMPV4 Protocol
                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                            
                                                                            .. attribute:: icmp_v6
                                                                            
                                                                            	Match ICMPV6 Protocol array
                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                            
                                                                            .. attribute:: icmpv4_code
                                                                            
                                                                            	Match ipv4 icmp code
                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                            
                                                                            .. attribute:: icmpv4_type
                                                                            
                                                                            	Match ipv4 icmp type
                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                            
                                                                            .. attribute:: icmpv6_code
                                                                            
                                                                            	Match ipv6 icmp code
                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                            
                                                                            .. attribute:: icmpv6_type
                                                                            
                                                                            	Match ipv6 icmp type
                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                            
                                                                            .. attribute:: input_interface
                                                                            
                                                                            	Input interface
                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                            
                                                                            .. attribute:: input_intfhdl
                                                                            
                                                                            	Input interface handle
                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                            
                                                                            .. attribute:: ipv4_acl
                                                                            
                                                                            	IPv4 Access\-list
                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                            
                                                                            .. attribute:: ipv4_dscp
                                                                            
                                                                            	IPv4 DSCP
                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                            
                                                                            .. attribute:: ipv4_packet_len
                                                                            
                                                                            	IPv4 packet length array
                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                            
                                                                            .. attribute:: ipv4_prec
                                                                            
                                                                            	IPv4 Precedence
                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                            
                                                                            .. attribute:: ipv6_acl
                                                                            
                                                                            	IPv6 Access\-list
                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                            
                                                                            .. attribute:: ipv6_dscp
                                                                            
                                                                            	IPv6 DSCP
                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                            
                                                                            .. attribute:: ipv6_packet_len
                                                                            
                                                                            	IPv6 packet length array
                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                            
                                                                            .. attribute:: ipv6_prec
                                                                            
                                                                            	IPv6 Precedence
                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                            
                                                                            .. attribute:: media_type
                                                                            
                                                                            	Media Type
                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                            
                                                                            .. attribute:: mlp_negotiated
                                                                            
                                                                            	MLP Negotiated
                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                            
                                                                            	MPLS Disposition IPv4 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                            
                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                            
                                                                            	MPLS Disposition IPv6 Access\-list
                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                            
                                                                            .. attribute:: mpls_exp
                                                                            
                                                                            	Match MPLS experimental topmost array
                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                            
                                                                            .. attribute:: mpls_exp_imp
                                                                            
                                                                            	Match MPLS experimental imposition array
                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                            
                                                                            .. attribute:: mpls_top_eos
                                                                            
                                                                            	MPLS Topmost EOS
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: mpls_top_label
                                                                            
                                                                            	MPLS Topmost LABEL
                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                            
                                                                            .. attribute:: nas_port
                                                                            
                                                                            	NAS Port
                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                            
                                                                            .. attribute:: packet_len
                                                                            
                                                                            	Match packet length array
                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                            
                                                                            .. attribute:: prec
                                                                            
                                                                            	Match Precedence array
                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                            
                                                                            .. attribute:: proto
                                                                            
                                                                            	Match Protocol array
                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                            
                                                                            .. attribute:: qos_group
                                                                            
                                                                            	Match QoS group array
                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                            
                                                                            .. attribute:: remote_id
                                                                            
                                                                            	Remote ID
                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                            
                                                                            .. attribute:: remote_id_regex
                                                                            
                                                                            	Remote ID RegEx
                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                            
                                                                            .. attribute:: service_name
                                                                            
                                                                            	Service Name
                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                            
                                                                            .. attribute:: service_name_regex
                                                                            
                                                                            	Service Name Regular Exp
                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                            
                                                                            .. attribute:: src_addr_ipv4
                                                                            
                                                                            	Source Address IPV4
                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                            
                                                                            .. attribute:: src_addr_ipv6
                                                                            
                                                                            	Source Address IPV6
                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                            
                                                                            .. attribute:: src_addr_mac
                                                                            
                                                                            	Source Address MAC
                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                            
                                                                            .. attribute:: src_mac
                                                                            
                                                                            	Match Source MAC address
                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                            
                                                                            .. attribute:: src_port
                                                                            
                                                                            	Source port
                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                            
                                                                            .. attribute:: subs_protocol
                                                                            
                                                                            	Protocol
                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                            
                                                                            .. attribute:: tcp_flag
                                                                            
                                                                            	Match tcp flag value
                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                            
                                                                            .. attribute:: timer
                                                                            
                                                                            	Timer
                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                            
                                                                            .. attribute:: timer_regexp
                                                                            
                                                                            	Timer Regular Expression
                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                            
                                                                            .. attribute:: traffic_class
                                                                            
                                                                            	Match Traffic class array
                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                            
                                                                            .. attribute:: tunnel_name
                                                                            
                                                                            	Tunnel Name
                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                            
                                                                            .. attribute:: tunnel_name_regex
                                                                            
                                                                            	Tunnel Name Regular Expression
                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                            
                                                                            .. attribute:: unauth_domain
                                                                            
                                                                            	Unauthenticated Domain Name
                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                            
                                                                            .. attribute:: unauth_domain_regex
                                                                            
                                                                            	Unauthenticated Domain Name RegEx
                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                            
                                                                            .. attribute:: unauth_username
                                                                            
                                                                            	Unauthenticated User Name
                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                            
                                                                            .. attribute:: unauth_username_regex
                                                                            
                                                                            	Unauthenticated User Name RegEx
                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                            
                                                                            .. attribute:: user_name
                                                                            
                                                                            	User Name
                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                            
                                                                            .. attribute:: user_name_regex
                                                                            
                                                                            	User Name Regular Expression
                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                            
                                                                            .. attribute:: vendor_id
                                                                            
                                                                            	Vendor ID
                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                            
                                                                            .. attribute:: vendor_id_regex
                                                                            
                                                                            	Vendor ID RegEx
                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                            
                                                                            .. attribute:: vlan
                                                                            
                                                                            	Match VLAN array
                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                            
                                                                            .. attribute:: vlan_inr
                                                                            
                                                                            	Match inner header VLAN range array
                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                self.access_interface.parent = self
                                                                                self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                self.atm_clp.parent = self
                                                                                self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                self.auth_domain.parent = self
                                                                                self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                self.auth_domain_regex.parent = self
                                                                                self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                self.auth_username.parent = self
                                                                                self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                self.auth_username_regex.parent = self
                                                                                self.authen_status = None
                                                                                self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                self.avail_id.parent = self
                                                                                self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                self.circuit_id.parent = self
                                                                                self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                self.circuit_id_regex.parent = self
                                                                                self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                self.cos.parent = self
                                                                                self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                self.cos_inr.parent = self
                                                                                self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                self.dei.parent = self
                                                                                self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                self.dei_inr.parent = self
                                                                                self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                self.dhcp_client_id.parent = self
                                                                                self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                self.dhcp_client_id_regex.parent = self
                                                                                self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                self.discard_class.parent = self
                                                                                self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                self.dnis.parent = self
                                                                                self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                self.dnis_regex.parent = self
                                                                                self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                self.domain.parent = self
                                                                                self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                self.domain_regex.parent = self
                                                                                self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                self.dscp.parent = self
                                                                                self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                self.dst_addr_ipv4.parent = self
                                                                                self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                self.dst_addr_ipv6.parent = self
                                                                                self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                self.dst_mac.parent = self
                                                                                self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                self.dst_port.parent = self
                                                                                self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                self.ether_service_acl.parent = self
                                                                                self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                self.ethertype.parent = self
                                                                                self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                self.flow_key_data.parent = self
                                                                                self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                self.flow_tag.parent = self
                                                                                self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                self.fr_de.parent = self
                                                                                self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                self.fr_dlci.parent = self
                                                                                self.fragment_type = None
                                                                                self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                self.icmp_v4.parent = self
                                                                                self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                self.icmp_v6.parent = self
                                                                                self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                self.icmpv4_code.parent = self
                                                                                self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                self.icmpv4_type.parent = self
                                                                                self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                self.icmpv6_code.parent = self
                                                                                self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                self.icmpv6_type.parent = self
                                                                                self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                self.input_interface.parent = self
                                                                                self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                self.input_intfhdl.parent = self
                                                                                self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                self.ipv4_acl.parent = self
                                                                                self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                self.ipv4_dscp.parent = self
                                                                                self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                self.ipv4_packet_len.parent = self
                                                                                self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                self.ipv4_prec.parent = self
                                                                                self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                self.ipv6_acl.parent = self
                                                                                self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                self.ipv6_dscp.parent = self
                                                                                self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                self.ipv6_packet_len.parent = self
                                                                                self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                self.ipv6_prec.parent = self
                                                                                self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                self.media_type.parent = self
                                                                                self.mlp_negotiated = None
                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                self.mpls_exp.parent = self
                                                                                self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                self.mpls_exp_imp.parent = self
                                                                                self.mpls_top_eos = None
                                                                                self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                self.mpls_top_label.parent = self
                                                                                self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                self.nas_port.parent = self
                                                                                self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                self.packet_len.parent = self
                                                                                self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                self.prec.parent = self
                                                                                self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                self.proto.parent = self
                                                                                self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                self.qos_group.parent = self
                                                                                self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                self.remote_id.parent = self
                                                                                self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                self.remote_id_regex.parent = self
                                                                                self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                self.service_name.parent = self
                                                                                self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                self.service_name_regex.parent = self
                                                                                self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                self.src_addr_ipv4.parent = self
                                                                                self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                self.src_addr_ipv6.parent = self
                                                                                self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                self.src_addr_mac.parent = self
                                                                                self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                self.src_mac.parent = self
                                                                                self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                self.src_port.parent = self
                                                                                self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                self.subs_protocol.parent = self
                                                                                self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                self.tcp_flag.parent = self
                                                                                self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                self.timer.parent = self
                                                                                self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                self.timer_regexp.parent = self
                                                                                self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                self.traffic_class.parent = self
                                                                                self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                self.tunnel_name.parent = self
                                                                                self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                self.tunnel_name_regex.parent = self
                                                                                self.type = None
                                                                                self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                self.unauth_domain.parent = self
                                                                                self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                self.unauth_domain_regex.parent = self
                                                                                self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                self.unauth_username.parent = self
                                                                                self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                self.unauth_username_regex.parent = self
                                                                                self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                self.user_name.parent = self
                                                                                self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                self.user_name_regex.parent = self
                                                                                self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                self.vendor_id.parent = self
                                                                                self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                self.vendor_id_regex.parent = self
                                                                                self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                self.vlan.parent = self
                                                                                self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                self.vlan_inr.parent = self


                                                                            class Ipv4Dscp(object):
                                                                                """
                                                                                IPv4 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                            class Ipv6Dscp(object):
                                                                                """
                                                                                IPv6 DSCP
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                            class Dscp(object):
                                                                                """
                                                                                Match DSCP range array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                            class Ipv4Prec(object):
                                                                                """
                                                                                IPv4 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                            class Ipv6Prec(object):
                                                                                """
                                                                                IPv6 Precedence
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                            class Prec(object):
                                                                                """
                                                                                Match Precedence array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                            class DiscardClass(object):
                                                                                """
                                                                                Match Discard Class array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                            class QosGroup(object):
                                                                                """
                                                                                Match QoS group array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                            class TrafficClass(object):
                                                                                """
                                                                                Match Traffic class array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                            class Proto(object):
                                                                                """
                                                                                Match Protocol array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                            class IcmpV4(object):
                                                                                """
                                                                                Match ICMPV4 Protocol
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                            class IcmpV6(object):
                                                                                """
                                                                                Match ICMPV6 Protocol array
                                                                                
                                                                                .. attribute:: code
                                                                                
                                                                                	Protocol code
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Protocol type
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.code = None
                                                                                    self.type = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.code is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                            class Ipv4PacketLen(object):
                                                                                """
                                                                                IPv4 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                            class Ipv6PacketLen(object):
                                                                                """
                                                                                IPv6 packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                            class PacketLen(object):
                                                                                """
                                                                                Match packet length array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                            class FlowTag(object):
                                                                                """
                                                                                Match flow\-tag array
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                            class TcpFlag(object):
                                                                                """
                                                                                Match tcp flag value
                                                                                
                                                                                .. attribute:: match_any
                                                                                
                                                                                	Match any TCP flag bit
                                                                                	**type**\:  bool
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	Value of TCP flag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.match_any = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.match_any is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                            class Icmpv4Type(object):
                                                                                """
                                                                                Match ipv4 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                            class Icmpv4Code(object):
                                                                                """
                                                                                Match ipv4 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                            class Icmpv6Type(object):
                                                                                """
                                                                                Match ipv6 icmp type
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                            class Icmpv6Code(object):
                                                                                """
                                                                                Match ipv6 icmp code
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                            class MplsExp(object):
                                                                                """
                                                                                Match MPLS experimental topmost array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                            class MplsExpImp(object):
                                                                                """
                                                                                Match MPLS experimental imposition array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                            class MplsDispIpv4Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                            class MplsDispIpv6Acl(object):
                                                                                """
                                                                                MPLS Disposition IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                            class MplsTopLabel(object):
                                                                                """
                                                                                MPLS Topmost LABEL
                                                                                
                                                                                .. attribute:: uint32_rng_array
                                                                                
                                                                                	uint32 rng array
                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint32_rng_array = YList()
                                                                                    self.uint32_rng_array.parent = self
                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                class Uint32_Rng_Array(object):
                                                                                    """
                                                                                    uint32 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint32_rng_array is not None:
                                                                                        for child_ref in self.uint32_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                            class Cos(object):
                                                                                """
                                                                                Match CoS array
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                            class CosInr(object):
                                                                                """
                                                                                Match inner header CoS
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                            class Dei(object):
                                                                                """
                                                                                Match DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                            class DeiInr(object):
                                                                                """
                                                                                Match inner DEI Bit
                                                                                
                                                                                .. attribute:: bit_value
                                                                                
                                                                                	Value of the DEI bit
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.bit_value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.bit_value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                            class Vlan(object):
                                                                                """
                                                                                Match VLAN array
                                                                                
                                                                                .. attribute:: vlan_id_array
                                                                                
                                                                                	vlan id array
                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.vlan_id_array = YList()
                                                                                    self.vlan_id_array.parent = self
                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                class VlanIdArray(object):
                                                                                    """
                                                                                    vlan id array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	VLAN mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.vlan_id_array is not None:
                                                                                        for child_ref in self.vlan_id_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                            class VlanInr(object):
                                                                                """
                                                                                Match inner header VLAN range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                            class FrDlci(object):
                                                                                """
                                                                                Match FR DLCI range array
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                            class SrcMac(object):
                                                                                """
                                                                                Match Source MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                            class DstMac(object):
                                                                                """
                                                                                Match Destination MAC address
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                            class AtmClp(object):
                                                                                """
                                                                                Match ATM CLP level
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                            class FrDe(object):
                                                                                """
                                                                                Match FR DE value
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                            class Ipv4Acl(object):
                                                                                """
                                                                                IPv4 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                            class Ipv6Acl(object):
                                                                                """
                                                                                IPv6 Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                            class EtherServiceAcl(object):
                                                                                """
                                                                                Ethernet\-Services Access\-list
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                            class AvailId(object):
                                                                                """
                                                                                Available Identifiers
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                            class MediaType(object):
                                                                                """
                                                                                Media Type
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                            class SubsProtocol(object):
                                                                                """
                                                                                Protocol
                                                                                
                                                                                .. attribute:: uint8_array
                                                                                
                                                                                	uint8 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_array = YLeafList()
                                                                                    self.uint8_array.parent = self
                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_array is not None:
                                                                                        for child in self.uint8_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                            class Dnis(object):
                                                                                """
                                                                                DNIS
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                            class DnisRegex(object):
                                                                                """
                                                                                DNIS Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                            class Domain(object):
                                                                                """
                                                                                Domain Name
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                            class DomainRegex(object):
                                                                                """
                                                                                Domain Regular Expression
                                                                                
                                                                                .. attribute:: domain_array
                                                                                
                                                                                	domain array
                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_array = YList()
                                                                                    self.domain_array.parent = self
                                                                                    self.domain_array.name = 'domain_array'


                                                                                class DomainArray(object):
                                                                                    """
                                                                                    domain array
                                                                                    
                                                                                    .. attribute:: domain_name
                                                                                    
                                                                                    	domain name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    .. attribute:: format_name
                                                                                    
                                                                                    	format name
                                                                                    	**type**\:  str
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.domain_name = None
                                                                                        self.format_name = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.domain_name is not None:
                                                                                            return True

                                                                                        if self.format_name is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_array is not None:
                                                                                        for child_ref in self.domain_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                            class NasPort(object):
                                                                                """
                                                                                NAS Port
                                                                                
                                                                                .. attribute:: nas_port_array
                                                                                
                                                                                	nas port array
                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.nas_port_array = YList()
                                                                                    self.nas_port_array.parent = self
                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                class NasPortArray(object):
                                                                                    """
                                                                                    nas port array
                                                                                    
                                                                                    .. attribute:: operator
                                                                                    
                                                                                    	operator
                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                    
                                                                                    .. attribute:: sub_id
                                                                                    
                                                                                    	sub id
                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.operator = None
                                                                                        self.sub_id = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.operator is not None:
                                                                                            return True

                                                                                        if self.sub_id is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.nas_port_array is not None:
                                                                                        for child_ref in self.nas_port_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                            class ServiceName(object):
                                                                                """
                                                                                Service Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                            class ServiceNameRegex(object):
                                                                                """
                                                                                Service Name Regular Exp
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                            class SrcAddrIpv4(object):
                                                                                """
                                                                                Source Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                            class DstAddrIpv4(object):
                                                                                """
                                                                                Destination Address IPV4
                                                                                
                                                                                .. attribute:: ipv4_addr_array
                                                                                
                                                                                	ipv4 addr array
                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv4_addr_array = YList()
                                                                                    self.ipv4_addr_array.parent = self
                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                class Ipv4AddrArray(object):
                                                                                    """
                                                                                    ipv4 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	mask
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv4_addr_array is not None:
                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                            class SrcAddrIpv6(object):
                                                                                """
                                                                                Source Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                            class DstAddrIpv6(object):
                                                                                """
                                                                                Destination Address IPV6
                                                                                
                                                                                .. attribute:: ipv6_addr_array
                                                                                
                                                                                	ipv6 addr array
                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.ipv6_addr_array = YList()
                                                                                    self.ipv6_addr_array.parent = self
                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                class Ipv6AddrArray(object):
                                                                                    """
                                                                                    ipv6 addr array
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	IPV6 mask
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: prefix
                                                                                    
                                                                                    	IPV6 prefix
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mask = None
                                                                                        self.prefix = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mask is not None:
                                                                                            return True

                                                                                        if self.prefix is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.ipv6_addr_array is not None:
                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                            class SrcAddrMac(object):
                                                                                """
                                                                                Source Address MAC
                                                                                
                                                                                .. attribute:: mac_addr_array
                                                                                
                                                                                	mac addr array
                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr_array = YList()
                                                                                    self.mac_addr_array.parent = self
                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                class MacAddrArray(object):
                                                                                    """
                                                                                    mac addr array
                                                                                    
                                                                                    .. attribute:: mac_addr
                                                                                    
                                                                                    	MAC address
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: mask
                                                                                    
                                                                                    	MAC mask
                                                                                    	**type**\:  list of int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mac_addr = YLeafList()
                                                                                        self.mac_addr.parent = self
                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                        self.mask = YLeafList()
                                                                                        self.mask.parent = self
                                                                                        self.mask.name = 'mask'

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mac_addr is not None:
                                                                                            for child in self.mac_addr:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        if self.mask is not None:
                                                                                            for child in self.mask:
                                                                                                if child is not None:
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr_array is not None:
                                                                                        for child_ref in self.mac_addr_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                            class Timer(object):
                                                                                """
                                                                                Timer
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                            class TimerRegexp(object):
                                                                                """
                                                                                Timer Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                            class TunnelName(object):
                                                                                """
                                                                                Tunnel Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                            class TunnelNameRegex(object):
                                                                                """
                                                                                Tunnel Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                            class UserName(object):
                                                                                """
                                                                                User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                            class UserNameRegex(object):
                                                                                """
                                                                                User Name Regular Expression
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                            class AuthUsername(object):
                                                                                """
                                                                                Authenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                            class AuthUsernameRegex(object):
                                                                                """
                                                                                Authenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                            class UnauthUsername(object):
                                                                                """
                                                                                Unauthenticated User Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                            class UnauthUsernameRegex(object):
                                                                                """
                                                                                Unauthenticated User Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                            class AuthDomain(object):
                                                                                """
                                                                                Authenticated domain name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                            class AuthDomainRegex(object):
                                                                                """
                                                                                Authenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                            class UnauthDomain(object):
                                                                                """
                                                                                Unauthenticated Domain Name
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                            class UnauthDomainRegex(object):
                                                                                """
                                                                                Unauthenticated Domain Name RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                            class VendorId(object):
                                                                                """
                                                                                Vendor ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                            class VendorIdRegex(object):
                                                                                """
                                                                                Vendor ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                            class AccessInterface(object):
                                                                                """
                                                                                Access interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                            class InputInterface(object):
                                                                                """
                                                                                Input interface
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                            class InputIntfhdl(object):
                                                                                """
                                                                                Input interface handle
                                                                                
                                                                                .. attribute:: uint64_array
                                                                                
                                                                                	uint64 array
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..18446744073709551615
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint64_array = YLeafList()
                                                                                    self.uint64_array.parent = self
                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint64_array is not None:
                                                                                        for child in self.uint64_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                            class Ethertype(object):
                                                                                """
                                                                                Ethernet type
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                            class FlowKeyData(object):
                                                                                """
                                                                                Flow key structure
                                                                                
                                                                                .. attribute:: flow_keys
                                                                                
                                                                                	flow keys
                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                
                                                                                .. attribute:: idle_timeout
                                                                                
                                                                                	Idle timeout of flows (in seconds)
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                	**units**\: second
                                                                                
                                                                                .. attribute:: max_count
                                                                                
                                                                                	Maximum count of flows
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                    self.flow_keys.parent = self
                                                                                    self.idle_timeout = None
                                                                                    self.max_count = None


                                                                                class FlowKeys(object):
                                                                                    """
                                                                                    flow keys
                                                                                    
                                                                                    .. attribute:: keys
                                                                                    
                                                                                    	keys
                                                                                    	**type**\:  str
                                                                                    
                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                    
                                                                                    .. attribute:: num
                                                                                    
                                                                                    	num
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.keys = None
                                                                                        self.num = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.keys is not None:
                                                                                            return True

                                                                                        if self.num is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                        return True

                                                                                    if self.idle_timeout is not None:
                                                                                        return True

                                                                                    if self.max_count is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                            class DhcpClientId(object):
                                                                                """
                                                                                Dhcp Client ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                            class DhcpClientIdRegex(object):
                                                                                """
                                                                                Dhcp Client ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                            class CircuitId(object):
                                                                                """
                                                                                Circuit ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                            class CircuitIdRegex(object):
                                                                                """
                                                                                Circuit ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                            class RemoteId(object):
                                                                                """
                                                                                Remote ID
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                            class RemoteIdRegex(object):
                                                                                """
                                                                                Remote ID RegEx
                                                                                
                                                                                .. attribute:: string_array
                                                                                
                                                                                	string array
                                                                                	**type**\:  list of str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.string_array = YLeafList()
                                                                                    self.string_array.parent = self
                                                                                    self.string_array.name = 'string_array'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.string_array is not None:
                                                                                        for child in self.string_array:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                            class SrcPort(object):
                                                                                """
                                                                                Source port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                            class DstPort(object):
                                                                                """
                                                                                Destination port
                                                                                
                                                                                .. attribute:: uint16_rng_array
                                                                                
                                                                                	uint16 rng array
                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint16_rng_array = YList()
                                                                                    self.uint16_rng_array.parent = self
                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                class Uint16_Rng_Array(object):
                                                                                    """
                                                                                    uint16 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint16_rng_array is not None:
                                                                                        for child_ref in self.uint16_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                    return True

                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                    return True

                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                    return True

                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                    return True

                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                    return True

                                                                                if self.authen_status is not None:
                                                                                    return True

                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                    return True

                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                    return True

                                                                                if self.cos is not None and self.cos._has_data():
                                                                                    return True

                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                    return True

                                                                                if self.dei is not None and self.dei._has_data():
                                                                                    return True

                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                    return True

                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                    return True

                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                    return True

                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                    return True

                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                    return True

                                                                                if self.domain is not None and self.domain._has_data():
                                                                                    return True

                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                    return True

                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                    return True

                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                    return True

                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                    return True

                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                    return True

                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                    return True

                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                    return True

                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                    return True

                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                    return True

                                                                                if self.fragment_type is not None:
                                                                                    return True

                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                    return True

                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                    return True

                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                    return True

                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                    return True

                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                    return True

                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                    return True

                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                    return True

                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                    return True

                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                    return True

                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                    return True

                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                    return True

                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                    return True

                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                    return True

                                                                                if self.mlp_negotiated is not None:
                                                                                    return True

                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                    return True

                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                    return True

                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                    return True

                                                                                if self.mpls_top_eos is not None:
                                                                                    return True

                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                    return True

                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                    return True

                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                    return True

                                                                                if self.prec is not None and self.prec._has_data():
                                                                                    return True

                                                                                if self.proto is not None and self.proto._has_data():
                                                                                    return True

                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                    return True

                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                    return True

                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                    return True

                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                    return True

                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                    return True

                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                    return True

                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                    return True

                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                    return True

                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                    return True

                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                    return True

                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                    return True

                                                                                if self.timer is not None and self.timer._has_data():
                                                                                    return True

                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                    return True

                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                    return True

                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                    return True

                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                    return True

                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                    return True

                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                    return True

                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                    return True

                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                    return True

                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                    return True

                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                    return True

                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                    return True

                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                    return True

                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.class_match_info_st is not None:
                                                                            for child_ref in self.class_match_info_st:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.chk_sum is not None:
                                                                        return True

                                                                    if self.description is not None:
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.magic is not None:
                                                                        return True

                                                                    if self.match_count is not None:
                                                                        return True

                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                        return True

                                                                    if self.mode is not None:
                                                                        return True

                                                                    if self.name is not None:
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.class_map_bg is not None:
                                                                    for child_ref in self.class_map_bg:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                        class ActInfop(object):
                                                            """
                                                            act infop
                                                            
                                                            .. attribute:: policy_action_info_st
                                                            
                                                            	policy action info st
                                                            	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.policy_action_info_st = YList()
                                                                self.policy_action_info_st.parent = self
                                                                self.policy_action_info_st.name = 'policy_action_info_st'


                                                            class PolicyActionInfoSt(object):
                                                                """
                                                                policy action info st
                                                                
                                                                .. attribute:: actp
                                                                
                                                                	actp
                                                                	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                                
                                                                .. attribute:: flags
                                                                
                                                                	flags
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                .. attribute:: seq
                                                                
                                                                	seq
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..65535
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.actp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                    self.actp.parent = self
                                                                    self.flags = None
                                                                    self.seq = None


                                                                class Actp(object):
                                                                    """
                                                                    actp
                                                                    
                                                                    .. attribute:: accounting_event_aaa
                                                                    
                                                                    	accounting event aaa
                                                                    	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                    
                                                                    .. attribute:: acct_aaa_list
                                                                    
                                                                    	acct aaa list
                                                                    	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                    
                                                                    .. attribute:: act_template
                                                                    
                                                                    	act template
                                                                    	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                    
                                                                    .. attribute:: afm_react
                                                                    
                                                                    	afm react
                                                                    	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                    
                                                                    .. attribute:: authen_aaa
                                                                    
                                                                    	authen aaa
                                                                    	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                    
                                                                    .. attribute:: authorize_id
                                                                    
                                                                    	authorize id
                                                                    	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                    
                                                                    .. attribute:: cac
                                                                    
                                                                    	cac
                                                                    	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                    
                                                                    .. attribute:: child_policy
                                                                    
                                                                    	child policy
                                                                    	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                    
                                                                    .. attribute:: collect_id
                                                                    
                                                                    	collect id
                                                                    	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                    
                                                                    .. attribute:: copy
                                                                    
                                                                    	copy
                                                                    	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                    
                                                                    .. attribute:: data_p
                                                                    
                                                                    	data p
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: deact_template
                                                                    
                                                                    	deact template
                                                                    	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                    
                                                                    .. attribute:: decode_id
                                                                    
                                                                    	decode id
                                                                    	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                    
                                                                    .. attribute:: encap
                                                                    
                                                                    	encap
                                                                    	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                    
                                                                    .. attribute:: flow_parm
                                                                    
                                                                    	flow parm
                                                                    	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                    
                                                                    .. attribute:: fmm
                                                                    
                                                                    	fmm
                                                                    	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                    
                                                                    .. attribute:: httpr
                                                                    
                                                                    	httpr
                                                                    	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                    
                                                                    .. attribute:: ipcbr
                                                                    
                                                                    	ipcbr
                                                                    	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                    
                                                                    .. attribute:: ipv4_nh
                                                                    
                                                                    	ipv4 nh
                                                                    	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                    
                                                                    .. attribute:: ipv6_nh
                                                                    
                                                                    	ipv6 nh
                                                                    	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                    
                                                                    .. attribute:: mark
                                                                    
                                                                    	mark
                                                                    	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                    
                                                                    .. attribute:: mark2
                                                                    
                                                                    	mark2
                                                                    	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                    
                                                                    .. attribute:: mdi
                                                                    
                                                                    	mdi
                                                                    	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                    
                                                                    .. attribute:: mdi_rtp
                                                                    
                                                                    	mdi rtp
                                                                    	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                    
                                                                    .. attribute:: min_bw
                                                                    
                                                                    	min bw
                                                                    	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                    
                                                                    .. attribute:: out_intf
                                                                    
                                                                    	out intf
                                                                    	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                    
                                                                    .. attribute:: pbf
                                                                    
                                                                    	pbf
                                                                    	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                    
                                                                    .. attribute:: pfc
                                                                    
                                                                    	pfc
                                                                    	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                    
                                                                    .. attribute:: police
                                                                    
                                                                    	police
                                                                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                    
                                                                    .. attribute:: prepaid_cfg
                                                                    
                                                                    	prepaid cfg
                                                                    	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                    
                                                                    .. attribute:: prio
                                                                    
                                                                    	prio
                                                                    	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                    
                                                                    .. attribute:: proxy_aaa
                                                                    
                                                                    	proxy aaa
                                                                    	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                    
                                                                    .. attribute:: punt
                                                                    
                                                                    	punt
                                                                    	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                    
                                                                    .. attribute:: qlimit
                                                                    
                                                                    	qlimit
                                                                    	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                    
                                                                    .. attribute:: query_ancp
                                                                    
                                                                    	query ancp
                                                                    	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                    
                                                                    .. attribute:: redirect
                                                                    
                                                                    	redirect
                                                                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                    
                                                                    .. attribute:: rtp
                                                                    
                                                                    	rtp
                                                                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                    
                                                                    .. attribute:: rtp_j2k
                                                                    
                                                                    	rtp j2k
                                                                    	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                    
                                                                    .. attribute:: rtp_mmr
                                                                    
                                                                    	rtp mmr
                                                                    	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                    
                                                                    .. attribute:: rtp_voice
                                                                    
                                                                    	rtp voice
                                                                    	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                    
                                                                    .. attribute:: serv_func
                                                                    
                                                                    	serv func
                                                                    	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                    
                                                                    .. attribute:: set_timer
                                                                    
                                                                    	set timer
                                                                    	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                    
                                                                    .. attribute:: sfrag
                                                                    
                                                                    	sfrag
                                                                    	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                    
                                                                    .. attribute:: shape
                                                                    
                                                                    	shape
                                                                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                    
                                                                    .. attribute:: stop_timer
                                                                    
                                                                    	stop timer
                                                                    	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                    
                                                                    .. attribute:: timeout_idle
                                                                    
                                                                    	timeout idle
                                                                    	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: wred
                                                                    
                                                                    	wred
                                                                    	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.accounting_event_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                        self.accounting_event_aaa.parent = self
                                                                        self.acct_aaa_list = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                        self.acct_aaa_list.parent = self
                                                                        self.act_template = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                        self.act_template.parent = self
                                                                        self.afm_react = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                        self.afm_react.parent = self
                                                                        self.authen_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                        self.authen_aaa.parent = self
                                                                        self.authorize_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                        self.authorize_id.parent = self
                                                                        self.bwrem = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                        self.bwrem.parent = self
                                                                        self.cac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                        self.cac.parent = self
                                                                        self.child_policy = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                        self.child_policy.parent = self
                                                                        self.collect_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                        self.collect_id.parent = self
                                                                        self.copy = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                        self.copy.parent = self
                                                                        self.data_p = None
                                                                        self.deact_template = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                        self.deact_template.parent = self
                                                                        self.decode_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                        self.decode_id.parent = self
                                                                        self.encap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                        self.encap.parent = self
                                                                        self.flow_parm = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                        self.flow_parm.parent = self
                                                                        self.fmm = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                        self.fmm.parent = self
                                                                        self.httpr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                        self.httpr.parent = self
                                                                        self.ipcbr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                        self.ipcbr.parent = self
                                                                        self.ipv4_nh = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                        self.ipv4_nh.parent = self
                                                                        self.ipv6_nh = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                        self.ipv6_nh.parent = self
                                                                        self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                        self.mark.parent = self
                                                                        self.mark2 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                        self.mark2.parent = self
                                                                        self.mdi = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                        self.mdi.parent = self
                                                                        self.mdi_rtp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                        self.mdi_rtp.parent = self
                                                                        self.min_bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                        self.min_bw.parent = self
                                                                        self.out_intf = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                        self.out_intf.parent = self
                                                                        self.pbf = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                        self.pbf.parent = self
                                                                        self.pfc = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                        self.pfc.parent = self
                                                                        self.police = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                        self.police.parent = self
                                                                        self.prepaid_cfg = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                        self.prepaid_cfg.parent = self
                                                                        self.prio = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                        self.prio.parent = self
                                                                        self.proxy_aaa = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                        self.proxy_aaa.parent = self
                                                                        self.punt = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                        self.punt.parent = self
                                                                        self.qlimit = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                        self.qlimit.parent = self
                                                                        self.query_ancp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                        self.query_ancp.parent = self
                                                                        self.redirect = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                        self.redirect.parent = self
                                                                        self.rtp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                        self.rtp.parent = self
                                                                        self.rtp_j2k = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                        self.rtp_j2k.parent = self
                                                                        self.rtp_mmr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                        self.rtp_mmr.parent = self
                                                                        self.rtp_voice = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                        self.rtp_voice.parent = self
                                                                        self.serv_func = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                        self.serv_func.parent = self
                                                                        self.set_timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                        self.set_timer.parent = self
                                                                        self.sfrag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                        self.sfrag.parent = self
                                                                        self.shape = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                        self.shape.parent = self
                                                                        self.stop_timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                        self.stop_timer.parent = self
                                                                        self.timeout_idle = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                        self.timeout_idle.parent = self
                                                                        self.type = None
                                                                        self.wred = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                        self.wred.parent = self


                                                                    class Mark(object):
                                                                        """
                                                                        mark
                                                                        
                                                                        .. attribute:: action_mark_info
                                                                        
                                                                        	action mark info
                                                                        	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark_info = YList()
                                                                            self.action_mark_info.parent = self
                                                                            self.action_mark_info.name = 'action_mark_info'


                                                                        class ActionMarkInfo(object):
                                                                            """
                                                                            action mark info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark_info is not None:
                                                                                for child_ref in self.action_mark_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                    class Mark2(object):
                                                                        """
                                                                        mark2
                                                                        
                                                                        .. attribute:: action_mark2_info
                                                                        
                                                                        	action mark2 info
                                                                        	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_mark2_info = YList()
                                                                            self.action_mark2_info.parent = self
                                                                            self.action_mark2_info.name = 'action_mark2_info'


                                                                        class ActionMark2Info(object):
                                                                            """
                                                                            action mark2 info
                                                                            
                                                                            .. attribute:: mark_flags
                                                                            
                                                                            	mark flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: value_overflow
                                                                            
                                                                            	value overflow
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark_flags = None
                                                                                self.type = None
                                                                                self.value = None
                                                                                self.value_overflow = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                if self.value_overflow is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_mark2_info is not None:
                                                                                for child_ref in self.action_mark2_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                    class Wred(object):
                                                                        """
                                                                        wred
                                                                        
                                                                        .. attribute:: action_wred_info
                                                                        
                                                                        	action wred info
                                                                        	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_wred_info = YList()
                                                                            self.action_wred_info.parent = self
                                                                            self.action_wred_info.name = 'action_wred_info'


                                                                        class ActionWredInfo(object):
                                                                            """
                                                                            action wred info
                                                                            
                                                                            .. attribute:: match_ranges
                                                                            
                                                                            	match ranges
                                                                            	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                            
                                                                            .. attribute:: max_threshold
                                                                            
                                                                            	max threshold
                                                                            	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                            
                                                                            .. attribute:: min_threshold
                                                                            
                                                                            	min threshold
                                                                            	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                            
                                                                            .. attribute:: probability
                                                                            
                                                                            	probability
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	cos/prec/dscp/ based WRED
                                                                            	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                            
                                                                            .. attribute:: wred_flags
                                                                            
                                                                            	wred flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_ranges = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                                self.match_ranges.parent = self
                                                                                self.max_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                                self.max_threshold.parent = self
                                                                                self.min_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                                self.min_threshold.parent = self
                                                                                self.probability = None
                                                                                self.type = None
                                                                                self.wred_flags = None


                                                                            class MatchRanges(object):
                                                                                """
                                                                                match ranges
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                            class MinThreshold(object):
                                                                                """
                                                                                min threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                            class MaxThreshold(object):
                                                                                """
                                                                                max threshold
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                    return True

                                                                                if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                    return True

                                                                                if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                    return True

                                                                                if self.probability is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                if self.wred_flags is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_wred_info is not None:
                                                                                for child_ref in self.action_wred_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                    class Encap(object):
                                                                        """
                                                                        encap
                                                                        
                                                                        .. attribute:: seq
                                                                        
                                                                        	seq
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.seq = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.seq is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                    class Prio(object):
                                                                        """
                                                                        prio
                                                                        
                                                                        .. attribute:: prio_lvl
                                                                        
                                                                        	prio lvl
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prio_lvl = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prio_lvl is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                    class Bwrem(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: bwrem
                                                                        
                                                                        	bwrem
                                                                        	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bwrem = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                            self.bwrem.parent = self


                                                                        class Bwrem_(object):
                                                                            """
                                                                            bwrem
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bwrem is not None and self.bwrem._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                    class MinBw(object):
                                                                        """
                                                                        min bw
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                    class AuthenAaa(object):
                                                                        """
                                                                        authen aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: authen_password
                                                                        
                                                                        	authen password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.authen_password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.authen_password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                    class CollectId(object):
                                                                        """
                                                                        collect id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                    class DecodeId(object):
                                                                        """
                                                                        decode id
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.format_name = None
                                                                            self.id = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                    class SetTimer(object):
                                                                        """
                                                                        set timer
                                                                        
                                                                        .. attribute:: absolute_time
                                                                        
                                                                        	absolute time
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: duration
                                                                        
                                                                        	duration
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.absolute_time = None
                                                                            self.duration = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.absolute_time is not None:
                                                                                return True

                                                                            if self.duration is not None:
                                                                                return True

                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                    class StopTimer(object):
                                                                        """
                                                                        stop timer
                                                                        
                                                                        .. attribute:: timer_name
                                                                        
                                                                        	timer name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.timer_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.timer_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                    class AcctAaaList(object):
                                                                        """
                                                                        acct aaa list
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                    class QueryAncp(object):
                                                                        """
                                                                        query ancp
                                                                        
                                                                        .. attribute:: enable
                                                                        
                                                                        	enable
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enable = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enable is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                    class PrepaidCfg(object):
                                                                        """
                                                                        prepaid cfg
                                                                        
                                                                        .. attribute:: prepaid_config_profile_name
                                                                        
                                                                        	prepaid config profile name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.prepaid_config_profile_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.prepaid_config_profile_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                    class TimeoutIdle(object):
                                                                        """
                                                                        timeout idle
                                                                        
                                                                        .. attribute:: secs
                                                                        
                                                                        	secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.secs = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.secs is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                    class ProxyAaa(object):
                                                                        """
                                                                        proxy aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                    class ActTemplate(object):
                                                                        """
                                                                        act template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                    class DeactTemplate(object):
                                                                        """
                                                                        deact template
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: template_name
                                                                        
                                                                        	template name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.flags = None
                                                                            self.template_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.template_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                    class Qlimit(object):
                                                                        """
                                                                        qlimit
                                                                        
                                                                        .. attribute:: action_qlimit_info_array
                                                                        
                                                                        	action qlimit info array
                                                                        	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_qlimit_info_array = YList()
                                                                            self.action_qlimit_info_array.parent = self
                                                                            self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                        class ActionQlimitInfoArray(object):
                                                                            """
                                                                            action qlimit info array
                                                                            
                                                                            .. attribute:: atmclp_qlim
                                                                            
                                                                            	atmclp qlim
                                                                            	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                            
                                                                            .. attribute:: match_values
                                                                            
                                                                            	match values
                                                                            	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                            
                                                                            .. attribute:: qlim
                                                                            
                                                                            	qlim
                                                                            	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                            
                                                                            .. attribute:: qlimit_flags
                                                                            
                                                                            	qlimit flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.atmclp_qlim = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                                self.atmclp_qlim.parent = self
                                                                                self.match_values = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                                self.match_values.parent = self
                                                                                self.qlim = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                                self.qlim.parent = self
                                                                                self.qlimit_flags = None
                                                                                self.type = None


                                                                            class Qlim(object):
                                                                                """
                                                                                qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                            class AtmclpQlim(object):
                                                                                """
                                                                                atmclp qlim
                                                                                
                                                                                .. attribute:: unit
                                                                                
                                                                                	unit
                                                                                	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.unit = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.unit is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                            class MatchValues(object):
                                                                                """
                                                                                match values
                                                                                
                                                                                .. attribute:: uint8_rng_array
                                                                                
                                                                                	uint8 rng array
                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.uint8_rng_array = YList()
                                                                                    self.uint8_rng_array.parent = self
                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                class Uint8_Rng_Array(object):
                                                                                    """
                                                                                    uint8 rng array
                                                                                    
                                                                                    .. attribute:: max
                                                                                    
                                                                                    	Upper limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    .. attribute:: min
                                                                                    
                                                                                    	Lower limit of the range
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..255
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.max = None
                                                                                        self.min = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.max is not None:
                                                                                            return True

                                                                                        if self.min is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.uint8_rng_array is not None:
                                                                                        for child_ref in self.uint8_rng_array:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                    return True

                                                                                if self.match_values is not None and self.match_values._has_data():
                                                                                    return True

                                                                                if self.qlim is not None and self.qlim._has_data():
                                                                                    return True

                                                                                if self.qlimit_flags is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_qlimit_info_array is not None:
                                                                                for child_ref in self.action_qlimit_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                    class AccountingEventAaa(object):
                                                                        """
                                                                        accounting event aaa
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: action
                                                                        
                                                                        	action
                                                                        	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.action = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.action is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                    class AuthorizeId(object):
                                                                        """
                                                                        authorize id
                                                                        
                                                                        .. attribute:: aaa_list_name
                                                                        
                                                                        	aaa list name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: format_name
                                                                        
                                                                        	format name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: id
                                                                        
                                                                        	id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: password
                                                                        
                                                                        	password
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.aaa_list_name = None
                                                                            self.format_name = None
                                                                            self.id = None
                                                                            self.password = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.aaa_list_name is not None:
                                                                                return True

                                                                            if self.format_name is not None:
                                                                                return True

                                                                            if self.id is not None:
                                                                                return True

                                                                            if self.password is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                    class AfmReact(object):
                                                                        """
                                                                        afm react
                                                                        
                                                                        .. attribute:: action_afmon_react_info
                                                                        
                                                                        	action afmon react info
                                                                        	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_afmon_react_info = YList()
                                                                            self.action_afmon_react_info.parent = self
                                                                            self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                        class ActionAfmonReactInfo(object):
                                                                            """
                                                                            action afmon react info
                                                                            
                                                                            .. attribute:: alm_grp_thresh
                                                                            
                                                                            	Num/percent in grp
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: percentage
                                                                            
                                                                            .. attribute:: alm_severity
                                                                            
                                                                            	Major\|Minor\|... alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: alm_type
                                                                            
                                                                            	Discrete \| grouped alarm
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: clone_ifh
                                                                            
                                                                            	Clone interface handle
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: criterion
                                                                            
                                                                            	React Criterion
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	Describing the oper
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: notif_actns
                                                                            
                                                                            	Bitmap of actions on alert
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: oper_id
                                                                            
                                                                            	React Operation ID
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_level_1
                                                                            
                                                                            	Trigger threshold 1/lower
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_level_2
                                                                            
                                                                            	Trigger upper threshold for range
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: trig_num_intvls
                                                                            
                                                                            	Averaged over N intvls
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: trig_relop
                                                                            
                                                                            	Trigger LT\|LE\|GT\|GE\|Range
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: trig_type
                                                                            
                                                                            	Immediate or averaged thresh trigger
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.alm_grp_thresh = None
                                                                                self.alm_severity = None
                                                                                self.alm_type = None
                                                                                self.clone_ifh = None
                                                                                self.criterion = None
                                                                                self.description = None
                                                                                self.notif_actns = None
                                                                                self.oper_id = None
                                                                                self.trig_level_1 = None
                                                                                self.trig_level_2 = None
                                                                                self.trig_num_intvls = None
                                                                                self.trig_relop = None
                                                                                self.trig_type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.alm_grp_thresh is not None:
                                                                                    return True

                                                                                if self.alm_severity is not None:
                                                                                    return True

                                                                                if self.alm_type is not None:
                                                                                    return True

                                                                                if self.clone_ifh is not None:
                                                                                    return True

                                                                                if self.criterion is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.notif_actns is not None:
                                                                                    return True

                                                                                if self.oper_id is not None:
                                                                                    return True

                                                                                if self.trig_level_1 is not None:
                                                                                    return True

                                                                                if self.trig_level_2 is not None:
                                                                                    return True

                                                                                if self.trig_num_intvls is not None:
                                                                                    return True

                                                                                if self.trig_relop is not None:
                                                                                    return True

                                                                                if self.trig_type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_afmon_react_info is not None:
                                                                                for child_ref in self.action_afmon_react_info:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                    class Httpr(object):
                                                                        """
                                                                        httpr
                                                                        
                                                                        .. attribute:: redirect_url
                                                                        
                                                                        	redirect url
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.redirect_url = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.redirect_url is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                    class Punt(object):
                                                                        """
                                                                        punt
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                    class Copy(object):
                                                                        """
                                                                        copy
                                                                        
                                                                        .. attribute:: app_id
                                                                        
                                                                        	application ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: local_id
                                                                        
                                                                        	local ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: num_byte
                                                                        
                                                                        	number of bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: sn_index
                                                                        
                                                                        	service node index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: sn_name
                                                                        
                                                                        	service node url
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: sn_type
                                                                        
                                                                        	service node ID type
                                                                        	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                        
                                                                        .. attribute:: vsnode_type
                                                                        
                                                                        	vservice node type
                                                                        	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.app_id = None
                                                                            self.local_id = None
                                                                            self.num_byte = None
                                                                            self.sn_index = None
                                                                            self.sn_name = None
                                                                            self.sn_type = None
                                                                            self.vsnode_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.app_id is not None:
                                                                                return True

                                                                            if self.local_id is not None:
                                                                                return True

                                                                            if self.num_byte is not None:
                                                                                return True

                                                                            if self.sn_index is not None:
                                                                                return True

                                                                            if self.sn_name is not None:
                                                                                return True

                                                                            if self.sn_type is not None:
                                                                                return True

                                                                            if self.vsnode_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                    class Sfrag(object):
                                                                        """
                                                                        sfrag
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	Service Fragment Name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                    class Redirect(object):
                                                                        """
                                                                        redirect
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                    class OutIntf(object):
                                                                        """
                                                                        out intf
                                                                        
                                                                        .. attribute:: out_ifname
                                                                        
                                                                        	output interface name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.out_ifname = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.out_ifname is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                    class ServFunc(object):
                                                                        """
                                                                        serv func
                                                                        
                                                                        .. attribute:: meta_name
                                                                        
                                                                        	metadata name
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: path_id
                                                                        
                                                                        	service path id
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: service_index
                                                                        
                                                                        	service path index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vs_index
                                                                        
                                                                        	vservice index
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.meta_name = None
                                                                            self.path_id = None
                                                                            self.service_index = None
                                                                            self.vs_index = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.meta_name is not None:
                                                                                return True

                                                                            if self.path_id is not None:
                                                                                return True

                                                                            if self.service_index is not None:
                                                                                return True

                                                                            if self.vs_index is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                    class Police(object):
                                                                        """
                                                                        police
                                                                        
                                                                        .. attribute:: burst
                                                                        
                                                                        	burst
                                                                        	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                        
                                                                        .. attribute:: cdvt
                                                                        
                                                                        	cdvt
                                                                        	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                        
                                                                        .. attribute:: confclass_encode
                                                                        
                                                                        	confclass encode
                                                                        	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                        
                                                                        .. attribute:: confclass_p
                                                                        
                                                                        	confclass p
                                                                        	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                        
                                                                        .. attribute:: conform_actns
                                                                        
                                                                        	conform actns
                                                                        	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                        
                                                                        .. attribute:: excdclass_encode
                                                                        
                                                                        	excdclass encode
                                                                        	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                        
                                                                        .. attribute:: excdclass_p
                                                                        
                                                                        	excdclass p
                                                                        	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                        
                                                                        .. attribute:: exceed_actns
                                                                        
                                                                        	exceed actns
                                                                        	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                        
                                                                        .. attribute:: flags
                                                                        
                                                                        	flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: peak_burst
                                                                        
                                                                        	peak burst
                                                                        	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                        
                                                                        .. attribute:: peak_rate
                                                                        
                                                                        	peak rate
                                                                        	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                        
                                                                        .. attribute:: police_flags
                                                                        
                                                                        	police flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                        
                                                                        .. attribute:: sbuck_name
                                                                        
                                                                        	sbuck name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: sbuck_type
                                                                        
                                                                        	sbuck type
                                                                        	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                        
                                                                        .. attribute:: violate_actns
                                                                        
                                                                        	violate actns
                                                                        	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.burst = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                            self.burst.parent = self
                                                                            self.cdvt = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                            self.cdvt.parent = self
                                                                            self.confclass_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                            self.confclass_encode.parent = self
                                                                            self.confclass_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                            self.confclass_p.parent = self
                                                                            self.conform_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                            self.conform_actns.parent = self
                                                                            self.excdclass_encode = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                            self.excdclass_encode.parent = self
                                                                            self.excdclass_p = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                            self.excdclass_p.parent = self
                                                                            self.exceed_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                            self.exceed_actns.parent = self
                                                                            self.flags = None
                                                                            self.peak_burst = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                            self.peak_burst.parent = self
                                                                            self.peak_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                            self.peak_rate.parent = self
                                                                            self.police_flags = None
                                                                            self.rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                            self.rate.parent = self
                                                                            self.sbuck_name = None
                                                                            self.sbuck_type = None
                                                                            self.violate_actns = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                            self.violate_actns.parent = self


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                        class Burst(object):
                                                                            """
                                                                            burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                        class PeakRate(object):
                                                                            """
                                                                            peak rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                        class PeakBurst(object):
                                                                            """
                                                                            peak burst
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                        class Cdvt(object):
                                                                            """
                                                                            cdvt
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                        class ConformActns(object):
                                                                            """
                                                                            conform actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                        class ExceedActns(object):
                                                                            """
                                                                            exceed actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                        class ViolateActns(object):
                                                                            """
                                                                            violate actns
                                                                            
                                                                            .. attribute:: police_action_array
                                                                            
                                                                            	police action array
                                                                            	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.police_action_array = YList()
                                                                                self.police_action_array.parent = self
                                                                                self.police_action_array.name = 'police_action_array'


                                                                            class PoliceActionArray(object):
                                                                                """
                                                                                police action array
                                                                                
                                                                                .. attribute:: mark
                                                                                
                                                                                	mark
                                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                    self.mark.parent = self
                                                                                    self.type = None


                                                                                class Mark(object):
                                                                                    """
                                                                                    mark
                                                                                    
                                                                                    .. attribute:: mark_flags
                                                                                    
                                                                                    	mark flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: type
                                                                                    
                                                                                    	type
                                                                                    	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                    
                                                                                    .. attribute:: value
                                                                                    
                                                                                    	value
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..65535
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.mark_flags = None
                                                                                        self.type = None
                                                                                        self.value = None

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.mark_flags is not None:
                                                                                            return True

                                                                                        if self.type is not None:
                                                                                            return True

                                                                                        if self.value is not None:
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark is not None and self.mark._has_data():
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.police_action_array is not None:
                                                                                    for child_ref in self.police_action_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                        class ConfclassEncode(object):
                                                                            """
                                                                            confclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                        class ConfclassP(object):
                                                                            """
                                                                            confclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                        class ExcdclassEncode(object):
                                                                            """
                                                                            excdclass encode
                                                                            
                                                                            .. attribute:: class_name
                                                                            
                                                                            	class name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: enc
                                                                            
                                                                            	enc
                                                                            	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            .. attribute:: idx
                                                                            
                                                                            	idx
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: inline_cmap
                                                                            
                                                                            	inline cmap
                                                                            	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_name = None
                                                                                self.enc = None
                                                                                self.hd = None
                                                                                self.idx = None
                                                                                self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                                self.inline_cmap.parent = self


                                                                            class InlineCmap(object):
                                                                                """
                                                                                inline cmap
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Inline Class\-Map flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Inline Class\-Map Mode Match any/all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.flags = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_name is not None:
                                                                                    return True

                                                                                if self.enc is not None:
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                if self.idx is not None:
                                                                                    return True

                                                                                if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                        class ExcdclassP(object):
                                                                            """
                                                                            excdclass p
                                                                            
                                                                            .. attribute:: class_map_bg
                                                                            
                                                                            	class map bg
                                                                            	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.class_map_bg = YList()
                                                                                self.class_map_bg.parent = self
                                                                                self.class_map_bg.name = 'class_map_bg'


                                                                            class ClassMapBg(object):
                                                                                """
                                                                                class map bg
                                                                                
                                                                                .. attribute:: chk_sum
                                                                                
                                                                                	MD5 checksum of the encoded class\-map bag
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..16
                                                                                
                                                                                .. attribute:: description
                                                                                
                                                                                	description
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: flags
                                                                                
                                                                                	Class\-Map Internal
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: magic
                                                                                
                                                                                	Magic number on top of class\-map bag
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_count
                                                                                
                                                                                	Number of Match infos
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: match_infop
                                                                                
                                                                                	Pointer to the first Match info
                                                                                	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                                
                                                                                .. attribute:: mode
                                                                                
                                                                                	Class\-Map Mode Match any/Match all
                                                                                	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                                
                                                                                .. attribute:: name
                                                                                
                                                                                	Name of the class\-map
                                                                                	**type**\:  str
                                                                                
                                                                                	**length:** 0..65
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	Class\-Map Type QoS/PBR/Netflow/..
                                                                                	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.chk_sum = None
                                                                                    self.description = None
                                                                                    self.flags = None
                                                                                    self.magic = None
                                                                                    self.match_count = None
                                                                                    self.match_infop = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                    self.match_infop.parent = self
                                                                                    self.mode = None
                                                                                    self.name = None
                                                                                    self.type = None


                                                                                class MatchInfop(object):
                                                                                    """
                                                                                    Pointer to the first Match info
                                                                                    
                                                                                    .. attribute:: class_match_info_st
                                                                                    
                                                                                    	class match info st
                                                                                    	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.class_match_info_st = YList()
                                                                                        self.class_match_info_st.parent = self
                                                                                        self.class_match_info_st.name = 'class_match_info_st'


                                                                                    class ClassMatchInfoSt(object):
                                                                                        """
                                                                                        class match info st
                                                                                        
                                                                                        .. attribute:: flags
                                                                                        
                                                                                        	Flags
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..4294967295
                                                                                        
                                                                                        .. attribute:: match_data
                                                                                        
                                                                                        	Match criteria
                                                                                        	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.flags = None
                                                                                            self.match_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                            self.match_data.parent = self


                                                                                        class MatchData(object):
                                                                                            """
                                                                                            Match criteria
                                                                                            
                                                                                            .. attribute:: access_interface
                                                                                            
                                                                                            	Access interface
                                                                                            	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                            
                                                                                            .. attribute:: atm_clp
                                                                                            
                                                                                            	Match ATM CLP level
                                                                                            	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                            
                                                                                            .. attribute:: auth_domain
                                                                                            
                                                                                            	Authenticated domain name
                                                                                            	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                            
                                                                                            .. attribute:: auth_domain_regex
                                                                                            
                                                                                            	Authenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: auth_username
                                                                                            
                                                                                            	Authenticated User Name
                                                                                            	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                            
                                                                                            .. attribute:: auth_username_regex
                                                                                            
                                                                                            	Authenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: authen_status
                                                                                            
                                                                                            	Authentication Status
                                                                                            	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                            
                                                                                            .. attribute:: avail_id
                                                                                            
                                                                                            	Available Identifiers
                                                                                            	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                            
                                                                                            .. attribute:: circuit_id
                                                                                            
                                                                                            	Circuit ID
                                                                                            	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                            
                                                                                            .. attribute:: circuit_id_regex
                                                                                            
                                                                                            	Circuit ID RegEx
                                                                                            	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                            
                                                                                            .. attribute:: cos
                                                                                            
                                                                                            	Match CoS array
                                                                                            	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                            
                                                                                            .. attribute:: cos_inr
                                                                                            
                                                                                            	Match inner header CoS
                                                                                            	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                            
                                                                                            .. attribute:: dei
                                                                                            
                                                                                            	Match DEI Bit
                                                                                            	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                            
                                                                                            .. attribute:: dei_inr
                                                                                            
                                                                                            	Match inner DEI Bit
                                                                                            	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id
                                                                                            
                                                                                            	Dhcp Client ID
                                                                                            	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                            
                                                                                            .. attribute:: dhcp_client_id_regex
                                                                                            
                                                                                            	Dhcp Client ID RegEx
                                                                                            	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                            
                                                                                            .. attribute:: discard_class
                                                                                            
                                                                                            	Match Discard Class array
                                                                                            	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                            
                                                                                            .. attribute:: dnis
                                                                                            
                                                                                            	DNIS
                                                                                            	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                            
                                                                                            .. attribute:: dnis_regex
                                                                                            
                                                                                            	DNIS Regular Expression
                                                                                            	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                            
                                                                                            .. attribute:: domain
                                                                                            
                                                                                            	Domain Name
                                                                                            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                            
                                                                                            .. attribute:: domain_regex
                                                                                            
                                                                                            	Domain Regular Expression
                                                                                            	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                            
                                                                                            .. attribute:: dscp
                                                                                            
                                                                                            	Match DSCP range array
                                                                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv4
                                                                                            
                                                                                            	Destination Address IPV4
                                                                                            	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: dst_addr_ipv6
                                                                                            
                                                                                            	Destination Address IPV6
                                                                                            	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: dst_mac
                                                                                            
                                                                                            	Match Destination MAC address
                                                                                            	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                            
                                                                                            .. attribute:: dst_port
                                                                                            
                                                                                            	Destination port
                                                                                            	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                            
                                                                                            .. attribute:: ether_service_acl
                                                                                            
                                                                                            	Ethernet\-Services Access\-list
                                                                                            	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                            
                                                                                            .. attribute:: ethertype
                                                                                            
                                                                                            	Ethernet type
                                                                                            	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                            
                                                                                            .. attribute:: flow_key_data
                                                                                            
                                                                                            	Flow key structure
                                                                                            	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                            
                                                                                            .. attribute:: flow_tag
                                                                                            
                                                                                            	Match flow\-tag array
                                                                                            	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                            
                                                                                            .. attribute:: fr_de
                                                                                            
                                                                                            	Match FR DE value
                                                                                            	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                            
                                                                                            .. attribute:: fr_dlci
                                                                                            
                                                                                            	Match FR DLCI range array
                                                                                            	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                            
                                                                                            .. attribute:: fragment_type
                                                                                            
                                                                                            	Fragment type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: icmp_v4
                                                                                            
                                                                                            	Match ICMPV4 Protocol
                                                                                            	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                            
                                                                                            .. attribute:: icmp_v6
                                                                                            
                                                                                            	Match ICMPV6 Protocol array
                                                                                            	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                            
                                                                                            .. attribute:: icmpv4_code
                                                                                            
                                                                                            	Match ipv4 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                            
                                                                                            .. attribute:: icmpv4_type
                                                                                            
                                                                                            	Match ipv4 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                            
                                                                                            .. attribute:: icmpv6_code
                                                                                            
                                                                                            	Match ipv6 icmp code
                                                                                            	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                            
                                                                                            .. attribute:: icmpv6_type
                                                                                            
                                                                                            	Match ipv6 icmp type
                                                                                            	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                            
                                                                                            .. attribute:: input_interface
                                                                                            
                                                                                            	Input interface
                                                                                            	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                            
                                                                                            .. attribute:: input_intfhdl
                                                                                            
                                                                                            	Input interface handle
                                                                                            	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                            
                                                                                            .. attribute:: ipv4_acl
                                                                                            
                                                                                            	IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                            
                                                                                            .. attribute:: ipv4_dscp
                                                                                            
                                                                                            	IPv4 DSCP
                                                                                            	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv4_packet_len
                                                                                            
                                                                                            	IPv4 packet length array
                                                                                            	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv4_prec
                                                                                            
                                                                                            	IPv4 Precedence
                                                                                            	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                            
                                                                                            .. attribute:: ipv6_acl
                                                                                            
                                                                                            	IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                            
                                                                                            .. attribute:: ipv6_dscp
                                                                                            
                                                                                            	IPv6 DSCP
                                                                                            	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                            
                                                                                            .. attribute:: ipv6_packet_len
                                                                                            
                                                                                            	IPv6 packet length array
                                                                                            	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                            
                                                                                            .. attribute:: ipv6_prec
                                                                                            
                                                                                            	IPv6 Precedence
                                                                                            	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                            
                                                                                            .. attribute:: media_type
                                                                                            
                                                                                            	Media Type
                                                                                            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                            
                                                                                            .. attribute:: mlp_negotiated
                                                                                            
                                                                                            	MLP Negotiated
                                                                                            	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv4_acl
                                                                                            
                                                                                            	MPLS Disposition IPv4 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_disp_ipv6_acl
                                                                                            
                                                                                            	MPLS Disposition IPv6 Access\-list
                                                                                            	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                            
                                                                                            .. attribute:: mpls_exp
                                                                                            
                                                                                            	Match MPLS experimental topmost array
                                                                                            	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                            
                                                                                            .. attribute:: mpls_exp_imp
                                                                                            
                                                                                            	Match MPLS experimental imposition array
                                                                                            	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                            
                                                                                            .. attribute:: mpls_top_eos
                                                                                            
                                                                                            	MPLS Topmost EOS
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: mpls_top_label
                                                                                            
                                                                                            	MPLS Topmost LABEL
                                                                                            	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                            
                                                                                            .. attribute:: nas_port
                                                                                            
                                                                                            	NAS Port
                                                                                            	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                            
                                                                                            .. attribute:: packet_len
                                                                                            
                                                                                            	Match packet length array
                                                                                            	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                            
                                                                                            .. attribute:: prec
                                                                                            
                                                                                            	Match Precedence array
                                                                                            	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                            
                                                                                            .. attribute:: proto
                                                                                            
                                                                                            	Match Protocol array
                                                                                            	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                            
                                                                                            .. attribute:: qos_group
                                                                                            
                                                                                            	Match QoS group array
                                                                                            	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                            
                                                                                            .. attribute:: remote_id
                                                                                            
                                                                                            	Remote ID
                                                                                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                            
                                                                                            .. attribute:: remote_id_regex
                                                                                            
                                                                                            	Remote ID RegEx
                                                                                            	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                            
                                                                                            .. attribute:: service_name
                                                                                            
                                                                                            	Service Name
                                                                                            	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                            
                                                                                            .. attribute:: service_name_regex
                                                                                            
                                                                                            	Service Name Regular Exp
                                                                                            	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv4
                                                                                            
                                                                                            	Source Address IPV4
                                                                                            	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                            
                                                                                            .. attribute:: src_addr_ipv6
                                                                                            
                                                                                            	Source Address IPV6
                                                                                            	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                            
                                                                                            .. attribute:: src_addr_mac
                                                                                            
                                                                                            	Source Address MAC
                                                                                            	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                            
                                                                                            .. attribute:: src_mac
                                                                                            
                                                                                            	Match Source MAC address
                                                                                            	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                            
                                                                                            .. attribute:: src_port
                                                                                            
                                                                                            	Source port
                                                                                            	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                            
                                                                                            .. attribute:: subs_protocol
                                                                                            
                                                                                            	Protocol
                                                                                            	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                            
                                                                                            .. attribute:: tcp_flag
                                                                                            
                                                                                            	Match tcp flag value
                                                                                            	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                            
                                                                                            .. attribute:: timer
                                                                                            
                                                                                            	Timer
                                                                                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                            
                                                                                            .. attribute:: timer_regexp
                                                                                            
                                                                                            	Timer Regular Expression
                                                                                            	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                            
                                                                                            .. attribute:: traffic_class
                                                                                            
                                                                                            	Match Traffic class array
                                                                                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                            
                                                                                            .. attribute:: tunnel_name
                                                                                            
                                                                                            	Tunnel Name
                                                                                            	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                            
                                                                                            .. attribute:: tunnel_name_regex
                                                                                            
                                                                                            	Tunnel Name Regular Expression
                                                                                            	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	type
                                                                                            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                            
                                                                                            .. attribute:: unauth_domain
                                                                                            
                                                                                            	Unauthenticated Domain Name
                                                                                            	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                            
                                                                                            .. attribute:: unauth_domain_regex
                                                                                            
                                                                                            	Unauthenticated Domain Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                            
                                                                                            .. attribute:: unauth_username
                                                                                            
                                                                                            	Unauthenticated User Name
                                                                                            	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                            
                                                                                            .. attribute:: unauth_username_regex
                                                                                            
                                                                                            	Unauthenticated User Name RegEx
                                                                                            	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                            
                                                                                            .. attribute:: user_name
                                                                                            
                                                                                            	User Name
                                                                                            	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                            
                                                                                            .. attribute:: user_name_regex
                                                                                            
                                                                                            	User Name Regular Expression
                                                                                            	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                            
                                                                                            .. attribute:: vendor_id
                                                                                            
                                                                                            	Vendor ID
                                                                                            	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                            
                                                                                            .. attribute:: vendor_id_regex
                                                                                            
                                                                                            	Vendor ID RegEx
                                                                                            	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                            
                                                                                            .. attribute:: vlan
                                                                                            
                                                                                            	Match VLAN array
                                                                                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                            
                                                                                            .. attribute:: vlan_inr
                                                                                            
                                                                                            	Match inner header VLAN range array
                                                                                            	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.access_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                                self.access_interface.parent = self
                                                                                                self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                                self.atm_clp.parent = self
                                                                                                self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                                self.auth_domain.parent = self
                                                                                                self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                                self.auth_domain_regex.parent = self
                                                                                                self.auth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                                self.auth_username.parent = self
                                                                                                self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                                self.auth_username_regex.parent = self
                                                                                                self.authen_status = None
                                                                                                self.avail_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                                self.avail_id.parent = self
                                                                                                self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                                self.circuit_id.parent = self
                                                                                                self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                                self.circuit_id_regex.parent = self
                                                                                                self.cos = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                                self.cos.parent = self
                                                                                                self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                                self.cos_inr.parent = self
                                                                                                self.dei = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                                self.dei.parent = self
                                                                                                self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                                self.dei_inr.parent = self
                                                                                                self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                                self.dhcp_client_id.parent = self
                                                                                                self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                                self.dhcp_client_id_regex.parent = self
                                                                                                self.discard_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                                self.discard_class.parent = self
                                                                                                self.dnis = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                                self.dnis.parent = self
                                                                                                self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                                self.dnis_regex.parent = self
                                                                                                self.domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                                self.domain.parent = self
                                                                                                self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                                self.domain_regex.parent = self
                                                                                                self.dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                                self.dscp.parent = self
                                                                                                self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                                self.dst_addr_ipv4.parent = self
                                                                                                self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                                self.dst_addr_ipv6.parent = self
                                                                                                self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                                self.dst_mac.parent = self
                                                                                                self.dst_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                                self.dst_port.parent = self
                                                                                                self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                                self.ether_service_acl.parent = self
                                                                                                self.ethertype = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                                self.ethertype.parent = self
                                                                                                self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                                self.flow_key_data.parent = self
                                                                                                self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                                self.flow_tag.parent = self
                                                                                                self.fr_de = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                                self.fr_de.parent = self
                                                                                                self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                                self.fr_dlci.parent = self
                                                                                                self.fragment_type = None
                                                                                                self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                                self.icmp_v4.parent = self
                                                                                                self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                                self.icmp_v6.parent = self
                                                                                                self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                                self.icmpv4_code.parent = self
                                                                                                self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                                self.icmpv4_type.parent = self
                                                                                                self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                                self.icmpv6_code.parent = self
                                                                                                self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                                self.icmpv6_type.parent = self
                                                                                                self.input_interface = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                                self.input_interface.parent = self
                                                                                                self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                                self.input_intfhdl.parent = self
                                                                                                self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                                self.ipv4_acl.parent = self
                                                                                                self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                                self.ipv4_dscp.parent = self
                                                                                                self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                                self.ipv4_packet_len.parent = self
                                                                                                self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                                self.ipv4_prec.parent = self
                                                                                                self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                                self.ipv6_acl.parent = self
                                                                                                self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                                self.ipv6_dscp.parent = self
                                                                                                self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                                self.ipv6_packet_len.parent = self
                                                                                                self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                                self.ipv6_prec.parent = self
                                                                                                self.media_type = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                                self.media_type.parent = self
                                                                                                self.mlp_negotiated = None
                                                                                                self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                                self.mpls_disp_ipv4_acl.parent = self
                                                                                                self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                                self.mpls_disp_ipv6_acl.parent = self
                                                                                                self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                                self.mpls_exp.parent = self
                                                                                                self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                                self.mpls_exp_imp.parent = self
                                                                                                self.mpls_top_eos = None
                                                                                                self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                                self.mpls_top_label.parent = self
                                                                                                self.nas_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                                self.nas_port.parent = self
                                                                                                self.packet_len = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                                self.packet_len.parent = self
                                                                                                self.prec = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                                self.prec.parent = self
                                                                                                self.proto = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                                self.proto.parent = self
                                                                                                self.qos_group = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                                self.qos_group.parent = self
                                                                                                self.remote_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                                self.remote_id.parent = self
                                                                                                self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                                self.remote_id_regex.parent = self
                                                                                                self.service_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                                self.service_name.parent = self
                                                                                                self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                                self.service_name_regex.parent = self
                                                                                                self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                                self.src_addr_ipv4.parent = self
                                                                                                self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                                self.src_addr_ipv6.parent = self
                                                                                                self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                                self.src_addr_mac.parent = self
                                                                                                self.src_mac = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                                self.src_mac.parent = self
                                                                                                self.src_port = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                                self.src_port.parent = self
                                                                                                self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                                self.subs_protocol.parent = self
                                                                                                self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                                self.tcp_flag.parent = self
                                                                                                self.timer = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                                self.timer.parent = self
                                                                                                self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                                self.timer_regexp.parent = self
                                                                                                self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                                self.traffic_class.parent = self
                                                                                                self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                                self.tunnel_name.parent = self
                                                                                                self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                                self.tunnel_name_regex.parent = self
                                                                                                self.type = None
                                                                                                self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                                self.unauth_domain.parent = self
                                                                                                self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                                self.unauth_domain_regex.parent = self
                                                                                                self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                                self.unauth_username.parent = self
                                                                                                self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                                self.unauth_username_regex.parent = self
                                                                                                self.user_name = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                                self.user_name.parent = self
                                                                                                self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                                self.user_name_regex.parent = self
                                                                                                self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                                self.vendor_id.parent = self
                                                                                                self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                                self.vendor_id_regex.parent = self
                                                                                                self.vlan = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                                self.vlan.parent = self
                                                                                                self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                                self.vlan_inr.parent = self


                                                                                            class Ipv4Dscp(object):
                                                                                                """
                                                                                                IPv4 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                            class Ipv6Dscp(object):
                                                                                                """
                                                                                                IPv6 DSCP
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                            class Dscp(object):
                                                                                                """
                                                                                                Match DSCP range array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                            class Ipv4Prec(object):
                                                                                                """
                                                                                                IPv4 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                            class Ipv6Prec(object):
                                                                                                """
                                                                                                IPv6 Precedence
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                            class Prec(object):
                                                                                                """
                                                                                                Match Precedence array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                            class DiscardClass(object):
                                                                                                """
                                                                                                Match Discard Class array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                            class QosGroup(object):
                                                                                                """
                                                                                                Match QoS group array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                            class TrafficClass(object):
                                                                                                """
                                                                                                Match Traffic class array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                            class Proto(object):
                                                                                                """
                                                                                                Match Protocol array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                            class IcmpV4(object):
                                                                                                """
                                                                                                Match ICMPV4 Protocol
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                            class IcmpV6(object):
                                                                                                """
                                                                                                Match ICMPV6 Protocol array
                                                                                                
                                                                                                .. attribute:: code
                                                                                                
                                                                                                	Protocol code
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: type
                                                                                                
                                                                                                	Protocol type
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.code = None
                                                                                                    self.type = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.code is not None:
                                                                                                        return True

                                                                                                    if self.type is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                            class Ipv4PacketLen(object):
                                                                                                """
                                                                                                IPv4 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                            class Ipv6PacketLen(object):
                                                                                                """
                                                                                                IPv6 packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                            class PacketLen(object):
                                                                                                """
                                                                                                Match packet length array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                            class FlowTag(object):
                                                                                                """
                                                                                                Match flow\-tag array
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                            class TcpFlag(object):
                                                                                                """
                                                                                                Match tcp flag value
                                                                                                
                                                                                                .. attribute:: match_any
                                                                                                
                                                                                                	Match any TCP flag bit
                                                                                                	**type**\:  bool
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	Value of TCP flag
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.match_any = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.match_any is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                            class Icmpv4Type(object):
                                                                                                """
                                                                                                Match ipv4 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                            class Icmpv4Code(object):
                                                                                                """
                                                                                                Match ipv4 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                            class Icmpv6Type(object):
                                                                                                """
                                                                                                Match ipv6 icmp type
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                            class Icmpv6Code(object):
                                                                                                """
                                                                                                Match ipv6 icmp code
                                                                                                
                                                                                                .. attribute:: uint8_rng_array
                                                                                                
                                                                                                	uint8 rng array
                                                                                                	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_rng_array = YList()
                                                                                                    self.uint8_rng_array.parent = self
                                                                                                    self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                                class Uint8_Rng_Array(object):
                                                                                                    """
                                                                                                    uint8 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_rng_array is not None:
                                                                                                        for child_ref in self.uint8_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                            class MplsExp(object):
                                                                                                """
                                                                                                Match MPLS experimental topmost array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                            class MplsExpImp(object):
                                                                                                """
                                                                                                Match MPLS experimental imposition array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                            class MplsDispIpv4Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                            class MplsDispIpv6Acl(object):
                                                                                                """
                                                                                                MPLS Disposition IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                            class MplsTopLabel(object):
                                                                                                """
                                                                                                MPLS Topmost LABEL
                                                                                                
                                                                                                .. attribute:: uint32_rng_array
                                                                                                
                                                                                                	uint32 rng array
                                                                                                	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint32_rng_array = YList()
                                                                                                    self.uint32_rng_array.parent = self
                                                                                                    self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                                class Uint32_Rng_Array(object):
                                                                                                    """
                                                                                                    uint32 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint32_rng_array is not None:
                                                                                                        for child_ref in self.uint32_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                            class Cos(object):
                                                                                                """
                                                                                                Match CoS array
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                            class CosInr(object):
                                                                                                """
                                                                                                Match inner header CoS
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                            class Dei(object):
                                                                                                """
                                                                                                Match DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                            class DeiInr(object):
                                                                                                """
                                                                                                Match inner DEI Bit
                                                                                                
                                                                                                .. attribute:: bit_value
                                                                                                
                                                                                                	Value of the DEI bit
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.bit_value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.bit_value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                            class Vlan(object):
                                                                                                """
                                                                                                Match VLAN array
                                                                                                
                                                                                                .. attribute:: vlan_id_array
                                                                                                
                                                                                                	vlan id array
                                                                                                	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.vlan_id_array = YList()
                                                                                                    self.vlan_id_array.parent = self
                                                                                                    self.vlan_id_array.name = 'vlan_id_array'


                                                                                                class VlanIdArray(object):
                                                                                                    """
                                                                                                    vlan id array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	VLAN mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.vlan_id_array is not None:
                                                                                                        for child_ref in self.vlan_id_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                            class VlanInr(object):
                                                                                                """
                                                                                                Match inner header VLAN range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                            class FrDlci(object):
                                                                                                """
                                                                                                Match FR DLCI range array
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                            class SrcMac(object):
                                                                                                """
                                                                                                Match Source MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                            class DstMac(object):
                                                                                                """
                                                                                                Match Destination MAC address
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                            class AtmClp(object):
                                                                                                """
                                                                                                Match ATM CLP level
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                            class FrDe(object):
                                                                                                """
                                                                                                Match FR DE value
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                            class Ipv4Acl(object):
                                                                                                """
                                                                                                IPv4 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                            class Ipv6Acl(object):
                                                                                                """
                                                                                                IPv6 Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                            class EtherServiceAcl(object):
                                                                                                """
                                                                                                Ethernet\-Services Access\-list
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                            class AvailId(object):
                                                                                                """
                                                                                                Available Identifiers
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                            class MediaType(object):
                                                                                                """
                                                                                                Media Type
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                            class SubsProtocol(object):
                                                                                                """
                                                                                                Protocol
                                                                                                
                                                                                                .. attribute:: uint8_array
                                                                                                
                                                                                                	uint8 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint8_array = YLeafList()
                                                                                                    self.uint8_array.parent = self
                                                                                                    self.uint8_array.name = 'uint8_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint8_array is not None:
                                                                                                        for child in self.uint8_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                            class Dnis(object):
                                                                                                """
                                                                                                DNIS
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                            class DnisRegex(object):
                                                                                                """
                                                                                                DNIS Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                            class Domain(object):
                                                                                                """
                                                                                                Domain Name
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                            class DomainRegex(object):
                                                                                                """
                                                                                                Domain Regular Expression
                                                                                                
                                                                                                .. attribute:: domain_array
                                                                                                
                                                                                                	domain array
                                                                                                	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_array = YList()
                                                                                                    self.domain_array.parent = self
                                                                                                    self.domain_array.name = 'domain_array'


                                                                                                class DomainArray(object):
                                                                                                    """
                                                                                                    domain array
                                                                                                    
                                                                                                    .. attribute:: domain_name
                                                                                                    
                                                                                                    	domain name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    .. attribute:: format_name
                                                                                                    
                                                                                                    	format name
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.domain_name = None
                                                                                                        self.format_name = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.domain_name is not None:
                                                                                                            return True

                                                                                                        if self.format_name is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_array is not None:
                                                                                                        for child_ref in self.domain_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                            class NasPort(object):
                                                                                                """
                                                                                                NAS Port
                                                                                                
                                                                                                .. attribute:: nas_port_array
                                                                                                
                                                                                                	nas port array
                                                                                                	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.nas_port_array = YList()
                                                                                                    self.nas_port_array.parent = self
                                                                                                    self.nas_port_array.name = 'nas_port_array'


                                                                                                class NasPortArray(object):
                                                                                                    """
                                                                                                    nas port array
                                                                                                    
                                                                                                    .. attribute:: operator
                                                                                                    
                                                                                                    	operator
                                                                                                    	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                    
                                                                                                    .. attribute:: sub_id
                                                                                                    
                                                                                                    	sub id
                                                                                                    	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                    
                                                                                                    .. attribute:: value
                                                                                                    
                                                                                                    	value
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.operator = None
                                                                                                        self.sub_id = None
                                                                                                        self.value = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.operator is not None:
                                                                                                            return True

                                                                                                        if self.sub_id is not None:
                                                                                                            return True

                                                                                                        if self.value is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.nas_port_array is not None:
                                                                                                        for child_ref in self.nas_port_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                            class ServiceName(object):
                                                                                                """
                                                                                                Service Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                            class ServiceNameRegex(object):
                                                                                                """
                                                                                                Service Name Regular Exp
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                            class SrcAddrIpv4(object):
                                                                                                """
                                                                                                Source Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                            class DstAddrIpv4(object):
                                                                                                """
                                                                                                Destination Address IPV4
                                                                                                
                                                                                                .. attribute:: ipv4_addr_array
                                                                                                
                                                                                                	ipv4 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv4_addr_array = YList()
                                                                                                    self.ipv4_addr_array.parent = self
                                                                                                    self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                                class Ipv4AddrArray(object):
                                                                                                    """
                                                                                                    ipv4 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	mask
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv4_addr_array is not None:
                                                                                                        for child_ref in self.ipv4_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                            class SrcAddrIpv6(object):
                                                                                                """
                                                                                                Source Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                            class DstAddrIpv6(object):
                                                                                                """
                                                                                                Destination Address IPV6
                                                                                                
                                                                                                .. attribute:: ipv6_addr_array
                                                                                                
                                                                                                	ipv6 addr array
                                                                                                	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.ipv6_addr_array = YList()
                                                                                                    self.ipv6_addr_array.parent = self
                                                                                                    self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                                class Ipv6AddrArray(object):
                                                                                                    """
                                                                                                    ipv6 addr array
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	IPV6 mask
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..4294967295
                                                                                                    
                                                                                                    .. attribute:: prefix
                                                                                                    
                                                                                                    	IPV6 prefix
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mask = None
                                                                                                        self.prefix = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mask is not None:
                                                                                                            return True

                                                                                                        if self.prefix is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.ipv6_addr_array is not None:
                                                                                                        for child_ref in self.ipv6_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                            class SrcAddrMac(object):
                                                                                                """
                                                                                                Source Address MAC
                                                                                                
                                                                                                .. attribute:: mac_addr_array
                                                                                                
                                                                                                	mac addr array
                                                                                                	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr_array = YList()
                                                                                                    self.mac_addr_array.parent = self
                                                                                                    self.mac_addr_array.name = 'mac_addr_array'


                                                                                                class MacAddrArray(object):
                                                                                                    """
                                                                                                    mac addr array
                                                                                                    
                                                                                                    .. attribute:: mac_addr
                                                                                                    
                                                                                                    	MAC address
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: mask
                                                                                                    
                                                                                                    	MAC mask
                                                                                                    	**type**\:  list of int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.mac_addr = YLeafList()
                                                                                                        self.mac_addr.parent = self
                                                                                                        self.mac_addr.name = 'mac_addr'
                                                                                                        self.mask = YLeafList()
                                                                                                        self.mask.parent = self
                                                                                                        self.mask.name = 'mask'

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.mac_addr is not None:
                                                                                                            for child in self.mac_addr:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        if self.mask is not None:
                                                                                                            for child in self.mask:
                                                                                                                if child is not None:
                                                                                                                    return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr_array is not None:
                                                                                                        for child_ref in self.mac_addr_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                            class Timer(object):
                                                                                                """
                                                                                                Timer
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                            class TimerRegexp(object):
                                                                                                """
                                                                                                Timer Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                            class TunnelName(object):
                                                                                                """
                                                                                                Tunnel Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                            class TunnelNameRegex(object):
                                                                                                """
                                                                                                Tunnel Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                            class UserName(object):
                                                                                                """
                                                                                                User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                            class UserNameRegex(object):
                                                                                                """
                                                                                                User Name Regular Expression
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                            class AuthUsername(object):
                                                                                                """
                                                                                                Authenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                            class AuthUsernameRegex(object):
                                                                                                """
                                                                                                Authenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                            class UnauthUsername(object):
                                                                                                """
                                                                                                Unauthenticated User Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                            class UnauthUsernameRegex(object):
                                                                                                """
                                                                                                Unauthenticated User Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                            class AuthDomain(object):
                                                                                                """
                                                                                                Authenticated domain name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                            class AuthDomainRegex(object):
                                                                                                """
                                                                                                Authenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                            class UnauthDomain(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                            class UnauthDomainRegex(object):
                                                                                                """
                                                                                                Unauthenticated Domain Name RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                            class VendorId(object):
                                                                                                """
                                                                                                Vendor ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                            class VendorIdRegex(object):
                                                                                                """
                                                                                                Vendor ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                            class AccessInterface(object):
                                                                                                """
                                                                                                Access interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                            class InputInterface(object):
                                                                                                """
                                                                                                Input interface
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                            class InputIntfhdl(object):
                                                                                                """
                                                                                                Input interface handle
                                                                                                
                                                                                                .. attribute:: uint64_array
                                                                                                
                                                                                                	uint64 array
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..18446744073709551615
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint64_array = YLeafList()
                                                                                                    self.uint64_array.parent = self
                                                                                                    self.uint64_array.name = 'uint64_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint64_array is not None:
                                                                                                        for child in self.uint64_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                            class Ethertype(object):
                                                                                                """
                                                                                                Ethernet type
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                            class FlowKeyData(object):
                                                                                                """
                                                                                                Flow key structure
                                                                                                
                                                                                                .. attribute:: flow_keys
                                                                                                
                                                                                                	flow keys
                                                                                                	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                                
                                                                                                .. attribute:: idle_timeout
                                                                                                
                                                                                                	Idle timeout of flows (in seconds)
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                	**units**\: second
                                                                                                
                                                                                                .. attribute:: max_count
                                                                                                
                                                                                                	Maximum count of flows
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                    self.flow_keys.parent = self
                                                                                                    self.idle_timeout = None
                                                                                                    self.max_count = None


                                                                                                class FlowKeys(object):
                                                                                                    """
                                                                                                    flow keys
                                                                                                    
                                                                                                    .. attribute:: keys
                                                                                                    
                                                                                                    	keys
                                                                                                    	**type**\:  str
                                                                                                    
                                                                                                    	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                    
                                                                                                    .. attribute:: num
                                                                                                    
                                                                                                    	num
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..255
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.keys = None
                                                                                                        self.num = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.keys is not None:
                                                                                                            return True

                                                                                                        if self.num is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                        return True

                                                                                                    if self.idle_timeout is not None:
                                                                                                        return True

                                                                                                    if self.max_count is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                            class DhcpClientId(object):
                                                                                                """
                                                                                                Dhcp Client ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                            class DhcpClientIdRegex(object):
                                                                                                """
                                                                                                Dhcp Client ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                            class CircuitId(object):
                                                                                                """
                                                                                                Circuit ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                            class CircuitIdRegex(object):
                                                                                                """
                                                                                                Circuit ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                            class RemoteId(object):
                                                                                                """
                                                                                                Remote ID
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                            class RemoteIdRegex(object):
                                                                                                """
                                                                                                Remote ID RegEx
                                                                                                
                                                                                                .. attribute:: string_array
                                                                                                
                                                                                                	string array
                                                                                                	**type**\:  list of str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.string_array = YLeafList()
                                                                                                    self.string_array.parent = self
                                                                                                    self.string_array.name = 'string_array'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.string_array is not None:
                                                                                                        for child in self.string_array:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                            class SrcPort(object):
                                                                                                """
                                                                                                Source port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                            class DstPort(object):
                                                                                                """
                                                                                                Destination port
                                                                                                
                                                                                                .. attribute:: uint16_rng_array
                                                                                                
                                                                                                	uint16 rng array
                                                                                                	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.uint16_rng_array = YList()
                                                                                                    self.uint16_rng_array.parent = self
                                                                                                    self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                                class Uint16_Rng_Array(object):
                                                                                                    """
                                                                                                    uint16 rng array
                                                                                                    
                                                                                                    .. attribute:: max
                                                                                                    
                                                                                                    	Upper limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    .. attribute:: min
                                                                                                    
                                                                                                    	Lower limit of the range
                                                                                                    	**type**\:  int
                                                                                                    
                                                                                                    	**range:** 0..65535
                                                                                                    
                                                                                                    

                                                                                                    """

                                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                                    _revision = '2015-11-09'

                                                                                                    def __init__(self):
                                                                                                        self.parent = None
                                                                                                        self.max = None
                                                                                                        self.min = None

                                                                                                    @property
                                                                                                    def _common_path(self):
                                                                                                        if self.parent is None:
                                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                    def is_config(self):
                                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                                        return False

                                                                                                    def _has_data(self):
                                                                                                        if not self.is_config():
                                                                                                            return False
                                                                                                        if self.max is not None:
                                                                                                            return True

                                                                                                        if self.min is not None:
                                                                                                            return True

                                                                                                        return False

                                                                                                    @staticmethod
                                                                                                    def _meta_info():
                                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.uint16_rng_array is not None:
                                                                                                        for child_ref in self.uint16_rng_array:
                                                                                                            if child_ref._has_data():
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.access_interface is not None and self.access_interface._has_data():
                                                                                                    return True

                                                                                                if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                    return True

                                                                                                if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.auth_username is not None and self.auth_username._has_data():
                                                                                                    return True

                                                                                                if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.authen_status is not None:
                                                                                                    return True

                                                                                                if self.avail_id is not None and self.avail_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                    return True

                                                                                                if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.cos is not None and self.cos._has_data():
                                                                                                    return True

                                                                                                if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                    return True

                                                                                                if self.dei is not None and self.dei._has_data():
                                                                                                    return True

                                                                                                if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                    return True

                                                                                                if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.discard_class is not None and self.discard_class._has_data():
                                                                                                    return True

                                                                                                if self.dnis is not None and self.dnis._has_data():
                                                                                                    return True

                                                                                                if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                    return True

                                                                                                if self.domain is not None and self.domain._has_data():
                                                                                                    return True

                                                                                                if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.dscp is not None and self.dscp._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                    return True

                                                                                                if self.dst_port is not None and self.dst_port._has_data():
                                                                                                    return True

                                                                                                if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                    return True

                                                                                                if self.ethertype is not None and self.ethertype._has_data():
                                                                                                    return True

                                                                                                if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                    return True

                                                                                                if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                    return True

                                                                                                if self.fr_de is not None and self.fr_de._has_data():
                                                                                                    return True

                                                                                                if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                    return True

                                                                                                if self.fragment_type is not None:
                                                                                                    return True

                                                                                                if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                    return True

                                                                                                if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                    return True

                                                                                                if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                    return True

                                                                                                if self.input_interface is not None and self.input_interface._has_data():
                                                                                                    return True

                                                                                                if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                    return True

                                                                                                if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                    return True

                                                                                                if self.media_type is not None and self.media_type._has_data():
                                                                                                    return True

                                                                                                if self.mlp_negotiated is not None:
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                    return True

                                                                                                if self.mpls_top_eos is not None:
                                                                                                    return True

                                                                                                if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                    return True

                                                                                                if self.nas_port is not None and self.nas_port._has_data():
                                                                                                    return True

                                                                                                if self.packet_len is not None and self.packet_len._has_data():
                                                                                                    return True

                                                                                                if self.prec is not None and self.prec._has_data():
                                                                                                    return True

                                                                                                if self.proto is not None and self.proto._has_data():
                                                                                                    return True

                                                                                                if self.qos_group is not None and self.qos_group._has_data():
                                                                                                    return True

                                                                                                if self.remote_id is not None and self.remote_id._has_data():
                                                                                                    return True

                                                                                                if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.service_name is not None and self.service_name._has_data():
                                                                                                    return True

                                                                                                if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                    return True

                                                                                                if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_mac is not None and self.src_mac._has_data():
                                                                                                    return True

                                                                                                if self.src_port is not None and self.src_port._has_data():
                                                                                                    return True

                                                                                                if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                    return True

                                                                                                if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                    return True

                                                                                                if self.timer is not None and self.timer._has_data():
                                                                                                    return True

                                                                                                if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                    return True

                                                                                                if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                    return True

                                                                                                if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                    return True

                                                                                                if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                    return True

                                                                                                if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                    return True

                                                                                                if self.user_name is not None and self.user_name._has_data():
                                                                                                    return True

                                                                                                if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                    return True

                                                                                                if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                    return True

                                                                                                if self.vlan is not None and self.vlan._has_data():
                                                                                                    return True

                                                                                                if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.flags is not None:
                                                                                                return True

                                                                                            if self.match_data is not None and self.match_data._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.class_match_info_st is not None:
                                                                                            for child_ref in self.class_match_info_st:
                                                                                                if child_ref._has_data():
                                                                                                    return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.chk_sum is not None:
                                                                                        return True

                                                                                    if self.description is not None:
                                                                                        return True

                                                                                    if self.flags is not None:
                                                                                        return True

                                                                                    if self.magic is not None:
                                                                                        return True

                                                                                    if self.match_count is not None:
                                                                                        return True

                                                                                    if self.match_infop is not None and self.match_infop._has_data():
                                                                                        return True

                                                                                    if self.mode is not None:
                                                                                        return True

                                                                                    if self.name is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.class_map_bg is not None:
                                                                                    for child_ref in self.class_map_bg:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.burst is not None and self.burst._has_data():
                                                                                return True

                                                                            if self.cdvt is not None and self.cdvt._has_data():
                                                                                return True

                                                                            if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                                return True

                                                                            if self.confclass_p is not None and self.confclass_p._has_data():
                                                                                return True

                                                                            if self.conform_actns is not None and self.conform_actns._has_data():
                                                                                return True

                                                                            if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                                return True

                                                                            if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                                return True

                                                                            if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                                return True

                                                                            if self.flags is not None:
                                                                                return True

                                                                            if self.peak_burst is not None and self.peak_burst._has_data():
                                                                                return True

                                                                            if self.peak_rate is not None and self.peak_rate._has_data():
                                                                                return True

                                                                            if self.police_flags is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            if self.sbuck_name is not None:
                                                                                return True

                                                                            if self.sbuck_type is not None:
                                                                                return True

                                                                            if self.violate_actns is not None and self.violate_actns._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                    class Shape(object):
                                                                        """
                                                                        shape
                                                                        
                                                                        .. attribute:: be
                                                                        
                                                                        	be
                                                                        	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                        
                                                                        .. attribute:: bw
                                                                        
                                                                        	bw
                                                                        	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.be = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                            self.be.parent = self
                                                                            self.bw = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                            self.bw.parent = self


                                                                        class Bw(object):
                                                                            """
                                                                            bw
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                        class Be(object):
                                                                            """
                                                                            be
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.be is not None and self.be._has_data():
                                                                                return True

                                                                            if self.bw is not None and self.bw._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                    class ChildPolicy(object):
                                                                        """
                                                                        child policy
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd_info
                                                                        
                                                                        	hd info
                                                                        	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                        
                                                                        .. attribute:: info
                                                                        
                                                                        	info
                                                                        	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.enc = None
                                                                            self.hd_info = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                            self.hd_info.parent = self
                                                                            self.info = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                            self.info.parent = self


                                                                        class Info(object):
                                                                            """
                                                                            info
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	name
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.name = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                        class HdInfo(object):
                                                                            """
                                                                            hd info
                                                                            
                                                                            .. attribute:: data_hd
                                                                            
                                                                            	data hd
                                                                            	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                            
                                                                            .. attribute:: hd
                                                                            
                                                                            	hd
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.data_hd = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                                self.data_hd.parent = self
                                                                                self.hd = None


                                                                            class DataHd(object):
                                                                                """
                                                                                data hd
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.data_hd is not None and self.data_hd._has_data():
                                                                                    return True

                                                                                if self.hd is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd_info is not None and self.hd_info._has_data():
                                                                                return True

                                                                            if self.info is not None and self.info._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                    class Cac(object):
                                                                        """
                                                                        cac
                                                                        
                                                                        .. attribute:: cac_type
                                                                        
                                                                        	cac type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: flow_rate
                                                                        
                                                                        	flow rate
                                                                        	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                        
                                                                        .. attribute:: idle_timeout
                                                                        
                                                                        	idle timeout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        .. attribute:: rate
                                                                        
                                                                        	rate
                                                                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.cac_type = None
                                                                            self.flow_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                            self.flow_rate.parent = self
                                                                            self.idle_timeout = None
                                                                            self.rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                            self.rate.parent = self


                                                                        class FlowRate(object):
                                                                            """
                                                                            flow rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                        class Rate(object):
                                                                            """
                                                                            rate
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.cac_type is not None:
                                                                                return True

                                                                            if self.flow_rate is not None and self.flow_rate._has_data():
                                                                                return True

                                                                            if self.idle_timeout is not None:
                                                                                return True

                                                                            if self.rate is not None and self.rate._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                    class Pfc(object):
                                                                        """
                                                                        pfc
                                                                        
                                                                        .. attribute:: buffer_size
                                                                        
                                                                        	buffer size
                                                                        	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                        
                                                                        .. attribute:: buffer_size_flag
                                                                        
                                                                        	buffer size flag
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pause_threshold
                                                                        
                                                                        	pause threshold
                                                                        	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                        
                                                                        .. attribute:: pfc_pause_set
                                                                        
                                                                        	pfc pause set
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: resume_threshold
                                                                        
                                                                        	resume threshold
                                                                        	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.buffer_size = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                            self.buffer_size.parent = self
                                                                            self.buffer_size_flag = None
                                                                            self.pause_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                            self.pause_threshold.parent = self
                                                                            self.pfc_pause_set = None
                                                                            self.resume_threshold = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                            self.resume_threshold.parent = self


                                                                        class BufferSize(object):
                                                                            """
                                                                            buffer size
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                        class PauseThreshold(object):
                                                                            """
                                                                            pause threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                        class ResumeThreshold(object):
                                                                            """
                                                                            resume threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.buffer_size is not None and self.buffer_size._has_data():
                                                                                return True

                                                                            if self.buffer_size_flag is not None:
                                                                                return True

                                                                            if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                                return True

                                                                            if self.pfc_pause_set is not None:
                                                                                return True

                                                                            if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                    class FlowParm(object):
                                                                        """
                                                                        flow parm
                                                                        
                                                                        .. attribute:: flow_timeout
                                                                        
                                                                        	timeout in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        .. attribute:: intvl_hist
                                                                        
                                                                        	num intervals of data stored on rtr
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_mon_flows
                                                                        
                                                                        	max simult flows monitored per policy class
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: mon_interval
                                                                        
                                                                        	monitored interval duration in secs
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: second
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.flow_timeout = None
                                                                            self.intvl_hist = None
                                                                            self.max_mon_flows = None
                                                                            self.mon_interval = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.flow_timeout is not None:
                                                                                return True

                                                                            if self.intvl_hist is not None:
                                                                                return True

                                                                            if self.max_mon_flows is not None:
                                                                                return True

                                                                            if self.mon_interval is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                    class Ipcbr(object):
                                                                        """
                                                                        ipcbr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: media_bit_rate
                                                                        
                                                                        	media data rate in bps
                                                                        	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                        
                                                                        .. attribute:: media_pkt_size
                                                                        
                                                                        	media packet size in bytes
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        	**units**\: byte
                                                                        
                                                                        .. attribute:: media_pkts_per_ip
                                                                        
                                                                        	media packets per ip pkt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.media_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                            self.media_bit_rate.parent = self
                                                                            self.media_pkt_size = None
                                                                            self.media_pkts_per_ip = None


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                        class MediaBitRate(object):
                                                                            """
                                                                            media data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                                return True

                                                                            if self.media_pkt_size is not None:
                                                                                return True

                                                                            if self.media_pkts_per_ip is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                    class Rtp(object):
                                                                        """
                                                                        rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                    class RtpMmr(object):
                                                                        """
                                                                        rtp mmr
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                    class RtpJ2K(object):
                                                                        """
                                                                        rtp j2k
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                    class RtpVoice(object):
                                                                        """
                                                                        rtp voice
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: clock_rate
                                                                        
                                                                        	clock rate
                                                                        	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                        
                                                                        .. attribute:: max_dropout
                                                                        
                                                                        	max dropout
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: max_misorder
                                                                        
                                                                        	max misorder
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: min_sequential
                                                                        
                                                                        	min sequential
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: seq_ext_cop4
                                                                        
                                                                        	enable seq extension cop4
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.clock_rate = YList()
                                                                            self.clock_rate.parent = self
                                                                            self.clock_rate.name = 'clock_rate'
                                                                            self.max_dropout = None
                                                                            self.max_misorder = None
                                                                            self.min_sequential = None
                                                                            self.seq_ext_cop4 = None


                                                                        class ClockRate(object):
                                                                            """
                                                                            clock rate
                                                                            
                                                                            .. attribute:: frequency
                                                                            
                                                                            	frequency
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: pt
                                                                            
                                                                            	pt
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.frequency = None
                                                                                self.pt = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.frequency is not None:
                                                                                    return True

                                                                                if self.pt is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.clock_rate is not None:
                                                                                for child_ref in self.clock_rate:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            if self.max_dropout is not None:
                                                                                return True

                                                                            if self.max_misorder is not None:
                                                                                return True

                                                                            if self.min_sequential is not None:
                                                                                return True

                                                                            if self.seq_ext_cop4 is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                    class Mdi(object):
                                                                        """
                                                                        mdi
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                    class MdiRtp(object):
                                                                        """
                                                                        mdi rtp
                                                                        
                                                                        .. attribute:: action_metric_type
                                                                        
                                                                        	metric type
                                                                        	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                        
                                                                        .. attribute:: filtered_pkt_rate
                                                                        
                                                                        	filtered packet rate
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: ip_bit_rate
                                                                        
                                                                        	data rate in bps
                                                                        	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                        
                                                                        .. attribute:: ip_pkt_rate
                                                                        
                                                                        	packet rate in pps
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pids
                                                                        
                                                                        	array of monitoredcd  pids
                                                                        	**type**\:  list of int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_metric_type = None
                                                                            self.filtered_pkt_rate = None
                                                                            self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                            self.ip_bit_rate.parent = self
                                                                            self.ip_pkt_rate = None
                                                                            self.pids = YLeafList()
                                                                            self.pids.parent = self
                                                                            self.pids.name = 'pids'


                                                                        class IpBitRate(object):
                                                                            """
                                                                            data rate in bps
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_metric_type is not None:
                                                                                return True

                                                                            if self.filtered_pkt_rate is not None:
                                                                                return True

                                                                            if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                                return True

                                                                            if self.ip_pkt_rate is not None:
                                                                                return True

                                                                            if self.pids is not None:
                                                                                for child in self.pids:
                                                                                    if child is not None:
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                    class Fmm(object):
                                                                        """
                                                                        fmm
                                                                        
                                                                        .. attribute:: fmm_name
                                                                        
                                                                        	flow monitor name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..33
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.fmm_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.fmm_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                    class Pbf(object):
                                                                        """
                                                                        pbf
                                                                        
                                                                        .. attribute:: action_pbf_info_array
                                                                        
                                                                        	action pbf info array
                                                                        	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_pbf_info_array = YList()
                                                                            self.action_pbf_info_array.parent = self
                                                                            self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                        class ActionPbfInfoArray(object):
                                                                            """
                                                                            action pbf info array
                                                                            
                                                                            .. attribute:: addr
                                                                            
                                                                            	v4 or v6 address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: rt
                                                                            
                                                                            	route target
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                            
                                                                            .. attribute:: rt_type
                                                                            
                                                                            	route target type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: vrf
                                                                            
                                                                            	vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.addr = None
                                                                                self.rt = None
                                                                                self.rt_type = None
                                                                                self.vrf = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.addr is not None:
                                                                                    return True

                                                                                if self.rt is not None:
                                                                                    return True

                                                                                if self.rt_type is not None:
                                                                                    return True

                                                                                if self.vrf is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_pbf_info_array is not None:
                                                                                for child_ref in self.action_pbf_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                    class Ipv4Nh(object):
                                                                        """
                                                                        ipv4 nh
                                                                        
                                                                        .. attribute:: action_ipv4_nh_info_array
                                                                        
                                                                        	action ipv4 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv4_nh_info_array = YList()
                                                                            self.action_ipv4_nh_info_array.parent = self
                                                                            self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                        class ActionIpv4NhInfoArray(object):
                                                                            """
                                                                            action ipv4 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	nh addr
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv4_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv4_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                    class Ipv6Nh(object):
                                                                        """
                                                                        ipv6 nh
                                                                        
                                                                        .. attribute:: action_ipv6_nh_info_array
                                                                        
                                                                        	action ipv6 nh info array
                                                                        	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.action_ipv6_nh_info_array = YList()
                                                                            self.action_ipv6_nh_info_array.parent = self
                                                                            self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                        class ActionIpv6NhInfoArray(object):
                                                                            """
                                                                            action ipv6 nh info array
                                                                            
                                                                            .. attribute:: nh_addr
                                                                            
                                                                            	IPV6 Address
                                                                            	**type**\:  str
                                                                            
                                                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                            
                                                                            .. attribute:: vrf_name
                                                                            
                                                                            	Vrf name
                                                                            	**type**\:  str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nh_addr = None
                                                                                self.vrf_name = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nh_addr is not None:
                                                                                    return True

                                                                                if self.vrf_name is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.action_ipv6_nh_info_array is not None:
                                                                                for child_ref in self.action_ipv6_nh_info_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                            return True

                                                                        if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                            return True

                                                                        if self.act_template is not None and self.act_template._has_data():
                                                                            return True

                                                                        if self.afm_react is not None and self.afm_react._has_data():
                                                                            return True

                                                                        if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                            return True

                                                                        if self.authorize_id is not None and self.authorize_id._has_data():
                                                                            return True

                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        if self.cac is not None and self.cac._has_data():
                                                                            return True

                                                                        if self.child_policy is not None and self.child_policy._has_data():
                                                                            return True

                                                                        if self.collect_id is not None and self.collect_id._has_data():
                                                                            return True

                                                                        if self.copy is not None and self.copy._has_data():
                                                                            return True

                                                                        if self.data_p is not None:
                                                                            return True

                                                                        if self.deact_template is not None and self.deact_template._has_data():
                                                                            return True

                                                                        if self.decode_id is not None and self.decode_id._has_data():
                                                                            return True

                                                                        if self.encap is not None and self.encap._has_data():
                                                                            return True

                                                                        if self.flow_parm is not None and self.flow_parm._has_data():
                                                                            return True

                                                                        if self.fmm is not None and self.fmm._has_data():
                                                                            return True

                                                                        if self.httpr is not None and self.httpr._has_data():
                                                                            return True

                                                                        if self.ipcbr is not None and self.ipcbr._has_data():
                                                                            return True

                                                                        if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                            return True

                                                                        if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                            return True

                                                                        if self.mark is not None and self.mark._has_data():
                                                                            return True

                                                                        if self.mark2 is not None and self.mark2._has_data():
                                                                            return True

                                                                        if self.mdi is not None and self.mdi._has_data():
                                                                            return True

                                                                        if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                            return True

                                                                        if self.min_bw is not None and self.min_bw._has_data():
                                                                            return True

                                                                        if self.out_intf is not None and self.out_intf._has_data():
                                                                            return True

                                                                        if self.pbf is not None and self.pbf._has_data():
                                                                            return True

                                                                        if self.pfc is not None and self.pfc._has_data():
                                                                            return True

                                                                        if self.police is not None and self.police._has_data():
                                                                            return True

                                                                        if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                            return True

                                                                        if self.prio is not None and self.prio._has_data():
                                                                            return True

                                                                        if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                            return True

                                                                        if self.punt is not None and self.punt._has_data():
                                                                            return True

                                                                        if self.qlimit is not None and self.qlimit._has_data():
                                                                            return True

                                                                        if self.query_ancp is not None and self.query_ancp._has_data():
                                                                            return True

                                                                        if self.redirect is not None and self.redirect._has_data():
                                                                            return True

                                                                        if self.rtp is not None and self.rtp._has_data():
                                                                            return True

                                                                        if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                            return True

                                                                        if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                            return True

                                                                        if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                            return True

                                                                        if self.serv_func is not None and self.serv_func._has_data():
                                                                            return True

                                                                        if self.set_timer is not None and self.set_timer._has_data():
                                                                            return True

                                                                        if self.sfrag is not None and self.sfrag._has_data():
                                                                            return True

                                                                        if self.shape is not None and self.shape._has_data():
                                                                            return True

                                                                        if self.stop_timer is not None and self.stop_timer._has_data():
                                                                            return True

                                                                        if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                            return True

                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.wred is not None and self.wred._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.actp is not None and self.actp._has_data():
                                                                        return True

                                                                    if self.flags is not None:
                                                                        return True

                                                                    if self.seq is not None:
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.policy_action_info_st is not None:
                                                                    for child_ref in self.policy_action_info_st:
                                                                        if child_ref._has_data():
                                                                            return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.act_infop is not None and self.act_infop._has_data():
                                                                return True

                                                            if self.cl_encode is not None and self.cl_encode._has_data():
                                                                return True

                                                            if self.clmp_p is not None and self.clmp_p._has_data():
                                                                return True

                                                            if self.ctype is not None:
                                                                return True

                                                            if self.exe_strat is not None:
                                                                return True

                                                            if self.flags is not None:
                                                                return True

                                                            if self.num_actions is not None:
                                                                return True

                                                            if self.policy_class_hd is not None:
                                                                return True

                                                            if self.seq is not None:
                                                                return True

                                                            if self.version is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.policy_class_info_bg is not None:
                                                            for child_ref in self.policy_class_info_bg:
                                                                if child_ref._has_data():
                                                                    return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.avl_tree is not None:
                                                        return True

                                                    if self.class_infop is not None and self.class_infop._has_data():
                                                        return True

                                                    if self.cond_eval is not None:
                                                        return True

                                                    if self.event_type is not None:
                                                        return True

                                                    if self.flags is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.policy_event_info_bg is not None:
                                                    for child_ref in self.policy_event_info_bg:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.chk_sum is not None:
                                                return True

                                            if self.class_dflt_hrchy_depth is not None:
                                                return True

                                            if self.description is not None:
                                                return True

                                            if self.event_infop is not None and self.event_infop._has_data():
                                                return True

                                            if self.flags is not None:
                                                return True

                                            if self.handle is not None:
                                                return True

                                            if self.magic is not None:
                                                return True

                                            if self.max_hierarchy is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.num_classes is not None:
                                                return True

                                            if self.num_policy_class_info is not None:
                                                return True

                                            if self.pclass_diff is not None:
                                                return True

                                            if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                                return True

                                            if self.rateless_chk_sum is not None:
                                                return True

                                            if self.table_id is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:definition'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_bg is not None:
                                            for child_ref in self.policy_map_bg:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.policy_map_name is None:
                                        raise YPYModelError('Key property policy_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-name[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_name is not None:
                                        return True

                                    if self.class_handles is not None and self.class_handles._has_data():
                                        return True

                                    if self.class_seq_nums is not None and self.class_seq_nums._has_data():
                                        return True

                                    if self.definition is not None and self.definition._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-names'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.transient_policy_map_name is not None:
                                    for child_ref in self.transient_policy_map_name:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.type is None:
                                raise YPYModelError('Key property type is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.type is not None:
                                return True

                            if self.transient_policy_map_names is not None and self.transient_policy_map_names._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type-xr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.transient_policy_map_type is not None:
                            for child_ref in self.transient_policy_map_type:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr']['meta_info']


                class PolicyMapUnusedTypes(object):
                    """
                    Policy\-map unused table
                    
                    .. attribute:: policy_map_unused_type
                    
                    	Policy\-map unused
                    	**type**\: list of    :py:class:`PolicyMapUnusedType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_unused_type = YList()
                        self.policy_map_unused_type.parent = self
                        self.policy_map_unused_type.name = 'policy_map_unused_type'


                    class PolicyMapUnusedType(object):
                        """
                        Policy\-map unused
                        
                        .. attribute:: type  <key>
                        
                        	The application type
                        	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                        
                        .. attribute:: unuseds
                        
                        	Policy\-map unused
                        	**type**\:   :py:class:`Unuseds <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.type = None
                            self.unuseds = PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds()
                            self.unuseds.parent = self


                        class Unuseds(object):
                            """
                            Policy\-map unused
                            
                            .. attribute:: unused
                            
                            	Policy\-map unused information
                            	**type**\: list of    :py:class:`Unused <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.unused = YList()
                                self.unused.parent = self
                                self.unused.name = 'unused'


                            class Unused(object):
                                """
                                Policy\-map unused information
                                
                                .. attribute:: policy_map_name  <key>
                                
                                	Name of policy\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_map_reference
                                
                                	Each Classmapdetails
                                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference>`
                                
                                .. attribute:: object
                                
                                	Each object details
                                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object>`
                                
                                .. attribute:: object_type
                                
                                	Application type configured
                                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                
                                .. attribute:: reference
                                
                                	Each Policymap details
                                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference>`
                                
                                .. attribute:: total_objects
                                
                                	Total number of objects configured for a specific object type
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: transient
                                
                                	Transient object
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_name = None
                                    self.class_map_reference = YList()
                                    self.class_map_reference.parent = self
                                    self.class_map_reference.name = 'class_map_reference'
                                    self.object = YList()
                                    self.object.parent = self
                                    self.object.name = 'object'
                                    self.object_type = None
                                    self.reference = YList()
                                    self.reference.parent = self
                                    self.reference.name = 'reference'
                                    self.total_objects = None
                                    self.transient = None


                                class Reference(object):
                                    """
                                    Each Policymap details
                                    
                                    .. attribute:: total_class_maps
                                    
                                    	Total number of Classmaps in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_flows
                                    
                                    	Total flows in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_internal_reference_objects
                                    
                                    	Total number of internal reference objects
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.total_class_maps = None
                                        self.total_flows = None
                                        self.total_internal_reference_objects = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.total_class_maps is not None:
                                            return True

                                        if self.total_flows is not None:
                                            return True

                                        if self.total_internal_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference']['meta_info']


                                class Object(object):
                                    """
                                    Each object details
                                    
                                    .. attribute:: object_name
                                    
                                    	Name of object (Policymap/Classmap)
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object']['meta_info']


                                class ClassMapReference(object):
                                    """
                                    Each Classmapdetails
                                    
                                    .. attribute:: policy_map_reference
                                    
                                    	List of Policymaps referencing a Classmap
                                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference>`
                                    
                                    .. attribute:: total_reference_objects
                                    
                                    	Total number of Policymaps referencing a Classmap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_reference = YList()
                                        self.policy_map_reference.parent = self
                                        self.policy_map_reference.name = 'policy_map_reference'
                                        self.total_reference_objects = None


                                    class PolicyMapReference(object):
                                        """
                                        List of Policymaps referencing a Classmap
                                        
                                        .. attribute:: object_type
                                        
                                        	Application type configured
                                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                        
                                        .. attribute:: policy_map_name
                                        
                                        	Name of Policymap referencing a Classmap
                                        	**type**\:  str
                                        
                                        	**length:** 0..64
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.object_type = None
                                            self.policy_map_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.object_type is not None:
                                                return True

                                            if self.policy_map_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_reference is not None:
                                            for child_ref in self.policy_map_reference:
                                                if child_ref._has_data():
                                                    return True

                                        if self.total_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.policy_map_name is None:
                                        raise YPYModelError('Key property policy_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unused[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_name is not None:
                                        return True

                                    if self.class_map_reference is not None:
                                        for child_ref in self.class_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.object is not None:
                                        for child_ref in self.object:
                                            if child_ref._has_data():
                                                return True

                                    if self.object_type is not None:
                                        return True

                                    if self.reference is not None:
                                        for child_ref in self.reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_objects is not None:
                                        return True

                                    if self.transient is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unuseds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.unused is not None:
                                    for child_ref in self.unused:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.type is None:
                                raise YPYModelError('Key property type is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-unused-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.type is not None:
                                return True

                            if self.unuseds is not None and self.unuseds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-unused-types'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.policy_map_unused_type is not None:
                            for child_ref in self.policy_map_unused_type:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes']['meta_info']


                class PolicyMapTypes(object):
                    """
                    Application type of a policymap
                    
                    .. attribute:: policy_map_type
                    
                    	Policymgr application type
                    	**type**\: list of    :py:class:`PolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_type = YList()
                        self.policy_map_type.parent = self
                        self.policy_map_type.name = 'policy_map_type'


                    class PolicyMapType(object):
                        """
                        Policymgr application type
                        
                        .. attribute:: type  <key>
                        
                        	The application type
                        	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                        
                        .. attribute:: policy_map_details
                        
                        	Policy\-map table
                        	**type**\:   :py:class:`PolicyMapDetails <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails>`
                        
                        .. attribute:: policy_maps
                        
                        	Policy\-map definition table
                        	**type**\:   :py:class:`PolicyMaps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.type = None
                            self.policy_map_details = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails()
                            self.policy_map_details.parent = self
                            self.policy_maps = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps()
                            self.policy_maps.parent = self


                        class PolicyMaps(object):
                            """
                            Policy\-map definition table
                            
                            .. attribute:: policy_map
                            
                            	Policy\-map configuration
                            	**type**\: list of    :py:class:`PolicyMap_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map = YList()
                                self.policy_map.parent = self
                                self.policy_map.name = 'policy_map'


                            class PolicyMap_(object):
                                """
                                Policy\-map configuration
                                
                                .. attribute:: policy_map_name  <key>
                                
                                	Name of policy\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: policy_map_bg
                                
                                	policy map bg
                                	**type**\: list of    :py:class:`PolicyMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg>`
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_name = None
                                    self.policy_map_bg = YList()
                                    self.policy_map_bg.parent = self
                                    self.policy_map_bg.name = 'policy_map_bg'


                                class PolicyMapBg(object):
                                    """
                                    policy map bg
                                    
                                    .. attribute:: chk_sum
                                    
                                    	MD5 checksum of the encoded class\-map bag
                                    	**type**\:  str
                                    
                                    	**length:** 0..16
                                    
                                    .. attribute:: class_dflt_hrchy_depth
                                    
                                    	class dflt hrchy depth
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: description
                                    
                                    	description
                                    	**type**\:  str
                                    
                                    .. attribute:: event_infop
                                    
                                    	event infop
                                    	**type**\:   :py:class:`EventInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop>`
                                    
                                    .. attribute:: flags
                                    
                                    	flags
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: handle
                                    
                                    	handle
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: magic
                                    
                                    	magic
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: max_hierarchy
                                    
                                    	max hierarchy
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: name
                                    
                                    	name
                                    	**type**\:  str
                                    
                                    	**length:** 0..65
                                    
                                    .. attribute:: num_classes
                                    
                                    	num classes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: num_policy_class_info
                                    
                                    	num policy class info
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pclass_diff
                                    
                                    	pclass diff
                                    	**type**\:  int
                                    
                                    	**range:** 0..18446744073709551615
                                    
                                    .. attribute:: pmap_var_list
                                    
                                    	pmap var list
                                    	**type**\:   :py:class:`PmapVarList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList>`
                                    
                                    .. attribute:: rateless_chk_sum
                                    
                                    	rateless chk sum
                                    	**type**\:  str
                                    
                                    	**length:** 0..16
                                    
                                    .. attribute:: table_id
                                    
                                    	table id
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: type
                                    
                                    	type
                                    	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.chk_sum = None
                                        self.class_dflt_hrchy_depth = None
                                        self.description = None
                                        self.event_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop()
                                        self.event_infop.parent = self
                                        self.flags = None
                                        self.handle = None
                                        self.magic = None
                                        self.max_hierarchy = None
                                        self.name = None
                                        self.num_classes = None
                                        self.num_policy_class_info = None
                                        self.pclass_diff = None
                                        self.pmap_var_list = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList()
                                        self.pmap_var_list.parent = self
                                        self.rateless_chk_sum = None
                                        self.table_id = None
                                        self.type = None


                                    class PmapVarList(object):
                                        """
                                        pmap var list
                                        
                                        .. attribute:: offset
                                        
                                        	offset
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: pmap_var_list_arr
                                        
                                        	pmap var list arr
                                        	**type**\: list of    :py:class:`PmapVarListArr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.offset = YLeafList()
                                            self.offset.parent = self
                                            self.offset.name = 'offset'
                                            self.pmap_var_list_arr = YList()
                                            self.pmap_var_list_arr.parent = self
                                            self.pmap_var_list_arr.name = 'pmap_var_list_arr'


                                        class PmapVarListArr(object):
                                            """
                                            pmap var list arr
                                            
                                            .. attribute:: id
                                            
                                            	id
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: name
                                            
                                            	name
                                            	**type**\:  str
                                            
                                            	**length:** 0..32
                                            
                                            .. attribute:: val
                                            
                                            	val
                                            	**type**\:   :py:class:`Val <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val>`
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.name = None
                                                self.val = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val()
                                                self.val.parent = self


                                            class Val(object):
                                                """
                                                val
                                                
                                                .. attribute:: class_name
                                                
                                                	class name
                                                	**type**\:  str
                                                
                                                	**length:** 0..65
                                                
                                                .. attribute:: dscp_val
                                                
                                                	dscp val
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: param_uint32_val
                                                
                                                	param uint32 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: prec_val
                                                
                                                	prec val
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: type
                                                
                                                	type
                                                	**type**\:   :py:class:`PlmgrVarEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrVarEnum>`
                                                
                                                .. attribute:: uint16_val
                                                
                                                	uint16 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                .. attribute:: uint32_val
                                                
                                                	uint32 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: uint8_val
                                                
                                                	uint8 val
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.class_name = None
                                                    self.dscp_val = None
                                                    self.param_uint32_val = None
                                                    self.prec_val = None
                                                    self.type = None
                                                    self.uint16_val = None
                                                    self.uint32_val = None
                                                    self.uint8_val = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:val'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.class_name is not None:
                                                        return True

                                                    if self.dscp_val is not None:
                                                        return True

                                                    if self.param_uint32_val is not None:
                                                        return True

                                                    if self.prec_val is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.uint16_val is not None:
                                                        return True

                                                    if self.uint32_val is not None:
                                                        return True

                                                    if self.uint8_val is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list-arr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.id is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.val is not None and self.val._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pmap-var-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.offset is not None:
                                                for child in self.offset:
                                                    if child is not None:
                                                        return True

                                            if self.pmap_var_list_arr is not None:
                                                for child_ref in self.pmap_var_list_arr:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList']['meta_info']


                                    class EventInfop(object):
                                        """
                                        event infop
                                        
                                        .. attribute:: policy_event_info_bg
                                        
                                        	policy event info bg
                                        	**type**\: list of    :py:class:`PolicyEventInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg>`
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.policy_event_info_bg = YList()
                                            self.policy_event_info_bg.parent = self
                                            self.policy_event_info_bg.name = 'policy_event_info_bg'


                                        class PolicyEventInfoBg(object):
                                            """
                                            policy event info bg
                                            
                                            .. attribute:: avl_tree
                                            
                                            	avl tree
                                            	**type**\:  int
                                            
                                            	**range:** 0..18446744073709551615
                                            
                                            .. attribute:: class_infop
                                            
                                            	class infop
                                            	**type**\:   :py:class:`ClassInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop>`
                                            
                                            .. attribute:: cond_eval
                                            
                                            	cond eval
                                            	**type**\:   :py:class:`PeventCondEvalEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventCondEvalEnum>`
                                            
                                            .. attribute:: event_type
                                            
                                            	event type
                                            	**type**\:   :py:class:`PeventEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PeventEnum>`
                                            
                                            .. attribute:: flags
                                            
                                            	flags
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'infra-policymgr-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.avl_tree = None
                                                self.class_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop()
                                                self.class_infop.parent = self
                                                self.cond_eval = None
                                                self.event_type = None
                                                self.flags = None


                                            class ClassInfop(object):
                                                """
                                                class infop
                                                
                                                .. attribute:: policy_class_info_bg
                                                
                                                	policy class info bg
                                                	**type**\: list of    :py:class:`PolicyClassInfoBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg>`
                                                
                                                

                                                """

                                                _prefix = 'infra-policymgr-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.policy_class_info_bg = YList()
                                                    self.policy_class_info_bg.parent = self
                                                    self.policy_class_info_bg.name = 'policy_class_info_bg'


                                                class PolicyClassInfoBg(object):
                                                    """
                                                    policy class info bg
                                                    
                                                    .. attribute:: act_infop
                                                    
                                                    	act infop
                                                    	**type**\:   :py:class:`ActInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop>`
                                                    
                                                    .. attribute:: cl_encode
                                                    
                                                    	cl encode
                                                    	**type**\:   :py:class:`ClEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode>`
                                                    
                                                    .. attribute:: clmp_p
                                                    
                                                    	clmp p
                                                    	**type**\:   :py:class:`ClmpP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP>`
                                                    
                                                    .. attribute:: ctype
                                                    
                                                    	ctype
                                                    	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                    
                                                    .. attribute:: exe_strat
                                                    
                                                    	exe strat
                                                    	**type**\:   :py:class:`PclassExecStratEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PclassExecStratEnum>`
                                                    
                                                    .. attribute:: flags
                                                    
                                                    	flags
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: num_actions
                                                    
                                                    	num actions
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: policy_class_hd
                                                    
                                                    	policy class hd
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: seq
                                                    
                                                    	seq
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: version
                                                    
                                                    	version
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'infra-policymgr-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.act_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop()
                                                        self.act_infop.parent = self
                                                        self.cl_encode = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode()
                                                        self.cl_encode.parent = self
                                                        self.clmp_p = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP()
                                                        self.clmp_p.parent = self
                                                        self.ctype = None
                                                        self.exe_strat = None
                                                        self.flags = None
                                                        self.num_actions = None
                                                        self.policy_class_hd = None
                                                        self.seq = None
                                                        self.version = None


                                                    class ClEncode(object):
                                                        """
                                                        cl encode
                                                        
                                                        .. attribute:: class_name
                                                        
                                                        	class name
                                                        	**type**\:  str
                                                        
                                                        	**length:** 0..65
                                                        
                                                        .. attribute:: enc
                                                        
                                                        	enc
                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                        
                                                        .. attribute:: hd
                                                        
                                                        	hd
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..18446744073709551615
                                                        
                                                        .. attribute:: idx
                                                        
                                                        	idx
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: inline_cmap
                                                        
                                                        	inline cmap
                                                        	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.class_name = None
                                                            self.enc = None
                                                            self.hd = None
                                                            self.idx = None
                                                            self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap()
                                                            self.inline_cmap.parent = self


                                                        class InlineCmap(object):
                                                            """
                                                            inline cmap
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	Inline Class\-Map flags
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_count
                                                            
                                                            	Number of Match infos
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_infop
                                                            
                                                            	Pointer to the first Match info
                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop>`
                                                            
                                                            .. attribute:: mode
                                                            
                                                            	Inline Class\-Map Mode Match any/all
                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.flags = None
                                                                self.match_count = None
                                                                self.match_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop()
                                                                self.match_infop.parent = self
                                                                self.mode = None


                                                            class MatchInfop(object):
                                                                """
                                                                Pointer to the first Match info
                                                                
                                                                .. attribute:: class_match_info_st
                                                                
                                                                	class match info st
                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_match_info_st = YList()
                                                                    self.class_match_info_st.parent = self
                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                class ClassMatchInfoSt(object):
                                                                    """
                                                                    class match info st
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_data
                                                                    
                                                                    	Match criteria
                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flags = None
                                                                        self.match_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                        self.match_data.parent = self


                                                                    class MatchData(object):
                                                                        """
                                                                        Match criteria
                                                                        
                                                                        .. attribute:: access_interface
                                                                        
                                                                        	Access interface
                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                        
                                                                        .. attribute:: atm_clp
                                                                        
                                                                        	Match ATM CLP level
                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                        
                                                                        .. attribute:: auth_domain
                                                                        
                                                                        	Authenticated domain name
                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                        
                                                                        .. attribute:: auth_domain_regex
                                                                        
                                                                        	Authenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                        
                                                                        .. attribute:: auth_username
                                                                        
                                                                        	Authenticated User Name
                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                        
                                                                        .. attribute:: auth_username_regex
                                                                        
                                                                        	Authenticated User Name RegEx
                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                        
                                                                        .. attribute:: authen_status
                                                                        
                                                                        	Authentication Status
                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                        
                                                                        .. attribute:: avail_id
                                                                        
                                                                        	Available Identifiers
                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                        
                                                                        .. attribute:: circuit_id
                                                                        
                                                                        	Circuit ID
                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                        
                                                                        .. attribute:: circuit_id_regex
                                                                        
                                                                        	Circuit ID RegEx
                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                        
                                                                        .. attribute:: cos
                                                                        
                                                                        	Match CoS array
                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                        
                                                                        .. attribute:: cos_inr
                                                                        
                                                                        	Match inner header CoS
                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                        
                                                                        .. attribute:: dei
                                                                        
                                                                        	Match DEI Bit
                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                        
                                                                        .. attribute:: dei_inr
                                                                        
                                                                        	Match inner DEI Bit
                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                        
                                                                        .. attribute:: dhcp_client_id
                                                                        
                                                                        	Dhcp Client ID
                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                        
                                                                        .. attribute:: dhcp_client_id_regex
                                                                        
                                                                        	Dhcp Client ID RegEx
                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                        
                                                                        .. attribute:: discard_class
                                                                        
                                                                        	Match Discard Class array
                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                        
                                                                        .. attribute:: dnis
                                                                        
                                                                        	DNIS
                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                        
                                                                        .. attribute:: dnis_regex
                                                                        
                                                                        	DNIS Regular Expression
                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                        
                                                                        .. attribute:: domain
                                                                        
                                                                        	Domain Name
                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                        
                                                                        .. attribute:: domain_regex
                                                                        
                                                                        	Domain Regular Expression
                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                        
                                                                        .. attribute:: dscp
                                                                        
                                                                        	Match DSCP range array
                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv4
                                                                        
                                                                        	Destination Address IPV4
                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv6
                                                                        
                                                                        	Destination Address IPV6
                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                        
                                                                        .. attribute:: dst_mac
                                                                        
                                                                        	Match Destination MAC address
                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                        
                                                                        .. attribute:: dst_port
                                                                        
                                                                        	Destination port
                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                        
                                                                        .. attribute:: ether_service_acl
                                                                        
                                                                        	Ethernet\-Services Access\-list
                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                        
                                                                        .. attribute:: ethertype
                                                                        
                                                                        	Ethernet type
                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                        
                                                                        .. attribute:: flow_key_data
                                                                        
                                                                        	Flow key structure
                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                        
                                                                        .. attribute:: flow_tag
                                                                        
                                                                        	Match flow\-tag array
                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                        
                                                                        .. attribute:: fr_de
                                                                        
                                                                        	Match FR DE value
                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                        
                                                                        .. attribute:: fr_dlci
                                                                        
                                                                        	Match FR DLCI range array
                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                        
                                                                        .. attribute:: fragment_type
                                                                        
                                                                        	Fragment type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: icmp_v4
                                                                        
                                                                        	Match ICMPV4 Protocol
                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                        
                                                                        .. attribute:: icmp_v6
                                                                        
                                                                        	Match ICMPV6 Protocol array
                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                        
                                                                        .. attribute:: icmpv4_code
                                                                        
                                                                        	Match ipv4 icmp code
                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                        
                                                                        .. attribute:: icmpv4_type
                                                                        
                                                                        	Match ipv4 icmp type
                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                        
                                                                        .. attribute:: icmpv6_code
                                                                        
                                                                        	Match ipv6 icmp code
                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                        
                                                                        .. attribute:: icmpv6_type
                                                                        
                                                                        	Match ipv6 icmp type
                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                        
                                                                        .. attribute:: input_interface
                                                                        
                                                                        	Input interface
                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                        
                                                                        .. attribute:: input_intfhdl
                                                                        
                                                                        	Input interface handle
                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                        
                                                                        .. attribute:: ipv4_acl
                                                                        
                                                                        	IPv4 Access\-list
                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                        
                                                                        .. attribute:: ipv4_dscp
                                                                        
                                                                        	IPv4 DSCP
                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                        
                                                                        .. attribute:: ipv4_packet_len
                                                                        
                                                                        	IPv4 packet length array
                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                        
                                                                        .. attribute:: ipv4_prec
                                                                        
                                                                        	IPv4 Precedence
                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                        
                                                                        .. attribute:: ipv6_acl
                                                                        
                                                                        	IPv6 Access\-list
                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                        
                                                                        .. attribute:: ipv6_dscp
                                                                        
                                                                        	IPv6 DSCP
                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                        
                                                                        .. attribute:: ipv6_packet_len
                                                                        
                                                                        	IPv6 packet length array
                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                        
                                                                        .. attribute:: ipv6_prec
                                                                        
                                                                        	IPv6 Precedence
                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                        
                                                                        .. attribute:: media_type
                                                                        
                                                                        	Media Type
                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                        
                                                                        .. attribute:: mlp_negotiated
                                                                        
                                                                        	MLP Negotiated
                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                        
                                                                        	MPLS Disposition IPv4 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                        
                                                                        	MPLS Disposition IPv6 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                        
                                                                        .. attribute:: mpls_exp
                                                                        
                                                                        	Match MPLS experimental topmost array
                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                        
                                                                        .. attribute:: mpls_exp_imp
                                                                        
                                                                        	Match MPLS experimental imposition array
                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                        
                                                                        .. attribute:: mpls_top_eos
                                                                        
                                                                        	MPLS Topmost EOS
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: mpls_top_label
                                                                        
                                                                        	MPLS Topmost LABEL
                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                        
                                                                        .. attribute:: nas_port
                                                                        
                                                                        	NAS Port
                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                        
                                                                        .. attribute:: packet_len
                                                                        
                                                                        	Match packet length array
                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                        
                                                                        .. attribute:: prec
                                                                        
                                                                        	Match Precedence array
                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                        
                                                                        .. attribute:: proto
                                                                        
                                                                        	Match Protocol array
                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                        
                                                                        .. attribute:: qos_group
                                                                        
                                                                        	Match QoS group array
                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                        
                                                                        .. attribute:: remote_id
                                                                        
                                                                        	Remote ID
                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                        
                                                                        .. attribute:: remote_id_regex
                                                                        
                                                                        	Remote ID RegEx
                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                        
                                                                        .. attribute:: service_name
                                                                        
                                                                        	Service Name
                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                        
                                                                        .. attribute:: service_name_regex
                                                                        
                                                                        	Service Name Regular Exp
                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                        
                                                                        .. attribute:: src_addr_ipv4
                                                                        
                                                                        	Source Address IPV4
                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                        
                                                                        .. attribute:: src_addr_ipv6
                                                                        
                                                                        	Source Address IPV6
                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                        
                                                                        .. attribute:: src_addr_mac
                                                                        
                                                                        	Source Address MAC
                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                        
                                                                        .. attribute:: src_mac
                                                                        
                                                                        	Match Source MAC address
                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                        
                                                                        .. attribute:: src_port
                                                                        
                                                                        	Source port
                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                        
                                                                        .. attribute:: subs_protocol
                                                                        
                                                                        	Protocol
                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                        
                                                                        .. attribute:: tcp_flag
                                                                        
                                                                        	Match tcp flag value
                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                        
                                                                        .. attribute:: timer
                                                                        
                                                                        	Timer
                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                        
                                                                        .. attribute:: timer_regexp
                                                                        
                                                                        	Timer Regular Expression
                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                        
                                                                        .. attribute:: traffic_class
                                                                        
                                                                        	Match Traffic class array
                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                        
                                                                        .. attribute:: tunnel_name
                                                                        
                                                                        	Tunnel Name
                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                        
                                                                        .. attribute:: tunnel_name_regex
                                                                        
                                                                        	Tunnel Name Regular Expression
                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                        
                                                                        .. attribute:: unauth_domain
                                                                        
                                                                        	Unauthenticated Domain Name
                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                        
                                                                        .. attribute:: unauth_domain_regex
                                                                        
                                                                        	Unauthenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                        
                                                                        .. attribute:: unauth_username
                                                                        
                                                                        	Unauthenticated User Name
                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                        
                                                                        .. attribute:: unauth_username_regex
                                                                        
                                                                        	Unauthenticated User Name RegEx
                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                        
                                                                        .. attribute:: user_name
                                                                        
                                                                        	User Name
                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                        
                                                                        .. attribute:: user_name_regex
                                                                        
                                                                        	User Name Regular Expression
                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                        
                                                                        .. attribute:: vendor_id
                                                                        
                                                                        	Vendor ID
                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                        
                                                                        .. attribute:: vendor_id_regex
                                                                        
                                                                        	Vendor ID RegEx
                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                        
                                                                        .. attribute:: vlan
                                                                        
                                                                        	Match VLAN array
                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                        
                                                                        .. attribute:: vlan_inr
                                                                        
                                                                        	Match inner header VLAN range array
                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.access_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                            self.access_interface.parent = self
                                                                            self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                            self.atm_clp.parent = self
                                                                            self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                            self.auth_domain.parent = self
                                                                            self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                            self.auth_domain_regex.parent = self
                                                                            self.auth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                            self.auth_username.parent = self
                                                                            self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                            self.auth_username_regex.parent = self
                                                                            self.authen_status = None
                                                                            self.avail_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                            self.avail_id.parent = self
                                                                            self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                            self.circuit_id.parent = self
                                                                            self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                            self.circuit_id_regex.parent = self
                                                                            self.cos = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                            self.cos.parent = self
                                                                            self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                            self.cos_inr.parent = self
                                                                            self.dei = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                            self.dei.parent = self
                                                                            self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                            self.dei_inr.parent = self
                                                                            self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                            self.dhcp_client_id.parent = self
                                                                            self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                            self.dhcp_client_id_regex.parent = self
                                                                            self.discard_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                            self.discard_class.parent = self
                                                                            self.dnis = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                            self.dnis.parent = self
                                                                            self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                            self.dnis_regex.parent = self
                                                                            self.domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                            self.domain.parent = self
                                                                            self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                            self.domain_regex.parent = self
                                                                            self.dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                            self.dscp.parent = self
                                                                            self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                            self.dst_addr_ipv4.parent = self
                                                                            self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                            self.dst_addr_ipv6.parent = self
                                                                            self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                            self.dst_mac.parent = self
                                                                            self.dst_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                            self.dst_port.parent = self
                                                                            self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                            self.ether_service_acl.parent = self
                                                                            self.ethertype = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                            self.ethertype.parent = self
                                                                            self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                            self.flow_key_data.parent = self
                                                                            self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                            self.flow_tag.parent = self
                                                                            self.fr_de = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                            self.fr_de.parent = self
                                                                            self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                            self.fr_dlci.parent = self
                                                                            self.fragment_type = None
                                                                            self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                            self.icmp_v4.parent = self
                                                                            self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                            self.icmp_v6.parent = self
                                                                            self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                            self.icmpv4_code.parent = self
                                                                            self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                            self.icmpv4_type.parent = self
                                                                            self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                            self.icmpv6_code.parent = self
                                                                            self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                            self.icmpv6_type.parent = self
                                                                            self.input_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                            self.input_interface.parent = self
                                                                            self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                            self.input_intfhdl.parent = self
                                                                            self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                            self.ipv4_acl.parent = self
                                                                            self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                            self.ipv4_dscp.parent = self
                                                                            self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                            self.ipv4_packet_len.parent = self
                                                                            self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                            self.ipv4_prec.parent = self
                                                                            self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                            self.ipv6_acl.parent = self
                                                                            self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                            self.ipv6_dscp.parent = self
                                                                            self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                            self.ipv6_packet_len.parent = self
                                                                            self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                            self.ipv6_prec.parent = self
                                                                            self.media_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                            self.media_type.parent = self
                                                                            self.mlp_negotiated = None
                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                            self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                            self.mpls_exp.parent = self
                                                                            self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                            self.mpls_exp_imp.parent = self
                                                                            self.mpls_top_eos = None
                                                                            self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                            self.mpls_top_label.parent = self
                                                                            self.nas_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                            self.nas_port.parent = self
                                                                            self.packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                            self.packet_len.parent = self
                                                                            self.prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                            self.prec.parent = self
                                                                            self.proto = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                            self.proto.parent = self
                                                                            self.qos_group = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                            self.qos_group.parent = self
                                                                            self.remote_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                            self.remote_id.parent = self
                                                                            self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                            self.remote_id_regex.parent = self
                                                                            self.service_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                            self.service_name.parent = self
                                                                            self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                            self.service_name_regex.parent = self
                                                                            self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                            self.src_addr_ipv4.parent = self
                                                                            self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                            self.src_addr_ipv6.parent = self
                                                                            self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                            self.src_addr_mac.parent = self
                                                                            self.src_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                            self.src_mac.parent = self
                                                                            self.src_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                            self.src_port.parent = self
                                                                            self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                            self.subs_protocol.parent = self
                                                                            self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                            self.tcp_flag.parent = self
                                                                            self.timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                            self.timer.parent = self
                                                                            self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                            self.timer_regexp.parent = self
                                                                            self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                            self.traffic_class.parent = self
                                                                            self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                            self.tunnel_name.parent = self
                                                                            self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                            self.tunnel_name_regex.parent = self
                                                                            self.type = None
                                                                            self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                            self.unauth_domain.parent = self
                                                                            self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                            self.unauth_domain_regex.parent = self
                                                                            self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                            self.unauth_username.parent = self
                                                                            self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                            self.unauth_username_regex.parent = self
                                                                            self.user_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                            self.user_name.parent = self
                                                                            self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                            self.user_name_regex.parent = self
                                                                            self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                            self.vendor_id.parent = self
                                                                            self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                            self.vendor_id_regex.parent = self
                                                                            self.vlan = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                            self.vlan.parent = self
                                                                            self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                            self.vlan_inr.parent = self


                                                                        class Ipv4Dscp(object):
                                                                            """
                                                                            IPv4 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                        class Ipv6Dscp(object):
                                                                            """
                                                                            IPv6 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                        class Dscp(object):
                                                                            """
                                                                            Match DSCP range array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                        class Ipv4Prec(object):
                                                                            """
                                                                            IPv4 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                        class Ipv6Prec(object):
                                                                            """
                                                                            IPv6 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                        class Prec(object):
                                                                            """
                                                                            Match Precedence array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                        class DiscardClass(object):
                                                                            """
                                                                            Match Discard Class array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                        class QosGroup(object):
                                                                            """
                                                                            Match QoS group array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                        class TrafficClass(object):
                                                                            """
                                                                            Match Traffic class array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                        class Proto(object):
                                                                            """
                                                                            Match Protocol array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                        class IcmpV4(object):
                                                                            """
                                                                            Match ICMPV4 Protocol
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                        class IcmpV6(object):
                                                                            """
                                                                            Match ICMPV6 Protocol array
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                        class Ipv4PacketLen(object):
                                                                            """
                                                                            IPv4 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                        class Ipv6PacketLen(object):
                                                                            """
                                                                            IPv6 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                        class PacketLen(object):
                                                                            """
                                                                            Match packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                        class FlowTag(object):
                                                                            """
                                                                            Match flow\-tag array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                        class TcpFlag(object):
                                                                            """
                                                                            Match tcp flag value
                                                                            
                                                                            .. attribute:: match_any
                                                                            
                                                                            	Match any TCP flag bit
                                                                            	**type**\:  bool
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	Value of TCP flag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_any = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_any is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                        class Icmpv4Type(object):
                                                                            """
                                                                            Match ipv4 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                        class Icmpv4Code(object):
                                                                            """
                                                                            Match ipv4 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                        class Icmpv6Type(object):
                                                                            """
                                                                            Match ipv6 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                        class Icmpv6Code(object):
                                                                            """
                                                                            Match ipv6 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                        class MplsExp(object):
                                                                            """
                                                                            Match MPLS experimental topmost array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                        class MplsExpImp(object):
                                                                            """
                                                                            Match MPLS experimental imposition array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                        class MplsDispIpv4Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                        class MplsDispIpv6Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                        class MplsTopLabel(object):
                                                                            """
                                                                            MPLS Topmost LABEL
                                                                            
                                                                            .. attribute:: uint32_rng_array
                                                                            
                                                                            	uint32 rng array
                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint32_rng_array = YList()
                                                                                self.uint32_rng_array.parent = self
                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                            class Uint32_Rng_Array(object):
                                                                                """
                                                                                uint32 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint32_rng_array is not None:
                                                                                    for child_ref in self.uint32_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                        class Cos(object):
                                                                            """
                                                                            Match CoS array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                        class CosInr(object):
                                                                            """
                                                                            Match inner header CoS
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                        class Dei(object):
                                                                            """
                                                                            Match DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                        class DeiInr(object):
                                                                            """
                                                                            Match inner DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                        class Vlan(object):
                                                                            """
                                                                            Match VLAN array
                                                                            
                                                                            .. attribute:: vlan_id_array
                                                                            
                                                                            	vlan id array
                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.vlan_id_array = YList()
                                                                                self.vlan_id_array.parent = self
                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                            class VlanIdArray(object):
                                                                                """
                                                                                vlan id array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	VLAN mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.vlan_id_array is not None:
                                                                                    for child_ref in self.vlan_id_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                        class VlanInr(object):
                                                                            """
                                                                            Match inner header VLAN range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                        class FrDlci(object):
                                                                            """
                                                                            Match FR DLCI range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                        class SrcMac(object):
                                                                            """
                                                                            Match Source MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                        class DstMac(object):
                                                                            """
                                                                            Match Destination MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                        class AtmClp(object):
                                                                            """
                                                                            Match ATM CLP level
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                        class FrDe(object):
                                                                            """
                                                                            Match FR DE value
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                        class Ipv4Acl(object):
                                                                            """
                                                                            IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                        class Ipv6Acl(object):
                                                                            """
                                                                            IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                        class EtherServiceAcl(object):
                                                                            """
                                                                            Ethernet\-Services Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                        class AvailId(object):
                                                                            """
                                                                            Available Identifiers
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                        class MediaType(object):
                                                                            """
                                                                            Media Type
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                        class SubsProtocol(object):
                                                                            """
                                                                            Protocol
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                        class Dnis(object):
                                                                            """
                                                                            DNIS
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                        class DnisRegex(object):
                                                                            """
                                                                            DNIS Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                        class Domain(object):
                                                                            """
                                                                            Domain Name
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                        class DomainRegex(object):
                                                                            """
                                                                            Domain Regular Expression
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                        class NasPort(object):
                                                                            """
                                                                            NAS Port
                                                                            
                                                                            .. attribute:: nas_port_array
                                                                            
                                                                            	nas port array
                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nas_port_array = YList()
                                                                                self.nas_port_array.parent = self
                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                            class NasPortArray(object):
                                                                                """
                                                                                nas port array
                                                                                
                                                                                .. attribute:: operator
                                                                                
                                                                                	operator
                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                
                                                                                .. attribute:: sub_id
                                                                                
                                                                                	sub id
                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.operator = None
                                                                                    self.sub_id = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.operator is not None:
                                                                                        return True

                                                                                    if self.sub_id is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nas_port_array is not None:
                                                                                    for child_ref in self.nas_port_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                        class ServiceName(object):
                                                                            """
                                                                            Service Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                        class ServiceNameRegex(object):
                                                                            """
                                                                            Service Name Regular Exp
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                        class SrcAddrIpv4(object):
                                                                            """
                                                                            Source Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                        class DstAddrIpv4(object):
                                                                            """
                                                                            Destination Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                        class SrcAddrIpv6(object):
                                                                            """
                                                                            Source Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                        class DstAddrIpv6(object):
                                                                            """
                                                                            Destination Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                        class SrcAddrMac(object):
                                                                            """
                                                                            Source Address MAC
                                                                            
                                                                            .. attribute:: mac_addr_array
                                                                            
                                                                            	mac addr array
                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr_array = YList()
                                                                                self.mac_addr_array.parent = self
                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                            class MacAddrArray(object):
                                                                                """
                                                                                mac addr array
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr_array is not None:
                                                                                    for child_ref in self.mac_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                        class Timer(object):
                                                                            """
                                                                            Timer
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                        class TimerRegexp(object):
                                                                            """
                                                                            Timer Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                        class TunnelName(object):
                                                                            """
                                                                            Tunnel Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                        class TunnelNameRegex(object):
                                                                            """
                                                                            Tunnel Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                        class UserName(object):
                                                                            """
                                                                            User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                        class UserNameRegex(object):
                                                                            """
                                                                            User Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                        class AuthUsername(object):
                                                                            """
                                                                            Authenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                        class AuthUsernameRegex(object):
                                                                            """
                                                                            Authenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                        class UnauthUsername(object):
                                                                            """
                                                                            Unauthenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                        class UnauthUsernameRegex(object):
                                                                            """
                                                                            Unauthenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                        class AuthDomain(object):
                                                                            """
                                                                            Authenticated domain name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                        class AuthDomainRegex(object):
                                                                            """
                                                                            Authenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                        class UnauthDomain(object):
                                                                            """
                                                                            Unauthenticated Domain Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                        class UnauthDomainRegex(object):
                                                                            """
                                                                            Unauthenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                        class VendorId(object):
                                                                            """
                                                                            Vendor ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                        class VendorIdRegex(object):
                                                                            """
                                                                            Vendor ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                        class AccessInterface(object):
                                                                            """
                                                                            Access interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                        class InputInterface(object):
                                                                            """
                                                                            Input interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                        class InputIntfhdl(object):
                                                                            """
                                                                            Input interface handle
                                                                            
                                                                            .. attribute:: uint64_array
                                                                            
                                                                            	uint64 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint64_array = YLeafList()
                                                                                self.uint64_array.parent = self
                                                                                self.uint64_array.name = 'uint64_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint64_array is not None:
                                                                                    for child in self.uint64_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                        class Ethertype(object):
                                                                            """
                                                                            Ethernet type
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                        class FlowKeyData(object):
                                                                            """
                                                                            Flow key structure
                                                                            
                                                                            .. attribute:: flow_keys
                                                                            
                                                                            	flow keys
                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                            
                                                                            .. attribute:: idle_timeout
                                                                            
                                                                            	Idle timeout of flows (in seconds)
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            .. attribute:: max_count
                                                                            
                                                                            	Maximum count of flows
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                self.flow_keys.parent = self
                                                                                self.idle_timeout = None
                                                                                self.max_count = None


                                                                            class FlowKeys(object):
                                                                                """
                                                                                flow keys
                                                                                
                                                                                .. attribute:: keys
                                                                                
                                                                                	keys
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                
                                                                                .. attribute:: num
                                                                                
                                                                                	num
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.keys = None
                                                                                    self.num = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.keys is not None:
                                                                                        return True

                                                                                    if self.num is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                    return True

                                                                                if self.idle_timeout is not None:
                                                                                    return True

                                                                                if self.max_count is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                        class DhcpClientId(object):
                                                                            """
                                                                            Dhcp Client ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                        class DhcpClientIdRegex(object):
                                                                            """
                                                                            Dhcp Client ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                        class CircuitId(object):
                                                                            """
                                                                            Circuit ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                        class CircuitIdRegex(object):
                                                                            """
                                                                            Circuit ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                        class RemoteId(object):
                                                                            """
                                                                            Remote ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                        class RemoteIdRegex(object):
                                                                            """
                                                                            Remote ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                        class SrcPort(object):
                                                                            """
                                                                            Source port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                        class DstPort(object):
                                                                            """
                                                                            Destination port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                return True

                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                return True

                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                return True

                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                return True

                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                return True

                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                return True

                                                                            if self.authen_status is not None:
                                                                                return True

                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                return True

                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                return True

                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                return True

                                                                            if self.cos is not None and self.cos._has_data():
                                                                                return True

                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                return True

                                                                            if self.dei is not None and self.dei._has_data():
                                                                                return True

                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                return True

                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                return True

                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                return True

                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                return True

                                                                            if self.domain is not None and self.domain._has_data():
                                                                                return True

                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                return True

                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                return True

                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                return True

                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                return True

                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                return True

                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                return True

                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                return True

                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                return True

                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                return True

                                                                            if self.fragment_type is not None:
                                                                                return True

                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                return True

                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                return True

                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                return True

                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                return True

                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                return True

                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                return True

                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                return True

                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                return True

                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                return True

                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                return True

                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                return True

                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                return True

                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                return True

                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                return True

                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                return True

                                                                            if self.mlp_negotiated is not None:
                                                                                return True

                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                return True

                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                return True

                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                return True

                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                return True

                                                                            if self.mpls_top_eos is not None:
                                                                                return True

                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                return True

                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                return True

                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                return True

                                                                            if self.prec is not None and self.prec._has_data():
                                                                                return True

                                                                            if self.proto is not None and self.proto._has_data():
                                                                                return True

                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                return True

                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                return True

                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                return True

                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                return True

                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                return True

                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                return True

                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                return True

                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                return True

                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                return True

                                                                            if self.timer is not None and self.timer._has_data():
                                                                                return True

                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                return True

                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                return True

                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                return True

                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                return True

                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                return True

                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                return True

                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                return True

                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                return True

                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                return True

                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                return True

                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                return True

                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                return True

                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_match_info_st is not None:
                                                                        for child_ref in self.class_match_info_st:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.flags is not None:
                                                                    return True

                                                                if self.match_count is not None:
                                                                    return True

                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                    return True

                                                                if self.mode is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cl-encode'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.class_name is not None:
                                                                return True

                                                            if self.enc is not None:
                                                                return True

                                                            if self.hd is not None:
                                                                return True

                                                            if self.idx is not None:
                                                                return True

                                                            if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']


                                                    class ClmpP(object):
                                                        """
                                                        clmp p
                                                        
                                                        .. attribute:: class_map_bg
                                                        
                                                        	class map bg
                                                        	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.class_map_bg = YList()
                                                            self.class_map_bg.parent = self
                                                            self.class_map_bg.name = 'class_map_bg'


                                                        class ClassMapBg(object):
                                                            """
                                                            class map bg
                                                            
                                                            .. attribute:: chk_sum
                                                            
                                                            	MD5 checksum of the encoded class\-map bag
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..16
                                                            
                                                            .. attribute:: description
                                                            
                                                            	description
                                                            	**type**\:  str
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	Class\-Map Internal
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: magic
                                                            
                                                            	Magic number on top of class\-map bag
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_count
                                                            
                                                            	Number of Match infos
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: match_infop
                                                            
                                                            	Pointer to the first Match info
                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop>`
                                                            
                                                            .. attribute:: mode
                                                            
                                                            	Class\-Map Mode Match any/Match all
                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                            
                                                            .. attribute:: name
                                                            
                                                            	Name of the class\-map
                                                            	**type**\:  str
                                                            
                                                            	**length:** 0..65
                                                            
                                                            .. attribute:: type
                                                            
                                                            	Class\-Map Type QoS/PBR/Netflow/..
                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.chk_sum = None
                                                                self.description = None
                                                                self.flags = None
                                                                self.magic = None
                                                                self.match_count = None
                                                                self.match_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop()
                                                                self.match_infop.parent = self
                                                                self.mode = None
                                                                self.name = None
                                                                self.type = None


                                                            class MatchInfop(object):
                                                                """
                                                                Pointer to the first Match info
                                                                
                                                                .. attribute:: class_match_info_st
                                                                
                                                                	class match info st
                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.class_match_info_st = YList()
                                                                    self.class_match_info_st.parent = self
                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                class ClassMatchInfoSt(object):
                                                                    """
                                                                    class match info st
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	Flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: match_data
                                                                    
                                                                    	Match criteria
                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flags = None
                                                                        self.match_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                        self.match_data.parent = self


                                                                    class MatchData(object):
                                                                        """
                                                                        Match criteria
                                                                        
                                                                        .. attribute:: access_interface
                                                                        
                                                                        	Access interface
                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                        
                                                                        .. attribute:: atm_clp
                                                                        
                                                                        	Match ATM CLP level
                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                        
                                                                        .. attribute:: auth_domain
                                                                        
                                                                        	Authenticated domain name
                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                        
                                                                        .. attribute:: auth_domain_regex
                                                                        
                                                                        	Authenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                        
                                                                        .. attribute:: auth_username
                                                                        
                                                                        	Authenticated User Name
                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                        
                                                                        .. attribute:: auth_username_regex
                                                                        
                                                                        	Authenticated User Name RegEx
                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                        
                                                                        .. attribute:: authen_status
                                                                        
                                                                        	Authentication Status
                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                        
                                                                        .. attribute:: avail_id
                                                                        
                                                                        	Available Identifiers
                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                        
                                                                        .. attribute:: circuit_id
                                                                        
                                                                        	Circuit ID
                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                        
                                                                        .. attribute:: circuit_id_regex
                                                                        
                                                                        	Circuit ID RegEx
                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                        
                                                                        .. attribute:: cos
                                                                        
                                                                        	Match CoS array
                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                        
                                                                        .. attribute:: cos_inr
                                                                        
                                                                        	Match inner header CoS
                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                        
                                                                        .. attribute:: dei
                                                                        
                                                                        	Match DEI Bit
                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                        
                                                                        .. attribute:: dei_inr
                                                                        
                                                                        	Match inner DEI Bit
                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                        
                                                                        .. attribute:: dhcp_client_id
                                                                        
                                                                        	Dhcp Client ID
                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                        
                                                                        .. attribute:: dhcp_client_id_regex
                                                                        
                                                                        	Dhcp Client ID RegEx
                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                        
                                                                        .. attribute:: discard_class
                                                                        
                                                                        	Match Discard Class array
                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                        
                                                                        .. attribute:: dnis
                                                                        
                                                                        	DNIS
                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                        
                                                                        .. attribute:: dnis_regex
                                                                        
                                                                        	DNIS Regular Expression
                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                        
                                                                        .. attribute:: domain
                                                                        
                                                                        	Domain Name
                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                        
                                                                        .. attribute:: domain_regex
                                                                        
                                                                        	Domain Regular Expression
                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                        
                                                                        .. attribute:: dscp
                                                                        
                                                                        	Match DSCP range array
                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv4
                                                                        
                                                                        	Destination Address IPV4
                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                        
                                                                        .. attribute:: dst_addr_ipv6
                                                                        
                                                                        	Destination Address IPV6
                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                        
                                                                        .. attribute:: dst_mac
                                                                        
                                                                        	Match Destination MAC address
                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                        
                                                                        .. attribute:: dst_port
                                                                        
                                                                        	Destination port
                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                        
                                                                        .. attribute:: ether_service_acl
                                                                        
                                                                        	Ethernet\-Services Access\-list
                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                        
                                                                        .. attribute:: ethertype
                                                                        
                                                                        	Ethernet type
                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                        
                                                                        .. attribute:: flow_key_data
                                                                        
                                                                        	Flow key structure
                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                        
                                                                        .. attribute:: flow_tag
                                                                        
                                                                        	Match flow\-tag array
                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                        
                                                                        .. attribute:: fr_de
                                                                        
                                                                        	Match FR DE value
                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                        
                                                                        .. attribute:: fr_dlci
                                                                        
                                                                        	Match FR DLCI range array
                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                        
                                                                        .. attribute:: fragment_type
                                                                        
                                                                        	Fragment type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: icmp_v4
                                                                        
                                                                        	Match ICMPV4 Protocol
                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                        
                                                                        .. attribute:: icmp_v6
                                                                        
                                                                        	Match ICMPV6 Protocol array
                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                        
                                                                        .. attribute:: icmpv4_code
                                                                        
                                                                        	Match ipv4 icmp code
                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                        
                                                                        .. attribute:: icmpv4_type
                                                                        
                                                                        	Match ipv4 icmp type
                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                        
                                                                        .. attribute:: icmpv6_code
                                                                        
                                                                        	Match ipv6 icmp code
                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                        
                                                                        .. attribute:: icmpv6_type
                                                                        
                                                                        	Match ipv6 icmp type
                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                        
                                                                        .. attribute:: input_interface
                                                                        
                                                                        	Input interface
                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                        
                                                                        .. attribute:: input_intfhdl
                                                                        
                                                                        	Input interface handle
                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                        
                                                                        .. attribute:: ipv4_acl
                                                                        
                                                                        	IPv4 Access\-list
                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                        
                                                                        .. attribute:: ipv4_dscp
                                                                        
                                                                        	IPv4 DSCP
                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                        
                                                                        .. attribute:: ipv4_packet_len
                                                                        
                                                                        	IPv4 packet length array
                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                        
                                                                        .. attribute:: ipv4_prec
                                                                        
                                                                        	IPv4 Precedence
                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                        
                                                                        .. attribute:: ipv6_acl
                                                                        
                                                                        	IPv6 Access\-list
                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                        
                                                                        .. attribute:: ipv6_dscp
                                                                        
                                                                        	IPv6 DSCP
                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                        
                                                                        .. attribute:: ipv6_packet_len
                                                                        
                                                                        	IPv6 packet length array
                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                        
                                                                        .. attribute:: ipv6_prec
                                                                        
                                                                        	IPv6 Precedence
                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                        
                                                                        .. attribute:: media_type
                                                                        
                                                                        	Media Type
                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                        
                                                                        .. attribute:: mlp_negotiated
                                                                        
                                                                        	MLP Negotiated
                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                        
                                                                        	MPLS Disposition IPv4 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                        
                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                        
                                                                        	MPLS Disposition IPv6 Access\-list
                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                        
                                                                        .. attribute:: mpls_exp
                                                                        
                                                                        	Match MPLS experimental topmost array
                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                        
                                                                        .. attribute:: mpls_exp_imp
                                                                        
                                                                        	Match MPLS experimental imposition array
                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                        
                                                                        .. attribute:: mpls_top_eos
                                                                        
                                                                        	MPLS Topmost EOS
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: mpls_top_label
                                                                        
                                                                        	MPLS Topmost LABEL
                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                        
                                                                        .. attribute:: nas_port
                                                                        
                                                                        	NAS Port
                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                        
                                                                        .. attribute:: packet_len
                                                                        
                                                                        	Match packet length array
                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                        
                                                                        .. attribute:: prec
                                                                        
                                                                        	Match Precedence array
                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                        
                                                                        .. attribute:: proto
                                                                        
                                                                        	Match Protocol array
                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                        
                                                                        .. attribute:: qos_group
                                                                        
                                                                        	Match QoS group array
                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                        
                                                                        .. attribute:: remote_id
                                                                        
                                                                        	Remote ID
                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                        
                                                                        .. attribute:: remote_id_regex
                                                                        
                                                                        	Remote ID RegEx
                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                        
                                                                        .. attribute:: service_name
                                                                        
                                                                        	Service Name
                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                        
                                                                        .. attribute:: service_name_regex
                                                                        
                                                                        	Service Name Regular Exp
                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                        
                                                                        .. attribute:: src_addr_ipv4
                                                                        
                                                                        	Source Address IPV4
                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                        
                                                                        .. attribute:: src_addr_ipv6
                                                                        
                                                                        	Source Address IPV6
                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                        
                                                                        .. attribute:: src_addr_mac
                                                                        
                                                                        	Source Address MAC
                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                        
                                                                        .. attribute:: src_mac
                                                                        
                                                                        	Match Source MAC address
                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                        
                                                                        .. attribute:: src_port
                                                                        
                                                                        	Source port
                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                        
                                                                        .. attribute:: subs_protocol
                                                                        
                                                                        	Protocol
                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                        
                                                                        .. attribute:: tcp_flag
                                                                        
                                                                        	Match tcp flag value
                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                        
                                                                        .. attribute:: timer
                                                                        
                                                                        	Timer
                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                        
                                                                        .. attribute:: timer_regexp
                                                                        
                                                                        	Timer Regular Expression
                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                        
                                                                        .. attribute:: traffic_class
                                                                        
                                                                        	Match Traffic class array
                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                        
                                                                        .. attribute:: tunnel_name
                                                                        
                                                                        	Tunnel Name
                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                        
                                                                        .. attribute:: tunnel_name_regex
                                                                        
                                                                        	Tunnel Name Regular Expression
                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                        
                                                                        .. attribute:: unauth_domain
                                                                        
                                                                        	Unauthenticated Domain Name
                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                        
                                                                        .. attribute:: unauth_domain_regex
                                                                        
                                                                        	Unauthenticated Domain Name RegEx
                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                        
                                                                        .. attribute:: unauth_username
                                                                        
                                                                        	Unauthenticated User Name
                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                        
                                                                        .. attribute:: unauth_username_regex
                                                                        
                                                                        	Unauthenticated User Name RegEx
                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                        
                                                                        .. attribute:: user_name
                                                                        
                                                                        	User Name
                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                        
                                                                        .. attribute:: user_name_regex
                                                                        
                                                                        	User Name Regular Expression
                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                        
                                                                        .. attribute:: vendor_id
                                                                        
                                                                        	Vendor ID
                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                        
                                                                        .. attribute:: vendor_id_regex
                                                                        
                                                                        	Vendor ID RegEx
                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                        
                                                                        .. attribute:: vlan
                                                                        
                                                                        	Match VLAN array
                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                        
                                                                        .. attribute:: vlan_inr
                                                                        
                                                                        	Match inner header VLAN range array
                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.access_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                            self.access_interface.parent = self
                                                                            self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                            self.atm_clp.parent = self
                                                                            self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                            self.auth_domain.parent = self
                                                                            self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                            self.auth_domain_regex.parent = self
                                                                            self.auth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                            self.auth_username.parent = self
                                                                            self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                            self.auth_username_regex.parent = self
                                                                            self.authen_status = None
                                                                            self.avail_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                            self.avail_id.parent = self
                                                                            self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                            self.circuit_id.parent = self
                                                                            self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                            self.circuit_id_regex.parent = self
                                                                            self.cos = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                            self.cos.parent = self
                                                                            self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                            self.cos_inr.parent = self
                                                                            self.dei = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                            self.dei.parent = self
                                                                            self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                            self.dei_inr.parent = self
                                                                            self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                            self.dhcp_client_id.parent = self
                                                                            self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                            self.dhcp_client_id_regex.parent = self
                                                                            self.discard_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                            self.discard_class.parent = self
                                                                            self.dnis = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                            self.dnis.parent = self
                                                                            self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                            self.dnis_regex.parent = self
                                                                            self.domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                            self.domain.parent = self
                                                                            self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                            self.domain_regex.parent = self
                                                                            self.dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                            self.dscp.parent = self
                                                                            self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                            self.dst_addr_ipv4.parent = self
                                                                            self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                            self.dst_addr_ipv6.parent = self
                                                                            self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                            self.dst_mac.parent = self
                                                                            self.dst_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                            self.dst_port.parent = self
                                                                            self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                            self.ether_service_acl.parent = self
                                                                            self.ethertype = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                            self.ethertype.parent = self
                                                                            self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                            self.flow_key_data.parent = self
                                                                            self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                            self.flow_tag.parent = self
                                                                            self.fr_de = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                            self.fr_de.parent = self
                                                                            self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                            self.fr_dlci.parent = self
                                                                            self.fragment_type = None
                                                                            self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                            self.icmp_v4.parent = self
                                                                            self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                            self.icmp_v6.parent = self
                                                                            self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                            self.icmpv4_code.parent = self
                                                                            self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                            self.icmpv4_type.parent = self
                                                                            self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                            self.icmpv6_code.parent = self
                                                                            self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                            self.icmpv6_type.parent = self
                                                                            self.input_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                            self.input_interface.parent = self
                                                                            self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                            self.input_intfhdl.parent = self
                                                                            self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                            self.ipv4_acl.parent = self
                                                                            self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                            self.ipv4_dscp.parent = self
                                                                            self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                            self.ipv4_packet_len.parent = self
                                                                            self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                            self.ipv4_prec.parent = self
                                                                            self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                            self.ipv6_acl.parent = self
                                                                            self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                            self.ipv6_dscp.parent = self
                                                                            self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                            self.ipv6_packet_len.parent = self
                                                                            self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                            self.ipv6_prec.parent = self
                                                                            self.media_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                            self.media_type.parent = self
                                                                            self.mlp_negotiated = None
                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                            self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                            self.mpls_exp.parent = self
                                                                            self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                            self.mpls_exp_imp.parent = self
                                                                            self.mpls_top_eos = None
                                                                            self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                            self.mpls_top_label.parent = self
                                                                            self.nas_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                            self.nas_port.parent = self
                                                                            self.packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                            self.packet_len.parent = self
                                                                            self.prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                            self.prec.parent = self
                                                                            self.proto = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                            self.proto.parent = self
                                                                            self.qos_group = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                            self.qos_group.parent = self
                                                                            self.remote_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                            self.remote_id.parent = self
                                                                            self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                            self.remote_id_regex.parent = self
                                                                            self.service_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                            self.service_name.parent = self
                                                                            self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                            self.service_name_regex.parent = self
                                                                            self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                            self.src_addr_ipv4.parent = self
                                                                            self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                            self.src_addr_ipv6.parent = self
                                                                            self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                            self.src_addr_mac.parent = self
                                                                            self.src_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                            self.src_mac.parent = self
                                                                            self.src_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                            self.src_port.parent = self
                                                                            self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                            self.subs_protocol.parent = self
                                                                            self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                            self.tcp_flag.parent = self
                                                                            self.timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                            self.timer.parent = self
                                                                            self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                            self.timer_regexp.parent = self
                                                                            self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                            self.traffic_class.parent = self
                                                                            self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                            self.tunnel_name.parent = self
                                                                            self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                            self.tunnel_name_regex.parent = self
                                                                            self.type = None
                                                                            self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                            self.unauth_domain.parent = self
                                                                            self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                            self.unauth_domain_regex.parent = self
                                                                            self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                            self.unauth_username.parent = self
                                                                            self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                            self.unauth_username_regex.parent = self
                                                                            self.user_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                            self.user_name.parent = self
                                                                            self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                            self.user_name_regex.parent = self
                                                                            self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                            self.vendor_id.parent = self
                                                                            self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                            self.vendor_id_regex.parent = self
                                                                            self.vlan = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                            self.vlan.parent = self
                                                                            self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                            self.vlan_inr.parent = self


                                                                        class Ipv4Dscp(object):
                                                                            """
                                                                            IPv4 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                        class Ipv6Dscp(object):
                                                                            """
                                                                            IPv6 DSCP
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                        class Dscp(object):
                                                                            """
                                                                            Match DSCP range array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                        class Ipv4Prec(object):
                                                                            """
                                                                            IPv4 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                        class Ipv6Prec(object):
                                                                            """
                                                                            IPv6 Precedence
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                        class Prec(object):
                                                                            """
                                                                            Match Precedence array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                        class DiscardClass(object):
                                                                            """
                                                                            Match Discard Class array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                        class QosGroup(object):
                                                                            """
                                                                            Match QoS group array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                        class TrafficClass(object):
                                                                            """
                                                                            Match Traffic class array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                        class Proto(object):
                                                                            """
                                                                            Match Protocol array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                        class IcmpV4(object):
                                                                            """
                                                                            Match ICMPV4 Protocol
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                        class IcmpV6(object):
                                                                            """
                                                                            Match ICMPV6 Protocol array
                                                                            
                                                                            .. attribute:: code
                                                                            
                                                                            	Protocol code
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Protocol type
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.code = None
                                                                                self.type = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.code is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                        class Ipv4PacketLen(object):
                                                                            """
                                                                            IPv4 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                        class Ipv6PacketLen(object):
                                                                            """
                                                                            IPv6 packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                        class PacketLen(object):
                                                                            """
                                                                            Match packet length array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                        class FlowTag(object):
                                                                            """
                                                                            Match flow\-tag array
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                        class TcpFlag(object):
                                                                            """
                                                                            Match tcp flag value
                                                                            
                                                                            .. attribute:: match_any
                                                                            
                                                                            	Match any TCP flag bit
                                                                            	**type**\:  bool
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	Value of TCP flag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.match_any = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.match_any is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                        class Icmpv4Type(object):
                                                                            """
                                                                            Match ipv4 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                        class Icmpv4Code(object):
                                                                            """
                                                                            Match ipv4 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                        class Icmpv6Type(object):
                                                                            """
                                                                            Match ipv6 icmp type
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                        class Icmpv6Code(object):
                                                                            """
                                                                            Match ipv6 icmp code
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                        class MplsExp(object):
                                                                            """
                                                                            Match MPLS experimental topmost array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                        class MplsExpImp(object):
                                                                            """
                                                                            Match MPLS experimental imposition array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                        class MplsDispIpv4Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                        class MplsDispIpv6Acl(object):
                                                                            """
                                                                            MPLS Disposition IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                        class MplsTopLabel(object):
                                                                            """
                                                                            MPLS Topmost LABEL
                                                                            
                                                                            .. attribute:: uint32_rng_array
                                                                            
                                                                            	uint32 rng array
                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint32_rng_array = YList()
                                                                                self.uint32_rng_array.parent = self
                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                            class Uint32_Rng_Array(object):
                                                                                """
                                                                                uint32 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint32_rng_array is not None:
                                                                                    for child_ref in self.uint32_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                        class Cos(object):
                                                                            """
                                                                            Match CoS array
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                        class CosInr(object):
                                                                            """
                                                                            Match inner header CoS
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                        class Dei(object):
                                                                            """
                                                                            Match DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                        class DeiInr(object):
                                                                            """
                                                                            Match inner DEI Bit
                                                                            
                                                                            .. attribute:: bit_value
                                                                            
                                                                            	Value of the DEI bit
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.bit_value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.bit_value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                        class Vlan(object):
                                                                            """
                                                                            Match VLAN array
                                                                            
                                                                            .. attribute:: vlan_id_array
                                                                            
                                                                            	vlan id array
                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.vlan_id_array = YList()
                                                                                self.vlan_id_array.parent = self
                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                            class VlanIdArray(object):
                                                                                """
                                                                                vlan id array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	VLAN mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.vlan_id_array is not None:
                                                                                    for child_ref in self.vlan_id_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                        class VlanInr(object):
                                                                            """
                                                                            Match inner header VLAN range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                        class FrDlci(object):
                                                                            """
                                                                            Match FR DLCI range array
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                        class SrcMac(object):
                                                                            """
                                                                            Match Source MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                        class DstMac(object):
                                                                            """
                                                                            Match Destination MAC address
                                                                            
                                                                            .. attribute:: mac_addr
                                                                            
                                                                            	MAC address
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            .. attribute:: mask
                                                                            
                                                                            	MAC mask
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr = YLeafList()
                                                                                self.mac_addr.parent = self
                                                                                self.mac_addr.name = 'mac_addr'
                                                                                self.mask = YLeafList()
                                                                                self.mask.parent = self
                                                                                self.mask.name = 'mask'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr is not None:
                                                                                    for child in self.mac_addr:
                                                                                        if child is not None:
                                                                                            return True

                                                                                if self.mask is not None:
                                                                                    for child in self.mask:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                        class AtmClp(object):
                                                                            """
                                                                            Match ATM CLP level
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                        class FrDe(object):
                                                                            """
                                                                            Match FR DE value
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                        class Ipv4Acl(object):
                                                                            """
                                                                            IPv4 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                        class Ipv6Acl(object):
                                                                            """
                                                                            IPv6 Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                        class EtherServiceAcl(object):
                                                                            """
                                                                            Ethernet\-Services Access\-list
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                        class AvailId(object):
                                                                            """
                                                                            Available Identifiers
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                        class MediaType(object):
                                                                            """
                                                                            Media Type
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                        class SubsProtocol(object):
                                                                            """
                                                                            Protocol
                                                                            
                                                                            .. attribute:: uint8_array
                                                                            
                                                                            	uint8 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..255
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_array = YLeafList()
                                                                                self.uint8_array.parent = self
                                                                                self.uint8_array.name = 'uint8_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_array is not None:
                                                                                    for child in self.uint8_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                        class Dnis(object):
                                                                            """
                                                                            DNIS
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                        class DnisRegex(object):
                                                                            """
                                                                            DNIS Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                        class Domain(object):
                                                                            """
                                                                            Domain Name
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                        class DomainRegex(object):
                                                                            """
                                                                            Domain Regular Expression
                                                                            
                                                                            .. attribute:: domain_array
                                                                            
                                                                            	domain array
                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.domain_array = YList()
                                                                                self.domain_array.parent = self
                                                                                self.domain_array.name = 'domain_array'


                                                                            class DomainArray(object):
                                                                                """
                                                                                domain array
                                                                                
                                                                                .. attribute:: domain_name
                                                                                
                                                                                	domain name
                                                                                	**type**\:  str
                                                                                
                                                                                .. attribute:: format_name
                                                                                
                                                                                	format name
                                                                                	**type**\:  str
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.domain_name = None
                                                                                    self.format_name = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.domain_name is not None:
                                                                                        return True

                                                                                    if self.format_name is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.domain_array is not None:
                                                                                    for child_ref in self.domain_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                        class NasPort(object):
                                                                            """
                                                                            NAS Port
                                                                            
                                                                            .. attribute:: nas_port_array
                                                                            
                                                                            	nas port array
                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.nas_port_array = YList()
                                                                                self.nas_port_array.parent = self
                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                            class NasPortArray(object):
                                                                                """
                                                                                nas port array
                                                                                
                                                                                .. attribute:: operator
                                                                                
                                                                                	operator
                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                
                                                                                .. attribute:: sub_id
                                                                                
                                                                                	sub id
                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.operator = None
                                                                                    self.sub_id = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.operator is not None:
                                                                                        return True

                                                                                    if self.sub_id is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.nas_port_array is not None:
                                                                                    for child_ref in self.nas_port_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                        class ServiceName(object):
                                                                            """
                                                                            Service Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                        class ServiceNameRegex(object):
                                                                            """
                                                                            Service Name Regular Exp
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                        class SrcAddrIpv4(object):
                                                                            """
                                                                            Source Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                        class DstAddrIpv4(object):
                                                                            """
                                                                            Destination Address IPV4
                                                                            
                                                                            .. attribute:: ipv4_addr_array
                                                                            
                                                                            	ipv4 addr array
                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv4_addr_array = YList()
                                                                                self.ipv4_addr_array.parent = self
                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                            class Ipv4AddrArray(object):
                                                                                """
                                                                                ipv4 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	mask
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv4_addr_array is not None:
                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                        class SrcAddrIpv6(object):
                                                                            """
                                                                            Source Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                        class DstAddrIpv6(object):
                                                                            """
                                                                            Destination Address IPV6
                                                                            
                                                                            .. attribute:: ipv6_addr_array
                                                                            
                                                                            	ipv6 addr array
                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.ipv6_addr_array = YList()
                                                                                self.ipv6_addr_array.parent = self
                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                            class Ipv6AddrArray(object):
                                                                                """
                                                                                ipv6 addr array
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	IPV6 mask
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: prefix
                                                                                
                                                                                	IPV6 prefix
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mask = None
                                                                                    self.prefix = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mask is not None:
                                                                                        return True

                                                                                    if self.prefix is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.ipv6_addr_array is not None:
                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                        class SrcAddrMac(object):
                                                                            """
                                                                            Source Address MAC
                                                                            
                                                                            .. attribute:: mac_addr_array
                                                                            
                                                                            	mac addr array
                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mac_addr_array = YList()
                                                                                self.mac_addr_array.parent = self
                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                            class MacAddrArray(object):
                                                                                """
                                                                                mac addr array
                                                                                
                                                                                .. attribute:: mac_addr
                                                                                
                                                                                	MAC address
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: mask
                                                                                
                                                                                	MAC mask
                                                                                	**type**\:  list of int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mac_addr = YLeafList()
                                                                                    self.mac_addr.parent = self
                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                    self.mask = YLeafList()
                                                                                    self.mask.parent = self
                                                                                    self.mask.name = 'mask'

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mac_addr is not None:
                                                                                        for child in self.mac_addr:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    if self.mask is not None:
                                                                                        for child in self.mask:
                                                                                            if child is not None:
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mac_addr_array is not None:
                                                                                    for child_ref in self.mac_addr_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                        class Timer(object):
                                                                            """
                                                                            Timer
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                        class TimerRegexp(object):
                                                                            """
                                                                            Timer Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                        class TunnelName(object):
                                                                            """
                                                                            Tunnel Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                        class TunnelNameRegex(object):
                                                                            """
                                                                            Tunnel Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                        class UserName(object):
                                                                            """
                                                                            User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                        class UserNameRegex(object):
                                                                            """
                                                                            User Name Regular Expression
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                        class AuthUsername(object):
                                                                            """
                                                                            Authenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                        class AuthUsernameRegex(object):
                                                                            """
                                                                            Authenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                        class UnauthUsername(object):
                                                                            """
                                                                            Unauthenticated User Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                        class UnauthUsernameRegex(object):
                                                                            """
                                                                            Unauthenticated User Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                        class AuthDomain(object):
                                                                            """
                                                                            Authenticated domain name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                        class AuthDomainRegex(object):
                                                                            """
                                                                            Authenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                        class UnauthDomain(object):
                                                                            """
                                                                            Unauthenticated Domain Name
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                        class UnauthDomainRegex(object):
                                                                            """
                                                                            Unauthenticated Domain Name RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                        class VendorId(object):
                                                                            """
                                                                            Vendor ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                        class VendorIdRegex(object):
                                                                            """
                                                                            Vendor ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                        class AccessInterface(object):
                                                                            """
                                                                            Access interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                        class InputInterface(object):
                                                                            """
                                                                            Input interface
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                        class InputIntfhdl(object):
                                                                            """
                                                                            Input interface handle
                                                                            
                                                                            .. attribute:: uint64_array
                                                                            
                                                                            	uint64 array
                                                                            	**type**\:  list of int
                                                                            
                                                                            	**range:** 0..18446744073709551615
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint64_array = YLeafList()
                                                                                self.uint64_array.parent = self
                                                                                self.uint64_array.name = 'uint64_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint64_array is not None:
                                                                                    for child in self.uint64_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                        class Ethertype(object):
                                                                            """
                                                                            Ethernet type
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                        class FlowKeyData(object):
                                                                            """
                                                                            Flow key structure
                                                                            
                                                                            .. attribute:: flow_keys
                                                                            
                                                                            	flow keys
                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                            
                                                                            .. attribute:: idle_timeout
                                                                            
                                                                            	Idle timeout of flows (in seconds)
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            	**units**\: second
                                                                            
                                                                            .. attribute:: max_count
                                                                            
                                                                            	Maximum count of flows
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..65535
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                self.flow_keys.parent = self
                                                                                self.idle_timeout = None
                                                                                self.max_count = None


                                                                            class FlowKeys(object):
                                                                                """
                                                                                flow keys
                                                                                
                                                                                .. attribute:: keys
                                                                                
                                                                                	keys
                                                                                	**type**\:  str
                                                                                
                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                
                                                                                .. attribute:: num
                                                                                
                                                                                	num
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.keys = None
                                                                                    self.num = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.keys is not None:
                                                                                        return True

                                                                                    if self.num is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                    return True

                                                                                if self.idle_timeout is not None:
                                                                                    return True

                                                                                if self.max_count is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                        class DhcpClientId(object):
                                                                            """
                                                                            Dhcp Client ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                        class DhcpClientIdRegex(object):
                                                                            """
                                                                            Dhcp Client ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                        class CircuitId(object):
                                                                            """
                                                                            Circuit ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                        class CircuitIdRegex(object):
                                                                            """
                                                                            Circuit ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                        class RemoteId(object):
                                                                            """
                                                                            Remote ID
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                        class RemoteIdRegex(object):
                                                                            """
                                                                            Remote ID RegEx
                                                                            
                                                                            .. attribute:: string_array
                                                                            
                                                                            	string array
                                                                            	**type**\:  list of str
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.string_array = YLeafList()
                                                                                self.string_array.parent = self
                                                                                self.string_array.name = 'string_array'

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.string_array is not None:
                                                                                    for child in self.string_array:
                                                                                        if child is not None:
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                        class SrcPort(object):
                                                                            """
                                                                            Source port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                        class DstPort(object):
                                                                            """
                                                                            Destination port
                                                                            
                                                                            .. attribute:: uint16_rng_array
                                                                            
                                                                            	uint16 rng array
                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint16_rng_array = YList()
                                                                                self.uint16_rng_array.parent = self
                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                            class Uint16_Rng_Array(object):
                                                                                """
                                                                                uint16 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint16_rng_array is not None:
                                                                                    for child_ref in self.uint16_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                return True

                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                return True

                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                return True

                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                return True

                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                return True

                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                return True

                                                                            if self.authen_status is not None:
                                                                                return True

                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                return True

                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                return True

                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                return True

                                                                            if self.cos is not None and self.cos._has_data():
                                                                                return True

                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                return True

                                                                            if self.dei is not None and self.dei._has_data():
                                                                                return True

                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                return True

                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                return True

                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                return True

                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                return True

                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                return True

                                                                            if self.domain is not None and self.domain._has_data():
                                                                                return True

                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                return True

                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                return True

                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                return True

                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                return True

                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                return True

                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                return True

                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                return True

                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                return True

                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                return True

                                                                            if self.fragment_type is not None:
                                                                                return True

                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                return True

                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                return True

                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                return True

                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                return True

                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                return True

                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                return True

                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                return True

                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                return True

                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                return True

                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                return True

                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                return True

                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                return True

                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                return True

                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                return True

                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                return True

                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                return True

                                                                            if self.mlp_negotiated is not None:
                                                                                return True

                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                return True

                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                return True

                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                return True

                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                return True

                                                                            if self.mpls_top_eos is not None:
                                                                                return True

                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                return True

                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                return True

                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                return True

                                                                            if self.prec is not None and self.prec._has_data():
                                                                                return True

                                                                            if self.proto is not None and self.proto._has_data():
                                                                                return True

                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                return True

                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                return True

                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                return True

                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                return True

                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                return True

                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                return True

                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                return True

                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                return True

                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                return True

                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                return True

                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                return True

                                                                            if self.timer is not None and self.timer._has_data():
                                                                                return True

                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                return True

                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                return True

                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                return True

                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                return True

                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                return True

                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                return True

                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                return True

                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                return True

                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                return True

                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                return True

                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                return True

                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                return True

                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.class_match_info_st is not None:
                                                                        for child_ref in self.class_match_info_st:
                                                                            if child_ref._has_data():
                                                                                return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.chk_sum is not None:
                                                                    return True

                                                                if self.description is not None:
                                                                    return True

                                                                if self.flags is not None:
                                                                    return True

                                                                if self.magic is not None:
                                                                    return True

                                                                if self.match_count is not None:
                                                                    return True

                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                    return True

                                                                if self.mode is not None:
                                                                    return True

                                                                if self.name is not None:
                                                                    return True

                                                                if self.type is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clmp-p'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.class_map_bg is not None:
                                                                for child_ref in self.class_map_bg:
                                                                    if child_ref._has_data():
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']


                                                    class ActInfop(object):
                                                        """
                                                        act infop
                                                        
                                                        .. attribute:: policy_action_info_st
                                                        
                                                        	policy action info st
                                                        	**type**\: list of    :py:class:`PolicyActionInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'infra-policymgr-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.policy_action_info_st = YList()
                                                            self.policy_action_info_st.parent = self
                                                            self.policy_action_info_st.name = 'policy_action_info_st'


                                                        class PolicyActionInfoSt(object):
                                                            """
                                                            policy action info st
                                                            
                                                            .. attribute:: actp
                                                            
                                                            	actp
                                                            	**type**\:   :py:class:`Actp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp>`
                                                            
                                                            .. attribute:: flags
                                                            
                                                            	flags
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            .. attribute:: seq
                                                            
                                                            	seq
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..65535
                                                            
                                                            

                                                            """

                                                            _prefix = 'infra-policymgr-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.actp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp()
                                                                self.actp.parent = self
                                                                self.flags = None
                                                                self.seq = None


                                                            class Actp(object):
                                                                """
                                                                actp
                                                                
                                                                .. attribute:: accounting_event_aaa
                                                                
                                                                	accounting event aaa
                                                                	**type**\:   :py:class:`AccountingEventAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa>`
                                                                
                                                                .. attribute:: acct_aaa_list
                                                                
                                                                	acct aaa list
                                                                	**type**\:   :py:class:`AcctAaaList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList>`
                                                                
                                                                .. attribute:: act_template
                                                                
                                                                	act template
                                                                	**type**\:   :py:class:`ActTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate>`
                                                                
                                                                .. attribute:: afm_react
                                                                
                                                                	afm react
                                                                	**type**\:   :py:class:`AfmReact <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact>`
                                                                
                                                                .. attribute:: authen_aaa
                                                                
                                                                	authen aaa
                                                                	**type**\:   :py:class:`AuthenAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa>`
                                                                
                                                                .. attribute:: authorize_id
                                                                
                                                                	authorize id
                                                                	**type**\:   :py:class:`AuthorizeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId>`
                                                                
                                                                .. attribute:: bwrem
                                                                
                                                                	bwrem
                                                                	**type**\:   :py:class:`Bwrem <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem>`
                                                                
                                                                .. attribute:: cac
                                                                
                                                                	cac
                                                                	**type**\:   :py:class:`Cac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac>`
                                                                
                                                                .. attribute:: child_policy
                                                                
                                                                	child policy
                                                                	**type**\:   :py:class:`ChildPolicy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy>`
                                                                
                                                                .. attribute:: collect_id
                                                                
                                                                	collect id
                                                                	**type**\:   :py:class:`CollectId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId>`
                                                                
                                                                .. attribute:: copy
                                                                
                                                                	copy
                                                                	**type**\:   :py:class:`Copy <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy>`
                                                                
                                                                .. attribute:: data_p
                                                                
                                                                	data p
                                                                	**type**\:  int
                                                                
                                                                	**range:** 0..4294967295
                                                                
                                                                .. attribute:: deact_template
                                                                
                                                                	deact template
                                                                	**type**\:   :py:class:`DeactTemplate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate>`
                                                                
                                                                .. attribute:: decode_id
                                                                
                                                                	decode id
                                                                	**type**\:   :py:class:`DecodeId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId>`
                                                                
                                                                .. attribute:: encap
                                                                
                                                                	encap
                                                                	**type**\:   :py:class:`Encap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap>`
                                                                
                                                                .. attribute:: flow_parm
                                                                
                                                                	flow parm
                                                                	**type**\:   :py:class:`FlowParm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm>`
                                                                
                                                                .. attribute:: fmm
                                                                
                                                                	fmm
                                                                	**type**\:   :py:class:`Fmm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm>`
                                                                
                                                                .. attribute:: httpr
                                                                
                                                                	httpr
                                                                	**type**\:   :py:class:`Httpr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr>`
                                                                
                                                                .. attribute:: ipcbr
                                                                
                                                                	ipcbr
                                                                	**type**\:   :py:class:`Ipcbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr>`
                                                                
                                                                .. attribute:: ipv4_nh
                                                                
                                                                	ipv4 nh
                                                                	**type**\:   :py:class:`Ipv4Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh>`
                                                                
                                                                .. attribute:: ipv6_nh
                                                                
                                                                	ipv6 nh
                                                                	**type**\:   :py:class:`Ipv6Nh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh>`
                                                                
                                                                .. attribute:: mark
                                                                
                                                                	mark
                                                                	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark>`
                                                                
                                                                .. attribute:: mark2
                                                                
                                                                	mark2
                                                                	**type**\:   :py:class:`Mark2 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2>`
                                                                
                                                                .. attribute:: mdi
                                                                
                                                                	mdi
                                                                	**type**\:   :py:class:`Mdi <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi>`
                                                                
                                                                .. attribute:: mdi_rtp
                                                                
                                                                	mdi rtp
                                                                	**type**\:   :py:class:`MdiRtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp>`
                                                                
                                                                .. attribute:: min_bw
                                                                
                                                                	min bw
                                                                	**type**\:   :py:class:`MinBw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw>`
                                                                
                                                                .. attribute:: out_intf
                                                                
                                                                	out intf
                                                                	**type**\:   :py:class:`OutIntf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf>`
                                                                
                                                                .. attribute:: pbf
                                                                
                                                                	pbf
                                                                	**type**\:   :py:class:`Pbf <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf>`
                                                                
                                                                .. attribute:: pfc
                                                                
                                                                	pfc
                                                                	**type**\:   :py:class:`Pfc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc>`
                                                                
                                                                .. attribute:: police
                                                                
                                                                	police
                                                                	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police>`
                                                                
                                                                .. attribute:: prepaid_cfg
                                                                
                                                                	prepaid cfg
                                                                	**type**\:   :py:class:`PrepaidCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg>`
                                                                
                                                                .. attribute:: prio
                                                                
                                                                	prio
                                                                	**type**\:   :py:class:`Prio <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio>`
                                                                
                                                                .. attribute:: proxy_aaa
                                                                
                                                                	proxy aaa
                                                                	**type**\:   :py:class:`ProxyAaa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa>`
                                                                
                                                                .. attribute:: punt
                                                                
                                                                	punt
                                                                	**type**\:   :py:class:`Punt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt>`
                                                                
                                                                .. attribute:: qlimit
                                                                
                                                                	qlimit
                                                                	**type**\:   :py:class:`Qlimit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit>`
                                                                
                                                                .. attribute:: query_ancp
                                                                
                                                                	query ancp
                                                                	**type**\:   :py:class:`QueryAncp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp>`
                                                                
                                                                .. attribute:: redirect
                                                                
                                                                	redirect
                                                                	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect>`
                                                                
                                                                .. attribute:: rtp
                                                                
                                                                	rtp
                                                                	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp>`
                                                                
                                                                .. attribute:: rtp_j2k
                                                                
                                                                	rtp j2k
                                                                	**type**\:   :py:class:`RtpJ2K <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K>`
                                                                
                                                                .. attribute:: rtp_mmr
                                                                
                                                                	rtp mmr
                                                                	**type**\:   :py:class:`RtpMmr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr>`
                                                                
                                                                .. attribute:: rtp_voice
                                                                
                                                                	rtp voice
                                                                	**type**\:   :py:class:`RtpVoice <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice>`
                                                                
                                                                .. attribute:: serv_func
                                                                
                                                                	serv func
                                                                	**type**\:   :py:class:`ServFunc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc>`
                                                                
                                                                .. attribute:: set_timer
                                                                
                                                                	set timer
                                                                	**type**\:   :py:class:`SetTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer>`
                                                                
                                                                .. attribute:: sfrag
                                                                
                                                                	sfrag
                                                                	**type**\:   :py:class:`Sfrag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag>`
                                                                
                                                                .. attribute:: shape
                                                                
                                                                	shape
                                                                	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape>`
                                                                
                                                                .. attribute:: stop_timer
                                                                
                                                                	stop timer
                                                                	**type**\:   :py:class:`StopTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer>`
                                                                
                                                                .. attribute:: timeout_idle
                                                                
                                                                	timeout idle
                                                                	**type**\:   :py:class:`TimeoutIdle <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle>`
                                                                
                                                                .. attribute:: type
                                                                
                                                                	type
                                                                	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                
                                                                .. attribute:: wred
                                                                
                                                                	wred
                                                                	**type**\:   :py:class:`Wred <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred>`
                                                                
                                                                

                                                                """

                                                                _prefix = 'infra-policymgr-oper'
                                                                _revision = '2015-11-09'

                                                                def __init__(self):
                                                                    self.parent = None
                                                                    self.accounting_event_aaa = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa()
                                                                    self.accounting_event_aaa.parent = self
                                                                    self.acct_aaa_list = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList()
                                                                    self.acct_aaa_list.parent = self
                                                                    self.act_template = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate()
                                                                    self.act_template.parent = self
                                                                    self.afm_react = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact()
                                                                    self.afm_react.parent = self
                                                                    self.authen_aaa = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa()
                                                                    self.authen_aaa.parent = self
                                                                    self.authorize_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId()
                                                                    self.authorize_id.parent = self
                                                                    self.bwrem = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem()
                                                                    self.bwrem.parent = self
                                                                    self.cac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac()
                                                                    self.cac.parent = self
                                                                    self.child_policy = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy()
                                                                    self.child_policy.parent = self
                                                                    self.collect_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId()
                                                                    self.collect_id.parent = self
                                                                    self.copy = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy()
                                                                    self.copy.parent = self
                                                                    self.data_p = None
                                                                    self.deact_template = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate()
                                                                    self.deact_template.parent = self
                                                                    self.decode_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId()
                                                                    self.decode_id.parent = self
                                                                    self.encap = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap()
                                                                    self.encap.parent = self
                                                                    self.flow_parm = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm()
                                                                    self.flow_parm.parent = self
                                                                    self.fmm = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm()
                                                                    self.fmm.parent = self
                                                                    self.httpr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr()
                                                                    self.httpr.parent = self
                                                                    self.ipcbr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr()
                                                                    self.ipcbr.parent = self
                                                                    self.ipv4_nh = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh()
                                                                    self.ipv4_nh.parent = self
                                                                    self.ipv6_nh = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh()
                                                                    self.ipv6_nh.parent = self
                                                                    self.mark = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark()
                                                                    self.mark.parent = self
                                                                    self.mark2 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2()
                                                                    self.mark2.parent = self
                                                                    self.mdi = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi()
                                                                    self.mdi.parent = self
                                                                    self.mdi_rtp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp()
                                                                    self.mdi_rtp.parent = self
                                                                    self.min_bw = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw()
                                                                    self.min_bw.parent = self
                                                                    self.out_intf = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf()
                                                                    self.out_intf.parent = self
                                                                    self.pbf = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf()
                                                                    self.pbf.parent = self
                                                                    self.pfc = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc()
                                                                    self.pfc.parent = self
                                                                    self.police = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police()
                                                                    self.police.parent = self
                                                                    self.prepaid_cfg = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg()
                                                                    self.prepaid_cfg.parent = self
                                                                    self.prio = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio()
                                                                    self.prio.parent = self
                                                                    self.proxy_aaa = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa()
                                                                    self.proxy_aaa.parent = self
                                                                    self.punt = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt()
                                                                    self.punt.parent = self
                                                                    self.qlimit = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit()
                                                                    self.qlimit.parent = self
                                                                    self.query_ancp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp()
                                                                    self.query_ancp.parent = self
                                                                    self.redirect = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect()
                                                                    self.redirect.parent = self
                                                                    self.rtp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp()
                                                                    self.rtp.parent = self
                                                                    self.rtp_j2k = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K()
                                                                    self.rtp_j2k.parent = self
                                                                    self.rtp_mmr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr()
                                                                    self.rtp_mmr.parent = self
                                                                    self.rtp_voice = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice()
                                                                    self.rtp_voice.parent = self
                                                                    self.serv_func = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc()
                                                                    self.serv_func.parent = self
                                                                    self.set_timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer()
                                                                    self.set_timer.parent = self
                                                                    self.sfrag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag()
                                                                    self.sfrag.parent = self
                                                                    self.shape = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape()
                                                                    self.shape.parent = self
                                                                    self.stop_timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer()
                                                                    self.stop_timer.parent = self
                                                                    self.timeout_idle = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle()
                                                                    self.timeout_idle.parent = self
                                                                    self.type = None
                                                                    self.wred = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred()
                                                                    self.wred.parent = self


                                                                class Mark(object):
                                                                    """
                                                                    mark
                                                                    
                                                                    .. attribute:: action_mark_info
                                                                    
                                                                    	action mark info
                                                                    	**type**\: list of    :py:class:`ActionMarkInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_mark_info = YList()
                                                                        self.action_mark_info.parent = self
                                                                        self.action_mark_info.name = 'action_mark_info'


                                                                    class ActionMarkInfo(object):
                                                                        """
                                                                        action mark info
                                                                        
                                                                        .. attribute:: mark_flags
                                                                        
                                                                        	mark flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark_flags = None
                                                                            self.type = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark_flags is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_mark_info is not None:
                                                                            for child_ref in self.action_mark_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']


                                                                class Mark2(object):
                                                                    """
                                                                    mark2
                                                                    
                                                                    .. attribute:: action_mark2_info
                                                                    
                                                                    	action mark2 info
                                                                    	**type**\: list of    :py:class:`ActionMark2Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_mark2_info = YList()
                                                                        self.action_mark2_info.parent = self
                                                                        self.action_mark2_info.name = 'action_mark2_info'


                                                                    class ActionMark2Info(object):
                                                                        """
                                                                        action mark2 info
                                                                        
                                                                        .. attribute:: mark_flags
                                                                        
                                                                        	mark flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: value_overflow
                                                                        
                                                                        	value overflow
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.mark_flags = None
                                                                            self.type = None
                                                                            self.value = None
                                                                            self.value_overflow = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-mark2-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.mark_flags is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            if self.value_overflow is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark2'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_mark2_info is not None:
                                                                            for child_ref in self.action_mark2_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']


                                                                class Wred(object):
                                                                    """
                                                                    wred
                                                                    
                                                                    .. attribute:: action_wred_info
                                                                    
                                                                    	action wred info
                                                                    	**type**\: list of    :py:class:`ActionWredInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_wred_info = YList()
                                                                        self.action_wred_info.parent = self
                                                                        self.action_wred_info.name = 'action_wred_info'


                                                                    class ActionWredInfo(object):
                                                                        """
                                                                        action wred info
                                                                        
                                                                        .. attribute:: match_ranges
                                                                        
                                                                        	match ranges
                                                                        	**type**\:   :py:class:`MatchRanges <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges>`
                                                                        
                                                                        .. attribute:: max_threshold
                                                                        
                                                                        	max threshold
                                                                        	**type**\:   :py:class:`MaxThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold>`
                                                                        
                                                                        .. attribute:: min_threshold
                                                                        
                                                                        	min threshold
                                                                        	**type**\:   :py:class:`MinThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold>`
                                                                        
                                                                        .. attribute:: probability
                                                                        
                                                                        	probability
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	cos/prec/dscp/ based WRED
                                                                        	**type**\:   :py:class:`WredEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.WredEnum>`
                                                                        
                                                                        .. attribute:: wred_flags
                                                                        
                                                                        	wred flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.match_ranges = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges()
                                                                            self.match_ranges.parent = self
                                                                            self.max_threshold = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold()
                                                                            self.max_threshold.parent = self
                                                                            self.min_threshold = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold()
                                                                            self.min_threshold.parent = self
                                                                            self.probability = None
                                                                            self.type = None
                                                                            self.wred_flags = None


                                                                        class MatchRanges(object):
                                                                            """
                                                                            match ranges
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-ranges'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']


                                                                        class MinThreshold(object):
                                                                            """
                                                                            min threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info']


                                                                        class MaxThreshold(object):
                                                                            """
                                                                            max threshold
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:max-threshold'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-wred-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.match_ranges is not None and self.match_ranges._has_data():
                                                                                return True

                                                                            if self.max_threshold is not None and self.max_threshold._has_data():
                                                                                return True

                                                                            if self.min_threshold is not None and self.min_threshold._has_data():
                                                                                return True

                                                                            if self.probability is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            if self.wred_flags is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:wred'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_wred_info is not None:
                                                                            for child_ref in self.action_wred_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']


                                                                class Encap(object):
                                                                    """
                                                                    encap
                                                                    
                                                                    .. attribute:: seq
                                                                    
                                                                    	seq
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.seq = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:encap'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.seq is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info']


                                                                class Prio(object):
                                                                    """
                                                                    prio
                                                                    
                                                                    .. attribute:: prio_lvl
                                                                    
                                                                    	prio lvl
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.prio_lvl = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prio'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.prio_lvl is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info']


                                                                class Bwrem(object):
                                                                    """
                                                                    bwrem
                                                                    
                                                                    .. attribute:: bwrem
                                                                    
                                                                    	bwrem
                                                                    	**type**\:   :py:class:`Bwrem_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.bwrem = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_()
                                                                        self.bwrem.parent = self


                                                                    class Bwrem_(object):
                                                                        """
                                                                        bwrem
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bwrem'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.bwrem is not None and self.bwrem._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']


                                                                class MinBw(object):
                                                                    """
                                                                    min bw
                                                                    
                                                                    .. attribute:: bw
                                                                    
                                                                    	bw
                                                                    	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.bw = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw()
                                                                        self.bw.parent = self


                                                                    class Bw(object):
                                                                        """
                                                                        bw
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:min-bw'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.bw is not None and self.bw._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']


                                                                class AuthenAaa(object):
                                                                    """
                                                                    authen aaa
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: authen_password
                                                                    
                                                                    	authen password
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.authen_password = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authen-aaa'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.authen_password is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info']


                                                                class CollectId(object):
                                                                    """
                                                                    collect id
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: id
                                                                    
                                                                    	id
                                                                    	**type**\:   :py:class:`IdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.IdentifierEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.id = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:collect-id'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.id is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info']


                                                                class DecodeId(object):
                                                                    """
                                                                    decode id
                                                                    
                                                                    .. attribute:: format_name
                                                                    
                                                                    	format name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: id
                                                                    
                                                                    	id
                                                                    	**type**\:   :py:class:`DecodeIdentifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DecodeIdentifierEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.format_name = None
                                                                        self.id = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:decode-id'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.format_name is not None:
                                                                            return True

                                                                        if self.id is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info']


                                                                class SetTimer(object):
                                                                    """
                                                                    set timer
                                                                    
                                                                    .. attribute:: absolute_time
                                                                    
                                                                    	absolute time
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: duration
                                                                    
                                                                    	duration
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: timer_name
                                                                    
                                                                    	timer name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.absolute_time = None
                                                                        self.duration = None
                                                                        self.timer_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:set-timer'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.absolute_time is not None:
                                                                            return True

                                                                        if self.duration is not None:
                                                                            return True

                                                                        if self.timer_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info']


                                                                class StopTimer(object):
                                                                    """
                                                                    stop timer
                                                                    
                                                                    .. attribute:: timer_name
                                                                    
                                                                    	timer name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.timer_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:stop-timer'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.timer_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info']


                                                                class AcctAaaList(object):
                                                                    """
                                                                    acct aaa list
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: secs
                                                                    
                                                                    	secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.secs = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:acct-aaa-list'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.secs is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info']


                                                                class QueryAncp(object):
                                                                    """
                                                                    query ancp
                                                                    
                                                                    .. attribute:: enable
                                                                    
                                                                    	enable
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.enable = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:query-ancp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.enable is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info']


                                                                class PrepaidCfg(object):
                                                                    """
                                                                    prepaid cfg
                                                                    
                                                                    .. attribute:: prepaid_config_profile_name
                                                                    
                                                                    	prepaid config profile name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.prepaid_config_profile_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prepaid-cfg'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.prepaid_config_profile_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info']


                                                                class TimeoutIdle(object):
                                                                    """
                                                                    timeout idle
                                                                    
                                                                    .. attribute:: secs
                                                                    
                                                                    	secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.secs = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timeout-idle'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.secs is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info']


                                                                class ProxyAaa(object):
                                                                    """
                                                                    proxy aaa
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proxy-aaa'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info']


                                                                class ActTemplate(object):
                                                                    """
                                                                    act template
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: template_name
                                                                    
                                                                    	template name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.flags = None
                                                                        self.template_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-template'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.template_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info']


                                                                class DeactTemplate(object):
                                                                    """
                                                                    deact template
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: template_name
                                                                    
                                                                    	template name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.flags = None
                                                                        self.template_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:deact-template'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.template_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info']


                                                                class Qlimit(object):
                                                                    """
                                                                    qlimit
                                                                    
                                                                    .. attribute:: action_qlimit_info_array
                                                                    
                                                                    	action qlimit info array
                                                                    	**type**\: list of    :py:class:`ActionQlimitInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_qlimit_info_array = YList()
                                                                        self.action_qlimit_info_array.parent = self
                                                                        self.action_qlimit_info_array.name = 'action_qlimit_info_array'


                                                                    class ActionQlimitInfoArray(object):
                                                                        """
                                                                        action qlimit info array
                                                                        
                                                                        .. attribute:: atmclp_qlim
                                                                        
                                                                        	atmclp qlim
                                                                        	**type**\:   :py:class:`AtmclpQlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim>`
                                                                        
                                                                        .. attribute:: match_values
                                                                        
                                                                        	match values
                                                                        	**type**\:   :py:class:`MatchValues <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues>`
                                                                        
                                                                        .. attribute:: qlim
                                                                        
                                                                        	qlim
                                                                        	**type**\:   :py:class:`Qlim <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim>`
                                                                        
                                                                        .. attribute:: qlimit_flags
                                                                        
                                                                        	qlimit flags
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`QlimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.QlimitEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.atmclp_qlim = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim()
                                                                            self.atmclp_qlim.parent = self
                                                                            self.match_values = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues()
                                                                            self.match_values.parent = self
                                                                            self.qlim = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim()
                                                                            self.qlim.parent = self
                                                                            self.qlimit_flags = None
                                                                            self.type = None


                                                                        class Qlim(object):
                                                                            """
                                                                            qlim
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlim'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info']


                                                                        class AtmclpQlim(object):
                                                                            """
                                                                            atmclp qlim
                                                                            
                                                                            .. attribute:: unit
                                                                            
                                                                            	unit
                                                                            	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                            
                                                                            .. attribute:: value
                                                                            
                                                                            	value
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.unit = None
                                                                                self.value = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atmclp-qlim'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.unit is not None:
                                                                                    return True

                                                                                if self.value is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info']


                                                                        class MatchValues(object):
                                                                            """
                                                                            match values
                                                                            
                                                                            .. attribute:: uint8_rng_array
                                                                            
                                                                            	uint8 rng array
                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.uint8_rng_array = YList()
                                                                                self.uint8_rng_array.parent = self
                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                            class Uint8_Rng_Array(object):
                                                                                """
                                                                                uint8 rng array
                                                                                
                                                                                .. attribute:: max
                                                                                
                                                                                	Upper limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                .. attribute:: min
                                                                                
                                                                                	Lower limit of the range
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..255
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.max = None
                                                                                    self.min = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.max is not None:
                                                                                        return True

                                                                                    if self.min is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-values'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.uint8_rng_array is not None:
                                                                                    for child_ref in self.uint8_rng_array:
                                                                                        if child_ref._has_data():
                                                                                            return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-qlimit-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.atmclp_qlim is not None and self.atmclp_qlim._has_data():
                                                                                return True

                                                                            if self.match_values is not None and self.match_values._has_data():
                                                                                return True

                                                                            if self.qlim is not None and self.qlim._has_data():
                                                                                return True

                                                                            if self.qlimit_flags is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qlimit'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_qlimit_info_array is not None:
                                                                            for child_ref in self.action_qlimit_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']


                                                                class AccountingEventAaa(object):
                                                                    """
                                                                    accounting event aaa
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: action
                                                                    
                                                                    	action
                                                                    	**type**\:   :py:class:`AcctEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.AcctEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.action = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:accounting-event-aaa'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.action is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info']


                                                                class AuthorizeId(object):
                                                                    """
                                                                    authorize id
                                                                    
                                                                    .. attribute:: aaa_list_name
                                                                    
                                                                    	aaa list name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: format_name
                                                                    
                                                                    	format name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: id
                                                                    
                                                                    	id
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: password
                                                                    
                                                                    	password
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.aaa_list_name = None
                                                                        self.format_name = None
                                                                        self.id = None
                                                                        self.password = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:authorize-id'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.aaa_list_name is not None:
                                                                            return True

                                                                        if self.format_name is not None:
                                                                            return True

                                                                        if self.id is not None:
                                                                            return True

                                                                        if self.password is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info']


                                                                class AfmReact(object):
                                                                    """
                                                                    afm react
                                                                    
                                                                    .. attribute:: action_afmon_react_info
                                                                    
                                                                    	action afmon react info
                                                                    	**type**\: list of    :py:class:`ActionAfmonReactInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_afmon_react_info = YList()
                                                                        self.action_afmon_react_info.parent = self
                                                                        self.action_afmon_react_info.name = 'action_afmon_react_info'


                                                                    class ActionAfmonReactInfo(object):
                                                                        """
                                                                        action afmon react info
                                                                        
                                                                        .. attribute:: alm_grp_thresh
                                                                        
                                                                        	Num/percent in grp
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..65535
                                                                        
                                                                        	**units**\: percentage
                                                                        
                                                                        .. attribute:: alm_severity
                                                                        
                                                                        	Major\|Minor\|... alarm
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: alm_type
                                                                        
                                                                        	Discrete \| grouped alarm
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: clone_ifh
                                                                        
                                                                        	Clone interface handle
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: criterion
                                                                        
                                                                        	React Criterion
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: description
                                                                        
                                                                        	Describing the oper
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: notif_actns
                                                                        
                                                                        	Bitmap of actions on alert
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: oper_id
                                                                        
                                                                        	React Operation ID
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: trig_level_1
                                                                        
                                                                        	Trigger threshold 1/lower
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: trig_level_2
                                                                        
                                                                        	Trigger upper threshold for range
                                                                        	**type**\:  str
                                                                        
                                                                        .. attribute:: trig_num_intvls
                                                                        
                                                                        	Averaged over N intvls
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: trig_relop
                                                                        
                                                                        	Trigger LT\|LE\|GT\|GE\|Range
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: trig_type
                                                                        
                                                                        	Immediate or averaged thresh trigger
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.alm_grp_thresh = None
                                                                            self.alm_severity = None
                                                                            self.alm_type = None
                                                                            self.clone_ifh = None
                                                                            self.criterion = None
                                                                            self.description = None
                                                                            self.notif_actns = None
                                                                            self.oper_id = None
                                                                            self.trig_level_1 = None
                                                                            self.trig_level_2 = None
                                                                            self.trig_num_intvls = None
                                                                            self.trig_relop = None
                                                                            self.trig_type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-afmon-react-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.alm_grp_thresh is not None:
                                                                                return True

                                                                            if self.alm_severity is not None:
                                                                                return True

                                                                            if self.alm_type is not None:
                                                                                return True

                                                                            if self.clone_ifh is not None:
                                                                                return True

                                                                            if self.criterion is not None:
                                                                                return True

                                                                            if self.description is not None:
                                                                                return True

                                                                            if self.notif_actns is not None:
                                                                                return True

                                                                            if self.oper_id is not None:
                                                                                return True

                                                                            if self.trig_level_1 is not None:
                                                                                return True

                                                                            if self.trig_level_2 is not None:
                                                                                return True

                                                                            if self.trig_num_intvls is not None:
                                                                                return True

                                                                            if self.trig_relop is not None:
                                                                                return True

                                                                            if self.trig_type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:afm-react'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_afmon_react_info is not None:
                                                                            for child_ref in self.action_afmon_react_info:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']


                                                                class Httpr(object):
                                                                    """
                                                                    httpr
                                                                    
                                                                    .. attribute:: redirect_url
                                                                    
                                                                    	redirect url
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.redirect_url = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:httpr'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.redirect_url is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info']


                                                                class Punt(object):
                                                                    """
                                                                    punt
                                                                    
                                                                    .. attribute:: app_id
                                                                    
                                                                    	application ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: local_id
                                                                    
                                                                    	local ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: sn_index
                                                                    
                                                                    	service node index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: sn_name
                                                                    
                                                                    	service node name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: sn_type
                                                                    
                                                                    	service node ID type
                                                                    	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                    
                                                                    .. attribute:: vsnode_type
                                                                    
                                                                    	vservice node type
                                                                    	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.app_id = None
                                                                        self.local_id = None
                                                                        self.sn_index = None
                                                                        self.sn_name = None
                                                                        self.sn_type = None
                                                                        self.vsnode_type = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:punt'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.app_id is not None:
                                                                            return True

                                                                        if self.local_id is not None:
                                                                            return True

                                                                        if self.sn_index is not None:
                                                                            return True

                                                                        if self.sn_name is not None:
                                                                            return True

                                                                        if self.sn_type is not None:
                                                                            return True

                                                                        if self.vsnode_type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info']


                                                                class Copy(object):
                                                                    """
                                                                    copy
                                                                    
                                                                    .. attribute:: app_id
                                                                    
                                                                    	application ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: local_id
                                                                    
                                                                    	local ID
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: num_byte
                                                                    
                                                                    	number of bytes
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: byte
                                                                    
                                                                    .. attribute:: sn_index
                                                                    
                                                                    	service node index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: sn_name
                                                                    
                                                                    	service node url
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: sn_type
                                                                    
                                                                    	service node ID type
                                                                    	**type**\:   :py:class:`DpssSnidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.DpssSnidEnum>`
                                                                    
                                                                    .. attribute:: vsnode_type
                                                                    
                                                                    	vservice node type
                                                                    	**type**\:   :py:class:`VsvcServiceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.VsvcServiceEnum>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.app_id = None
                                                                        self.local_id = None
                                                                        self.num_byte = None
                                                                        self.sn_index = None
                                                                        self.sn_name = None
                                                                        self.sn_type = None
                                                                        self.vsnode_type = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:copy'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.app_id is not None:
                                                                            return True

                                                                        if self.local_id is not None:
                                                                            return True

                                                                        if self.num_byte is not None:
                                                                            return True

                                                                        if self.sn_index is not None:
                                                                            return True

                                                                        if self.sn_name is not None:
                                                                            return True

                                                                        if self.sn_type is not None:
                                                                            return True

                                                                        if self.vsnode_type is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info']


                                                                class Sfrag(object):
                                                                    """
                                                                    sfrag
                                                                    
                                                                    .. attribute:: name
                                                                    
                                                                    	Service Fragment Name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:sfrag'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info']


                                                                class Redirect(object):
                                                                    """
                                                                    redirect
                                                                    
                                                                    .. attribute:: type
                                                                    
                                                                    	type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: value
                                                                    
                                                                    	value
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.type = None
                                                                        self.value = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:redirect'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.type is not None:
                                                                            return True

                                                                        if self.value is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info']


                                                                class OutIntf(object):
                                                                    """
                                                                    out intf
                                                                    
                                                                    .. attribute:: out_ifname
                                                                    
                                                                    	output interface name
                                                                    	**type**\:  str
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.out_ifname = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:out-intf'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.out_ifname is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info']


                                                                class ServFunc(object):
                                                                    """
                                                                    serv func
                                                                    
                                                                    .. attribute:: meta_name
                                                                    
                                                                    	metadata name
                                                                    	**type**\:  str
                                                                    
                                                                    .. attribute:: path_id
                                                                    
                                                                    	service path id
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: service_index
                                                                    
                                                                    	service path index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: vs_index
                                                                    
                                                                    	vservice index
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.meta_name = None
                                                                        self.path_id = None
                                                                        self.service_index = None
                                                                        self.vs_index = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:serv-func'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.meta_name is not None:
                                                                            return True

                                                                        if self.path_id is not None:
                                                                            return True

                                                                        if self.service_index is not None:
                                                                            return True

                                                                        if self.vs_index is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info']


                                                                class Police(object):
                                                                    """
                                                                    police
                                                                    
                                                                    .. attribute:: burst
                                                                    
                                                                    	burst
                                                                    	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst>`
                                                                    
                                                                    .. attribute:: cdvt
                                                                    
                                                                    	cdvt
                                                                    	**type**\:   :py:class:`Cdvt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt>`
                                                                    
                                                                    .. attribute:: confclass_encode
                                                                    
                                                                    	confclass encode
                                                                    	**type**\:   :py:class:`ConfclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode>`
                                                                    
                                                                    .. attribute:: confclass_p
                                                                    
                                                                    	confclass p
                                                                    	**type**\:   :py:class:`ConfclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP>`
                                                                    
                                                                    .. attribute:: conform_actns
                                                                    
                                                                    	conform actns
                                                                    	**type**\:   :py:class:`ConformActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns>`
                                                                    
                                                                    .. attribute:: excdclass_encode
                                                                    
                                                                    	excdclass encode
                                                                    	**type**\:   :py:class:`ExcdclassEncode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode>`
                                                                    
                                                                    .. attribute:: excdclass_p
                                                                    
                                                                    	excdclass p
                                                                    	**type**\:   :py:class:`ExcdclassP <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP>`
                                                                    
                                                                    .. attribute:: exceed_actns
                                                                    
                                                                    	exceed actns
                                                                    	**type**\:   :py:class:`ExceedActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns>`
                                                                    
                                                                    .. attribute:: flags
                                                                    
                                                                    	flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: peak_burst
                                                                    
                                                                    	peak burst
                                                                    	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst>`
                                                                    
                                                                    .. attribute:: peak_rate
                                                                    
                                                                    	peak rate
                                                                    	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate>`
                                                                    
                                                                    .. attribute:: police_flags
                                                                    
                                                                    	police flags
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: rate
                                                                    
                                                                    	rate
                                                                    	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate>`
                                                                    
                                                                    .. attribute:: sbuck_name
                                                                    
                                                                    	sbuck name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..65
                                                                    
                                                                    .. attribute:: sbuck_type
                                                                    
                                                                    	sbuck type
                                                                    	**type**\:   :py:class:`SharedBucketEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.SharedBucketEnum>`
                                                                    
                                                                    .. attribute:: violate_actns
                                                                    
                                                                    	violate actns
                                                                    	**type**\:   :py:class:`ViolateActns <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.burst = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst()
                                                                        self.burst.parent = self
                                                                        self.cdvt = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt()
                                                                        self.cdvt.parent = self
                                                                        self.confclass_encode = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode()
                                                                        self.confclass_encode.parent = self
                                                                        self.confclass_p = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP()
                                                                        self.confclass_p.parent = self
                                                                        self.conform_actns = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns()
                                                                        self.conform_actns.parent = self
                                                                        self.excdclass_encode = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode()
                                                                        self.excdclass_encode.parent = self
                                                                        self.excdclass_p = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP()
                                                                        self.excdclass_p.parent = self
                                                                        self.exceed_actns = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns()
                                                                        self.exceed_actns.parent = self
                                                                        self.flags = None
                                                                        self.peak_burst = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst()
                                                                        self.peak_burst.parent = self
                                                                        self.peak_rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate()
                                                                        self.peak_rate.parent = self
                                                                        self.police_flags = None
                                                                        self.rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate()
                                                                        self.rate.parent = self
                                                                        self.sbuck_name = None
                                                                        self.sbuck_type = None
                                                                        self.violate_actns = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns()
                                                                        self.violate_actns.parent = self


                                                                    class Rate(object):
                                                                        """
                                                                        rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info']


                                                                    class Burst(object):
                                                                        """
                                                                        burst
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:burst'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info']


                                                                    class PeakRate(object):
                                                                        """
                                                                        peak rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info']


                                                                    class PeakBurst(object):
                                                                        """
                                                                        peak burst
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:peak-burst'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info']


                                                                    class Cdvt(object):
                                                                        """
                                                                        cdvt
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cdvt'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info']


                                                                    class ConformActns(object):
                                                                        """
                                                                        conform actns
                                                                        
                                                                        .. attribute:: police_action_array
                                                                        
                                                                        	police action array
                                                                        	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.police_action_array = YList()
                                                                            self.police_action_array.parent = self
                                                                            self.police_action_array.name = 'police_action_array'


                                                                        class PoliceActionArray(object):
                                                                            """
                                                                            police action array
                                                                            
                                                                            .. attribute:: mark
                                                                            
                                                                            	mark
                                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark()
                                                                                self.mark.parent = self
                                                                                self.type = None


                                                                            class Mark(object):
                                                                                """
                                                                                mark
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark is not None and self.mark._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:conform-actns'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.police_action_array is not None:
                                                                                for child_ref in self.police_action_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']


                                                                    class ExceedActns(object):
                                                                        """
                                                                        exceed actns
                                                                        
                                                                        .. attribute:: police_action_array
                                                                        
                                                                        	police action array
                                                                        	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.police_action_array = YList()
                                                                            self.police_action_array.parent = self
                                                                            self.police_action_array.name = 'police_action_array'


                                                                        class PoliceActionArray(object):
                                                                            """
                                                                            police action array
                                                                            
                                                                            .. attribute:: mark
                                                                            
                                                                            	mark
                                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark()
                                                                                self.mark.parent = self
                                                                                self.type = None


                                                                            class Mark(object):
                                                                                """
                                                                                mark
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark is not None and self.mark._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:exceed-actns'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.police_action_array is not None:
                                                                                for child_ref in self.police_action_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']


                                                                    class ViolateActns(object):
                                                                        """
                                                                        violate actns
                                                                        
                                                                        .. attribute:: police_action_array
                                                                        
                                                                        	police action array
                                                                        	**type**\: list of    :py:class:`PoliceActionArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.police_action_array = YList()
                                                                            self.police_action_array.parent = self
                                                                            self.police_action_array.name = 'police_action_array'


                                                                        class PoliceActionArray(object):
                                                                            """
                                                                            police action array
                                                                            
                                                                            .. attribute:: mark
                                                                            
                                                                            	mark
                                                                            	**type**\:   :py:class:`Mark <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark>`
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	type
                                                                            	**type**\:   :py:class:`PoliceActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PoliceActionEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.mark = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark()
                                                                                self.mark.parent = self
                                                                                self.type = None


                                                                            class Mark(object):
                                                                                """
                                                                                mark
                                                                                
                                                                                .. attribute:: mark_flags
                                                                                
                                                                                	mark flags
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..4294967295
                                                                                
                                                                                .. attribute:: type
                                                                                
                                                                                	type
                                                                                	**type**\:   :py:class:`MarkEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MarkEnum>`
                                                                                
                                                                                .. attribute:: value
                                                                                
                                                                                	value
                                                                                	**type**\:  int
                                                                                
                                                                                	**range:** 0..65535
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.mark_flags = None
                                                                                    self.type = None
                                                                                    self.value = None

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mark'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.mark_flags is not None:
                                                                                        return True

                                                                                    if self.type is not None:
                                                                                        return True

                                                                                    if self.value is not None:
                                                                                        return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police-action-array'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.mark is not None and self.mark._has_data():
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:violate-actns'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.police_action_array is not None:
                                                                                for child_ref in self.police_action_array:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']


                                                                    class ConfclassEncode(object):
                                                                        """
                                                                        confclass encode
                                                                        
                                                                        .. attribute:: class_name
                                                                        
                                                                        	class name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd
                                                                        
                                                                        	hd
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        .. attribute:: idx
                                                                        
                                                                        	idx
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: inline_cmap
                                                                        
                                                                        	inline cmap
                                                                        	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_name = None
                                                                            self.enc = None
                                                                            self.hd = None
                                                                            self.idx = None
                                                                            self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap()
                                                                            self.inline_cmap.parent = self


                                                                        class InlineCmap(object):
                                                                            """
                                                                            inline cmap
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Inline Class\-Map flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Inline Class\-Map Mode Match any/all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-encode'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_name is not None:
                                                                                return True

                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd is not None:
                                                                                return True

                                                                            if self.idx is not None:
                                                                                return True

                                                                            if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']


                                                                    class ConfclassP(object):
                                                                        """
                                                                        confclass p
                                                                        
                                                                        .. attribute:: class_map_bg
                                                                        
                                                                        	class map bg
                                                                        	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_map_bg = YList()
                                                                            self.class_map_bg.parent = self
                                                                            self.class_map_bg.name = 'class_map_bg'


                                                                        class ClassMapBg(object):
                                                                            """
                                                                            class map bg
                                                                            
                                                                            .. attribute:: chk_sum
                                                                            
                                                                            	MD5 checksum of the encoded class\-map bag
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..16
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	description
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Class\-Map Internal
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: magic
                                                                            
                                                                            	Magic number on top of class\-map bag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Class\-Map Mode Match any/Match all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	Name of the class\-map
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Class\-Map Type QoS/PBR/Netflow/..
                                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.chk_sum = None
                                                                                self.description = None
                                                                                self.flags = None
                                                                                self.magic = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None
                                                                                self.name = None
                                                                                self.type = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.chk_sum is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.magic is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:confclass-p'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_map_bg is not None:
                                                                                for child_ref in self.class_map_bg:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']


                                                                    class ExcdclassEncode(object):
                                                                        """
                                                                        excdclass encode
                                                                        
                                                                        .. attribute:: class_name
                                                                        
                                                                        	class name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: enc
                                                                        
                                                                        	enc
                                                                        	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                        
                                                                        .. attribute:: hd
                                                                        
                                                                        	hd
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        .. attribute:: idx
                                                                        
                                                                        	idx
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: inline_cmap
                                                                        
                                                                        	inline cmap
                                                                        	**type**\:   :py:class:`InlineCmap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_name = None
                                                                            self.enc = None
                                                                            self.hd = None
                                                                            self.idx = None
                                                                            self.inline_cmap = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap()
                                                                            self.inline_cmap.parent = self


                                                                        class InlineCmap(object):
                                                                            """
                                                                            inline cmap
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Inline Class\-Map flags
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Inline Class\-Map Mode Match any/all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.flags = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:inline-cmap'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-encode'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_name is not None:
                                                                                return True

                                                                            if self.enc is not None:
                                                                                return True

                                                                            if self.hd is not None:
                                                                                return True

                                                                            if self.idx is not None:
                                                                                return True

                                                                            if self.inline_cmap is not None and self.inline_cmap._has_data():
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']


                                                                    class ExcdclassP(object):
                                                                        """
                                                                        excdclass p
                                                                        
                                                                        .. attribute:: class_map_bg
                                                                        
                                                                        	class map bg
                                                                        	**type**\: list of    :py:class:`ClassMapBg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.class_map_bg = YList()
                                                                            self.class_map_bg.parent = self
                                                                            self.class_map_bg.name = 'class_map_bg'


                                                                        class ClassMapBg(object):
                                                                            """
                                                                            class map bg
                                                                            
                                                                            .. attribute:: chk_sum
                                                                            
                                                                            	MD5 checksum of the encoded class\-map bag
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..16
                                                                            
                                                                            .. attribute:: description
                                                                            
                                                                            	description
                                                                            	**type**\:  str
                                                                            
                                                                            .. attribute:: flags
                                                                            
                                                                            	Class\-Map Internal
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: magic
                                                                            
                                                                            	Magic number on top of class\-map bag
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_count
                                                                            
                                                                            	Number of Match infos
                                                                            	**type**\:  int
                                                                            
                                                                            	**range:** 0..4294967295
                                                                            
                                                                            .. attribute:: match_infop
                                                                            
                                                                            	Pointer to the first Match info
                                                                            	**type**\:   :py:class:`MatchInfop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop>`
                                                                            
                                                                            .. attribute:: mode
                                                                            
                                                                            	Class\-Map Mode Match any/Match all
                                                                            	**type**\:   :py:class:`ClassMapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapModeEnum>`
                                                                            
                                                                            .. attribute:: name
                                                                            
                                                                            	Name of the class\-map
                                                                            	**type**\:  str
                                                                            
                                                                            	**length:** 0..65
                                                                            
                                                                            .. attribute:: type
                                                                            
                                                                            	Class\-Map Type QoS/PBR/Netflow/..
                                                                            	**type**\:   :py:class:`ClassMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.ClassMapEnum>`
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None
                                                                                self.chk_sum = None
                                                                                self.description = None
                                                                                self.flags = None
                                                                                self.magic = None
                                                                                self.match_count = None
                                                                                self.match_infop = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop()
                                                                                self.match_infop.parent = self
                                                                                self.mode = None
                                                                                self.name = None
                                                                                self.type = None


                                                                            class MatchInfop(object):
                                                                                """
                                                                                Pointer to the first Match info
                                                                                
                                                                                .. attribute:: class_match_info_st
                                                                                
                                                                                	class match info st
                                                                                	**type**\: list of    :py:class:`ClassMatchInfoSt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt>`
                                                                                
                                                                                

                                                                                """

                                                                                _prefix = 'infra-policymgr-oper'
                                                                                _revision = '2015-11-09'

                                                                                def __init__(self):
                                                                                    self.parent = None
                                                                                    self.class_match_info_st = YList()
                                                                                    self.class_match_info_st.parent = self
                                                                                    self.class_match_info_st.name = 'class_match_info_st'


                                                                                class ClassMatchInfoSt(object):
                                                                                    """
                                                                                    class match info st
                                                                                    
                                                                                    .. attribute:: flags
                                                                                    
                                                                                    	Flags
                                                                                    	**type**\:  int
                                                                                    
                                                                                    	**range:** 0..4294967295
                                                                                    
                                                                                    .. attribute:: match_data
                                                                                    
                                                                                    	Match criteria
                                                                                    	**type**\:   :py:class:`MatchData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData>`
                                                                                    
                                                                                    

                                                                                    """

                                                                                    _prefix = 'infra-policymgr-oper'
                                                                                    _revision = '2015-11-09'

                                                                                    def __init__(self):
                                                                                        self.parent = None
                                                                                        self.flags = None
                                                                                        self.match_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData()
                                                                                        self.match_data.parent = self


                                                                                    class MatchData(object):
                                                                                        """
                                                                                        Match criteria
                                                                                        
                                                                                        .. attribute:: access_interface
                                                                                        
                                                                                        	Access interface
                                                                                        	**type**\:   :py:class:`AccessInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface>`
                                                                                        
                                                                                        .. attribute:: atm_clp
                                                                                        
                                                                                        	Match ATM CLP level
                                                                                        	**type**\:   :py:class:`AtmClp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp>`
                                                                                        
                                                                                        .. attribute:: auth_domain
                                                                                        
                                                                                        	Authenticated domain name
                                                                                        	**type**\:   :py:class:`AuthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain>`
                                                                                        
                                                                                        .. attribute:: auth_domain_regex
                                                                                        
                                                                                        	Authenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`AuthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: auth_username
                                                                                        
                                                                                        	Authenticated User Name
                                                                                        	**type**\:   :py:class:`AuthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername>`
                                                                                        
                                                                                        .. attribute:: auth_username_regex
                                                                                        
                                                                                        	Authenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`AuthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: authen_status
                                                                                        
                                                                                        	Authentication Status
                                                                                        	**type**\:   :py:class:`MatchAuthenStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchAuthenStatusEnum>`
                                                                                        
                                                                                        .. attribute:: avail_id
                                                                                        
                                                                                        	Available Identifiers
                                                                                        	**type**\:   :py:class:`AvailId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId>`
                                                                                        
                                                                                        .. attribute:: circuit_id
                                                                                        
                                                                                        	Circuit ID
                                                                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId>`
                                                                                        
                                                                                        .. attribute:: circuit_id_regex
                                                                                        
                                                                                        	Circuit ID RegEx
                                                                                        	**type**\:   :py:class:`CircuitIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex>`
                                                                                        
                                                                                        .. attribute:: cos
                                                                                        
                                                                                        	Match CoS array
                                                                                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos>`
                                                                                        
                                                                                        .. attribute:: cos_inr
                                                                                        
                                                                                        	Match inner header CoS
                                                                                        	**type**\:   :py:class:`CosInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr>`
                                                                                        
                                                                                        .. attribute:: dei
                                                                                        
                                                                                        	Match DEI Bit
                                                                                        	**type**\:   :py:class:`Dei <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei>`
                                                                                        
                                                                                        .. attribute:: dei_inr
                                                                                        
                                                                                        	Match inner DEI Bit
                                                                                        	**type**\:   :py:class:`DeiInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id
                                                                                        
                                                                                        	Dhcp Client ID
                                                                                        	**type**\:   :py:class:`DhcpClientId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId>`
                                                                                        
                                                                                        .. attribute:: dhcp_client_id_regex
                                                                                        
                                                                                        	Dhcp Client ID RegEx
                                                                                        	**type**\:   :py:class:`DhcpClientIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex>`
                                                                                        
                                                                                        .. attribute:: discard_class
                                                                                        
                                                                                        	Match Discard Class array
                                                                                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass>`
                                                                                        
                                                                                        .. attribute:: dnis
                                                                                        
                                                                                        	DNIS
                                                                                        	**type**\:   :py:class:`Dnis <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis>`
                                                                                        
                                                                                        .. attribute:: dnis_regex
                                                                                        
                                                                                        	DNIS Regular Expression
                                                                                        	**type**\:   :py:class:`DnisRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex>`
                                                                                        
                                                                                        .. attribute:: domain
                                                                                        
                                                                                        	Domain Name
                                                                                        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain>`
                                                                                        
                                                                                        .. attribute:: domain_regex
                                                                                        
                                                                                        	Domain Regular Expression
                                                                                        	**type**\:   :py:class:`DomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex>`
                                                                                        
                                                                                        .. attribute:: dscp
                                                                                        
                                                                                        	Match DSCP range array
                                                                                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv4
                                                                                        
                                                                                        	Destination Address IPV4
                                                                                        	**type**\:   :py:class:`DstAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: dst_addr_ipv6
                                                                                        
                                                                                        	Destination Address IPV6
                                                                                        	**type**\:   :py:class:`DstAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: dst_mac
                                                                                        
                                                                                        	Match Destination MAC address
                                                                                        	**type**\:   :py:class:`DstMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac>`
                                                                                        
                                                                                        .. attribute:: dst_port
                                                                                        
                                                                                        	Destination port
                                                                                        	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort>`
                                                                                        
                                                                                        .. attribute:: ether_service_acl
                                                                                        
                                                                                        	Ethernet\-Services Access\-list
                                                                                        	**type**\:   :py:class:`EtherServiceAcl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl>`
                                                                                        
                                                                                        .. attribute:: ethertype
                                                                                        
                                                                                        	Ethernet type
                                                                                        	**type**\:   :py:class:`Ethertype <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype>`
                                                                                        
                                                                                        .. attribute:: flow_key_data
                                                                                        
                                                                                        	Flow key structure
                                                                                        	**type**\:   :py:class:`FlowKeyData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData>`
                                                                                        
                                                                                        .. attribute:: flow_tag
                                                                                        
                                                                                        	Match flow\-tag array
                                                                                        	**type**\:   :py:class:`FlowTag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag>`
                                                                                        
                                                                                        .. attribute:: fr_de
                                                                                        
                                                                                        	Match FR DE value
                                                                                        	**type**\:   :py:class:`FrDe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe>`
                                                                                        
                                                                                        .. attribute:: fr_dlci
                                                                                        
                                                                                        	Match FR DLCI range array
                                                                                        	**type**\:   :py:class:`FrDlci <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci>`
                                                                                        
                                                                                        .. attribute:: fragment_type
                                                                                        
                                                                                        	Fragment type
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: icmp_v4
                                                                                        
                                                                                        	Match ICMPV4 Protocol
                                                                                        	**type**\:   :py:class:`IcmpV4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4>`
                                                                                        
                                                                                        .. attribute:: icmp_v6
                                                                                        
                                                                                        	Match ICMPV6 Protocol array
                                                                                        	**type**\:   :py:class:`IcmpV6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6>`
                                                                                        
                                                                                        .. attribute:: icmpv4_code
                                                                                        
                                                                                        	Match ipv4 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv4Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code>`
                                                                                        
                                                                                        .. attribute:: icmpv4_type
                                                                                        
                                                                                        	Match ipv4 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv4Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type>`
                                                                                        
                                                                                        .. attribute:: icmpv6_code
                                                                                        
                                                                                        	Match ipv6 icmp code
                                                                                        	**type**\:   :py:class:`Icmpv6Code <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code>`
                                                                                        
                                                                                        .. attribute:: icmpv6_type
                                                                                        
                                                                                        	Match ipv6 icmp type
                                                                                        	**type**\:   :py:class:`Icmpv6Type <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type>`
                                                                                        
                                                                                        .. attribute:: input_interface
                                                                                        
                                                                                        	Input interface
                                                                                        	**type**\:   :py:class:`InputInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface>`
                                                                                        
                                                                                        .. attribute:: input_intfhdl
                                                                                        
                                                                                        	Input interface handle
                                                                                        	**type**\:   :py:class:`InputIntfhdl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl>`
                                                                                        
                                                                                        .. attribute:: ipv4_acl
                                                                                        
                                                                                        	IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl>`
                                                                                        
                                                                                        .. attribute:: ipv4_dscp
                                                                                        
                                                                                        	IPv4 DSCP
                                                                                        	**type**\:   :py:class:`Ipv4Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv4_packet_len
                                                                                        
                                                                                        	IPv4 packet length array
                                                                                        	**type**\:   :py:class:`Ipv4PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv4_prec
                                                                                        
                                                                                        	IPv4 Precedence
                                                                                        	**type**\:   :py:class:`Ipv4Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec>`
                                                                                        
                                                                                        .. attribute:: ipv6_acl
                                                                                        
                                                                                        	IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`Ipv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl>`
                                                                                        
                                                                                        .. attribute:: ipv6_dscp
                                                                                        
                                                                                        	IPv6 DSCP
                                                                                        	**type**\:   :py:class:`Ipv6Dscp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp>`
                                                                                        
                                                                                        .. attribute:: ipv6_packet_len
                                                                                        
                                                                                        	IPv6 packet length array
                                                                                        	**type**\:   :py:class:`Ipv6PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen>`
                                                                                        
                                                                                        .. attribute:: ipv6_prec
                                                                                        
                                                                                        	IPv6 Precedence
                                                                                        	**type**\:   :py:class:`Ipv6Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec>`
                                                                                        
                                                                                        .. attribute:: media_type
                                                                                        
                                                                                        	Media Type
                                                                                        	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType>`
                                                                                        
                                                                                        .. attribute:: mlp_negotiated
                                                                                        
                                                                                        	MLP Negotiated
                                                                                        	**type**\:   :py:class:`MatchMlpNegotiatedEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchMlpNegotiatedEnum>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv4_acl
                                                                                        
                                                                                        	MPLS Disposition IPv4 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv4Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_disp_ipv6_acl
                                                                                        
                                                                                        	MPLS Disposition IPv6 Access\-list
                                                                                        	**type**\:   :py:class:`MplsDispIpv6Acl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl>`
                                                                                        
                                                                                        .. attribute:: mpls_exp
                                                                                        
                                                                                        	Match MPLS experimental topmost array
                                                                                        	**type**\:   :py:class:`MplsExp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp>`
                                                                                        
                                                                                        .. attribute:: mpls_exp_imp
                                                                                        
                                                                                        	Match MPLS experimental imposition array
                                                                                        	**type**\:   :py:class:`MplsExpImp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp>`
                                                                                        
                                                                                        .. attribute:: mpls_top_eos
                                                                                        
                                                                                        	MPLS Topmost EOS
                                                                                        	**type**\:  int
                                                                                        
                                                                                        	**range:** 0..255
                                                                                        
                                                                                        .. attribute:: mpls_top_label
                                                                                        
                                                                                        	MPLS Topmost LABEL
                                                                                        	**type**\:   :py:class:`MplsTopLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel>`
                                                                                        
                                                                                        .. attribute:: nas_port
                                                                                        
                                                                                        	NAS Port
                                                                                        	**type**\:   :py:class:`NasPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort>`
                                                                                        
                                                                                        .. attribute:: packet_len
                                                                                        
                                                                                        	Match packet length array
                                                                                        	**type**\:   :py:class:`PacketLen <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen>`
                                                                                        
                                                                                        .. attribute:: prec
                                                                                        
                                                                                        	Match Precedence array
                                                                                        	**type**\:   :py:class:`Prec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec>`
                                                                                        
                                                                                        .. attribute:: proto
                                                                                        
                                                                                        	Match Protocol array
                                                                                        	**type**\:   :py:class:`Proto <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto>`
                                                                                        
                                                                                        .. attribute:: qos_group
                                                                                        
                                                                                        	Match QoS group array
                                                                                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup>`
                                                                                        
                                                                                        .. attribute:: remote_id
                                                                                        
                                                                                        	Remote ID
                                                                                        	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId>`
                                                                                        
                                                                                        .. attribute:: remote_id_regex
                                                                                        
                                                                                        	Remote ID RegEx
                                                                                        	**type**\:   :py:class:`RemoteIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex>`
                                                                                        
                                                                                        .. attribute:: service_name
                                                                                        
                                                                                        	Service Name
                                                                                        	**type**\:   :py:class:`ServiceName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName>`
                                                                                        
                                                                                        .. attribute:: service_name_regex
                                                                                        
                                                                                        	Service Name Regular Exp
                                                                                        	**type**\:   :py:class:`ServiceNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv4
                                                                                        
                                                                                        	Source Address IPV4
                                                                                        	**type**\:   :py:class:`SrcAddrIpv4 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4>`
                                                                                        
                                                                                        .. attribute:: src_addr_ipv6
                                                                                        
                                                                                        	Source Address IPV6
                                                                                        	**type**\:   :py:class:`SrcAddrIpv6 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6>`
                                                                                        
                                                                                        .. attribute:: src_addr_mac
                                                                                        
                                                                                        	Source Address MAC
                                                                                        	**type**\:   :py:class:`SrcAddrMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac>`
                                                                                        
                                                                                        .. attribute:: src_mac
                                                                                        
                                                                                        	Match Source MAC address
                                                                                        	**type**\:   :py:class:`SrcMac <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac>`
                                                                                        
                                                                                        .. attribute:: src_port
                                                                                        
                                                                                        	Source port
                                                                                        	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort>`
                                                                                        
                                                                                        .. attribute:: subs_protocol
                                                                                        
                                                                                        	Protocol
                                                                                        	**type**\:   :py:class:`SubsProtocol <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol>`
                                                                                        
                                                                                        .. attribute:: tcp_flag
                                                                                        
                                                                                        	Match tcp flag value
                                                                                        	**type**\:   :py:class:`TcpFlag <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag>`
                                                                                        
                                                                                        .. attribute:: timer
                                                                                        
                                                                                        	Timer
                                                                                        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer>`
                                                                                        
                                                                                        .. attribute:: timer_regexp
                                                                                        
                                                                                        	Timer Regular Expression
                                                                                        	**type**\:   :py:class:`TimerRegexp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp>`
                                                                                        
                                                                                        .. attribute:: traffic_class
                                                                                        
                                                                                        	Match Traffic class array
                                                                                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass>`
                                                                                        
                                                                                        .. attribute:: tunnel_name
                                                                                        
                                                                                        	Tunnel Name
                                                                                        	**type**\:   :py:class:`TunnelName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName>`
                                                                                        
                                                                                        .. attribute:: tunnel_name_regex
                                                                                        
                                                                                        	Tunnel Name Regular Expression
                                                                                        	**type**\:   :py:class:`TunnelNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex>`
                                                                                        
                                                                                        .. attribute:: type
                                                                                        
                                                                                        	type
                                                                                        	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchEnum>`
                                                                                        
                                                                                        .. attribute:: unauth_domain
                                                                                        
                                                                                        	Unauthenticated Domain Name
                                                                                        	**type**\:   :py:class:`UnauthDomain <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain>`
                                                                                        
                                                                                        .. attribute:: unauth_domain_regex
                                                                                        
                                                                                        	Unauthenticated Domain Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthDomainRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex>`
                                                                                        
                                                                                        .. attribute:: unauth_username
                                                                                        
                                                                                        	Unauthenticated User Name
                                                                                        	**type**\:   :py:class:`UnauthUsername <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername>`
                                                                                        
                                                                                        .. attribute:: unauth_username_regex
                                                                                        
                                                                                        	Unauthenticated User Name RegEx
                                                                                        	**type**\:   :py:class:`UnauthUsernameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex>`
                                                                                        
                                                                                        .. attribute:: user_name
                                                                                        
                                                                                        	User Name
                                                                                        	**type**\:   :py:class:`UserName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName>`
                                                                                        
                                                                                        .. attribute:: user_name_regex
                                                                                        
                                                                                        	User Name Regular Expression
                                                                                        	**type**\:   :py:class:`UserNameRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex>`
                                                                                        
                                                                                        .. attribute:: vendor_id
                                                                                        
                                                                                        	Vendor ID
                                                                                        	**type**\:   :py:class:`VendorId <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId>`
                                                                                        
                                                                                        .. attribute:: vendor_id_regex
                                                                                        
                                                                                        	Vendor ID RegEx
                                                                                        	**type**\:   :py:class:`VendorIdRegex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex>`
                                                                                        
                                                                                        .. attribute:: vlan
                                                                                        
                                                                                        	Match VLAN array
                                                                                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan>`
                                                                                        
                                                                                        .. attribute:: vlan_inr
                                                                                        
                                                                                        	Match inner header VLAN range array
                                                                                        	**type**\:   :py:class:`VlanInr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr>`
                                                                                        
                                                                                        

                                                                                        """

                                                                                        _prefix = 'infra-policymgr-oper'
                                                                                        _revision = '2015-11-09'

                                                                                        def __init__(self):
                                                                                            self.parent = None
                                                                                            self.access_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface()
                                                                                            self.access_interface.parent = self
                                                                                            self.atm_clp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp()
                                                                                            self.atm_clp.parent = self
                                                                                            self.auth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain()
                                                                                            self.auth_domain.parent = self
                                                                                            self.auth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex()
                                                                                            self.auth_domain_regex.parent = self
                                                                                            self.auth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername()
                                                                                            self.auth_username.parent = self
                                                                                            self.auth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex()
                                                                                            self.auth_username_regex.parent = self
                                                                                            self.authen_status = None
                                                                                            self.avail_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId()
                                                                                            self.avail_id.parent = self
                                                                                            self.circuit_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId()
                                                                                            self.circuit_id.parent = self
                                                                                            self.circuit_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex()
                                                                                            self.circuit_id_regex.parent = self
                                                                                            self.cos = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos()
                                                                                            self.cos.parent = self
                                                                                            self.cos_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr()
                                                                                            self.cos_inr.parent = self
                                                                                            self.dei = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei()
                                                                                            self.dei.parent = self
                                                                                            self.dei_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr()
                                                                                            self.dei_inr.parent = self
                                                                                            self.dhcp_client_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId()
                                                                                            self.dhcp_client_id.parent = self
                                                                                            self.dhcp_client_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex()
                                                                                            self.dhcp_client_id_regex.parent = self
                                                                                            self.discard_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass()
                                                                                            self.discard_class.parent = self
                                                                                            self.dnis = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis()
                                                                                            self.dnis.parent = self
                                                                                            self.dnis_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex()
                                                                                            self.dnis_regex.parent = self
                                                                                            self.domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain()
                                                                                            self.domain.parent = self
                                                                                            self.domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex()
                                                                                            self.domain_regex.parent = self
                                                                                            self.dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp()
                                                                                            self.dscp.parent = self
                                                                                            self.dst_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4()
                                                                                            self.dst_addr_ipv4.parent = self
                                                                                            self.dst_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6()
                                                                                            self.dst_addr_ipv6.parent = self
                                                                                            self.dst_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac()
                                                                                            self.dst_mac.parent = self
                                                                                            self.dst_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort()
                                                                                            self.dst_port.parent = self
                                                                                            self.ether_service_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl()
                                                                                            self.ether_service_acl.parent = self
                                                                                            self.ethertype = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype()
                                                                                            self.ethertype.parent = self
                                                                                            self.flow_key_data = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData()
                                                                                            self.flow_key_data.parent = self
                                                                                            self.flow_tag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag()
                                                                                            self.flow_tag.parent = self
                                                                                            self.fr_de = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe()
                                                                                            self.fr_de.parent = self
                                                                                            self.fr_dlci = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci()
                                                                                            self.fr_dlci.parent = self
                                                                                            self.fragment_type = None
                                                                                            self.icmp_v4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4()
                                                                                            self.icmp_v4.parent = self
                                                                                            self.icmp_v6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6()
                                                                                            self.icmp_v6.parent = self
                                                                                            self.icmpv4_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code()
                                                                                            self.icmpv4_code.parent = self
                                                                                            self.icmpv4_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type()
                                                                                            self.icmpv4_type.parent = self
                                                                                            self.icmpv6_code = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code()
                                                                                            self.icmpv6_code.parent = self
                                                                                            self.icmpv6_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type()
                                                                                            self.icmpv6_type.parent = self
                                                                                            self.input_interface = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface()
                                                                                            self.input_interface.parent = self
                                                                                            self.input_intfhdl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl()
                                                                                            self.input_intfhdl.parent = self
                                                                                            self.ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl()
                                                                                            self.ipv4_acl.parent = self
                                                                                            self.ipv4_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp()
                                                                                            self.ipv4_dscp.parent = self
                                                                                            self.ipv4_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen()
                                                                                            self.ipv4_packet_len.parent = self
                                                                                            self.ipv4_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec()
                                                                                            self.ipv4_prec.parent = self
                                                                                            self.ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl()
                                                                                            self.ipv6_acl.parent = self
                                                                                            self.ipv6_dscp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp()
                                                                                            self.ipv6_dscp.parent = self
                                                                                            self.ipv6_packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen()
                                                                                            self.ipv6_packet_len.parent = self
                                                                                            self.ipv6_prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec()
                                                                                            self.ipv6_prec.parent = self
                                                                                            self.media_type = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType()
                                                                                            self.media_type.parent = self
                                                                                            self.mlp_negotiated = None
                                                                                            self.mpls_disp_ipv4_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl()
                                                                                            self.mpls_disp_ipv4_acl.parent = self
                                                                                            self.mpls_disp_ipv6_acl = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl()
                                                                                            self.mpls_disp_ipv6_acl.parent = self
                                                                                            self.mpls_exp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp()
                                                                                            self.mpls_exp.parent = self
                                                                                            self.mpls_exp_imp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp()
                                                                                            self.mpls_exp_imp.parent = self
                                                                                            self.mpls_top_eos = None
                                                                                            self.mpls_top_label = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel()
                                                                                            self.mpls_top_label.parent = self
                                                                                            self.nas_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort()
                                                                                            self.nas_port.parent = self
                                                                                            self.packet_len = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen()
                                                                                            self.packet_len.parent = self
                                                                                            self.prec = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec()
                                                                                            self.prec.parent = self
                                                                                            self.proto = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto()
                                                                                            self.proto.parent = self
                                                                                            self.qos_group = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup()
                                                                                            self.qos_group.parent = self
                                                                                            self.remote_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId()
                                                                                            self.remote_id.parent = self
                                                                                            self.remote_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex()
                                                                                            self.remote_id_regex.parent = self
                                                                                            self.service_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName()
                                                                                            self.service_name.parent = self
                                                                                            self.service_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex()
                                                                                            self.service_name_regex.parent = self
                                                                                            self.src_addr_ipv4 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4()
                                                                                            self.src_addr_ipv4.parent = self
                                                                                            self.src_addr_ipv6 = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6()
                                                                                            self.src_addr_ipv6.parent = self
                                                                                            self.src_addr_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac()
                                                                                            self.src_addr_mac.parent = self
                                                                                            self.src_mac = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac()
                                                                                            self.src_mac.parent = self
                                                                                            self.src_port = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort()
                                                                                            self.src_port.parent = self
                                                                                            self.subs_protocol = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol()
                                                                                            self.subs_protocol.parent = self
                                                                                            self.tcp_flag = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag()
                                                                                            self.tcp_flag.parent = self
                                                                                            self.timer = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer()
                                                                                            self.timer.parent = self
                                                                                            self.timer_regexp = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp()
                                                                                            self.timer_regexp.parent = self
                                                                                            self.traffic_class = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass()
                                                                                            self.traffic_class.parent = self
                                                                                            self.tunnel_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName()
                                                                                            self.tunnel_name.parent = self
                                                                                            self.tunnel_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex()
                                                                                            self.tunnel_name_regex.parent = self
                                                                                            self.type = None
                                                                                            self.unauth_domain = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain()
                                                                                            self.unauth_domain.parent = self
                                                                                            self.unauth_domain_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex()
                                                                                            self.unauth_domain_regex.parent = self
                                                                                            self.unauth_username = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername()
                                                                                            self.unauth_username.parent = self
                                                                                            self.unauth_username_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex()
                                                                                            self.unauth_username_regex.parent = self
                                                                                            self.user_name = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName()
                                                                                            self.user_name.parent = self
                                                                                            self.user_name_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex()
                                                                                            self.user_name_regex.parent = self
                                                                                            self.vendor_id = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId()
                                                                                            self.vendor_id.parent = self
                                                                                            self.vendor_id_regex = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex()
                                                                                            self.vendor_id_regex.parent = self
                                                                                            self.vlan = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan()
                                                                                            self.vlan.parent = self
                                                                                            self.vlan_inr = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr()
                                                                                            self.vlan_inr.parent = self


                                                                                        class Ipv4Dscp(object):
                                                                                            """
                                                                                            IPv4 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']


                                                                                        class Ipv6Dscp(object):
                                                                                            """
                                                                                            IPv6 DSCP
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']


                                                                                        class Dscp(object):
                                                                                            """
                                                                                            Match DSCP range array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dscp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']


                                                                                        class Ipv4Prec(object):
                                                                                            """
                                                                                            IPv4 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info']


                                                                                        class Ipv6Prec(object):
                                                                                            """
                                                                                            IPv6 Precedence
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info']


                                                                                        class Prec(object):
                                                                                            """
                                                                                            Match Precedence array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:prec'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info']


                                                                                        class DiscardClass(object):
                                                                                            """
                                                                                            Match Discard Class array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:discard-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info']


                                                                                        class QosGroup(object):
                                                                                            """
                                                                                            Match QoS group array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:qos-group'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']


                                                                                        class TrafficClass(object):
                                                                                            """
                                                                                            Match Traffic class array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:traffic-class'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']


                                                                                        class Proto(object):
                                                                                            """
                                                                                            Match Protocol array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:proto'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']


                                                                                        class IcmpV4(object):
                                                                                            """
                                                                                            Match ICMPV4 Protocol
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info']


                                                                                        class IcmpV6(object):
                                                                                            """
                                                                                            Match ICMPV6 Protocol array
                                                                                            
                                                                                            .. attribute:: code
                                                                                            
                                                                                            	Protocol code
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            .. attribute:: type
                                                                                            
                                                                                            	Protocol type
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.code = None
                                                                                                self.type = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmp-v6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.code is not None:
                                                                                                    return True

                                                                                                if self.type is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info']


                                                                                        class Ipv4PacketLen(object):
                                                                                            """
                                                                                            IPv4 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']


                                                                                        class Ipv6PacketLen(object):
                                                                                            """
                                                                                            IPv6 packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']


                                                                                        class PacketLen(object):
                                                                                            """
                                                                                            Match packet length array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:packet-len'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']


                                                                                        class FlowTag(object):
                                                                                            """
                                                                                            Match flow\-tag array
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-tag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']


                                                                                        class TcpFlag(object):
                                                                                            """
                                                                                            Match tcp flag value
                                                                                            
                                                                                            .. attribute:: match_any
                                                                                            
                                                                                            	Match any TCP flag bit
                                                                                            	**type**\:  bool
                                                                                            
                                                                                            .. attribute:: value
                                                                                            
                                                                                            	Value of TCP flag
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.match_any = None
                                                                                                self.value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tcp-flag'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.match_any is not None:
                                                                                                    return True

                                                                                                if self.value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info']


                                                                                        class Icmpv4Type(object):
                                                                                            """
                                                                                            Match ipv4 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']


                                                                                        class Icmpv4Code(object):
                                                                                            """
                                                                                            Match ipv4 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv4-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']


                                                                                        class Icmpv6Type(object):
                                                                                            """
                                                                                            Match ipv6 icmp type
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']


                                                                                        class Icmpv6Code(object):
                                                                                            """
                                                                                            Match ipv6 icmp code
                                                                                            
                                                                                            .. attribute:: uint8_rng_array
                                                                                            
                                                                                            	uint8 rng array
                                                                                            	**type**\: list of    :py:class:`Uint8_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_rng_array = YList()
                                                                                                self.uint8_rng_array.parent = self
                                                                                                self.uint8_rng_array.name = 'uint8_rng_array'


                                                                                            class Uint8_Rng_Array(object):
                                                                                                """
                                                                                                uint8 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint8_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:icmpv6-code'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_rng_array is not None:
                                                                                                    for child_ref in self.uint8_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']


                                                                                        class MplsExp(object):
                                                                                            """
                                                                                            Match MPLS experimental topmost array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info']


                                                                                        class MplsExpImp(object):
                                                                                            """
                                                                                            Match MPLS experimental imposition array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-exp-imp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info']


                                                                                        class MplsDispIpv4Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info']


                                                                                        class MplsDispIpv6Acl(object):
                                                                                            """
                                                                                            MPLS Disposition IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-disp-ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info']


                                                                                        class MplsTopLabel(object):
                                                                                            """
                                                                                            MPLS Topmost LABEL
                                                                                            
                                                                                            .. attribute:: uint32_rng_array
                                                                                            
                                                                                            	uint32 rng array
                                                                                            	**type**\: list of    :py:class:`Uint32_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint32_rng_array = YList()
                                                                                                self.uint32_rng_array.parent = self
                                                                                                self.uint32_rng_array.name = 'uint32_rng_array'


                                                                                            class Uint32_Rng_Array(object):
                                                                                                """
                                                                                                uint32 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint32_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mpls-top-label'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint32_rng_array is not None:
                                                                                                    for child_ref in self.uint32_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']


                                                                                        class Cos(object):
                                                                                            """
                                                                                            Match CoS array
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info']


                                                                                        class CosInr(object):
                                                                                            """
                                                                                            Match inner header CoS
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cos-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info']


                                                                                        class Dei(object):
                                                                                            """
                                                                                            Match DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info']


                                                                                        class DeiInr(object):
                                                                                            """
                                                                                            Match inner DEI Bit
                                                                                            
                                                                                            .. attribute:: bit_value
                                                                                            
                                                                                            	Value of the DEI bit
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..4294967295
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.bit_value = None

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dei-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.bit_value is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info']


                                                                                        class Vlan(object):
                                                                                            """
                                                                                            Match VLAN array
                                                                                            
                                                                                            .. attribute:: vlan_id_array
                                                                                            
                                                                                            	vlan id array
                                                                                            	**type**\: list of    :py:class:`VlanIdArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.vlan_id_array = YList()
                                                                                                self.vlan_id_array.parent = self
                                                                                                self.vlan_id_array.name = 'vlan_id_array'


                                                                                            class VlanIdArray(object):
                                                                                                """
                                                                                                vlan id array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	VLAN mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-id-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.vlan_id_array is not None:
                                                                                                    for child_ref in self.vlan_id_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']


                                                                                        class VlanInr(object):
                                                                                            """
                                                                                            Match inner header VLAN range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vlan-inr'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']


                                                                                        class FrDlci(object):
                                                                                            """
                                                                                            Match FR DLCI range array
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-dlci'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']


                                                                                        class SrcMac(object):
                                                                                            """
                                                                                            Match Source MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info']


                                                                                        class DstMac(object):
                                                                                            """
                                                                                            Match Destination MAC address
                                                                                            
                                                                                            .. attribute:: mac_addr
                                                                                            
                                                                                            	MAC address
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            .. attribute:: mask
                                                                                            
                                                                                            	MAC mask
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr = YLeafList()
                                                                                                self.mac_addr.parent = self
                                                                                                self.mac_addr.name = 'mac_addr'
                                                                                                self.mask = YLeafList()
                                                                                                self.mask.parent = self
                                                                                                self.mask.name = 'mask'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr is not None:
                                                                                                    for child in self.mac_addr:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                if self.mask is not None:
                                                                                                    for child in self.mask:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info']


                                                                                        class AtmClp(object):
                                                                                            """
                                                                                            Match ATM CLP level
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:atm-clp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info']


                                                                                        class FrDe(object):
                                                                                            """
                                                                                            Match FR DE value
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fr-de'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info']


                                                                                        class Ipv4Acl(object):
                                                                                            """
                                                                                            IPv4 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info']


                                                                                        class Ipv6Acl(object):
                                                                                            """
                                                                                            IPv6 Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info']


                                                                                        class EtherServiceAcl(object):
                                                                                            """
                                                                                            Ethernet\-Services Access\-list
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ether-service-acl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info']


                                                                                        class AvailId(object):
                                                                                            """
                                                                                            Available Identifiers
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:avail-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info']


                                                                                        class MediaType(object):
                                                                                            """
                                                                                            Media Type
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-type'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info']


                                                                                        class SubsProtocol(object):
                                                                                            """
                                                                                            Protocol
                                                                                            
                                                                                            .. attribute:: uint8_array
                                                                                            
                                                                                            	uint8 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..255
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint8_array = YLeafList()
                                                                                                self.uint8_array.parent = self
                                                                                                self.uint8_array.name = 'uint8_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:subs-protocol'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint8_array is not None:
                                                                                                    for child in self.uint8_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info']


                                                                                        class Dnis(object):
                                                                                            """
                                                                                            DNIS
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info']


                                                                                        class DnisRegex(object):
                                                                                            """
                                                                                            DNIS Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dnis-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info']


                                                                                        class Domain(object):
                                                                                            """
                                                                                            Domain Name
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']


                                                                                        class DomainRegex(object):
                                                                                            """
                                                                                            Domain Regular Expression
                                                                                            
                                                                                            .. attribute:: domain_array
                                                                                            
                                                                                            	domain array
                                                                                            	**type**\: list of    :py:class:`DomainArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.domain_array = YList()
                                                                                                self.domain_array.parent = self
                                                                                                self.domain_array.name = 'domain_array'


                                                                                            class DomainArray(object):
                                                                                                """
                                                                                                domain array
                                                                                                
                                                                                                .. attribute:: domain_name
                                                                                                
                                                                                                	domain name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                .. attribute:: format_name
                                                                                                
                                                                                                	format name
                                                                                                	**type**\:  str
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.domain_name = None
                                                                                                    self.format_name = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.domain_name is not None:
                                                                                                        return True

                                                                                                    if self.format_name is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.domain_array is not None:
                                                                                                    for child_ref in self.domain_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']


                                                                                        class NasPort(object):
                                                                                            """
                                                                                            NAS Port
                                                                                            
                                                                                            .. attribute:: nas_port_array
                                                                                            
                                                                                            	nas port array
                                                                                            	**type**\: list of    :py:class:`NasPortArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.nas_port_array = YList()
                                                                                                self.nas_port_array.parent = self
                                                                                                self.nas_port_array.name = 'nas_port_array'


                                                                                            class NasPortArray(object):
                                                                                                """
                                                                                                nas port array
                                                                                                
                                                                                                .. attribute:: operator
                                                                                                
                                                                                                	operator
                                                                                                	**type**\:   :py:class:`MatchLogicalOperatorEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchLogicalOperatorEnum>`
                                                                                                
                                                                                                .. attribute:: sub_id
                                                                                                
                                                                                                	sub id
                                                                                                	**type**\:   :py:class:`MatchNasPortSubIdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.MatchNasPortSubIdEnum>`
                                                                                                
                                                                                                .. attribute:: value
                                                                                                
                                                                                                	value
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.operator = None
                                                                                                    self.sub_id = None
                                                                                                    self.value = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.operator is not None:
                                                                                                        return True

                                                                                                    if self.sub_id is not None:
                                                                                                        return True

                                                                                                    if self.value is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:nas-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.nas_port_array is not None:
                                                                                                    for child_ref in self.nas_port_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']


                                                                                        class ServiceName(object):
                                                                                            """
                                                                                            Service Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info']


                                                                                        class ServiceNameRegex(object):
                                                                                            """
                                                                                            Service Name Regular Exp
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:service-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info']


                                                                                        class SrcAddrIpv4(object):
                                                                                            """
                                                                                            Source Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']


                                                                                        class DstAddrIpv4(object):
                                                                                            """
                                                                                            Destination Address IPV4
                                                                                            
                                                                                            .. attribute:: ipv4_addr_array
                                                                                            
                                                                                            	ipv4 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv4AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv4_addr_array = YList()
                                                                                                self.ipv4_addr_array.parent = self
                                                                                                self.ipv4_addr_array.name = 'ipv4_addr_array'


                                                                                            class Ipv4AddrArray(object):
                                                                                                """
                                                                                                ipv4 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	mask
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv4'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv4_addr_array is not None:
                                                                                                    for child_ref in self.ipv4_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']


                                                                                        class SrcAddrIpv6(object):
                                                                                            """
                                                                                            Source Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']


                                                                                        class DstAddrIpv6(object):
                                                                                            """
                                                                                            Destination Address IPV6
                                                                                            
                                                                                            .. attribute:: ipv6_addr_array
                                                                                            
                                                                                            	ipv6 addr array
                                                                                            	**type**\: list of    :py:class:`Ipv6AddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.ipv6_addr_array = YList()
                                                                                                self.ipv6_addr_array.parent = self
                                                                                                self.ipv6_addr_array.name = 'ipv6_addr_array'


                                                                                            class Ipv6AddrArray(object):
                                                                                                """
                                                                                                ipv6 addr array
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	IPV6 mask
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..4294967295
                                                                                                
                                                                                                .. attribute:: prefix
                                                                                                
                                                                                                	IPV6 prefix
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mask = None
                                                                                                    self.prefix = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mask is not None:
                                                                                                        return True

                                                                                                    if self.prefix is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-addr-ipv6'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.ipv6_addr_array is not None:
                                                                                                    for child_ref in self.ipv6_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']


                                                                                        class SrcAddrMac(object):
                                                                                            """
                                                                                            Source Address MAC
                                                                                            
                                                                                            .. attribute:: mac_addr_array
                                                                                            
                                                                                            	mac addr array
                                                                                            	**type**\: list of    :py:class:`MacAddrArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.mac_addr_array = YList()
                                                                                                self.mac_addr_array.parent = self
                                                                                                self.mac_addr_array.name = 'mac_addr_array'


                                                                                            class MacAddrArray(object):
                                                                                                """
                                                                                                mac addr array
                                                                                                
                                                                                                .. attribute:: mac_addr
                                                                                                
                                                                                                	MAC address
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: mask
                                                                                                
                                                                                                	MAC mask
                                                                                                	**type**\:  list of int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.mac_addr = YLeafList()
                                                                                                    self.mac_addr.parent = self
                                                                                                    self.mac_addr.name = 'mac_addr'
                                                                                                    self.mask = YLeafList()
                                                                                                    self.mask.parent = self
                                                                                                    self.mask.name = 'mask'

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mac-addr-array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.mac_addr is not None:
                                                                                                        for child in self.mac_addr:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    if self.mask is not None:
                                                                                                        for child in self.mask:
                                                                                                            if child is not None:
                                                                                                                return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-addr-mac'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.mac_addr_array is not None:
                                                                                                    for child_ref in self.mac_addr_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']


                                                                                        class Timer(object):
                                                                                            """
                                                                                            Timer
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info']


                                                                                        class TimerRegexp(object):
                                                                                            """
                                                                                            Timer Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:timer-regexp'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info']


                                                                                        class TunnelName(object):
                                                                                            """
                                                                                            Tunnel Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info']


                                                                                        class TunnelNameRegex(object):
                                                                                            """
                                                                                            Tunnel Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:tunnel-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info']


                                                                                        class UserName(object):
                                                                                            """
                                                                                            User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info']


                                                                                        class UserNameRegex(object):
                                                                                            """
                                                                                            User Name Regular Expression
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:user-name-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info']


                                                                                        class AuthUsername(object):
                                                                                            """
                                                                                            Authenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info']


                                                                                        class AuthUsernameRegex(object):
                                                                                            """
                                                                                            Authenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info']


                                                                                        class UnauthUsername(object):
                                                                                            """
                                                                                            Unauthenticated User Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info']


                                                                                        class UnauthUsernameRegex(object):
                                                                                            """
                                                                                            Unauthenticated User Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-username-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info']


                                                                                        class AuthDomain(object):
                                                                                            """
                                                                                            Authenticated domain name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info']


                                                                                        class AuthDomainRegex(object):
                                                                                            """
                                                                                            Authenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:auth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info']


                                                                                        class UnauthDomain(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info']


                                                                                        class UnauthDomainRegex(object):
                                                                                            """
                                                                                            Unauthenticated Domain Name RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:unauth-domain-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info']


                                                                                        class VendorId(object):
                                                                                            """
                                                                                            Vendor ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info']


                                                                                        class VendorIdRegex(object):
                                                                                            """
                                                                                            Vendor ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:vendor-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info']


                                                                                        class AccessInterface(object):
                                                                                            """
                                                                                            Access interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:access-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info']


                                                                                        class InputInterface(object):
                                                                                            """
                                                                                            Input interface
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-interface'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info']


                                                                                        class InputIntfhdl(object):
                                                                                            """
                                                                                            Input interface handle
                                                                                            
                                                                                            .. attribute:: uint64_array
                                                                                            
                                                                                            	uint64 array
                                                                                            	**type**\:  list of int
                                                                                            
                                                                                            	**range:** 0..18446744073709551615
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint64_array = YLeafList()
                                                                                                self.uint64_array.parent = self
                                                                                                self.uint64_array.name = 'uint64_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:input-intfhdl'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint64_array is not None:
                                                                                                    for child in self.uint64_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info']


                                                                                        class Ethertype(object):
                                                                                            """
                                                                                            Ethernet type
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ethertype'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']


                                                                                        class FlowKeyData(object):
                                                                                            """
                                                                                            Flow key structure
                                                                                            
                                                                                            .. attribute:: flow_keys
                                                                                            
                                                                                            	flow keys
                                                                                            	**type**\:   :py:class:`FlowKeys <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys>`
                                                                                            
                                                                                            .. attribute:: idle_timeout
                                                                                            
                                                                                            	Idle timeout of flows (in seconds)
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            	**units**\: second
                                                                                            
                                                                                            .. attribute:: max_count
                                                                                            
                                                                                            	Maximum count of flows
                                                                                            	**type**\:  int
                                                                                            
                                                                                            	**range:** 0..65535
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.flow_keys = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys()
                                                                                                self.flow_keys.parent = self
                                                                                                self.idle_timeout = None
                                                                                                self.max_count = None


                                                                                            class FlowKeys(object):
                                                                                                """
                                                                                                flow keys
                                                                                                
                                                                                                .. attribute:: keys
                                                                                                
                                                                                                	keys
                                                                                                	**type**\:  str
                                                                                                
                                                                                                	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                                                
                                                                                                .. attribute:: num
                                                                                                
                                                                                                	num
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..255
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.keys = None
                                                                                                    self.num = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-keys'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.keys is not None:
                                                                                                        return True

                                                                                                    if self.num is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-key-data'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.flow_keys is not None and self.flow_keys._has_data():
                                                                                                    return True

                                                                                                if self.idle_timeout is not None:
                                                                                                    return True

                                                                                                if self.max_count is not None:
                                                                                                    return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']


                                                                                        class DhcpClientId(object):
                                                                                            """
                                                                                            Dhcp Client ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info']


                                                                                        class DhcpClientIdRegex(object):
                                                                                            """
                                                                                            Dhcp Client ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dhcp-client-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info']


                                                                                        class CircuitId(object):
                                                                                            """
                                                                                            Circuit ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info']


                                                                                        class CircuitIdRegex(object):
                                                                                            """
                                                                                            Circuit ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:circuit-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info']


                                                                                        class RemoteId(object):
                                                                                            """
                                                                                            Remote ID
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info']


                                                                                        class RemoteIdRegex(object):
                                                                                            """
                                                                                            Remote ID RegEx
                                                                                            
                                                                                            .. attribute:: string_array
                                                                                            
                                                                                            	string array
                                                                                            	**type**\:  list of str
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.string_array = YLeafList()
                                                                                                self.string_array.parent = self
                                                                                                self.string_array.name = 'string_array'

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:remote-id-regex'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.string_array is not None:
                                                                                                    for child in self.string_array:
                                                                                                        if child is not None:
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info']


                                                                                        class SrcPort(object):
                                                                                            """
                                                                                            Source port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:src-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']


                                                                                        class DstPort(object):
                                                                                            """
                                                                                            Destination port
                                                                                            
                                                                                            .. attribute:: uint16_rng_array
                                                                                            
                                                                                            	uint16 rng array
                                                                                            	**type**\: list of    :py:class:`Uint16_Rng_Array <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array>`
                                                                                            
                                                                                            

                                                                                            """

                                                                                            _prefix = 'infra-policymgr-oper'
                                                                                            _revision = '2015-11-09'

                                                                                            def __init__(self):
                                                                                                self.parent = None
                                                                                                self.uint16_rng_array = YList()
                                                                                                self.uint16_rng_array.parent = self
                                                                                                self.uint16_rng_array.name = 'uint16_rng_array'


                                                                                            class Uint16_Rng_Array(object):
                                                                                                """
                                                                                                uint16 rng array
                                                                                                
                                                                                                .. attribute:: max
                                                                                                
                                                                                                	Upper limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                .. attribute:: min
                                                                                                
                                                                                                	Lower limit of the range
                                                                                                	**type**\:  int
                                                                                                
                                                                                                	**range:** 0..65535
                                                                                                
                                                                                                

                                                                                                """

                                                                                                _prefix = 'infra-policymgr-oper'
                                                                                                _revision = '2015-11-09'

                                                                                                def __init__(self):
                                                                                                    self.parent = None
                                                                                                    self.max = None
                                                                                                    self.min = None

                                                                                                @property
                                                                                                def _common_path(self):
                                                                                                    if self.parent is None:
                                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:uint16_rng_array'

                                                                                                def is_config(self):
                                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                                    return False

                                                                                                def _has_data(self):
                                                                                                    if not self.is_config():
                                                                                                        return False
                                                                                                    if self.max is not None:
                                                                                                        return True

                                                                                                    if self.min is not None:
                                                                                                        return True

                                                                                                    return False

                                                                                                @staticmethod
                                                                                                def _meta_info():
                                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info']

                                                                                            @property
                                                                                            def _common_path(self):
                                                                                                if self.parent is None:
                                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:dst-port'

                                                                                            def is_config(self):
                                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                                return False

                                                                                            def _has_data(self):
                                                                                                if not self.is_config():
                                                                                                    return False
                                                                                                if self.uint16_rng_array is not None:
                                                                                                    for child_ref in self.uint16_rng_array:
                                                                                                        if child_ref._has_data():
                                                                                                            return True

                                                                                                return False

                                                                                            @staticmethod
                                                                                            def _meta_info():
                                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']

                                                                                        @property
                                                                                        def _common_path(self):
                                                                                            if self.parent is None:
                                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-data'

                                                                                        def is_config(self):
                                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                                            return False

                                                                                        def _has_data(self):
                                                                                            if not self.is_config():
                                                                                                return False
                                                                                            if self.access_interface is not None and self.access_interface._has_data():
                                                                                                return True

                                                                                            if self.atm_clp is not None and self.atm_clp._has_data():
                                                                                                return True

                                                                                            if self.auth_domain is not None and self.auth_domain._has_data():
                                                                                                return True

                                                                                            if self.auth_domain_regex is not None and self.auth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.auth_username is not None and self.auth_username._has_data():
                                                                                                return True

                                                                                            if self.auth_username_regex is not None and self.auth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.authen_status is not None:
                                                                                                return True

                                                                                            if self.avail_id is not None and self.avail_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                                                                return True

                                                                                            if self.circuit_id_regex is not None and self.circuit_id_regex._has_data():
                                                                                                return True

                                                                                            if self.cos is not None and self.cos._has_data():
                                                                                                return True

                                                                                            if self.cos_inr is not None and self.cos_inr._has_data():
                                                                                                return True

                                                                                            if self.dei is not None and self.dei._has_data():
                                                                                                return True

                                                                                            if self.dei_inr is not None and self.dei_inr._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id is not None and self.dhcp_client_id._has_data():
                                                                                                return True

                                                                                            if self.dhcp_client_id_regex is not None and self.dhcp_client_id_regex._has_data():
                                                                                                return True

                                                                                            if self.discard_class is not None and self.discard_class._has_data():
                                                                                                return True

                                                                                            if self.dnis is not None and self.dnis._has_data():
                                                                                                return True

                                                                                            if self.dnis_regex is not None and self.dnis_regex._has_data():
                                                                                                return True

                                                                                            if self.domain is not None and self.domain._has_data():
                                                                                                return True

                                                                                            if self.domain_regex is not None and self.domain_regex._has_data():
                                                                                                return True

                                                                                            if self.dscp is not None and self.dscp._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv4 is not None and self.dst_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.dst_addr_ipv6 is not None and self.dst_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.dst_mac is not None and self.dst_mac._has_data():
                                                                                                return True

                                                                                            if self.dst_port is not None and self.dst_port._has_data():
                                                                                                return True

                                                                                            if self.ether_service_acl is not None and self.ether_service_acl._has_data():
                                                                                                return True

                                                                                            if self.ethertype is not None and self.ethertype._has_data():
                                                                                                return True

                                                                                            if self.flow_key_data is not None and self.flow_key_data._has_data():
                                                                                                return True

                                                                                            if self.flow_tag is not None and self.flow_tag._has_data():
                                                                                                return True

                                                                                            if self.fr_de is not None and self.fr_de._has_data():
                                                                                                return True

                                                                                            if self.fr_dlci is not None and self.fr_dlci._has_data():
                                                                                                return True

                                                                                            if self.fragment_type is not None:
                                                                                                return True

                                                                                            if self.icmp_v4 is not None and self.icmp_v4._has_data():
                                                                                                return True

                                                                                            if self.icmp_v6 is not None and self.icmp_v6._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_code is not None and self.icmpv4_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv4_type is not None and self.icmpv4_type._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_code is not None and self.icmpv6_code._has_data():
                                                                                                return True

                                                                                            if self.icmpv6_type is not None and self.icmpv6_type._has_data():
                                                                                                return True

                                                                                            if self.input_interface is not None and self.input_interface._has_data():
                                                                                                return True

                                                                                            if self.input_intfhdl is not None and self.input_intfhdl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_acl is not None and self.ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv4_dscp is not None and self.ipv4_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv4_packet_len is not None and self.ipv4_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv4_prec is not None and self.ipv4_prec._has_data():
                                                                                                return True

                                                                                            if self.ipv6_acl is not None and self.ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.ipv6_dscp is not None and self.ipv6_dscp._has_data():
                                                                                                return True

                                                                                            if self.ipv6_packet_len is not None and self.ipv6_packet_len._has_data():
                                                                                                return True

                                                                                            if self.ipv6_prec is not None and self.ipv6_prec._has_data():
                                                                                                return True

                                                                                            if self.media_type is not None and self.media_type._has_data():
                                                                                                return True

                                                                                            if self.mlp_negotiated is not None:
                                                                                                return True

                                                                                            if self.mpls_disp_ipv4_acl is not None and self.mpls_disp_ipv4_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_disp_ipv6_acl is not None and self.mpls_disp_ipv6_acl._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp is not None and self.mpls_exp._has_data():
                                                                                                return True

                                                                                            if self.mpls_exp_imp is not None and self.mpls_exp_imp._has_data():
                                                                                                return True

                                                                                            if self.mpls_top_eos is not None:
                                                                                                return True

                                                                                            if self.mpls_top_label is not None and self.mpls_top_label._has_data():
                                                                                                return True

                                                                                            if self.nas_port is not None and self.nas_port._has_data():
                                                                                                return True

                                                                                            if self.packet_len is not None and self.packet_len._has_data():
                                                                                                return True

                                                                                            if self.prec is not None and self.prec._has_data():
                                                                                                return True

                                                                                            if self.proto is not None and self.proto._has_data():
                                                                                                return True

                                                                                            if self.qos_group is not None and self.qos_group._has_data():
                                                                                                return True

                                                                                            if self.remote_id is not None and self.remote_id._has_data():
                                                                                                return True

                                                                                            if self.remote_id_regex is not None and self.remote_id_regex._has_data():
                                                                                                return True

                                                                                            if self.service_name is not None and self.service_name._has_data():
                                                                                                return True

                                                                                            if self.service_name_regex is not None and self.service_name_regex._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv4 is not None and self.src_addr_ipv4._has_data():
                                                                                                return True

                                                                                            if self.src_addr_ipv6 is not None and self.src_addr_ipv6._has_data():
                                                                                                return True

                                                                                            if self.src_addr_mac is not None and self.src_addr_mac._has_data():
                                                                                                return True

                                                                                            if self.src_mac is not None and self.src_mac._has_data():
                                                                                                return True

                                                                                            if self.src_port is not None and self.src_port._has_data():
                                                                                                return True

                                                                                            if self.subs_protocol is not None and self.subs_protocol._has_data():
                                                                                                return True

                                                                                            if self.tcp_flag is not None and self.tcp_flag._has_data():
                                                                                                return True

                                                                                            if self.timer is not None and self.timer._has_data():
                                                                                                return True

                                                                                            if self.timer_regexp is not None and self.timer_regexp._has_data():
                                                                                                return True

                                                                                            if self.traffic_class is not None and self.traffic_class._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name is not None and self.tunnel_name._has_data():
                                                                                                return True

                                                                                            if self.tunnel_name_regex is not None and self.tunnel_name_regex._has_data():
                                                                                                return True

                                                                                            if self.type is not None:
                                                                                                return True

                                                                                            if self.unauth_domain is not None and self.unauth_domain._has_data():
                                                                                                return True

                                                                                            if self.unauth_domain_regex is not None and self.unauth_domain_regex._has_data():
                                                                                                return True

                                                                                            if self.unauth_username is not None and self.unauth_username._has_data():
                                                                                                return True

                                                                                            if self.unauth_username_regex is not None and self.unauth_username_regex._has_data():
                                                                                                return True

                                                                                            if self.user_name is not None and self.user_name._has_data():
                                                                                                return True

                                                                                            if self.user_name_regex is not None and self.user_name_regex._has_data():
                                                                                                return True

                                                                                            if self.vendor_id is not None and self.vendor_id._has_data():
                                                                                                return True

                                                                                            if self.vendor_id_regex is not None and self.vendor_id_regex._has_data():
                                                                                                return True

                                                                                            if self.vlan is not None and self.vlan._has_data():
                                                                                                return True

                                                                                            if self.vlan_inr is not None and self.vlan_inr._has_data():
                                                                                                return True

                                                                                            return False

                                                                                        @staticmethod
                                                                                        def _meta_info():
                                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']

                                                                                    @property
                                                                                    def _common_path(self):
                                                                                        if self.parent is None:
                                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-match-info-st'

                                                                                    def is_config(self):
                                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                                        return False

                                                                                    def _has_data(self):
                                                                                        if not self.is_config():
                                                                                            return False
                                                                                        if self.flags is not None:
                                                                                            return True

                                                                                        if self.match_data is not None and self.match_data._has_data():
                                                                                            return True

                                                                                        return False

                                                                                    @staticmethod
                                                                                    def _meta_info():
                                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']

                                                                                @property
                                                                                def _common_path(self):
                                                                                    if self.parent is None:
                                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:match-infop'

                                                                                def is_config(self):
                                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                                    return False

                                                                                def _has_data(self):
                                                                                    if not self.is_config():
                                                                                        return False
                                                                                    if self.class_match_info_st is not None:
                                                                                        for child_ref in self.class_match_info_st:
                                                                                            if child_ref._has_data():
                                                                                                return True

                                                                                    return False

                                                                                @staticmethod
                                                                                def _meta_info():
                                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-bg'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                if self.chk_sum is not None:
                                                                                    return True

                                                                                if self.description is not None:
                                                                                    return True

                                                                                if self.flags is not None:
                                                                                    return True

                                                                                if self.magic is not None:
                                                                                    return True

                                                                                if self.match_count is not None:
                                                                                    return True

                                                                                if self.match_infop is not None and self.match_infop._has_data():
                                                                                    return True

                                                                                if self.mode is not None:
                                                                                    return True

                                                                                if self.name is not None:
                                                                                    return True

                                                                                if self.type is not None:
                                                                                    return True

                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:excdclass-p'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.class_map_bg is not None:
                                                                                for child_ref in self.class_map_bg:
                                                                                    if child_ref._has_data():
                                                                                        return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:police'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.burst is not None and self.burst._has_data():
                                                                            return True

                                                                        if self.cdvt is not None and self.cdvt._has_data():
                                                                            return True

                                                                        if self.confclass_encode is not None and self.confclass_encode._has_data():
                                                                            return True

                                                                        if self.confclass_p is not None and self.confclass_p._has_data():
                                                                            return True

                                                                        if self.conform_actns is not None and self.conform_actns._has_data():
                                                                            return True

                                                                        if self.excdclass_encode is not None and self.excdclass_encode._has_data():
                                                                            return True

                                                                        if self.excdclass_p is not None and self.excdclass_p._has_data():
                                                                            return True

                                                                        if self.exceed_actns is not None and self.exceed_actns._has_data():
                                                                            return True

                                                                        if self.flags is not None:
                                                                            return True

                                                                        if self.peak_burst is not None and self.peak_burst._has_data():
                                                                            return True

                                                                        if self.peak_rate is not None and self.peak_rate._has_data():
                                                                            return True

                                                                        if self.police_flags is not None:
                                                                            return True

                                                                        if self.rate is not None and self.rate._has_data():
                                                                            return True

                                                                        if self.sbuck_name is not None:
                                                                            return True

                                                                        if self.sbuck_type is not None:
                                                                            return True

                                                                        if self.violate_actns is not None and self.violate_actns._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']


                                                                class Shape(object):
                                                                    """
                                                                    shape
                                                                    
                                                                    .. attribute:: be
                                                                    
                                                                    	be
                                                                    	**type**\:   :py:class:`Be <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be>`
                                                                    
                                                                    .. attribute:: bw
                                                                    
                                                                    	bw
                                                                    	**type**\:   :py:class:`Bw <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.be = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be()
                                                                        self.be.parent = self
                                                                        self.bw = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw()
                                                                        self.bw.parent = self


                                                                    class Bw(object):
                                                                        """
                                                                        bw
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:bw'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info']


                                                                    class Be(object):
                                                                        """
                                                                        be
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:be'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:shape'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.be is not None and self.be._has_data():
                                                                            return True

                                                                        if self.bw is not None and self.bw._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']


                                                                class ChildPolicy(object):
                                                                    """
                                                                    child policy
                                                                    
                                                                    .. attribute:: enc
                                                                    
                                                                    	enc
                                                                    	**type**\:   :py:class:`PolicyObjEncEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyObjEncEnum>`
                                                                    
                                                                    .. attribute:: hd_info
                                                                    
                                                                    	hd info
                                                                    	**type**\:   :py:class:`HdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo>`
                                                                    
                                                                    .. attribute:: info
                                                                    
                                                                    	info
                                                                    	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.enc = None
                                                                        self.hd_info = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo()
                                                                        self.hd_info.parent = self
                                                                        self.info = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info()
                                                                        self.info.parent = self


                                                                    class Info(object):
                                                                        """
                                                                        info
                                                                        
                                                                        .. attribute:: name
                                                                        
                                                                        	name
                                                                        	**type**\:  str
                                                                        
                                                                        	**length:** 0..65
                                                                        
                                                                        .. attribute:: type
                                                                        
                                                                        	type
                                                                        	**type**\:   :py:class:`PolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyMapEnum>`
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.name = None
                                                                            self.type = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.name is not None:
                                                                                return True

                                                                            if self.type is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info']


                                                                    class HdInfo(object):
                                                                        """
                                                                        hd info
                                                                        
                                                                        .. attribute:: data_hd
                                                                        
                                                                        	data hd
                                                                        	**type**\:   :py:class:`DataHd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd>`
                                                                        
                                                                        .. attribute:: hd
                                                                        
                                                                        	hd
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..18446744073709551615
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.data_hd = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd()
                                                                            self.data_hd.parent = self
                                                                            self.hd = None


                                                                        class DataHd(object):
                                                                            """
                                                                            data hd
                                                                            
                                                                            

                                                                            """

                                                                            _prefix = 'infra-policymgr-oper'
                                                                            _revision = '2015-11-09'

                                                                            def __init__(self):
                                                                                self.parent = None

                                                                            @property
                                                                            def _common_path(self):
                                                                                if self.parent is None:
                                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:data-hd'

                                                                            def is_config(self):
                                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                                return False

                                                                            def _has_data(self):
                                                                                if not self.is_config():
                                                                                    return False
                                                                                return False

                                                                            @staticmethod
                                                                            def _meta_info():
                                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info']

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:hd-info'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.data_hd is not None and self.data_hd._has_data():
                                                                                return True

                                                                            if self.hd is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:child-policy'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.enc is not None:
                                                                            return True

                                                                        if self.hd_info is not None and self.hd_info._has_data():
                                                                            return True

                                                                        if self.info is not None and self.info._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']


                                                                class Cac(object):
                                                                    """
                                                                    cac
                                                                    
                                                                    .. attribute:: cac_type
                                                                    
                                                                    	cac type
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..255
                                                                    
                                                                    .. attribute:: flow_rate
                                                                    
                                                                    	flow rate
                                                                    	**type**\:   :py:class:`FlowRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate>`
                                                                    
                                                                    .. attribute:: idle_timeout
                                                                    
                                                                    	idle timeout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..65535
                                                                    
                                                                    .. attribute:: rate
                                                                    
                                                                    	rate
                                                                    	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.cac_type = None
                                                                        self.flow_rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate()
                                                                        self.flow_rate.parent = self
                                                                        self.idle_timeout = None
                                                                        self.rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate()
                                                                        self.rate.parent = self


                                                                    class FlowRate(object):
                                                                        """
                                                                        flow rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info']


                                                                    class Rate(object):
                                                                        """
                                                                        rate
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:cac'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.cac_type is not None:
                                                                            return True

                                                                        if self.flow_rate is not None and self.flow_rate._has_data():
                                                                            return True

                                                                        if self.idle_timeout is not None:
                                                                            return True

                                                                        if self.rate is not None and self.rate._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']


                                                                class Pfc(object):
                                                                    """
                                                                    pfc
                                                                    
                                                                    .. attribute:: buffer_size
                                                                    
                                                                    	buffer size
                                                                    	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize>`
                                                                    
                                                                    .. attribute:: buffer_size_flag
                                                                    
                                                                    	buffer size flag
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pause_threshold
                                                                    
                                                                    	pause threshold
                                                                    	**type**\:   :py:class:`PauseThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold>`
                                                                    
                                                                    .. attribute:: pfc_pause_set
                                                                    
                                                                    	pfc pause set
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: resume_threshold
                                                                    
                                                                    	resume threshold
                                                                    	**type**\:   :py:class:`ResumeThreshold <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.buffer_size = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize()
                                                                        self.buffer_size.parent = self
                                                                        self.buffer_size_flag = None
                                                                        self.pause_threshold = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold()
                                                                        self.pause_threshold.parent = self
                                                                        self.pfc_pause_set = None
                                                                        self.resume_threshold = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold()
                                                                        self.resume_threshold.parent = self


                                                                    class BufferSize(object):
                                                                        """
                                                                        buffer size
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:buffer-size'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info']


                                                                    class PauseThreshold(object):
                                                                        """
                                                                        pause threshold
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pause-threshold'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info']


                                                                    class ResumeThreshold(object):
                                                                        """
                                                                        resume threshold
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:resume-threshold'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pfc'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.buffer_size is not None and self.buffer_size._has_data():
                                                                            return True

                                                                        if self.buffer_size_flag is not None:
                                                                            return True

                                                                        if self.pause_threshold is not None and self.pause_threshold._has_data():
                                                                            return True

                                                                        if self.pfc_pause_set is not None:
                                                                            return True

                                                                        if self.resume_threshold is not None and self.resume_threshold._has_data():
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']


                                                                class FlowParm(object):
                                                                    """
                                                                    flow parm
                                                                    
                                                                    .. attribute:: flow_timeout
                                                                    
                                                                    	timeout in secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: second
                                                                    
                                                                    .. attribute:: intvl_hist
                                                                    
                                                                    	num intervals of data stored on rtr
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_mon_flows
                                                                    
                                                                    	max simult flows monitored per policy class
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: mon_interval
                                                                    
                                                                    	monitored interval duration in secs
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: second
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.flow_timeout = None
                                                                        self.intvl_hist = None
                                                                        self.max_mon_flows = None
                                                                        self.mon_interval = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:flow-parm'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.flow_timeout is not None:
                                                                            return True

                                                                        if self.intvl_hist is not None:
                                                                            return True

                                                                        if self.max_mon_flows is not None:
                                                                            return True

                                                                        if self.mon_interval is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info']


                                                                class Ipcbr(object):
                                                                    """
                                                                    ipcbr
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: ip_bit_rate
                                                                    
                                                                    	data rate in bps
                                                                    	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate>`
                                                                    
                                                                    .. attribute:: ip_pkt_rate
                                                                    
                                                                    	packet rate in pps
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: media_bit_rate
                                                                    
                                                                    	media data rate in bps
                                                                    	**type**\:   :py:class:`MediaBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate>`
                                                                    
                                                                    .. attribute:: media_pkt_size
                                                                    
                                                                    	media packet size in bytes
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    	**units**\: byte
                                                                    
                                                                    .. attribute:: media_pkts_per_ip
                                                                    
                                                                    	media packets per ip pkt
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate()
                                                                        self.ip_bit_rate.parent = self
                                                                        self.ip_pkt_rate = None
                                                                        self.media_bit_rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate()
                                                                        self.media_bit_rate.parent = self
                                                                        self.media_pkt_size = None
                                                                        self.media_pkts_per_ip = None


                                                                    class IpBitRate(object):
                                                                        """
                                                                        data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info']


                                                                    class MediaBitRate(object):
                                                                        """
                                                                        media data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:media-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipcbr'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                            return True

                                                                        if self.ip_pkt_rate is not None:
                                                                            return True

                                                                        if self.media_bit_rate is not None and self.media_bit_rate._has_data():
                                                                            return True

                                                                        if self.media_pkt_size is not None:
                                                                            return True

                                                                        if self.media_pkts_per_ip is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']


                                                                class Rtp(object):
                                                                    """
                                                                    rtp
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']


                                                                class RtpMmr(object):
                                                                    """
                                                                    rtp mmr
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-mmr'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']


                                                                class RtpJ2K(object):
                                                                    """
                                                                    rtp j2k
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-j2k'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']


                                                                class RtpVoice(object):
                                                                    """
                                                                    rtp voice
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: clock_rate
                                                                    
                                                                    	clock rate
                                                                    	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate>`
                                                                    
                                                                    .. attribute:: max_dropout
                                                                    
                                                                    	max dropout
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: max_misorder
                                                                    
                                                                    	max misorder
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: min_sequential
                                                                    
                                                                    	min sequential
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: seq_ext_cop4
                                                                    
                                                                    	enable seq extension cop4
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.clock_rate = YList()
                                                                        self.clock_rate.parent = self
                                                                        self.clock_rate.name = 'clock_rate'
                                                                        self.max_dropout = None
                                                                        self.max_misorder = None
                                                                        self.min_sequential = None
                                                                        self.seq_ext_cop4 = None


                                                                    class ClockRate(object):
                                                                        """
                                                                        clock rate
                                                                        
                                                                        .. attribute:: frequency
                                                                        
                                                                        	frequency
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        .. attribute:: pt
                                                                        
                                                                        	pt
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.frequency = None
                                                                            self.pt = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:clock-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.frequency is not None:
                                                                                return True

                                                                            if self.pt is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:rtp-voice'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.clock_rate is not None:
                                                                            for child_ref in self.clock_rate:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        if self.max_dropout is not None:
                                                                            return True

                                                                        if self.max_misorder is not None:
                                                                            return True

                                                                        if self.min_sequential is not None:
                                                                            return True

                                                                        if self.seq_ext_cop4 is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']


                                                                class Mdi(object):
                                                                    """
                                                                    mdi
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: filtered_pkt_rate
                                                                    
                                                                    	filtered packet rate
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: ip_bit_rate
                                                                    
                                                                    	data rate in bps
                                                                    	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate>`
                                                                    
                                                                    .. attribute:: ip_pkt_rate
                                                                    
                                                                    	packet rate in pps
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pids
                                                                    
                                                                    	array of monitoredcd  pids
                                                                    	**type**\:  list of int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.filtered_pkt_rate = None
                                                                        self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate()
                                                                        self.ip_bit_rate.parent = self
                                                                        self.ip_pkt_rate = None
                                                                        self.pids = YLeafList()
                                                                        self.pids.parent = self
                                                                        self.pids.name = 'pids'


                                                                    class IpBitRate(object):
                                                                        """
                                                                        data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.filtered_pkt_rate is not None:
                                                                            return True

                                                                        if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                            return True

                                                                        if self.ip_pkt_rate is not None:
                                                                            return True

                                                                        if self.pids is not None:
                                                                            for child in self.pids:
                                                                                if child is not None:
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']


                                                                class MdiRtp(object):
                                                                    """
                                                                    mdi rtp
                                                                    
                                                                    .. attribute:: action_metric_type
                                                                    
                                                                    	metric type
                                                                    	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyActionEnum>`
                                                                    
                                                                    .. attribute:: filtered_pkt_rate
                                                                    
                                                                    	filtered packet rate
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: ip_bit_rate
                                                                    
                                                                    	data rate in bps
                                                                    	**type**\:   :py:class:`IpBitRate <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate>`
                                                                    
                                                                    .. attribute:: ip_pkt_rate
                                                                    
                                                                    	packet rate in pps
                                                                    	**type**\:  int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    .. attribute:: pids
                                                                    
                                                                    	array of monitoredcd  pids
                                                                    	**type**\:  list of int
                                                                    
                                                                    	**range:** 0..4294967295
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_metric_type = None
                                                                        self.filtered_pkt_rate = None
                                                                        self.ip_bit_rate = PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate()
                                                                        self.ip_bit_rate.parent = self
                                                                        self.ip_pkt_rate = None
                                                                        self.pids = YLeafList()
                                                                        self.pids.parent = self
                                                                        self.pids.name = 'pids'


                                                                    class IpBitRate(object):
                                                                        """
                                                                        data rate in bps
                                                                        
                                                                        .. attribute:: unit
                                                                        
                                                                        	unit
                                                                        	**type**\:   :py:class:`PolicyParamUnitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyParamUnitEnum>`
                                                                        
                                                                        .. attribute:: value
                                                                        
                                                                        	value
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..4294967295
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.unit = None
                                                                            self.value = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ip-bit-rate'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.unit is not None:
                                                                                return True

                                                                            if self.value is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:mdi-rtp'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_metric_type is not None:
                                                                            return True

                                                                        if self.filtered_pkt_rate is not None:
                                                                            return True

                                                                        if self.ip_bit_rate is not None and self.ip_bit_rate._has_data():
                                                                            return True

                                                                        if self.ip_pkt_rate is not None:
                                                                            return True

                                                                        if self.pids is not None:
                                                                            for child in self.pids:
                                                                                if child is not None:
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']


                                                                class Fmm(object):
                                                                    """
                                                                    fmm
                                                                    
                                                                    .. attribute:: fmm_name
                                                                    
                                                                    	flow monitor name
                                                                    	**type**\:  str
                                                                    
                                                                    	**length:** 0..33
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.fmm_name = None

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:fmm'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.fmm_name is not None:
                                                                            return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info']


                                                                class Pbf(object):
                                                                    """
                                                                    pbf
                                                                    
                                                                    .. attribute:: action_pbf_info_array
                                                                    
                                                                    	action pbf info array
                                                                    	**type**\: list of    :py:class:`ActionPbfInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_pbf_info_array = YList()
                                                                        self.action_pbf_info_array.parent = self
                                                                        self.action_pbf_info_array.name = 'action_pbf_info_array'


                                                                    class ActionPbfInfoArray(object):
                                                                        """
                                                                        action pbf info array
                                                                        
                                                                        .. attribute:: addr
                                                                        
                                                                        	v4 or v6 address
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                        
                                                                        .. attribute:: rt
                                                                        
                                                                        	route target
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** ([0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2})\*)?
                                                                        
                                                                        .. attribute:: rt_type
                                                                        
                                                                        	route target type
                                                                        	**type**\:  int
                                                                        
                                                                        	**range:** 0..255
                                                                        
                                                                        .. attribute:: vrf
                                                                        
                                                                        	vrf name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.addr = None
                                                                            self.rt = None
                                                                            self.rt_type = None
                                                                            self.vrf = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-pbf-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.addr is not None:
                                                                                return True

                                                                            if self.rt is not None:
                                                                                return True

                                                                            if self.rt_type is not None:
                                                                                return True

                                                                            if self.vrf is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:pbf'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_pbf_info_array is not None:
                                                                            for child_ref in self.action_pbf_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']


                                                                class Ipv4Nh(object):
                                                                    """
                                                                    ipv4 nh
                                                                    
                                                                    .. attribute:: action_ipv4_nh_info_array
                                                                    
                                                                    	action ipv4 nh info array
                                                                    	**type**\: list of    :py:class:`ActionIpv4NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_ipv4_nh_info_array = YList()
                                                                        self.action_ipv4_nh_info_array.parent = self
                                                                        self.action_ipv4_nh_info_array.name = 'action_ipv4_nh_info_array'


                                                                    class ActionIpv4NhInfoArray(object):
                                                                        """
                                                                        action ipv4 nh info array
                                                                        
                                                                        .. attribute:: nh_addr
                                                                        
                                                                        	nh addr
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                                        
                                                                        .. attribute:: vrf_name
                                                                        
                                                                        	Vrf name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.nh_addr = None
                                                                            self.vrf_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv4-nh-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.nh_addr is not None:
                                                                                return True

                                                                            if self.vrf_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv4-nh'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_ipv4_nh_info_array is not None:
                                                                            for child_ref in self.action_ipv4_nh_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']


                                                                class Ipv6Nh(object):
                                                                    """
                                                                    ipv6 nh
                                                                    
                                                                    .. attribute:: action_ipv6_nh_info_array
                                                                    
                                                                    	action ipv6 nh info array
                                                                    	**type**\: list of    :py:class:`ActionIpv6NhInfoArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray>`
                                                                    
                                                                    

                                                                    """

                                                                    _prefix = 'infra-policymgr-oper'
                                                                    _revision = '2015-11-09'

                                                                    def __init__(self):
                                                                        self.parent = None
                                                                        self.action_ipv6_nh_info_array = YList()
                                                                        self.action_ipv6_nh_info_array.parent = self
                                                                        self.action_ipv6_nh_info_array.name = 'action_ipv6_nh_info_array'


                                                                    class ActionIpv6NhInfoArray(object):
                                                                        """
                                                                        action ipv6 nh info array
                                                                        
                                                                        .. attribute:: nh_addr
                                                                        
                                                                        	IPV6 Address
                                                                        	**type**\:  str
                                                                        
                                                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                                        
                                                                        .. attribute:: vrf_name
                                                                        
                                                                        	Vrf name
                                                                        	**type**\:  str
                                                                        
                                                                        

                                                                        """

                                                                        _prefix = 'infra-policymgr-oper'
                                                                        _revision = '2015-11-09'

                                                                        def __init__(self):
                                                                            self.parent = None
                                                                            self.nh_addr = None
                                                                            self.vrf_name = None

                                                                        @property
                                                                        def _common_path(self):
                                                                            if self.parent is None:
                                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:action-ipv6-nh-info-array'

                                                                        def is_config(self):
                                                                            ''' Returns True if this instance represents config data else returns False '''
                                                                            return False

                                                                        def _has_data(self):
                                                                            if not self.is_config():
                                                                                return False
                                                                            if self.nh_addr is not None:
                                                                                return True

                                                                            if self.vrf_name is not None:
                                                                                return True

                                                                            return False

                                                                        @staticmethod
                                                                        def _meta_info():
                                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info']

                                                                    @property
                                                                    def _common_path(self):
                                                                        if self.parent is None:
                                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:ipv6-nh'

                                                                    def is_config(self):
                                                                        ''' Returns True if this instance represents config data else returns False '''
                                                                        return False

                                                                    def _has_data(self):
                                                                        if not self.is_config():
                                                                            return False
                                                                        if self.action_ipv6_nh_info_array is not None:
                                                                            for child_ref in self.action_ipv6_nh_info_array:
                                                                                if child_ref._has_data():
                                                                                    return True

                                                                        return False

                                                                    @staticmethod
                                                                    def _meta_info():
                                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']

                                                                @property
                                                                def _common_path(self):
                                                                    if self.parent is None:
                                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:actp'

                                                                def is_config(self):
                                                                    ''' Returns True if this instance represents config data else returns False '''
                                                                    return False

                                                                def _has_data(self):
                                                                    if not self.is_config():
                                                                        return False
                                                                    if self.accounting_event_aaa is not None and self.accounting_event_aaa._has_data():
                                                                        return True

                                                                    if self.acct_aaa_list is not None and self.acct_aaa_list._has_data():
                                                                        return True

                                                                    if self.act_template is not None and self.act_template._has_data():
                                                                        return True

                                                                    if self.afm_react is not None and self.afm_react._has_data():
                                                                        return True

                                                                    if self.authen_aaa is not None and self.authen_aaa._has_data():
                                                                        return True

                                                                    if self.authorize_id is not None and self.authorize_id._has_data():
                                                                        return True

                                                                    if self.bwrem is not None and self.bwrem._has_data():
                                                                        return True

                                                                    if self.cac is not None and self.cac._has_data():
                                                                        return True

                                                                    if self.child_policy is not None and self.child_policy._has_data():
                                                                        return True

                                                                    if self.collect_id is not None and self.collect_id._has_data():
                                                                        return True

                                                                    if self.copy is not None and self.copy._has_data():
                                                                        return True

                                                                    if self.data_p is not None:
                                                                        return True

                                                                    if self.deact_template is not None and self.deact_template._has_data():
                                                                        return True

                                                                    if self.decode_id is not None and self.decode_id._has_data():
                                                                        return True

                                                                    if self.encap is not None and self.encap._has_data():
                                                                        return True

                                                                    if self.flow_parm is not None and self.flow_parm._has_data():
                                                                        return True

                                                                    if self.fmm is not None and self.fmm._has_data():
                                                                        return True

                                                                    if self.httpr is not None and self.httpr._has_data():
                                                                        return True

                                                                    if self.ipcbr is not None and self.ipcbr._has_data():
                                                                        return True

                                                                    if self.ipv4_nh is not None and self.ipv4_nh._has_data():
                                                                        return True

                                                                    if self.ipv6_nh is not None and self.ipv6_nh._has_data():
                                                                        return True

                                                                    if self.mark is not None and self.mark._has_data():
                                                                        return True

                                                                    if self.mark2 is not None and self.mark2._has_data():
                                                                        return True

                                                                    if self.mdi is not None and self.mdi._has_data():
                                                                        return True

                                                                    if self.mdi_rtp is not None and self.mdi_rtp._has_data():
                                                                        return True

                                                                    if self.min_bw is not None and self.min_bw._has_data():
                                                                        return True

                                                                    if self.out_intf is not None and self.out_intf._has_data():
                                                                        return True

                                                                    if self.pbf is not None and self.pbf._has_data():
                                                                        return True

                                                                    if self.pfc is not None and self.pfc._has_data():
                                                                        return True

                                                                    if self.police is not None and self.police._has_data():
                                                                        return True

                                                                    if self.prepaid_cfg is not None and self.prepaid_cfg._has_data():
                                                                        return True

                                                                    if self.prio is not None and self.prio._has_data():
                                                                        return True

                                                                    if self.proxy_aaa is not None and self.proxy_aaa._has_data():
                                                                        return True

                                                                    if self.punt is not None and self.punt._has_data():
                                                                        return True

                                                                    if self.qlimit is not None and self.qlimit._has_data():
                                                                        return True

                                                                    if self.query_ancp is not None and self.query_ancp._has_data():
                                                                        return True

                                                                    if self.redirect is not None and self.redirect._has_data():
                                                                        return True

                                                                    if self.rtp is not None and self.rtp._has_data():
                                                                        return True

                                                                    if self.rtp_j2k is not None and self.rtp_j2k._has_data():
                                                                        return True

                                                                    if self.rtp_mmr is not None and self.rtp_mmr._has_data():
                                                                        return True

                                                                    if self.rtp_voice is not None and self.rtp_voice._has_data():
                                                                        return True

                                                                    if self.serv_func is not None and self.serv_func._has_data():
                                                                        return True

                                                                    if self.set_timer is not None and self.set_timer._has_data():
                                                                        return True

                                                                    if self.sfrag is not None and self.sfrag._has_data():
                                                                        return True

                                                                    if self.shape is not None and self.shape._has_data():
                                                                        return True

                                                                    if self.stop_timer is not None and self.stop_timer._has_data():
                                                                        return True

                                                                    if self.timeout_idle is not None and self.timeout_idle._has_data():
                                                                        return True

                                                                    if self.type is not None:
                                                                        return True

                                                                    if self.wred is not None and self.wred._has_data():
                                                                        return True

                                                                    return False

                                                                @staticmethod
                                                                def _meta_info():
                                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-action-info-st'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.actp is not None and self.actp._has_data():
                                                                    return True

                                                                if self.flags is not None:
                                                                    return True

                                                                if self.seq is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:act-infop'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.policy_action_info_st is not None:
                                                                for child_ref in self.policy_action_info_st:
                                                                    if child_ref._has_data():
                                                                        return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-class-info-bg'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.act_infop is not None and self.act_infop._has_data():
                                                            return True

                                                        if self.cl_encode is not None and self.cl_encode._has_data():
                                                            return True

                                                        if self.clmp_p is not None and self.clmp_p._has_data():
                                                            return True

                                                        if self.ctype is not None:
                                                            return True

                                                        if self.exe_strat is not None:
                                                            return True

                                                        if self.flags is not None:
                                                            return True

                                                        if self.num_actions is not None:
                                                            return True

                                                        if self.policy_class_hd is not None:
                                                            return True

                                                        if self.seq is not None:
                                                            return True

                                                        if self.version is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-infop'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.policy_class_info_bg is not None:
                                                        for child_ref in self.policy_class_info_bg:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-event-info-bg'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.avl_tree is not None:
                                                    return True

                                                if self.class_infop is not None and self.class_infop._has_data():
                                                    return True

                                                if self.cond_eval is not None:
                                                    return True

                                                if self.event_type is not None:
                                                    return True

                                                if self.flags is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:event-infop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.policy_event_info_bg is not None:
                                                for child_ref in self.policy_event_info_bg:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-bg'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.chk_sum is not None:
                                            return True

                                        if self.class_dflt_hrchy_depth is not None:
                                            return True

                                        if self.description is not None:
                                            return True

                                        if self.event_infop is not None and self.event_infop._has_data():
                                            return True

                                        if self.flags is not None:
                                            return True

                                        if self.handle is not None:
                                            return True

                                        if self.magic is not None:
                                            return True

                                        if self.max_hierarchy is not None:
                                            return True

                                        if self.name is not None:
                                            return True

                                        if self.num_classes is not None:
                                            return True

                                        if self.num_policy_class_info is not None:
                                            return True

                                        if self.pclass_diff is not None:
                                            return True

                                        if self.pmap_var_list is not None and self.pmap_var_list._has_data():
                                            return True

                                        if self.rateless_chk_sum is not None:
                                            return True

                                        if self.table_id is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.policy_map_name is None:
                                        raise YPYModelError('Key property policy_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_name is not None:
                                        return True

                                    if self.policy_map_bg is not None:
                                        for child_ref in self.policy_map_bg:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-maps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map is not None:
                                    for child_ref in self.policy_map:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps']['meta_info']


                        class PolicyMapDetails(object):
                            """
                            Policy\-map table
                            
                            .. attribute:: policy_map_detail
                            
                            	Policy\-map detail information
                            	**type**\: list of    :py:class:`PolicyMapDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.policy_map_detail = YList()
                                self.policy_map_detail.parent = self
                                self.policy_map_detail.name = 'policy_map_detail'


                            class PolicyMapDetail(object):
                                """
                                Policy\-map detail information
                                
                                .. attribute:: policy_map_name  <key>
                                
                                	Name of policy\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_map_reference
                                
                                	Each Classmapdetails
                                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference>`
                                
                                .. attribute:: object
                                
                                	Each object details
                                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object>`
                                
                                .. attribute:: object_type
                                
                                	Application type configured
                                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                
                                .. attribute:: reference
                                
                                	Each Policymap details
                                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference>`
                                
                                .. attribute:: total_objects
                                
                                	Total number of objects configured for a specific object type
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: transient
                                
                                	Transient object
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_name = None
                                    self.class_map_reference = YList()
                                    self.class_map_reference.parent = self
                                    self.class_map_reference.name = 'class_map_reference'
                                    self.object = YList()
                                    self.object.parent = self
                                    self.object.name = 'object'
                                    self.object_type = None
                                    self.reference = YList()
                                    self.reference.parent = self
                                    self.reference.name = 'reference'
                                    self.total_objects = None
                                    self.transient = None


                                class Reference(object):
                                    """
                                    Each Policymap details
                                    
                                    .. attribute:: total_class_maps
                                    
                                    	Total number of Classmaps in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_flows
                                    
                                    	Total flows in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_internal_reference_objects
                                    
                                    	Total number of internal reference objects
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.total_class_maps = None
                                        self.total_flows = None
                                        self.total_internal_reference_objects = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.total_class_maps is not None:
                                            return True

                                        if self.total_flows is not None:
                                            return True

                                        if self.total_internal_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference']['meta_info']


                                class Object(object):
                                    """
                                    Each object details
                                    
                                    .. attribute:: object_name
                                    
                                    	Name of object (Policymap/Classmap)
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object']['meta_info']


                                class ClassMapReference(object):
                                    """
                                    Each Classmapdetails
                                    
                                    .. attribute:: policy_map_reference
                                    
                                    	List of Policymaps referencing a Classmap
                                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference>`
                                    
                                    .. attribute:: total_reference_objects
                                    
                                    	Total number of Policymaps referencing a Classmap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_reference = YList()
                                        self.policy_map_reference.parent = self
                                        self.policy_map_reference.name = 'policy_map_reference'
                                        self.total_reference_objects = None


                                    class PolicyMapReference(object):
                                        """
                                        List of Policymaps referencing a Classmap
                                        
                                        .. attribute:: object_type
                                        
                                        	Application type configured
                                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                        
                                        .. attribute:: policy_map_name
                                        
                                        	Name of Policymap referencing a Classmap
                                        	**type**\:  str
                                        
                                        	**length:** 0..64
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.object_type = None
                                            self.policy_map_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.object_type is not None:
                                                return True

                                            if self.policy_map_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_reference is not None:
                                            for child_ref in self.policy_map_reference:
                                                if child_ref._has_data():
                                                    return True

                                        if self.total_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.policy_map_name is None:
                                        raise YPYModelError('Key property policy_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-detail[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_name is not None:
                                        return True

                                    if self.class_map_reference is not None:
                                        for child_ref in self.class_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.object is not None:
                                        for child_ref in self.object:
                                            if child_ref._has_data():
                                                return True

                                    if self.object_type is not None:
                                        return True

                                    if self.reference is not None:
                                        for child_ref in self.reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_objects is not None:
                                        return True

                                    if self.transient is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-details'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.policy_map_detail is not None:
                                    for child_ref in self.policy_map_detail:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.type is None:
                                raise YPYModelError('Key property type is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.type is not None:
                                return True

                            if self.policy_map_details is not None and self.policy_map_details._has_data():
                                return True

                            if self.policy_maps is not None and self.policy_maps._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-types'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.policy_map_type is not None:
                            for child_ref in self.policy_map_type:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes']['meta_info']


                class TransientPolicyMapTypes(object):
                    """
                    Application type of transient policy\-map list
                    
                    .. attribute:: transient_policy_map_type
                    
                    	Transient policy\-map type
                    	**type**\: list of    :py:class:`TransientPolicyMapType <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType>`
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.transient_policy_map_type = YList()
                        self.transient_policy_map_type.parent = self
                        self.transient_policy_map_type.name = 'transient_policy_map_type'


                    class TransientPolicyMapType(object):
                        """
                        Transient policy\-map type
                        
                        .. attribute:: type  <key>
                        
                        	The application type
                        	**type**\:   :py:class:`PolicymgrPolicyMapEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicymgrPolicyMapEnum>`
                        
                        .. attribute:: transient_list_unuseds
                        
                        	Transient policy\-map list unused table
                        	**type**\:   :py:class:`TransientListUnuseds <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds>`
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.type = None
                            self.transient_list_unuseds = PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds()
                            self.transient_list_unuseds.parent = self


                        class TransientListUnuseds(object):
                            """
                            Transient policy\-map list unused table
                            
                            .. attribute:: transient_list_unused
                            
                            	Policy\-map list unused
                            	**type**\: list of    :py:class:`TransientListUnused <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused>`
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.transient_list_unused = YList()
                                self.transient_list_unused.parent = self
                                self.transient_list_unused.name = 'transient_list_unused'


                            class TransientListUnused(object):
                                """
                                Policy\-map list unused
                                
                                .. attribute:: policy_map_name  <key>
                                
                                	Name of policy\-map
                                	**type**\:  str
                                
                                	**length:** 1..63
                                
                                .. attribute:: class_map_reference
                                
                                	Each Classmapdetails
                                	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference>`
                                
                                .. attribute:: object
                                
                                	Each object details
                                	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object>`
                                
                                .. attribute:: object_type
                                
                                	Application type configured
                                	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                
                                .. attribute:: reference
                                
                                	Each Policymap details
                                	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference>`
                                
                                .. attribute:: total_objects
                                
                                	Total number of objects configured for a specific object type
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: transient
                                
                                	Transient object
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'infra-policymgr-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.policy_map_name = None
                                    self.class_map_reference = YList()
                                    self.class_map_reference.parent = self
                                    self.class_map_reference.name = 'class_map_reference'
                                    self.object = YList()
                                    self.object.parent = self
                                    self.object.name = 'object'
                                    self.object_type = None
                                    self.reference = YList()
                                    self.reference.parent = self
                                    self.reference.name = 'reference'
                                    self.total_objects = None
                                    self.transient = None


                                class Reference(object):
                                    """
                                    Each Policymap details
                                    
                                    .. attribute:: total_class_maps
                                    
                                    	Total number of Classmaps in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_flows
                                    
                                    	Total flows in a Policymap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: total_internal_reference_objects
                                    
                                    	Total number of internal reference objects
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.total_class_maps = None
                                        self.total_flows = None
                                        self.total_internal_reference_objects = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.total_class_maps is not None:
                                            return True

                                        if self.total_flows is not None:
                                            return True

                                        if self.total_internal_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference']['meta_info']


                                class Object(object):
                                    """
                                    Each object details
                                    
                                    .. attribute:: object_name
                                    
                                    	Name of object (Policymap/Classmap)
                                    	**type**\:  str
                                    
                                    	**length:** 0..64
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.object_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.object_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object']['meta_info']


                                class ClassMapReference(object):
                                    """
                                    Each Classmapdetails
                                    
                                    .. attribute:: policy_map_reference
                                    
                                    	List of Policymaps referencing a Classmap
                                    	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference>`
                                    
                                    .. attribute:: total_reference_objects
                                    
                                    	Total number of Policymaps referencing a Classmap
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'infra-policymgr-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.policy_map_reference = YList()
                                        self.policy_map_reference.parent = self
                                        self.policy_map_reference.name = 'policy_map_reference'
                                        self.total_reference_objects = None


                                    class PolicyMapReference(object):
                                        """
                                        List of Policymaps referencing a Classmap
                                        
                                        .. attribute:: object_type
                                        
                                        	Application type configured
                                        	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                                        
                                        .. attribute:: policy_map_name
                                        
                                        	Name of Policymap referencing a Classmap
                                        	**type**\:  str
                                        
                                        	**length:** 0..64
                                        
                                        

                                        """

                                        _prefix = 'infra-policymgr-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.object_type = None
                                            self.policy_map_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.object_type is not None:
                                                return True

                                            if self.policy_map_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.policy_map_reference is not None:
                                            for child_ref in self.policy_map_reference:
                                                if child_ref._has_data():
                                                    return True

                                        if self.total_reference_objects is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.policy_map_name is None:
                                        raise YPYModelError('Key property policy_map_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-list-unused[Cisco-IOS-XR-infra-policymgr-oper:policy-map-name = ' + str(self.policy_map_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.policy_map_name is not None:
                                        return True

                                    if self.class_map_reference is not None:
                                        for child_ref in self.class_map_reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.object is not None:
                                        for child_ref in self.object:
                                            if child_ref._has_data():
                                                return True

                                    if self.object_type is not None:
                                        return True

                                    if self.reference is not None:
                                        for child_ref in self.reference:
                                            if child_ref._has_data():
                                                return True

                                    if self.total_objects is not None:
                                        return True

                                    if self.transient is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-list-unuseds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.transient_list_unused is not None:
                                    for child_ref in self.transient_list_unused:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.type is None:
                                raise YPYModelError('Key property type is None')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-type[Cisco-IOS-XR-infra-policymgr-oper:type = ' + str(self.type) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.type is not None:
                                return True

                            if self.transient_list_unuseds is not None and self.transient_list_unuseds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:transient-policy-map-types'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.transient_policy_map_type is not None:
                            for child_ref in self.transient_policy_map_type:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.policy_map_types is not None and self.policy_map_types._has_data():
                        return True

                    if self.policy_map_unused_types is not None and self.policy_map_unused_types._has_data():
                        return True

                    if self.transient_policy_map_type_xr is not None and self.transient_policy_map_type_xr._has_data():
                        return True

                    if self.transient_policy_map_types is not None and self.transient_policy_map_types._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Nodes.Node.PolicyMap']['meta_info']


            class Summary(object):
                """
                Summary of policy\-maps and class\-maps configured
                
                .. attribute:: class_map
                
                	Summary of Classmap database
                	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.ClassMap>`
                
                .. attribute:: policy_map
                
                	Summary of Policymap database
                	**type**\: list of    :py:class:`PolicyMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.PolicyMap>`
                
                .. attribute:: total_class_map_types
                
                	Total number of Classmap types configured
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_class_maps
                
                	Total number of Classmaps configured
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_policy_map_types
                
                	Total number of Policymap types configured
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_policy_maps
                
                	Total number of Policymaps configured
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'infra-policymgr-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.class_map = YList()
                    self.class_map.parent = self
                    self.class_map.name = 'class_map'
                    self.policy_map = YList()
                    self.policy_map.parent = self
                    self.policy_map.name = 'policy_map'
                    self.total_class_map_types = None
                    self.total_class_maps = None
                    self.total_policy_map_types = None
                    self.total_policy_maps = None


                class ClassMap(object):
                    """
                    Summary of Classmap database
                    
                    .. attribute:: class_map_reference
                    
                    	Each Classmapdetails
                    	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference>`
                    
                    .. attribute:: object
                    
                    	Each object details
                    	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.ClassMap.Object>`
                    
                    .. attribute:: object_type
                    
                    	Application type configured
                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                    
                    .. attribute:: reference
                    
                    	Each Policymap details
                    	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.ClassMap.Reference>`
                    
                    .. attribute:: total_objects
                    
                    	Total number of objects configured for a specific object type
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transient
                    
                    	Transient object
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.class_map_reference = YList()
                        self.class_map_reference.parent = self
                        self.class_map_reference.name = 'class_map_reference'
                        self.object = YList()
                        self.object.parent = self
                        self.object.name = 'object'
                        self.object_type = None
                        self.reference = YList()
                        self.reference.parent = self
                        self.reference.name = 'reference'
                        self.total_objects = None
                        self.transient = None


                    class Reference(object):
                        """
                        Each Policymap details
                        
                        .. attribute:: total_class_maps
                        
                        	Total number of Classmaps in a Policymap
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_flows
                        
                        	Total flows in a Policymap
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_internal_reference_objects
                        
                        	Total number of internal reference objects
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.total_class_maps = None
                            self.total_flows = None
                            self.total_internal_reference_objects = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.total_class_maps is not None:
                                return True

                            if self.total_flows is not None:
                                return True

                            if self.total_internal_reference_objects is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.Reference']['meta_info']


                    class Object(object):
                        """
                        Each object details
                        
                        .. attribute:: object_name
                        
                        	Name of object (Policymap/Classmap)
                        	**type**\:  str
                        
                        	**length:** 0..64
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.object_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.object_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.Object']['meta_info']


                    class ClassMapReference(object):
                        """
                        Each Classmapdetails
                        
                        .. attribute:: policy_map_reference
                        
                        	List of Policymaps referencing a Classmap
                        	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference.PolicyMapReference>`
                        
                        .. attribute:: total_reference_objects
                        
                        	Total number of Policymaps referencing a Classmap
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_reference = YList()
                            self.policy_map_reference.parent = self
                            self.policy_map_reference.name = 'policy_map_reference'
                            self.total_reference_objects = None


                        class PolicyMapReference(object):
                            """
                            List of Policymaps referencing a Classmap
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: policy_map_name
                            
                            	Name of Policymap referencing a Classmap
                            	**type**\:  str
                            
                            	**length:** 0..64
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.object_type = None
                                self.policy_map_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.object_type is not None:
                                    return True

                                if self.policy_map_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference.PolicyMapReference']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_reference is not None:
                                for child_ref in self.policy_map_reference:
                                    if child_ref._has_data():
                                        return True

                            if self.total_reference_objects is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.class_map_reference is not None:
                            for child_ref in self.class_map_reference:
                                if child_ref._has_data():
                                    return True

                        if self.object is not None:
                            for child_ref in self.object:
                                if child_ref._has_data():
                                    return True

                        if self.object_type is not None:
                            return True

                        if self.reference is not None:
                            for child_ref in self.reference:
                                if child_ref._has_data():
                                    return True

                        if self.total_objects is not None:
                            return True

                        if self.transient is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.Summary.ClassMap']['meta_info']


                class PolicyMap(object):
                    """
                    Summary of Policymap database
                    
                    .. attribute:: class_map_reference
                    
                    	Each Classmapdetails
                    	**type**\: list of    :py:class:`ClassMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference>`
                    
                    .. attribute:: object
                    
                    	Each object details
                    	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.PolicyMap.Object>`
                    
                    .. attribute:: object_type
                    
                    	Application type configured
                    	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                    
                    .. attribute:: reference
                    
                    	Each Policymap details
                    	**type**\: list of    :py:class:`Reference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.PolicyMap.Reference>`
                    
                    .. attribute:: total_objects
                    
                    	Total number of objects configured for a specific object type
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transient
                    
                    	Transient object
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'infra-policymgr-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.class_map_reference = YList()
                        self.class_map_reference.parent = self
                        self.class_map_reference.name = 'class_map_reference'
                        self.object = YList()
                        self.object.parent = self
                        self.object.name = 'object'
                        self.object_type = None
                        self.reference = YList()
                        self.reference.parent = self
                        self.reference.name = 'reference'
                        self.total_objects = None
                        self.transient = None


                    class Reference(object):
                        """
                        Each Policymap details
                        
                        .. attribute:: total_class_maps
                        
                        	Total number of Classmaps in a Policymap
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_flows
                        
                        	Total flows in a Policymap
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_internal_reference_objects
                        
                        	Total number of internal reference objects
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.total_class_maps = None
                            self.total_flows = None
                            self.total_internal_reference_objects = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:reference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.total_class_maps is not None:
                                return True

                            if self.total_flows is not None:
                                return True

                            if self.total_internal_reference_objects is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.Reference']['meta_info']


                    class Object(object):
                        """
                        Each object details
                        
                        .. attribute:: object_name
                        
                        	Name of object (Policymap/Classmap)
                        	**type**\:  str
                        
                        	**length:** 0..64
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.object_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:object'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.object_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.Object']['meta_info']


                    class ClassMapReference(object):
                        """
                        Each Classmapdetails
                        
                        .. attribute:: policy_map_reference
                        
                        	List of Policymaps referencing a Classmap
                        	**type**\: list of    :py:class:`PolicyMapReference <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference.PolicyMapReference>`
                        
                        .. attribute:: total_reference_objects
                        
                        	Total number of Policymaps referencing a Classmap
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'infra-policymgr-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.policy_map_reference = YList()
                            self.policy_map_reference.parent = self
                            self.policy_map_reference.name = 'policy_map_reference'
                            self.total_reference_objects = None


                        class PolicyMapReference(object):
                            """
                            List of Policymaps referencing a Classmap
                            
                            .. attribute:: object_type
                            
                            	Application type configured
                            	**type**\:   :py:class:`PlmgrApplnEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper.PlmgrApplnEnum>`
                            
                            .. attribute:: policy_map_name
                            
                            	Name of Policymap referencing a Classmap
                            	**type**\:  str
                            
                            	**length:** 0..64
                            
                            

                            """

                            _prefix = 'infra-policymgr-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.object_type = None
                                self.policy_map_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map-reference'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.object_type is not None:
                                    return True

                                if self.policy_map_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                                return meta._meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference.PolicyMapReference']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:class-map-reference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.policy_map_reference is not None:
                                for child_ref in self.policy_map_reference:
                                    if child_ref._has_data():
                                        return True

                            if self.total_reference_objects is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                            return meta._meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:policy-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.class_map_reference is not None:
                            for child_ref in self.class_map_reference:
                                if child_ref._has_data():
                                    return True

                        if self.object is not None:
                            for child_ref in self.object:
                                if child_ref._has_data():
                                    return True

                        if self.object_type is not None:
                            return True

                        if self.reference is not None:
                            for child_ref in self.reference:
                                if child_ref._has_data():
                                    return True

                        if self.total_objects is not None:
                            return True

                        if self.transient is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                        return meta._meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-infra-policymgr-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.class_map is not None:
                        for child_ref in self.class_map:
                            if child_ref._has_data():
                                return True

                    if self.policy_map is not None:
                        for child_ref in self.policy_map:
                            if child_ref._has_data():
                                return True

                    if self.total_class_map_types is not None:
                        return True

                    if self.total_class_maps is not None:
                        return True

                    if self.total_policy_map_types is not None:
                        return True

                    if self.total_policy_maps is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                    return meta._meta_table['PolicyManager.Nodes.Node.Summary']['meta_info']

            @property
            def _common_path(self):
                if self.node_name is None:
                    raise YPYModelError('Key property node_name is None')

                return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:nodes/Cisco-IOS-XR-infra-policymgr-oper:node[Cisco-IOS-XR-infra-policymgr-oper:node-name = ' + str(self.node_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.node_name is not None:
                    return True

                if self.class_map is not None and self.class_map._has_data():
                    return True

                if self.policy_map is not None and self.policy_map._has_data():
                    return True

                if self.summary is not None and self.summary._has_data():
                    return True

                if self.target_policy_map_types is not None and self.target_policy_map_types._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
                return meta._meta_table['PolicyManager.Nodes.Node']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager/Cisco-IOS-XR-infra-policymgr-oper:nodes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.node is not None:
                for child_ref in self.node:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
            return meta._meta_table['PolicyManager.Nodes']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-infra-policymgr-oper:policy-manager'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.global_ is not None and self.global_._has_data():
            return True

        if self.nodes is not None and self.nodes._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_infra_policymgr_oper as meta
        return meta._meta_table['PolicyManager']['meta_info']


